# 10 malicious Python packages exposed in latest repository attack
## Supply-chain attacks are moving GitHub toward digitally signed packages.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/08/10-malicious-python-packages-exposed-in-latest-repository-attack/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 09 August 2022, 18:01
+ Date scraped: 09 August 2022, 19:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/08/GettyImages-1230467668-760x380.jpg)







Researchers have discovered yet another [set of malicious packages in PyPi](https://research.checkpoint.com/2022/cloudguard-spectral-detects-several-malicious-packages-on-pypi-the-official-software-repository-for-python-developers/), the official and most popular repository for Python programs and code libraries. Those duped by the seemingly familiar packages could be subject to malware downloads or theft of user credentials and passwords.


Check Point Research, which [reported its findings Monday](https://research.checkpoint.com/2022/cloudguard-spectral-detects-several-malicious-packages-on-pypi-the-official-software-repository-for-python-developers/), wrote that it didn't know how many people had downloaded the 10 packages, but it noted that PyPi has 613,000 active users, and its code is used in more than 390,000 projects. Installing from PyPi through the `pip` command is a foundational step for starting or setting up many Python projects. [PePy](https://pepy.tech/), a site that estimates Python project downloads, suggests most of the malicious packages saw hundreds of downloads.


Such [supply-chain attacks](https://arstechnica.com/information-technology/2021/06/hacker-lexicon-what-is-a-supply-chain-attack/?comments=1) are becoming increasingly common, especially among open source software repositories that support a wide swath of the world's software. Python's repository is a frequent target, with researchers finding malicious packages in [September 2017](https://arstechnica.com/information-technology/2017/09/devs-unknowingly-use-malicious-modules-put-into-official-python-repository/); [June](https://arstechnica.com/gadgets/2021/06/counterfeit-pypi-packages-with-5000-downloads-installed-cryptominers/), [July](https://arstechnica.com/gadgets/2021/07/malicious-pypi-packages-caught-stealing-developer-data-and-injecting-code/), and [November](https://arstechnica.com/information-technology/2021/11/malware-downloaded-from-pypi-41000-times-was-surprisingly-stealthy/) 2021; and [June](https://blog.sonatype.com/python-packages-upload-your-aws-keys-env-vars-secrets-to-web) of this year. But trick packages have also been found in [RubyGems in 2020](https://arstechnica.com/information-technology/2020/04/725-bitcoin-stealing-apps-snuck-into-ruby-repository/), [NPM in December 2021](https://arstechnica.com/information-technology/2021/12/malicious-packages-sneaked-into-npm-repository-stole-discord-tokens/), and many more open source repositories.
Most notably, a private-source supply-chain attack by [Russian hackers through the SolarWinds](https://arstechnica.com/information-technology/2020/12/russian-hackers-hit-us-government-using-widespread-supply-chain-attack/) business software wreaked [notable havoc](https://arstechnica.com/information-technology/2020/12/feds-warn-that-solarwinds-hackers-likely-used-other-ways-to-breach-networks/), resulting in the infection of more than 100 companies and at least nine US federal agencies, [including](https://arstechnica.com/information-technology/2020/12/feds-warn-that-solarwinds-hackers-likely-used-other-ways-to-breach-networks/) the National Nuclear Security Administration, the Internal Revenue Service, the State Department, and the Department of Homeland Security.


The increasingly common discovery of fake, malicious packages is moving repositories to act. Just yesterday, GitHub, owner of the NPM repository for JavaScript packages, opened a request for comments on offering an opt-in system for package developers to sign and verify their packages. Using [Sigstore](https://www.sigstore.dev/), a collaboration among numerous open source and industry groups, NPM developers can sign off on packages, signaling that the code inside them matches their original repository.


Having a clear indication that the package you're downloading is related to the code you need might have helped people avoid the most recently discovered PyPi bad actors, though perhaps not entirely. "Ascii2text" directly copied almost every aspect of the ASCII art library "art," minus the release details. To [perhaps nearly 1,000 downloaders](https://pepy.tech/project/ascii2text), its descriptive name might have suggested a more defined purpose than "art."


Installing ascii2text triggered the download of a malicious script, which then searched the local storage of Opera, Chrome, and other browsers for tokens, passwords, or cookies, along with certain crypto wallets, and sent them along to a Discord server.


[![The malicious script inside the misleading asciii2text Python package, as discovered by Check Point Software.](https://cdn.arstechnica.net/wp-content/uploads/2022/08/ascii2text_script-640x411.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/08/ascii2text_script.jpg) / The malicious script inside the misleading asciii2text Python package, as discovered by Check Point Software.[Check Point Software](https://research.checkpoint.com/2022/cloudguard-spectral-detects-several-malicious-packages-on-pypi-the-official-software-repository-for-python-developers/)


Other packages discovered by Check Point targeted AWS and other credentials and environment variables. Here's the list of reported and since removed PyPi packages:


* ascii2text
* pyg-utils
* pymocks
* PyProto2
* test-async
* free-net-vpn
* free-net-vpn2
* zlibsrc
* browserdiv
* WINRPCexploit








 




## Tags:


### Autogenerated tags:
pypi npm ascii2text
