# Artist uses AI to extract color palettes from text descriptions
## New technique uses an image synthesis model and some JavaScript to work its magic.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/09/artist-uses-ai-to-extract-color-palettes-from-text-descriptions/
+ Source: Ars Technica
+ Author: Benj Edwards
+ Date published: 13 September 2022, 16:44
+ Date scraped: 13 September 2022, 17:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/09/ai_palette_hero3-760x380.jpg)







A London-based artist named Matt DesLauriers has [developed a tool](https://twitter.com/mattdesl/status/1569457645182152705?s=20&t=QamULg67YVzDMqBfGzKFNw) to generate color palettes from any text prompt, allowing someone to type in "beautiful sunset" and get a series of colors that matches a typical sunset scene, for example.


To achieve the effect, DesLauriers uses [Stable Diffusion](https://arstechnica.com/information-technology/2022/09/with-stable-diffusion-you-may-never-believe-what-you-see-online-again/), an open source image synthesis model, to generate an image that matches the text prompt. Next, a JavaScript GIF encoder named [gifenc](https://github.com/mattdesl/gifenc) extracts the palette information by analyzing the image and quantizing the colors down to a certain set.


DesLauriers has [posted his code](https://gist.github.com/mattdesl/314037a8cf1002c6c42766b478b339a0) on GitHub; it requires a local Stable Diffusion installation and Node.JS. It's a bleeding-edge prototype at the moment that requires some technical skill to set up, but it's also a noteworthy example of the unexpected graphical innovations that can come from open source releases of powerful image synthesis models. Stable Diffusion, which went open source on August 22, generates images from a neural network that has been trained on tens of millions of images [pulled from the Internet](https://arstechnica.com/information-technology/2022/09/flooded-with-ai-generated-images-some-art-communities-ban-them-completely/). Its ability to draw from a wide range of visual influences translates well to extracting color palette information.


Other palette examples DesLauriers provided include "Tokyo neon," which suggests colors from a vibrant Japanese cityscape, "living coral," which echoes a coral reef with deep pinks and blues, and "green garden, blue sky," which suggests a saturated pastoral scene. In a tweet earlier today, DesLauriers [demonstrated](https://twitter.com/mattdesl/status/1569637225691856896?s=20&t=b5wIkhE4eSSBwaGlHyE7Aw) how different quantization methods (reducing the vast number of colors in an image down to just a handful that represent the image) could produce different color palettes.


[![Different color quantization modules can produce different color palettes from the same image.](https://cdn.arstechnica.net/wp-content/uploads/2022/09/quantization_approaches-640x367.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/09/quantization_approaches.jpg) / Different color quantization modules can produce different color palettes from the same image.[Matt DesLauriers](https://twitter.com/mattdesl/status/1569637225691856896?s=20&t=b5wIkhE4eSSBwaGlHyE7Aw)


It's not the first time an artist has used AI to extract color palettes from text. In May, an artist named dribnet [published](https://drib.net/homage) a generative art series called "Homage to the Pixel," inspired by [Josef Albers](https://en.wikipedia.org/wiki/Josef_Albers). He simultaneously released an [online tool](https://replicate.com/dribnet/homage1) that anyone can use to produce a six-color palette based on text inputs.


The ability to extract color palettes from written prompts seems like something that popular art tools might duplicate in the future since picking groups of colors that go together well [can be notoriously difficult](https://fuzzymath.com/blog/why-is-choosing-colors-so-difficult/). Many more unexpected applications of image synthesis models are likely on the way.














## Tags:


### Autogenerated tags:
deslauriers
