# Brave aims to curb practice of websites that port scan visitors
## Brave will allow users to choose which sites can access local network resources.
## Information:

+ Link: https://arstechnica.com/security/2023/06/brave-will-soon-control-which-sites-can-access-your-local-network-resources/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 29 June 2023, 00:15
+ Date scraped: 29 June 2023, 01:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/06/computer-security-760x380.jpg)







The Brave browser will take action against websites that snoop on visitors by scanning their open Internet ports or accessing other network resources that can expose personal information.


Starting in version 1.54, Brave will automatically block website port scanning, a practice that a surprisingly large number of sites were found engaging in a few years ago. According to [this list](https://gist.github.com/ACK-J/65dfe84fcf5a06c46364e5f2bd29c118) compiled in 2021 by a researcher who goes by the handle G666g1e, 744 websites scanned visitors’ ports, most or all without providing notice or seeking permission in advance. eBay, Chick-fil-A, Best Buy, Kroger, and Macy's were among the offending websites.

AdChoicesADVERTISING
[![](https://cdn.arstechnica.net/wp-content/uploads/2023/06/ebay_port_scan-640x469.png)](https://cdn.arstechnica.net/wp-content/uploads/2023/06/ebay_port_scan.png)[https://nullsweep.com/why-is-this-website-port-scanning-me/](Charlie%20Belmer)


Some sites use similar tactics in an attempt to fingerprint visitors so they can be re-identified each time they return, even if they delete browser cookies. By running scripts that access local resources on the visiting devices, the sites can detect unique patterns in a visiting browser. Sometimes there are benign reasons a site will access local resources, such as detecting insecurities or allowing developers to test their websites. Often, however, there are more abusive or malicious motives involved.


The new version of Brave will curb the practice. By default, no website will be able to access local resources. More advanced users who want a particular site to have such access can add it to an allow list. The interface will look something like the screenshot displayed below.


![Screenshot of permission dialog to be provided by Brave.](https://cdn.arstechnica.net/wp-content/uploads/2023/06/brave-localhost-dialog.jpg)Screenshot of permission dialog to be provided by Brave.Brave


Brave will continue to use filter list rules to block scripts and sites known to abuse localhost resources. Additionally, the browser will include an [allow list](https://github.com/brave/adblock-lists/blob/master/brave-lists/localhost-permission-allow-list.txt) that gives the green light to sites known to access localhost resources for user-benefiting reasons.


“Brave has chosen to implement the localhost permission in this multistep way for several reasons,” developers of the browser [wrote](https://brave.com/privacy-updates/27-localhost-permission/). “Most importantly, we expect that abuse of localhost resources is far more common than user-benefiting cases, and we want to avoid presenting users with permission dialogs for requests we expect will only cause harm.”


The scanning of ports and other activities that access local resources is typically done using JavaScript that’s hosted on the website and runs inside a visitor’s browser. A core web security principle known as the [same origin policy](https://en.wikipedia.org/wiki/Same-origin_policy) bars JavaScript hosted by one Internet domain from accessing the data or resources of a different domain. This prevents malicious Site A from being able to obtain credentials or other personal data associated with Site B.


But no such restriction exists to bar a visited domain from accessing a visitors localhost IP address of 127.0.0.1. This form of cross-origin access has existed as long as the web has. While Brave said that Apple’s Safari browser has blocked some forms of localhost access, it doesn’t block all of them. Various browser extensions also block such access.


“As far as we can tell, Brave is the only browser that will block requests to localhost resources from both secure and insecure public sites, while still maintaining a compatibility path for sites that users trust (in the form of the discussed localhost permission)” the Brave post said.


The browser developer added:



> Thanks to this historical “accident,” a small but important amount of software has been built expecting to be freely accessible by websites, often in ways invisible to users. And many of these uses are benign. Examples include some wallets for cryptocurrencies, [security software provided by banks](https://palant.info/2023/01/02/south-koreas-online-security-dead-end/) or security companies, and hardware devices that use certain Web interfaces for configuration.
> 
> 
> In some situations, browsers also allow public websites to access localhost resources to help developers test their software.
> 
> 
> Unfortunately, a wide range of malicious, user-harming software on the Web [uses access to localhost resources for malicious reasons](https://blog.nem.ec/2020/05/24/ebay-port-scanning/). For example, fingerprinting scripts try to detect unique patterns in the other software you have running on your device to re-identify you, and other scripts try to identify insecure and vulnerable software on the machine and try to exploit it.
> 
> 














## Tags:
***urls***: https://nullsweep.com/why-is-this-website-port-scanning-me/

### Autogenerated tags:
localhost brave websites website
