# Cloudflare’s CAPTCHA replacement lacks crosswalks, checkboxes, Google
## Cloud giant says its verification tool doesn't challenge or profile users.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/09/cloudflares-captcha-replacement-lacks-crosswalks-checkboxes-google/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 28 September 2022, 20:00
+ Date scraped: 28 September 2022, 21:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/09/GettyImages-156899969-760x380.jpg)







Cloudflare has recently made an audacious claim: We could all be doing something better with our lives than deciding which images contain crosswalks or stop lights or clicking an "I'm not a robot" checkbox. Now the cloud services company is offering up a free CAPTCHA alternative, [Turnstile](https://blog.cloudflare.com/turnstile-private-captcha-alternative/), available to anyone, Cloudflare customer or not, and specifically calling out Google's role in the existing "prove you're a human" hegemony.


Turnstile utilizes Cloudflare's Managed Challenge system, which takes cues from user behavior, browser data, and, on Apple devices, [Private Access Tokens](https://developer.apple.com/videos/play/wwdc2022/10077/), to distinguish human visitors from bots and scripts. Cloudflare claims that its Managed Challenge system was able to [reduce 91 percent of CAPTCHAs served](https://blog.cloudflare.com/end-cloudflare-captcha/) to its customers' visitors over a year.


Turnstile integrations run "a series of small non-interactive JavaScript challenges" to investigate the visitor, including proof of work and space, probing for web APIs, and "various other challenges for detecting browser-quirks and human behavior," Cloudflare's post states. The challenges vary by visitor, and machine learning can update the model with the common features of visitors who previously passed a test. The user only sees a "Verifying …" widget for a moment, then "Success!"


![Note the lack of grid-aligned blurry images that make you feel like you're helping Skynet refine its targeting.](https://cdn.arstechnica.net/wp-content/uploads/2022/09/Screen-Shot-2022-09-28-at-2.30.24-PM.png)Note the lack of grid-aligned blurry images that make you feel like you're helping Skynet refine its targeting.Cloudflare

Cloudflare claims that beyond annoyance and time-wasting, CAPTCHAs (which stands for "Completely Automated Public Turing test to tell Computers and Humans Apart") are [largely controlled by Google](https://trends.builtwith.com/widgets/captcha) through its reCAPTCHA service. Google's service had announced in 2017 that it would [largely become invisible](https://arstechnica.com/gadgets/2017/03/googles-recaptcha-announces-invisible-background-captchas/) in newer versions, using the same browser and behavior hints about human-ness Cloudflare is touting to eliminate even the not-robot checkbox. One aspect of that proof that [security researchers seemed to suss out](https://web.archive.org/web/20220826231627/https://www.fastcompany.com/90369697/googles-new-recaptcha-has-a-dark-side): being logged in to a Google account.
"Google says they don’t use this information for ad targeting, but at the end of the day, Google is an ad sales company," Cloudflare's post states.


Google bought reCAPTCHA in 2009 and used it early on to solve problems like book digitization, Street View house numbers, and, as you've likely guessed, identifying objects like stairs, palm trees, taxis, and the like in image recognition tools. Cloudflare notes that CAPTCHA's ubiquity is one of its strengths, as it has a steady, constantly updated base of solving and behavior data to lean on.


Google's reCAPTCHA has offered an "[invisible](https://developers.google.com/recaptcha/docs/invisible)" mode in V2 since 2017 and a V3 that "[will never interrupt your users](https://developers.google.com/recaptcha/docs/invisible)." Most Internet users still see their fair share of photo-picking grids and anti-robot checkboxes, likely due to sites and developers who haven't upgraded to newer versions—or, potentially, seeming "suspicious" of an unknowable algorithm.


Cloudflare, originally a content-delivery network that has grown into security, hosting, and [nearly every other aspect of cloud computing](https://seekingalpha.com/article/4542896-cloudflare-every-cloud-has-silver-lining), cites its mission of "helping build a better Internet" as the reason it's [giving away a free verification service](https://www.cloudflare.com/lp/turnstile/). The company, whose reverse proxy services are used by [something close to 20 percent of all sites](https://w3techs.com/technologies/details/cn-cloudflare#:~:text=Cloudflare%20is%20used%20by%2081.2,an%20extensive%20Cloudflare%20market%20report.), has been in the news recently for its long debate on [dropping hate site Kiwi Farms](https://arstechnica.com/tech-policy/2022/09/cloudflare-explains-why-kiwi-farms-was-its-most-dangerous-customer-ever/) and deciding [not to pull out of Russia after it invaded Ukraine](https://arstechnica.com/tech-policy/2022/03/cloudflare-wont-cut-off-russia-says-it-needs-more-internet-access-not-less/).














## Tags:


### Autogenerated tags:
cloudflare google recaptcha
