# Mazda’s DMCA takedown kills a hobbyist’s smart car API tool
## Financial risk too great for dev working "in my spare time to help others."
## Information:

+ Link: https://arstechnica.com/cars/2023/10/mazdas-dmca-takedown-kills-a-hobbyists-smart-car-api-tool/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 17 October 2023, 19:47
+ Date scraped: 17 October 2023, 20:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/10/mazda_mx30-760x380.jpg)







Before last week, owners of certain Mazda vehicles who also had a Home Assistant setup could set up some handy connections for their car.


[![A glimpse at some of Home Assistant's Mazda data potential, before it was removed.](https://cdn.arstechnica.net/wp-content/uploads/2023/10/mazda_home_assistant-300x133.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2023/10/mazda_home_assistant.jpg) / A glimpse at some of Home Assistant's Mazda data potential, before it was removed.[Phish / CX70 Forum](https://www.cx70forum.com/threads/mazda-has-forced-home-assistant-to-remove-their-extremely-useful-mazda-integration.337/)

One [CX60 driver](https://community.home-assistant.io/t/removal-of-mazda-connected-services-integration/625885/12) had a charger that would only power on when it confirmed his car was plugged in and would alert him if he left the trunk open. Another used Home Assistant to control their charger based on the dynamic prices of an [Agile Octopus energy plan](https://octopus.energy/smart/agile/). [Yet another](https://community.home-assistant.io/t/removal-of-mazda-connected-services-integration/625885/31) had really thought it through, using Home Assistant to check the gas before their morning commute, alert them if their windows were down before rain was forecast, and remotely unlock and start the car in cold conditions. The [possibilities were vast](https://www.cx70forum.com/threads/mazda-has-forced-home-assistant-to-remove-their-extremely-useful-mazda-integration.337/), and purportedly beyond what Mazda's official app offered.
Mazda, however, had issues with the project, which was largely the free-time work of one software developer, [Brandon Rothweiler](https://github.com/bdr99?tab=repositories). In [a Digital Millennium Copyright Act (DMCA) notice sent to GitHub](https://github.com/github/dmca/blob/master/2023/10/2023-10-10-mazda.md), Mazda (or an authorized agent) alleges that Rothweiler's integration:


* contains code that "is violating [Mazda's] copyright ownership."
* used "certain Mazda information, including proprietary API information," to "create code and information."
* contained code that "provides functionality same as what is currently" in Mazda's apps posted to the [Apple App Store](https://apps.apple.com/us/app/mymazda/id451886367) and [Google Play Store](https://play.google.com/store/apps/details?id=com.interrait.mymazda&pli=1) for Android.


One day later, Rothweiler [made a pull request](https://github.com/home-assistant/core/pull/101849) to the Home Assistant core project: "I'm removing the Mazda integration due to a legal notice sent to me by Mazda." The Home Assistant project pushed an update to remove the integration, [posted about the removal](https://www.home-assistant.io/blog/2023/10/13/removal-of-mazda-connected-services-integration/), and noted that they were "disappointed that Mazda has decided to take this position," and that "Mazda’s first recourse was not to reach out to us and the maintainer but to send a cease and desist letter instead."


Ars Technica reached out to Home Assistant and Mazda for comment and will update the post with any new information in response.


Frequent Home Assistant contributor J. Nick Kolston, or bdraco on GitHub, was the first of many commenters confused by Mazda's code claims. "I couldn't find any of the copyrighted code in the pypi package that they reference in the notice so I'm not sure which code they are referencing (unless they mean the API itself?)," [they wrote](https://github.com/home-assistant/core/pull/101849#issuecomment-1758780625). Others noted that Rothweiler's extension, written in Python and JavaScript, was unlikely to have copied Mazda's mobile app code.


Reverse-engineering for interoperability, such as exposing the Mazda app's particulars to Home Assistant, could be considered a fair use exception to the DMCA, as [explained by the EFF](https://go.skimresources.com/?id=100098X1555750&isjs=1&jv=15.4.2-stackpath&sref=https%3A%2F%2Farstechnica.com%2Fwp%2Fwp-admin%2Fpost.php%3Fpost%3D1976526%26action%3Dedit&url=https%3A%2F%2Fwww.eff.org%2Fissues%2Fcoders%2Freverse-engineering-faq&xs=1&xtz=240&xuuid=c8ada7d2568da2bac3c9a35cd3d99e6a&xjsf=other_click__contextmenu%20%5B2%5D&xcust=xid:fr1697572839224idc). And while the Supreme Court declined to rule on whether APIs are subject to copyright, it [ruled in Oracle v. Google in 2021](https://arstechnica.com/tech-policy/2021/04/how-the-supreme-court-saved-the-software-industry-from-api-copyrights/) that, depending on certain factors, re-implementation of an API, particularly for the purpose of connecting and extending products, is protected under fair use.


Shortly before the Mazda integration's removal, Home Assistant's [analytics showed 227 users](http://web.archive.org/web/20231003123221/https://analytics.home-assistant.io/integrations/). Integrations involving other car brands, including Subaru, the Nissan Leaf, and Tesla's Wall Connector, are still present.


Rothweiler, reached by email, said he could not comment on the specifics of his integration's operation. His integration was a hobby, he said, as was true for other integrations, and Home Assistant as a whole. "Users donate their spare time to help each other accomplish their home automation goals," Rothweiler wrote.


"When Mazda contacted me, my options were to either comply or open myself up to potential legal risk. Even if I believe that what I'm doing is morally correct and legally protected, legal processes still have a financial cost. I can't afford to take on that financial risk for something that I do in my spare time to help others," he wrote.


Home Assistant noted in its blog post that Tesla has recently opened up [API documentation for third-party software](https://developer.tesla.com/docs/fleet-api) and that Volkswagen Group's software platform ([however turbulent](https://arstechnica.com/cars/2023/05/volkswagens-troubled-software-division-is-getting-new-leadership-again/)) has a Home Assistant app.


"We genuinely believe there is a common ground between us and Mazda when it comes to enabling the owners of their cars to explore the possibilities of their own data," Home Assistant founder Paulus Schoutsen wrote.














## Tags:


### Autogenerated tags:
rothweiler api
