# Replit’s Ghostwriter AI can explain programs to you—or help write them
## Ghostwriter generates, completes, or transforms code in 16 languages, similar to GitHub Copilot.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/10/replits-ghostwriter-ai-can-explain-programs-to-you-or-help-write-them/
+ Source: Ars Technica
+ Author: Benj Edwards
+ Date published: 31 October 2022, 21:49
+ Date scraped: 06 November 2022, 14:19

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/10/ghostwriter_hero-760x380.jpg)







Today, Replit announced [Ghostwriter](https://replit.com/site/ghostwriter), an AI-powered programming assistant that can make suggestions to make coding easier. It works within Replit's online development environment and resembles [GitHub Copilot's](https://github.com/features/copilot) ability to recognize and compose code in various programming languages to accelerate the development process.


According to Replit, Ghostwriter works by using a [large language model](https://arstechnica.com/science/2022/06/googles-powerful-ai-spotlights-a-human-cognitive-glitch/) trained on millions of lines of publicly available code. This baked-in data allows Ghostwriter to make suggestions based on what you've already typed while programming in Replit's IDE. When you see a suggestion you like, you can "autocomplete" the code by pressing the Tab key.


Replit says that Ghostwriter performs best with JavaScript and Python but supports [16 languages](https://docs.replit.com/ghostwriter/faq), including C, Java, Perl, Python, and Ruby. It also supports HTML and CSS for web development and SQL for database queries.


Ghostwriter includes four main components: Complete Code (which analyzes what you've written and suggests continuations), Generate Code (which creates new code based on your suggestions), Transform Code (which helps you refactor or modernize code to fit standards), and Explain Code (which analyzes existing code and explains its function using natural language).



* When using Ghostwriter to autocomplete "a console-based snake game," it soon got stuck in a weird loop of variables. 


 Ars Technica
* Ghostwriter's "Generate Code" feature for a "snake game" generated code that would not run without support. 


 Ars Technica


From our informal experiments with Replit's IDE (conducted with an ordinary account we registered), we found that Ghostwriter performed the tasks promised in the marketing copy, though not flawlessly. In a few cases, the autocomplete suggestions got stuck in a repetitive loop or produced code that would still need extensive programming knowledge to integrate into a project. Replit will likely refine Ghostwriter's capabilities over time.


While evaluating Ghostwriter, we could not help but notice similarities to GitHub Copilot, an AI coding assistant from Microsoft and OpenAI that has been publicly available [since June](https://github.blog/2022-06-21-github-copilot-is-generally-available-to-all-developers/). Like Ghostwriter, Copilot suggests code that autocompletes with a press of the Tab key, offers natural language explanations, and translates code.


For now, Ghostwriter isn't a replacement for raw programming chops. It could instead be considered a complement to existing knowledge—or an automated assistant that might reduce the amount of time you spend on sites like Stack Overflow while asking for help or studying code examples.


Replit makes its online IDE available in [several plans](https://replit.com/pricing) that range from free to $7 a month, depending on how you plan to use it. In addition, Ghostwriter is a subscription service that costs $10 (or 1,000 Cycles) per month. Cycles are [virtual tokens](https://docs.replit.com/cycles/about-cycles) that represent computational power on Replit's cloud servers. Ghostwriter is [available](https://replit.com/site/ghostwriter) through Replit's website now.














## Tags:


### Autogenerated tags:
replit autocomplete
