# 15,000 sites hacked for massive Google SEO poisoning campaign
## Hackers are conducting a massive black hat search engine optimization (SEO) campaign by compromising almost 15,000 websites to redirect visitors to fake Q&A discussion forums.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/15-000-sites-hacked-for-massive-google-seo-poisoning-campaign/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 09 November 2022, 18:08
+ Date scraped: 09 November 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/10/16/Google-headpic.jpg)



Hackers are conducting a massive black hat search engine optimization (SEO) campaign by compromising almost 15,000 websites to redirect visitors to fake Q&A discussion forums.


The attacks were first spotted by Sucuri, who says that each compromised site contains approximately 20,000 files used as part of the search engine spam campaign, with most of the sites being WordPress.


The researchers believe the threat actors' goal is to generate enough indexed pages to increase the fake Q&A sites' authority and thus rank better in search engines.



![Phony Q&A site promoted by this campaign](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/qa-site.png)**Phony Q&A site promoted by this campaign** *(Sucuri)*


The campaign likely primes these sites for future use as malware droppers or phishing sites, as even a short-term operation on the first page of Google Search, would result in many infections.


An alternative scenario, based on the existence of an 'ads.txt' file on the landing sites, is that their owners want to drive more traffic to conduct ad fraud.


## Targeting WordPress sites


Sucuri [reports](https://blog.sucuri.net/2022/11/massive-ois-is-black-hat-redirect-malware-campaign.html) that the hackers are modifying WordPress PHP files, such as 'wp-singup.php', 'wp-cron.php', 'wp-settings.php', 'wp-mail.php', and 'wp-blog-header.php', to inject the redirects to the fakes Q&A discussion forums.


In some cases, the attackers drop their own PHP files on the targeted site, using random or pseudo-legitimate file names like 'wp-logln.php'.



![Malicious code in one of the infected files](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/malicious-code.png)**Malicious code in one of the infected files** *(Sucuri)*


The infected or injected files contain malicious code that checks if the website visitors are logged in to WordPress, and if they're not, redirects them to the https://ois.is/images/logo-6.png URL.


However, browsers will not be sent an image from this URL but will instead have JavaScript loaded that redirects users to a Google search click URL that redirects users to the promoted Q&A site.



![Code to generate the fake Google Search event](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/png-file.png)**Code to generate the fake Google Search event** *(Sucuri)*


Using a Google search click URL is likely to increase performance metrics on the URLs in the Google Index to make it appear as if the sites are popular, hoping to increase their ranking in the search results.


Furthermore, redirecting through Google search click URLs makes the traffic look more legitimate, possibly bypassing some security software.


The exclusion of logged-in users, as well as those standing at 'wp-login.php,' aims to avoid redirecting an administrator of the site, which would result in the raising of suspicion and the cleaning of the compromised site.


The PNG image file uses the 'window.location.href' function to generate the Google Search redirection result to one of the following targeted domains:


* en.w4ksa[.]com
* peace.yomeat[.]com
* qa.bb7r[.]com
* en.ajeel[.]store
* qa.istisharaat[.]com
* en.photolovegirl[.]com
* en.poxnel[.]com
* qa.tadalafilhot[.]com
* questions.rawafedpor[.]com
* qa.elbwaba[.]com
* questions.firstgooal[.]com
* qa.cr-halal[.]com
* qa.aly2um[.]com

The threat actors use multiple subdomains for the above, so the complete list of the landing domains is too long to include here (1,137 entries). Those interested in reviewing the complete list can [find it here](https://urlscan.io/search/#ois.is).


Most of these websites hide their servers behind Cloudflare, so Sucuri's analysts couldn't learn more about the campaign's operators.


As all of the sites use similar website-building templates, and all appear to have been generated by automated tools, it is likely they all belong to the same threat actors.


Sucuri couldn't identify how the threat actors breached the websites used for redirections. However, it likely happens by exploiting a vulnerable plugin or brute-forcing the WordPress admin password.


Hence, the recommendation is to upgrade all WordPress plugins and website CMS to the latest version and activate two-factor authentication (2FA) on admin accounts.





## Tags:
***urls***: http://en.photolovegirl.com https://ois.is/images/logo-6.png http://qa.aly2um.com http://qa.tadalafilhot.com http://questions.firstgooal.com http://qa.istisharaat.com http://en.poxnel.com http://qa.elbwaba.com http://questions.rawafedpor.com http://en.w4ksa.com http://qa.bb7r.com http://peace.yomeat.com http://en.ajeel.store http://qa.cr-halal.com

### Autogenerated tags:
google wordpress q&a url websites
