# Chrome 'Internet Download Manager' adware has 200,000 installs
## Google Chrome extension 'Internet Download Manager' installed by more than 200,000 users is adware. The extension has been sitting on the Chrome Web Store since at least June 2019, according to the earliest reviews posted by users.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/chrome-internet-download-manager-adware-has-200-000-installs/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 24 August 2022, 09:45
+ Date scraped: 24 August 2022, 10:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Google___Chrome.jpg)



Google Chrome extension 'Internet Download Manager' installed by more than 200,000 users is adware.


The extension has been sitting on the Chrome Web Store since at least June 2019, according to the earliest reviews posted by users.


Although the extension may install a known and legitimate download manager program, BleepingComputer observed unwanted behavior exhibited by the extension—such as opening links to spammy sites, changing the default browser search engine, and further hounding the user with pop-ups asking them to download more "patches" and unwanted programs.


## Dodgy Chrome extension installed by 200,000+ users


A concered BleepingComputer reader reached out to us on seeing a Chrome add-on "running malicious sites by impersonating famous software."


And their concern seems valid. The 'Internet Download Manager' browser extension installed by more than 200,000 users to date doesn't seem all that innocent.



![Chrome extension Internet Download Manager](https://www.bleepstatic.com/images/news/u/1164866/2022/Aug-2022/chrome-extension-adware/chrome-web-store-extension.jpeg)**Chrome extension Internet Download Manager live on Chrome Web Store**(BleepingComputer)


There does exist a legitimate Windows program called Internet Download Manager, published by software company Tonec.


Tonec does offer Internet Download Manager extensions for Firefox and Chrome. But, the authentic Chrome extension provided by the company is called ['IDM Integration Module](https://chrome.google.com/webstore/detail/idm-integration-module/ngpampappnmepgilojfohadhhmbhlaek).'


Further, Tonec's FAQ specifically [warns](http://www.internetdownloadmanager.com/register/new_faq/chrome_extension.html), "Please note that all IDM extensions that can be found in Google Store are fake and should not be used."


By contrast, the counterfeit 'Internet Download Manager' Chrome extension seems to be maintained by a website called "[Puupnewsapp](https://www.puupnewsapp.com/internet-download-manager-for-chrome/)" that claims "it increases your download speed up to 500%" making it a "super software" for downloading games, movies, music, and "large files in minutes." Sounds promising.


The instructions provided by the knock-off extension are even more perplexing—why does one need to download and install multiple programs after installing the extension?



![installation instructions](https://www.bleepstatic.com/images/news/u/1164866/2022/Aug-2022/chrome-extension-adware/instructions.jpg)**Installation steps for the extension prompt users to further install programs**(BleepingComputer)


Specifically, upon installing 'Internet Download Manager,' users are now asked to install an executable from the *puupnewsapp* website, and additionally download a "Windows patch" ZIP file:


hxxps://www.puupnewsapp[.]com/idman638build25.exe  

hxxps://www.puupnewsapp[.]com/windows.zip
The 'idman638build25.exe' executable appears to be [a valid, signed version](https://www.virustotal.com/gui/file/fcb83024e4388db05b0b0b25b340617cb0900cf02c6ddab269bccba2b8037e50) of the legitimate Tonec Internet Download Manager.


The 'windows.zip' archive analyzed by BleepingComputer, contains both 32-bit and 64-bit versions of [NodeJS](https://nodejs.org/en/), and executes JavaScript code to adjust Chrome and Firefox registry settings.



![NodeJS file making registry changes](https://www.bleepstatic.com/images/news/u/1164866/2022/Aug-2022/chrome-extension-adware/nodejs-instructions.jpg)**NodeJS file making registry changes for Firefox and Chrome**(BleepingComputer)


## Alters search engines, promotes spam


What also stood out to us was that installing the extension in a [test environment](https://app.any.run/tasks/d3d5552b-f94a-43f5-804d-ad5cbbee7a5f/) changed the default browser search engine to *smartwebfinder[.]com.*


Frequent pop-ups urging the user to install more add-ons, such as for Firefox, were also observed, as was the extension launching third-party sites in the browser.



![search engine changed](https://www.bleepstatic.com/images/news/u/1164866/2022/Aug-2022/chrome-extension-adware/smartwebfinder.jpg)**Default search engine changed by extension** (BleepingComputer)


Luckily, reviewers, some from as early as 2019, seem to have spotted the dodgy behavior. Although plenty of (likely inauthentic) reviewers claim to have no issues with the extension.



![negative reviews](https://www.bleepstatic.com/images/news/u/1164866/2022/Aug-2022/chrome-extension-adware/chrome-extension-reviews.jpg)**Multiple reviews call out the "spam" extension**(BleepingComputer)


BleepingComputer readers have previously reported issues with [similar rogue extensions](https://www.bleepingcomputer.com/forums/t/595618/idm-rogue-extension-keeps-reinstalling-itself-in-chrome/) they'd found on the Chrome Web Store.


The particulars of the counterfeit extension are as follows:



Extension ID: lcdlanlaneooailnebnhamiiieebikid


.crx hash (SHA-256): b4b47730b62592c21368c2546e578342fff8383693e89211155c2d61d88058ba


Web Store URL: hxxps://chrome.google[.]com/webstore/detail/internet-download-manager/lcdlanlaneooailnebnhamiiieebikid?hl=en



BleepingComputer reached out to Tonec for comment, and we have also notified Google of the malicious extension prior to publishing.


A quick search on the Chrome Web Store for "IDM," "IDM integration add-ons," or "Download Manager" will yield results containing extensions with hundreds of thousands of user installs, and favorable reviews that may appear promising.


While not all of these extensions may be harmful, users should be cautious when installing new Chrome extensions and verify if these are official versions published by trusted software vendors.





## Tags:
***urls***: https://www.puupnewsapp.com/windows.zip http://smartwebfinder.com https://chrome.google.com/webstore/detail/internet-download-manager/lcdlanlaneooailnebnhamiiieebikid?hl=en https://www.puupnewsapp.com/idman638build25.exe
***SHA256-hash***: b4b47730b62592c21368c2546e578342fff8383693e89211155c2d61d88058ba

### Autogenerated tags:
bleepingcomputer tonec firefox google idm
