# ChromeLoader campaign lures with malicious VHDs for popular games
## Security researchers have noticed that the operators of the ChromeLoader browser hijacking and adware campaign are now using VHD files named after popular games. Previously, such campaigns relied on ISO-based distribution.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/chromeloader-campaign-lures-with-malicious-vhds-for-popular-games/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 26 February 2023, 16:10
+ Date scraped: 26 February 2023, 17:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/23/Chrome.jpg)



Security researchers have noticed that the operators of the ChromeLoader browser hijacking and adware campaign are now using VHD files named after popular games. Previously, such campaigns relied on ISO-based distribution.


The malicious files were discovered by member of the Ahnlab Security Emergency Response Center ([ASEC](https://asec.ahnlab.com/en/48211/)) through Google search results to queries for popular games



![Google Search results leading people to adware sites](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/3/google-search.png)**Google Search results linking to adware sites** *(ASEC)*


Among the game titles abused for adware distribution purposes are Elden Ring, ROBLOX, Dark Souls 3, Red Dead Redemption 2, Need for Speed, Call of Duty, Portal 2, Minecraft, Legend of Zelda, Pokemon, Mario Kart, Animal Crossing, and more.



![Full list of VHD files used in latest ChromeLoader campaign](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/3/vhd-list.png)**VHD files used in latest ChromeLoader campaign** *(ASEC)*


A network of malvertising sites distributes the malicious files, which appear as legitimate game-related packages, that install the ChromeLoader extension.


ChromeLoader hijacks the browser searches to show advertisements. Itt also modifies the browser settings, and collects credentials and browser data.


According to [Red Canary](https://www.bleepingcomputer.com/news/security/new-chromeloader-malware-surge-threatens-browsers-worldwide/) data, the malware bacame more prevalent in May 2022. In September 2022, [VMware reported](https://www.bleepingcomputer.com/news/security/vmware-microsoft-warn-of-widespread-chromeloader-malware-attacks/) new variants carying out more sophisticated network activities. In some cases the actor even delivered the Enigma ransomware.


In all cases seen throughout 2022, ChromeLoader arrived on the target system as an ISO file. Lately, the operators appear to prefer the VHD packaging.


VHD files can be easily mounted on on a Windows system and are supported by multiple virtualization software.


The images include several files but only one of them, a shortcut called "Install.lnk," is visible. Deploying the shortcut triggers the execution of a batch script that decompresses the content of a ZIP archive.



![Contents of VHD files](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/3/VHD-content.png)**Contents of VHD files** *(ASEC)*


In the next step, the batch file executes "data.ini," a VBScript, and a JavaScript that fetches the final payload from a remote resource.


According to ASEC, ChromeLoader will start redirecting to advertisement sites, thus generating revenue for its operators.


The researchers say that the addresses hosting the payload are not longe accessible. They note that the malicious Chrome extension that ChromeLoader creates and executes can also collect credential data stored in the browser.


ASEC's report provides a short set of indicators of compromise that can help detect the ChromeLoader threat.


Users are advised to avoid downloading games from unofficial sources, and keep away from cracks for popular products as they typically have a high security risk.





## Tags:


### Autogenerated tags:
chromeloader asec vhd adware
