# Google Chrome now 23% faster after JavaScript engine improvements
## Google says the latest Google Chrome release comes with a significant performance boost due to newly added improvements to the open-source V8 JavaScript and WebAssembly engine.
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/google-chrome-now-23-percent-faster-after-javascript-engine-improvements/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 May 2021, 15:14
+ Date scraped: 12 December 2023, 12:30

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Google__Chrome.jpg)



Google says the latest Google Chrome release comes with a significant performance boost due to newly added improvements to the open-source V8 JavaScript and WebAssembly engine.


Google Chrome 91, which [started rolling out earlier this week](https://www.bleepingcomputer.com/news/google/google-chrome-91-released-with-new-features-security-improvements/), is executing JavaScript code 23% faster with the inclusion of a new JavaScript compiler and the use of a new way to optimize the code's location in memory.


According to Chrome Product Manager Thomas Nattestad, these new enhancements help deliver the maximum possible speed when compiling and executing the JavaScript shipped to the browser by every web page.


"In M91 Chrome is now up to 23% faster with the launch of a [new Sparkplug compiler](https://v8.dev/blog/sparkplug) and [short builtin calls](https://v8.dev/blog/short-builtin-calls), saving over 17 years of our users' CPU time each day," Nattestad [said](https://blog.chromium.org/2021/05/chrome-is-faster-in-m91.html).


"Sparkplug is a new JavaScript compiler that fills the gap between needing to start executing quickly and optimizing the code for maximum performance.


"Short builtin calls optimize where in memory we put generated code to avoid indirect jumps when calling functions."


Getting faster and faster each release
--------------------------------------


Google has been working on improving its web browser's performance for a while now, recently announcing that Chrome's browser process [now requires up to 22% less memory on Windows](https://www.bleepingcomputer.com/news/google/google-chrome-now-gobbles-up-20-percent-less-memory-on-windows/).


Google Chrome 89, released in March, added 8% memory savings in the renderer and roughly 3% in the GPU, also improving the web browser's overall responsiveness by up to 9%.


These major memory savings were achieved by optimizing PartitionAlloc, Google's memory allocator, for low allocation latency, space efficiency, and security.


With the release of Google Chrome 87 in November, Google further optimized the web browser performance leading to [25% faster start-ups](https://www.bleepingcomputer.com/news/google/chrome-87-released-with-performance-boost-and-security-fixes/) and 7% faster page loads while also using less memory.


Google Chrome 85 delivered [up to 10% faster page loads](https://www.bleepingcomputer.com/news/google/google-chrome-is-now-faster-delivers-10-percent-quicker-page-loads/) using a compiler optimization technique known as Profile Guided Optimization (PGO).





## Tags:


### Autogenerated tags:
google javascript
