# New PyScript project lets you run Python programs in the browser
## The project was announced this weekend at PyCon US 2022 and acts as a wrapper around the Pyodide project, which loads the CPython interpreter as a WebAssembly browser module.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/new-pyscript-project-lets-you-run-python-programs-in-the-browser/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 02 May 2022, 21:17
+ Date scraped: 02 May 2022, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/02/python-blue-header.jpg)



The new PyScript project lets you embed Python programs directly in HTML pages and execute them within the browser without any server-based requirements.


The project was announced this weekend at PyCon US 2022 and acts as a wrapper around the [Pyodide](https://pyodide.org/) project, which loads the CPython interpreter as a WebAssembly browser module.


"PyScript is a framework that allows users to create rich Python applications in the browser using a mix of Python with standard HTML." explains Anaconda in a recent [blog post](https://www.anaconda.com/blog/pyscript-python-in-the-browser).


"PyScript aims to give users a first-class programming language that has consistent styling rules, is more expressive, and is easier to learn."


While the Pyodide project previously allowed you to run Python in the browser, it takes some time to get used to the syntax and is not as elegant as simply writing a Python program and pasting it into your HTML page.


However, [PyScript](https://pyscript.net/) acts as a wrapper, allowing you to embed Python code directly between `py-script` tags and have it automatically executed by Pyodide.


For example, the following illustrates a small Hello World example using PyScript and its execution directly in the browser. Notice how the `pyscript.write()` function allows you to output data directly to an HTML element.



![Python Hello World Python app using PyScript](https://www.bleepstatic.com/images/news/technology/p/pyscript/pyscript.jpg)**Python Hello World Python app using PyScript**
Developers can also extend PyScript pages through additional Python packages [built into Pyodide](https://pyodide.org/en/stable/usage/packages-in-pyodide.html) or through ones stored on the local filesystem. PyScript's [GETTING-STARTED.md](https://github.com/pyscript/pyscript/blob/main/GETTING-STARTED.md) file provides documentation on how to import packages into your code.


In addition to executing code embedded in HTML, it's also possible to add a code editor directly into an HTML page using the `py-repl` tag so that you can input code and execute it, as shown below.



![Using PyScript's editor](https://www.bleepstatic.com/images/news/technology/p/pyscript/pyscript-editor.gif)**Using PyScript's editor**
Using the editor makes it easy to test code on the fly and see what will and won't work with PyScript.


While JavaScript can already perform almost everything you would want to create using PyScript, with Python considered the most popular programming language, PyScript opens the door for many interesting projects down the road.


To get started with PyScript, you can visit their [GitHub project page](https://github.com/pyscript/pyscript), which also includes numerous code examples.





## Tags:


### Autogenerated tags:
pyscript html pyodide
