# Rise in npm protestware: another open source dev calls Russia out
## Developers are increasingly voicing their opinions through their open source projects in active use by thousands of software applications and organizations. Most recently, the developer of the 'event-source-polyfill' npm package peacefully protested Russia's "unreasonable invasion" of Ukraine, to Russian consumers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/rise-in-npm-protestware-another-open-source-dev-calls-russia-out/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 11 April 2022, 21:02
+ Date scraped: 11 April 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/17/npm-bg.png)



Developers are increasingly voicing their opinions through their open source projects in active use by thousands of software applications and organizations.


To do this, a maintainer adds broken code, protest messages, or undesired damaging functionality in the latest versions of their project without documenting it beforehand.


When an existing application fetches the latest version of the project, the newly added code gets pulled in and runs by surprise.


Most recently, the developer of the 'event-source-polyfill' npm package has peacefully protested Russia's "unreasonable invasion" of Ukraine, to Russian consumers.


While for the longest time open source software has been reliable, community-fuelled, and efficient in that it takes out the need to reinvent the wheel, the recurring cases of voluntary self-sabotage by maintainers have cast doubts on the overall reliability of the ecosystem.


## Third 'protestware' of 2022


On March 17th, Russian developer Viktor Mukhachev aka [*Yaffle*](https://twitter.com/4esn0k) added [an interesting piece of code](https://github.com/Yaffle/EventSource/commit/de137927e13d8afac153d2485152ccec48948a7a) to his popular npm library 'event-source-polyfill'.


[Polyfill](https://en.wikipedia.org/wiki/Polyfill_(programming)) packages are designed to implement existing JavaScript features on web browsers that may not support them. As such, the package in question expands Mozilla's '[EventSource](https://developer.mozilla.org/en-US/docs/Web/API/EventSource)' APIs to other browsers that may lack the concept.


And this would explain why the package is used by [well over 135,000 GitHub repositories](https://github.com/Yaffle/EventSource/network/dependents?package_id=UGFja2FnZS0xNDk5MTAzMQ%3D%3D) and downloaded over 600,000 times weekly on npm.


However, a change introduced in version 1.0.26 of  'event-source-polyfill', as seen by BleepingComputer, means applications built with the library will show anti-war messages to Russia-based users after 15 seconds of launch.


As of today, the new version [continues to be up on npm](https://www.npmjs.com/package/event-source-polyfill) and GitHub, nearly four weeks after it went live.



![](https://www.bleepstatic.com/images/news/u/1164866/2022/Apr-2022/event-source-npm-sabotage/event-source-polyfill-sabotage.jpg)**New versions of 'event-source-polyfill' show anti-war messages to Russian users**(BleepingComputer)
This marks the third major protest of 2022 by an open source developer leveraging his vastly used software to express opinions on a matter of public interest.


In 2016, the 28-year-old Azer Koçulu broke the internet by [withdrawing his popular 'left-pad' library](https://qz.com/646467/how-one-programmer-broke-the-internet-by-deleting-a-tiny-piece-of-code/) from the npm registry. The far-reaching impact compelled former npm CTO Laurie Voss to [restore the removed versions of left-pad](https://www.theregister.com/2016/03/23/npm_left_pad_chaos/npm).


January's sabotage of ['colors' and 'faker' libraries](https://www.bleepingcomputer.com/news/security/dev-corrupts-npm-libs-colors-and-faker-breaking-thousands-of-apps/) in protest by their maintainer potentially broke thousands of production applications that were using the dependencies.


Whereas, the outright destructive version of 'node-ipc' released last month by its developer [deleted all data on the hard drive](https://www.bleepingcomputer.com/news/security/big-sabotage-famous-npm-package-deletes-files-to-protest-ukraine-war/) of users it believed were Russian or Belarusian.


The case of 'event-source-polyfill', however, is more benevolent —akin to a peaceful protest.


Rather than deleting any data or breaking applications, the application urges Russia to end its "unreasonable invasion" of Ukraine and prompts Russian civilians to seek reliable news sources.


"The people of Ukraine are universally mobilized and ready to defend their country from the enemy... 91% of Ukrainians fully support their President Volodymyr Zelensky and his response to the Russian attack," writes *Yaffle* within the library.


"The whole world condemned the unreasonable invasion and decided to enter **unprecedented sanctions against Russia**. With each new day, they will be felt more and more strongly among the civilians."


Citing concerns over Russia's control over information that gets disseminated to the civilians, the developer urged users to beware of "one-sided" news and go to reliable sources, giving [BBC's Tor website](https://www.bbc.co.uk/news/technology-50150981) as an example.


Lastly, after appealing to Russian President Putin to end this "senseless" war, the newly added code directs the user to a [Change.org petition](http://www.change.org/NetVoyne) that's been signed by over 1.2 million people to date.


## Self-sabotage breeds trust issues


Heroic as these self-sabotage incidents might be for many, for some they cross an ethical line and have posed a new challenge that everyone must now worry about: the trustworthiness and reliability of open source libraries.


In particular, the 'colors' sabotage led to mixed reactions—some praising the maintainer for taking a stance against big corporations who use open source without funding it.


In contrast, the publication of destructive 'node-ipc' versions drew sharp criticism from developers, with some calling it "[a huge damage](http://github.com/RIAEvangelist/node-ipc/issues/233#issuecomment-1068126507)" to the credibility of the whole open source community.


But, 'event-source-polyfill' may not fall in the same league:


"The popup message is information that there's a war going on, and a suggestion to download the Tor browser (to get past Putin's censorship)," [posted](https://news.ycombinator.com/item?id=30963600#30973573) a HackerNews user in reaction to the new 'event-source-polyfill'.


"To some, that's malware, whilst to some people in Russia, it could be valuable information, something helpful."


In the same thread, another reader states, while code changes interfering with the project's intended and expected purposes may be termed as "sabotage," the case of 'event-source-polyfill' doesn't really fit the definition:


"Sabotage, to me, explicitly means that the act was committed with the intent of derailing the project’s original purpose. This act seems orthogonal to the original intent of the project, so it’s underhanded but it's not really sabotage."


A [debate](https://github.com/Yaffle/EventSource/issues/202) further ensued on GitHub though, whether certain parts of the newly introduced code could break production apps in edge cases.


As a caution, some have [pinned](https://github.com/backstage/backstage/issues/10602) their 'event-source-polyfill' version to the earlier, safe version 1.0.25.


Alternatively, one can always [clone](https://en.wikipedia.org/wiki/Fork_(software_development)) (fork) trusted versions of an existing open source project and opt to maintain these versions themselves, as opposed to indiscriminately fetching the latest official releases.


## Redefining open source


Open source software largely started out as a way to promote an "[open development process](https://opensource.org/history)," simplify licensing, and better engage with the users and a community of developers who can peer-review and improve software through active participation.


Open source registries like npm, PyPI, and RubyGems are therefore set up in a manner that minimizes barriers to entry. These registries let anyone publish software packages that are ready for consumption by novices and hard-core professionals alike.


While version control platforms like GitHub are traditionally associated with software development and *source code*, cost-free registries like npm simplify the hosting and distribution process for developers looking to ship and use each other's finished apps that run out of the box.


But, as with any system that's open to the public, software repositories can and often face abuse from malicious actors.


Traditional security incidents on npm centered around the distribution of [typosquatted packages](https://www.bleepingcomputer.com/news/security/malicious-npm-libraries-install-ransomware-password-stealer/)—such as an '[electorn](https://blog.sonatype.com/sonatype-spots-malicious-npm-packages)' package published by a threat actor to trap developers installing Electron. Should the developer misspell '[electron](https://www.npmjs.com/package/electron)' in their console, they'd end up with the attacker's malicious package.


In 2021, [dependency confusion](https://www.bleepingcomputer.com/news/security/researcher-hacks-over-35-tech-firms-in-novel-supply-chain-attack/) drastically gained momentum as an emerging attack vector against software supply chain attacks.


Major incidents also involved accounts of legitimate developers being hijacked by attackers who'd now publish new versions of real libraries laden with malicious code.


Both 2018's '[event-stream](https://blog.npmjs.org/post/180565383195/details-about-the-event-stream-incident)' and [ESLint](https://eslint.org/blog/2018/07/postmortem-for-malicious-package-publishes) compromises, and this year's cases of '[ua-parser-js](https://www.bleepingcomputer.com/news/security/popular-npm-library-hijacked-to-install-password-stealers-miners/)', ['coa', and 'rc'](https://www.bleepingcomputer.com/news/security/popular-coa-npm-library-hijacked-to-steal-user-passwords/) being hijacked to serve malware are examples of this problem.


But the recurring incidents of developers voluntarily withdrawing their code from the internet or sabotaging their own projects to accentuate a bigger idea have prompted software consumers to re-evaluate the open source model as it stands today, and engage in a public dialogue that is overdue.


While current protestware may be centered around the war, that doesn't mean it will always be limited to select trending issues.


Developers have discovered an avenue of creative self-expression that no longer restricts them to just delivering *expected* functionality—a developer can, at a whim, decide to change their mind and their code as they please. A neglected premise of open source is that they always could.





## Tags:


### Autogenerated tags:
npm github self-sabotage
