# SheetJS ditches npm registry over 2FA requirement and 'legal matters'
## In a surprising move, the popular open source project, SheetJS aka "xlsx," has dropped support for the npm registry. Downloaded about 1.4 million times every week on npm, SheetJS is relied upon by NodeJS developers looking to craft and parse Excel spreadsheets using nothing but JavaScript.
## Information:

+ Link: https://www.bleepingcomputer.com/news/software/sheetjs-ditches-npm-registry-over-2fa-requirement-and-legal-matters/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 06 May 2022, 09:06
+ Date scraped: 06 May 2022, 10:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/23/npm-supply-chain-attack.jpg)



In a surprising move, the popular open source project, SheetJS aka "xlsx," has dropped support for the npm registry.


Downloaded about 1.4 million times weekly on npm, SheetJS is relied upon by NodeJS developers looking to craft and parse Excel spreadsheets using nothing but JavaScript.


The project's maintainer suggests that the decision to pull out of the npm registry is based on the newly introduced two-factor requirements for top projects, GitHub's abrupt decision-making, and ongoing 'legal matters' between SheetJS and npm.


## SheetJS moves away from npm registry


On April 14th, maintainer of SheetJS introduced a code change removing any npm dependencies used by the project.


Any URL references to npm's domains within the SheetJS source code were also [updated](https://github.com/SheetJS/sheetjs/commit/ed18acd63d7a5cd31527a36a9af54542cdfcfd30#diff-b335630551682c19a781afebcf4d07bf978fb1f8ac04c6bf87428ed5106870f5R219) to use SheetJS CDN, as seen by BleepingComputer.


Future versions of SheetJS are expected to be released on its CDN, *cdn.sheetjs.com,* rather than the npmjs registry.


[SheetJS](https://github.com/SheetJS) (aka xlsx) is among the "top 500 packages" based on the number of components that depend on this library.


Note, the '[sheetjs](https://www.npmjs.com/package/sheetjs)' npm package is a mere placeholder reserved by SheetJS, whereas the official SheetJS npm library lives at '[xlsx](http://www.npmjs.com/package/xlsx)':



![SheetJS npm page](https://www.bleepstatic.com/images/news/u/1164866/2022/may-2022/sheetjs-npm/sheetjs-npm.jpg)**SheetJS project, distributed on the npm registry as 'xlsx'**(npm)
## From 2FA requirement to pending 'legal matters'


This move by SheetJS has left developers utterly confused who opened up a discussion [thread](https://github.com/SheetJS/sheetjs/issues/2667) on the project's GitHub repository, questioning the motive.


The developer behind SheetJS cites a number of reasons behind shying away from npm, including the registry's decision to force maintainers of top open source projects into two-factor authentication.



![sheetjs enrolled in 2fa by npm](https://www.bleepstatic.com/images/news/u/1164866/2022/may-2022/sheetjs-npm/sheetjs-2fa-enrollment.jpg)**SheetJS' developer now required to set up 2FA by npm**(GitHub)
GitHub's initiative for enforcing multi-factor authentication (MFA) arrived shortly after last year's hijacking incidents that hit famous npm packages like [ua-parser-js](https://www.bleepingcomputer.com/news/security/popular-npm-library-hijacked-to-install-password-stealers-miners/), [coa and rc](https://www.bleepingcomputer.com/news/security/popular-coa-npm-library-hijacked-to-steal-user-passwords/).


These npm libraries, relied on by thousands of projects and companies, were tainted with malware in 2021 after [attackers compromised the npm accounts](https://twitter.com/npmjs/status/1456310581846163457) of their maintainers.


As such GitHub-owned npm registry announced earlier this year that developers of the top 100 npm packages will be [required to set up two-factor authentication](https://github.blog/2022-02-01-top-100-npm-package-maintainers-require-2fa-additional-security/) to step up the security of their projects, with similar rules introduced for projects meeting other criteria. And apparently, SheetJS falls within that criteria and must set up MFA—leaving the maintainer unpleased.


Another reason cited by SheetJS is its pending "legal matters" with npm. 


"Due to ongoing legal matters between SheetJS LLC and npm, Inc. (which will not be discussed here), it did not make sense to continue using the public npm registry for distribution," states the SheetJS developer.


Lastly, SheetJS vaguely states that GitHub's decision to [shut down its git.io URL redirection service](http://github.blog/changelog/2022-04-25-git-io-deprecation/) with just four days of notice had echoes of "the ephemerality of the Internet and the inherent risks of relying on platforms."


And all of these reasons have caused much confusion among developers who are now speculating, what the *real* reason behind ditching npm might be.


"Top 500 NPM package list, 1.26 million downloads a week, over 3000 dependent packages and not even a mention in the README regarding the fact ongoing development for this package won't exist any longer in the single largest JS library platform on the planet (after 8 years)," [commented](https://github.com/SheetJS/sheetjs/issues/2667#issuecomment-1118758504) Clay Levering, director of product engineering at Blu Digital Group.


Some called SheetJS' reasons "bizarre," while others supported that open source maintainers were free to do whatever they wanted to with their creations, but there might be caveats.


"Maintainers of OSS projects don't owe people anything, of course, but all I can say is you shouldn't be surprised when people (including your paying customers) look at this whole thing and decide to either fork the project or switch to a competing library not maintained by someone who makes decisions like this," wrote developer [Lynn Romich](https://twitter.com/lynnntropy) in the same thread.


"Because npm is statistically way more likely to exist 5 years from now than your personal CDN," continued Romich.


A Reddit user [surmises](https://www.reddit.com/r/programming/comments/uj5axj/comment/i7hgwvd/?utm_source=share&utm_medium=web2x&context=3) that SheetJS' bold decision may have to do with nothing other than pending litigation between the two parties.


"My guess is that they don't want to invest a penny of their developer's time into helping a company (npm) that they have lawsuit going with," writes the user.


Redditors also [became polarized](https://www.reddit.com/r/programming/comments/uj5axj/comment/i7iaut7/?utm_source=share&utm_medium=web2x&context=3) on whether mandatory two-factor authentication imposes additional hurdles for developers and if, at the end of the day, the trade-off between security and convenience is justified.


BleepingComputer has reached out to GitHub (npm) and SheetJS to better understand what the legal matters entail. At this time, we have not come across any public litigation documents. This post will be updated once we have more information.





## Tags:


### Autogenerated tags:
npm sheetjs github two-factor cdn
