# StackOverflow, Twitch, Reddit, others down in Fastly CDN outage
## Major websites around the world are either completely down or not loading properly in a global outage.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/stackoverflow-twitch-reddit-others-down-in-fastly-cdn-outage/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 08 June 2021, 06:33
+ Date scraped: 12 December 2023, 12:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/06/Globe-network-map.jpg)



Major websites around the world are either completely down or not loading properly in a global outage.


As noticed by BleepingComputer, sites currently impacted by this outage include:


* Amazon
* Amazon Web Services (AWS)
* CNN
* Debian.org repos (https://deb.debian.org/)
* GOV.UK
* GitHub
* Heroku (https://dashboard.heroku.com/)
* PyPI.org
* Reddit
* RubyGems.org
* Shopify
* StackOverflow
* TechRadar
* The Verge
* TomsGuide

This is not an exhaustive list as many more reports have surfaced on the internet of users struggling to access prominent websites.


Accessing any of the websites impacted by this issue throws a "connection failure," error, "IO error," or an HTTP 503 code, as seen by BleepingComputer:



![http 503](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/fastly%20cdn/http503.jpg)**Impacted websites throwing HTTP 503**


In cases of Amazon and GitHub, we observed that the images (or avatars), JavaScript files, CSS styling sheets, all likely hosted on a CDN, are not loading properly:



![amazon](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/fastly%20cdn/amazon.jpg)**Broken images, scripts and styling on Amazon**


Fastly CDN pins the outage on a software bug
--------------------------------------------


While an investigation is ongoing as to what the reason behind the outage might be, Fastly CDN has been seen as the common link.


Many of the impacted websites on the list rely on Fastly CDN to serve content, as noted by BleepingComputer.


As of Jun 8, 09:58 UTC time, Fastly's status page confirmed an ongoing issue that is being investigated.


"We're currently investigating potential impact to performance with our CDN services," [reads](https://status.fastly.com/incidents/vpk0ssybt3bj) Fastly's status page. 


Further in a summarized post-mortem report, Fastly stated that the issue had occurred due to a software bug in how configuration changes are handled.


"We experienced a global outage due to an undiscovered software bug that surfaced on June 8 when it was triggered by a valid customer configuration change."


"We detected the disruption within one minute, then identified and isolated the cause, and disabled the configuration."


"Within 49 minutes, 95% of our network was operating as normal."


"This outage was broad and severe, and we're truly sorry for the impact to our customers and everyone who relies on them, says Nick Rockwell, Senior Vice President of Engineering and Infrastructure, in Fastly's [report](https://www.fastly.com/blog/summary-of-june-8-outage).


*This is a developing story.*


*Updates:*


*06:44 AM ET: "The issue has been identified and a fix is being implemented," according to Fastly.*


*06:57 AM ET: The issue has been identified and a fix has been applied. Customers may experience increased origin load as global services return.*


*Jun 9th:*


*08:12 AM ET: Added that the cause of the outage was a software bug*


*h/t [Michael Kearns](https://uk.linkedin.com/in/plymouth), [Mayank Parmar](https://www.bleepingcomputer.com/author/mayank-parmar/)*





## Tags:
***urls***: https://deb.debian.org/ https://dashboard.heroku.com/

### Autogenerated tags:
websites cdn bleepingcomputer
