# Yes, there's an npm package called @(-.-)/env and some others like it
## Strangely named npm packages like -, @!-!/-, @(-.-)/env, and --hepl continue to exist on the internet's largest software registry. While not all of these may necessarily pose an obvious security risk, some were named before npm enforced naming guidelines and could potentially break tooling.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/yes-theres-an-npm-package-called-env-and-some-others-like-it/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 02 September 2023, 08:00
+ Date scraped: 02 September 2023, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/07/05/NPM_head_pic.jpg)



Strangely named npm packages like -, @!-!/-, @(-.-)/env, and --hepl continue to exist on the internet's largest software registry.


While not all of these may necessarily pose an obvious security risk, some were named before npm enforced naming guidelines and could potentially break tooling.


My colleague and Sonatype senior software engineer [Lex Vorona](https://www.linkedin.com/in/alekseyvorona/?originalSubdomain=ca) came across not one but several npm packages that do not strictly follow naming conventions, or have rather striking names.


"If you search for `@!-!/-` on npmjs.com it will tell you there are no packages like this. But if you just put that into the URL you'll see that it is actually a package: <https://www.npmjs.com/package/@!-!/->," Vorona shared with BleepingComputer.



![peculiarly named npm package ](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/npm-package-at/npm-package-at-exclaim.jpg)**Peculiarly named npm package '@!-!/-'** (BleepingComputer)


Package names beginning with an "@" indicate that the package is scoped as the symbol is used to denote [scopes](https://docs.npmjs.com/cli/v9/using-npm/scope), or namespaces on the npm registry.


For example, a company named "Example Inc." may choose to publish its npm packages "foo" and "bar" under its *@example* scope, making these packages appear as *@example/foo*, and *@example/bar* on npmjs.com*.*The forward slash (/) following the @ sign is used as a delimiter or separator between the scope and the package name.


That means, the package itself is called "-" but published under an oddly named scope "!-!" giving it a funky moniker altogether.


"There are also exist [`@----/-`](https://www.npmjs.com/package/@----/-?activeTab=versions) and [`@-)/utils`](https://www.npmjs.com/package/@-)/utils) which are also not searchable," Vorona further told us.


According to the npm security platform, Socket, [@----/-](https://socket.dev/npm/package/@----/-/files/1.0.0) is an empty package—containing no functional code other than the manifest, while [@-)/utils](https://socket.dev/npm/package/@-)/utils/overview) is deprecated. [@!-!/-](https://socket.dev/npm/package/@!-!/-/files/1.0.1) contains minimal code.


The engineer compiled a list of several oddly named packages, some with scope names that included a text emoji:


@!!!!!/elemental  

@!!!!!/javascript  

@!!!!!/mounted-to-dom  

@!!!!!/polarbear  

@!!!!!/require  

@!!!!!/walk-up  

@!!!!!/walk\_up  

@!-!/-  

@!tach!/sgejs  

@!vanilla/container  

@(-.-)/application-error  

@(-.-)/automaintainer  

@(-.-)/env  

@(-.-)/html  

@(-.-)/result  

@(-.-)/swagger-ui  

@(.\_.)/execute  

@(.\_.)/oooooo  

@(~\_~)/flex  

@))/singleton  

@-)/utils  

@----/-  

@-./db  

@-0/amplify  

@-0/browser  

@-0/hdom  

@-0/keys  

@-0/spool  

@-0/utils
Package names or commands?
--------------------------


While not all of these packages might be malicious or pose a threat, these could certainly confuse or break software development tooling that is not accustomed to parsing packages with unconventional names.


In an exclusive report, BleepingComputer had previously shed light on an [empty npm package "-"](https://www.bleepingcomputer.com/news/software/empty-npm-package-has-over-700-000-downloads-heres-why/) with more than 700,000 downloads.



![Empty package dash with 700000 downloads](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/npm-package-at/empty-package-dash.jpg)**Empty package "-" with more than 700,000 downloads**


The reason for this was hypothesized to be developers accidentally typing an extra hyphen ("-") in command line instructions, such as *npm i,*that would cause their npm client to download this empty package in addition to the package that they had intended to download.


Tactfully named packages like "[--hepl](https://npmjs.com/package/--hepl)" (as opposed to "--help") may achieve a similar effect given their [typo-squatting](https://www.bleepingcomputer.com/tag/typo-squatting/) potential.


BleepingComputer observed, [as soon as "--hepl" is installed](https://socket.dev/npm/package/--hepl/files/1.0.0/package.json#L8) it [displays the message](https://socket.dev/npm/package/--hepl/files/1.0.0/index.js), "You is pwnd" on the developer's console, making it a proof-of-concept (PoC) exercise. Not all packages might be this forgiving.


Although realistically, in most cases, providing "--hepl" as a command line argument may cause your tools to reject it as an invalid option and stop there.


Other examples of single-letter packages, or those resembling npm commands include, but aren't limited to: [i](https://www.npmjs.com/package/i), [g](https://www.npmjs.com/package/g), [install](https://www.npmjs.com/package/install), [D](https://www.npmjs.com/package/D), and [s](https://www.npmjs.com/package/s).


Starting in 2017, npm made revisions to its naming rules [to thwart typosquats](https://blog.npmjs.org/post/168978377570/new-package-moniker-rules.html) by disallowing use of both upper case letters in package names, and unscrupulous use of punctuation marks in an attempt to sneak in typosquats. But it may be more challenging to purge existing packages that were published prior to these rules coming into effect.





## Tags:
***urls***: https://www.npmjs.com/package/@!-!/-

### Autogenerated tags:
npm hepl bleepingcomputer vorona /utils
