# New Chinese APT campaign found targeting European embassies
## The China-based APT actor has been found using HTML smuggling to avoid detection.
## Information:

+ Link: https://www.csoonline.com/article/644522/new-chinese-apt-campaign-found-targeting-european-embassies.html
+ Source: CSO
+ Author: Shweta Sharma
+ Date published: 04 July 2023, 10:04
+ Date scraped: 04 July 2023, 11:00

## Article:
![Main article image](https://www.csoonline.com/wp-content/uploads/2023/07/trojan-horse-96670445-100265737-orig.jpg?quality=50&strip=all&w=1024)



The China-based APT actor has been found using HTML smuggling to avoid detection.








A China-based [advanced persistent threat (APT)](https://www.csoonline.com/article/535072/in-depth-what-does-apt-really-mean.html) campaign has been targeting European government entities focused on foreign and domestic policies, according to research by Check Point.


The campaign, dubbed SmugX, uses [HTML smuggling](https://www.csoonline.com/article/574519/html-smuggling-campaigns-impersonate-well-known-brands-to-deliver-malware.html), a technique in which attackers hide malicious payloads inside HTML documents.


Active since December 2022, the campaign is likely a direct continuation of a previously reported campaign attributed to [RedDelta and the Mustang Panda group](https://www.csoonline.com/article/572697/chinese-apt-group-mustang-panda-targets-european-and-russian-organizations.html), according to the Check Point report.


## Campaign targeting European embassies


Check Point said it has been tracking the Chinese threat actor for two months and has concluded that it is targeting foreign and domestic policy entities as well as embassies in Europe.



0 of 18 minutes, 26 secondsVolume 0%Press shift question mark to access a list of keyboard shortcutsKeyboard ShortcutsEnabledDisabledPlay/PauseSPACEIncrease Volume↑Decrease Volume↓Seek Forward→Seek Backward←Captions On/OffcFullscreen/Exit FullscreenfMute/UnmutemSeek %0-9
 


SettingsOffAutomated Captions - en-USFont ColorWhiteFont Opacity100%Font Size100%Font FamilyArialCharacter EdgeNoneBackground ColorBlackBackground Opacity50%Window ColorBlackWindow Opacity0%ResetWhiteBlackRedGreenBlueYellowMagentaCyan100%75%50%25%200%175%150%125%100%75%50%ArialCourierGeorgiaImpactLucida ConsoleTahomaTimes New RomanTrebuchet MSVerdanaNoneRaisedDepressedUniformDrop ShadowWhiteBlackRedGreenBlueYellowMagentaCyan100%75%50%25%0%WhiteBlackRedGreenBlueYellowMagentaCyan100%75%50%25%0%Auto270p720p406p270p180p







Live00:0218:2318:26 

"Combined with other Chinese based group's activity previously reported by Check Point Research, this represents a larger trend within the Chinese ecosystem, pointing to a shift in target towards European entities, with a focus on their foreign policy," the report added.


Apart from the UK, the campaign appears to be focused on Eastern European countries, including the Czech Republic, Slovakia, and Hungary. The goal of the campaign, as per Check Point's assessment, is to "get a hold of sensitive information on the foreign policies of those countries."




## SmugX deploys evasive PlugX variant


The campaign uses new delivery methods (mostly HTML smuggling) to deploy a new variant of PlugX, an implant commonly associated with various Chinese threat actors.


Also known as Korplug or Sogu, PlugX is a [remote access Trojan](https://www.csoonline.com/article/570049/from-pranks-to-apts-how-remote-access-trojans-became-a-major-security-threat.html) (RAT) that provides unauthorized access to a compromised system, allowing an attacker to control and monitor an infected machine remotely.



While the payload used in the campaign is similar to the ones found in older PlugX variants, the new delivery method has rendered lower detection rates and successful evasions.


"The way HTML Smuggling is utilized in the SmugX email campaign results in the download of either a JavaScript or a ZIP file. This leads to a long infection chain which results in PlugX infection of the victim," the report said.


The lure themes identified by Check Point focused majorly on Eastern and Central European domestic and foreign policy entities, along with a few Western European references. Most of the documents contained diplomatic-related content, directly related to China or human rights in China. Among the most intended victims were diplomats and public servants in government entities.





## Tags:
***ipv6-adresses***: :0218:2318:26

### Autogenerated tags:
html plugx smugx
