# Chrome Introduced Shared Memory Versioning to Enhance Browser Performance
## Google Chrome recently implemented Shared Memory Versioning, which eventually improves its speed through more effective cookie handling.
## Information:

+ Link: https://cybersecuritynews.com/?p=66983
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 07 June 2024, 00:59
+ Date scraped: 07 June 2024, 01:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiwjr7mCPkd3cNshzBM324UY5m8XKyf5_aQ2q0fANY8vLHjJzCYzmzDdCHvgbRnWTXj5K6VGmbCFWgbVIMnDMDKNpTNHi-dmkGrZsd3vmAkkSif7GvYh4gTjSW9wtJrmRYkNOU8e4w1lvo6lPvErA8Gj4nSE4iqct5_jFtUGAibkBat20-w9DP4v307Ayw/s1600/Buffalo%20man%20pleads%20guilty%20to%20buying%20stolen%20data%20from%20Genesis%20Market%20(2)%20(1).webp)


Google Chrome recently implemented Shared Memory Versioning, improving its speed through more effective cookie handling.


This upgrade improves Chrome and other Chromium-powered browsers like [Microsoft Edge](https://cybersecuritynews.com/microsoft-edge-flaw/) and Vivaldi.


Resource contention arises as more people rely on the Internet to do their daily tasks, placing increased demands on browsers to run several programs simultaneously.


The multi-process Chrome browser competes for various resources, including memory and CPU, of course, as well as its internal service queues.


Google has been concentrating on locating and resolving slower interactions from field data submitted by Chrome users, which is the definitive source of actual user experiences.


Google collects this field data by logging anonymized Perfetto traces on Chrome Canary and reporting them using a filter that protects privacy.


“When looking at field data of slow interactions, one particular cause caught our attention: recurring synchronous calls to fetch the current site’s cookies from the network service,” Google Chrome [said](https://blog.chromium.org/2024/06/introducing-shared-memory-versioning-to.html) in a blog post.


**`Analyze any **Malicious**URL, Files & Emails & Configuration **With ANY RUN**: **[Start your Analysis](https://app.any.run/plans/?utm_source=csnandgbhackers&utm_medium=article&utm_campaign=uac_bypass&utm_content=plans&utm_term=060624/)**`**


**Shared Memory Versioning to Improve Slow Interactions**
---------------------------------------------------------


As browsers became more multi-processive over time, the process that hosted the cookie jar handled an increasing number of queries. However, replying to every query blocks because the Web Spec requires Javascript to fetch cookies synchronously.


The queue of requests may back up in high-traffic situations when numerous websites seek cookies (and other resources) from the network service.


“We discovered through field traces of slow interactions that some websites were triggering inefficient scenarios with cookies being fetched multiple times in a row,” Google said.


“ We were astonished to discover that 87% of cookie accesses were redundant and that, in some cases, this could happen hundreds of times per second.”


A novel paradigm named Shared Memory Versioning provides a solution to this issue.


The goal is to associate each document value.cookie with a version that increases monotonically.


Alongside that version, each renderer saves the last time it read the document.cookie.


![Working of  Shared Memory Versioning](https://lh7-us.googleusercontent.com/docsz/AD_4nXcp00kcd34gWC5NbAT15Z8d1BBrjgDdQDL_QcneSKCo2uLJ8816gXkAc5xyx5z1lZ0_T-P_5s_OS8iXMREIyLp1LFQx1VFqlnU4-M24D3RJdN4M4EJ-Iz_j2BAxKVzlWVsBPqPQ0V7O04JWECglvvJFx2E?key=nK7NwZoHzk6EVxnK3akzIA)

Working on Shared Memory Versioning




The shared memory is where the network service hosts the version of each document.cookie.


Thus, renderers don’t need to send an inter-process query to the network service to find out if they have the most recent version.


This resulted in an 80% decrease in cookie-related inter-process messages and a 60% speed increase in document.cookie access.


By monitoring Chrome’s field data in response to user interactions on all websites, [Google](https://cybersecuritynews.com/hackers-exploit-cloud-services-steal-data/) Chrome has improved web performance and contributed to Core Web Vitals.


According to tests, pages can load up to 5% faster on all platforms.


While this gain may appear small, it is an essential component of a larger plan to improve browser responsiveness in general.





## Tags:


### Autogenerated tags:
google versioning websites document.cookie
