# Hackers Attempted To Takeover JavaScript Project From OpenJS Foundation
## Attackers tried to take over the JavaScript project from OpenJS Foundation, which is home to JavaScript projects utilized by billions of
## Information:

+ Link: https://cybersecuritynews.com/?p=62503
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 17 April 2024, 12:18
+ Date scraped: 17 April 2024, 14:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEizIRLCOI_Gr8_YVY-MZyFHUExd5ZgCD3CB1zxmj2KA1MKuS1XDZXKCJOYlyG6HfEYVfr54PKXHJsIpiNIQ_Weww1_VrH7Mkjy4xYdstKbKpmvYqf2vkF_jhfMRsrxTW44lwmce_CDKd_smhZDyKmrUZRSNCElRS4JtEZTc8skT4JL3AyOon5Sk7ajo0gzF/s16000/LeakyCLI%20Vulnerability%20Cloud%20Credentials%20(2).webp)


Attackers tried to take over the JavaScript project from OpenJS Foundation, which is home to JavaScript projects utilized by billions of websites globally.


This is similar to the incident that was recently disclosed and targeted at the open-source XZ Utils tracked as ([CVE-2024-3094](https://cybersecuritynews.com/xz-utils-backdoor-affects-kali/)).


The XZ Utils software supply chain breach was the outcome of a highly skilled social engineering operation in which the attacker gained the project’s maintainer’s trust over several years by making valid code contributions.


The Open Source Security Foundation (OpenSSF) and OpenJS published a joint alert on a similar credible takeover attempt, advising users to identify developing attack patterns and take precautions to secure their open-source projects.


**Specifics Of The Additional Credible Takeover Attempt**
---------------------------------------------------------


“The OpenJS Foundation Cross Project Council received a suspicious series of emails with similar messages, bearing different names and overlapping GitHub-associated emails”, reads [the alert](https://openssf.org/blog/2024/04/15/open-source-security-openssf-and-openjs-foundations-issue-alert-for-social-engineering-takeovers-of-open-source-projects/).


“These emails implored OpenJS to take action to update one of its popular JavaScript projects to “address any critical vulnerabilities,” yet cited no specifics.”


**`Free Live Webinar**`for DIFR/SOC Teams`**: Securing the Top 3 SME Cyber Attack Vectors - [Register Here](https://go.cynet.com/top-3-sme-attack-vectors?utm_source=gbhackers&utm_medium=display_ad&utm_campaign=Q2-sponsored-webinars)`**.


Despite having little past involvement, the email author(s) requested that OpenJS designate them as a new maintainer of the project.


The way that “Jia Tan” positioned themselves in the XZ/liblzma backdoor is quite similar to this strategy.


None of these individuals have been granted special access to the project hosted by OpenJS.


In this case, administrative access to the source code as a maintainer is not given out as a “quick fix” for any issue and instead demands a higher degree of earned trust.


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) stated last week that the XZ Utils backdoor event also emphasizes the “fragility” of the open-source ecosystem and the risks brought about by maintainer weakness.


The report advised paying attention to how interactions make you feel. A [social engineering](https://cybersecuritynews.com/social-engineering/) attack could involve interactions that foster self-doubt, feelings of inadequacy, the idea that you’re not doing enough for the project, etc.


**Unusual Patterns Associated With Social Engineering Takeovers**
-----------------------------------------------------------------


* Relatively unknown community members have been politely but aggressively and persistently pursuing the maintainer or their hosted entity.
* Request from new or unidentified individuals to be promoted to maintainer status.
* Endorsement from more unidentified community members who might likewise be acting under pretenses—a.k.a. “sock puppets”.
* PRs with blobs included as artifacts.
* Purposefully obscured or challenging to comprehend source code.
* Gradually escalating security issues.
* Deviation from standard project deployment, build, and compilation procedures can make it possible for malicious payloads from the outside to be inserted into binary artifacts like zip files or blobs.
* A delusion of urgency, particularly if it compels a maintainer to skip a control or do a review with less care.


In addition, OpenSSF recommends following industry-standard security best practices, strong authentication, a security policy including a “coordinated disclosure”, and emerging best practices for merging new code.





## Tags:
***CVE's***: CVE-2024-3094

### Autogenerated tags:
openjs javascript open-source xz utils
