# How ChatGPT and Bard Are Patching Up JavaScript Flaws : New Research
## Despite JavaScript's widespread use, writing secure code remains challenging, leading to web application vulnerabilities.
## Information:

+ Link: https://cybersecuritynews.com/?p=60297
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 22 March 2024, 06:02
+ Date scraped: 22 March 2024, 07:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgDmHTVsRYpOF38Ai2NqZkcMVvDvXdMwgPYA-epeWdjH0YpzQhVb7C69xIvv5m3xO3cv5E6SHKfkbmtHwa-lkSkHlMRmK1vEfPhlc33QD3omx4uV8iMg2sqbns6K_AVUpgfwwM36Ig35OwGoOyFGbL731uAiIRoa4gGxwOtiNCUnRvtwgMPSdEY86Qgtpw/s1600/Researchers%20Unveil%20How%20ChatGPT%20and%20Bard%20Are%20Patching%20Up%20JavaScript%20Flaws%20(1)%20(2).webp)


Despite JavaScript’s widespread use, writing secure code remains challenging, leading to web application [vulnerabilities.](https://cybersecuritynews.com/vulnerabilities-ipopular-fonts-arbitrary/)


Experiments on real-world vulnerabilities show LLMs hold promise for automated JavaScript program repair, but achieving correct fixes frequently requires providing an appropriate amount of contextual information in the prompt given to the LLM.


**The following cybersecurity researchers from Simon Fraser University recently unveiled how ChatGPT and Bard are patching up the JavaScript flaws:**–


* Tan Khang Le
* Saba Alimadadi
* Steven Y. Ko


Document

Free Webinar : Mitigating Vulnerability & 0-day Threats
-------------------------------------------------------


Alert Fatigue that helps no one as security teams need to triage 100s of vulnerabilities.

:


* The problem of vulnerability fatigue today
* Difference between CVSS-specific vulnerability vs risk-based vulnerability
* Evaluating vulnerabilities based on the business impact/risk
* Automation to reduce alert fatigue and enhance security posture significantly


AcuRisQ, that helps you to quantify risk accurately:


  [Book Your spot](https://www.indusface.com/mitigating-alert-fatigue-with-acurisq.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2024-mar-webinar-mitigating-alert-fatigue-with-acurisq) 


**Patching Up JavaScript Flaws**
Despite the use of techniques like static analysis and fuzzing, it is still sometimes difficult to understand and analyze programs because of the dynamic, asynchronous nature of JavaScript.


During the development process, many programmers create vulnerabilities without even knowing them as they try to make their programs secure.


⁤In addition, if used with the right tooling, big language models (BLMs) have the potential to improve developer efficiency while reducing new security bugs. ⁤


⁤However, there has been very little research regarding how effective such [LLMs](https://cybersecuritynews.com/security-dimensions-llm/) are in terms of identifying and fixing vulnerabilities in JavaScript as compared to C/C++ and Verilog languages.


Due to growing system [vulnerabilities](https://cybersecuritynews.com/vulnerabilities-ipopular-fonts-arbitrary/), automated program repair has emerged as a research area focused on techniques for generating source code patches. 


Classical approaches include using genetic programming to search for program variants addressing bugs without altering functionality and employing semantic analysis for automatic patch construction.


The rise of [large language models (LLMs)](https://cybersecuritynews.com/intended-pre-trained-llm-agents/) has driven major advances in automated program repair.


The accuracy of LLMs at identifying and fixing security bugs in JavaScript is investigated by researchers who study their responses to the repair of a particular “Out-of-bound Write” vulnerability in a given code.


While there may be many different ways to fix this problem, we are interested in finding out whether or not LLMs can come up with a working, secure patch, rather than looking at all possible solutions exhaustively.



![Example of an input prompt and the response (Source - Arxiv)](https://lh7-us.googleusercontent.com/1J2djtyjUWu6ZBLyKtrhAf4VVLgQ4npSjIKXeLo5Nr7Lmxxfo1FVaQDD_-e3JOUZfv6uy7qZ06Q3qzSZO5F8rkKPKM-ZJa1LnPHm0nVYwJXxst-YdQ2osYYoURm1-r3sIceyIIRDiRtsMnos7xfiNfA)Example of an input prompt and the response (Source – Arxiv)


By that evaluation, LLM’s capabilities for automated JavaScript bug fixing are revealed.


**To study the impact of contextual information on LLMs’ ability to generate repairs, three prompt templates were designed with varying levels of context:**–


* Context-free with only repair instructions and vulnerable code
* Context-sensitive adding the expected vulnerability type
* Context-rich including detailed comments explaining the vulnerability and potential [exploits](https://cybersecuritynews.com/hackers-are-selling-exploits/)



![Proposed prompt templates (Source - Arxiv)](https://lh7-us.googleusercontent.com/tUj-39tKpXAV0-PB-078VlPvOr1pXEIb6rkA19nYth6NrTcalfkgSGNoVxiotLvI8Ccx0nhbWhG9-IgukSiaLPo9tyUeLvSbcwC-VN44Fbo0CepjH7A1BtQ2IK-GlnSE67vh_ZZEl_hjVmCUp7LEEdE)Proposed prompt templates (Source – Arxiv)


Here, cybersecurity analysts opted for 20 popular JavaScript vulnerabilities that were pinpointed, and three templates with different context levels generated 60 repair prompts.


The evaluations of how [ChatGPT](https://cybersecuritynews.com/hackergpt-2-0/) and Bard have performed in automatically fixing these flawed codes showed that ChatGPT had a higher rate of accuracy, reaching 71.66%, compared to the second one, Bard, which had an almost similar percentage of 68.33%. 


⁤These findings [demonstrate](https://arxiv.org/pdf/2403.13193.pdf) that large language models are capable of repairing automated JavaScript vulnerabilities and provide evidence of the role played by contextual cues in generating appropriate responses.





## Tags:


### Autogenerated tags:
javascript llms chatgpt
