# Roblox Developers Targeted with of Dozen Malicious Packages
## In a striking parallel to a 2021 attack, a group of researchers has uncovered a resurgence of malicious packages on the npm repository, targeting developers using the Roblox API.
## Information:

+ Link: https://cybersecuritynews.com/?p=38651
+ Source: Cyber Security News
+ Author: Sujatha
+ Date published: 23 August 2023, 16:19
+ Date scraped: 23 August 2023, 17:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgURC1WJ3ctgoW58ZQkyFyhM7JJFUu7e9hYFUwdwSNPHZXYZpOILgUgA1F3RD1NlymxPeE4kv994X4ve9mc8MYuH1iVS3nqA6GvvQO0BT0AlAynZcO8S3ouJMKm6G1Cp1sCaqvhChKN-0ns6NyQT6W2ORz3N26A8adkGpEoJlIYITGLHtqf8QafnlNgDogh/s1600/SEIKO%20Data%20Breach(12)-1.webp)


In a striking parallel to a 2021 attack, a group of researchers has uncovered a resurgence of malicious packages on the [npm repository](https://cybersecuritynews.com/new-npm-malware-mines-cryptocurrency-on-windows-linux-macos-devices/), targeting developers using the Roblox API. 


These malicious packages deploy the notorious Luna Grabber, an open-source information-stealing malware, adding yet another layer of sophistication to a campaign that raises red flags for software [supply chain](https://cybersecuritynews.com/supply-chain-attack/) security. 





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



**The Phantom Attack:**
-----------------------


Since the inception of August, ReversingLabs researchers have spotted over a dozen malevolent packages on the npm public repository.


A notable similarity to the 2021 campaign emerges as these packages mimic the reputable ‘noblox.js,’ a Node.js Roblox API wrapper used by developers to script interactions with the Roblox [gaming platform](https://cybersecuritynews.com/data-breach-in-online-games-how-to-protect-yourself/). 


The objective is to deceive developers into downloading and executing compromised packages housing Luna Grabber, a formidable [information-stealing](https://cybersecuritynews.com/hackers-hide-malware-png-files/) malware.


The focal point of this campaign revolves around developers creating scripts for the Roblox gaming platform.


The genuine ‘noblox.js’ package aids in crafting JavaScript scripts that enhance interactions with Roblox, enabling activities such as user promotion and managing communities.


The counterfeit packages discovered by ReversingLabs replicate code from the legitimate ‘noblox.js’ but embed malicious information-stealing functions.


**Malware npm Packages**
------------------------


Recalling a past instance, this attack tactic isn’t entirely new. In 2021, Sonatype revealed an analogous campaign where malicious npm packages posed as ‘noblox.js’ by capitalizing on typosquatting.


Like their contemporary counterparts, these malevolent packages replicated legitimate code and carried a malicious post-installation script.


The outcome was the deployment of ransomware, putting unsuspecting developers at risk.


**The Complex Dance:**
----------------------


Though the recent campaign echoes the 2021 model, it amplifies its complexity.


Malicious packages, such as ‘noblox.js-vps,’ ingeniously imitate the original ‘noblox.js,’ even fashioning legitimate npm pages to lend credibility.


The bait, however, is in the post-installation stage—once installed, a separate file, ‘postinstall.js,’ harbors the [malicious payload](https://cybersecuritynews.com/gootkit-loader-malware-using-vlc-player/).


![noblox.js-vps’s behavior indicators](https://lh4.googleusercontent.com/SbA-Bkmn0Y-Y5DroVPUmMzyKl3VHiQJh8TBxsXT0n7LA40fOErS3bbQCVPbFvSw8T_0nLYD9epvX8paIOTEMX-XLWxF2XXg6nNjHQGNh3H1K67wntB432nVJme9q-Rjd_e9bwYuRzX1ZI97OD--_3o4)**Behavior indicators of noblox.js-vps**


The distinct evolution of the ‘*noblox.js-vps*‘ package becomes apparent upon close examination. 


Early versions contained rudimentary scripts, while subsequent iterations displayed more sophisticated behavior.


The climax is reached with a malicious PyInstaller-compiled executable that harnesses Luna Grabber’s power.


This malware scavenges information from local web browsers, Discord applications, and system configurations.


![noblox.js-ssh’s npm page](https://lh5.googleusercontent.com/Gc66NCH8QVLCkNYE2zsst_iv6rLWe254NAmJStsEokSPygbOCh4RFgjx13ILcJ6Rc213qtkMFejY4gHwXWhhfhbL4KqTrAYwKs57iaVz-TbrN6MlQcml5tT6-2Z-KHhx4ytz928fGHEvfudb5ByTK0w)**Attackers made noblox.js-ssh’s npm website page look legitimate.**


**Luna Grabber’s Playbook:**
----------------------------


Luna Grabber emerges as the malicious actor’s weapon of choice, offering a plug-and-play malware experience.


“Luna Grabber is very customizable and has detailed instructions on its GitHub page on how to compile a malicious executable”


![Luna Grabber builder, taken from its official GitHub page](https://lh3.googleusercontent.com/PGlKVV_r0ggOmcQmA-MOKTgPiVUeJ2-ZscAktqoyGrVy5IqSbZPKCS-GnnOmJE7BUf_3Q5bFMkw4iQMyStNakVMTIlOuUQyUmUriNWEkon2yo1ly8PIAIJdClWFGUQnnSuIqL5seBUXopF7ipALQF0U)**Luna Grabber builder, taken from its official GitHub page**


ReversingLabs’ investigation reveals that each iteration of the second-stage script downloads the same third-stage executable payload.


This PyInstaller-compiled executable, once dissected, is a manifestation of Luna Grabber, tailored to pilfer [sensitive data](https://cybersecuritynews.com/discordio-hacked/) with a customized twist.


**Implications and Beyond:**
----------------------------


While the impact of this specific campaign was limited, it underscores the vulnerability inherent in open-source repositories.


This had an impact of 963 downloads of three different malicious packages, which is considered as limited, says reversing labs.




|  |  |
| --- | --- |
| package\_name | download\_number |
| noblox.js-vps | [585](https://npm-stat.com/charts.html?package=noblox.js-vps&from=2023-07-31&to=2023-08-03) |
| noblox.js-secure | [243](https://npm-stat.com/charts.html?package=noblox.js-secure&from=2023-08-01&to=2023-08-04) |
| noblox.js-ssh | [135](https://npm-stat.com/charts.html?package=noblox.js-ssh&from=2023-08-06&to=2023-08-10) |




The recurrence of malicious packages under the pretense of trusted counterparts exposes developers to risks they might overlook.


It prompts organizations to exercise extreme caution while selecting packages for their projects, emphasizing the importance of robust supply chain security practices.






## Tags:


### Autogenerated tags:
npm roblox malware ‘noblox.js information-stealing reversinglabs
