# WhatsApp Web Code Hacked - Here's How to Confirm the Integrity
## Ever since its introduction, many of the WhatsApp users were using WhatsApp directly from their web browser. An important capability of this feature is that it supports up to 4 devices.
## Information:

+ Link: https://cybersecuritynews.com/?p=8814
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 13 March 2022, 07:32
+ Date scraped: 13 March 2022, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/a/AVvXsEiYPv6zYIigajj1z2mR9YFUiWRS3fn_uRYwFOndPt1cZQ1brsXStwPGESFpARqH_YpkKp0_ffRgdbaKcsuV5zRu1AsxkapuoWJ6SfRmBhOETBbzIdIWwU8MwPJ15GaAy_92viRZeePh01DexIgDitxV6G_MUyA1whs4eXKEl9j_Qs3kHPnigryfh51PIQ=s16000)

Every WhatsApp user might have known about the multi-device capability feature that was introduced as a beta programme last year. Ever since its introduction, many of the WhatsApp users were using WhatsApp directly from their web browser. An important capability of this feature is that it supports up to 4 devices.

To protect WhatsApp web users from tampered QR codes, Meta has introduced a new browser extension known as “Code Verify”. This extension verifies the authenticity of the WhatsApp web code served to the user’s browser. End-to-end encryption has been in place for a long period of time in WhatsApp in which messages are encrypted from the sender’s end and decrypted at the receiver’s end.

In case of a mobile app, the authenticity of the application is audited by any of the third-party app stores. But when it comes to browsers, there is no auditing or reviewing of the integrity. It is directly served to the user’s browser. Any third party sites might intervene in the browser’s functionality and steal confidential data or tamper the integrity. Code Verify adds an additional layer of security to WhatsApp web users.

## **Code Verify – How Does it Work?**

Code Verify has partnered with Cloudflare to help provide transparent verification of the code. It is also left open source so that other companies might also use that code to build their own security extensions or authenticators.

Code Verify will check every resource being fetched by the browser and ensures that they are not manipulated or tampered in any way. It uses the concept of **“subresource integrity”** to do this. But Subresource integrity lacks in many cases since it only applies to single files. Code Verify checks the entire resource page for tampered data. Cloudflare plays a major role to enhance trust in this process.

The working structure of Code Verify can be explained in a flow chart.  
![Image](https://lh4.googleusercontent.com/37sh0Re6JE7-fumEp6qCMLs7rd4DTBVubuKOwoa-S1scolZT-uqrhnHcvfBz_7POwFItJxhufsctKJHhpEoc9l0Yj0SnJyfvV7bGmvFoG9eesUfKbwK6862bufjQ9DZxAee3xRRnw1mQJOcNKzI)

*Source : Meta*

WhatsApp provided a cryptographic hash source of truth that is based on the WhatsApp web’s JavaScript code. When a user uses Code Verify extension, it compares the code of WhatsApp web with the code version provided by WhatsApp and with the code published on Cloudflare. If any of them doesn’t match or is found tampered, Code Verify notifies the user. This provides a real-code verification for the users. Whenever the code is updated on WhatsApp, the cryptographic source of code and the Code Verify extensions will automatically update.

## **Code Verify – How to Use?**

Code Verify extension is available in most of the web browsers like Firefox, Chrome, Edge etc. Meta also added that this extension will not monitor or collect any data and it will not share any information with WhatsApp or Cloudflare. Code Verify will have three alert signals.

Green – Fully Validated

Yellow – Another browser extension is interfering with Code Verify

Red – Validation Failure due to security issues.

Source : Meta

![Image](https://lh4.googleusercontent.com/W9LsDZhk5R8TAsYPF_otUpu2Qr7p3tisDHrRbu9GAQs_-eP6lmJ2OVi5pmqrb3FNrpHnLu4iJwtducz0GjLunvCbHHTKXRP7U4kjPWjzTyhcaB4Bpekk3xpFwIAjsj3LjeumXHabp-an_mppKdU)Meta has decided to put the code in Github so that the open-source community can share their ideas to help improve the feature.   
Meta [posted](https://engineering.fb.com/2022/03/10/security/code-verify/) that, *“We believe that with Code Verify, we are charting new territory with automatic third-party code verification, particularly at this scale. We hope that more services use the open source version of Code Verify and make third-party verified web code the new norm. And in doing so, we hope this helps bring additional security protections to people all over the world and move the entire industry forward. “*




## Tags:


### Autogenerated tags:
whatsapp cloudflare third-party
