# Hacktivism and its impacts on mental health
## Hacktivism and its lesser-known impacts on mental health
## Information:

+ Link: https://cybernews.com/security/hacktivism-impacts-mental-health/
+ Source: CyberNews
+ Author: 
Jesse William McGraw

+ Date published: 30 November 2023, 15:30
+ Date scraped: 03 December 2023, 11:02

## Article:
![Main article image](https://media.cybernews.com/images/featured/2023/11/worried-hacker-computer.png)


***I get it. Like me, you’re wired in. Maybe your vice is social media or gaming. Perhaps you’re an Infosec researcher, or a hacker, or OSINT investigator. Whatever your function is, what began as a romance with technology ultimately evolves into a bitter love/hate relationship, taking a toll on your emotions and your overall psychological well-being.***


I began my hacking journey in 1998 when I was 14 years old and totally unsupervised. This meant I had free rein to explore and learn without any restrictions. Cyberspace was my escape from a troubled teenage life in high school.


Although I stepped away from it for a while in my late teens, as a young adult, my life was surrounded by extraordinary circumstances that ultimately spiraled into an existential crisis that drove me right back into the mix. At that point, there was no turning back. Hacking had once again become my escape and distraction and a means for me to process and respond to my own existence.


My journey started with social engineering attacks over IRC chat rooms, tricking unsuspecting people into downloading a malicious executable, which in turn gave me access to their systems. Over time, this evolved into hacking network protocols, such as remote desktops (RDP), File Transfer Servers (FTP), (Network Basic Input/Output Systems (NETBIOS), and other standard network protocols and then basic web application hacking.


During this journey, I developed a sense of purpose, began to lean more toward hacktivism, and adopted a genuine sense of altruism instead of acts of mischief and curiosity. The more disenfranchised I became with my life dynamic, society, and the world around me, the harder I drove into the hacker subculture, which ultimately became my identity.


At this point, I was locked into the hacktivist mindset completely. It was my duty to protect and defend the people, even my responsibility. I justified this mind frame with almost a religious fervor. I was radical for hacktivism and for taking down enemy groups that posed a threat to others and to our own existence.


This meant that I was engaged on all fronts. We were defending our territories. Debating and arguing with people over social media. Proving wrong all the naysayers. Retaliating against those who opposed us. By then, it became less about fighting for the underdog and more about my ego, being right, and being radical for our reputation.


Most nights, I only slept less than 3 hours, and sometimes I didn’t sleep for days during critical missions. In order to keep my momentum going, I stayed jacked on energy drinks, embracing insomnia and my full-fledged computer addiction. One time during Thanksgiving, I even left a family gathering during Thanksgiving to hop on public WiFi to respond to a massive botnet attack against one of my members carried out by Chinese hackers.


My addiction to hacking was so egregious that my spiritual guidance counselor actually entered my home and took my computers away against my will. So, what did I do? I started hacking my Sony PSP. I developed my own web portal written in javascript to access many of our online tools, and could still search Google Dorks, dump username and password tables from vulnerable web servers, crack the MD5 password hashes, and deface the web pages.


Eventually, I forced myself to disengage from the internet for a month. I left someone to assume control of my crew under my alias so nobody would know I was absent. During that month, I still couldn’t recover because every new circumstance that arose on the web was an opportunity I was missing. Inevitably, I wired back in harder, diving in deeper while pushing past the mounting depression and utter exhaustion.


Until the night I was arrested.


Hacktivists, take a moment to be vulnerable
-------------------------------------------

The spirit of hacktivism is deeply enmeshed in altruism, which encompasses humanitarianism at its core. However, it is best described as the principle or practice of unselfish concern for or devotion to the welfare of others (as opposed to egoism). This is why genuine hacktivists consider their objectives as a moral duty, which can take on the form of emotional weight.


We see things we hoped to never see. We are pressed on all fronts to deliver justice, expose corruption, combat cyberbullies, hunt and report cases of sexual predators against children, and use our skills to rectify the wrongs we encounter, knowing that most instances like these aren’t guaranteed any redress in the courts across the world.


I had the pleasure of speaking with two hacktivists from the group GhostSec, Sebastian Dante Alexander and wond3rghost. Both offered different perspectives on the impact of mental health from engaging in their hacktivities.


Sebastian compares hacking to artistry, which he enjoys. He experiences an adrenaline rush that’s incomparable to anything else in addition to personal satisfaction from helping others “[while] having a genuine effect on the world [and] also an occasional monetary gain.”


“The only thing to gain from it is any emotion,” said wond3rghost, explaining how hacktivism makes her feel alive in a unique way. Moreover, it invokes what she describes as “a feeling of accomplishment sets in when we make a difference in the life of strangers.”


When I asked them whether their work ever takes a toll on their emotional well-being, both had different approaches to confronting emotional challenges that may arise. Sebastian said that he enjoys everything he does while other people sit on social media and in front of their televisions watching the same news. He explained that instead of doom scrolling through horrible images of war and ruminating on news vomit, he tries to take action to cause change. He redirects any negative feelings by focusing on what he can do.


“I know that if I fall down to negative emotions and eventually collapse and give up … [GhostSec] fall[s] with me. But if not me, then who?” said Sebastian.


In the words of wond3rghost, “Without a doubt, there is a huge impact. First, carrying out illegal activities that risk your freedom, in general, maintains a subtle cloud of stress at all times,” she said. “Then, the level of impact on our mind depends on the type of actions that are carried out and on our ability to respect our tolerance threshold.”


She explained that her journey began with #OpChildSafety, which is an initiative to fight against online pedophiles and child sexual abuse material (CSAM). “Already there, I understood in the first few months that it was not for me. I had nightmares, I became so paranoid that every time I saw a child, I tried to detect if they needed help in an obsessive way. The horrors I saw will never be erased from my mind. At a certain point, I had to rethink my actions. You can't help others if you can't help yourself.”


The emotional impact: unloaded
------------------------------

The things we encounter online can impact us greatly. For example, during the 2009 Iranian presidential election, which then-President Mahmoud Ahmadinejad won, securing a second term, protestors in Tehran Square amassed, crying, “Voter fraud!” To make a long story short, the world watched in horror as the peaceful protestor Neda Agha-Soltan, 27, was murdered in cold blood on her way to her car by the pro-government Basij militia*.* It was caught on camera by multiple camera phones. 


That was the first time I’d seen someone murdered, witnessing the process as life transitions to death. It traumatized me and made me cry. To this very day, I remember it and will never forget what I saw and how it made me feel.


“Some operations do require heavy attention and will need me to be constantly awake and aware,” Sebastian said, explaining how some operations can affect his ability to sleep due to the need to stay wired into an operation and emotionally detach himself from it.


When asked if any facet of the hacktivism lifestyle and all that it entails has ever robbed wond3rghost of sleep or any other aspect of the private side of her life, “Definitely,” she said.


“It's inevitable, in fact. Because firstly, each of the operations in which I was involved was close to my heart. If I participate, it is because a feeling of injustice and rage invaded me regarding a situation. Second, when practicing hacktivism, a certain situation can happen, such as a person's life is at stake, a sudden massacre takes place, and we have the possibility to counterattack via their websites or their networks, or sadly, a situation when one of us is arrested, or even dies.”


With respect to the addictive nature of hacktivism, it can be extremely difficult to disengage from it because sometimes the brain does not want to deprive itself of the dopamine reward that awaits.


“Oh, it happens to me frequently, it's part of the game,” said wond3rghost. “Hacking itself, without activism, has this effect. The adrenaline that it triggers in us is addictive. The desire to learn more and discover further, the ability to rethink what has already been done and do it even better. It's all part of me.”


Although Sebastian confessed that he does not experience depression from the work he does because of his devotion to the cause, it’s important to note that pure altruism, when it is confronted with the powerlessness to help others in certain situations, can negatively impact hacktivists differently.


For example, I will feel overwhelmed. In my inability to respond to a situation, every now and then I can descend to a level of self-deprecation or spaces of depression until I find a way to process it and overcome it.


“This happened to me,” said wond3rghost. “Unfortunately, sometimes we can't do anything, we are useless when bombs fall, when a child is kidnapped, or when a natural disaster kills thousands of people. Certainly, in some cases, a series of attacks will be launched in response.”


What she said next is thought-provoking.


“But will it repair the damage caused by this bomb? Will this bring this child back to her mother? No. So what do I say to this mother waiting for my answer because she was told by the authorities that they would never find this child? Then, I have lost some brother on the road.


From the outside, people don't understand the kind of relationships we have in this cyber space. Some are important to me just as much as the people in my life. The hardest part was the last one who committed suicide recently. When you talk to someone every day, you wonder if you could have prevented this.”


Under pressure, both distract themselves by taking on more objectives to ensure that the mission momentum doesn’t skip a beat. This means that some individuals are not prone to stopping or taking a break because that’s how they process. As for me, I am known to disconnect completely as I disappear into the wilderness and hike for hours.


When I resurface, I feel lighter, unburdened. Then I wire in again and repeat the process till my last breath.








---





## Tags:


### Autogenerated tags:
hacktivism wond3rghost hacktivists
