# Russian FSB Counterintelligence Chief Gets 9 Years in Cybercrime Bribery Scheme
## The head of counterintelligence for a division of the Russian Federal Security Service (FSB) was sentenced last week to nine years in a penal colony for accepting a USD $1.7 million bribe to ignore the activities of a prolific Russian…
## Information:

+ Link: https://krebsonsecurity.com/2024/04/russian-fsb-counterintelligence-chief-gets-9-years-in-cybercrime-bribery-scheme/
+ Source: Krebs on Security
+ Author: Krebs on Security
+ Date published: 22 April 2024, 00:00
+ Date scraped: 23 April 2024, 14:07

## Article:
![Main article image](https://krebsonsecurity.com//favicon.ico)


The head of counterintelligence for a division of the Russian **Federal Security Service** (FSB) was sentenced last week to nine years in a penal colony for accepting a USD $1.7 million bribe to ignore the activities of a prolific Russian cybercrime group that hacked thousands of e-commerce websites. The protection scheme was exposed in 2022 when Russian authorities arrested six members of the group, which sold millions of stolen payment cards at flashy online shops like **Trump’s Dumps**.


![](https://krebsonsecurity.com/wp-content/uploads/2017/05/trumpsdumps-580x395.png)A now-defunct carding shop that sold stolen credit cards and invoked 45’s likeness and name.


As [reported](https://therecord.media/former-fsb-officer-sentenced-russia-helping-hackers) by *The Record*, a Russian court last week sentenced former FSB officer **Grigory Tsaregorodtsev** for taking a $1.7 million bribe from a cybercriminal group that was seeking a “roof,” a well-placed, corrupt law enforcement official who could be counted on to both disregard their illegal hacking activities and run interference with authorities in the event of their arrest.


Tsaregorodtsev was head of the counterintelligence department for a division of the FSB based in Perm, Russia. In February 2022, Russian [authorities arrested six men in the Perm region](https://krebsonsecurity.com/2022/02/russian-govt-continues-carding-shop-crackdown/) accused of selling stolen payment card data. They also seized multiple carding shops run by the gang, including **Ferum Shop**, **Sky-Fraud**, and **Trump’s Dumps**, a popular fraud store that invoked the 45th president’s likeness and promised to “make credit card fraud great again.”


All of the domains seized in that raid were registered by an IT consulting company in Perm called **Get-net LLC**, which was owned in part by **Artem Zaitsev** — one of the six men arrested. Zaitsev reportedly was a well-known programmer whose company supplied services and leasing to the local FSB field office.


![](https://krebsonsecurity.com/wp-content/uploads/2022/02/deptk-td.png)The message for Trump’s Dumps users left behind by Russian authorities that seized the domain in 2022.


Russian news sites report that Internal Affairs officials with the FSB grew suspicious when Tsaregorodtsev became a little too interested in the case following the hacking group’s arrests. The former FSB agent had reportedly assured the hackers he could have their case transferred and that they would soon be free.


But when that promised freedom didn’t materialize, four the of the defendants pulled the walls down on the scheme and brought down their own roof. The FSB arrested Tsaregorodtsev, and seized $154,000 in cash, 100 gold bars, real estate and expensive cars.


At Tsaregorodtsev’s trial, his lawyers argued that their client wasn’t guilty of bribery per se, but that he did admit to fraud because he was ultimately unable to fully perform the services for which he’d been hired.


The Russian news outlet *Kommersant* reports that all four of those who cooperated were released with probation or correctional labor. Zaitsev received a sentence of 3.5 years in prison, and defendant **Alexander Kovalev** got four years.


In 2017, KrebsOnSecurity [profiled Trump’s Dumps](https://krebsonsecurity.com/2017/05/trumps-dumps-making-dumps-great-again/), and found the contact address listed on the site was tied to an email address used to register more than a dozen domains that were made to look like legitimate Javascript calls many e-commerce sites routinely make to process transactions — such as “js-link[dot]su,” “js-stat[dot]su,” and “js-mod[dot]su.”


Searching on those malicious domains revealed [a 2016 report from RiskIQ](https://web.archive.org/web/20161114152809/https://www.riskiq.com/blog/labs/magecart-keylogger-injection/), which shows the domains featured prominently in a series of hacking campaigns against e-commerce websites. According to RiskIQ, the attacks targeted online stores running outdated and unpatched versions of shopping cart software from **Magento**, **Powerfront** and **OpenCart**.


Those shopping cart flaws allowed the crooks to install “web skimmers,” malicious Javascript used to steal credit card details and other information from payment forms on the checkout pages of vulnerable e-commerce sites. The stolen customer payment card details were then sold on sites like Trump’s Dumps and Sky-Fraud.





## Tags:


### Autogenerated tags:
fsb tsaregorodtsev e-commerce zaitsev
