# Multi-million investment scammers busted in four-country Europol raid
## 216 questioned, 15 arrested, 4 fake call centres searched, millions seized…
## Information:

+ Link: https://nakedsecurity.sophos.com/2023/01/16/multi-million-investment-scammers-busted-in-four-country-europol-raid/
+ Source: Naked Security
+ Author: Paul Ducklin
+ Date published: 16 January 2023, 19:10
+ Date scraped: 17 January 2023, 19:00

## Article:
![Main article image](https://nakedsecurity.sophos.com/wp-content/uploads/sites/2/2023/01/scam-1200.png?w=775)


Another day, another series of cryptocurrency scams…


…these, fortunately, brought to a halt, though sadly not before they’d defrauded “investors” around the globe to the tune of millions of dollars.


[According to Europol](https://www.europol.europa.eu/media-press/newsroom/news/call-centres-selling-fake-crypto-taken-down-in-bulgaria-serbia-and-cyprus), 216 people were questioned in Bulgaria, Cyprus, Germany and Serbia; 15 have already been arrested; 22 searches were conducted, including at four separate call centres; and about $1,000,000 in cryptocurrency was seized.


Law enforcement also confiscated €50,000 in cash; got hold of numerous electronic devices, presumably including laptops, servers, phones and backup devices; and towed away three vehicles.


As we’ve mentioned before, scammers’ cars are often at the [show-off end](https://nakedsecurity.sophos.com/2014/05/12/cybercrime-boss-offers-a-ferrari-for-best-online-scam/) of the vehicular spectrum, and thus worth lots of money, but also potentially include valuable forensic evidence from their numerous on-board computer systems.




> [Cybercrime boss offers a Ferrari for best online scam](https://nakedsecurity.sophos.com/2014/05/12/cybercrime-boss-offers-a-ferrari-for-best-online-scam/)
> 
> 






## All a pack of lies


These scammers used a well-known mechanism for drawing in their victims: start small, simulate regular and substantial gains via totally fictitious online reports, and use this bogus “success” as a lure to convince victims to invest more and more.


Europol notes that although most of the victims seem to be from Germany, where this investigation started, the scammers are known to have fleeced people worldwide, including in Switzerland, Australia and Canada.


Remember that in a scam of this sort, the criminals often allow victims to withdraw a percentage of their “gains”, as a way of convincing them that their investments really do have some sort of “liquidity” and aren’t just being swallowed up forever.


Of course, all they’re really doing is giving you a small fraction of your own money back, under the guise of an interest payment or some other gain in capital value.


Likewise, given that all the “gains” you are looking at are ficticious, concocted via a fake “trading” website that shows everyone’s investments booming, it’s easy for the crooks to pretend to pay you “incentives” for investing more, or to award “bonuses” if you help them draw new people into the scam.


When sufficiently many victims start demanding to withdraw their “investments” – or at least to access more funds than they originally put in – then the crooks know that the game is up…


…and at this point, they will typically cut and run, shutting down the scam site abruptly and vanishing into cyberspace with all the “investments” they’ve tricked people into handing over so far.


We’re guessing that in this case, because Europol describes the criminals as having four call centres, and as operating “fake cryptocurrency schemes” (note the use of the plural noun *schemes*), that when one fake website was shut down, another “investment opportunity” would soon spring up targeting new victims.


## Post-scam scamming


We’ve even reported before on a cryptocoin scam, prevalent in South East Asia, where the crooks throw in a [sting-at-the-end-of-the-sting](https://nakedsecurity.sophos.com/2022/11/23/cryptorom-pig-butchering-scam-sites-seized-suspects-arrested-in-us/).


These scammers, known as the CryptoRom gang, don’t simply break off contact and run away when a victim tries to withdraw all their “funds” – they try out a post-scam scam where they tell the victim that their withdrawal is on its way, except that it’s been frozen by the government for tax reasons.




> [Multimillion dollar CryptoRom scam sites seized, suspects arrested in US](https://nakedsecurity.sophos.com/2022/11/23/cryptorom-pig-butchering-scam-sites-seized-suspects-arrested-in-us/)
> 
> 






The victim is presented with a tax bill, typically 20% of the “gain” they’ve made, so they’ll only be getting 80% of their “earnings” out.


Unfortunately, the scammers say, simply subtracting the 20% tax amount from the withdrawal (a method used by genuine tax authorities, commonly known as a *witholding tax*) isn’t an option, because of the “government freeze” on the funds.


The victim will need to pay in that 20% themselves – indeed, they’d jolly well better pay in quickly, the scammers claim, given that the “authorities” are now involved and looking for their share.


What was initially a love-your-victim attitude, aimed at praising them for their wise “investments” and congratulating them on their “success”…


…turns into a squeeze-as-hard-as-you can approach aimed at scaring victims into parting with a final lump sum that the criminals know full well they can’t afford, and may well leave them destitute or deeply in debt to friends and family.


## Scam on top of scam on top of scam


As we’ve written before, some victims even experience a sting in the tail-of-the-tail of multi-layer scams like this.


Once you realise you’ve been scammed, whether the scammers pull the plug on you, or you pull the plug on them, you may “co-incidentally” be contacted by someone who sympathises with your plight (they may claim that this recently happened to them), and who knows just the thing for you to try next…


…a cryptocurrency recovery service!


Cryptocoins, by design, are largely unregulated, pseudo-anonymous, and typically hard or even impossible to trace and recover.


But cryptocoin recoveries do sometimes happen, occasionally in astonishing amounts and after lengthy periods.


At the end of 2022, for example, US Internal Revenue Service (IRS) investigators [announced](https://nakedsecurity.sophos.com/2022/11/08/silk-road-drugs-market-hacker-pleads-guilty-faces-20-years-inside/) that they had tracked down and arrested an individual called James Zhong, of Gainesville, Georgia.


They allege that Zhong had stolen about 50,000 Bitcoins from the infamous [Silk Road](https://nakedsecurity.sophos.com/2015/06/01/silk-road-founder-ross-ulbricht-gets-life-without-parole/) dark web market not long before it was shut down in 2013.




> [Silk Road drugs market hacker pleads guilty, faces 20 years inside](https://nakedsecurity.sophos.com/2022/11/08/silk-road-drugs-market-hacker-pleads-guilty-faces-20-years-inside/)
> 
> 






The investigators apparently recovered the majority of those Bitcoins, then worth well over than $3 billion (yes, we do really mean $3000 million), that had been hidden for nearly a decade in a popcorn tin that they found under a pile of blankets in the corner of one of Zhong’s cupboards.


Sadly, if you go down this alleged “cryptcoin recovery service” rabbit hole, you aren’t going to get any money back, because you’re simply wandering into yet another level of the scam.


You will just be pouring yet more good money after bad, and your overall losses will be even more catastrophic.


## What to do?


* **If it sounds too good to be true, it IS too good to be true.** Talk is cheap, and the fact that these scammers apparently ran four call centres involving hundreds of people is a good reminder that you have no reason to trust anyone who contacts you unexpectedly.
* **Take your time when online talk turns from friendship to money.** Some scammers use social media and dating sites to stalk and befriend potential victims in a more personal way than simply cold-calling thousands of people. Don’t be swayed by the fact that your new “friend” happens to have a lot in common with you, and don’t let yourself be mesmerised by their “investment advice”. It’s easy for scammers to pitch themselves as kindred spirits if they’ve studied your social networking or dating site profiles in advance.
* **Don’t be fooled because a scam website looks well-branded and professional.** Setting up a website with live graphs, investment pages and “account” management tools is easier than you think. Crooks can readily copy official logos, taglines, branding and even JavaScript code from legitimate sites, and modify it to suit their malicious purposes.
* **Don’t let the scammers drive a wedge between you and your family.** If scammers think your family are trying to get you out of trouble, they think nothing of deliberately turning you against your family as part of their scam. Alternatively, they may lure you with the promise of “bonuses” to draw your friends and family into the scam as well.




---





## Tags:


### Autogenerated tags:
scammers website europol investments” zhong
