# A flaw in Amazon Ring could expose user’s camera recordings
## Amazon addressed a high-severity flaw in its Ring app for Android that could have exposed sensitive information and camera recordings. In May, Amazon fixed a high-severity vulnerability in its Ring app for Android that could have allowed a malicious app installed on a user’s device to access sensitive information and camera recordings. The Ring app […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134588/hacking/amazon-ring-vulnerability-camera-recordings.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 19 August 2022, 11:56
+ Date scraped: 19 August 2022, 12:01

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/amazon-ring-flaw.png?resize=300%2C141&ssl=1)


In May, Amazon fixed a high-severity vulnerability in its Ring app for Android that could have allowed a malicious app installed on a user’s device to access sensitive information and camera recordings.


The Ring app allows users to monitor video feeds from multiple devices, including security cameras, video doorbells, and alarm systems. The Android application has been downloaded over 10 million times.


Researchers from security firm Checkmarx discovered a vulnerability in the **com.ringapp/com.ring.nh.deeplink.DeepLinkActivity** activity, which was implicitly exported in the Android Manifest and, for this reason, it was accessible to other applications on the same device.


*“These other applications could be malicious applications that users could be convinced to install.” reads the [post](https://checkmarx.com/blog/amazon-quickly-fixed-a-vulnerability-in-ring-android-app-that-could-expose-users-camera-recordings/) published by the researchers. “This activity would accept, load, and execute web content from any server, as long as the Intent’s destination URI contained the string “/better-neighborhoods/”.”* 


The experts also identified a Reflected Cross-Site Scripting (XSS) issue in [cyberchef.schlarpc.people.a2z.com](http://cyberchef.schlarpc.people.a2z.com/), which can be chained with the previous one to install a malicious application on the device.



[![Amazon Ring](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/amazon-ring-flaw.png?resize=642%2C141&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/amazon-ring-flaw.png?ssl=1)


An attacker can use a rogue app to obtain the user’s Authorization Token, then can use it to extract the session cookie by sending this information to the endpoint “ring[.]com/mobile/authorize” along with the device’s hardware ID.


*“This payload redirects the WebView to the malicious web page, which can access the \_\_NATIVE\_\_BRIDGE\_\_.getToken() JavaScript Interface that grants access to an Authorization Token, which can then be exfiltrated to an attacker-controlled server.” continues the post. “This token is a Java Web Token (JWT), which is insufficient to authorize calls to Ring’s multiple APIs. Authorization is enforced using an **rs\_session** cookie. However, this cookie can be obtained by calling the <https://ring.com/mobile/authorize> endpoint with both a valid Authorization Token plus the corresponding device’s Hardware ID.”*


Once obtained the cookie, the attacker can access to the victim’s account and personal data associated with the account (i.e. full name, email address, phone number, and geolocation information).


Below is a video PoC published by the experts and the timeline for this issue:







* 1-May-2022     Full findings reported to the [**Amazon Vulnerability Research Program**](https://hackerone.com/amazonvrp)
* 1-May-2022     Amazon confirmed receiving the report
* 27-May-2022   Amazon released a fix to customers in version .51 (3.51.0 Android , 5.51.0 iOS).


*“We issued a fix for supported Android customers on May 27, 2022, soon after the researchers’ submission was processed. Based on our review, no customer information was exposed. This issue would be extremely difficult for anyone to exploit, because it requires an unlikely and complex set of circumstances to execute.” Amazon told to the experts.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Amazon Ring)**




 
  


---


  




## Tags:
***urls***: http://ring.com/mobile/authorize https://ring.com/mobile/authorize

### Autogenerated tags:
android
