# Do not use Tails OS until a flaw in the bundled Tor Browser will be fixed
## The maintainers of the Tails project (The Amnesic Incognito Live System) warn users that the Tor Browser bundled with the OS could expose their sensitive information. The maintainers confirmed that Tor Browser in Tails 5.0 and earlier is unsafe to use for sensitive information. “We recommend that you stop using Tails until the release of 5.1 […]
## Information:

+ Link: https://securityaffairs.co/wordpress/131680/digital-id/tails-os-critical-flaw.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 26 May 2022, 10:31
+ Date scraped: 26 May 2022, 11:01

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2020/04/tails-os.png?resize=300%2C223&ssl=1)


The maintainers confirmed that *Tor Browser* in Tails 5.0 and earlier is unsafe to use for sensitive information.


“*We recommend that you stop using Tails until the release of 5.1 (May 31) if you use Tor Browser for sensitive information (passwords, private messages, personal information, etc.).” reads the [advisory](https://tails.boum.org/security/prototype_pollution/index.en.html) published by project maintainers.*


Tails is a security and privacy-oriented Linux distribution, it is a portable operating system that protects against surveillance and censorship.


The root cause of the alert is a couple of critical zero-day issues, tracked as CVE-2022-1802 and CVE-2022-1529, in the Firefox browser that was addressed by Mozilla in May. The vulnerabilities were [reported](https://www.zerodayinitiative.com/blog/2022/5/18/pwn2own-vancouver-2022-the-results) by Manfred Paul during the [Pwn2Own 2022 hacking contest](https://securityaffairs.co/wordpress/131539/hacking/pwn2own-vancouver-2022-d3.html) that took place in Vancouver last week:


* [CVE-2022-1802: Prototype pollution in Top-Level Await implementation](https://www.mozilla.org/en-US/security/advisories/mfsa2022-19/#CVE-2022-1802)
* [CVE-2022-1529: Untrusted input used in JavaScript object indexing, leading to prototype pollution](https://www.mozilla.org/en-US/security/advisories/mfsa2022-19/#CVE-2022-1529)


The Tor browser is based on the Firefox browser and is developed as part of the Tor Project. 


The [CVE-2022-1802](https://www.mozilla.org/en-US/security/advisories/mfsa2022-19/#CVE-2022-1802) vulnerability can allow an attacker to set up a rogue website to bypass some of the security built in *Tor Browser* and access information from other websites.


*“If an attacker was able to corrupt the methods of an Array object in JavaScript via prototype pollution, they could have achieved execution of attacker-controlled JavaScript code in a privileged context.” reads the advisory.*


The Tails team pointed out that the flaw doesn’t break the anonymity and encryption of Tor connections, this means that it is still safe and anonymous to access websites from Tails if the users don’t share sensitive information with them.


*“For example, after you visit a malicious website, an attacker controlling this website might access the password or other sensitive information that you send to other websites afterwards during the same Tails session.” reads the alert published by project maintainers.* 



[![tails os](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2020/04/tails-os.png?resize=335%2C168&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2020/04/tails-os.png?ssl=1)


The maintainers’ alert states that other applications in OS are not affected by the flaw. *Thunderbird*, for example, is not affected because JavaScript is disabled.


The *Safest* [security level of *Tor Browser*](https://tails.boum.org/doc/anonymous_internet/Tor_Browser/index.en.html#security-level) is not affected because JavaScript is disabled at this security level.


This vulnerability will be addressed with the release of Tails 5.1 on May 31.


**Security Affairs is one of the finalists for the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS. I ask you to vote for me again (even if you have already done it), because this vote is for the final.**


**Please vote for Security Affairs and Pierluigi Paganini in every category that includes them (e.g. sections “The Underdogs – Best Personal (non-commercial) Security Blog” and “The Tech Whizz – Best Technical Blog”)**


**To nominate, please visit:**



https://docs.google.com/forms/d/e/1FAIpQLSdNDzjvToMSq36YkIHQWwhma90SR0E9rLndflZ3Cu\_gVI2Axw/viewform



Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, domain name system)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-1529 CVE-2022-1802
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSdNDzjvToMSq36YkIHQWwhma90SR0E9rLndflZ3Cu_gVI2Axw/viewform

### Autogenerated tags:
javascript cve-2022-1802 website websites
