# Gootkit Loader campaign targets Australian Healthcare Industry
## Threat actors are targeting organizations in the Australian healthcare sector with the Gootkit malware loader. Trend Micro researchers warn that Gootkit Loader is actively targeting the Australian healthcare industry. The experts analyzed a series of attacks and discovered that Gootkit leveraged SEO poisoning for its initial access and abused legitimate tools like VLC Media Player. […]
## Information:

+ Link: https://securityaffairs.com/140655/malware/gootkit-loader-targets-australia.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 11 January 2023, 21:50
+ Date scraped: 11 January 2023, 23:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Gootkit-Loader.jpg?resize=300%2C300&ssl=1)


Trend Micro researchers warn that [Gootkit Loader](https://securityaffairs.com/133918/malware/gootkit-is-still-active.html) is actively targeting the Australian healthcare industry.


The experts analyzed a series of attacks and discovered that Gootkit leveraged SEO poisoning for its initial access and abused legitimate tools like VLC Media Player.


The SEO poisoning techniques targeting the Australian healthcare industry used keywords like “hospital”, “health”, “medical”, and “enterprise agreement”, paired with Australian city names. Threat actors also used healthcare providers across Australia. 



[![Gootkit Loader](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Gootkit-Loader.jpg?resize=651%2C437&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Gootkit-Loader.jpg?ssl=1)


“The abuse of VLC Media Player, a widely used legitimate tool, is another key feature of this attack. VLC Media Player is one of the most popular pieces of software with over [3.5 billion downloads](https://www.videolan.org/press/videolan-20.html) for Windows alone. In the past, there have been reports of similar abuse by APT10.” reads the [report](https://www.trendmicro.com/en_us/research/23/a/gootkit-loader-actively-targets-the-australian-healthcare-indust.html) published by Trend Micro. “The malware authors sideloaded the following malicious DLL to abuse VLC Media Player and manipulated it as a part of Cobalt Strike”


Searching for terms related to Australian healthcare industry, contaminated search results are proposed on the first page of search results.


Upon accessing the site, the user is presented with a screen that appears like a legitimate forum. Users then are led to access the link so that the malware-laced ZIP file can be downloaded.


The sites used to trick users into downloading malicious files due to SEO poisoning look like legitimate WordPress sites that have been compromised and abused.


*“In addition, the malicious JavaScript inserts its code into a legitimate JS file at random segments on the compromised websites.” continues the report.*


The ZIP archive also contains a JavaScript file that which is used to employs obfuscation and establish persistence through a scheduled task.


A process launched from a scheduled task runs a PowerShell script and retrieves files for the attack chain from the C2 server that abused a legitimate WordPress site.


The experts noticed that the second stage of infection takes place after the waiting time. During the waiting time, the scheduled task performed two C&C accesses per day, without executing any other process.


*“This latency, which clearly separates the initial infection stage from the second stage, is a distinctive feature of Gootkit loader’s operation,” the researchers add.*


After the waiting time, the payloads are dropped (msdtc.exe and libvlc.dll). The *msdtc.exe* is a legitimate VLC Media Player that impersonates a legitimate Windows component, it loads *libvlc.dll* with its function as a module related to Cobalt Strike with the DLL sideloading technique.


Then the *msdtc.exe* acts as a part of Cobalt Strike while still being a valid signed and legitimate executable program.


*“Our monitoring of Gootkit loader activity that uses SEO poisoning has revealed that the malicious actors behind it are actively implementing their campaign. The threats targeting specific job sectors, industries, and geographic areas are becoming more aggressive.” concludes the report. “In addition to the continued targeting of the legal sector with the word “agreement”, we also found that the current operation has also clearly sharpened its targeting capability by including the words “hospital”, “health”, “medical”, and names of Australian cities.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, malware)**





  


---


  




## Tags:


### Autogenerated tags:
vlc gootkit seo msdtc.exe
