# Academics Devise Open Source Tool For Hunting Node.js Security Flaws
## A group of academic researchers have designed an open source Node.js vulnerability hunting tool that has already identified 180 security flaws.
## Information:

+ Link: https://www.securityweek.com/academics-devise-open-source-tool-hunting-nodejs-security-flaws
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 30 August 2022, 16:00
+ Date scraped: 30 August 2022, 16:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Node.js is an open-source, cross-platform, environment for running JavaScript code outside the browser. It was designed for the development of network applications. While useful, many of the available Node.js packages contain unknown flaws leading to application compromise.


Now, academics from the Johns Hopkins University and Renmin University of China propose a new approach to finding security vulnerabilities in Node.js packages.


Inspired by the graph query-based approaches such as Code Property Graph (CPG), the researchers devised a novel graph structure called Object Dependence Graph (ODG), and also built an open-source prototype system called ‘ODGEN’, to use ODG for bug hunting.


ODG models JavaScript objects as nodes and represents their relations with Abstract Syntax Tree (AST) as edges.


“Specifically, ODG includes fine-grained data dependencies between objects, thus helping taint-style vulnerability detection such as command injection,” according to a [research paper](https://www.usenix.org/system/files/sec22summer_li-song.pdf) (.pdf) documenting the work.


The new approach generates ODG using “flow- and context-sensitive static analysis with hybrid branch-sensitivity and points-to information”, the group said, noting that ODG can be used for the offline detection of various types of Node.js vulnerabilities.


ODGEN, which abstractly interprets all branches in parallel, was designed to define and lookup objects for AST nodes and record object definitions and lookups as part of ODG.


The researchers were able to configure ODGEN to identify six types of vulnerabilities, which has led to the discovery of “43 application-level zero-day vulnerabilities with 14 false positives and we also confirmed 137 package-level zero-day vulnerabilities with 84 false positives”.


A total of 70 Common Vulnerabilities and Exposures (CVE) identifiers have been issued for the identified security bugs.


**Related: S[ecurity Firms Find Malicious PyPI Packages Designed for Data Theft](https://www.securityweek.com/security-firms-find-over-20-malicious-pypi-packages-designed-data-theft)**


**Related: [GitHub Patches Security Flaws in Core Node.js Dependencies](https://www.securityweek.com/github-patches-security-flaws-core-nodejs-dependencies)**


**Related: [Snyk Warns of 'Deliberate Sabotage' of NPM Ecosystem](https://www.securityweek.com/software-supply-chain-weakness-snyk-warns-deliberate-sabotage-npm-ecosystem)**


 


## Tags:


### Autogenerated tags:
odg node.js
