# GitHub Warns of North Korean Social Engineering Attacks Targeting Tech Firm Employees
## North Korean hackers are targeting employees at technology firms with repository invitations and malicious NPM packages.
## Information:

+ Link: https://www.securityweek.com/github-warns-of-north-korean-social-engineering-attacks-targeting-tech-firm-employees/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 21 July 2023, 10:46
+ Date scraped: 21 July 2023, 11:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**A North Korean threat actor has been observed targeting employees at technology firms in a new low-volume social engineering campaign, Microsoft-owned code hosting platform GitHub reports.**


As part of [the observed attacks](https://github.blog/2023-07-18-security-alert-social-engineering-campaign-targets-technology-industry-employees/#indicators), employees are invited to collaborate on GitHub repositories that contain software fetching malicious NPM packages meant to infect the intended victims’ computers with additional malware.


“Many of these targeted accounts are connected to the blockchain, cryptocurrency, or online gambling sectors. A few targets were also associated with the cybersecurity sector. No GitHub or npm systems were compromised in this campaign,” the code hosting platform says.

GitHub is confident that the ongoing campaign is perpetrated by a North Korean threat actor tracked as Jade Sleet, and which is also known as [TraderTraitor](https://www.securityweek.com/us-hackers-continue-aiding-north-korea-generate-funds-cryptocurrency-attacks/).


To orchestrate the attacks, Jade Sleet impersonates a developer or recruiter, creating fake persona accounts on GitHub, LinkedIn, Slack, and Telegram, or taking control of legitimate accounts.

These accounts are then used to contact employees at tech firms, which are invited to collaborate on a repository. The threat actor then convinces the victim to clone the repository and execute it on their machine, leading to malware infection.

“The threat actor often publishes their malicious packages only when they extend a fraudulent repository invitation, minimizing the exposure of the new malicious package to scrutiny,” GitHub explains.


In some cases, messaging services or file sharing platforms may be used to deliver the malicious packages and initiate the infection chain.

GitHub says it has suspended the NPM and GitHub accounts associated with the attacks and also filed abuse reports for the identified domains that were still available.

Previous iterations of the TraderTraitor campaign JavaScript applications leveraging Node.js and the Electron framework were used to infect victims with the [Manuscrypt RAT](https://www.securityweek.com/us-cyber-command-shares-more-north-korean-malware-variants/).


[Similar activity](https://blog.phylum.io/sophisticated-ongoing-attack-discovered-on-npm/) was reported by Phylum in late June and by SentinelOne on Thursday, [in association with the recent cyberattack on JumpCloud](https://www.securityweek.com/jumpcloud-cyberattack-linked-to-north-korean-hackers/).


**Related:** [US, South Korea Detail North Korea’s Social Engineering Techniques](https://www.securityweek.com/us-south-korea-detail-north-koreas-social-engineering-techniques/)


**Related:** [US Sanctions North Korean University for Training Hackers](https://www.securityweek.com/us-sanctions-north-korean-university-for-training-hackers/)


**Related:** [North Korean Hackers Target Mac Users With New ‘RustBucket’ Malware](https://www.securityweek.com/north-korean-hackers-target-mac-users-with-new-rustbucket-malware/)





## Tags:


### Autogenerated tags:
github npm malware
