# Software Supply Chain Weakness: Snyk Warns of 'Deliberate Sabotage' of NPM Ecosystem
## Software supply chain security fears escalated with the discovery "deliberate sabotage" of code in the open-source npm package manager ecosystem.
## Information:

+ Link: https://www.securityweek.com/software-supply-chain-weakness-snyk-warns-deliberate-sabotage-npm-ecosystem
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 17 March 2022, 17:00
+ Date scraped: 17 March 2022, 17:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Researchers at cloud security vendor Snyk [sounded the alarm](https://snyk.io/blog/peacenotwar-malicious-npm-node-ipc-package-vulnerability/) late Wednesday that a popular NPM package manager with about 1.1 million weekly downloads had been rigged in an act of protest against the war in Ukraine.


The issue, currently being tracked as [CVE-2022-23812](https://security.snyk.io/vuln/SNYK-JS-NODEIPC-2426370), marks “node-ipc” as a malicious package deliberately targeting users in Russia and Belarus.  


“This package contains malicious code that targets users with IP located in Russia or Belarus, and overwrites their files with a heart emoji,” Snyk said in a [critical advisory](https://security.snyk.io/vuln/SNYK-JS-NODEIPC-2426370) that carries a 9.8 out of 10 CVSS score.


"This security incident involves destructive acts of corrupting files on disk by one maintainer and their attempts to hide and restate that deliberate sabotage in different forms. While this is an attack with protest-driven motivations, it highlights a larger issue facing the software supply chain: the transitive dependencies in your code can have a huge impact on your security," Snyk researcher Liran Tal said in a note documenting the discovery.


**[READ: [Malware Found Embedded in Popular JavaScript Library](https://www.securityweek.com/critical-severity-warning-malware-embedded-popular-javascript-library) ]**


Snyk found the malicious code in versions 10.1.1 and 10.1.2 and urged users within the software dependency chain to upgrade node-ipc to version 10.1.3 or higher.


[![Supply Chain Cybersecurity Virtual Conference](/sites/default/files/features/supply-chain-summit-promo.png "Supply Chain Cybersecurity Event")](https://www.securitysummits.com/event/supply-chain-security-summit/ "Supply Chain Security Summit")


The company published a detailed timeline of the sabotage, noting the npm maintainer originally released a package manager called ‘peacenotwar’ in early May with the following description:


*“This code serves as a non-destructive example of why controlling your node modules is important. It also serves as a non-violent protest against Russia's aggression that threatens the world right now. This module will add a message of peace on your users' desktops, and it will only do it if it does not already exist just to be polite.”*


A week later, the developer then flipped a switch that had immediate security ramifications for the software ecosystem. 


“Up until (March 15), this module had virtually no downloads at all. However that all changed when its npm maintainer added this module as a dependency to one of their other popular modules node-ipc, which is by itself a popular dependency that many JavaScript developers in the ecosystem are relying upon,” Tal explained.


**[ READ: [Codecov Dev Tool Compromised in Supply Chain Hack](https://www.securityweek.com/codecov-bash-uploader-dev-tool-compromised-supply-chain-hack) ]**


"At this point, a very clear abuse and a critical supply chain security incident will occur for any system on which this npm package will be called upon, if that matches a geo-location of either Russia or Belarus," he added.


The company noted that the maintainer behind the protest sabotage currently maintains more than 40 additional npm package managers “with hundreds of millions of downloads” and warned that it constitutes a "dangerous and malicious act."


**Related:****[Cyber Insights 2022: Supply Chain](https://www.securityweek.com/cyber-insights-2022-supply-chain)**



**Related: [Malware Found Embedded in Popular JavaScript Library](https://www.securityweek.com/critical-severity-warning-malware-embedded-popular-javascript-library)**


**Related: [Critical Flaw in Pac-Resolver NPM Package Affects 290,000 Repositories](https://www.securityweek.com/critical-flaw-pac-resolver-npm-package-affects-290000-repositories)**


**Related: [Vulnerability in 'netmask' npm Package Affects 280,000 Projects](https://www.securityweek.com/vulnerability-netmask-npm-package-affects-280000-projects)**


 


## Tags:
***CVE's***: CVE-2022-23812

### Autogenerated tags:
npm snyk belarus javascript
