# Attention Online Shoppers: Don't Be Fooled by Their Sleek, Modern Looks — It's Magecart!
## New Magecart campaign is using fake payment screens that look more authentic than the original pages to capture sensitive data of unsuspecting users
## Information:

+ Link: https://thehackernews.com/2023/04/attention-online-shoppers-dont-be.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 28 April 2023, 09:18
+ Date scraped: 28 April 2023, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhbjpI_jcZkNTyUKsRtoiy8hBZ25s8ftS9dGMSF42UsU1pIGiKGQOHwN0Fa7g-KE3oPRQj2lVS-d1pGdz_w5egUx3l5UvrrziGwfgjnjqdHuR0hHFQt3fjqb59Sm6jESp6hzlhzhiDIqEJtjM3gg-ctpYo7mBkV2YzDa_79_suadG7U3684hP8edJa-/s728-e3650/magecart.png)


An ongoing **Magecart** campaign has attracted the attention of cybersecurity researchers for leveraging realistic-looking fake payment screens to capture sensitive data entered by unsuspecting users.


"The threat actor used original logos from the compromised store and customized a web element known as a modal to perfectly hijack the checkout page," Jérôme Segura, director of threat intelligence at Malwarebytes, [said](https://www.malwarebytes.com/blog/threat-intelligence/2023/04/kritec-art). "The remarkable thing here is that the skimmer looks more authentic than the original payment page."


The term [Magecart](https://www.riskiq.com/what-is-magecart/) is a catch-all that refers to several cybercrime groups which employ online skimming techniques to steal personal data from websites – most commonly, customer details and payment information on e-commerce websites.


The name originates from the groups' initial targeting of the Magento platform. According to [data](https://sansec.io/docs/what-is-magecart) shared by Sansec, the first Magecart-like attacks were observed as early as 2010. As of 2022, more than 70,000 stores are estimated to have been compromised with a web skimmer.


These digital skimming attacks, also called formjacking, traditionally leverage [various kinds](https://thehackernews.com/2022/06/newly-discovered-magecart.html) of [JavaScript trickery](https://thehackernews.com/2022/07/magecart-hacks-online-food-ordering.html) to siphon sensitive information from website users.


The latest iteration, as observed by Malwarebytes on an unnamed Parisian travel accessory store running on the PrestaShop CMS, involved the injection of a skimmer called Kritec to intercept the checkout process and display a fake payment dialog to victims.


Kritec, previously detailed by [Akamai](https://www.akamai.com/blog/security/magecart-attack-disguised-as-google-tag-manager) and [Malwarebytes](https://www.malwarebytes.com/blog/threat-intelligence/2023/03/new-kritec-skimmer) in February 2023, has been found to impersonate legitimate third-party vendors like Google Tag Manager as an evasion technique.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEghxsafCR8tMljTOVc-uzSKLrtSMyvZ7sjiJ0ZR-iGQIprsgMs3cKHGOfju0qpqI7aDmvE17KM5ZNR8UlPD1323_J1TdANbO1Jmc427vLd9CMz8V7EP-2WeF4B_8BQnh8q_u8dYEiHq8wZDz1FjaacCn6OnA2tc-VvoLqN3pcTJg9Ml_dvgtZ-6ILtH/s728-e365/magecart.gif)
The cybersecurity firm said the skimmer is both complex and heavily obfuscated, with the malicious modal loaded upon selecting a credit card as the payment option from the compromised website.


Once the payment card details are harvested, a fake error message about payment cancellation is briefly displayed to the victim before redirecting to the actual payment page, at which point the payment will go through.


"The skimmer will drop a cookie which will serve as an indication that the current session is now marked as completed," Segura explained. "If the user was to go back and attempt the payment again, the malicious modal would no longer be displayed."


The threat actors behind the operation are said to be using different domains to host the skimmer, which are given similar names: "[name of store]-loader.js," suggesting that the attacks are targeting different online stores with custom modals.


"Discerning whether an online store is trustworthy has become very difficult and this case is a good example of a skimmer that would not raise any suspicion," Segura said.


The findings come a little over two months after Malwarebytes [unearthed](https://www.malwarebytes.com/blog/threat-intelligence/2023/02/multilingual-skimmer-fingerprints-users-via-cloudflare-endpoint-api) another web skimmer that collects browser fingerprint data, such as IP addresses and [User-Agent](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/User-Agent) strings, along with credit card information, likely in an attempt to monitor invalid users such as bots and security researchers.



  





## Tags:


### Autogenerated tags:
malwarebytes segura
