# China-Linked Bronze Starlight Group Targeting Gambling Sector with Cobalt Strike Beacons
## Espionage Disguised as Ransomware? Ongoing cyber attacks traced back to China target Southeast Asian gambling.
## Information:

+ Link: https://thehackernews.com/2023/08/china-linked-bronze-starlight-group.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 17 August 2023, 21:10
+ Date scraped: 17 August 2023, 16:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEisjSXwY_iTF3fsdxbKI1B4HERaewfiSfF0PboDtOiQfoPgz-Sv-6TxVS5Yt2LgmjtQYl51d9IHCA8z_t9i_bltoC4WREUJI7_Rb4F6RDjfhSiNdjfC-PiMwCy7NyAPZTpKspKDx_4Zghl3Qb-9EafUKtp3BWuOLUFd-clCJHis01P-5uOUefrzO-4Au7ex/s728-e3650/play.jpg)


An ongoing cyber attack campaign originating from China is targeting the Southeast Asian gambling sector to deploy Cobalt Strike beacons on compromised systems.


Cybersecurity firm SentinelOne said the tactics, techniques, and procedures point to the involvement of a threat actor tracked as **Bronze Starlight** (aka Emperor Dragonfly or Storm-0401), which has been linked to the use of [short-lived](https://thehackernews.com/2022/06/state-backed-hackers-using-ransomware.html) [ransomware families](https://thehackernews.com/2022/10/researchers-link-cheerscrypt-linux.html) as a smokescreen to conceal its espionage motives.


"The threat actors abuse Adobe Creative Cloud, Microsoft Edge, and McAfee VirusScan executables vulnerable to DLL hijacking to deploy Cobalt Strike beacons," security researchers Aleksandar Milenkoski and Tom Hegel [said](https://www.sentinelone.com/labs/chinese-entanglement-dll-hijacking-in-the-asian-gambling-sector/) in an analysis published today.


It also bears noting that the campaign exhibits overlaps with an intrusion set monitored by ESET under the name [Operation ChattyGoblin](https://thehackernews.com/2023/05/operation-chattygoblin-hackers.html). This activity, in turn, shares commonalities with a [supply chain attack](https://thehackernews.com/2022/10/comm100-chat-provider-hijacked-to.html) that came to light last year leveraging a trojanized installer for the Comm100 Live Chat application to distribute a JavaScript backdoor.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiltwxN6CgTsOwvK4Kb9RC48ffApMCcXD3j2Gc3db9P1-x8PHByrz3vE32zvTg2ob2gKgFCjZBxfrCvkNyecbAPGYBfbb0Tj5AljTS_uYaanG6sEjZCK8NhoD2rHwk-Eh24yrpazpnZZiKsiHdbNkq2XVUeD-T-sZ2yW29dfOwyrVq3f31mu0hw25FnVzTn/s728-e3650/3.png)](https://thn.news/edWGl41h)
Attribution to an exact group remains a challenge due to the interconnected relationships and the extensive infrastructure and malware sharing prevalent among various Chinese nation-state actors.


The attacks are known to employ modified installers for chat applications to download a .NET malware loader that's configured to retrieve a second-stage ZIP archive from Alibaba buckets.


The ZIP file consists of a legitimate executable vulnerable to [DLL search order hijacking](https://attack.mitre.org/techniques/T1574/001/), a [malicious DLL that gets side-loaded](https://attack.mitre.org/techniques/T1574/002/) by the executable when started, and an encrypted data file named agent.data.


Specifically, this entails the use of Adobe Creative Cloud, Microsoft Edge, and McAfee VirusScan executables that are susceptible to DLL hijacking to decrypt and execute code embedded in the data file, which implements a Cobalt Strike beacon.


"The loader is executed through side-loading by legitimate executables vulnerable to DLL hijacking and stages a payload stored in an encrypted file," the researchers pointed out.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
SentinelOne said one of the .NET malware loaders ("AdventureQuest.exe") is signed using a certificate issued to a Singapore-based VPN provider called Ivacy VPN, indicating the theft of the signing key at some point. Digitcert has since [revoked](https://twitter.com/digicert/status/1666570841788936192) the certificate as of June 2023.


The side-loaded DLL files are [HUI Loader variants](https://thehackernews.com/2022/08/chinese-hackers-used-scanbox-framework.html), a custom malware loader that has been widely used by China-based groups such as APT10, Bronze Starlight, and TA410. APT10 and TA410 are said to share [behavioral and tooling overlaps](https://thehackernews.com/2022/09/cyber-attacks-against-middle-east.html) with each other, with the former also related to another cluster referred to as [Earth Tengshe](https://thehackernews.com/2022/11/chinese-hackers-using-new-stealthy.html).


"China-nexus threat actors have consistently shared malware, infrastructure, and operational tactics in the past, and continue to do so," the researchers said, adding the activities "illustrate the intricate nature of the Chinese threat landscape."


  





## Tags:


### Autogenerated tags:
dll malware executables
