# Chinese Hackers Use HTML Smuggling to Infiltrate European Ministries with PlugX
## Chinese cyber group targets European ministries with sophisticated HTML smuggling techniques to deploy the PlugX trojan.
## Information:

+ Link: https://thehackernews.com/2023/07/chinese-hackers-use-html-smuggling-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 July 2023, 18:55
+ Date scraped: 03 July 2023, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEheVA1zlpBHksSTdvQ6LOvQe-WXxRWTddSsmj8SiCjW3Lzjk6Er45R_cEEofeasY_hDDlbMf49ZJt3UlWPEd8VSI1Zwsa-cTRpHOLDcaQfQ35WlYZIqF9PCc_MYj54Xt95GGCupIgbDs-IbIw36fsEvio5ptUftucHLus9mi0SAHfPxlmdHEugAcqW40uQ/s728-e3650/hacker-code.jpg)


A Chinese nation-state group has been observed targeting Foreign Affairs ministries and embassies in Europe using [HTML smuggling techniques](https://thehackernews.com/2021/11/hackers-increasingly-using-html.html) to deliver the PlugX remote access trojan on compromised systems.


Cybersecurity firm Check Point said the activity, dubbed **SmugX**, has been ongoing since at least December 2022.


"The campaign uses new delivery methods to deploy (most notably – HTML Smuggling) a new variant of PlugX, an implant commonly associated with a wide variety of Chinese threat actors," Check Point [said](https://research.checkpoint.com/2023/chinese-threat-actors-targeting-europe-in-smugx-campaign/).


"Although the payload itself remains similar to the one found in older PlugX variants, its delivery methods result in low detection rates, which until recently helped the campaign fly under the radar."


The exact identity of the threat actor behind the operation is a little hazy, although existing clues point in the direction of [Mustang Panda](https://thehackernews.com/2023/06/camaro-dragon-hackers-strike-with-usb.html), which also shares overlaps with clusters tracked as Earth Preta, RedDelta, and Check Point's own designation Camaro Dragon.


However, the company said there is "insufficient evidence" at this stage to conclusively attribute it to the adversarial collective.


[![HTML Smuggling](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiosco-Tu-AeaxuFsT26q4OChCX-K8JU7F7Ux17f0vP7xULWPsC1ZjFIX_Hjdu6nNK5fBYLGs5WryIg3Zxy04HcqgcNkckntt-EBqZHvOxhdXEIBLtzQ7Uk9nP1ZuOw6xU5NJDvDhM1NlCfvyY1pW4jT3GBJ1dRChX1CEIDH3RcAlpKqesA7cTLDRSvl9Q/s728-e3650/trojan.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiosco-Tu-AeaxuFsT26q4OChCX-K8JU7F7Ux17f0vP7xULWPsC1ZjFIX_Hjdu6nNK5fBYLGs5WryIg3Zxy04HcqgcNkckntt-EBqZHvOxhdXEIBLtzQ7Uk9nP1ZuOw6xU5NJDvDhM1NlCfvyY1pW4jT3GBJ1dRChX1CEIDH3RcAlpKqesA7cTLDRSvl9Q/s728-e365/trojan.jpg)
The latest attack sequence is significant for the use of [HTML Smuggling](https://www.cyfirma.com/outofband/html-smuggling-a-stealthier-approach-to-deliver-malware/) – a stealthy technique in which legitimate HTML5 and JavaScript features are abused to assemble and launch the malware – in the decoy documents attached to spear-phishing emails.


"HTML smuggling employs HTML5 attributes that can work offline by storing a binary in an immutable blob of data within JavaScript code," Trustwave [noted](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/html-smuggling-the-hidden-threat-in-your-inbox/) earlier this February. "The data blob, or the embedded payload, gets decoded into a file object when opened via a web browser."


An analysis of the documents, which were uploaded to the VirusTotal malware database, reveals that they are designed to target diplomats and government entities in Czechia, Hungary, Slovakia, the U.K., Ukraine, and also likely France and Sweden.


In one instance, the threat actor is said to have employed an [Uyghur-themed lure](https://thehackernews.com/2022/09/researchers-uncover-years-long-mobile.html) ("China Tries to Block Prominent Uyghur Speaker at UN.docx") that, when opened, beacons to an external server by means of an embedded, invisible tracking pixel to exfiltrate reconnaissance data.


The multi-stage infection process utilizes DLL side-loading methods to decrypt and launch the final payload, PlugX.


Also called Korplug, the [malware](https://thehackernews.com/2023/01/researchers-discover-new-plugx-malware.html) dates all the way back to 2008 and is a [modular trojan](https://thehackernews.com/2023/02/plugx-trojan-disguised-as-legitimate.html) capable of accommodating "diverse plugins with distinct functionalities" that enables the operators to carry out file theft, screen captures, keystroke logging, and command execution.


"During the course of our investigating the samples, the threat actor dispatched a batch script, sent from the C&C server, intended to erase any trace of their activities," Check Point said.


"This script, named del\_RoboTask Update.bat, eradicates the legitimate executable, the PlugX loader DLL, and the registry key implemented for persistence, and ultimately deletes itself. It is likely this is the result of the threat actors becoming aware they were under scrutiny."


  





## Tags:
***email-adresses***: uyghurspeaker@un.docx

### Autogenerated tags:
plugx html malware
