# Critical Security Flaw Found in Popular LayerSlider WordPress Plugin
## WordPress sites using LayerSlider versions 7.9.11 - 7.10.0 are vulnerable to attack. Hackers could steal sensitive data like passwords.
## Information:

+ Link: https://thehackernews.com/2024/04/critical-security-flaw-found-in-popular.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 03 April 2024, 10:41
+ Date scraped: 03 April 2024, 06:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgj-PrWsU6BxKYcpvLxrcznioMh7y4olG21xdUa6H0sOYKuXizR0K9jHMsmWcdSTXU2U2rUcvgnZyMBGk4lCNvfLUScam9F1zM6HrjZKKWqUCQuo4f2E4PhhDVOOkBddqmGzGEkPhdXhgym13FmC62x_pIEIfXg2canup1riZ-Hnsku1437kZzeKu2gHgeX/s728-rw-e365/wordpress-hacking.png)


A critical security flaw impacting the LayerSlider plugin for WordPress could be abused to extract sensitive information from databases, such as password hashes.


The flaw, designated as [CVE-2024-2879](https://www.wordfence.com/blog/2024/04/5500-bounty-awarded-for-unauthenticated-sql-injection-vulnerability-patched-in-layerslider-wordpress-plugin/), carries a CVSS score of 9.8 out of a maximum of 10.0. It has been described as a case of SQL injection impacting versions from 7.9.11 through 7.10.0.


The issue has been addressed in version 7.10.1 released on March 27, 2024, following responsible disclosure on March 25. "This update includes important security fixes," the maintainers of LayerSlider [said](https://layerslider.com/release-log/) in their release notes.


LayerSlider is a visual web content editor, a graphic design software, and a digital visual effects that allows users to create animations and rich content for their websites. According to its own site, the plugin is [used](https://layerslider.com/) by "millions of users worldwide."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
The flaw discovered in the tool stems from a case of insufficient escaping of user supplied parameters and the absence of [wpdb::prepare()](https://developer.wordpress.org/reference/classes/wpdb/prepare/), enabling unauthenticated attackers to append additional SQL queries and glean sensitive information, Wordfence said.


The development follows the discovery of an unauthenticated stored cross-site scripting (XSS) flaw in the [WP-Members Membership Plugin](https://wordpress.org/plugins/wp-members/) (CVE-2024-1852, CVSS score: 7.2) that could facilitate the execution of arbitrary JavaScript code. It has been resolved in version 3.4.9.3.


[![WordPress Security Flaw](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgUEhYi7tZFdp8PB7logDWzjd8Bw8O81R7vec-0ZEA6WaiGGVxE8-Ywpt_hwz1UErq61TRtT_h7n7kZjR0fLEmOYswZBetjXcixR3NO8ZiMQTB5KakQAfoMdT6Ht63xM3-PpCclKVkMH83MVfV2Kpre-VcrsPIVtU9mXPxQ6BmCVPwM47qRz64oLcWcNSYM/s728-rw-e365/wordpress.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgUEhYi7tZFdp8PB7logDWzjd8Bw8O81R7vec-0ZEA6WaiGGVxE8-Ywpt_hwz1UErq61TRtT_h7n7kZjR0fLEmOYswZBetjXcixR3NO8ZiMQTB5KakQAfoMdT6Ht63xM3-PpCclKVkMH83MVfV2Kpre-VcrsPIVtU9mXPxQ6BmCVPwM47qRz64oLcWcNSYM/s728-rw-e365/wordpress.png)
The vulnerability, due to insufficient input sanitization and output escaping, "makes it possible for unauthenticated attackers to inject arbitrary web scripts in pages that will execute whenever a user accesses an injected page which is the edit users page," the WordPress security company [said](https://www.wordfence.com/blog/2024/04/unauthenticated-stored-cross-site-scripting-vulnerability-patched-in-wp-members-membership-plugin-500-bounty-awarded/).


Should the code be executed in the context of an administrator's browser session, it can be used to create rogue user accounts, redirect site visitors to other malicious sites, and carry out other attacks, it added.


Over the past few weeks, security vulnerabilities have also been disclosed in other WordPress plugins such as [Tutor LMS](https://www.wordfence.com/blog/2024/03/sql-injection-vulnerability-patched-in-tutor-lms-wordpress-plugin/) (CVE-2024-1751, CVSS score: 8.8) and [Contact Form Entries](https://www.wordfence.com/blog/2024/03/too-much-escaping-backfires-allows-shortcode-based-xss-vulnerability-in-contact-form-entries-wordpress-plugin/) (CVE-2024-2030, CVSS score: 6.4) that could be exploited for information disclosure and inject arbitrary web scripts, respectively.

 
  





## Tags:
***CVE's***: CVE-2024-2030 CVE-2024-1751 CVE-2024-2879 CVE-2024-1852

### Autogenerated tags:
cvss layerslider plugin wordpress
