# Developers Beware: Malicious Rust Libraries Caught Transmitting OS Info to Telegram Channel
## Attention developers! Malicious packages found on Rust's crate registry. They target your machines, capture OS info, and use Telegram for data transfe
## Information:

+ Link: https://thehackernews.com/2023/08/developers-beware-malicious-rust.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 28 August 2023, 21:10
+ Date scraped: 28 August 2023, 16:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiyBWA2fNLLjw80Bf9v95IYfTDKWCya9F8VXV5z4i6SSFCgNzazpqTXuCTIxCWIWN-TzL_3VE5FlOYON7M78yclVr_WX7Tg6Um9l-88EoVvVc2YAlaMcPK--VZLOuiyUCpvm7J_tc9uXq1smho6Jvq4lcuj3srlaBZ6a5YceTe8DMCJJ2VcXhlVl_9Bp3Jq/s728-e3650/rust.jpg)


In yet another sign that developers continue to be targets of software supply chain attacks, a number of malicious packages have been discovered on the Rust programming language's crate registry.


The libraries, uploaded between August 14 and 16, 2023, were published by a user named "amaperf," Phylum [said](https://blog.phylum.io/rust-malware-staged-on-crates-io/) in a report published last week. The names of the packages, now taken down, are as follows: postgress, if-cfg, xrvrv, serd, oncecell, lazystatic, and envlogger.


It's not clear what the end goal of the campaign was, but the suspicious modules were found to harbor functionalities to capture the operating system information (i.e., Windows, Linux, macOS, or Unknown) and transmit the data to a hard-coded Telegram channel via the messaging platform's API.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhm307Hkf3ltRaZ9aYPMAMkarRfeZqeb9lr76AYj5TyW4mi1Dhgxqe-mGbmRiDsl7xCcRfhBhMR0oDROzrIeBEpQTwhOju46GCQUVipAD8RLNXsz_A-luP30_JCYzIhfAVq7jXv4hyiDNxY8cYfqj0ucoSd1JH2jJLslSnVZ7_PIAQ9E_aUo-1_EmYeOKR3/s728-e3650/2.png)](https://thn.news/edWGl41h)
This suggests that the campaign may have been in its early stages and that the threat actor may have been casting a wide net to compromise as many developer machines as possible to deliver rogue updates with improved data exfiltration capabilities.


"With access to SSH keys, production infrastructure, and company IP, developers are now an extremely valuable target," the company said.


This is not the first time crates.io has emerged as a target of a supply chain attack. In May 2022, SentinelOne uncovered a campaign dubbed [CrateDepression](https://thehackernews.com/2022/05/researchers-uncover-rust-supply-chain.html) that leveraged typosquatting techniques to steal sensitive information and download arbitrary files.


The disclosure comes as Phylum also revealed an npm package called [emails-helper](https://www.npmjs.com/package/emails-helper) that, once installed, sets up a callback mechanism to exfiltrate machine information to a remote server and launches encrypted binaries that are shipped with it as part of a sophisticated attack.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The module, which was [advertised](https://github.com/everydellei/emails-helper) as a "JavaScript library to validate email address against different formats," has been taken down by npm but not before it attracted 707 downloads since it was uploaded to the repository on August 24, 2023.


"Data exfiltration is attempted via HTTP, and if this fails, the attacker reverts to exfiltrating data via DNS," the company [said](https://blog.phylum.io/npm-emails-validator-package-malware/). "The binaries deploy penetration testing tools like [dnscat2](https://github.com/iagox86/dnscat2), [mettle](https://github.com/rapid7/mettle), and Cobalt Strike Beacon."


"A simple action like running npm install can set off this elaborate attack chain, making it imperative for developers to exercise caution and due diligence as they carry out their software development activities."


  





## Tags:


### Autogenerated tags:
npm
