# GitHub Launches AI-Powered Autofix Tool to Assist Devs in Patching Security Flaws
## Powered by GitHub Copilot and CodeQL, the new autofix feature covers 90% of alert types in JavaScript, TypeScript, Java, and Python.
## Information:

+ Link: https://thehackernews.com/2024/03/github-launches-ai-powered-autofix-tool.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 21 March 2024, 16:00
+ Date scraped: 21 March 2024, 11:06

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgha6J17PBjMlZmCOcg1I-lTr7rM8MurscrQk2Twx22VRJntGNMvOVKULSGL7ZpR3BsGq2zEqX7wUpY9ts08-AooVmzdAdsDFxuObWx3wnlsKmKeEvMB_i0mar3yZzaMisqkTl0udAopzdcud62CF6sdzbmM5-dkzjUUkJxT-z-QSe5P9HwKFux1sWWdODo/s728-rw-e365/github.jpg)


GitHub on Wednesday announced that it's making available a feature called code scanning autofix in public beta for all [Advanced Security customers](https://docs.github.com/en/get-started/learning-about-github/about-github-advanced-security) to provide targeted recommendations in an effort to avoid introducing new security issues.


"Powered by [GitHub Copilot](https://thehackernews.com/2021/06/github-launches-copilot-ai-powered-code.html) and [CodeQL](https://codeql.github.com/), code scanning autofix covers more than 90% of alert types in JavaScript, Typescript, Java, and Python, and delivers code suggestions shown to remediate more than two-thirds of found vulnerabilities with little or no editing," GitHub's Pierre Tempel and Eric Tooley [said](https://github.blog/2024-03-20-found-means-fixed-introducing-code-scanning-autofix-powered-by-github-copilot-and-codeql/%20https://www.github.com/enterprise/advanced-security).


The capability, [first previewed](https://github.blog/2024-02-14-fixing-security-vulnerabilities-with-ai/) in November 2023, leverages a combination of CodeQL, Copilot APIs, and OpenAI GPT-4 to generate code suggestions. The Microsoft-owned subsidiary also said it plans to add support for more programming languages, including C# and Go, in the future.


Code scanning autofix is designed to help developers fix vulnerabilities as they code by generating potential fixes as well as providing a natural language explanation when an issue is discovered in a supported language.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
These suggestions could go beyond the current file to include changes to several other files and the dependencies that should be added to rectify the problem.


"Code scanning autofix lowers the barrier of entry to developers by combining information on best practices with details of the codebase and alert to suggest a potential fix to the developer," the company [said](https://docs.github.com/en/code-security/code-scanning/managing-code-scanning-alerts/about-autofix-for-codeql-code-scanning#about-autofix-for-codeql-code-scanning).


"Instead of starting with a search for information about the vulnerability, the developer starts with a code suggestion that demonstrates a potential solution for their codebase."


That said, it's left to the developer to evaluate the recommendations and determine if it's the right solution and ensure that it does not deviate from its intended behavior.



GitHub also emphasized the current limitations of the autofix code suggestions, making it imperative that developers carefully review the changes and the dependencies before accepting them -


* Suggest fixes that are not syntactically correct code changes
* Suggest fixes that are syntactically correct code but are suggested at the incorrect location
* Suggest fixes that are syntactically valid but that change the semantics of the program
* Suggest fixes that are fail to address the root cause, or introduce new vulnerabilities
* Suggest fixes that only partially resolve the underlying flaw
* Suggest unsupported or insecure dependencies
* Suggest arbitrary dependencies, leading to possible supply chain attacks


"The system has incomplete knowledge of the dependencies published in the wider ecosystem," the company noted. "This can lead to suggestions that add a new dependency on malicious software that attackers have published under a statistically probable dependency name."


  





## Tags:


### Autogenerated tags:
autofix github
