# GitHub Repositories Hit by Password-Stealing Commits Disguised as Dependabot Contributions
## Malicious actors targeting GitHub accounts, posing as Dependabot contributors.
## Information:

+ Link: https://thehackernews.com/2023/09/github-repositories-hit-by-password.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 28 September 2023, 22:52
+ Date scraped: 28 September 2023, 18:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEge4wKwGCGiW5WxQ5mZ6E5RhCC4iVMmO9P27-MhtBqJXWuDTiStteq7vtwon9piMxcjxopmYcGHv8hgPxnwLbvc1Kdl2veBXitXyYh8PrsHX7sG2tN_zUk5n1DeC8oq8S0ii_x_jUdABMDsXMwLonL3TSrOiBiigXUgV5CusU6MzGGFdDXjwyZvQIuMLDH9/s728-rw-ft-e30/github.jpg)


A new malicious campaign has been observed hijacking GitHub accounts and committing malicious code disguised as Dependabot contributions with an aim to steal passwords from developers.


"The malicious code exfiltrates the GitHub project's defined secrets to a malicious C2 server and modify any existing javascript files in the attacked project with a web-form password-stealer malware code effecting any end-user submitting its password in a web form," Checkmarx [said](https://checkmarx.com/blog/surprise-when-dependabot-contributes-malicious-code/) in a technical report.


The malware is also designed to capture GitHub secrets and variables to a remote server by means of a GitHub Action.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjPYBKMZbU-7Y7Kg3jq6dgh_5dNBqpJMQZyBnu7A58Cl9-Hf3Zqlp6O7GKltaeaspPcedrN2-3WCGOvSx55C92iJOqEdWBLCE6RGwVakDy6TsH2P4xv2Vcu4oSW3hat-7_q1c_MTiOdDXb3niTcU9DAgkJ__W9jQIcIDRZOA7cx6KqCxchAOHDOf8wyQIda/s728-e30/bb-d.png)](https://thn.news/iEqhOvqh)
The software supply chain security firm said it observed the atypical commits to hundreds of public and private GitHub repositories between July 8 and 11, 2023.


It has emerged that the victims had their GitHub personal access tokens stolen and used by the threat actors to make malicious code commits to users' repositories by posing as Dependabot.


[Dependabot](https://thehackernews.com/2022/08/github-dependabot-now-alerts-developers.html) is designed to alert users of security vulnerabilities in a project's dependencies by automatically [generating pull requests](https://docs.github.com/en/code-security/dependabot/working-with-dependabot/managing-pull-requests-for-dependency-updates) to keep them up-to-date.


[![Password-Stealing Commits](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhLkoGm0iLZBJKqqDIcfLsfKRRw0ZeFm1HTqtSAaZq20sSdlc8LqzNFP8_GsnX5itgJxx2yJ0QHi2GPUq8RE8HdhYpJDiPhILPhnPneDjYJjqHgicmgMANKZpUlSJqGV5rcoYwRiq_5t1SnCcajg_3yzsUNMOgVPaQPr6W55x_JcPdvc8YBt-GNqbiazDHS/s728-rw-ft-e30/malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhLkoGm0iLZBJKqqDIcfLsfKRRw0ZeFm1HTqtSAaZq20sSdlc8LqzNFP8_GsnX5itgJxx2yJ0QHi2GPUq8RE8HdhYpJDiPhILPhnPneDjYJjqHgicmgMANKZpUlSJqGV5rcoYwRiq_5t1SnCcajg_3yzsUNMOgVPaQPr6W55x_JcPdvc8YBt-GNqbiazDHS/s728-rw-ft-e30/malware.jpg)
"The attackers accessed the accounts using compromised PATs (Personal Access Token) -- most likely exfiltrated silently from the victim's development environment," the company said. Most compromised users are located in Indonesia.


However, the exact method by which this theft may have taken place is currently unclear, although it's suspected that it may have involved a [rogue package](https://checkmarx.com/blog/a-deep-dive-into-70-layers-of-obfuscated-info-stealer-malware/) inadvertently installed by the developers.


The development highlights the continued attempts on part of threat actors to poison open-source ecosystems and facilitate supply chain compromises.


This is evidenced by a new data exfiltration campaign targeting both npm and PyPI that uses as many as 39 counterfeit packages to gather sensitive machine information and transmit the details to a remote server.


UPCOMING WEBINAR[Fight AI with AI — Battling Cyber Threats with Next-Gen AI Tools](https://thehacker.news/ai-cyberattacks?source=inside)Ready to tackle new AI-driven cybersecurity challenges? Join our insightful webinar with Zscaler to address the growing threat of generative AI in cybersecurity.

[Get Ready to Learn](https://thehacker.news/ai-cyberattacks?source=inside)
The modules, published over several days between September 12 and 24, 2023, demonstrate a progressive increase in complexity, scope, and obfuscation techniques, Phylum [said](https://blog.phylum.io/sensitive-data-exfiltration-campaign-targets-npm-and-pypi/).


The Israeli company is also tracking what it characterized as a large typosquat campaign aimed at npm, in which 125 packages masquerading as angular and react are being used to send machine information to a remote Discord channel.


However, the activity appears to be part of a "research project," with the author claiming that it's done to "find out if any of the bug bounty programs I'm participating in gets affected by one of the packages so that I could be the first one to notify them and protect their infrastructure."


"This is in violation of the npm Acceptable Use Policy, and these sorts of campaigns put a strain on individuals tasked with keeping these ecosystems clean," Phylum [cautioned](https://blog.phylum.io/large-typosquat-campaign-targeting-react-and-angular/).



  





## Tags:


### Autogenerated tags:
github dependabot npm
