# Google Open Sources Magika: AI-Powered File Identification Tool
## Google open sources Magika, an AI-powered tool that boosts file type identification accuracy by 30%, helping defenders more easily identify malicious
## Information:

+ Link: https://thehackernews.com/2024/02/google-open-sources-magika-ai-powered.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 17 February 2024, 12:56
+ Date scraped: 17 February 2024, 08:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh59uBVhbm2zqj2CiMisNTZP1AUHlI0LJyu1o-H9K9veJZt3udPYrZTOASHoRD4WuHBK1J_tu3vjBT_x8Nt5HE10UW6p2ZdnoNY3sbXE49iSt1DsIwk4orugYaZliiD0H1YJ51_LLBt4IkawzBtKBkd_chBIVjnvUwMnt2QF0QnwVIwWxNxQ9TmbPtSf-EK/s728-rw-e365/google.jpg)


Google has announced that it's open-sourcing [Magika](https://github.com/google/magika), an artificial intelligence (AI)-powered tool to identify file types, to help defenders accurately detect binary and textual file types.


"Magika outperforms conventional file identification methods providing an overall 30% accuracy boost and up to 95% higher precision on traditionally hard to identify, but potentially problematic content such as VBA, JavaScript, and Powershell," the company [said](https://opensource.googleblog.com/2024/02/magika-ai-powered-fast-and-efficient-file-type-identification.html).


The software uses a "custom, highly optimized deep-learning model" that enables the precise identification of file types within milliseconds. Magika implements inference functions using the Open Neural Network Exchange ([ONNX](https://onnx.ai/onnx/intro/concepts.html)).


Google said it internally uses Magika at scale to help improve users' safety by routing Gmail, Drive, and Safe Browsing files to the proper security and content policy scanners.


In November 2023, the tech giant unveiled [RETVec](https://thehackernews.com/2023/11/google-unveils-retvec-gmails-new.html) (short for Resilient and Efficient Text Vectorizer), a multilingual text processing model to detect potentially harmful content such as spam and malicious emails in Gmail.


Amid an ongoing debate on the risks of the rapidly developing technology and its [abuse by nation-state actors](https://thehackernews.com/2024/02/microsoft-openai-warn-of-nation-state.html) associated with Russia, China, Iran, and North Korea to boost their hacking efforts, Google said deploying AI at scale can strengthen digital security and "tilt the cybersecurity balance from attackers to defenders."


[![Google Open Sources Magika](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgFjPMHisd4AG7GQSxBXnnUlt18Bqf01LdGUWDd-FYxAjfnYQlTgLbzN5W6vk4us56lfZ_Fh3cidvYh35L1RHcLwsqDvdlqFXgm34gmoSN79Qawrmma3tJ-QlxrFwoM3LuxQNBJkknEPqEfbyMApJm1PqggFLeDSEH5EcP-3JbH1RkqJxgVTc8Q0ciYvu57/s728-rw-e365/filetype.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgFjPMHisd4AG7GQSxBXnnUlt18Bqf01LdGUWDd-FYxAjfnYQlTgLbzN5W6vk4us56lfZ_Fh3cidvYh35L1RHcLwsqDvdlqFXgm34gmoSN79Qawrmma3tJ-QlxrFwoM3LuxQNBJkknEPqEfbyMApJm1PqggFLeDSEH5EcP-3JbH1RkqJxgVTc8Q0ciYvu57/s728-rw-e365/filetype.jpg)
It also emphasized the need for a [balanced regulatory approach](https://www.europarl.europa.eu/topics/en/article/20230601STO93804/eu-ai-act-first-regulation-on-artificial-intelligence) to AI usage and adoption in order to avoid a future where attackers can innovate, but defenders are restrained due to AI governance choices.


"AI allows security professionals and defenders to scale their work in threat detection, malware analysis, vulnerability detection, vulnerability fixing and incident response," the tech giant's Phil Venables and Royal Hansen [noted](https://blog.google/technology/safety-security/google-ai-cyber-defense-initiative/). "AI affords the best opportunity to upend the [Defender's Dilemma](https://www.jstor.org/stable/10.7249/j.ctt15r3x78), and tilt the scales of cyberspace to give defenders a decisive advantage over attackers."


Concerns have also been raised about generative AI models' use of web-scraped data for training purposes, which may also include personal data.


"If you don't know what your model is going to be used for, how can you ensure its downstream use will respect data protection and people's rights and freedoms?," the U.K. Information Commissioner's Office (ICO) [pointed out](https://ico.org.uk/about-the-ico/what-we-do/our-work-on-artificial-intelligence/generative-ai-first-call-for-evidence) last month.


What's more, new research has shown that large language models can function as "sleeper agents" that may be seemingly innocuous but can be programmed to engage in deceptive or malicious behavior when specific criteria are met or special instructions are provided.


"Such backdoor behavior can be made persistent so that it is not removed by standard safety training techniques, including supervised fine-tuning, reinforcement learning, and adversarial training (eliciting unsafe behavior and then training to remove it), researchers from AI startup Anthropic [said](https://arxiv.org/abs/2401.05566) in the study.



![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)

  





## Tags:


### Autogenerated tags:
magika google
