# Here's How to Find If WhatsApp Web Code on Your Browser Has Been Hacked
## Facebook has released a new browser extension that allows users to automatically verify that WhatsApp Web code hasn't been altered or tampered with.
## Information:

+ Link: https://thehackernews.com/2022/03/heres-how-to-find-if-whatsapp-web-code.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 11 March 2022, 07:54
+ Date scraped: 11 March 2022, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEiIFmKqFMTVZ3Tg66DFhUaFSHZ8gnXn9BIDamVwzmYf-aKr64FutKyzGDAkYr3dkr6UoVcVnypuHGou4_hwOvtWN5oT7Vhsj_kcAL98xWIvLGVPpIs7Rg2dmRIL9fYixSqyWhd301IfNfotHf9QvK2VrvSV7NY-AXeijshFme2o7UTsO90xidgplnML=s728-e1000)


Meta Platforms' WhatsApp and Cloudflare have banded together for a new initiative called **Code Verify** to validate the authenticity of the messaging service's web app on desktop computers.


Available in the form of a Chrome and Edge [browser extension](https://chrome.google.com/webstore/detail/code-verify/llohflklppcaghdpehpbklhlfebooeog), the [open-source add-on](https://github.com/facebookincubator/meta-code-verify/) is designed to "automatically verif[y] the authenticity of the WhatsApp Web code being served to your browser," Facebook [said](https://engineering.fb.com/2022/03/10/security/code-verify/) in a statement.


The goal with Code Verify is to confirm the integrity of the web application and ensure that it hasn't been tampered with to inject malicious code. The social media company is also planning to release a Firefox plugin to achieve the same level of security across browsers.


The system works with Cloudflare acting as a third-party audit to compare the cryptographic hash of WhatsApp Web's JavaScript code that's shared by Meta with that of a locally computed hash of the code running on the browser client.


[![WhatsApp Web Code](https://thehackernews.com/new-images/img/a/AVvXsEghVgvZKqgOFdq38PEs4NxSFTE3gf7ekzUPieOK_-HnezPgVUxImwGUGD89sHzrf3fHQjEWyKRhadnDScM_VVtpspu5Gy1pEmlP2Tzyxxc3POTzdPb4Kee-x2LX-Ps03gQkHGMt0K4DmW-MI5hdJzQ0fYeo-euwAgBj8CGnpTxWC0EojJ8GNpmjuUeE=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEghVgvZKqgOFdq38PEs4NxSFTE3gf7ekzUPieOK_-HnezPgVUxImwGUGD89sHzrf3fHQjEWyKRhadnDScM_VVtpspu5Gy1pEmlP2Tzyxxc3POTzdPb4Kee-x2LX-Ps03gQkHGMt0K4DmW-MI5hdJzQ0fYeo-euwAgBj8CGnpTxWC0EojJ8GNpmjuUeE)
Code Verify is also meant to be flexible in that whenever the code for WhatsApp Web is updated, the cryptographic hash value will be updated automatically in tandem, so that the code served to users is certified on the fly.


WhatsApp, in a [separate FAQ](https://faq.whatsapp.com/web/security-and-privacy/about-code-verify) on the latest security feature, emphasized that "the extension won't read or access the messages you send or receive, and we won't know if you have downloaded the extension." The add-on will also not log any data, metadata, or user data, and doesn't share any information with WhatsApp, it noted.


"The idea itself — comparing hashes to detect tampering or even corrupted files — isn't new, but automating it, deploying it at scale, and making sure it 'just works' for WhatsApp users is," Cloudflare [said](https://blog.cloudflare.com/cloudflare-verifies-code-whatsapp-web-serves-users/).


  





## Tags:


### Autogenerated tags:
whatsapp cloudflare
