# Iranian Tortoiseshell Hackers Targeting Israeli Logistics Industry
## Researchers identify a series of watering hole attacks targeting shipping and logistics companies in Iisrael.
## Information:

+ Link: https://thehackernews.com/2023/05/iranian-tortoiseshell-hackers-targeting.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 24 May 2023, 19:19
+ Date scraped: 24 May 2023, 14:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjBfOL7ebL4_QxU2QvhS067Jh-OhxGA20cVBAMqTIV7bRArvsICZYUCPckzIlESKdCwaG2KWLEhh10gQs7JyBQ_W5l9x6d0CFd2z5LPWD5L2oCzlhCK5ZFGjj9K0eFrzvkBM0curKtnL7U_n41WjGhIzvRrghc4c-BZztlLm9ra8c9VINhFz8V2-YJe/s728-e3650/cyber.jpg)


At least eight websites associated with shipping, logistics, and financial services companies in Israel were targeted as part of a watering hole attack.


Tel Aviv-based cybersecurity company ClearSky attributed the attacks with low confidence to an Iranian threat actor tracked as [Tortoiseshell](https://malpedia.caad.fkie.fraunhofer.de/actor/tortoiseshell), which is also called Crimson Sandstorm (previously Curium), Imperial Kitten, and TA456.


"The infected sites collect preliminary user information through a script," ClearSky [said](https://www.clearskysec.com/fata-morgana/) in a technical report published Tuesday. Most of the impacted websites have been stripped of the rogue code.


[Tortoiseshell](https://thehackernews.com/2022/07/state-backed-hackers-targeting.html) is known to be active since at least July 2018, with [early attacks](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/tortoiseshell-apt-supply-chain) targeting IT providers in Saudi Arabia. It has also been observed [setting up fake hiring websites](https://blog.talosintelligence.com/tortoiseshell-fake-veterans/) for U.S. military veterans in a bid to trick them into downloading remote access trojans.


That said, this is not the first time Iranian activity clusters have set their sights on the Israeli shipping sector with watering holes.


The attack method, also called strategic website compromises, works by infecting a website that's known to be commonly visited by a group of users or those within a specific industry to enable the distribution of malware.


[![Watering Hole Attack](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhLM_7uk0StasASkSJ0kTsobLS0o-VP8lKAxlWdZib4gd-ek5ocsR6pSp0i3LdKDKqcKKiLWCKhY45HdiOllOv4FUw41KaW5DtILbKeDmPiJ8j4GEz05PaR3fqfY8ZvLLSaORUVBD6DOTIIKpPMIsF8pr6rOFdS8D-8_94l6VfvVTEE8CA_ppL1b-BR/s728-e365/url.jpg)
In August 2022, an emerging Iranian actor named [UNC3890](https://thehackernews.com/2022/08/suspected-iranian-hackers-targeted.html) was attributed to a watering hole hosted on a login page of a legitimate Israeli shipping company that's designed to transmit preliminary data about the logged-in user to an attacker-controlled domain.


The latest intrusions documented by ClearSky show that the malicious JavaScript injected into the websites functions in a similar manner, collecting information about the system and sending it to a remote server.


The JavaScript code further attempts to determine the user's language preference, which ClearSky said could be "useful to the attacker to customize their attack based on the user's language."


On top of that, the attacks also make use of a domain named jquery-stack[.]online for command-and-control (C2). The goal is to fly under the radar by impersonating the legitimate jQuery JavaScript framework.


The development comes as Israel [continues](https://www.recordedfuture.com/social-engineering-remains-key-tradecraft-for-iranian-apts) to be the most [prominent target](https://thehackernews.com/2023/04/iran-based-hackers-caught-carrying-out.html) for Iranian state-sponsored crews. Microsoft, earlier this month, [highlighted](https://thehackernews.com/2023/05/meta-uncovers-massive-social-media.html) their new approach of combining "offensive cyber operations with multi-pronged influence operations to fuel geopolitical change in alignment with the regime's objectives."



  





## Tags:
***urls***: http://jquery-stack.online

### Autogenerated tags:
websites clearsky javascript
