# Kimsuky Hackers Deploying AppleSeed, Meterpreter, and TinyNuke in Latest Attacks
## North Korean nation-state actors are using spear-phishing attacks to seize control of computers, deploying tools like AppleSeed and Meterpreter.
## Information:

+ Link: https://thehackernews.com/2023/12/kimsuky-hackers-deploying-appleseed.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 29 December 2023, 14:39
+ Date scraped: 29 December 2023, 10:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi0um1c_AUXqVfb2GFv3e5PTmKA56qyJ7MjQeA8XzuquGGwxWO8OSD90Z5qktApKMGLn_zmOcGkUIKxaC85R3zDyQLqTpeboBnMJwPTtPRNMAJZDDt31xayMVmY1I762u0_ZO8NDu0M_vdCOUokuruR0QMPEm5a38KiXZzNf2gVbOpQfBJDABIWrJMB1oxg/s728-rw-ft-e30/korean-hacker.jpg)


Nation-state actors affiliated to North Korea have been observed using spear-phishing attacks to deliver an assortment of backdoors and tools such as AppleSeed, Meterpreter, and TinyNuke to seize control of compromised machines.


South Korea-based cybersecurity company AhnLab attributed the activity to an advanced persistent threat group known as **Kimsuky**.


"A notable point about attacks that use AppleSeed is that similar methods of attack have been used for many years with no significant changes to the malware that are used together," the AhnLab Security Emergency Response Center (ASEC) [said](https://asec.ahnlab.com/en/60054/) in an analysis published Thursday.


[Kimsuky](https://thehackernews.com/2023/12/n-korean-kimsuky-targeting-south-korean.html), active for over a decade, is known for its targeting of a wide range of entities in South Korea, before expanding its focus to include other geographies in 2017. It was [sanctioned](https://thehackernews.com/2023/12/us-treasury-sanctions-north-korean.html) by the U.S. government late last month for amassing intelligence to support North Korea's strategic objectives.


 UPCOMING WEBINAR  [From USER to ADMIN: Learn How Hackers Gain Full Control](https://thehacker.news/privilege-escalation-art?source=inside)  Discover the secret tactics hackers use to become admins, how to detect and block it before it's too late. Register for our webinar today.

 [Join Now](https://thehacker.news/privilege-escalation-art?source=inside) 
The threat actor's espionage campaigns are realized through spear-phishing attacks containing malicious lure documents that, upon opening, culminate in the deployment of various malware families.


One such prominent Windows-based backdoor used by Kimsuky is [AppleSeed](https://thehackernews.com/2021/06/researchers-uncover-hacking-operations.html) (aka JamBog), a DLL malware which has been put to use as early as May 2019 and has been updated with an [Android version](https://thehackernews.com/2022/10/kimsuky-hackers-spotted-using-3-new.html) as well as a new variant written in Golang called [AlphaSeed](https://medium.com/s2wblog/detailed-analysis-of-alphaseed-a-new-version-of-kimsukys-appleseed-written-in-golang-2c885cce352a).


[AppleSeed](https://vblocalhost.com/presentations/operation-newton-hi-kimsuky-did-an-appleseed-really-fall-on-newtons-head/) is designed to receive instructions from an actor-controlled server, drop additional payloads, and exfiltrate sensitive data such as files, keystrokes, and screenshots. AlphaSeed, like AppleSeed, incorporates similar features but has some crucial differences as well.


"AlphaSeed was developed in Golang and uses [chromedp](https://github.com/chromedp/chromedp) for communications with the [command-and-control] server," ASEC said, in contrast to AppleSeed, which relies on HTTP or SMTP protocols. Chromedp is a popular Golang library for interacting with the Google Chrome browser in headless mode through the [DevTools Protocol](https://chromedevtools.github.io/devtools-protocol/).


There is evidence to suggest the Kimsuky has used AlphaSeed in attacks since October 2022, with some intrusions delivering both AppleSeed and AlphaSeed on the same target system by means of a JavaScript dropper.


Also deployed by the adversary are Meterpreter and VNC malware such as [TightVNC and TinyNuke](https://thehackernews.com/2023/10/microsoft-warns-of-north-korean-attacks.html) (aka Nuclear Bot), which can be leveraged to take control of the affected system.


The development comes as Nisos said it discovered a number of online personas on LinkedIn and GitHub likely used by [North Korea's information technology (IT) workers](https://thehackernews.com/2023/10/us-doj-cracks-down-on-north-korean-it_20.html) to fraudulently obtain remote employment from companies in the U.S. and act as a revenue-generating stream for the regime and help fund its economic and security priorities.


"The personas often claimed to be proficient in developing several different types of applications and have experience working with crypto and blockchain transactions," the threat intelligence firm [said](https://www.nisos.com/research/dprk-it-worker-scam/) in a report released earlier this month.


"Further, all of the personas sought remote-only positions in the technology sector and were singularly focused on obtaining new employment. Many of the accounts are only active for a short period of time before they are disabled."


North Korean actors, in recent years, have launched a series of multi-pronged assaults, blending novel tactics and supply chain weaknesses to target blockchain and cryptocurrency firms to facilitate the theft of intellectual property and virtual assets.


The prolific and aggressive nature of the attacks points to the different ways the country has resorted to evading international sanctions and illegally profiting from the schemes.


"People tend to think, … how could the quote-unquote 'Hermit Kingdom' possibly be a serious player from a cyber perspective?," CrowdStrike's Adam Meyers was [quoted as saying](https://www.politico.com/news/2023/12/21/north-korea-missiles-program-hackers-00132871) to Politico. "But the reality couldn't be further from the truth."


  





## Tags:


### Autogenerated tags:
appleseed alphaseed kimsuky malware golang
