# Malicious NPM Packages Target German Companies in Supply Chain Attack
## Researchers uncover a new NPM supply-chain attack campaign in which attackers distribute malicious packages to compromise leading German companies.
## Information:

+ Link: https://thehackernews.com/2022/05/malicious-npm-packages-target-german.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 11 May 2022, 09:08
+ Date scraped: 11 May 2022, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj2HkoN2gwkgThn5A-YH0JnQJDS92IpYFkWF0q7VWlT35ZbS0khDQMW5vECor0Ru4G4_GjrhK7Qspvu_y21su5wdByQRP-hGVD1XdG4pee034mGiQR-tmTWRUYCvWu6sRtfnbg67qBEw0H4-xS47crc8xvEBOGpp3ZjVAwDdiiDOdJtYgijROlJCdwI/s728-e1000/npm-malware.jpg)


Cybersecurity researchers have discovered a number of malicious packages in the NPM registry specifically targeting a number of prominent companies based in Germany to carry out [supply chain attacks](https://thehackernews.com/2022/05/nist-releases-updated-guidance-for.html).


"Compared with most malware found in the NPM repository, this payload seems particularly dangerous: a highly-sophisticated, obfuscated piece of malware that acts as a backdoor and allows the attacker to take total control over the infected machine," researchers from JFrog [said](https://jfrog.com/blog/npm-supply-chain-attack-targets-german-based-companies/) in a new report.


The DevOps company said that evidence points to it being either the work of a sophisticated threat actor or a "very aggressive" penetration test.


All the rogue packages, most of which have since been removed from the repository, have been traced to four "maintainers" - bertelsmannnpm, boschnodemodules, stihlnodemodules, and dbschenkernpm — indicating an attempt to impersonate legitimate firms like Bertelsmann, Bosch, Stihl, and DB Schenker.


Some of the package names are said to be very specific, raising the possibility that the adversary managed to identify the libraries hosted in the companies' internal repositories with the goal of staging a [dependency confusion](https://thehackernews.com/2021/02/dependency-confusion-supply-chain.html) attack.


[![Supply Chain Attack](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiDoupYTxmRf_R_VBRhIXq4ZOiMtSUS_61JoNFUKpdQQN13wsFHlwk41-KANog86ExyZyzP9XzGvseVhNhWIyiak35mNoE6FmiVk7Q-DhuAbr9z3ijuP0tT-B_mVpTG0_6pP0lPUmr8yUw7JwP-4Pqq04hagANF6K_DNpkCtqqlpnpcFII_nkLyUV1o/s728-e1000/npm-npm.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiDoupYTxmRf_R_VBRhIXq4ZOiMtSUS_61JoNFUKpdQQN13wsFHlwk41-KANog86ExyZyzP9XzGvseVhNhWIyiak35mNoE6FmiVk7Q-DhuAbr9z3ijuP0tT-B_mVpTG0_6pP0lPUmr8yUw7JwP-4Pqq04hagANF6K_DNpkCtqqlpnpcFII_nkLyUV1o/s728-e100/npm-npm.jpg)
The findings build on a [report](https://snyk.io/blog/npm-dependency-confusion-attack-gxm-reference/) from Snyk late last month that detailed one of the offending packages, "gxm-reference-web-auth-server," noting that the malware is targeting an unknown company that has the same package in their private registry.


"The attacker(s) likely had information about the existence of such a package in the company's private registry," the Snyk security research team said.


Calling the implant an "in-house development," JFrog pointed out that the malware harbors two components, a dropper that sends information about the infected machine to a remote telemetry server before decrypting and executing a JavaScript backdoor. 


The backdoor, while lacking a persistence mechanism, is designed to receive and execute commands sent from a hard-coded command-and-control server, evaluate arbitrary JavaScript code, and upload files back to the server.


"The attack is highly targeted and relies on difficult-to-get insider information," the researchers said. But on the other hand, "the usernames created in the NPM registry did not try to hide the targeted company."


  





## Tags:


### Autogenerated tags:
malware npm
