# Malicious PyPI Packages Using Cloudflare Tunnels to Sneak Through Firewalls
## Six malicious Python packages distributed via PyPI deploying info stealers and use Cloudflare tunnels to sneak through firewalls.
## Information:

+ Link: https://thehackernews.com/2023/01/malicious-pypi-packages-using.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 January 2023, 08:47
+ Date scraped: 09 January 2023, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEioLScBPxvaWYxBOr1rsfntTQBybECKgpFxx-nGDPk_6IEFmhwQZZ76aF7moU9Hi_S2_w75CFEod-Eel2kD5OhdS_Fd1CYnfCmlWRNXkclQUd1Mf0EtKwb8KK4R-kUkZTZKFI3O3Bgb9zMEylSOk0RQh3dqwz0TbrSuzizWMfynsbG2edK8EdkKUswZ/s728-rj-e3650/cf.png)


In yet another campaign targeting the Python Package Index (PyPI) repository, six malicious packages have been found deploying information stealers on developer systems.


The now-removed packages, which were [discovered](https://blog.phylum.io/a-deep-dive-into-powerat-a-newly-discovered-stealer/rat-combo-polluting-pypi) by Phylum between December 22 and December 31, 2022, include pyrologin, easytimestamp, discorder, discord-dev, style.py, and pythonstyles.


The malicious code, as is [increasingly the case](https://thehackernews.com/2022/12/w4sp-stealer-discovered-in-multiple.html), is concealed in the setup script (setup.py) of these libraries, meaning running a "pip install" command is enough to activate the malware deployment process.


The malware is designed to launch a PowerShell script that retrieves a ZIP archive file, install invasive dependencies such as pynput, pydirectinput, and pyscreenshot, and run a Visual Basic Script extracted from the archive to execute more PowerShell code.


"These libraries allow one to control and monitor mouse and keyboard input and capture screen contents," Phylum said in a technical report published last week.


The rogue packages are also capable of harvesting cookies, saved passwords, and cryptocurrency wallet data from Google Chrome, Mozilla Firefox, Microsoft Edge, Brave, Opera, Opera GX, and Vivaldi browsers.


But in what's a novel technique adopted by the threat actor, the attack further attempts to download and install [cloudflared](https://github.com/cloudflare/cloudflared), a command-line tool for [Cloudflare Tunnel](https://developers.cloudflare.com/cloudflare-one/connections/connect-apps), which offers a "secure way to connect your resources to Cloudflare without a publicly routable IP address."


The idea, in a nutshell, is to leverage the tunnel to remotely access the compromised machine via a Flask-based app, which harbors a trojan dubbed xrat (but codenamed poweRAT by Phylum).


The malware enables the threat actor to run shell commands, download remote files and execute them on the host, exfiltrate files and entire directories, and even run arbitrary python code.


The Flask application also supports a "live" feature that uses JavaScript to listen to mouse and keyboard click events and capture screenshots of the system in order to grab any sensitive information entered by the victim.

 "This thing is like a RAT on steroids," Phylum said. "It has all the basic RAT capabilities built into a nice web GUI with a rudimentary remote desktop capability and a stealer to boot!"


The findings are yet another window into how attackers are [continuously evolving](https://thehackernews.com/2022/12/researchers-discover-malicious-pypi.html) their tactics to target open source package repositories and stage supply chain attacks.


Late last month, Phylum also [disclosed](https://blog.phylum.io/phylum-detects-a-series-of-suspicious-publications-on-npm-again) a number of fraudulent npm modules that were found exfiltrating environment variables from the installed systems.


  





## Tags:


### Autogenerated tags:
malware
