# Massive Sign1 Campaign Infects 39,000+ WordPress Sites with Scam Redirects
## Over 39,000 WordPress sites have fallen victim to the Sign1 malware campaign in just 6 months, redirecting unsuspecting users to scam sites through ma
## Information:

+ Link: https://thehackernews.com/2024/03/massive-sign1-campaign-infects-39000.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 March 2024, 16:57
+ Date scraped: 22 March 2024, 12:04

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgCkqf9hM7VD9zWt4e1UbchWEFAO6Jq1MNJbgiEzVyWnLHSdWi_nfDxBmrp33pVW3oc17aeL76QKTjEhkFfFNjpYAkDgbuWlcDQLbrLAB9yNbDNgO-uU44RX7-YculthoOkF-XC45y_0dquM_Cc-p4XP2MEXnKrMa-il0wkS2VXO-X05G3QizW57jwTV7Y/s728-rw-e365/code.jpg)


A massive malware campaign dubbed **Sign1** has compromised over 39,000 WordPress sites in the last six months, using malicious JavaScript injections to redirect users to scam sites.


The most recent variant of the malware is estimated to have infected no less than 2,500 sites over the past two months alone, Sucuri said in a report published this week.


The attacks entail injecting rogue JavaScript into legitimate HTML widgets and plugins that allow for arbitrary JavaScript and other code to be inserted, providing attackers with an opportunity to add their malicious code.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
The XOR-encoded JavaScript code is subsequently decoded and used to execute a JavaScript file hosted on a remote server, which ultimately facilitates redirects to a [VexTrio](https://thehackernews.com/2024/01/vextrio-uber-of-cybercrime-brokering.html)-operated traffic distribution system (TDS) but only if certain criteria are met.


What's more, the malware uses time-based randomization to fetch dynamic URLs that change every 10 minutes to get around blocklists. These domains are registered a few days prior to their use in attacks.


"One of the most noteworthy things about this code is that it is specifically looking to see if the visitor has come from any major websites such as Google, Facebook, Yahoo, Instagram etc.," security researcher Ben Martin [said](https://blog.sucuri.net/2024/03/sign1-malware-analysis-campaign-history-indicators-of-compromise.html). "If the referrer does not match to these major sites, then the malware will not execute."


Site visitors are then taken to other scam sites by executing another JavaScript from the same server.


The Sign1 campaign, first detected in the second half of 2023, has witnessed several iterations, with the attackers leveraging as many as 15 different domains since July 31, 2023.


It's suspected that WordPress sites have been taken over by means of a brute-force attack, although adversaries could also leverage security flaws in plugins and themes to obtain access.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
"Many of the injections are found inside WordPress custom HTML widgets that the attackers add to compromised websites," Martin said. "Quite often, the attackers install a legitimate [Simple Custom CSS and JS plugin](https://wordpress.org/plugins/custom-css-js/) and inject the malicious code using this plugin."


This approach of not placing any malicious code into server files allows the malware to stay undetected for extended periods of time, Sucuri said.



  





## Tags:


### Autogenerated tags:
javascript malware wordpress
