# North Korean Hackers Suspected in New Wave of Malicious npm Packages
## 📦 Developers, beware! Nine npm packages uploaded between Aug 9-12, 2023 have caught the attention of security experts.
## Information:

+ Link: https://thehackernews.com/2023/08/north-korean-hackers-suspected-in-new.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 15 August 2023, 12:38
+ Date scraped: 15 August 2023, 07:37

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjz8YioZhaUNyoFiLAmzDdQfvMSLrQWMXdTDa6iWdhpHMObL5gYljEUtKVJ0Y0TdDJFWII4L0tmvKaIbHYzROdy19XQXkbD-FcyI7ZtNsyH8rf0B2potd3IziJdGJ69WKobLhcjY2WFfpepKiOZxXOOEqkx2Rw3EIVkXy2O9bp2aqJri6c7Y8heGZ2fQnYd/s728-e3650/npm.jpg)


The npm package registry has emerged as the target of yet another highly targeted attack campaign that aims to entice developers into downloading malevolent modules.


Software supply chain security firm Phylum told The Hacker News the activity exhibits similar behaviors to that of a previous attack wave [uncovered in June](https://thehackernews.com/2023/06/new-ongoing-campaign-targets-npm.html), which has since been [linked to North Korean threat actors](https://thehackernews.com/2023/07/north-korean-nation-state-actors.html).


As many as nine packages have been identified as uploaded to npm between August 9 and 12, 2023. This includes: ws-paso-jssdk, pingan-vue-floating, srm-front-util, cloud-room-video, progress-player, ynf-core-loader, ynf-core-renderer, ynf-dx-scripts, and ynf-dx-webpack-plugins.


"Due to the sophisticated nature of the attack and the small number of affected packages, we suspect this is another highly targeted attack, likely with a social engineering aspect involved in order to get targets to install these packages," the company [said](https://blog.phylum.io/sophisticated-highly-targeted-attacks-continue-to-plague-npm/).


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjDdxUPmQ8UJQm7kd9rIBsYCDlCQoR3bqVu4rchvOWFKGtnDq1ldILMskU-tlbXnHlWQVvGxivE1Fe-Lh5dJlECjsiblKiu8sbqMdqKgxy97B6MLcQuXtpP2lOmhjny2d5jmCkjl9wSzPqoLkAQ2KHee1cno62wV4IXDkMLIFfzgANa6DJDIBjFicKsID_i/s728-e3650/1.png)](https://thn.news/edWGl41h)
The attack chain commences with the package.json file with a postinstall hook that executes an index.js file upon package installation. The latter uses the legitimate [pm2 module](https://www.npmjs.com/package/pm2) as a dependency to launch a daemon process that, in turn, executes another JavaScript file named app.js.


The JavaScript code is designed to initiate encrypted two-way communication with a remote server – "ql.rustdesk[.]net," a spoofed domain masquerading as the legitimate RustDesk remote desktop software – 45 seconds after the package is installed and transmit basic information about the compromised host.


The malware then pings and waits for further instructions every 45 seconds, which are subsequently decoded and executed.


"It would appear that the attackers on the other side of this are monitoring machine GUIDs and selectively issuing additional payloads (in the form of encrypted Javascript) to any machines of interest," the Phylum Research Team said.


The development follows the [discovery](https://blog.phylum.io/typosquat-of-popular-ethereum-package-steals-private-keys/) of a typosquat version of a popular Ethereum package on npm that's engineered to make an HTTP request to a Chinese server ("wallet.cba123[.]cn" containing the user's cryptographic key.


What's more, the highly popular NuGet package, [Moq](https://www.nuget.org/packages/Moq), has drawn criticism after new versions 4.20.0 and 4.20.1 of the package released last week came with a new dependency referred to as SponsorLink that extracts SHA-256 hashes of developer email addresses from local Git configs and sends it to a cloud service without their knowledge or consent.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The controversial changes, which raise GDPR compliance issues, have been rolled back in version 4.20.2. But the damage may have been done, as Bleeping Computer [reported](https://www.bleepingcomputer.com/news/security/amazon-aws-distances-itself-from-moq-amid-data-collection-controversy/) that Amazon Web Services (AWS) has withdrawn its association with the project.


"In my opinion, the author did not intend to cause any harm but ended up damaging the trust of his users," Checkmarx researcher Jossef Harush [said](https://checkmarx.com/blog/popular-nuget-package-moq-silently-exfiltrates-user-data-to-cloud-service/). "This could have been prevented if it had been open for discussion prior to publishing the new changes and accepting the content of his users."


The findings also come as organizations have been found [increasingly](https://www.ox.security/understanding-and-preventing-dependency-confusion-attacks/) [vulnerable](https://orca.security/resources/blog/dependency-confusion-supply-chain-attacks/) to [dependency confusion attacks](https://thehackernews.com/2023/01/pytorch-machine-learning-framework.html), potentially leading developers to [unwittingly introduce vulnerable or malicious code](https://www.websecuritylens.org/how-dependency-confusion-attack-works-and-how-to-prevent-it/) into their projects, effectively resulting in large-scale supply chain attacks.


As mitigations against dependency confusion attacks, it's recommended to publish internal packages under organization scopes and reserve internal package names in the public registry as placeholders to prevent misuse.


  





## Tags:
***urls***: http://wallet.cba123.cn http://ql.rustdesk.net

### Autogenerated tags:
npm javascript
