# Over 4,500 WordPress Sites Hacked to Redirect Visitors to Sketchy Ad Pages
## Warning: A massive malware campaign has infected more than 4,500 WordPress websites and is redirecting their visitors to sketchy ad pages.
## Information:

+ Link: https://thehackernews.com/2023/01/over-4500-wordpress-sites-hacked-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 25 January 2023, 16:11
+ Date scraped: 25 January 2023, 17:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh6fbefyc6Sxt_01sChOycIIV18-08HOOFB8_JIHP7sKJ8nK45QvCXJotwyz-8DQdSzHQ7wrTzVf594F_W9yYz6F62qNlkluPPEKAY0jwhx_Eik068Vc-XAm9mbJsTKBrRZXnC6ZCbSg1VBTsuZ1VtNfgNTpAOsxb_C9BC3p4LdqLhFiBjNSSboA-k0/s728-rj-e3650/wordpress.png)


A massive campaign has infected over 4,500 WordPress websites as part of a long-running operation that's been believed to be active since at least 2017.


According to GoDaddy-owned Sucuri, the infections involve the injection of obfuscated JavaScript hosted on a malicious domain named "track[.]violetlovelines[.]com" that's designed to redirect visitors to unwanted sites.


The latest [operation](https://publicwww.com/websites/22violetlovelines.com%22/) is said to have been active since December 26, 2022, according to [data](https://urlscan.io/search/#%22violetlovelines.com%22) from urlscan.io. A prior wave seen in [early December 2022](https://publicwww.com/websites/%22specialblueitems.com%22/) impacted more than 3,600 sites, while another set of attacks recorded in [September 2022](https://publicwww.com/websites/%22weatherplllatform.com%22/) ensnared more than 7,000 sites.


The rogue code is inserted in the WordPress index.php file, with Sucuri noting that it has removed such changes from more than 33,000 files on the compromised sites in the past 60 days.


"In recent months, this malware campaign has gradually switched from the notorious fake CAPTCHA push notification scam pages to black hat 'ad networks' that alternate between redirects to legitimate, sketchy, and purely malicious websites," Sucuri researcher Denis Sinegubko [said](https://blog.sucuri.net/2023/01/massive-campaign-uses-hacked-wordpress-sites-as-platform-for-black-hat-ad-network.html).


Thus when unsuspecting users land on one of the hacked WordPress sites, a redirect chain is triggered by means of a traffic direction system, landing the victims on pages serving sketchy ads about products that ironically block unwanted ads.


[![WordPress Hacking](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhSg0d7jlrfuB2tQAJo_e-GqZ0BsP7xR2xHxRb6ndO0Ffe-dfNp4qwc-ad6MiTBiKtesCdzoRFAg2E8plHLT0Ontu5bPm42nowphIJwBnLPpVKBufwq1ZY-UOW71at--l_mCwf0WU9YILuDwB6Kd-qZwRlySBFnVcXgfUwplRqXIc5lTEQQsCoDhnk1/s728-rj-e365/website-hacking.png)
Even more troublingly, the website for one such ad blocker named Crystal Blocker is engineered to display misleading browser update alerts to trick the users into installing its extension depending on the web browser used.


The browser extension is used by nearly 110,000 users spanning [Google Chrome](https://chrome.google.com/webstore/detail/crystalblocker/ehhgaobakclpaachikjhcpelknghhbfh) (60,000+), [Microsoft Edge](https://microsoftedge.microsoft.com/addons/detail/crystalblocker/lneokhajjamkcciipddlogdbiegmcaim) (40,000+), and [Mozilla Firefox](https://addons.mozilla.org/en-US/firefox/addon/crystalblocker/) (8,635).


"And while the extensions indeed have ad blocking functionality, there is no guarantee that they are safe to use — and may contain undisclosed functions in the current version or in future updates," Sinegubko explained.


Some of the redirects also fall into the outright nefarious category, with the infected websites acting as a conduit for initiating drive-by downloads.


[![WordPress Hacking](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhKzGBWTAJsG2hGDYvrhQYhEHJbstBINJljxqo3xhsOldnfKcyIR2sGCQt9BelkEFzFG7n8GgJ6UrkSpuhmzApLqx3EH15xLrrzU3Bf47IYnyrb65UH8lal-LE85T8UE8PHYxYtUD56__y2-K4QjhpTn-Zv3s6BpqiZIHpoN5lKKMt1uahiVGtxGa4h/s728-rj-e365/malware.png)
This also includes retrieving from Discord CDN an information-stealing malware known as Raccoon Stealer, which is capable of plundering sensitive data such as passwords, cookies, autofill data from browsers, and crypto wallets.

 The findings come as threat actors are [setting up](https://thehackernews.com/2022/12/new-malvertising-campaign-via-google.html) [lookalike](https://thehackernews.com/2023/01/the-evolving-tactics-of-vidar-stealer.html) [websites](https://thehackernews.com/2023/01/raccoon-and-vidar-stealers-spreading.html) for a variety of legitimate software to [distribute stealers and trojans](https://thehackernews.com/2023/01/new-research-delves-into-world-of.html) through malicious ads in Google search results.


Google has since stepped in to block [one of the rogue domains](https://transparencyreport.google.com/safe-browsing/search?url=wholegrady.com) involved in the redirect scheme, classifying it as an unsafe site that installs "unwanted or malicious software on visitors' computers."


To mitigate such threats, WordPress site owners are advised to change passwords and update [installed](https://thehackernews.com/2023/01/wordpress-security-alert-new-linux.html) [themes and plugins](https://patchstack.com/category/security-advisories/) as well as remove those that are unused or abandoned by their developers.


  





## Tags:
***urls***: http://track.violetlovelines.com

### Autogenerated tags:
wordpress websites google
