# Over a Dozen Malicious npm Packages Target Roblox Game Developers
## Beware Roblox developers! Malicious packages on the npm repository have been found. These imposters are deploying Luna Token Grabber malware.
## Information:

+ Link: https://thehackernews.com/2023/08/over-dozen-malicious-npm-packages.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 23 August 2023, 12:03
+ Date scraped: 23 August 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjw5WioLH4sVWYPVGuxL2tuG88DHAgG6SiFfA1_196R6ZU38lIdJsjXAFxytOAOrwI3x1_uLJ9-yTVJX0WGkmG5JfURo8--EMbdrHLaWx_tROly-pczTrsv2gxvS0qMtxRL7oeG50PEI3JCW-f601ZU3N32g5B-4xocBw5SacKDvQ-k3AHwUplF0YcYzeGL/s728-e3650/gacming.jpg)


More than a dozen malicious packages have been discovered on the npm package repository since the start of August 2023 with capabilities to deploy an open-source information stealer called **Luna Token Grabber** on systems belonging to Roblox developers.


The ongoing campaign, first detected on August 1 by ReversingLabs, employs modules that masquerade as the legitimate package [noblox.js](https://www.npmjs.com/package/noblox.js), an API wrapper that's used to create scripts that interact with the Roblox gaming platform.


The software supply chain security company described the activity as a "replay of an attack [uncovered](https://thehackernews.com/2021/10/malicious-npm-libraries-caught.html) two years ago" in October 2021.


"The malicious packages [...] reproduce code from the legitimate noblox.js package but add malicious, information-stealing functions," software threat researcher Lucija Valentić [said](https://www.reversinglabs.com/blog/fake-roblox-api-packages-luna-grabber-npm) in a Tuesday analysis.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiltwxN6CgTsOwvK4Kb9RC48ffApMCcXD3j2Gc3db9P1-x8PHByrz3vE32zvTg2ob2gKgFCjZBxfrCvkNyecbAPGYBfbb0Tj5AljTS_uYaanG6sEjZCK8NhoD2rHwk-Eh24yrpazpnZZiKsiHdbNkq2XVUeD-T-sZ2yW29dfOwyrVq3f31mu0hw25FnVzTn/s728-e3650/3.png)](https://thn.news/edWGl41h)
The packages were cumulatively downloaded 963 times before they were taken down. The names of the rogue packages are as follows -


* noblox.js-vps (versions 4.14.0 to 4.23.0)
* noblox.js-ssh (versions 4.2.3 to 4.2.5)
* noblox.js-secure (versions 4.1.0, 4.2.0 to 4.2.3)


While the broad contours of the latest attack wave remain similar to the previous one, it also exhibits some unique characteristics of its own, notably in the deployment of an executable that delivers Luna Grabber.


[![Roblox Game Developers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi0Fgc7g-o9642EhHvEaSwgJE45iFI22tSYGNFXHUgQf2Zk9_BbcVh0HXmft5uhX6DyLazoMBkLuh5Fb6oKYEYMiDV0zOn-fS0dQmegJh2hy2BxrJyQ2Gx_TqM2J-Pc_FmOkYzUKBwFqpl5s86UJSS2bBFH5b_xPFoBv2nTXsgPWSn_jRkPVhG4c9R5w7Ou/s728-e3650/noblox.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi0Fgc7g-o9642EhHvEaSwgJE45iFI22tSYGNFXHUgQf2Zk9_BbcVh0HXmft5uhX6DyLazoMBkLuh5Fb6oKYEYMiDV0zOn-fS0dQmegJh2hy2BxrJyQ2Gx_TqM2J-Pc_FmOkYzUKBwFqpl5s86UJSS2bBFH5b_xPFoBv2nTXsgPWSn_jRkPVhG4c9R5w7Ou/s728-e365/noblox.jpg)
The development is one of the rare instances of a multi-stage infection sequence uncovered on npm, ReversingLabs said.


"With malicious campaigns that target the software supply chain, the difference between sophisticated and unsophisticated attacks often comes down to the level of effort the malicious actors make to disguise their attack and make their malicious packages look legitimate," Valentić pointed out.


The modules, in particular, cleverly conceal their malicious functionality in a separate file named postinstall.js that's invoked after installation.


That's because the genuine noblox.js package also employs a [file with the same name](https://github.com/noblox/noblox.js/blob/master/postinstall.js) to display a thank you message to its users alongside links to its documentation and GitHub repository.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The bogus variants, on the other hand, utilize the JavaScript file to verify to see if the package is installed on a Windows machine, and if so, download and execute a second-stage payload hosted on Discord CDN, or alternatively, show an error message.


ReversingLabs said that the second-stage continued to evolve with each iteration, progressively adding more functionality and obfuscation mechanisms to thwart analysis. The primary responsibility of the script is to download [Luna Token Grabber](https://github.com/Smug246/Luna-Grabber), a Python tool that can siphon credentials from web browsers as well as Discord tokens.


However, it appears that the threat actor behind the npm campaign appears to have opted only to harvest system information from victims using a configurable builder made available by the author(s) behind Luna Token Grabber.


This is not the first time Luna Token Grabber has been spotted in the wild. Earlier this June, Trellix [disclosed](https://thehackernews.com/2023/06/new-golang-based-skuld-malware-stealing.html) details of a new Go-based information stealer called Skuld that overlaps with the malware strain.


"It highlights yet again the trend of malicious actors using typosquatting as a technique to fool developers into downloading malicious code under the guise of similarly named, legitimate packages," Valentić said.


  





## Tags:


### Autogenerated tags:
npm reversinglabs noblox.js valentić
