# Researchers Uncover RAT-Dropping npm Package Targeting Gulp Users
## A new suspicious package named "glup-debugger-log" has been discovered on the npm registry, designed to drop a RAT on compromised systems.
## Information:

+ Link: https://thehackernews.com/2024/06/researchers-uncover-rat-dropping-npm.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 03 June 2024, 19:30
+ Date scraped: 03 June 2024, 15:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj5U5y3W4Hkt5kVRqqv6S1In4tHdVHpg24UrDa-GDG236_3aAOi09j3yARqQ47FUA23W_tUVBOOtK8e3H9oZl15mHQ7LTX1oR4_aHCv5e-xV8hDcpaYFDQTA3X7jg34i-imn_jXccLQa-O1JKWdlSozlL9wi4x6d6Aqgae7_z85jZn-JlQlRFppjxk8uyev/s728-rw-e365/npm.png)


Cybersecurity researchers have uncovered a new suspicious package uploaded to the npm package registry that's designed to drop a remote access trojan (RAT) on compromised systems.


The package in question is [glup-debugger-log](https://www.npmjs.com/package/glup-debugger-log), which targets users of the gulp toolkit by masquerading as a "logger for gulp and gulp plugins." It has been [downloaded 175 times](https://npm-stat.com/charts.html?package=glup-debugger-log) to date.


Software supply chain security firm Phylum, which discovered the package, said the package comes fitted with two obfuscated files that work in tandem to deploy the malicious payload.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgR7E1qRRSUEJ-s4SYjJyg86aIAQOaMp5FvpkoqPyXA96orlo56U7cHxx_4exvmzX4D7da3V5rwTh9UsPKdnmuFevloSDG9qHTWmIewJYxRXDLD5129MODBMllFC5Wt8eyQCWEOpJbKhjYFXxAtpOnMzgfxTpSJqW8Ox2XvXu46YwHR9X7lKof0ZREICgHy/s728-e365/1p-d-v3.png)](https://thehackernews.uk/1p-d-v3)
"One worked as a kind of initial dropper setting the stage for the malware campaign by compromising the target machine if it met certain requirements, then downloading additional malware components, and the other script providing the attacker with a persistent remote access mechanism to control the compromised machine," it [said](https://blog.phylum.io/sophisticated-rat-shell-targeting-gulp-projects-on-npm/).


Phylum's closer examination of the library's [package.json file](https://docs.npmjs.com/cli/v10/configuring-npm/package-json) – which acts as a manifest file outlining all metadata associated with a package – found the use of a test script to run a JavaScript file ("index.js") that, in turn, invokes an obfuscated JavaScript file ("play.js").


The second JavaScript file functions as a dropper to fetch next-stage malware, but not before running a series of checks for network interfaces, specific types of Windows operating systems (Windows NT), and, in an unusual twist, the number of files in the Desktop folder.


"They check to ensure that the Desktop folder of the machine's home directory contains seven or more items," Phylum explained.


"At first glance, this may seem absurdly arbitrary, but it's likely that this is a form of user activity indicator or a way to avoid deployment on controlled or managed environments like VMs or brand new installations. It appears the attacker is targeting active developer machines."


Assuming all the checks go through, it launches another JavaScript configured in the package.json file ("play-safe.js") to set up persistence. The loader further packs in the capability to execute arbitrary commands from a URL or a local file.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
The "play-safe.js" file, for its part, establishes an HTTP server and listens on port 3004 for incoming commands, which are then executed. The server sends the command output back to the client in the form of a plaintext response.


Phylum described the RAT as both crude and sophisticated, owing to its minimal functionality, self-contained nature, and its reliance on obfuscation to resist analysis.


"It continues to highlight the ever-evolving landscape of malware development in the open source ecosystems, where attackers are employing new and clever techniques in an attempt to create compact, efficient, and stealthy malware they hope can evade detection while still possessing powerful capabilities," the company said.

 
  





## Tags:


### Autogenerated tags:
malware javascript
