# Ukraine War Themed Files Become the Lure of Choice for a Wide Range of Hackers
## Google says state-backed hackers and cybercriminals from China, Iran, North Korea and Russia are increasingly using Russian-Ukrainian War-theme.
## Information:

+ Link: https://thehackernews.com/2022/05/ukraine-war-themed-files-become-lure-of.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 04 May 2022, 08:34
+ Date scraped: 04 May 2022, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj_8MFiBbczfbqddfTvxZ3ZfX335ssLYKnFvKDI22cTUzXX0NZzBlBgRz5i7oFOgbrcKBuvxTul1tQA3BMKQppgG7Vg0RA2K0r-6v8C3NDt-r-ieTHsqo71oIeYcS6n1x5PnoeoDFqjOcrVoSmuoF_8fr64aVklSRu7FzvIuEaxSCGBfKhovQfj2bfo/s728-e1000/russia.jpg)


A [growing number of threat actors](https://thehackernews.com/2022/03/google-russian-hackers-target.html) are using the ongoing Russo-Ukrainian war as a lure in various phishing and malware campaigns, even as critical infrastructure entities continue to be heavily targeted.


"Government-backed actors from China, Iran, North Korea and Russia, as well as various unattributed groups, have used various Ukraine war-related themes in an effort to get targets to open malicious emails or click malicious links," Google Threat Analysis Group's (TAG) Billy Leonard [said](https://blog.google/threat-analysis-group/update-on-cyber-activity-in-eastern-europe/) in a report.


"Financially motivated and criminal actors are also using current events as a means for targeting users," Leonard added.


One notable threat actor is Curious Gorge, which TAG has attributed to China People's Liberation Army Strategic Support Force (PLA SSF) and has been observed striking government, military, logistics and manufacturing organizations in Ukraine, Russia and Central Asia.


Attacks aimed at Russia have singled out several governmental entities, such as the Ministry of Foreign Affairs, with additional compromises impacting Russian defense contractors and manufacturers as well as an unnamed logistics company.


The findings follow disclosures that a China-linked government-sponsored threat actor known as Mustang Panda (aka Bronze President) may have been [targeting Russian government officials](https://thehackernews.com/2022/04/chinese-hackers-targeting-russian.html) with an updated version of a remote access trojan called PlugX.


Another set of phishing attacks involved APT28 (aka Fancy Bear) hackers targeting Ukrainian users with a .NET malware that's capable of stealing cookies and passwords from Chrome, Edge and Firefox browsers.


Also implicated were Russia-based threat groups, including Turla (aka Venomous Bear) and [COLDRIVER](https://thehackernews.com/2022/03/hackers-increasingly-using-browser-in.html) (aka Calisto), as well as a Belarusian hacking crew named Ghostwriter in different credential phishing campaigns targeting defense and cybersecurity organizations in the Baltic region and high-risk individuals in Ukraine.


[![Ukraine War Themed Files](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiEAxbXv4rwgg45J2v_Kzfw3fZINvUhWqESBtAcbk5wD6FSx0YSgX6b1hJqEIYFacKu3Zy0hXjPmvDu86GhGO6FPUGCGTWT8o1PLLMJAP0tCBzIQT_dD-EoT6uyA6JY12t_VvbKUvqfotjLygJoihr2cuiGhIQKRvyVYR-QecuUUk31G_pEIOuIJ34H/s728-e1000/google.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiEAxbXv4rwgg45J2v_Kzfw3fZINvUhWqESBtAcbk5wD6FSx0YSgX6b1hJqEIYFacKu3Zy0hXjPmvDu86GhGO6FPUGCGTWT8o1PLLMJAP0tCBzIQT_dD-EoT6uyA6JY12t_VvbKUvqfotjLygJoihr2cuiGhIQKRvyVYR-QecuUUk31G_pEIOuIJ34H/s728-e100/google.jpg)
Ghostwriter's latest attacks directed victims to compromised websites, from where the users were sent to an attacker-controlled web page to harvest their credentials.


In an unrelated phishing campaign targeting entities in Eastern European countries, a previously unknown and financially motivated hacking group has been spotted impersonating a Russian agency to deploy a JavaScript backdoor called [DarkWatchman](https://thehackernews.com/2021/12/new-fileless-malware-uses-windows.html) onto infected computers.


IBM Security X-Force connected the intrusions to a threat cluster it's tracking under the moniker Hive0117.


"The campaign masquerades as official communications from the Russian Government's Federal Bailiffs Service, the Russian-language emails are addressed to users in Lithuania, Estonia, and Russia in the Telecommunications, Electronic and Industrial sectors," the company [said](https://securityintelligence.com/posts/hive00117-fileless-malware-delivery-eastern-europe/).


The findings come as Microsoft [divulged](https://thehackernews.com/2022/04/microsoft-documents-over-200.html) that six different Russia-aligned actors launched at least 237 cyberattacks against Ukraine from February 23 to April 8, including 38 discrete destructive attacks that irrevocably destroyed files in hundreds of systems across dozens of organizations in the country.


The geopolitical tensions and the ensuing military invasion of Ukraine have also fueled an [escalation in data wiper attacks](https://www.fortinet.com/blog/threat-research/the-increasing-wiper-malware-threat) intended to cripple [mission critical processes](https://thehackernews.com/2022/04/russian-hackers-tried-attacking.html) and destroy forensic evidence.


What's more, the Computer Emergency Response Team of Ukraine (CERT-UA) [revealed](https://cert.gov.ua/article/39923) details of ongoing distributed denial-of-service (DDoS) attacks directed against government and news portals by injecting malicious JavaScript (dubbed "BrownFlood") into the compromised sites.


DDoS attacks have been reported beyond Ukraine as well. Last week, Romania's National Directorate of Cyber ​​Security (DNSC) [disclosed](https://dnsc.ro/citeste/comunicat-site-uri-ro-afectate-de-un-atact-de-tip-ddos) that several websites belonging to public and private institutions were "targeted by attackers who aimed to make these online services unavailable." 


The attacks, claimed by a pro-Russian collective called Killnet, come in response to Romania's decision to support Ukraine in the military conflict with Russia.


  





## Tags:


### Autogenerated tags:
phishing
