# WoofLocker Toolkit Hides Malicious Codes in Images to Run Tech Support Scams
## New WoofLocker sophisticated toolkit tricks users with fake tech support scams, leveraging advanced fingerprinting and redirection mechanisms.
## Information:

+ Link: https://thehackernews.com/2023/08/wooflocker-toolkit-hides-malicious.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 19 August 2023, 16:52
+ Date scraped: 19 August 2023, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjphf_Y2HkagN9PDGqmZNH2OrsowS0XChAOSdAF0pjTWtYdtgZ1WamSXSNmOUC-tgEJnBqVASrdzwGOci3ZTKtmkk4eueLXoblsMwSWYJ4-F3zIKUHDlr73GgsZ0ilRkUEGIGsQQE0UOg3tRU3jRCmnbRhrMhWFP6fcnqTLLwjBkOV7qiGssxv4qfkeim4Q/s728-e365/hacking.jpg)


Cybersecurity researchers have detailed an updated version of an advanced fingerprinting and redirection toolkit called **WoofLocker** that's engineered to conduct tech support scams.


The sophisticated traffic redirection scheme was [first documented](https://www.malwarebytes.com/blog/news/2020/01/woof-locker-stealthy-browser-locker-tech-support-scam) by Malwarebytes in January 2020, leveraging JavaScript embedded in compromised websites to perform anti-bot and web traffic filtering checks to serve next-stage JavaScript that redirects users to a browser locker (aka browlock).


This redirection mechanism, in turn, makes use of steganographic tricks to conceal the JavaScript code within a PNG image that's served only when the validation phase is successful. Should a user be detected as a bot or not interesting traffic, a decoy PNG file without the malicious code is used.


WoofLocker is also known as 404Browlock due to the fact that visiting the browlock URL directly without the appropriate redirection or one-time session token results in a 404 error page.


The cybersecurity firm's latest analysis shows that the campaign is still ongoing.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiltwxN6CgTsOwvK4Kb9RC48ffApMCcXD3j2Gc3db9P1-x8PHByrz3vE32zvTg2ob2gKgFCjZBxfrCvkNyecbAPGYBfbb0Tj5AljTS_uYaanG6sEjZCK8NhoD2rHwk-Eh24yrpazpnZZiKsiHdbNkq2XVUeD-T-sZ2yW29dfOwyrVq3f31mu0hw25FnVzTn/s728-e3650/3.png)](https://thn.news/edWGl41h)
"The tactics and techniques are very similar, but the infrastructure is now more robust than before to defeat potential takedown attempts," Jérôme Segura, director of threat intelligence at Malwarebytes, [said](https://www.malwarebytes.com/blog/threat-intelligence/2023/08/wooflocker2).


"It is just as difficult to reproduce and study the redirection mechanism now as it was then, especially in light of new fingerprinting checks" to detect the presence of virtual machines, certain browser extensions, and security tools.


A majority of the sites loading WoofLocker are adult websites, with the infrastructure using hosting providers in Bulgaria and Ukraine that give the threat actors stronger protection against takedowns.


The primary goal of browser lockers is to get targeted victims to call for assistance to resolve (non-existent) computer problems and gain remote control over the computer to draft an invoice that recommends affected individuals to pay for a security solution to address the problem.


"This is handled by third-parties via fraudulent call centers," Segura noted back in 2020. "The threat actor behind the traffic redirection and browlock will get paid for each successful lead."


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjZa1MdsgSCbxjCl_dsuZaCmugzoq1mGwzk0fl0ST10fWLXiyPMpa4n72m62gq_qumq7dQgyptmwsXhqpJ0oX7906KMX2Tx1q1bOmOStcDiebZmdRoklNb-vYSZUPhbbvBCHOj8Et3PVKwiCECHMUKHw3HuPEr-cgtdk5KIExdE2EQl9or5KSWt71Du5wKk/s728-e365/woo.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjZa1MdsgSCbxjCl_dsuZaCmugzoq1mGwzk0fl0ST10fWLXiyPMpa4n72m62gq_qumq7dQgyptmwsXhqpJ0oX7906KMX2Tx1q1bOmOStcDiebZmdRoklNb-vYSZUPhbbvBCHOj8Et3PVKwiCECHMUKHw3HuPEr-cgtdk5KIExdE2EQl9or5KSWt71Du5wKk/s728-e365/woo.jpg)
The exact identity of the threat actor remains unknown and there is evidence preparations for the campaign have been underway as early as 2017.


"Unlike other campaigns that rely on purchasing ads and playing whack-a-mole with hosting providers and registrars, WoofLocker is a very stable and low maintenance business," Segura said. "The websites hosting the malicious code have been compromised for years while the fingerprinting and browser locker infrastructure appears to be using solid registrar and hosting providers."


The disclosure comes as the company detailed a new malvertising infection chain that involves using bogus ads on search engines to direct users searching for remote access programs and scanners to booby-trapped websites that lead to the deployment of stealer malware.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
What sets this campaign apart is its ability to fingerprint visitors using the [WEBGL\_debug\_renderer\_info API](https://developer.mozilla.org/en-US/docs/Web/API/WEBGL_debug_renderer_info) to gather the victim's graphics driver properties to sort real browsers from crawlers and virtual machines and exfiltrate the data to a remote server in order to determine the next course of action.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiDc7wFoln8_OuIUz66Sd9GbJgTUZz4-e1ALcJDQBwk7fJOkOARJe3Y3VZMSUGJchXeT8duMWBTZrbT8Wk_dJZmQ9en3BzaOIFRSRjc3o9jBn92cBUV-p-1SLAMhKyYkWMjKYjeVWro9Qj-sUjgtM2B6mY5nQCwoNU3j57Ex_6LJqOP-gMWIxgRLw_B4r9W/s728-e365/malware.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiDc7wFoln8_OuIUz66Sd9GbJgTUZz4-e1ALcJDQBwk7fJOkOARJe3Y3VZMSUGJchXeT8duMWBTZrbT8Wk_dJZmQ9en3BzaOIFRSRjc3o9jBn92cBUV-p-1SLAMhKyYkWMjKYjeVWro9Qj-sUjgtM2B6mY5nQCwoNU3j57Ex_6LJqOP-gMWIxgRLw_B4r9W/s728-e365/malware.jpg)
"By using better filtering before redirecting potential victims to malware, threat actors ensure that their malicious ads and infrastructure remain online longer," Segura [said](https://www.malwarebytes.com/blog/threat-intelligence/2023/08/malvertisers-up-the-game-against-researchers). "Not only does it make it more difficult for defenders to identify and report such events, it also likely has an impact on takedown actions."


The development also follows new research which [found](https://www.wired.com/story/poison-pdf-scam-fortnite-roblox/) that websites belonging to U.S. government agencies, leading universities, and professional organizations have been hijacked over the last five years and used to push scam offers and promotions via "poison PDF" files uploaded to the portals.


Many of these scams are aimed at children and attempt to trick them into downloading apps, malware, or submitting personal details in exchange for non-existent rewards in online gaming platforms such as Fortnite and Roblox.


  





## Tags:


### Autogenerated tags:
websites wooflocker segura javascript browlock malware
