# Magecart-style hackers charged by Russia in theft of 160,000 credit cards
## Russian authorities took the rare step of publicly identifying suspects in a cybercrime case involving credit card information.
## Information:

+ Link: https://therecord.media/russia-charges-alleged-magecart-style-hackers-credit-cards
+ Source: The Record
+ Author: Daryna Antoniuk
+ Date published: 05 April 2024, 00:00
+ Date scraped: 05 April 2024, 13:01

## Article:
![Main article image](https://cms.therecord.media/uploads/dylan_gillis_x_Km_XZ_4_Fv63w_unsplash_cf158ae8f6.jpg)

Russia has taken the rare step of publicly charging six people suspected of stealing the details of 160,000 credit cards as well as payment information from foreign online stores.

 According to the [statement](https://web.archive.org/web/20240402120517/https://epp.genproc.gov.ru/web/gprf/mass-media/news?item=94137024) published by Russia's Prosecutor General's Office earlier this week, the suspects used malware to bypass the websites' security measures and gain access to their databases. Then, using malicious code, they copied the necessary account details and stored them on their remote servers. The hackers later sold this information on darknet internet forums. 

 The suspects were identified as Denis Priymachenko, Alexander Aseev, Alexander Basov, Dmitry Kolpakov, Vladislav Patyuk, and Anton Tolmachev. If found guilty, they could face a fine or be sentenced to up to seven years in prison, according to Russian [law](https://www.consultant.ru/document/cons_doc_LAW_10699/539a9a6196eae24f91d30781eced78e28b508617/). 

 According to the Russian [archive](https://sudrf.cntd.ru/document/1304540218) of court decisions, the suspects were arrested about a year ago, said Ilya Volovik, the senior manager of the payment fraud intelligence team at Recorded Future, the parent company of The Record. It is not clear if they were part of a specific hacker gang, he added. 

 The indicted Russian hackers used a payment information stealing tactic known as Magecart, said Will Thomas, an instructor at the SANS Institute. This term came from the group [responsible](https://darknetdiaries.com/transcript/52/) for the initial attacks, which specifically aimed at websites using the Magento e-commerce platform. 

In a Magecart-style attack, hackers compromise vulnerable websites by injecting malicious code, often JavaScript, into their checkout pages or other parts of the site where payment information is entered. This code is designed to capture sensitive data such as credit card numbers, CVV codes, and personal information entered by users during the checkout process. That information is then often packaged and sold to “carding” operations that use it for fraud.

There are dozens of groups performing such operations, Thomas said. “Attributing them to a specific group is pretty difficult as there are often little artifacts to go on other than their web code and infrastructure,” he added.

 In 2022 alone, [nearly 60 million](https://www.recordedfuture.com/blog/magecart-attacks-the-dark-art-fraudsters-use-to-steal-payment-data?__hstc=245698625.bc99288ac91627fad85a9336fc51e6e5.1712322105629.1712322105629.1712322105629.1&__hssc=245698625.1.1712322105629&__hsfp=2693784296) compromised payment card records were posted for sale on dark web platforms, according to Recorded Future's Insikt Group. These types of attacks are especially popular among Russian cybercriminals, researchers said. Western sanctions imposed on Russia following its invasion of Ukraine “may motivate Russian-based threat actors to compromise, sell, and monetize payment cards,” the report said. 

The Russian government rarely impedes such operations, and cases where the Kremlin prosecutes its own criminals are rare.

 In 2022, the Russian Federal Security Service (FSB) [arrested](https://therecord.media/fsb-detains-administrator-of-unicc-carding-forum) the administrator of the UniCC forum, where threat actors gathered to buy or sell stolen payment card data. Since its launch in 2013, the site's staff has made at least $358 million in cryptocurrency from the sale of stolen cards, according to blockchain analysis company [Elliptic](https://www.elliptic.co/blog/unicc-the-largest-dark-web-vendor-of-stolen-credit-cards-retires-after-raking-in-358-million-in-crypto). 

Volovik suggested that the UniCC arrests and the recent charges against Russian hackers may be connected. “It is likely that the investigation into the operation of this shop revealed individuals that were supplying stolen payment cards that were later sold in the carding shop,” he said.

“Russia is usually a safe haven for carders and hackers, so in the rare instances where they do arrest them, it's usually interconnected. UnicCC was one of those rare scenarios where Russia shut down a carding shop and made arrests,” Volovik said.

However, researchers don't have any evidence that the arrested criminals worked with UniCC, or if they exclusively supplied the cards to them. “Usually, carders that steal cards will work with one or more carding shops, where they sell their stolen data, and UniCC was a well-known shop,” Volovik added.

[Previous article](/uk-police-honey-trap-whatsapp-investigation)[British police investigating ‘honey trap’ WhatsApp messages sent to MPs](/uk-police-honey-trap-whatsapp-investigation)No new articles


## Tags:


### Autogenerated tags:
volovik unicc websites
