# Corrupted open-source software enters the Russian battlefield | ZDNet
## A programmer behind the popular open-source npm program node-ipc poisoned it with malware that erased the hard drives of computers located in Russia or Belarus.
## Information:

+ Link: https://www.zdnet.com/article/corrupted-open-source-software-enters-the-russian-battlefield/
+ Source: ZDNet
+ Author: Steven Vaughan-Nichols
+ Date published: 21 March 2022, 19:21
+ Date scraped: 21 March 2022, 21:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/3e92e29d6ef2d41b06fce821c643374dfa2f3e8a/2018/11/28/22f7b0db-3c50-491b-a756-be091e41a9e0/istock-hacker-hands-and-code.jpg?width=770&height=578&fit=crop&auto=webp)


It started as an innocent protest. [Npm](https://www.npmjs.com/), JavaScript's package manager maintainer RIAEvangelist, Brandon Nozaki Miller, [wrote and published an open-code npm source-code package called peacenotwar](https://github.com/RIAEvangelist/peacenotwar). It did little except add a protest message against Russia's invasion of Ukraine. But then, it took a darker turn: It began destroying computers' file systems. 


To be exact, Miller added code that would [delete the file system of any computer with a Russian or Belorussian IP address.](https://snyk.io/blog/peacenotwar-malicious-npm-node-ipc-package-vulnerability/) Then, its maintainer added the module as a dependency to the extremely popular node-ipc mode. Node-ipc, in turn, is a popular dependency that many JavaScript programmers use. And it went from annoying to a system destroyer. 

The code has undergone several changes since it first appeared, but it must be regarded as highly dangerous. Underlining its potential for damage, Miller encoded his code changes in base-64 to make it harder to spot the problem by simply reading the code. 

According to developer security company [Snyk](https://snyk.io/), which uncovered the problem, ["node-ipc (versions >=10.1.1 <10.1.3) is a malicious package.](https://security.snyk.io/vuln/SNYK-JS-NODEIPC-2426370) This package contains malicious code that targets users with IP located in Russia or Belarus, and overwrites their files with a heart emoji." It's now being tracked as [CVE-2022-23812](https://github.com/advisories/GHSA-97m3-w2cp-4xx6). Synk gives this corrupted open-was able to source package a critical Common Vulnerability Scoring System (CVSS) rating of 9.8, critical. 

In other words, you simply shouldn't use it at all. Period.

That's easier said than done. Node-ipc is present in many programs. This nodejs module is used for local and remote InterProcess Communication (IPC) on Linux, Mac, and Windows systems. It's also used in the very popular [vue-cli](https://cli.vuejs.org/), a Javascript framework for building web-based user interfaces. From there, this malware wrecked a large number of systems. 

Liran Tal, the Snyk researcher who uncovered the problem said, "Even if the deliberate and dangerous act of maintainer RIAEvangelist will be perceived by some as a legitimate act of protest, how does that reflect on the maintainer's future reputation and stake in the developer community?" Would this maintainer ever be trusted again to not follow up on future acts in such or even more aggressive actions for any projects they participate in?"

Miller himself defended his peacenotwar module on GitHub, saying "[This is all public, documented, licensed and open source.](https://github.com/RIAEvangelist/node-ipc/issues/233#issuecomment-1068182278)" 

But, what if someone did this and didn't leave such a message? And, if letting users make an informed decision mattered, why was the dangerous code obscured? 

In any case, as we all know, people are lousy at reading documentation. Besides, as [Sophos](https://www.sophos.com/en-us) Senior Threat Researcher. Sean Gallagher, tweeted, anyone who just added code willy-nilly to their production systems is asking for trouble. "If you are live patching dependencies you have no QA controls for, [you are not doing SecOps at all.](https://twitter.com/thepacketrat/status/1505673757049954312)"

But all that said, this "protestware" sets a dangerous precedent. As one programmer on GitHub wrote, "What's going to happen with this is that security teams in Western corporations that have absolutely nothing to do with Russia or politics are going to start seeing [free and open-source software as an avenue for supply chain attacks](https://github.com/RIAEvangelist/node-ipc/issues/233#issuecomment-1071969768) (which this totally is) and simply start banning free and open-source software -- all free and open-source software -- within their companies. Or at least all of it which is community maintained. This will have no positive effect for Ukrainians, you idiot, and will only hurt FOSS [Free and open-source software] adoption." Exactly so. 

In the meantime, in open-source's usual fixing its own messes ways, another developer Tyler S. Resch, MidSpike, has started an [effort to build a safe node-ipc fork on GitHub](https://github.com/MidSpike/node-ipc/issues/1). 

**Related Stories:**

* [Malware authors target rivals with malicious npm packages](https://www.zdnet.com/article/malware-authors-target-rivals-with-malicious-npm-packages/)
* [When open-source developers go bad](https://www.zdnet.com/article/when-open-source-developers-go-bad/)
* [Securing the open-source ecosystem: SBOMs are no longer optional](https://www.zdnet.com/article/securing-the-open-source-ecosystem-sboms-are-no-longer-optional/)





## Tags:
***CVE's***: CVE-2022-23812

### Autogenerated tags:
open-source node-ipc npm javascript github
