# Google: Here comes our 'Open Source Maintenance Crew' | ZDNet
## The Google Open Source Maintenance Crew will support under-resourced critical open-source products to fix security issues.
## Information:

+ Link: https://www.zdnet.com/article/google-here-comes-our-open-source-maintenance-crew/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 16 May 2022, 09:14
+ Date scraped: 16 May 2022, 12:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/6a858f7a31811a1a6d69bc7a21445aebd16f9231/2021/09/24/30e51b33-8835-47bf-b886-884c1581c0c8/shutterstock-1794130912.jpg?width=770&height=578&fit=crop&auto=webp)




* 
* 
* 
* 
* 
* 
* 





[![Liam Tung](https://www.zdnet.com/a/img/resize/edd135640c2822791e2a2387e6b68798e65dbe9b/2014/07/22/b17789dd-1174-11e4-9732-00505685119a/liam-tung.jpg?width=50&height=50&fit=crop&auto=webp)](/meet-the-team/eu/liam-tung/)



 
 Written by

 
 [Liam Tung](/meet-the-team/eu/liam-tung/), Contributor


[![Liam Tung](https://www.zdnet.com/a/img/resize/cc3ee0705a7b41f052c8bf433cd85acb0d9f043e/2014/07/22/b17789dd-1174-11e4-9732-00505685119a/liam-tung.jpg?width=70&height=70&fit=crop&auto=webp)](/meet-the-team/eu/liam-tung/)
[Liam Tung](/meet-the-team/eu/liam-tung/)
[Contributor](/meet-the-team/eu/liam-tung/)
Liam Tung is a full-time freelance technology journalist who writes for several Australian publications.


[Full Bio](/meet-the-team/eu/liam-tung/)



 
 on May 16, 2022
| Topic: [Security](/topic/security/)



{
 "@context": "https:\/\/schema.org",
 "@type": "BreadcrumbList",
 "itemListElement": [
 {
 "@type": "ListItem",
 "position": 1,
 "name": "Topic",
 "item": "https:\/\/www.zdnet.com\/topic\/"
 },
 {
 "@type": "ListItem",
 "position": 2,
 "name": "Security",
 "item": "https:\/\/www.zdnet.com\/topic\/security\/"
 },
 {
 "@type": "ListItem",
 "position": 3,
 "name": "Google: Here comes our 'Open Source Maintenance Crew'"
 }
 ]
}

Google has created a new "Open Source Maintenance Crew" who will help upstream maintainers of critical open-source projects to handle bugs and patching processes. 

The new team is part of Google's contribution to the White House's push to improve cybersecurity in open source and protect software supply chains following the [White House's January summit with major tech vendors](https://www.zdnet.com/article/after-log4j-white-house-worries-about-the-next-big-open-source-flaw/), including Microsoft, Google, IBM and Amazon Web Services. 


Back then, President Joe Biden signed an executive order that [requires the government to provide a Software Bill of Materials (SBOM)](https://www.zdnet.com/article/linux-and-open-source-communities-rise-to-bidens-cybersecurity-challenge/) that details supply chain relationships of components used in building software. 

**SEE:** [**Cloud computing security: New guidance aims to keep your data safe from cyberattacks and breaches**](https://www.zdnet.com/article/cloud-computing-security-new-guidance-aims-to-keep-your-data-safe-from-cyberattacks-and-breaches/#link=%7B%22linkText%22:%22Cloud%20computing%20security:%20New%20guidance%20aims%20to%20keep%20your%20data%20safe%20from%20cyberattacks%20and%20breaches%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/article/cloud-computing-security-new-guidance-aims-to-keep-your-data-safe-from-cyberattacks-and-breaches/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D)

Google says the new maintenance crew consists of a dedicated team of Google engineers who will work with upstream maintainers of critical open-source projects.

"One issue frequently cited by open source maintainers is limited time. Since under-maintained, critical open source components are a security risk, Google is starting a new Open Source Maintenance Crew, a dedicated staff of Google engineers who will work closely with upstream maintainers on improving the security of critical open source projects," [said Google's Eric Brewer and Abhishek Arya in a blogpost](https://blog.google/technology/safety-security/shared-success-in-building-a-safer-open-source-community/).

Google announced the open-source security team at last week's "Open Source Software Security Summit II", hosted at the White House and organized by The Linux Foundation and the Open Source Software Security Foundation (OpenSSF) to mark one year since [the cybersecurity executive order](https://www.zdnet.com/article/biden-signs-order-boosting-us-cyber-posture-saying-incremental-improvements-are-not-enough/), which demanded higher security standards based on the NIST's [Secure Software Development Framework (SSDF)](https://csrc.nist.gov/Projects/ssdf). 

The organizations [outlined $150 million in funding required from the private sector](https://www.zdnet.com/article/white-house-joins-openssf-and-the-linux-foundation-in-securing-open-source-software/) and a [10-point plan](https://openssf.org/oss-security-mobilization-plan/) to improve open source by tackling risk assessments, digital signatures, shifting coding from C and C++ to to memory-safe languages like Rust, Go and Java, incident response, code scanning, and code audits. 

Google's work to improve open-source security and reduce supply chain risks has previously included $100 million to support groups like OpenSSF to fix security bugs in open source.     

Google last year also published the "[Know, Prevent, Fix](https://opensource.googleblog.com/2021/02/know-prevent-fix-framework-for-shifting-discussion-around-vulnerabilities-in-open-source.html#fn1)" framework and is working to improve the accessibility of security tools through initiatives like Open Source Vulnerabilities (OSV) database and data format. The format has been adopted by [Python](https://github.com/pypa/advisory-database), [Rust](https://github.com/RustSec/advisory-db), and [Go](https://github.com/golang/vulndb) ecosystems. 

The Python Software Foundation, for example, created the Python Packaging Advisory Database to centralize advisories for Python packages published on Pypi repository. The Rust Foundation has a [similar database](https://github.com/RustSec/advisory-db) for advisories concerning Rust Crates packages. Other databases relying on OSV include vulnerability databases, such as [GitHub's Security Advisories (GHSA)](https://github.blog/2022-02-22-github-advisory-database-now-open-to-community-contributions/) and the Cloud Security Alliance's [Global Security Database](https://github.com/cloudsecurityalliance/gsd-database).   

"The OSV project showed that connecting a CVE to the vulnerability patch development workflow can be difficult without precise vulnerability metadata," said Google's Brewer and Arya. 

They want to see OSV findings distributed to developers through code editors and at the point where developers might deploy vulnerable workloads.   

On the 'Know' side, Google highlights the Security Scorecards project that gives developers insights about dependencies they might use on a project. Now, there are scorecard scans of one million projects. The Kubernetes project has also started [using Sigstore to sign and verify its releases](https://www.zdnet.com/article/kubernetes-taps-sigstore-to-thwart-open-source-software-supply-chain-attacks/), and makes this part of its Supply Chain Levels for Software Artifacts, or [SLSA](https://github.com/slsa-framework/slsa), compliance. The OpenSFF's SLSA framework is [based on Google's internal tools to check code integrity](https://www.zdnet.com/article/open-source-security-google-has-a-new-plan-to-stop-software-supply-chain-attacks/).        

"An [SBOM created using SLSA provenance and metadata](https://slsa.dev/blog/2022/05/slsa-sbom) is more complete and addresses both source code and build threat vectors," says Google. 

**SEE:** [**Rocky Linux developer lands $26m funding for enterprise open-source push**](https://www.zdnet.com/article/rocky-linux-developer-lands-26m-funding-for-enterprise-open-source-push/#link=%7B%22linkText%22:%22Rocky%20Linux%20developer%20lands%20%2426m%20funding%20for%20enterprise%20open-source%20push%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/article/rocky-linux-developer-lands-26m-funding-for-enterprise-open-source-push/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D)

Other key projects include Google's [OSS-Fuzz for fuzzing for open-source software](https://www.zdnet.com/article/google-unleashes-security-fuzzer-on-log4shell-bug-in-open-source-software/), which has helped developers fix 2,300 flaws across over 500 projects during the past year, 

The 'Fix' component was aimed at removing vulnerabilities and improving notifications to help remediate flaws in the most widely used versions of an affected project rather than just the most recent versions. 

Part of this is [the OpenSSF's Alpha Omega project](https://www.zdnet.com/article/the-alpha-and-omega-of-software-supply-chain-security/), which Google and Microsoft gave an initial $5 million to improve supply chain security. The project [awarded the widely used Node.js server-side JavaScript runtime project $300,000](https://openjsf.org/blog/2022/04/19/nodejs-18-released/) to focus on fixing vulnerabilities in 2022.   

Another is [the Linux Foundation's Secure Open Source (SOS) project](https://www.zdnet.com/article/open-source-google-is-going-to-pay-developers-to-make-projects-more-secure/), which Google backed with $1 million in funding. SOS offers up to $10,000 in rewards to developers for hardening software, for example. Google also gave $300,000 to the Internet Security Research Group to improve memory safety by bringing [Rust into the Linux kernel](https://security.googleblog.com/2021/04/rust-in-linux-kernel.html). Linux kernel developers have worked on [making Rust the second language to C in the kernel for the past two years](https://www.zdnet.com/article/rust-takes-a-major-step-forward-as-linuxs-second-official-language/).  





## Tags:


### Autogenerated tags:
google open-source linux osv liam openssf slsa
