# Kubernetes taps Sigstore to thwart open-source software supply chain attacks | ZDNet
## The Kubernetes project takes a step forward in shielding users from supply chain attacks on its users.
## Information:

+ Link: https://www.zdnet.com/article/kubernetes-taps-sigstore-to-thwart-open-source-software-supply-chain-attacks/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 04 May 2022, 11:42
+ Date scraped: 04 May 2022, 14:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/da346ec2ce882cb234faa1f34494a0fcfe0e43d2/2022/01/24/fdda2feb-eeb5-434d-8127-b3c46da6e7a5/gettyimages-666009646.jpg?width=770&height=578&fit=crop&auto=webp)




* 
* 
* 
* 
* 
* 
* 





[![Liam Tung](https://www.zdnet.com/a/img/resize/edd135640c2822791e2a2387e6b68798e65dbe9b/2014/07/22/b17789dd-1174-11e4-9732-00505685119a/liam-tung.jpg?width=50&height=50&fit=crop&auto=webp)](/meet-the-team/eu/liam-tung/)



 
 Written by

 
 [Liam Tung](/meet-the-team/eu/liam-tung/), Contributor


[![Liam Tung](https://www.zdnet.com/a/img/resize/cc3ee0705a7b41f052c8bf433cd85acb0d9f043e/2014/07/22/b17789dd-1174-11e4-9732-00505685119a/liam-tung.jpg?width=70&height=70&fit=crop&auto=webp)](/meet-the-team/eu/liam-tung/)
[Liam Tung](/meet-the-team/eu/liam-tung/)
[Contributor](/meet-the-team/eu/liam-tung/)
Liam Tung is a full-time freelance technology journalist who writes for several Australian publications.


[Full Bio](/meet-the-team/eu/liam-tung/)



 
 on May 4, 2022
| Topic: [Open Source](/topic/open-source/)



{
 "@context": "https:\/\/schema.org",
 "@type": "BreadcrumbList",
 "itemListElement": [
 {
 "@type": "ListItem",
 "position": 1,
 "name": "Topic",
 "item": "https:\/\/www.zdnet.com\/topic\/"
 },
 {
 "@type": "ListItem",
 "position": 2,
 "name": "Open Source",
 "item": "https:\/\/www.zdnet.com\/topic\/open-source\/"
 },
 {
 "@type": "ListItem",
 "position": 3,
 "name": "Kubernetes taps Sigstore to thwart open-source software supply chain attacks"
 }
 ]
}

Container orchestrator Kubernetes will now include cryptographically signed certificates, using the Sigstore project created last year by the Linux Foundation, Google, Red Hat and Purdue University in a bid to protect against supply chain attacks.

The Sigstore certificates are being used in the just released Kubernetes version 1.24 and all future releases. 

[According to founding Sigstore developer Dan Lorenc](https://blog.sigstore.dev/kubernetes-signals-massive-adoption-of-sigstore-for-protecting-open-source-ecosystem-73a6757da73), a former member of Google's open source security team, the use of Sigstore certificates allows Kubernetes users to verify the authenticity and integrity of the distribution they're using by "giving users the ability to verify signatures and have greater confidence in the origin of each and every deployed Kubernetes binary, source code bundle and container image."

It's one step forward for [open source software development in the battle against software supply chain attacks](https://www.zdnet.com/article/open-source-security-its-too-easy-to-upload-devastating-malicious-packages-warns-google/).

The Linux Foundation [announced the Sigstore project in March 2021](https://www.zdnet.com/article/linux-foundation-announces-new-open-source-software-signing-service/). The new Alpha-Omega open-source supply chain security project, which is [backed by Google and Microsoft](https://www.zdnet.com/article/the-alpha-and-omega-of-software-supply-chain-security/), also uses Sigstore certificates. Google's open source security team announced the [Sigstore-related project Cosign in May 2021](https://security.googleblog.com/2021/05/making-internet-more-secure-one-signed.html) to simplify signing and verifying container images, as well as the [Rekor](https://github.com/sigstore/rekor) 'tamper resistant' ledger, which lets software maintainers and build systems to record signed metadata to an "immutable record". 

According to Lorenc, the Kubernetes release team's adoption of Sigstore is part of its work on Supply chain Levels for Software Artifacts, or [SLSA](https://github.com/slsa-framework/slsa) — a framework [developed by Google](https://www.zdnet.com/article/open-source-security-google-has-a-new-plan-to-stop-software-supply-chain-attacks/) for internally protecting its software supply chain that's now a 3-level specification being shaped by Google, Intel, [the Linux Foundation](https://www.zdnet.com/article/linux-and-open-source-communities-rise-to-bidens-cybersecurity-challenge/) and others. Kubernetes 1.23 [achieved SLSA Level 1 compliance in version 1.23](https://kubernetes.io/blog/2021/12/07/kubernetes-1-23-release-announcement/). 

"Sigstore was a key project in achieving SLSA level 2 status and getting a headstart towards achieving SLSA level 3 compliance, which the Kubernetes community expects to reach this August," says Lorenc. 

Lorenc tells ZDNet that Kubernetes' adoption of Sigstore is a major step forward for the project because it has about 5.6 million users. The Sigstore project is also approaching Python developers with a [new tool for signing Python packages](https://github.com/sigstore/sigstore-python), as well as major package repositories such as Maven Central and RubyGems. 

Kubernetes serves as critical focal points to help draw attention, take a large amount of work, and has an outsized impact on the entire supply chain he says. 

These efforts coincide with new projects like the [new Package Analysis Project](https://www.zdnet.com/article/open-source-security-its-too-easy-to-upload-devastating-malicious-packages-warns-google/), an initiative by Google and the the Linux Foundation's Open Source Security Foundation (OpenSSF) to identify malicious packages for popular languages like Python and JavaScript. 

Malicious packages like are regularly uploaded to popular repositories despite their best efforts, with sometimes devastating consequences for users, [according to Google](https://www.zdnet.com/article/open-source-security-its-too-easy-to-upload-devastating-malicious-packages-warns-google/).





## Tags:


### Autogenerated tags:
sigstore kubernetes google linux lorenc slsa liam
