# Open-source security: It's too easy to upload 'devastating' malicious packages, warns Google | ZDNet
## The Google and OpenSSF Package Analysis project aims to reduce security risks created by developers' crazy package-updating schedules.
## Information:

+ Link: https://www.zdnet.com/article/open-source-security-its-too-easy-to-upload-devastating-malicious-packages-warns-google/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 03 May 2022, 09:16
+ Date scraped: 03 May 2022, 12:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/7cee88654bf2534f41890d78d8c6cffb87e3c5f3/2022/03/04/98cc089d-0b1e-4668-8e9e-e3806490d318/shutterstock-3210522531.jpg?width=770&height=578&fit=crop&auto=webp)




* 
* 
* 
* 
* 
* 
* 





[![Liam Tung](https://www.zdnet.com/a/img/resize/edd135640c2822791e2a2387e6b68798e65dbe9b/2014/07/22/b17789dd-1174-11e4-9732-00505685119a/liam-tung.jpg?width=50&height=50&fit=crop&auto=webp)](/meet-the-team/eu/liam-tung/)



 
 Written by

 
 [Liam Tung](/meet-the-team/eu/liam-tung/), Contributor


[![Liam Tung](https://www.zdnet.com/a/img/resize/cc3ee0705a7b41f052c8bf433cd85acb0d9f043e/2014/07/22/b17789dd-1174-11e4-9732-00505685119a/liam-tung.jpg?width=70&height=70&fit=crop&auto=webp)](/meet-the-team/eu/liam-tung/)
[Liam Tung](/meet-the-team/eu/liam-tung/)
[Contributor](/meet-the-team/eu/liam-tung/)
Liam Tung is a full-time freelance technology journalist who writes for several Australian publications.


[Full Bio](/meet-the-team/eu/liam-tung/)



 
 on May 3, 2022
| Topic: [Security](/topic/security/)



{
 "@context": "https:\/\/schema.org",
 "@type": "BreadcrumbList",
 "itemListElement": [
 {
 "@type": "ListItem",
 "position": 1,
 "name": "Topic",
 "item": "https:\/\/www.zdnet.com\/topic\/"
 },
 {
 "@type": "ListItem",
 "position": 2,
 "name": "Security",
 "item": "https:\/\/www.zdnet.com\/topic\/security\/"
 },
 {
 "@type": "ListItem",
 "position": 3,
 "name": "Open-source security: It's too easy to upload 'devastating' malicious packages, warns Google"
 }
 ]
}

Google has detailed some of the work done to find malicious code packages that have been sneaked into bigger open-source software projects. 

The Package Analysis Project is one of the software supply chain initiatives from the the Linux Foundation's Open Source Security Foundation (OpenSSF) that should help automate the process of identifying malicious packages distributed on popular package repositories, such as npm for JavaScript and PyPl for Python. It runs a dynamic analysis of all packages uploaded to popular open-source repositories. It aims to provide data about common types of malicious packages and inform those working on open-source software supply chain security about how best to improve it. 

"Unlike mobile app stores that can scan for and reject malicious contributions, package repositories have limited resources to review the thousands of daily updates and must maintain an open model where anyone can freely contribute. As a result, malicious packages like [ua-parser-js](https://github.com/advisories/GHSA-pjwm-rvh2-c87w), and [node-ipc](https://snyk.io/blog/peacenotwar-malicious-npm-node-ipc-package-vulnerability/) are regularly uploaded to popular repositories despite their best efforts, with sometimes devastating consequences for users," [Caleb Brown of Google's Open Source Security Team explains in a blogpost](https://security.googleblog.com/2022/04/the-package-analysis-project-scalable.html).  


"Despite open-source software's essential role in all software built today, it's far too easy for bad actors to circulate malicious packages that attack the systems and users running that software."

**SEE:** [**Google: Multiple hacking groups are using the war in Ukraine as a lure in phishing attempts**](https://www.zdnet.com/article/google-multiple-hacking-groups-are-using-the-war-in-ukraine-as-a-lure-in-phishing-attempts/#link=%7B%22linkText%22:%22Google:%20Multiple%20hacking%20groups%20are%20using%20the%20war%20in%20Ukraine%20as%20a%20lure%20in%20phishing%20attempts%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/article/google-multiple-hacking-groups-are-using-the-war-in-ukraine-as-a-lure-in-phishing-attempts/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D)

The Package Analysis project identified [more than 200 malicious packages](https://github.com/ossf/package-analysis/blob/main/docs/case_studies.md) in one month, according to OpenSFF. For example, it found token theft attacks on Discord users that were distributed on PyPl and npm. The PyPl package "discordcmd", for example, attacks the Discord Windows client via a backdoor downloaded from GitHub and installed on the Discord app to steal Discord tokens.   

Attackers distribute [malicious packages on npm](https://www.zdnet.com/article/malicious-npm-packages-caught-installing-remote-access-trojans/) and PyPl often enough that it's something OpenSSF, which Google is a member of, decided it needed to be addressed. 

In March, researchers found hundreds of [malicious packages on npm that were used to target developers using Microsoft's Azure cloud](https://www.zdnet.com/article/malicious-npm-packages-target-azure-developers-to-steal-personal-data/), most of which contained typosquatting and dependency confusion attacks. Both types are social-engineering attacks that exploit repetitive steps when developers frequently update a large number of dependencies. Dependency confusion attacks rely on unusually high version numbers for a package that in fact may have no previous version available.  

OpenSSF says most of the malicious packages it detected were dependency-confusion and typo-squatting attacks. But the project believes most of these are likely the work of security researchers participating in bug bounties. 

"The packages found usually contain a simple script that runs during install and calls home with a few details about the host. These packages are most likely the work of security researchers looking for bug bounties, since most are not exfiltrating meaningful data except the name of the machine or a username, and they make no attempt to disguise their behavior," [OpenSSF and Google note](https://security.googleblog.com/2022/04/the-package-analysis-project-scalable.html).  

OpenSSF [notes](https://openssf.org/blog/2022/04/28/introducing-package-analysis-scanning-open-source-packages-for-malicious-behavior/) that any of these packages "could have done far more to hurt the unfortunate victims who installed them, so Package Analysis provides a countermeasure to these kinds of attacks."

The recent Log4j flaw highlighted the general risks of software supply chain security in open source. The component was embedded in tens of thousands of enterprise applications and [prompted a massive and urgent clean-up by the US government](https://www.zdnet.com/article/cisa-orders-federal-agencies-to-mitigate-log4j-vulnerabilities-in-emergency-directive/). Microsoft last week also highlighted the role of software supply chain attacks [carried out by Russian state-backed hackers](https://www.zdnet.com/article/microsoft-russia-has-launched-hundreds-of-cyberattacks-against-ukraine/) in connection with military attacks on Ukraine.   

This February, Google and Microsoft [pumped $5 million into OpenSSF's Alpha-Omega Project to tackle supply chain security](https://www.zdnet.com/article/the-alpha-and-omega-of-software-supply-chain-security/). The Alpha side works with maintainers of the most critical open-source projects, while the Omega side will select at least 10,000 widely deployed open-source programs for automated security analysis.





## Tags:


### Autogenerated tags:
google open-source openssf npm pypl liam microsoft
