# Chrome patches high-severity 0-day, its 6th this year
## Security hole exists in a browser component known as Mojo.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/09/chrome-patches-high-severity-0-day-its-6th-this-year/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 06 September 2022, 19:26
+ Date scraped: 06 September 2022, 20:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2021/06/getty-chrome-logo-760x380.jpg)







Google engineers have issued an emergency update for the Chrome browser to fix a high-severity vulnerability that can be exploited with code that’s already available in the wild.


The vulnerability, which Google [disclosed on Friday](https://chromereleases.googleblog.com/2022/09/stable-channel-update-for-desktop.html), is the result of “insufficient data validation in Mojo,” a Chrome component for messaging across inter- and intra-process boundaries that exist between the browser and the operating system it runs on. The vulnerability, which is tracked as CVE-2022-3075, was reported to Google last Tuesday by an anonymous party.


“Google is aware of reports that an exploit for CVE-2022-3075 exists in the wild,” the company said. The advisory didn’t provide additional details, such as whether attackers are actively exploiting the vulnerability or are simply in possession of exploit code.


Microsoft’s Edge browser, which is built on the same Chromium engine as Chrome, has also [been updated](https://docs.microsoft.com/en-us/deployedge/microsoft-edge-relnotes-security) to fix the same flaw.


The emergence of the exploit is the sixth zero-day vulnerability Chrome has succumbed to this year. The previous zero-days are:


* [CVE-2022-0609](https://chromereleases.googleblog.com/2022/02/stable-channel-update-for-desktop_14.html), a Use-after-Free patched in February
* [CVE-2022-1096](https://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop_25.html), a "Type Confusion in V8" vulnerability that was patched in March
* [CVE-2022-1364](https://chromereleases.googleblog.com/2022/04/stable-channel-update-for-desktop_14.html), a flaw patched in April in the V8 JavaScript engine.
* [CVE-2022-2294](https://chromereleases.googleblog.com/2022/07/stable-channel-update-for-desktop.html), a flaw in the Web Real-Time Communications, which was patched in July
* [CVE-2022-2856](https://chromereleases.googleblog.com/2022/08/stable-channel-update-for-desktop_16.html), an insufficient input validation flaw, which was patched in August


The latest security flaw was addressed with the release of Chrome version 105.0.5195.102, available for Windows, Mac, and Linux. Google’s advisory makes no mention of Chrome for iOS or Android. Like most modern browsers, Chrome, by default, automatically installs patches, so it’s likely most devices with Chrome have already received the update. Users can check by going to Chrome > Settings > About Chrome.














## Tags:
***CVE's***: CVE-2022-3075 CVE-2022-1364 CVE-2022-2294 CVE-2022-1096 CVE-2022-2856 CVE-2022-0609

### Autogenerated tags:
google
