# How safe is society’s critical infrastructure from infosec attacks?
## At Ars Frontiers, Leslie Carhart spoke about the systems that make our world work.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/05/how-safe-is-societys-critical-infrastructure-from-infosec-attacks/
+ Source: Ars Technica
+ Author: Sean Gallagher
+ Date published: 31 May 2022, 17:55
+ Date scraped: 31 May 2022, 18:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/05/GettyImages-923862192-760x380.jpg)







To view this video please enable JavaScript, and consider upgrading to a web browser that [supports HTML5 video](http://videojs.com/html5-video-support/)

















































WATCH
Making Critical Infrastructure Safer













 Share
 







 Tweet
 







 Email
 


 More...
 




























#### EMBED URL

<script async src="//player-backend.cnevids.com/script/video/629622eb60ec0b696b9f2e43.js?iu=/3379/ars.dart/share"></script>#### VIDEO URL

https://www.arstechnica.com/video/watch/making-critical-infrastructure-safer

![]()
#### The live event has ended. Please check back again soon for the recorded video.


LIVEVIDEO TO BEGIN AFTER ADLoaded: 0%Progress: 0%





























 Use up and down arrows to change volume, and spacebar or enter to toggle mute.
MuteVolume 100%




















 
Back

### Caption Options








Close Settings
Video Quality
* Auto
* 4k tabindex="0" aria-checked="false" value="4k">
 
 21604k
* hd tabindex="0" aria-checked="false" value="1080">
 
 1080HD
* 720
* 360

Language
* English



Font Size
* Small
* Medium
* Large


Position
* Auto
* Bottom
* Top
Sample Caption Text

Current Time 0:00Duration 57:11Remaining Time -57:11










[## Making Critical Infrastructure Safer](https://www.arstechnica.com/video/watch/making-critical-infrastructure-safer)





 .video-js:hover .vjs-big-play-button svg rect {
 fill: #fa501e;
 }
Making critical infrastructure safer at Ars Frontiers. [Click here for transcript](https://cdn.arstechnica.net/wp-content/uploads/2022/05/Road-to-Frontiers-Day-1-Critical-Infrastructure-Carhart-and-Gallagher.pdf).


This is a session recap from Ars Frontiers 2022, our first in-person event about technology and innovation in our changing world. To see more session recaps and catch up on all of the conversations, [click here](https://arstechnica.com/tag/ars-frontiers/).
In the run-up to Ars Frontiers, I had the opportunity to talk with Lesley Carhart, director of Incident Response at Dragos. Known on Twitter as [@hacks4pancakes](https://twitter.com/hacks4pancakes), Carhart is a veteran responder to cyber incidents affecting critical infrastructure and has been dealing with the challenges of securing industrial control systems and operational technology (OT) for years. So it seemed appropriate to get her take on what needs to be done to improve the security of critical infrastructure both in industry and government, particularly in the context of what’s going on in Ukraine.


Much of it is not new territory. “Something that we’ve noticed for years in the industrial cybersecurity space is that people from all different organizations, both military and terrorists around the world, have been pre-positioning to do things like sabotage and espionage via computers for years,” Carhart explained. But these sorts of things rarely get attention because they’re not flashy—and as a result, they don’t get attention from those holding the purse strings for investments that might correct them.


As a result, Carhart said, organizations aiming to benefit from the exploitation of industrial technology have spent years “trying to build their capacity so that when a geopolitical situation arose that it would be fruitful for them to do so, [they would] be able to attack infrastructure systems using cyber.”


An example of these capabilities is [Pipedream](https://arstechnica.com/information-technology/2022/04/us-uncovers-swiss-army-knife-for-hacking-industrial-control-systems/), "a collection of tools that could be used to potentially intrude into industrial control systems and cause an impact to certain types of systems,” Carhart noted. Pipedream was [uncovered by security professionals](https://www.cisa.gov/uscert/ncas/alerts/aa22-103a) before it could be used to do damage, but it demonstrates that “people are pre-positioning to do things in the future,” Carhart said. “They have learned over the years, and certainly over the last couple of months, that sabotage, espionage, and information operations can be incredibly valuable as an element to traditional warfare… to demoralize enemies, sow confusion and dissent, and also impact the critical services that a civilian population uses while they're also dealing with an armed conflict.”


Much is being done by people trying to defend industrial networks, and there’s a great deal of work being done to improve the security of industrial systems and prepare for trouble. But, “some industries are much more well-resourced than others” for those tasks, Carhart noted. Municipally owned utilities aren’t on the same footing resource-wise as large corporations with vast cybersecurity resources. The US's Cybersecurity and Infrastructure Security Agency and other organizations are trying to help provide resources needed by municipal and other smaller utilities. But just how much CISA can do going forward to protect these organizations and other state and local providers of critical infrastructure is an open question.


Operational technology has a much longer life cycle than “normal” IT. We talked about what that means, both from the standpoint of securing existing OT and finding the people to do the critical work to establish and maintain that security. While some improvements are coming to security as Windows 10 makes its way into embedded systems and other OT, Carhart said, “we’ll probably be seeing Windows 10 for another 30 years in those environments”—and along with it, many of the security challenges IT has been facing down for years already.


*Listing image by gremlin / Getty Images*














## Tags:
***urls***: https://www.arstechnica.com/video/watch/making-critical-infrastructure-safer

### Autogenerated tags:
carhart cybersecurity
