# North Korean hackers once again exploit Internet Explorer’s leftover bits
## There are still lots of ways to exploit Internet Explorer through a Word doc.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/12/north-korean-hackers-once-again-exploit-internet-explorers-leftover-bits/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 08 December 2022, 18:43
+ Date scraped: 08 December 2022, 19:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/12/north-korea-flag-ie-760x380.jpg)







Microsoft's Edge browser has replaced Internet Explorer in almost every regard, but some exceptions remain. One of those, deep inside Microsoft Word, was exploited by a North-Korean-backed group this fall, Google security researchers claim.


It's [not the first time](https://www.volexity.com/blog/2021/08/17/north-korean-apt-inkysquid-infects-victims-using-browser-exploits/) the government-backed APT37 has utilized Internet Explorer's lingering presence, as Google's Threat Analysis Group (TAG) notes [in a blog post](https://blog.google/threat-analysis-group/internet-explorer-0-day-exploited-by-north-korean-actor-apt37/). APT37 has had repeated success targeting South Korean journalists and activists, plus North Korean defectors, through a limited but still successful Internet Explorer pathway.


The last exploit targeted those heading to [Daily NK](https://www.dailynk.com/english/), a South Korean site dedicated to North Korean news. This one involved the [Halloween crowd crush in Itaewon](https://www.washingtonpost.com/investigations/2022/11/16/seoul-crowd-crush-itaewon-victims/), which killed at least 151 people. A Microsoft Word .docx document, named as if it were timed and dated less than two days after the incident and labeled "accident response situation," started circulating. South Korean users began [submitting the document](https://www.virustotal.com/gui/file/926a947ea2b59d3e9a5a6875b4de2bd071b15260370f4da5e2a60ece3517a32f/) to the Google-owned VirusTotal, where it was flagged with [CVE-2017-0199](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2017-0199), a long-known vulnerability in Word and WordPad.


[![The document in question purports to be related to a deadly crowd panic in late October in Itaewon, South Korea.](https://cdn.arstechnica.net/wp-content/uploads/2022/12/doc_exploit-640x458.png)](https://cdn.arstechnica.net/wp-content/uploads/2022/12/doc_exploit.png) / The document in question purports to be related to a deadly crowd panic in late October in Itaewon, South Korea.


Just as [back in April 2017](https://arstechnica.com/information-technology/2017/04/booby-trapped-word-documents-in-the-wild-exploit-critical-microsoft-0day/), the document, if you click to allow Word/WordPad to view it outside the no-download "Protected View," downloads a rich text template from an attacker-controlled server, then grabs more HTML that looks like Rich Text Format templates. Office and WordPad intrinsically use Internet Explorer to render HTML in what Microsoft describes as "specially crafted files," giving attackers a way to then bring in various malware payloads. While [patched that same month](https://arstechnica.com/information-technology/2017/04/critical-word-0day-is-only-1-of-3-microsoft-bugs-under-attack/), the vulnerability persisted; it was one of the vectors [exploited in a Petya wave more than a year later.](https://www.automox.com/blog/petya-attack-unpatched-cves)


The specific vulnerability has to do with Internet Explorer's JavaScript engine. An error during just-in-time optimization leads to [a type confusion and memory writing](https://bugs.chromium.org/p/project-zero/issues/detail?id=2188&q=jscript9&can=1). This particular exploit also cleaned up after itself, clearing the Internet Explorer cache and history of its presence. While Google's TAG doesn't know what payloads were delivered, APT73 has previously circulated exploits that triggered [BLUELIGHT](https://www.volexity.com/blog/2021/08/17/north-korean-apt-inkysquid-infects-victims-using-browser-exploits/), [ROKRAT](https://blog.talosintelligence.com/rokrat-reloaded/), and [DOLPHIN,](https://www.welivesecurity.com/2022/11/30/whos-swimming-south-korean-waters-meet-scarcrufts-dolphin/) all with a focus on North Korean political and economic interests. (North Korean hackers aren't [averse to a Chrome exploit](https://arstechnica.com/information-technology/2022/03/north-korean-hackers-unleashed-chrome-0-day-exploit-on-hundreds-of-us-targets/), though.)


Microsoft has [patched the specific exploit in its JScript engine](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-41128), but this being the fifth year of remote-code Word doc attacks, it seems like they'll be around for a while longer. And North Korean actors will be eager to act on them.














## Tags:
***CVE's***: CVE-2017-0199

### Autogenerated tags:
microsoft google
