# North Korean hackers unleashed Chrome 0-day exploit on hundreds of US targets
## Critical vulnerability exploited by 2 groups both working for North Korean government.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/03/north-korean-hackers-unleashed-chrome-0-day-exploit-on-hundreds-of-us-targets/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 24 March 2022, 21:20
+ Date scraped: 24 March 2022, 22:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/03/north-korea-hacking-760x380.jpeg)







Hackers backed by North Korea's government exploited a critical Chrome zeroday in an attempt to infect the computers of hundreds of people working in a wide range of industries, including the news media, IT, cryptocurrency, and financial services, Google said Thursday.


The flaw, tracked as CVE-2022-0609, was exploited by two separate North Korean hacking groups. Both groups deployed the same exploit kit on websites that either belonged to legitimate organizations and were hacked or were set up for the express purpose of serving attack code on unsuspecting visitors. One group was dubbed Operation Dream Job, and it targeted more than 250 people working for 10 different companies. The other group, known as AppleJeus, targeted 85 users.


## Dream jobs and cryptocurrency riches


"We suspect that these groups work for the same entity with a shared supply chain, hence the use of the same exploit kit, but each operate with a different mission set and deploy different techniques," Adam Weidemann, a researcher on Google's threat analysis group, wrote in a [post](https://blog.google/threat-analysis-group/countering-threats-north-korea/). "It is possible that other North Korean government-backed attackers have access to the same exploit kit."


Operation Dream Job has been active since at least June 2020, when researchers at security firm ClearSky observed the group [targeting defense and governmental companies](https://www.clearskysec.com/wp-content/uploads/2020/08/Dream-Job-Campaign.pdf). Bad guys targeted specific employees in the organizations with fake offers of a "dream job" with companies such as Boeing, McDonnell Douglas, and BAE. The hackers devised an elaborate social-engineering campaign that used fictitious LinkedIn profiles, emails, WhatsApp messages, and phone calls. The goal of the campaign was both to steal money and collect intelligence.


AppleJeus, meanwhile, dates back to at least 2018. That's when researchers from security firm Kaspersky saw North Korean hackers [targeting a cryptocurrency exchange](https://securelist.com/operation-applejeus/87553/) using malware that posed as a cryptocurrency trading application.
The AppleJeus operation was notable for its use of a malicious app that was written for macOS, which company researchers said was probably the first time an APT—short for government-backed "advanced persistent threat group"—used malware to target that platform. Also noteworthy was the group's use of malware that [ran solely in memory](https://arstechnica.com/information-technology/2019/12/north-koreas-lazarus-hackers-up-their-game-with-fileless-mac-malware/) without writing a file to the hard drive, an advanced feature that makes detection much harder.
 
One of the two groups (Weidemann didn't say which one) also used some of the same control servers to [infect security researchers](https://arstechnica.com/gadgets/2021/03/microsoft-patches-critical-0day-that-north-korea-used-to-target-researchers/) last year. The campaign used fictitious Twitter personas to develop relationships with the researchers. Once a level of trust was established, the hackers used either an Internet Explorer zeroday or a malicious Visual Studio project that purportedly contained source code for a proof-of-concept exploit.
In February, Google researchers learned of a critical vulnerability in Chrome that was being actively exploited in the wild. Company engineers fixed the vulnerability and gave it the designation CVE-2022-0609. On Thursday, the company provided more details about the vulnerability and how the two North Korean hackers had exploited it.


Operation Dream Job sent targets emails that purported to come from job recruiters working for Disney, Google, and Oracle. Links embedded into the email spoofed legitimate job hunting sites such as Indeed and ZipRecruiter. The sites contained an [iframe](https://www.w3schools.com/tags/tag_iframe.asp) that triggered the exploit.


Here's an example of one of the pages used:


![](https://cdn.arstechnica.net/wp-content/uploads/2022/03/dream-job-fake-indeed-site.png)Google
Members of Operation AppleJeus compromised the websites of at least two legitimate financial services companies and a variety of ad hoc sites pushing malicious cryptocurrency apps. Like the Dream Job sites, the sites used by AppleJeus also contained iframes that triggered the exploit.


![A fake app pushed in Operation AppleJeus](https://cdn.arstechnica.net/wp-content/uploads/2022/03/applejeus-fake-app.png)A fake app pushed in Operation AppleJeus
## Is there a sandbox escape in this kit?


The exploit kit was written in a way to carefully conceal the attack by, among other things, disguising the exploit code and triggering remote code execution only in select cases. The kit also appears to have used a separate exploit to break out of the Chrome security sandbox. The Google researchers were unable to determine that escape code, leaving open the possibility that the vulnerability it exploited has yet to be patched.





jump to endpage 1 of 2

Weidemann wrote:



> The kit initially serves some heavily obfuscated javascript used to fingerprint the target system. This script collected all available client information such as the user-agent, resolution, etc. and then sent it back to the exploitation server. If a set of unknown requirements were met, the client would be served a Chrome RCE exploit and some additional javascript. If the RCE was successful, the javascript would request the next stage referenced within the script as "SBX", a common acronym for Sandbox Escape. We unfortunately were unable to recover any of the stages that followed the initial RCE.
> 
> 
> Careful to protect their exploits, the attackers deployed multiple safeguards to make it difficult for security teams to recover any of the stages. These safeguards included:
> 
> 
> * Only serving the iframe at specific times, presumably when they knew an intended target would be visiting the site.
> * In some email campaigns the targets received links with unique IDs. This was potentially used to enforce a one-time-click policy for each link and allow the exploit kit to only be served once.
> * The exploit kit would AES encrypt each stage, including the clients' responses with a session-specific key.
> * Additional stages were not served if the previous stage failed.
> 
> 
> 


Google researchers also found evidence the kit contained components that could exploit Safari for macOS and Firefox for all supported OSes.


Even after Google patched the Chrome vulnerability on February 14, the hackers made multiple attempts to exploit the vulnerability in the days following. The finding "stresses the importance of applying security updates as they become available," Weidmann said.


As of Thursday, only one antivirus engine detected the exploit kit, [VirusTotal showed](https://www.virustotal.com/gui/file/03a41d29e3c9763093aca13f1cc8bcc41b201a6839c381aaaccf891204335685).


The analysis shows that North Korean hackers, often referred to under the umbrella name Lazarus, continue to step up their game by using many of the same advanced techniques their counterparts in other countries have been using for a decade or more. Anyone using a current version of Chrome is automatically protected against this campaign. It's likely, however, that Lazarus will move on and find new vulnerabilities to exploit.












## Tags:
***CVE's***: CVE-2022-0609

### Autogenerated tags:
google applejeus weidemann malware javascript rce
