# Pro-Russia hackers target inboxes with 0-day in webmail app used by millions
## Previously unknown XSS in Roundcube let Winter Vivern steal government emails.
## Information:

+ Link: https://arstechnica.com/security/2023/10/pro-russia-hackers-target-inboxes-with-0-day-in-webmail-app-used-by-millions/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 25 October 2023, 22:21
+ Date scraped: 25 October 2023, 23:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/05/system-hacked-760x380.jpg)







A relentless team of pro-Russia hackers has been exploiting a zero-day vulnerability in widely used webmail software in attacks targeting governmental entities and a think tank, all in Europe, researchers from security firm ESET said on Wednesday.


The previously unknown vulnerability resulted from a critical cross-site scripting error in Roundcube, a server application used by [more than 1,000 webmail services](https://roundcube.net/about/) and millions of their end users. Members of a pro-Russia and Belarus hacking group tracked as Winter Vivern used the [XSS bug](https://en.wikipedia.org/wiki/Cross-site_scripting) to inject JavaScript into the Roundcube server application. The injection was triggered simply by viewing a malicious email, which caused the server to send emails from selected targets to a server controlled by the threat actor.


No manual interaction required
------------------------------


“In summary, by sending a specially crafted email message, attackers are able to load arbitrary JavaScript code in the context of the Roundcube user’s browser window,” ESET researcher Matthieu Faou [wrote](https://www.welivesecurity.com/en/eset-research/winter-vivern-exploits-zero-day-vulnerability-roundcube-webmail-servers/). “No manual interaction other than viewing the message in a web browser is required.”


The attacks began on October 11, and ESET detected them a day later. ESET reported the zero-day vulnerability to Roundcube developers on the same day, and they issued a [patch](https://github.com/roundcube/roundcubemail/commit/6ee6e7ae3) on October 14. The vulnerability is tracked as [CVE-2023-5631](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-5631) and affects Roundcube versions 1.6.x before 1.6.4, 1.5.x before 1.5.5, and 1.4.x before 1.4.15.


Winter Vivern has been operating since at least 2020 and targets governments and think tanks, primarily in Europe and Central Asia. In March, the threat group was spotted [targeting US government officials](https://arstechnica.com/information-technology/2023/03/pro-russian-hackers-target-elected-us-officials-supporting-ukraine/) who had voiced support for Ukraine in its bid to drive back Russia’s invasion. Those attacks also exfiltrated targets’ emails but exploited a separate, already-patched XSS in Zimbra Collaboration, a software package that’s also used to host webmail portals.
“This actor has been tenacious in its targeting of American and European officials as well as military and diplomatic personnel in Europe,” a threat researcher from security firm Proofpoint said in March when disclosing the attacks exploiting the Zimbra vulnerability. “Since late 2022, [Winter Vivern] has invested an ample amount of time studying the webmail portals of European government entities and scanning publicly facing infrastructure for vulnerabilities all in an effort to ultimately gain access to emails of those closely involved in government affairs and the Russia-Ukraine war.”


The email Winter Vivern used in the recent campaign came from the address team.management@outlook.com and had the subject “Get started in your Outlook.”


![The email sent in the campaign.](https://cdn.arstechnica.net/wp-content/uploads/2023/10/winter-vivern-email-roundcube-exploit.jpeg)The email sent in the campaign.


Buried deep in the HTML source code was a malformed code element known as an SVG tag. It contained base-64 encoded text that, when decoded, translated to JavaScript that contained a command to run in the event an error occurred. Since the tag contained an intentional error, the malicious command was invoked, and the XSS bug ensured that Roundcube executed the resulting JavaScript.


[![HTML source code for the email, with a SVG tag at the end.](https://cdn.arstechnica.net/wp-content/uploads/2023/10/winter-vivern-html-source-640x564.png)](https://cdn.arstechnica.net/wp-content/uploads/2023/10/winter-vivern-html-source.png) / HTML source code for the email, with a SVG tag at the end.ESET


The final JavaScript payload instructed vulnerable servers to list folders and emails in the target’s email account and to exfiltrate email messages to an attacker-controlled server by making HTTP requests to https://recsecas[.]com/controlserver/saveMessage.


[![The final JavaScript payload.](https://cdn.arstechnica.net/wp-content/uploads/2023/10/final-javacript-payload-roundcube-640x375.png)](https://cdn.arstechnica.net/wp-content/uploads/2023/10/final-javacript-payload-roundcube.png) / The final JavaScript payload.ESET


Winter Vivern’s previous success exploiting an already-patched Zimbra vulnerability should be a warning. Anyone using Roundcube as either a server admin or an end user should ensure the software is running a patched version.














## Tags:
***CVE's***: CVE-2023-5631
***email-adresses***: addressteam.management@outlook.com
***urls***: https://recsecas.com/controlserver/saveMessage

### Autogenerated tags:
roundcube javascript webmail eset vivern emails xss zimbra
