# Asylum Ambuscade hackers mix cybercrime with espionage
## A hacking group tracked as 'Asylum Ambuscade' was observed in recent attacks targeting small to medium-sized companies worldwide, combining cyber espionage with cybercrime.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/asylum-ambuscade-hackers-mix-cybercrime-with-espionage/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 08 June 2023, 15:21
+ Date scraped: 08 June 2023, 20:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/20/Red__hacker.jpg)



A hacking group tracked as 'Asylum Ambuscade' was observed in recent attacks targeting small to medium-sized companies worldwide, combining cyber espionage with cybercrime.


The particular threat group, believed to have been operational since at least 2020, was first identified by Proofpoint in a [March 2022 report](https://www.proofpoint.com/us/blog/threat-insight/asylum-ambuscade-state-actor-uses-compromised-private-ukrainian-military-emails) that focused on a phishing campaign against entities aiding the [Ukrainian refugees' movement](https://www.bleepingcomputer.com/news/security/phishing-attacks-target-countries-aiding-ukrainian-refugees/).


ESET has published a [new report](https://www.welivesecurity.com/2023/06/08/asylum-ambuscade-crimeware-or-cyberespionage/) on the actor today, disclosing more details about last year's Asylum Ambuscade operations and highlighting updates on its victimology and toolset.


## 2023 campaign


Asylum Ambuscade typically launches its attacks with spear-phishing emails sent to targets, carrying malicious document attachments that run malicious VBS code, and after June 2022, an exploit for CVE-2022-30190 (Follina).


The exploit initiates the download of an MSI installer that deploys the group's Sunseed malware, a Lua-based downloader that also generates an LNK file in the Windows Startup folder for persistence.


Sunseed procures the subsequent-stage payload, Akhbot, from the command-and-control server and continues to ping the server to receive and execute additional Lua code.


Asylum Ambuscade maintains an almost perplexingly broad targeting scope in 2023, targeting bank customers, cryptocurrency traders, government entities, and various small and medium businesses across North America, Europe, and Central Asia.


ESET explains that the current infection chain continues to follow the same structure as in the 2022 operations. However, security analysts have now noticed new compromise vectors, including malicious Google Ads that redirect users to sites running malicious JavaScript code.



![JavaScript downloader](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/33/js-downloader.png)**JavaScript downloader** *(ESET)*


Additionally, the threat actor started deploying a new tool named "Nodebot" in March 2023, which appears to be the Node.js port of Ahkbot.


The malware's function continues to include screenshot capturing, password exfiltration from Internet Explorer, Firefox, and Chromium-based browsers, and fetching additional AutoHotkey plugins onto the breached device.



![Complete attack chain](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/33/infection-chain.png)**Complete attack chain** *(ESET)*


The plugins fetched by the malware feature specific functionality such as downloading a VMProtect-packed Cobalt Strike loader, installing Chrome to accommodate hVNC operations, starting a keylogger, deploying a Rhadamanthys infostealer, launching a commercially available RAT, and more.


ESET has counted 4,500 victims since it started tracking Asylum Ambuscade in January 2022, equating to roughly 265 victims/month, making this a very prolific threat actor and a severe threat to organizations worldwide.



![Victims since January 2022](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/33/victims.png)**Asylum Ambuscade victims** **since January 2022** *(ESET)*


While the threat actors clearly target cryptocurrency traders and bank accounts for profit, the compromise of SMB entities might point to cyberespionage.


The threat group may be selling network access to these companies to ransomware affiliates for profit. However, ESET has found no evidence supporting this hypothesis.


In conclusion, Asylum Ambuscade's specific operational goals remain unclear.





## Tags:
***CVE's***: CVE-2022-30190

### Autogenerated tags:
eset malware
