# Atomic Stealer malware strikes macOS via fake browser updates
## The 'ClearFake' fake browser update campaign has expanded to macOS, targeting Apple computers with Atomic Stealer (AMOS) malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/atomic-stealer-malware-strikes-macos-via-fake-browser-updates/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 25 November 2023, 10:11
+ Date scraped: 25 November 2023, 23:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/22/macos-storm.jpg)



The 'ClearFake' fake browser update campaign has expanded to macOS, targeting Apple computers with Atomic Stealer (AMOS) malware.


The ClearFake campaign [started in July](https://rmceoin.github.io/malware-analysis/clearfake/) this year to target Windows users with fake Chrome update prompts that appear on breached sites via JavaScript injections. 


In October 2023, [Guardio Labs discovered](https://www.bleepingcomputer.com/news/security/hackers-use-binance-smart-chain-contracts-to-store-malicious-scripts/) a significant development for the malicious operation, which leveraged Binance Smart Chain contracts to hide its malicious scripts supporting the infection chain in the blockchain.


Via this technique, dubbed "EtherHiding," the operators distributed Windows-targeting payloads, including information-stealing malware like RedLine, Amadey, and Lumma.


Expanding to macOS
------------------


On November 17, 2023, threat analyst [Ankit Anubhav reported](https://infosec.exchange/@ankit_anubhav/111425827558836814) that ClearFake had started pushing DMG payloads to macOS users visiting compromised websites.


A [Malwarebytes report](https://www.malwarebytes.com/blog/threat-intelligence/2023/11/atomic-stealer-distributed-to-mac-users-via-fake-browser-updates) from earlier this week confirms this development, reporting that these attacks employ a Safari update bait along with the standard Chrome overlay.



![Fake update overlay targeting macOS users](https://www.bleepstatic.com/images/news/u/1220909/2023/MacOS/8/fake-update.jpg)**Fake update overlay targeting macOS users**  
*Source: Malwarebytes*


The payload dropped in these cases is Atomic, an info-stealing malware sold to cybercriminals via Telegram channels for $1,000/month.



![Atomic stealer disguised as a Safari update](https://www.bleepstatic.com/images/news/u/1220909/2023/MacOS/8/malicious-file.jpg)**Atomic stealer disguised as a Safari update**  
*Source: Malwarebytes*


Atomic was discovered in April 2023 by [Trellix and Cyble](https://www.bleepingcomputer.com/news/security/new-atomic-macos-info-stealing-malware-targets-50-crypto-wallets/), who reported that it attempts to steal passwords, cookies, and credit cards stored in browsers, local files, data from over 50 cryptocurrency extensions, and keychain passwords.


The keychain password is macOS' built-in password manager that holds WiFi passwords, website logins, credit card data, and other encrypted information, so its compromise can result in a significant breach for the victim.


Malwarebyte's examination of the payload's strings reveals a series of commands for extracting sensitive data like passwords and targeting document files, images, crypto wallet files, and keys.



![String of commands in Atomic's code](https://www.bleepstatic.com/images/news/u/1220909/2023/MacOS/8/code.png)**String of commands in Atomic's code**  
*Source: Malwarebytes*


The ClearFake campaign now targeting Macs is a reminder for Apple users to strengthen their security and be careful with downloads, especially prompts to update your browser when visiting websites.


Even after several months following the discovery and reports on Atomic, the payload is undetected by [roughly 50%](https://www.virustotal.com/gui/file/15f39e53a2b4fa01f2c39ad29c7fe4c2fef6f24eff6fa46b8e77add58e7ac709/detection) of AV engines on VirusTotal.


Furthermore, all Safari browser updates will be distributed through macOS's Software Update, or for other browsers, within the browser itself.


Therefore, if you see any prompts to download browser updates on websites, they should be ignored.





## Tags:


### Autogenerated tags:
macos malwarebytes malware clearfake websites
