# Blockchain dev's wallet emptied in "job interview" using npm package
## A blockchain developer shares his ordeal over the holidays when he was approached on LinkedIn by a "recruiter" for a web development job. The recruiter in question asked the developer to download npm packages from a GitHub repository, and hours later the developer discovered his MetaMask wallet had been emptied.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/blockchain-devs-wallet-emptied-in-job-interview-using-npm-package/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 28 December 2023, 06:25
+ Date scraped: 28 December 2023, 12:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/12/01/Hackers_crypto.jpg)



A blockchain developer shares his ordeal over the holidays when he was approached on LinkedIn by a "recruiter" for a web development job.


The recruiter in question asked the developer to download npm packages from a GitHub repository, and hours later the developer discovered his MetaMask wallet had been emptied.


Take-home job exercise empties dev's crypto wallet
--------------------------------------------------


Antalya-based [Murat Çeliktepe](https://twitter.com/muratctp), a blockchain and web developer, shared this week how he was approached by a "recruiter" on LinkedIn with an Upwork job posting that looked legitimate.


As a part of the job interview, the recruiter asked Çeliktepe to download and debug the code in two npm packages—"web3\_nextjs" and "web3\_nextjs\_backend" hosted on a GitHub repository. However, moments later, the developer discovered that his MetaMask wallet had been drained—with upwards of $500 siphoned out of his account, based on the information seen by BleepingComputer.



![Recruiter message to the developer on LinkedIn](https://www.bleepstatic.com/images/news/u/1164866/2023/Dec/blockchain-dev-npm-hack/recruiter-linkedin-message.jpeg)**Recruiter message to the developer on LinkedIn**(Murat Çeliktepe)


The Upwork [job posting](https://www.upwork.com/freelance-jobs/apply/Fix-bugs-and-resopnsiveness-website_~01e7bfe7f458e327b1/) asks the applicant to "fix bugs and resopnsiveness [sic] on website" and claims to pay between $15 and $20 hourly for a task expected to take under a month.



![upwork-job-posting](https://www.bleepstatic.com/images/news/u/1164866/2023/Dec/blockchain-dev-npm-hack/upwork-posting.jpg)**Job posting, as it appeared at the time on Upwork** (BleepingComputer)


Çeliktepe, whose LinkedIn profile picture bears the "#OpenToWork" tag, decided to give this challenge a go and downloaded the GitHub repositories shared by the recruiter, as a part of the "tech interview."


It isn't unusual for legitimate tech interviews to involve some kind of take-home exercise or proof-of-concept (PoC) assignment involving code writing or debugging, which makes the lure highly convincing even for technically savvy people, like developers.



![One of the npm projects on GitHub that the dev was asked to download](https://www.bleepstatic.com/images/news/u/1164866/2023/Dec/blockchain-dev-npm-hack/github-repo-frontend.jpg)**One of the npm projects on GitHub that the dev was asked to download**  

(BleepingComputer)


Note that the apps present in the said GitHub repos [[1](https://github.com/vadym110/web3_nextjs), [2](https://github.com/vadym110/web3_nextjs_backend)] are valid npm projects, given their format and the included *package.json* manifest, but these do not appear to have ever been published to npmjs.com, the largest open-source registry of JavaScript projects.


"My MetaMask wallet was completely emptied... under the pretext of the interview process and job assignment, my entire wallet was completely emptied in a way that I don't yet understand exactly how," [wrote](https://twitter.com/muratctp/status/1739224777955369420) Çeliktepe in Turkish on social media.


"I will share the codes below, I would be very happy if someone could help me understand how."


As per the assignment instructions, the developer cloned both GitHub repositories and started to debug his instance to find the problem while running both the frontend and backend applications locally on his machine.


Following the task, he attended a Google Meet session with the man who had approached him on LinkedIn, and explained the solution—and this was it, or so the developer thought. Except, a few hours later, the developer noticed, his Ethereum balance had been drained.


Among recent [transactions](https://etherscan.io/address/0xDe14bf6088bF7320687910C657Aa78883Dbd47c2) shared by the developer and seen by BleepingComputer, is an outbound one for 0.225 ETH—approximately US$538 sent to another crypto address in the last week.



![developer's crypto wallet shows outbound transactions](https://www.bleepstatic.com/images/news/u/1164866/2023/Dec/blockchain-dev-npm-hack/wallet-emptied.jpg)**Developer's Ethereum address shows outbound transactions** (BleepingComputer)


More devs targeted in same scam
-------------------------------


Despite looking through the code present in both repositories, the developer is still unsure about the exact mechanics of this attack that led him to lose money and [is seeking help from the community](https://twitter.com/muratctp/status/1739224783831597311) to understand the same.


His appeal was quickly followed up by, what appeared to be opportunistic crypto bots and scam accounts, enticing him to get in touch with bogus "MetaMask support" Gmail addresses and Google forms.


Some legitimately concerned community members stepped up, however, to offer their insights.


An Istanbul-based bug bounty hunter [hypothesized](https://twitter.com/ynsmroztas/status/1739512828183134334) that the npm projects ran by the developer effectively paved the means for the attacker to deploy a reverse shell, by opening up port 5000 on his machine that began "listening" for connections.


BleepingComputer did confirm the presence of the described code within the backend app [[1](https://github.com/vadym110/web3_nextjs_backend/blob/master/app.js#L99), [2](https://archive.is/wip/635UP)] "web3\_nextjs\_backend," but we have not been able to independently confirm if attackers indeed gained access to the developer's machine via this attack vector.


Furthermore, Çeliktepe says [he never kept](https://twitter.com/muratctp/status/1739224785593200926) the secret "12 words" or what's formally known as [MetaMask's Secret Recovery Phrase (SRP)](https://support.metamask.io/hc/en-us/articles/360060826432-What-is-a-Secret-Recovery-Phrase-and-how-to-keep-your-crypto-wallet-secure#:~:text=Your%20Secret%20Recovery%20Phrase%20(SRP,are%20connected%20to%20that%20phrase.) on his computer and therefore does not understand how his MetaMask wallet was breached, even if attackers would have gained access to his machine.


BleepingComputer further [observed the presence](https://github.com/vadym110/web3_nextjs_backend/blob/master/utils/btc/addressManager.js#L9) of a "master public key" or an [extended public key](https://river.com/learn/terms/x/xpub-extended-public-key/) in the package which appears to help generate Bitcoin addresses.


There are also network requests with data being made to *flickthebean.onrender[.]com* by [several files](https://github.com/vadym110/web3_nextjs/tree/master/src/api) within web3\_nextjs. But once again, whether these are all part of a simple quasi-job interview exercise, or the crypto-stealing attack remains unclear.


Other theories proposed by the community members involve, rather than the developer's machine getting infected with malware, the illicit npm project copied his passwords [from a web browser](https://twitter.com/SplendorRealm/status/1739303631747162547) that had auto-fill enabled, or that his [network traffic was intercepted](https://twitter.com/AvSoysal/status/1739445754916200948) by the code he voluntarily ran during the "tech interview."


Whatever the attack vector may be, Çeliktepe is not the only one who has been targeted in this fashion, and that too by the same "recruiter."


Another blockchain dev and security researcher Bartu Bozkurt says he had [also been approached](https://twitter.com/bartubozkurt_/status/1739255567661605151) for the "job" on LinkedIn, just days prior, and calls this a "very well-known type of hack."


Yet another developer, Mehmet Selim, also [confirms](https://twitter.com/mesgo_/status/1739367707043070055) being messaged by the same recruiter who had reached out to Çeliktepe.


As such, web developers and security researchers should keep an eye out for [bogus job offers](https://www.bleepingcomputer.com/news/security/security-researchers-targeted-with-new-malware-via-job-offers-on-linkedin/) on career development platforms as these could be scams. It is a good idea to complete any take-home job exercises—no matter how seemingly benign, on a (virtual) machine that is separate from your primary device.


*h/t [@KutluSoz](https://twitter.com/KutluSoz) for the tip-off.*





## Tags:
***urls***: http://flickthebean.onrender.com

### Autogenerated tags:
çeliktepe bleepingcomputer linkedin npm github metamask blockchain take-home
