# CISA orders agencies to patch exploited Google Chrome bug by Dec 26th
## The Cybersecurity and Infrastructure Security Agency (CISA) has added one more security vulnerability to its list of bugs known to be exploited in attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-orders-agencies-to-patch-exploited-google-chrome-bug-by-dec-26th/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 05 December 2022, 22:06
+ Date scraped: 05 December 2022, 23:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/31/CISA__headpic.jpg)



The Cybersecurity and Infrastructure Security Agency (CISA) has added one more security vulnerability to its list of bugs known to be exploited in attacks.


The flaw (tracked as CVE-2022-4262) was patched as an actively exploited zero-day bug in the Google Chrome web browser on Friday for Windows, Mac, and Linux users.


[In a security advisory](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-9th-zero-day-of-the-year/) published right before the weekend, Google said it "is aware of reports that an exploit for CVE-2022-4262 exists in the wild."


This is the ninth Chrome zero-day exploited in the wild that Google has patched since the start of the year.


The bug is caused by a high-severity type confusion weakness in the Chromium V8 JavaScript engine reported by Clement Lecigne of Google's Threat Analysis Group.


Although type confusion flaws would generally lead to browser crashes following successful exploitation by reading or writing memory out of buffer bounds, attackers can also exploit them for arbitrary code execution.


While the company said it detected attacks exploiting this zero-day, it is yet to share technical details or information regarding these incidents likely to allow the security update to roll out to all impacted systems and provide users with enough time to upgrade their browsers before more attackers develop their own CVE-2022-4262 exploits.


## Federal agencies ordered to patch within the next three weeks


According to a November 2021 [binding operational directive (BOD 22-01)](https://cyber.dhs.gov/bod/22-01/), all Federal Civilian Executive Branch Agencies (FCEB) agencies now must patch their systems against this bug according to the timeline provided by CISA.


They were given three weeks, until December 26th, to patch all vulnerable Chrome installations on their systems to ensure that ongoing exploitation attempts would be blocked.


Even though the BOD 22-01 directive only applies to US FCEB agencies, the DHS cybersecurity agency also [strongly urged](https://www.cisa.gov/uscert/ncas/current-activity/2022/04/11/cisa-adds-eight-known-exploited-vulnerabilities-catalog) all U.S. organizations from both private and public sectors to prioritize patching this actively exploited bug.


Taking this advice to heart would help decrease the attack surface threat actors can exploit in attempts to breach the agencies' networks.


"These types of vulnerabilities are a frequent attack vector for malicious cyber actors of all types and pose significant risk to the federal enterprise," the U.S. cybersecurity agency [explained](https://www.cisa.gov/uscert/ncas/current-activity/2022/12/05/cisa-adds-one-known-exploited-vulnerability-catalog).


Since the binding directive was issued, CISA has added hundreds of security bugs to its [catalog of known exploited vulnerabilities](https://www.cisa.gov/known-exploited-vulnerabilities-catalog), ordering U.S. federal agencies to patch them as soon as possible to block potential security breaches.





## Tags:
***CVE's***: CVE-2022-4262

### Autogenerated tags:
google cybersecurity cisa cve-2022-4262 zero-day u.s
