# CISA pushes federal agencies to patch Citrix RCE within a week
## Today, CISA ordered U.S. federal agencies to secure their systems against three recently patched Citrix NetScaler and Google Chrome zero-days actively exploited in attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-pushes-federal-agencies-to-patch-citrix-rce-within-a-week/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 17 January 2024, 13:31
+ Date scraped: 17 January 2024, 19:06

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/01/17/CISA.jpg)



Today, CISA ordered U.S. federal agencies to secure their systems against three recently patched Citrix NetScaler and Google Chrome zero-days actively exploited in attacks, pushing for a Citrix RCE bug to be patched within a week.


The cybersecurity agency [added](https://www.cisa.gov/news-events/alerts/2024/01/17/cisa-adds-three-known-exploited-vulnerabilities-catalog) the flaws to its [Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) today, saying that such vulnerabilities are "frequent attack vectors for malicious cyber actors" that pose "significant risks to the federal enterprise."


Citrix [urged customers on Tuesday](https://www.bleepingcomputer.com/news/security/citrix-warns-of-new-netscaler-zero-days-exploited-in-attacks/) to immediately patch Internet-exposed Netscaler ADC and Gateway appliances against the CVE-2023-6548 code injection vulnerability and the CVE-2023-6549 buffer overflow impacting the Netscaler management interface that could be exploited for remote code execution and denial-of-service attacks, respectively.


Those who can't immediately install the security updates can block network traffic to affected instances and ensure they're not accessible online as a temporary workaround. According to the Shadowserver threat monitoring platform, [more than 51,000 Netscaler appliances are exposed online](https://dashboard.shadowserver.org/statistics/iot-devices/time-series/?date_range=7&vendor=citrix&model=netscaler&group_by=geo&style=stacked) right now, with [only 1,500 having their management interfaces](https://dashboard.shadowserver.org/statistics/iot-devices/time-series/?date_range=7&vendor=citrix&model=netscaler+management+interface&group_by=geo&style=stacked) accessible over the Internet.


CISA also added the CVE-2024-0519 out-of-bounds memory access in the Chromium V8 JavaScript engine to its KEV list today. This is [the first Chrome zero-day exploited in the wild](https://www.bleepingcomputer.com/news/security/google-fixes-first-actively-exploited-chrome-zero-day-of-2024/) patched by Google this year.


One week to secure vulnerable NetScaler instances
-------------------------------------------------


After their inclusion in CISA's KEV list, U.S. Federal Civilian Executive Branch Agencies (FCEB) must patch devices vulnerable devices on their networks within a specific timetable, as mandated by a binding operational directive ([BOD 22-01](https://cyber.dhs.gov/bod/22-01/)) issued three years ago.


Out of the three now-patched zero-days, the cybersecurity agency wants the CVE-2023-6548 vulnerability impacting NetScaler ADC and Gateway management interfaces to be patched within a week by next Wednesday, January 24.


The other two, the CVE-2023-6549 NetScaler buffer overflow and the CVE-2024-0519 Google Chrome bug, must be mitigated within three weeks by February 7.


Although CISA did not explain the expedited CVE-2023-6548 patch process, Citrix's warning that customers should secure vulnerable appliances as soon as possible and the bug's management interface impact likely played a significant role.


Even though BOD 22-01 applies only to U.S. federal agencies, CISA urged all organizations (including private companies) to prioritize patching these security flaws as soon as possible.





## Tags:
***CVE's***: CVE-2023-6548 CVE-2023-6549 CVE-2024-0519

### Autogenerated tags:
netscaler cisa citrix u.s google cve-2023-6548
