# CISA warns orgs to patch actively exploited Chrome, Redis bugs
## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has ordered federal civilian agencies to patch a Google Chome zero-day and a critical Redis vulnerability actively exploited in the wild within the next three weeks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-warns-orgs-to-patch-actively-exploited-chrome-redis-bugs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 28 March 2022, 22:01
+ Date scraped: 28 March 2022, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/07/01/CISA.jpg)



The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has ordered federal civilian agencies to patch a Google Chome zero-day and a critical Redis vulnerability actively exploited in the wild within the next three weeks.


According to a [Google advisory published on Friday](https://www.bleepingcomputer.com/news/security/emergency-google-chrome-update-fixes-zero-day-used-in-attacks/), the Chrome zero-day security flaw (tracked as CVE-2022-1096) is a high severity type confusion weakness in the Chrome V8 JavaScript engine that could allow threat actors to execute arbitrary code on targeted devices.


The Muhstik malware gang has added a dedicated spreader exploit for the Redis Lua sandbox escape vulnerability (tracked as CVE-2022-0543) after a proof-of-concept (PoC) exploit was publicly released [on March 10th](https://github.com/vulhub/vulhub/tree/master/redis/CVE-2022-0543).


According to a [binding operational directive (BOD 22-01)](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-fix-hundreds-of-exploited-security-flaws/) issued in November, Federal Civilian Executive Branch Agencies (FCEB) agencies must secure their systems against these vulnerabilities, with CISA giving them until April 18th to patch.


"These types of vulnerabilities are a frequent attack vector for malicious cyber actors of all types and pose significant risk to the federal enterprise," the U.S. cybersecurity agency [explained](https://cyber.dhs.gov/bod/22-01/).


CISA added 30 more vulnerabilities to its [Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) today based on evidence that they are also exploited in the wild.


Although BOD 22-01 only applies to FCEB agencies, CISA also urges private and public sector orgs to prioritize mitigation of these flaws to reduce exposure to ongoing cyberattacks.



## Hundreds of security flaws under active exploitation


CISA has added hundreds of vulnerabilities to its catalog of actively exploited bugs this year, ordering federal agencies to patch them as soon as possible to avoid security breaches.


Last Friday, the agency [added 66 other bugs exploited in attacks](https://www.bleepingcomputer.com/news/security/cisa-adds-66-vulnerabilities-to-list-of-bugs-exploited-in-attacks/), including a Windows Print Spooler bug (CVE-2022-21999), allowing code execution as SYSTEM.


CISA also added a Mitel TP-240 VoIP interface flaw (CVE-2022-26143) [exploited for record-breaking DDoS attack amplification](https://www.bleepingcomputer.com/news/security/ddos-attacks-now-use-new-record-breaking-amplification-vector/) with ratios of roughly 4.3 billion to 1.


Since the start of 2022, the cybersecurity agency has ordered federal civilian agencies to patch actively exploited vulnerabilities in:


* [Mozilla's Firefox web browser](https://www.bleepingcomputer.com/news/security/cisa-patch-actively-exploited-firefox-zero-days-until-march-21st/)
* [Zabbix servers](https://www.bleepingcomputer.com/news/security/cisa-warns-of-actively-exploited-vulnerabilities-in-zabbix-servers/)
* [Google Chrome and Adobe Commerce/Magento Open Source](https://www.bleepingcomputer.com/news/security/cisa-tells-federal-agencies-to-patch-actively-exploited-chrome-magento-bugs/)
* [iPhones, iPads, and Macs](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-update-iphones-macs-until-feb-25th/)
* Windows systems [[1](https://www.bleepingcomputer.com/news/security/cisa-urges-orgs-to-patch-actively-exploited-windows-serioussam-bug/), [2](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-patch-actively-exploited-windows-bug/)]





## Tags:
***CVE's***: CVE-2022-21999 CVE-2022-26143 CVE-2022-1096 CVE-2022-0543

### Autogenerated tags:
cisa cybersecurity google
