# Emergency Google Chrome update fixes zero-days used in attacks
## Google has released Chrome 95.0.4638.69 for Windows, Mac, and Linux to fix two zero-day vulnerabilities that attackers have actively exploited.
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/emergency-google-chrome-update-fixes-zero-days-used-in-attacks/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 28 October 2021, 18:11
+ Date scraped: 11 December 2023, 12:24

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/23/Chrome.jpg)



Google has released Chrome 95.0.4638.69 for Windows, Mac, and Linux to fix two zero-day vulnerabilities that attackers have actively exploited.


"Google is aware that exploits for CVE-2021-38000 and CVE-2021-38003 exist in the wild," Google disclosed in the [list of security fixes](https://chromereleases.googleblog.com/2021/10/stable-channel-update-for-desktop_28.html) in today's Google Chrome release.


While Google states that the new version may take some time to reach everyone, the update has already started rolling out Chrome 95.0.4638.69 to users worldwide in the Stable Desktop channel.


To install the Chrome update immediately, go to **Chrome menu**> **Help**> **About Google Chrome**, and the browser will begin performing the update.



![Chrome 95.0.4638.69 was installed immediately](https://www.bleepstatic.com/images/news/web-browsers/chrome/google-chrome-95-update.jpg)**Chrome 95.0.4638.69 was installed immediately**


Google Chrome will also check for available updates and install them the next time you launch the web browser.


Zero-day attacks' details not disclosed
---------------------------------------


This Chrome release fixes a total of seven vulnerabilities, with two being zero-days that are known to have been exploited in the wild.


The first zero-day, tracked as **CVE-2021-38000**, is described as an "Insufficient validation of untrusted input in Intents" and was assigned a High severity level. This vulnerability was discovered by Clement Lecigne, Neel Mehta, and Maddie Stone of Google Threat Analysis Group on September 15th, 2021.


The second zero-day, tracked as **CVE-2021-38003**, is a High severity "Inappropriate implementation" bug in the Chrome V8 JavaScript engine. This vulnerability was discovered by Lecigne as well and reported on October 24th.


At this time, Google or the researchers have not provided further details regarding how threat actors used the vulnerabilities in attacks. However, as Google discovered the vulnerabilities, we may learn more in future reports by Google TAG or Project Zero.


As these two vulnerabilities have been used in attacks, it is suggested that all Chrome users perform a manual upgrade or restart their browser to install the latest version.


Fifteenth zero-day fixed this year
----------------------------------


With these fixes, Google has patched 15 Chrome zero-day vulnerabilities since the beginning of 2021.


The other thirteen zero-days patched this year are listed below:


* [CVE-2021-21148](https://www.bleepingcomputer.com/news/security/google-fixes-chrome-zero-day-actively-exploited-in-the-wild/) - February 4th, 2021
* [CVE-2021-21166](https://www.bleepingcomputer.com/news/security/google-fixes-second-actively-exploited-chrome-zero-day-bug-this-year/) - March 2nd, 2021
* [CVE-2021-21193](https://www.bleepingcomputer.com/news/security/google-fixes-second-actively-exploited-chrome-zero-day-this-month/) - March 12th, 2021
* [CVE-2021-21220](https://chromereleases.googleblog.com/2021/04/stable-channel-update-for-desktop.html) - April 13th, 2021
* [CVE-2021-21224](https://www.bleepingcomputer.com/news/security/google-fixes-exploited-chrome-zero-day-dropped-on-twitter-last-week/) - April 20th, 2021
* [CVE-2021-30551](https://www.bleepingcomputer.com/news/security/google-fixes-sixth-chrome-zero-day-exploited-in-the-wild-this-year/) - June 9th, 2021
* [CVE-2021-30554](https://www.bleepingcomputer.com/news/security/google-fixes-seventh-chrome-zero-day-exploited-in-the-wild-this-year/) - June 17th, 2021
* [CVE-2021-30563](https://www.bleepingcomputer.com/news/security/google-patches-8th-chrome-zero-day-exploited-in-the-wild-this-year/) - July 15th, 2021
* [CVE-2021-30632 and CVE-2021-30633](https://www.bleepingcomputer.com/news/google/google-patches-10th-chrome-zero-day-exploited-in-the-wild-this-year/) - September 13th
* [CVE-2021-37973](https://www.bleepingcomputer.com/news/security/emergency-google-chrome-update-fixes-zero-day-exploited-in-the-wild/) - September 24th, 2021
* [CVE-2021-37976 and CVE-2021-37975](https://www.bleepingcomputer.com/news/security/google-pushes-emergency-chrome-update-to-fix-two-zero-days/) - September 30th, 2021

As Google is now pushing out Chrome updates to fix zero-days as they are reported, it is strongly advised that users do not block updates and install new versions as they become available.





## Tags:
***CVE's***: CVE-2021-21224 CVE-2021-30633 CVE-2021-38000 CVE-2021-30632 CVE-2021-21193 CVE-2021-30554 CVE-2021-30551 CVE-2021-21220 CVE-2021-38003 CVE-2021-37976 CVE-2021-21166 CVE-2021-37975 CVE-2021-21148 CVE-2021-30563 CVE-2021-37973

### Autogenerated tags:
google zero-day zero-days
