# Fake job interviews target developers with new Python backdoor
## A new campaign tracked as "Dev Popper" is targeting software developers with fake job interviews in an attempt to trick them into installing a Python remote access trojan (RAT).
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/fake-job-interviews-target-developers-with-new-python-backdoor/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 26 April 2024, 10:20
+ Date scraped: 26 April 2024, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/10/18/Hacker.jpg)



A new campaign tracked as “Dev Popper” is targeting software developers with fake job interviews in an attempt to trick them into installing a Python remote access trojan (RAT).


The developers are asked to perform tasks supposedly related to the interview, like downloading and running code from GitHub, in an effort to make the entire process appear legitimate.


However, the threat actor's goal is make their targets download malicious software that gathers system information and enables remote access to the host.


According to Securonix analysts, the campaign is likely orchestrated by North Korean threat actors based on the observed tactics. The connections are not strong enough for attribution, though.


Multi-stage infection chain
---------------------------


“Dev Popper” attacks involve a multi-stage infection chain based on social engineering, designed to deceive targets through a process of progressive compromise.


The attackers initiate contact by posing as employers that offer looking to fill software developer positions. During the interview, the candidates are asked to download and run what is presented as a standard coding task from a GitHub repository.


The file is a ZIP archive containing an NPM package, which has a README.md as well as frontend and backend directories.


Once the developer runs the NPM package, an obfuscated JavaScript file (“imageDetails.js”) hidden inside the backend directory is activated, executing ‘curl’ commands through the Node.js process to download an additional archive (“p.zi”) from an external server.



![Obfuscated JavaScript](https://www.bleepstatic.com/images/news/u/1220909/2024/Phishing/10/obf-js.jpg)**Obfuscated JavaScript**  
*Securonix*


Inside the archive is the next stage payload, an obfuscated Python script (“npl”) that functions as a RAT.



![Python file contents](https://www.bleepstatic.com/images/news/u/1220909/2024/Phishing/10/python-file.jpg)**Python file contents**  
*Securonix*


Once the RAT is active on the victim’s system, it collects and sends basic system information to the command and control (C2) server, including OS type, hostname, and network data.


Securonix [reports](https://www.securonix.com/blog/analysis-of-devpopper-new-attack-campaign-targeting-software-developers-likely-associated-with-north-korean-threat-actors/) that the RAT supports the following capabilities:


* Persistent connections for ongoing control.
* File system commands to search for and steal specific files or data.
* Remote command execution capabilities for additional exploits or malware deployment.
* Direct FTP data exfiltration from high-interest folders such as ‘Documents’ and ‘Downloads.’
* Clipboard and keystroke logging to monitor user activity and possibly capture credentials.

Although the perpetrators of the Dev Popper attack aren’t known, the tactic of using job lures as bait to infect people with malware is still prevalent, so people should remain vigilant of the risks.


The researchers note that the method "exploits the developer’s professional engagement and trust in the job application process, where refusal to perform the interviewer’s actions could compromise the job opportunity," which makes it very effective.


North Korean hackers have been using the "fake job offer" tactic for multiple operations over the years to compromise their targets over various platforms.


There have been numerous reports [[1](https://www.bleepingcomputer.com/news/security/security-researchers-targeted-with-new-malware-via-job-offers-on-linkedin/), [2](https://www.bleepingcomputer.com/news/security/lazarus-hackers-now-push-linux-malware-via-fake-job-offers/), [3](https://www.bleepingcomputer.com/news/security/hackers-stole-620-million-from-axie-infinity-via-fake-job-interviews/), [4](https://www.bleepingcomputer.com/news/security/github-warns-of-lazarus-hackers-targeting-devs-with-malicious-projects/), [5](https://www.bleepingcomputer.com/news/security/lazarus-hackers-breach-aerospace-firm-with-new-lightlesscan-malware/)] last year about North Korean hacking groups using fake job opportunities to connect to and compromise security researchers, media organizations, software developers (especially for DeFi platforms), or employees of aerospace companies.


In a spear-phishing attack, the threat actor [impersonated journalists](https://www.bleepingcomputer.com/news/security/nsa-and-fbi-kimsuky-hackers-pose-as-journalists-to-steal-intel/) to collect intelligence from think tanks, research hubs, and academic organizations.





## Tags:


### Autogenerated tags:

