# German automakers targeted in year-long malware campaign
## A years-long phishing campaign has targeted German companies in the automotive industry, attempting to infect their systems with password-stealing malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/german-automakers-targeted-in-year-long-malware-campaign/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 10 May 2022, 15:38
+ Date scraped: 10 May 2022, 16:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/10/car-manufacturer.jpg)



A years-long phishing campaign has targeted German companies in the automotive industry, attempting to infect their systems with password-stealing malware.


The targets include both car manufacturers and car dealerships in Germany, and the threat actors have registered multiple lookalike domains for use in their operation by cloning legitimate sites of various organizations in that sector.


These sites are used to send phishing emails written in German and host the malware payloads downloaded to targeted systems.



![Various lookalike domains used in this campaign](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/domains.png)**Various lookalike domains used in this campaign** *(Check Point)*
Researchers at Check Point discovered this campaign and published a technical report where they presented the details of their findings. According to the report, the campaign started around July 2021 and is still ongoing.


## Targeting the German auto industry


The infection chain begins with an email sent to specific targets containing an ISO disk image file that bypasses many internet security controls.


For example, the phishing email below pretends to contain an automobile transfer receipt sent to what appears to be a targeted dealership.



![Samples of malicious emails seen by Check Point](https://www.bleepstatic.com/images/news/u/1220909/Phishing/email(6).png)**One of the malicious emails seen by Check Point**
This archive, in turn, contains an .HTA file that contains JavaScript or VBScript code execution via HTML smuggling.



![Generic infection chain](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/infection-chain(2).png)**Generic infection chain** *(Check Point)*
This is a common technique used by [hackers of all skill tiers](https://www.bleepingcomputer.com/news/security/microsoft-warns-of-surge-in-html-smuggling-phishing-attacks/), from "script kiddies" that rely on automated kits to [state-sponsored actors](https://www.bleepingcomputer.com/news/security/russian-hackers-compromise-embassy-emails-to-target-governments/) that deploy custom backdoors.


While the victim sees a decoy document that is opened by the HTA file, malicious code is executed in the background to fetch the malware payloads and launch them.



![Decoy document](https://www.bleepstatic.com/images/news/u/1220909/Security/email-sample.png)**Decoy document** *(Check Point)*

"We found several versions of these scripts, some triggering PowerShell code, some obfuscated, and others in plain text. All of them download and execute various MaaS (Malware as a Service) info-stealers." - [Check Point](https://blog.checkpoint.com/2022/05/10/a-german-car-attack-on-german-vehicle-businesses/).



The MaaS info-stealers used in this campaign vary, including Raccoon Stealer, AZORult, and BitRAT. All three are available for purchase in cybercrime markets and darknet forums.


In later versions of the HTA file, PowerShell code runs to change registry values and enable content on the Microsoft Office suite. This makes it unnecessary for the threat actors to trick the recipient into enabling macros and improves their payload drop rate.



![Malicious Windows registry modification](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/registry(1).jpg)**Malicious Windows registry modification** *(Check Point)*
## Targets and attribution


Check Point says they could trace these attacks to 14 targeted entities, all German organizations that had some connection to the auto-making industry. However, no specific company names are mentioned in the report.


The information-stealing payloads were hosted on a site ("bornagroup[.]ir") registered by an Iranian persona, while the same email was used for the phishing subdomains, like "groupschumecher[.]com".


The threat analysts were able to find links to a different phishing operation targeting customers of the Santander Bank, with sites supporting that campaign hosted on an Iranian ISP.



![Threat actor's infrastructure](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/infrastructure.png)**Threat actor's infrastructure** *(Check Point)*
In summary, there's a good chance that Iranian threat actors orchestrate the campaign, but Check Point doesn't have enough evidence for attribution.


Finally, regarding the goals of the campaign, it's most likely industrial espionage or BEC (business email compromise), directed against these firms or their clients, suppliers, and contractors.


The emails sent to the targets leave plenty of margin for correspondence, so building a rapport with the victim and gaining their trust is a likely scenario that gives credibility to the BEC hypothesis.





## Tags:
***urls***: http://bornagroup.ir http://groupschumecher.com

### Autogenerated tags:
phishing malware emails hta
