# Google Chrome emergency update fixes 6th zero-day exploited in 2024
## Google has released emergency security updates for the Chrome browser to address a high-severity zero-day vulnerability tagged as exploited in attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-6th-zero-day-exploited-in-2024/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 14 May 2024, 04:10
+ Date scraped: 14 May 2024, 09:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/03/27/Google_Chrome.jpg)



Google has released emergency security updates for the Chrome browser to address a high-severity zero-day vulnerability tagged as exploited in attacks.


This fix comes only three days after Google addressed another zero-day vulnerability in Chrome, [CVE-2024-4671](https://www.bleepingcomputer.com/news/security/google-fixes-fifth-chrome-zero-day-vulnerability-exploited-in-attacks-in-2024/), caused by a use-after-free weakness in the Visuals component.


The latest bug is tracked as CVE-2024-4761. It is an out-of-bounds write problem impacting Chrome’s V8 JavaScript engine, which is responsible for executing JS code in the application.


Out-of-bounds write issues occur when a program is allowed to write data outside the specified array or buffer, potentially leading to unauthorized data access, arbitrary code execution, or program crashes.


“Google is aware that an exploit for CVE-2024-4761 exists in the wild,” [reads the advisory](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_13.html).


The company fixed the security flaw with the release of 124.0.6367.207/.208 for Mac/Windows and 124.0.6367.207 for Linux. The updates will roll out to all users over the coming days/weeks.


For users of the ‘Extended Stable’ channel, fixes will be made available in version 124.0.6367.207 for Mac and Windows.


Chrome updates automatically when a security update is available, but users can confirm they’re running the latest version by going to Settings > About Chrome, letting the update finish, and then clicking on the ‘Relaunch’ button to apply it.


![Version](https://www.bleepstatic.com/images/news/u/1220909/2024/Ransomware/15/version.png)


Sixth zero-day exploited in attacks
-----------------------------------


This latest Google Chrome vulnerability is the sixth zero-day bug discovered and fixed in the popular web browser since the start of the year.


The company notes that an anonymous researcher reported the flaw on May 9, 2024, but no further details have been disclosed at this time.


“Access to bug details and links may be kept restricted until a majority of users are updated with a fix. We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed,” Google said.


Chrome zero-day flaws fixed in 2024 so far include:


* **[CVE-2024-0519](https://www.bleepingcomputer.com/news/security/google-fixes-first-actively-exploited-chrome-zero-day-of-2024/)**: A high-severity out-of-bounds memory access weakness within the Chrome V8 JavaScript engine, allowing remote attackers to exploit heap corruption via a specially crafted HTML page, leading to unauthorized access to sensitive information.
* **[CVE-2024-2887](https://www.bleepingcomputer.com/news/security/google-fixes-chrome-zero-days-exploited-at-pwn2own-2024/)**: A high-severity type confusion flaw in the WebAssembly (Wasm) standard. It could lead to remote code execution (RCE) exploits leveraging a crafted HTML page.
* **[CVE-2024-2886](https://www.bleepingcomputer.com/news/security/google-fixes-chrome-zero-days-exploited-at-pwn2own-2024/)**: A use-after-free vulnerability in the WebCodecs API used by web applications to encode and decode audio and video. Remote attackers exploited it to perform arbitrary reads and writes via crafted HTML pages, leading to remote code execution.
* **[CVE-2024-3159](https://www.bleepingcomputer.com/news/security/google-fixes-one-more-chrome-zero-day-exploited-at-pwn2own/)**: A high-severity vulnerability caused by an out-of-bounds read in the Chrome V8 JavaScript engine. Remote attackers exploited this flaw using specially crafted HTML pages to access data beyond the allocated memory buffer, resulting in heap corruption that could be leveraged to extract sensitive information.
* **[CVE-2024-4671](https://www.bleepingcomputer.com/news/security/google-fixes-fifth-chrome-zero-day-vulnerability-exploited-in-attacks-in-2024/)**: A high-severity use-after-free flaw in the Visuals component that handles the rendering and display of content on the browser.





## Tags:
***CVE's***: CVE-2024-4671 CVE-2024-4761 CVE-2024-3159 CVE-2024-0519 CVE-2024-2887 CVE-2024-2886

### Autogenerated tags:
google high-severity zero-day out-of-bounds html use-after-free v8 javascript
