# Google Chrome emergency update fixes 9th zero-day of the year
## Google has released Chrome 108.0.5359.94/.95 for Windows, Mac, and Linux users to address a single high-severity security flaw, the ninth Chrome zero-day exploited in the wild patched since the start of the year.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-9th-zero-day-of-the-year/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 02 December 2022, 21:44
+ Date scraped: 02 December 2022, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Google___Chrome.jpg)



Google has released Chrome 108.0.5359.94/.95 for Windows, Mac, and Linux users to address a single high-severity security flaw, the ninth Chrome zero-day exploited in the wild patched since the start of the year.


"Google is aware of reports that an exploit for CVE-2022-4262 exists in the wild," the search giant said in a [security advisory](https://chromereleases.googleblog.com/2022/12/stable-channel-update-for-desktop.html) published on Friday.


According to Google, the new version has started rolling out to users in the Stable Desktop channel, and it will reach the entire user base within a matter of days or weeks.


This update was immediately rolled out to our systems when BleepingComputer checked for new updates from the Chrome menu > Help > About Google Chrome.


The web browser will also automatically check for new updates and will install them without requiring user interaction after the next launch.


![Chrome 108.0.5359.94](https://www.bleepstatic.com/images/news/u/1109292/2022/Chrome%20108_0_5359_94.png)


## ​Attack details not available


The zero-day vulnerability ([CVE-2022-4262](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-4262)) is due to a high-severity [type confusion](https://cwe.mitre.org/data/definitions/843.html) weakness in the Chrome V8 JavaScript engine reported by Clement Lecigne of Google's Threat Analysis Group.


Even though type confusion security flaws generally lead to browser crashes after successful exploitation by reading or writing memory out of buffer bounds, threat actors can also exploit them for arbitrary code execution.


Although Google said it detected attacks exploiting this zero-day, the company has yet to share technical details or information regarding these incidents.


"Access to bug details and links may be kept restricted until a majority of users are updated with a fix," Google added.


"We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven't yet fixed."


This will provide Google Chrome users with enough time to upgrade their browsers and prevent exploitation attempts until more info is released, allowing more attackers to develop their own exploits.


## Ninth Chrome zero-day patched this year


With this emergency update, Google has addressed the ninth Chrome zero-day attackers have exploited in the wild since the start of 2022.


The previous eight zero-day vulnerabilities found and patched this year are:


* [CVE-2022-2856](http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2856) - August 17
* [CVE-2022-2294](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2294) - July 4
* [CVE-2022-1364](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-zero-day-used-in-attacks/) - April 14
* [CVE-2022-1096](https://www.bleepingcomputer.com/news/security/emergency-google-chrome-update-fixes-zero-day-used-in-attacks/) - March 25
* [CVE-2022-0609](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-zero-day-exploited-in-attacks/) - February 14
* [CVE-2022-3723](http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-3723) - October 28
* [CVE-2022-4135](http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-4135) - November 25





## Tags:
***CVE's***: CVE-2022-4135 CVE-2022-4262 CVE-2022-3723 CVE-2022-1364 CVE-2022-2294 CVE-2022-1096 CVE-2022-2856 CVE-2022-0609

### Autogenerated tags:
google zero-day
