# Google Chrome emergency update fixes first zero-day of 2023
## Google has released an emergency Chrome security update to address the first zero-day vulnerability exploited in attacks since the start of the year.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-first-zero-day-of-2023/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 14 April 2023, 18:00
+ Date scraped: 14 April 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Google___Chrome.jpg)



Google has released an emergency Chrome security update to address the first zero-day vulnerability exploited in attacks since the start of the year.


"Google is aware that an exploit for CVE-2023-2033 exists in the wild," the search giant said in a [security advisory](https://chromereleases.googleblog.com/2023/04/stable-channel-update-for-desktop_14.html) published on Friday.


The new version is rolling out to users in the Stable Desktop channel, and it will reach the entire user base over the coming days or weeks.


Chrome users should upgrade to version 112.0.5615.121 as soon as possible, as it addresses the CVE-2023-2033 vulnerability on Windows, Mac, and Linux systems.


This update was immediately available when BleepingComputer checked for new updates from the Chrome menu > Help > About Google Chrome.


The web browser will also automatically check for new updates and install them without requiring user interaction after a restart.


![Google Chrome 112.0.5615.121](https://www.bleepstatic.com/images/news/u/1109292/2023/Google%20Chrome%20112_0_5615_121.png)


## ​​Attack details not yet disclosed


The high-severity zero-day vulnerability ([CVE-2023-2033](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-4262)) is due to a high-severity [type confusion](https://cwe.mitre.org/data/definitions/843.html) weakness in the Chrome V8 JavaScript engine.


The bug was reported by Clement Lecigne of Google's Threat Analysis Group (TAG), whose primary goal is to defend Google customers from state-sponsored attacks.


Google TAG frequently discovers and reports zero-day bugs exploited in highly-targeted attacks by government-sponsored threat actors aiming to install spyware on devices of high-risk individuals, including journalists, opposition politicians, and dissidents worldwide.


Although type confusion flaws would generally allow attackers to trigger browser crashes after successful exploitation by reading or writing memory out of buffer bounds, threat actors can also exploit them for arbitrary code execution on compromised devices.


While Google said it knows of CVE-2023-2033 zero-day exploits used in attacks, the company has yet to share further information regarding these incidents.


"Access to bug details and links may be kept restricted until a majority of users are updated with a fix," Google said.


"We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven't yet fixed."


This will allow Google Chrome users to upgrade their browsers and block attack attempts until technical details are released, allowing more threat actors to develop their own exploits.





## Tags:
***CVE's***: CVE-2023-2033

### Autogenerated tags:
google zero-day cve-2023-2033
