# Google explains how Android malware slips onto Google Play Store
## The Google Cloud security team acknowledged a common tactic known as versioning used by malicious actors to slip malware on Android devices after evading the Google Play Store's review process and security controls.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-explains-how-android-malware-slips-onto-google-play-store/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 04 August 2023, 13:04
+ Date scraped: 04 August 2023, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/05/23/Android_malware.jpg)



The Google Cloud security team acknowledged a common tactic known as versioning used by malicious actors to slip malware on Android devices after evading the Google Play Store's review process and security controls.


The technique works either by introducing the malicious payloads through updates delivered to already installed applications or by loading the malicious code from servers under the threat actors' control in what is known as [dynamic code loading (DCL)](https://attack.mitre.org/techniques/T1407/).


It allows the threat actors to deploy their payloads as native, Dalvik, or JavaScript code on Android devices by circumventing the app store's static analysis checks.


"One way malicious actors attempt to circumvent Google Play's security controls is through versioning," the company says in this year's [threat trends report](https://services.google.com/fh/files/blogs/gcat_threathorizons_full_jul2023.pdf).


"Versioning occurs when a developer releases an initial version of an app on the Google Play Store that appears legitimate and passes our checks, but later receives an update from a third-party server changing the code on the end user device that enables malicious activity."


While Google says all applications and patches submitted for inclusion into the Play Store go through rigorous PHA (Potentially Harmful Application) screening, "some of those controls" are bypassed through DCL.



![Play Store security controls bypass through versioning (DCL)](https://www.bleepstatic.com/images/news/u/1109292/2023/Play%20Store%20security%20controls%20bypass%20through%20versioning%20(DCL).png)*Play Store security controls bypass through versioning (Google)*


Google explained that applications found engaging in such activities breach the [Google Play Deceptive Behavior policy](https://support.google.com/googleplay/android-developer/answer/9888077?visit_id=638200273350597826-1646989331&rd=1) and could be labeled as [backdoors](https://developers.google.com/android/play-protect/phacategories#backdoor).


Per the company's Play Policy Center guidelines, apps distributed through Google Play are explicitly barred from altering, substituting, or updating themselves through any means other than the official update mechanism provided by Google Play.


Additionally, apps are strictly prohibited from downloading executable code (such as dex, JAR, or .so files0 from external sources to the official Android App Store.


Google also highlighted a specific malware variant named [SharkBot](https://www.bleepingcomputer.com/tag/sharkbot/), first spotted by Cleafy's Threat Intelligence Team in [October 2021](https://www.cleafy.com/cleafy-labs/sharkbot-a-new-generation-of-android-trojan-is-targeting-banks-in-europe) and known for utilizing this technique in the wild.


SharkBot is banking malware that will make unauthorized money transfers via the Automated Transfer Service (ATS) protocol after compromising an Android device.


To evade detection by Play Store systems, the threat actors responsible for SharkBot have adopted the now common strategy of releasing versions with limited functionality on Google Play, concealing their apps' suspicious nature.


However, once a user downloads the trojanized app, it downloads the full version of the malware.


Sharkbot has been camouflaged as [Android antivirus software](https://www.bleepingcomputer.com/news/security/sharkbot-malware-hides-as-android-antivirus-in-google-play/) and [various system utilities](https://www.bleepingcomputer.com/news/security/sharkbot-malware-sneaks-back-on-google-play-to-steal-your-logins/) and has [successfully infected](https://www.bleepingcomputer.com/news/security/android-malware-droppers-with-130k-installs-found-on-google-play/) [thousands of users](https://www.bleepingcomputer.com/news/security/android-file-manager-apps-infect-thousands-with-sharkbot-malware/) via apps that passed the Google Play Store's submission checks for malicious behavior.


Cybersecurity reporter Brian Krebs also highlighted the use of a [different mobile malware obfuscation technique](https://krebsonsecurity.com/2023/08/how-malicious-android-apps-slip-into-disguise/) for the same purpose, [recently unveiled](https://www.threatfabric.com/blogs/anatsa-hits-uk-and-dach-with-new-campaign) by ThreatFabric security researchers.


This method effectively breaks Google's app analysis tools, preventing them from scanning malicious APKs (Android application packages). As a result, these harmful APKs can successfully install on users' devices, despite being labeled as invalid.





## Tags:


### Autogenerated tags:
google android malware versioning apps sharkbot
