# Google fixes 8th Chrome zero-day exploited in attacks this year
## Google has released emergency updates to fix another Chrome zero-day vulnerability exploited in the wild, the eighth patched since the start of the year.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-fixes-8th-chrome-zero-day-exploited-in-attacks-this-year/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 20 December 2023, 16:41
+ Date scraped: 20 December 2023, 22:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/11/28/Google_Chrome.jpg)



Google has released emergency updates to fix another Chrome zero-day vulnerability exploited in the wild, the eighth patched since the start of the year.


"Google is aware that an exploit for CVE-2023-7024 exists in the wild," a [security advisory](https://chromereleases.googleblog.com/2023/12/stable-channel-update-for-desktop_20.html) published Wednesday said.


The company fixed the zero-day bug for users in the Stable Desktop channel, with patched versions rolling out worldwide to Windows users (120.0.6099.129/130) and Mac and Linux users (120.0.6099.129) one day after being reported to Google.


​​​The bug was discovered and reported by Clément Lecigne and Vlad Stolyarov of Google's Threat Analysis Group (TAG), a collective of security experts whose primary goal is to defend Google customers from state-sponsored attacks.


Google's Threat Analysis Group (TAG) frequently discovers zero-day bugs exploited by government-sponsored threat actors in targeted attacks aiming to deploy spyware on the devices of high-risk individuals, including opposition politicians, dissidents, and journalists.


Even though the security update could take days or weeks to reach all users, according to Google, it was available immediately when BleepingComputer checked for updates earlier today.


Individuals who prefer not to update manually can rely on their web browser to automatically check for new updates and install them upon the next launch.


[![CVE-2023-7024 tweet](https://www.bleepstatic.com/images/news/u/1109292/2023/CVE-2023-7024_tweet.png)](https://twitter.com/maddiestone/status/1737573842649043270)


Eighth Chrome zero-day patched this year
----------------------------------------


The high-severity zero-day vulnerability ([CVE-2023-7024](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-7024)) is due to a [heap buffer overflow](https://cwe.mitre.org/data/definitions/122.html) weakness in the open-source WebRTC framework many other web browsers and mobile apps use to provide Real-Time Communications (RTC) capabilities via JavaScript APIs.


While Google knows that CVE-2023-7024 was exploited as a zero-day in the wild, it has yet to share further details regarding these incidents.


"Access to bug details and links may be kept restricted until a majority of users are updated with a fix," Google said.


"We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven't yet fixed."


This aims to reduce the likelihood of threat actors developing their own CVE-2023-7024 exploits by preventing them from taking advantage of newly released technical information.


Previously, Google patched seven other zero-days exploited in attacks, tracked as [CVE-2023-6345](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-6th-zero-day-exploited-in-2023/), [CVE-2023-5217](https://www.bleepingcomputer.com/news/security/google-fixes-fifth-actively-exploited-chrome-zero-day-of-2023/), [CVE-2023-4863](https://www.bleepingcomputer.com/news/google/google-fixes-another-chrome-zero-day-bug-exploited-in-attacks/), [CVE-2023-3079](https://www.bleepingcomputer.com/news/security/google-fixes-new-chrome-zero-day-flaw-with-exploit-in-the-wild/), [CVE-2023-4762](https://www.bleepingcomputer.com/news/security/recently-patched-apple-chrome-zero-days-exploited-in-spyware-attacks/), [CVE-2023-2136](https://www.bleepingcomputer.com/news/security/google-patches-another-actively-exploited-chrome-zero-day/), and [CVE-2023-2033](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-first-zero-day-of-2023/).


Some of them, like CVE-2023-4762, were tagged as zero-day bugs used to deploy spyware weeks after the company released patches.





## Tags:
***CVE's***: CVE-2023-4863 CVE-2023-7024 CVE-2023-3079 CVE-2023-2136 CVE-2023-5217 CVE-2023-2033 CVE-2023-6345 CVE-2023-4762

### Autogenerated tags:
google zero-day cve-2023-7024
