# Google fixes Chrome zero-days exploited at Pwn2Own 2024
## Google fixed seven security vulnerabilities in the Chrome web browser on Tuesday, including two zero-days exploited during the Pwn2Own Vancouver 2024 hacking competition.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-fixes-chrome-zero-days-exploited-at-pwn2own-2024/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 March 2024, 14:44
+ Date scraped: 27 March 2024, 19:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/03/27/Google_Chrome.jpg)



Google fixed seven security vulnerabilities in the Chrome web browser on Tuesday, including two zero-days exploited during the Pwn2Own Vancouver 2024 hacking competition.


The first (tracked as CVE-2024-2887) is a high-severity [type confusion](https://cwe.mitre.org/data/definitions/843.html) weakness in the WebAssembly (Wasm) open standard. Manfred Paul demoed this vulnerability [on the first day of Pwn2Own](https://www.bleepingcomputer.com/news/security/windows-11-tesla-and-ubuntu-linux-hacked-at-pwn2own-vancouver/) as part of a double-tap remote code execution (RCE) exploit using a crafted HTML page and targeting both Chrome and Edge.


The second zero-day is tracked as CVE-2024-2886 and was exploited by KAIST Hacking Lab's Seunghyun Lee during [the second day of the CanSecWest Pwn2Own contest](https://www.bleepingcomputer.com/news/security/hackers-earn-1-132-500-for-29-zero-days-at-pwn2own-vancouver/).


Described as a [use-after-free](https://cwe.mitre.org/data/definitions/416.html) (UAF) weakness in the WebCodecs API used by web apps to encode and decode audio and video content, it allows remote attackers to perform arbitrary reads/writes via crafted HTML pages.


Lee also used CVE-2024-2886 to gain remote code execution using a single exploit targeting both Google Chrome and Microsoft Edge.


Google [fixed the two zero-days](https://chromereleases.googleblog.com/2024/03/stable-channel-update-for-desktop_26.html) in the Google Chrome stable channel, version 123.0.6312.86/.87 for Windows and Mac and 123.0.6312.86 for Linux users, which will roll out worldwide over the coming days.


[![Chrome zero-days demoed at Pwn2Own](https://www.bleepstatic.com/images/news/u/1109292/2024/Manfred_Paul_Chrome_Edge_exploit.png)](https://twitter.com/thezdi/status/1770641570074702167)


Mozilla [also fixed two Firefox zero-days](https://www.bleepingcomputer.com/news/security/mozilla-fixes-two-firefox-zero-day-bugs-exploited-at-pwn2own/) exploited by Manfred Paul at Pwn2Own Vancouver 2024 on the same day the bugs were demoed.


While it only took Mozille one day and Google five days to patch these vulnerabilities, vendors usually take their time to release patches for security flaws demoed at Pwn2Own since they have 90 days to push fixes until Trend Micro's Zero Day Initiative publicly discloses bug details.


In January, Google also patched an [actively exploited zero-day in Chrome](https://www.bleepingcomputer.com/news/security/google-fixes-first-actively-exploited-chrome-zero-day-of-2024/) (CVE-2024-0519) that allowed attackers to access sensitive information or crash unpatched browsers due to an out-of-bounds memory access weakness in the Chrome V8 JavaScript engine.


The Pwn2Own 2024 Vancouver competition [concluded on March 22](https://www.bleepingcomputer.com/news/security/hackers-earn-1-132-500-for-29-zero-days-at-pwn2own-vancouver/), with security researchers earning $1,132,500 for demonstrating 29 zero-day exploits and exploit chains over two days.


Manfred Paul emerged as this year's winner with $202,500 in cash prizes after taking down the Apple Safari, Google Chrome, and Microsoft Edge web browsers.





## Tags:
***CVE's***: CVE-2024-2886 CVE-2024-2887 CVE-2024-0519

### Autogenerated tags:
google pwn2own zero-days demoed zero-day
