# Google fixes fifth Chrome zero-day exploited in attacks this year
## ​Google has released a security update for the Chrome browser to fix the fifth zero-day vulnerability exploited in the wild since the start of the year.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-fixes-fifth-chrome-zero-day-vulnerability-exploited-in-attacks-in-2024/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 10 May 2024, 04:08
+ Date scraped: 10 May 2024, 09:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/11/28/Google_Chrome.jpg)



​Google has released a security update for the Chrome browser to fix the fifth zero-day vulnerability exploited in the wild since the start of the year.


The high-severity issue tracked as CVE-2024-4671 is a “user after free” vulnerability in the Visuals component that handles the rendering and display of content on the browser.


CVE-2024-4671 was discovered and reported to Google by an anonymous researcher, while the company disclosed that it is likely actively exploited.


“Google is aware that an exploit for CVE-2024-4671 exists in the wild,” [reads the advisory](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_9.html) without providing additional information.


Use after-free flaws are security flaws that occur when a program continues to use a pointer after the memory it points to has been freed, following the completion of its legitimate operations on that region.


Because the freed memory could now contain different data or be used by other software or components, accessing it could result in data leakage, code execution, or crash.


Google addressed the problem with the release of 124.0.6367.201/.202 for Mac/Windows and 124.0.6367.201 for Linux, with the updates rolling out over the coming days/weeks.


For users of the ‘Extended Stable’ channel, fixes will be made available in version 124.0.6367.201 for Mac and Windows, also to roll out later.


Chrome updates automatically when a security update is available, but users can confirm they’re running the latest version by going to Settings > About Chrome, letting the update finish, and then clicking on the ‘Relaunch’ button to apply it.


![Update](https://www.bleepstatic.com/images/news/u/1220909/2024/Ransomware/version.png)


This latest flaw addressed in Google Chrome is the fifth this year, with three others discovered during the March 2024 Pwn2Own hacking contest in Vancouver.


The complete list of Chrome zero-day vulnerabilities fixed since the start of 2024 also includes the following:


* **[CVE-2024-0519](https://www.bleepingcomputer.com/news/security/google-fixes-first-actively-exploited-chrome-zero-day-of-2024/)**: A high-severity out-of-bounds memory access weakness within the Chrome V8 JavaScript engine, allowing remote attackers to exploit heap corruption via a specially crafted HTML page, leading to unauthorized access to sensitive information.
* **[CVE-2024-2887](https://www.bleepingcomputer.com/news/security/google-fixes-chrome-zero-days-exploited-at-pwn2own-2024/)**: A high-severity type confusion flaw in the WebAssembly (Wasm) standard. It could lead to remote code execution (RCE) exploits leveraging a crafted HTML page.
* **[CVE-2024-2886](https://www.bleepingcomputer.com/news/security/google-fixes-chrome-zero-days-exploited-at-pwn2own-2024/)**: A use-after-free vulnerability in the WebCodecs API used by web applications to encode and decode audio and video. Remote attackers exploited it to perform arbitrary reads and writes via crafted HTML pages, leading to remote code execution.
* **[CVE-2024-3159](https://www.bleepingcomputer.com/news/security/google-fixes-one-more-chrome-zero-day-exploited-at-pwn2own/)**: A high-severity vulnerability caused by an out-of-bounds read in the Chrome V8 JavaScript engine. Remote attackers exploited this flaw using specially crafted HTML pages to access data beyond the allocated memory buffer, resulting in heap corruption that could be leveraged to extract sensitive information.





## Tags:
***CVE's***: CVE-2024-3159 CVE-2024-2886 CVE-2024-0519 CVE-2024-4671 CVE-2024-2887

### Autogenerated tags:
high-severity google html cve-2024-4671
