# Google fixes first actively exploited Chrome zero-day of 2024
## Google has released security updates to fix the first Chrome zero-day vulnerability exploited in the wild since the start of the year.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-fixes-first-actively-exploited-chrome-zero-day-of-2024/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 16 January 2024, 14:13
+ Date scraped: 16 January 2024, 20:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Google___Chrome.jpg)



Google has released security updates to fix the first Chrome zero-day vulnerability exploited in the wild since the start of the year.


"Google is aware of reports that an exploit for CVE-2024-0519 exists in the wild," the company said in a [security advisory](https://chromereleases.googleblog.com/2024/01/stable-channel-update-for-desktop_16.html) published Tuesday.


The company fixed the zero-day for users in the Stable Desktop channel, with patched versions rolling out worldwide to Windows (120.0.6099.224/225), Mac (120.0.6099.234), and Linux (120.0.6099.224) users less than a week after being reported to Google.


Although Google says the security update could take days or weeks to reach all impacted users, it was available immediately when BleepingComputer checked for updates today.


Those who prefer not to update their web browser manually can rely on Chrome to automatically check for new updates and install them after the next launch.


![Google Chrome 120.0.6099.234](https://www.bleepstatic.com/images/news/u/1109292/2024/Google%20Chrome%20120_0_6099_234.jpg)


​The high-severity zero-day vulnerability ([CVE-2024-0519](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-0519)) is due to a high-severity out-of-bounds memory access weakness in the Chrome V8 JavaScript engine, which attackers can exploit to gain access to data beyond the memory buffer, providing them access to sensitive information or triggering a crash.


"The expected sentinel might not be located in the out-of-bounds memory, causing excessive data to be read, leading to a segmentation fault or a buffer overflow," MITRE [explains](http://cwe.mitre.org/data/definitions/125.html). "The product may modify an index or perform pointer arithmetic that references a memory location that is outside of the boundaries of the buffer. A subsequent read operation then produces undefined or unexpected results."


Besides unauthorized access to out-of-bounds memory, CVE-2024-0519 could also be exploited to bypass protection mechanisms such as ASLR to make it easier to achieve code execution via another weakness.


While Google knows of CVE-2024-0519 zero-day exploits used in attacks, the company has yet to share further details regarding these incidents.


"Access to bug details and links may be kept restricted until a majority of users are updated with a fix," Google said. "We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven't yet fixed."


Today, Google also patched V8 out-of-bounds write (CVE-2024-0517) and type confusion (CVE-2024-0518) flaws, allowing for arbitrary code execution on compromised devices.


Last year, Google fixed eight Chrome zero-day bugs exploited in attacks tracked as [CVE-2023-7024](https://www.bleepingcomputer.com/news/security/google-fixes-8th-chrome-zero-day-exploited-in-attacks-this-year/), [CVE-2023-6345](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-6th-zero-day-exploited-in-2023/), [CVE-2023-5217](https://www.bleepingcomputer.com/news/security/google-fixes-fifth-actively-exploited-chrome-zero-day-of-2023/), [CVE-2023-4863](https://www.bleepingcomputer.com/news/google/google-fixes-another-chrome-zero-day-bug-exploited-in-attacks/), [CVE-2023-3079](https://www.bleepingcomputer.com/news/security/google-fixes-new-chrome-zero-day-flaw-with-exploit-in-the-wild/), [CVE-2023-4762](https://www.bleepingcomputer.com/news/security/recently-patched-apple-chrome-zero-days-exploited-in-spyware-attacks/), [CVE-2023-2136](https://www.bleepingcomputer.com/news/security/google-patches-another-actively-exploited-chrome-zero-day/), and [CVE-2023-2033](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-first-zero-day-of-2023/).


Some of them, like CVE-2023-4762, were tagged as zero-days used to deploy spyware on vulnerable devices belonging to high-risk users, including journalists, opposition politicians, and dissidents, several weeks after the company released patches.





## Tags:
***CVE's***: CVE-2023-4863 CVE-2023-7024 CVE-2023-3079 CVE-2023-2136 CVE-2023-5217 CVE-2024-0519 CVE-2024-0518 CVE-2023-4762 CVE-2023-2033 CVE-2023-6345 CVE-2024-0517

### Autogenerated tags:
google zero-day cve-2024-0519 out-of-bounds
