# Google fixes seventh Chrome zero-day exploited in the wild this year
## Google has released Chrome 91.0.4472.114 for Windows, Mac, and Linux to fix four security vulnerabilities, with one of them a high severity zero-day vulnerability exploited in the wild.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-fixes-seventh-chrome-zero-day-exploited-in-the-wild-this-year/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 17 June 2021, 15:50
+ Date scraped: 12 December 2023, 11:32

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/0_Google-Chrome.jpg)



Google has released Chrome 91.0.4472.114 for Windows, Mac, and Linux to fix four security vulnerabilities, with one of them a high severity zero-day vulnerability exploited in the wild.


This version, released today, June 17th, 2021, to the Stable desktop channel, has started rolling out worldwide and will become available to all users over the next few days.


Google Chrome will automatically attempt to upgrade the browser the next time you launch the program, but you can perform a manual update by going to Settings > Help > 'About Google Chrome'.


No details on zero-day attacks in the wild
------------------------------------------


"Google is aware that an exploit for CVE-2021-30554 exists in the wild," the company's announcement [reads](https://chromereleases.googleblog.com/2021/06/stable-channel-update-for-desktop_17.html).


The zero-day is caused by a [use after free](https://cwe.mitre.org/data/definitions/416.html) weakness in the WebGL (Web Graphics Library) JavaScript API used by the Chrome web browsers to render interactive 2D and 3D graphics without using plug-ins.


Successful exploitation of this vulnerability could lead to arbitrary code execution on computers running unpatched Chrome versions.


Although Google says that it is aware of CVE-2021-30554 in the wild exploitation, it did not share info regarding these attacks.


"Access to bug details and links may be kept restricted until a majority of users are updated with a fix," the company said.


"We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed."


Google fixed three more high severity use after free bugs today in Chrome's Sharing, WebAudio, and TabGroups components, tracked as CVE-2021-30555, CVE-2021-30556, and CVE-2021-30557.


Seventh Chrome zero-day exploited in the wild this year
-------------------------------------------------------


Today's update fixes Google Chrome's seventh zero-day vulnerability exploited in attacks this year, with the other six listed below:


* [CVE-2021-21148](https://www.bleepingcomputer.com/news/security/google-fixes-chrome-zero-day-actively-exploited-in-the-wild/) - February 4th, 2021
* [CVE-2021-21166](https://www.bleepingcomputer.com/news/security/google-fixes-second-actively-exploited-chrome-zero-day-bug-this-year/) - March 2nd, 2021
* [CVE-2021-21193](https://www.bleepingcomputer.com/news/security/google-fixes-second-actively-exploited-chrome-zero-day-this-month/) - March 12th, 2021
* [CVE-2021-21220](https://chromereleases.googleblog.com/2021/04/stable-channel-update-for-desktop.html) - April 13th, 2021
* [CVE-2021-21224](https://www.bleepingcomputer.com/news/security/google-fixes-exploited-chrome-zero-day-dropped-on-twitter-last-week/) - April 20th, 2021
* [CVE-2021-30551](https://www.bleepingcomputer.com/news/security/google-fixes-sixth-chrome-zero-day-exploited-in-the-wild-this-year/) - June 9th, 2021

In addition to these zero-days, Kaspersky reported that a [threat actor group known as Puzzlemaker](https://www.bleepingcomputer.com/news/security/windows-10-targeted-by-puzzlemaker-hackers-using-chrome-zero-days/) is chaining Chrome zero-day bugs to escape the browser's sandbox and install malware on Windows systems.


"Once the attackers have used both the Chrome and Windows exploits to gain a foothold in the targeted system, the stager module downloads and executes a more complex malware dropper from a remote server," Kaspersky said.


Project Zero, Google's zero-day bug-hunting team, also unveiled a large-scale operation where [a group of hackers used 11 zero-days](https://www.bleepingcomputer.com/news/security/hacking-group-used-11-zero-days-to-attack-windows-ios-android-users/) to attack Windows, iOS, and Android users within a single year.





## Tags:
***CVE's***: CVE-2021-30557 CVE-2021-21224 CVE-2021-30556 CVE-2021-21193 CVE-2021-30554 CVE-2021-30551 CVE-2021-21220 CVE-2021-30555 CVE-2021-21166 CVE-2021-21148

### Autogenerated tags:
google zero-day windows
