# Google fixes sixth Chrome zero-day exploited in the wild this year
## Google has released Chrome 91.0.4472.101 for Windows, Mac, and Linux to fix 14 security vulnerabilities, with one zero-day vulnerability exploited in the wild and tracked as CVE-2021-30551.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-fixes-sixth-chrome-zero-day-exploited-in-the-wild-this-year/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 09 June 2021, 16:06
+ Date scraped: 12 December 2023, 11:54

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/11/02/Google-Chrome-headpic.jpg)



Google has released Chrome 91.0.4472.101 for Windows, Mac, and Linux to fix 14 security vulnerabilities, with one zero-day vulnerability exploited in the wild and tracked as CVE-2021-30551.


Google Chrome 91.0.4472.101 has started rolling out worldwide and will become available to all users over the next few days.


Google Chrome will automatically attempt to upgrade the browser the next time you launch the program, but you can perform a manual update by going to **Settings** > **Help** > '**About Google Chrome**



![Google updated to version 91.0.4472.10](https://www.bleepstatic.com/images/news/security/vulnerabilities/g/google-chrome/CVE-2021-30551/google-chrome-update.jpg)**Google updated to version 91.0.4472.10**


Six Chrome zero-days exploited in the wild in 2021
--------------------------------------------------


Few details regarding today's fixed zero-day vulnerability are currently available other than that it is a type confusion bug in V8, Google's open-source and C++ WebAssembly and JavaScript engine.


The vulnerability was discovered by Sergei Glazunov of Google Project Zero and is being tracked as CVE-2021-30551.


Google states that they are "aware that an exploit for CVE-2021-30551 exists in the wild."


Shane Huntley, Director of Google's Threat Analysis Group, says that this zero-day was utilized by the same threat actors using the Windows CVE-2021-33742 zero-day fixed yesterday by Microsoft.



Today's update fixes Google Chrome's sixth zero-day exploited in attacks this year, with the other five listed below:


* CVE-2021-21148 - February 4th, 2021
* CVE-2021-21166 - March 2nd, 2021
* CVE-2021-21193 - March 12th, 2021
* CVE-2021-21220 - April 13th, 2021
* CVE-2021-21224 - April 20th, 2021

In addition to these vulnerabilities, news broke yesterday of a [threat actor group known as Puzzlemaker](https://www.bleepingcomputer.com/news/security/windows-10-targeted-by-puzzlemaker-hackers-using-chrome-zero-days/) that is chaining together Google Chrome zero-day bugs to escape the browser's sandbox and install malware in Windows.


"Once the attackers have used both the Chrome and Windows exploits to gain a foothold in the targeted system, the stager module downloads and executes a more complex malware dropper from a remote server," [the researchers said](http://securelist.com/puzzlemaker-chrome-zero-day-exploit-chain/102771/).


Microsoft fixed the Windows vulnerabilities yesterday as part of the [June 2021 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-june-2021-patch-tuesday-fixes-6-exploited-zero-days-50-flaws/), but Kaspersky could not determine what Google Chrome vulnerabilities were used in the Puzzlemaker attacks.


Kaspersky believes the attackers may have been using the Google Chrome CVE-2021-21224 vulnerability but have not ruled out the use of further undisclosed Chrome zero-day vulnerabilities.





## Tags:
***CVE's***: CVE-2021-21224 CVE-2021-21193 CVE-2021-33742 CVE-2021-30551 CVE-2021-21220 CVE-2021-21166 CVE-2021-21148

### Autogenerated tags:
google zero-day windows cve-2021-30551
