# Hackers hijack Citrix NetScaler login pages to steal credentials
## Hackers are conducting a large-scale campaign to exploit the recent CVE-2023-3519 flaw in Citrix NetScaler Gateways to steal user credentials.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-hijack-citrix-netscaler-login-pages-to-steal-credentials/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 09 October 2023, 10:45
+ Date scraped: 09 October 2023, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/07/21/citrix_headpic.jpg)



Hackers are conducting a large-scale campaign to exploit the recent CVE-2023-3519 flaw in Citrix NetScaler Gateways to steal user credentials.


The flaw is a critical unauthenticated remote code execution bug [discovered as a zero-day](https://www.bleepingcomputer.com/news/security/new-critical-citrix-adc-and-gateway-flaw-exploited-as-zero-day/) in July that impacts Citrix NetScaler ADC and NetScaler Gateway.


By early August, the flaw had been leveraged to backdoor at least [640 Citrix servers](https://www.bleepingcomputer.com/news/security/over-640-citrix-servers-backdoored-with-web-shells-in-ongoing-attacks/), and the figure reached [2,000 by mid-August](https://www.bleepingcomputer.com/news/security/almost-2-000-citrix-netscaler-servers-backdoored-in-hacking-campaign/).


IBM's X-Force reports that despite the multiple warnings to update Citrix devices, the attack surface remains significant, and hackers began exploiting CVE-2023-3519 to inject JavaScript that harvests login credentials in September.


Modifying Netscaler's login page
--------------------------------


X-Force first discovered the Netscaler credential-stealing campaign while investigating a case where a client experienced slow authentications on their NetScaler device.


Based on their investigations, the responders found that hackers breached using CVE-2023-3519 to inject a malicious credential-stealing JavaScript script into a Citrix NetScaler device's index.html login page.


The attack begins with a web request that exploits vulnerable NetScaler devices to write a simple PHP web shell on "/netscaler/ns\_gui/vpn."


This web shell gives the attackers direct real-time access to the compromised endpoint, which they leverage to gather configuration data from the "ns.conf" file.


Next, the attackers append custom HTML code onto the "index.html" file that references a remote JavaScript file, which in turn fetches and executes additional JS code.



![Observed attack chain](https://www.bleepstatic.com/images/news/u/1220909/2023/Cloud/9/attack-chain.png)**Observed attack chain** *(IBM)*


That last JS snippet is designed for credential collection, attaching a custom function to the "Log On" button on the VPN authentication page.


Eventually, the collected credentials are exfiltrated to the attackers via an HTTP POST request.



![Stealing user credentials](https://www.bleepstatic.com/images/news/u/1220909/2023/Cloud/9/steal-creds.png)**Stealing user credentials** *(IBM)*


Size of the attack
------------------


The threat actor registered several domains for this campaign, including jscloud[.]ink, jscloud[.]live, jscloud[.]biz, jscdn[.]biz, and cloudjs[.]live.


X-Force identified almost 600 unique IP addresses for NetScaler devices whose login pages had been modified to facilitate the credential-stealing operation.


Most victims are located in the United States and Europe, but compromised systems are worldwide.



![Victims map](https://www.bleepstatic.com/images/news/u/1220909/2023/Cloud/9/heatmap.png)**Victims map** *(IBM)*


Regarding the campaign's duration, X-Force's report mentions that the earliest login page modification based on the retrieved timestamps is August 11, 2023, so the campaign has been underway for two months.


New detection artifact
----------------------


IBM's analysts were unable to attribute this activity to any threat group or known clusters but retrieved a new artifact from the attack that could help defenders detect it early.


The artifact can be found in the NetScaler application crash logs associated with the NetScaler Packet Processing Engine (NSPPE), which are located in "/var/core/<number>/NSPPE\*."


"X-Forced observed that the NSPPE crash file timestamps aligned with the filesystem timestamps of the PHP web shells created through exploitation," [reads the report](https://securityintelligence.com/posts/x-force-uncovers-global-netscaler-gateway-credential-harvesting-campaign/).


"In other instances, X-Force was able to recover commands being passed to the web shells as part of post-exploitation activities."


The crash files are stored in ".gz" archives that require extraction before analysis, while their string data contents also need to be converted to readable form using PowerShell or other tools.



![Crash log in original form](https://www.bleepstatic.com/images/news/u/1220909/2023/Cloud/9/artifact.png)**Crash log in original, non-readable form** *(IBM)*


System administrators are advised to follow the remediation and detection guidance [CISA provided here](https://www.cisa.gov/sites/default/files/2023-07/aa23-201a_csa_threat_actors_exploiting_citrix-cve-2023-3519_to_implant_webshells.pdf).





## Tags:
***CVE's***: CVE-2023-3519
***urls***: http://jscloud.ink http://cloudjs.live http://jscdn.biz http://jscloud.biz http://jscloud.live

### Autogenerated tags:
netscaler citrix x-force cve-2023-3519 javascript credential-stealing
