# Microsoft fixes Windows zero-day exploited in ransomware attacks
## Microsoft has patched another zero-day bug used by attackers to circumvent the Windows SmartScreen cloud-based anti-malware service and deploy Magniber ransomware payloads without raising any red flags.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-fixes-windows-zero-day-exploited-in-ransomware-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 14 March 2023, 19:00
+ Date scraped: 14 March 2023, 20:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/26/Windows_headpic.jpg)



Microsoft has patched another zero-day bug used by attackers to circumvent the Windows SmartScreen cloud-based anti-malware service and deploy Magniber ransomware payloads without raising any red flags.


The attackers have been using malicious MSI files signed with a specially crafted Authenticode signature to exploit this security feature bypass vulnerability (tracked as [CVE-2023-24880](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2023-24480)).


Although the signature is invalid, it's been enough to fool SmartScreen and prevent Mark-of-the-Web (MotW) security alerts from popping up and warning users to be cautious when opening files from the Internet.


The actively exploited CVE-2023-24880 zero-day was discovered by Google Threat Analysis Group (TAG), who reported it to Microsoft on February 15.


"TAG has observed over 100,000 downloads of the malicious MSI files since January 2023, with over 80% to users in Europe - a notable divergence from Magniber's typical targeting, which usually focuses on South Korea and Taiwan," Google TAG [says](https://blog.google/threat-analysis-group/magniber-ransomware-actors-are-using-a-variant-of-microsoft-smartscreen-bypass/).


The Magniber ransomware operation has been [active since at least October 2017](https://www.bleepingcomputer.com/news/security/goodbye-cerber-hello-magniber-ransomware/) as the successor of [Cerber ransomware](https://www.bleepingcomputer.com/news/security/the-cerber-ransomware-not-only-encrypts-your-data-but-also-speaks-to-you/), when its payloads were being deployed via malvertising using the Magnitude Exploit Kit (EK).


While initially focused on targeting South Korea, the gang has now [expanded attacks worldwide](https://www.bleepingcomputer.com/news/security/magniber-ransomware-expands-from-south-korea-to-target-other-asian-countries/), switching targets to other countries, including China, Taiwan, Malaysia, Hong Kong, Singapore, and now Europe.


Magniber has been quite active since the start of the year, with hundreds of samples being submitted for analysis on the ID Ransomware platform.



![Magniber ID Ransomware submissions 2023](https://www.bleepstatic.com/images/news/u/1109292/2023/Magniber%20IDR%20submissions%202023.png)*Magniber ransomware submissions (ID Ransomware)*


## Narrow patches lead to bypass


​CVE-2023-24880 is a variant of another Windows SmartScreen security feature bypass tracked as [CVE-2022-44698](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-44698) and also exploited as a zero-day to infect targets with malware via standalone JavaScript files with malformed signatures.


Microsoft [patched CVE-2022-44698](https://www.bleepingcomputer.com/news/security/microsoft-patches-windows-zero-day-used-to-drop-ransomware/) during the December 2022 Patch Tuesday after months of exploitation and being used to drop [Qbot malware](https://www.bleepingcomputer.com/news/security/new-attacks-use-windows-security-bypass-zero-day-to-drop-malware/) and [Magniber ransomware](https://www.bleepingcomputer.com/news/security/magniber-ransomware-now-infects-windows-users-via-javascript-files/).


Other ransomware operations, including [Egregor](https://www.bleepingcomputer.com/news/security/qbot-partners-with-egregor-ransomware-in-bot-fueled-attacks/), [Prolock](https://www.bleepingcomputer.com/news/security/prolock-ransomware-teams-up-with-qakbot-trojan-for-network-access/), and [Black Basta](https://www.bleepingcomputer.com/news/security/qbot-now-pushes-black-basta-ransomware-in-bot-powered-attacks/), are also known to have partnered with Qbot to gain access to corporate networks.


As Google TAG explained today, CVE-2023-24880 was made possible because Microsoft released a narrow patch for CVE-2022-44698 that only fixed a single aspect of the bug rather than fixing the root cause.


"When patching a security issue, there is tension between a localized, reliable fix, and a potentially harder fix of the underlying root cause issue," Google TAG concluded.


"Because the root cause behind the SmartScreen security bypass was not addressed, the attackers were able to quickly identify a different variant of the original bug."





## Tags:
***CVE's***: CVE-2023-24880 CVE-2022-44698

### Autogenerated tags:
ransomware magniber microsoft smartscreen google zero-day cve-2023-24880 cve-2022-44698
