# Microsoft patches Windows zero-day used to drop ransomware
## Microsoft has fixed a security vulnerability used by threat actors to circumvent the Windows SmartScreen security feature and deliver payloads in Magniber ransomware attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-patches-windows-zero-day-used-to-drop-ransomware/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 14 December 2022, 18:24
+ Date scraped: 14 December 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/26/Windows.jpg)



Microsoft has fixed a security vulnerability used by threat actors to circumvent the Windows SmartScreen security feature and deliver payloads in Magniber ransomware attacks.


The attackers used malicious standalone JavaScript files to exploit the [CVE-2022-44698](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-44698) zero-day to bypass Mark-of-the-Web security warnings displayed by Windows to alert users that files originating from the Internet should be treated with caution.


"An attacker can craft a malicious file that would evade Mark of the Web (MOTW) defenses, resulting in a limited loss of integrity and availability of security features such as Protected View in Microsoft Office, which rely on MOTW tagging," Redmond [explained](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-44698) on Tuesday.


According to Microsoft, this security flaw can only be exploited using three attack vectors:


* In a web-based attack scenario, an attacker could host a malicious website that exploits the security feature bypass.
* In an email or instant message attack scenario, the attacker could send the targeted user a specially crafted .url file to exploit the bypass.
* Compromised websites or websites that accept or host user-provided content could contain specially crafted content to exploit the security feature bypass.

However, in all these scenarios, the threat actors would have to trick their targets into opening malicious files or accessing attacker-controlled websites with CVE-2022-44698 exploits.


Microsoft released security updates to address this zero-day during the November 2022 Patch Tuesday after working on a fix for this actively exploited zero-day vulnerability since late October, as the company [told BleepingComputer](https://www.bleepingcomputer.com/news/security/exploited-windows-zero-day-lets-javascript-files-bypass-security-warnings/).


## Exploited in ransomware attacks


HP's threat intelligence team first reported in October that phishing attacks were distributing the [Magniber ransomware](https://www.bleepingcomputer.com/news/security/magniber-ransomware-now-infects-windows-users-via-javascript-files/) using standalone.JS JavaScript files digitally signed with a malformed as [discovered](https://twitter.com/wdormann/status/1582466468968792064) by Will Dormann, a senior vulnerability analyst at ANALYGENCE.


This would cause SmartCheck to error out and allow the malicious files to execute without throwing any security warnings and install the Magniber ransomware, even though it got tagged with a MoTW flag.



![Magniber's JS infection chain](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/magniber-chain(1).png)*Magniber's JS infection chain (BleepingComputer)*


Last month, the same Windows zero-day vulnerability was also abused in phishing attacks [to drop the Qbot malware](https://www.bleepingcomputer.com/news/security/new-attacks-use-windows-security-bypass-zero-day-to-drop-malware/) without displaying MOTW security warnings.


As security researcher ProxyLife [found](https://twitter.com/pr0xylife/status/1593269746534858756), threat actors behind this recent QBot phishing campaign switched to the Windows Mark of the Web zero-day by distributing JS files signed with the same malformed key used in the Magniber ransomware attacks.


QBot (aka Qakbot) is a Windows banking trojan that has evolved into a malware dropper that will steal emails for use in subsequent phishing attacks or deliver additional payloads such as [Brute Ratel](https://www.trendmicro.com/en_us/research/22/j/black-basta-infiltrates-networks-via-qakbot-brute-ratel-and-coba.html), [Cobalt Strike](https://www.bleepingcomputer.com/news/security/microsoft-these-are-the-building-blocks-of-qbot-malware-attacks/), and [other malware](https://news.sophos.com/en-us/2022/03/10/qakbot-decoded/).


The [Egregor](https://www.bleepingcomputer.com/news/security/qbot-partners-with-egregor-ransomware-in-bot-fueled-attacks/), [Prolock](https://www.bleepingcomputer.com/news/security/prolock-ransomware-teams-up-with-qakbot-trojan-for-network-access/), and [Black Basta](https://www.bleepingcomputer.com/news/security/qbot-now-pushes-black-basta-ransomware-in-bot-powered-attacks/) ransomware operations are also known to have partnered with QBot to gain access to victims' corporate networks.


During [the November 2022 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-december-2022-patch-tuesday-fixes-2-zero-days-49-flaws/), Microsoft also fixed a publicly disclosed zero-day (CVE-2022-44710) that would allow attackers to gain SYSTEM privileges on unpatched Windows 11 systems.





## Tags:
***CVE's***: CVE-2022-44710 CVE-2022-44698

### Autogenerated tags:
windows ransomware zero-day microsoft magniber motw phishing qbot websites malware
