# Mozilla fixes two Firefox zero-day bugs exploited at Pwn2Own
## Mozilla has released security updates to fix two zero-day vulnerabilities in the Firefox web browser exploited during the Pwn2Own Vancouver 2024 hacking competition.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/mozilla-fixes-two-firefox-zero-day-bugs-exploited-at-pwn2own/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 22 March 2024, 13:45
+ Date scraped: 22 March 2024, 18:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/03/22/Firefox.jpg)



Mozilla has released security updates to fix two zero-day vulnerabilities in the Firefox web browser exploited during the Pwn2Own Vancouver 2024 hacking competition.


Manfred Paul ([@\_manfp](https://twitter.com/_manfp)) earned a $100,000 award and 10 Master of Pwn points after exploiting an out-of-bounds (OOB) write flaw ([CVE-2024-29944](https://www.mozilla.org/en-US/security/advisories/mfsa2024-15/#CVE-2024-29944)) to gain remote code execution and escaping Mozilla Firefox's sandbox using an exposed dangerous function weakness ([CVE-2024-29943](https://www.mozilla.org/en-US/security/advisories/mfsa2024-15/#CVE-2024-29943)).


Mozilla describes the first vulnerability as a privileged JavaScript execution via event handlers that could enable an attacker to execute arbitrary code in the parent process of the Firefox Desktop web browser.


The second one can let attackers access a JavaScript object out-of-bounds by exploiting range-based bounds check elimination on vulnerable systems.


"An attacker was able to perform an out-of-bounds read or write on a JavaScript object by fooling range-based bounds check elimination," Mozilla [explained](https://www.mozilla.org/en-US/security/advisories/mfsa2024-15/#CVE-2024-29943).


Mozilla fixed the security flaws in Firefox 124.0.1 and Firefox ESR 115.9.1 to block potential remote code execution attacks targeting unpatched web browsers on desktop devices.


[![Manfred Paul Firefox exploit](https://www.bleepstatic.com/images/news/u/1109292/2024/Manfred%20Paul%20Firefox%20exploit.jpg)](https://twitter.com/thezdi/status/1770891436721942593)


​The two security vulnerabilities were patched only one day after Manfred Paul exploited and reported them at the Pwn2Own hacking contest.


However, after the Pwn2Own competition, vendors usually take their time to release patches as they have 90 days to push fixes until Trend Micro's Zero Day Initiative publicly discloses them.


Pwn2Own 2024 Vancouver ended on March 22 after security researchers [earned $1,132,500](https://www.bleepingcomputer.com/news/security/hackers-earn-1-132-500-for-29-zero-days-at-pwn2own-vancouver/) for 29 zero-day exploits and exploit chains demonstrated over the two days of the contest.


Manfred Paul won this year's edition with 25 Master of Pwn points and $202,500 in cash prizes after also hacking the Apple Safari, Google Chrome, and Microsoft Edge web browsers.


[On the first day](https://www.bleepingcomputer.com/news/security/windows-11-tesla-and-ubuntu-linux-hacked-at-pwn2own-vancouver/), he gained remote code execution (RCE) in Safari via a PAC bypass and an integer underflow bug zero-day combo. He also demoed a double-tap RCE exploit targeting an Improper Validation of Specified Quantity in Input weakness to take down Chrome and Edge.


ZDI has awarded a total of $3,494,750 and two Tesla Model 3 cars during the last three Pwn2Own hacking contests ([Toronto](https://www.bleepingcomputer.com/news/security/hackers-earn-over-1-million-for-58-zero-days-at-pwn2own-toronto/), [Tokyo Automotive](https://www.bleepingcomputer.com/news/security/pwn2own-automotive-13m-for-49-zero-days-tesla-hacked-twice/), and [Vancouver](https://www.bleepingcomputer.com/news/security/hackers-earn-1-132-500-for-29-zero-days-at-pwn2own-vancouver/)).





## Tags:
***CVE's***: CVE-2024-29944 CVE-2024-29943

### Autogenerated tags:
mozilla firefox pwn2own zero-day out-of-bounds javascript
