# New BIOPASS malware live streams victim's computer screen
## Hackers compromised gambling sites to deliver a new remote access trojan (RAT) called BIOPASS that enables watching the victim's computer screen in real time by abusing popular live-streaming software.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-biopass-malware-live-streams-victims-computer-screen/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 13 July 2021, 03:29
+ Date scraped: 12 December 2023, 10:32

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/19/Malware-spy-hacker.jpg)



Hackers compromised gambling sites to deliver a new remote access trojan (RAT) called BIOPASS that enables watching the victim’s computer screen in real time by abusing popular live-streaming software.


Apart from the unusual feature, which comes on top of the regular functions seen in RATs, the malware can also steal private data from web browsers and instant messaging applications.


### Actively developed


The operators of the Python-based BIOPASS seem to target visitors of sites belonging to online gambling in China. They injected in the sites JavaScript code that serves the malware under the guise of installers for Adobe Flash Player or Microsoft Silverlight installers.


![BIOPASS RAT installer](https://www.bleepstatic.com/images/news/u/1100723/2021/BIOPASS-RAT-Install.jpg)


Adobe gave up Flash Player at the end of 2020 and blocks running Flash content since January 12, urging users to remove the application due to high-security risks.


Silverlight follows the same path, with Microsoft ending support later this year, on October 12. The framework is currently supported only on Internet Explorer 11 and there are no plans for extending its life.


Security researchers at Trend Micro found that the script retrieving BIOPASS checks if the visitor has been infected and it is typically injected into the target site’s online support chat page.



“If the script confirms that the visitor has not yet been infected, it will then replace the original page content with the attackers’ own content. The new page will show an error message with an accompanying instruction telling website visitors to download either a Flash installer or a Silverlight installer, both of which are malicious loaders” - [Trend Micro](https://www.trendmicro.com/en_us/research/21/g/biopass-rat-new-malware-sniffs-victims-via-live-streaming.html)



The threat actor is cautious enough to provide the legitimate installers for Flash Player and Silverlight, the apps being downloaded from the official websites or stored on the attacker’s Alibaba cloud storage.


BIOPASS remote access trojan is stored in the same place, along with the DLL and libraries necessary to run scripts on systems where Python language is not present.


The researchers note that the malware is actively developed and that the loader’s default payload was Cobalt Strike shellcode, not the BIOPASS RAT.


![BIOPASS RAT infection flow](https://www.bleepstatic.com/images/news/u/1100723/2021/BIOPASS-RAT-infection.jpg)


### Live screen via open-source software


BIOPASS has all the capabilities typically seen in remote access trojans, like assessing the file system, remote desktop access, file exfiltration, taking screenshots, and shell command execution.


However, it also downloads [FFmpeg](https://www.ffmpeg.org/) that is required to record, convert, and stream audio and video, as well as the [Open Broadcaster Software](https://obsproject.com/), an open-source solution for video recording and live streaming.


The attacker can use either of the two frameworks to monitor an infected system’s desktop and stream the video to the cloud, allowing them to watch the feed in real time by logging into the BIOPASS control panel.


![Login page for BIPASS RAT control panel](https://www.bleepstatic.com/images/news/u/1100723/2021/BIOPASS-RAT-CtrlPanel.jpg)


While analyzing the malware, the researchers found a command that enumerates installation folders for multiple messaging applications, WeChat, QQ, and Aliwangwang among them.


BIOPASS also extracts sensitive data - cookies and logins - from several web browsers (Google Chrome, Microsoft Edge Beta, 360 Chrome, QQ Browser, 2345 Explorer, Sogou Explorer, and 360 Safe Browser).


While not implemented in the analyzed version, the researchers found a Python plugin that stole the chat history from the WeChat messenger for Windows.


Another plugin contained multiple Python scripts for infecting web servers via a cross-site scripting (XSS) attack. This would allow the threat actor to inject their scripts in the response of the victim’s web browser, letting the attacker manipulate JavaScript and HTML resources.


There is no definite attribution on who is behind BIOPASS RAT but Trend Micro found links pointing to the Chinese Winnti hacker group, also known as APT41.





## Tags:


### Autogenerated tags:
biopass malware silverlight microsoft
