# New Balada Injector campaign infects 6,700 WordPress sites
## A new Balada Injector campaign launched in mid-December has infected over 6,700 WordPress websites using a vulnerable version of the Popup Builder campaign.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-balada-injector-campaign-infects-6-700-wordpress-sites/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 11 January 2024, 12:44
+ Date scraped: 11 January 2024, 18:07

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/12/07/back.jpg)



A little over 6,700 WordPress websites using a vulnerable version of the Popup Builder plugin have been infected with the Balada Injector malware in a campaign that launched in mid-December.


Initially documented by researchers at Dr. Web who [observed coordinated attack waves](https://www.bleepingcomputer.com/news/security/new-linux-malware-uses-30-plugin-exploits-to-backdoor-wordpress-sites/) leveraging known flaws in WordPress themes and addons, it was later discovered that Balada Injector was a massivee operation running [since 2017](https://www.bleepingcomputer.com/news/security/massive-balada-injector-campaign-attacking-wordpress-sites-since-2017/) that had [compromised more than 17,000](https://www.bleepingcomputer.com/news/security/over-17-000-wordpress-sites-hacked-in-balada-injector-attacks-last-month/) WordPress sites.


The attacks inject a backdoor that redirects visitors of compromised sites to fake support pages, lottery sites, and push notification scams.


Latest campaign
---------------


The latest Balada Injector campaign launched on December 13, 2023, two days after [WPScan reported about CVE-2023-6000](https://wpscan.com/blog/stored-xss-fixed-in-popup-builder-4-2-3/), a cross-site scripting (XSS) flaw in Popup Builder versions 4.2.3 and older.


Popup Builder is being used on [200,000 sites](https://wordpress.org/plugins/popup-builder/) to build custom popups for marketing, informational, and functional purposes.


Website security company Sucuri [report](https://blog.sucuri.net/2024/01/thousands-of-sites-with-popup-builder-compromised-by-balada-injector.html)s that Balada Injector was quick to incorporate an exploit for the flaw, which hijacked the "sgpbWillOpen" event in Popup Builder and executed malicious JavaScript code in the site's database when the popup launched.



![Malicious JS code running when a popup opens](https://www.bleepstatic.com/images/news/u/1220909/2024/WordPress/js-script.jpg)**Malicious JS code running when a popup opens** *(Sucuri)*


Sucuri observed that the attackers also used a secondary infection method by modifying the *wp-blog-header.php* file to inject the same JavaScript backdoor.


Next, the threat actor checked for admin-related cookies that allowed them to load various script sets to inject the main backdoor, disguised as a plugin named 'wp-felody.php.'



![Dropping the main backdoor](https://www.bleepstatic.com/images/news/u/1220909/2024/WordPress/plugin.jpg)**Dropping the main backdoor** *(Sucuri)*


The researchers report that the infection never stops at the first step, and planting the main backdoor always follows the initial breach.


The functionality of the 'felody' backdoor includes arbitrary PHP code execution, uploading and executing files, communication with the attackers, and fetching additional payloads.


Currently, the number of websites compromised in the Balada Injector campaign has reached [6,700 websites](https://publicwww.com/websites/%22sgpbWillOpen%5C%22%2C+function%28e%29+%7Bif+%28e.detail.popupId%22+atob/).


Sucuri's analysis of the domains used for these attacks reveals a pattern in their registration, which indicates an effort to mask the true origin of the attacks that also involves the use of Cloudflare firewalls.


According to security researcher [Randy McEoin](https://infosec.exchange/@rmceoin/111665788958104483), the redirections in this campaign point to push notification scams.



![One of the destination pages](https://www.bleepstatic.com/images/news/u/1220909/2024/WordPress/push-notification(1).png)**One of the destination pages** *(@rmceoin)*


Defending against Balada Injection attacks requires WordPress site admins to update themes and plugins to their latest version, uninstall products that are no longer supported or needed on the website.


Keeping on a WordPress site as small a number of active plugins as possible reduces the attack surface and minimizes the risk of breaches from automated scripts.





## Tags:
***CVE's***: CVE-2023-6000

### Autogenerated tags:
popup wordpress websites
