# New sandbox escape PoC exploit available for VM2 library, patch now
## Security researchers have released yet another sandbox escape proof of concept (PoC) exploit that makes it possible to execute unsafe code on the host running the VM2 sandbox.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-sandbox-escape-poc-exploit-available-for-vm2-library-patch-now/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 18 April 2023, 14:39
+ Date scraped: 18 April 2023, 15:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/11/sandbox-escape.jpg)



A security researcher has released, yet another sandbox escape proof of concept (PoC) exploit that makes it possible to execute unsafe code on a host running the VM2 sandbox.


VM2 is a specialized JavaScript sandbox used by a broad range of software tools for running and testing untrusted code in an isolated environment, preventing the code from accessing the host's system resources or external data.


The library is commonly found in integrated development environments (IDEs), code editors, security tools, and various pen-testing frameworks. It counts several million downloads per month in the NPM package repository.


VM2 has had several critical sandbox escape disclosures over the past two weeks discovered by different security researchers, enabling attackers to run malicious code outside the constraints of the sandboxed environment.


The first sandbox escape flaw tracked as [CVE-2023-29017](https://www.bleepingcomputer.com/news/security/exploit-available-for-critical-bug-in-vm2-javascript-sandbox-library/) was discovered by Seongil Wi two weeks ago, with the latest two ([CVE-2023-29199](https://github.com/patriksimek/vm2/security/advisories/GHSA-xj72-wvfv-8985) and CVE-2023-30547) discovered by SeungHyun Lee.


Researchers from Oxeye [discovered another sandbox escape](https://www.bleepingcomputer.com/news/security/critical-vm2-flaw-lets-attackers-run-code-outside-the-sandbox/) tracked as CVE-2022-36067 in October 2022.


## Sandbox escape flaw


The latest vulnerability is tracked as [CVE-2023-30547](https://github.com/patriksimek/vm2/security/advisories/GHSA-ch3r-j5x3-6q2m) (CVSS score: 9.8 – critical) and is an exception sanitization flaw allowing an attacker to raise an unsanitized host exception inside "handleException()."


This function is meant to sanitize exceptions caught within the sandbox to prevent leaking information about the host. However, if an attacker sets up a custom "getPrototypeOf()" proxy handler that throws an unsanitized host exception, the "handleException" function will fail to sanitize it.


This helps the attacker "access the host Function," aka escape the sandbox restrictions and perform arbitrary code execution in the host context, allowing for potentially significant attacks.


The flaw was discovered by security analyst [SeungHyun Lee](https://twitter.com/0x10n) of the Korea Advanced Institute of Science and Technology (KAIST), who found that it impacts all library versions from 3.9.16 and earlier.


The researcher has also published a proof of concept [(PoC) exploit](https://gist.github.com/leesh3288/381b230b04936dd4d74aaf90cc8bb244) on his GitHub repository to demonstrate the feasibility of the attack, which creates a file named "pwned" on the host.



![PoC released by the researcher](https://www.bleepstatic.com/images/news/u/1220909/2023/Software/poc.jpg)**PoC released by the researcher** *(GitHub)*


All users, package maintainers, and software developers whose projects incorporate the VM2 library are recommended to upgrade to version 3.9.17, which addresses the security flaw, as soon as possible.


Unfortunately, supply chain complexities affecting most open-source software projects might delay the upgrade of VM2 across the impacted tools. Coupled with the public availability of a PoC, many users may be left exposed to risks for an extended duration.


It is unclear if the two sandbox escape flaws are entirely new vulnerabilities or if they are caused by incomplete patches for the original CVE-2023-29017 bug discovered by Wi.


BleepingComputer has asked Wi and Lee questions about these bugs and will update the story if we receive a response.





## Tags:
***CVE's***: CVE-2023-29017 CVE-2023-29199 CVE-2023-30547 CVE-2022-36067

### Autogenerated tags:
vm2 poc
