# The Week in Ransomware - December 9th 2022 - Wide Impact
## This week has been filled with research reports and news of significant attacks having a wide impact on many organizations.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/the-week-in-ransomware-december-9th-2022-wide-impact/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 10 December 2022, 00:02
+ Date scraped: 10 December 2022, 01:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/08/17/global-pew-pew.jpg)



This week has been filled with research reports and news of significant attacks having a wide impact on many organizations.


Last week, Rackspace suffered a massive outage on their hosted Microsoft Exchange environment, preventing customers from accessing their email. On Tuesday, Rackspace finally confirmed everyone's fears that a [ransomware attack caused the outage](https://www.bleepingcomputer.com/news/security/rackspace-confirms-outage-was-caused-by-ransomware-attack/).


Rackspace has not provided any details on the attack, including the ransomware operation behind it and if the threat actors stole data.


However, today they [began warning customers](https://www.bleepingcomputer.com/news/security/rackspace-warns-of-phishing-risks-following-ransomware-attack/) to be on the lookout for targeted phishing emails and to monitor their credit reports and banking account statements for suspicious activity. This warning could indicate that the ransomware operation likely stole data in the attack.


Another [attack against a New Zealand MSP Mercury IT](https://www.privacy.org.nz/publications/statements-media-releases/new-news-page-5/) has also led to a series of outages for its customers, many of which are local governments in the country.


A [ransomware attack on the André-Mignot teaching hospital](https://www.bleepingcomputer.com/news/security/ransomware-attack-forces-french-hospital-to-transfer-patients/) in Paris has also led to significant disruption, causing some patients to be rerouted to other hospitals.


We also saw some interesting research by cybersecurity firms and the U.S. government this week:


* The Cryptonite ransomware [accidentally turned into a wiper](https://www.fortinet.com/blog/threat-research/The-story-of-a-ransomware-turning-into-an-accidental-wiper).
* A [profile on the Vice Society ransomware operation](https://unit42.paloaltonetworks.com/vice-society-targets-education-sector/) and their targeting of schools.
* The U.S. Department of Health and Human Services (HHS) began warning of [Royal ransomware targeting healthcare](https://www.bleepingcomputer.com/news/security/us-health-dept-warns-of-royal-ransomware-targeting-healthcare/).

Finally, Brian Krebs had a very [interesting report](https://krebsonsecurity.com/2022/12/new-ransom-payment-schemes-target-executives-telemedicine/) on new tactics used by the Venus and Clop ransomware gangs to breach networks and convince victims to pay.


Contributors and those who provided new ransomware information and stories this week include: [@struppigel](https://twitter.com/struppigel), [@PolarToffee](https://twitter.com/PolarToffee), [@Seifreed](https://twitter.com/Seifreed), [@fwosar](https://twitter.com/fwosar), [@DanielGallagher](https://twitter.com/DanielGallagher), [@BleepinComputer](https://twitter.com/BleepinComputer), [@Ionut\_Ilascu](https://twitter.com/Ionut_Ilascu), [@LawrenceAbrams](https://twitter.com/LawrenceAbrams), [@jorntvdw](https://twitter.com/jorntvdw), [@demonslay335](https://twitter.com/demonslay335), [@billtoulas](https://twitter.com/billtoulas), [@FourOctets](https://twitter.com/FourOctets), [@VK\_Intel](https://twitter.com/VK_Intel), [@serghei](https://twitter.com/serghei), [@malwrhunterteam](https://twitter.com/malwrhunterteam), [@malwareforme](https://twitter.com/malwareforme), [@pcrisk](https://twitter.com/pcrisk), [@Unit42\_Intel](https://twitter.com/Unit42_Intel), [@Fortinet](https://twitter.com/fortinet), [@briankrebs](https://twitter.com/briankrebs), [@morphisec](https://twitter.com/morphisec), [@smgoreli](https://twitter.com/smgoreli), and [@Phylum\_IO](https://twitter.com/Phylum_IO).


## December 5th 2022


### [Ransomware attack forces French hospital to transfer patients](https://www.bleepingcomputer.com/news/security/ransomware-attack-forces-french-hospital-to-transfer-patients/)


The André-Mignot teaching hospital in the suburbs of Paris had to shut down its phone and computer systems because of a ransomware attack that occurred on Saturday evening.


### [The Story of a Ransomware Turning into an Accidental Wiper](https://www.fortinet.com/blog/threat-research/The-story-of-a-ransomware-turning-into-an-accidental-wiper)


In the last issue of our Ransomware Roundup series, we discussed a publicly available open-source ransomware toolkit called Cryptonite. As part of that investigation, we also discovered a Cryptonite sample in the wild that never offers the decryption window, instead acting as a wiper. We recently saw an increase in ransomware intentionally turned into wiper malware, primarily as part of a political campaign. So in this post, we take a closer look at the Cryptonite wiper sample.


### [Ransomware attack on New Zealand MSP](https://www.privacy.org.nz/publications/statements-media-releases/new-news-page-5/)


There has been a cyber security incident involving a ransomware attack on Mercury IT. Mercury IT provides a wide range of IT services to customers across New Zealand.


### [New Puspa2 ransomware](https://twitter.com/pcrisk/status/1599686268623126528)


[PCrisk](https://twitter.com/pcrisk) found a HiddenTear variant valled Puspa2 that appends the **.puspa2#mejukeni7sala029** extension and drops a ransom note named **XXX\_HELLO'S\_READ\_ME.\_txt**.


### [New STOP ransomware variants](https://twitter.com/pcrisk/status/1599753051686203392)


PCrisk found new STOP ransomware variants that append the **.mppn** or **.mbtf** extensions to encrypted files.


## December 6th 2022


### [Rackspace confirms outage was caused by ransomware attack](https://www.bleepingcomputer.com/news/security/rackspace-confirms-outage-was-caused-by-ransomware-attack/)


Texas-based cloud computing provider Rackspace has confirmed today that a ransomware attack is behind an ongoing Hosted Exchange outage described as an "isolated disruption."


### [Vice Society: Profiling a Persistent Threat to the Education Sector](https://unit42.paloaltonetworks.com/vice-society-targets-education-sector/)


Vice Society is a ransomware gang that has been involved in high-profile activity against schools this year. Unlike many other ransomware groups such as LockBit that follow a typical ransomware-as-a-service (RaaS) model, Vice Society’s operations are different in that they’ve been known for using forks of pre-existing ransomware families in their attack chain that are sold on DarkWeb marketplaces. These include the HelloKitty (aka FiveHands) and Zeppelin strains of ransomware as opposed to Vice Society developing their own custom payload.


### [New Babuk Ransomware Found in Major Attack](https://blog.morphisec.com/babuk-ransomware-variant-major-attack)


During November, Morphisec identified a brand-new variant of Babuk ransomware while investigating a customer's prevention event. Babuk was first discovered at the beginning of 2021, when it began targeting businesses to steal and encrypt data in double-extortion attacks. Later in the year, a threat actor leaked the complete source code for Babuk on a Russian-speaking hacking forum.


### [New Obz ransomware](https://twitter.com/pcrisk/status/1600028651671945216)


PCrisk found a new ransomware variant that appends the **.OBZ** extension and drops a ransom note named ReadMe.txt.


## December 8th 2022


### [CommonSpirit Health ransomware attack exposed data of 623,000 patients](https://www.bleepingcomputer.com/news/security/commonspirit-health-ransomware-attack-exposed-data-of-623-000-patients/)


CommonSpirit Health has confirmed that threat actors accessed the personal data for 623,774 patients during an October ransomware attack.


### [US Health Dept warns of Royal Ransomware targeting healthcare](https://www.bleepingcomputer.com/news/security/us-health-dept-warns-of-royal-ransomware-targeting-healthcare/)


The U.S. Department of Health and Human Services (HHS) issued a new warning today for the country's healthcare organizations regarding ongoing attacks from a relatively new operation, the Royal ransomware gang.


### [New Ransom Payment Schemes Target Executives, Telemedicine](https://krebsonsecurity.com/2022/12/new-ransom-payment-schemes-target-executives-telemedicine/)


Ransomware groups are constantly devising new methods for infecting victims and convincing them to pay up, but a couple of strategies tested recently seem especially devious. The first centers on targeting healthcare organizations that offer consultations over the Internet and sending them booby-trapped medical records for the “patient.” The other involves carefully editing email inboxes of public company executives to make it appear that some were involved in insider trading.


## December 9th 2022


### [Rackspace warns of phishing risks following ransomware attack](https://www.bleepingcomputer.com/news/security/rackspace-warns-of-phishing-risks-following-ransomware-attack/)


Cloud computing provider Rackspace warned customers on Thursday of increased risks of phishing attacks following a ransomware attack affecting its hosted Microsoft Exchange environment.


### [An Ongoing Attack Against Python and Javascript Developers](https://blog.phylum.io/phylum-detects-active-typosquatting-campaign-in-pypi)


Overnight we saw a flurry of activity around typosquat of the popular requests package. In the malicious packages themselves the attacker has embedded the following:


To provide some context, Phylum found a NPM/PyPi campaign where python packages were distributing Linux and Windows malware that pretended to be ransomware. After testing the ransomware, BleepingComputer has confirmed it does not actually encrypt anything and just drops a ransom note and changes the desktop wallpaper.


The actor behind this told BleepingComputer that they are just "playing" around and will not be adding encryption.


### [New MedusaLocker variant](https://twitter.com/pcrisk/status/1601108992389849089)


PCrisk found a new MedusaLocker variant that appends the **.allock[number]** extension and drops a ransom note named **how\_to\_back\_files.html**.


### [New VoidCrypt variant](https://twitter.com/pcrisk/status/1601196940930056193)


PCrisk found a new VoidCrypt variant that appends the **.Juli** extension and drops a ransom note named **unlock-info.txt**.


### That's it for this week! Hope everyone has a nice weekend!





## Tags:


### Autogenerated tags:
ransomware rackspace pcrisk cryptonite babuk phishing u.s
