# Tor Browser fixes vulnerability that tracks you using installed apps
## The Tor Project has released Tor Browser 10.0.18 to fix numerous bugs, including a vulnerability that allows sites to track users by fingerprinting the applications installed on their devices.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/tor-browser-fixes-vulnerability-that-tracks-you-using-installed-apps/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 21 June 2021, 17:24
+ Date scraped: 12 December 2023, 11:21

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/08/19/Tor.png)



The Tor Project has released Tor Browser 10.0.18 to fix numerous bugs, including a vulnerability that allows sites to track users by fingerprinting the applications installed on their devices.


In May, JavaScript fingerprinting firm FingerprintJS [disclosed a 'scheme flooding' vulnerability](https://www.bleepingcomputer.com/news/security/cross-browser-tracking-vulnerability-tracks-you-via-installed-apps/) that allows the tracking of users across different browsers based on the applications installed on their device.


To track users, a tracking profile is created for a user by attempting to open various application URL handlers, such as zoommtg://, and checking if the browser launches a prompt, like the one for Zoom below..



![Zoom URL Handler](https://www.bleepstatic.com/images/news/politics/cross-browser-tracking-url-scheme/url-scheme-prompt.jpg)**Zoom URL Handler**


If the application's prompt is displayed, it can be assumed that the application is installed on the device. By checking for numerous URL handlers, the vulnerability can create an ID based on the unique configuration of installed apps on the user's device.


This ID can then be tracked across different browsers, including Google Chrome, Edge, Tor Browser, Firefox, and Safari.


This vulnerability is especially concerning for Tor users who use the browser to protect their identity and IP address from being logged with sites. As this vulnerability tracks users across browsers, it could allow web sites, and even law enforcement, to track a user's real IP address when they switch to a non-anonymizing browser, such as Google Chrome.


With the release of Tor Browser 10.0.18, the Tor Project has introduced a fix for this vulnerability by setting the 'network.protocol-handler.external' setting to false.


This default setting will prevent the browser from passing the handling of a particular URL to an external application and thus no longer trigger the application prompts.


Full changelog
--------------


The full changelog for Tor 10.0.18 is:


* All Platforms
	+ Update Tor to 0.4.5.9
* Android
	+ Update Fenix to 89.1.1
	+ Update NoScript to 11.2.8
	+ [Bug 40055](https://bugs.torproject.org/tpo/applications/android-components/40055): Rebase android-components patches on 75.0.22 for Fenix 89
	+ [Bug 40165](https://bugs.torproject.org/tpo/applications/fenix/40165): Announce v2 onion service deprecation on about:tor
	+ [Bug 40166](https://bugs.torproject.org/tpo/applications/fenix/40166): Hide "Normal" tab (again) and Sync tab in TabTray
	+ [Bug 40167](https://bugs.torproject.org/tpo/applications/fenix/40167): Hide "Save to Collection" in menu
	+ [Bug 40169](https://bugs.torproject.org/tpo/applications/fenix/40169): Rebase fenix patches to fenix v89.1.1
	+ [Bug 40170](https://bugs.torproject.org/tpo/applications/fenix/40170): Error building tor-browser-89.1.1-10.5-1
	+ [Bug 40432](https://bugs.torproject.org/tpo/applications/tor-browser/40432): Prevent probing installed applications
	+ [Bug 40470](https://bugs.torproject.org/tpo/applications/tor-browser/40470): Rebase 10.0 patches onto 89.0
* Build System
	+ Android
		- [Bug 40290](https://bugs.torproject.org/tpo/applications/tor-browser-build/40290): Update components for mozilla89-based Fenix

You can upgrade to Tor Browser 10.0.18 by opening the menu, going to **Help**, and selecting **About Tor Browser**, which will automatically check for and install any new updates.


You can also download the latest browser from the [Tor Browser download page](https://www.torproject.org/download/) and the [distribution directory](https://dist.torproject.org/torbrowser/10.0.18/).





## Tags:
***ipv4-adresses***: 0.4.5.9

### Autogenerated tags:
fenix url
