# VMware fixes three critical auth bypass bugs in remote access tool
## VMware has released security updates to address three critical severity vulnerabilities in the Workspace ONE Assist solution that enable remote attackers to bypass authentication and elevate privileges to admin.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/vmware-fixes-three-critical-auth-bypass-bugs-in-remote-access-tool/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 08 November 2022, 20:24
+ Date scraped: 08 November 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/25/VMware__headpic.jpg)



VMware has released security updates to address three critical severity vulnerabilities in the Workspace ONE Assist solution that enable remote attackers to bypass authentication and elevate privileges to admin.


[Workspace ONE Assist](https://www.vmware.com/products/workspace-one/workspaceone-assist.html) provides remote control, screen sharing, file system management, and remote command execution to help desk and IT staff remotely access and troubleshoot devices in real time from the Workspace ONE console.


The flaws are tracked as CVE-2022-31685 (authentication bypass), CVE-2022-31686 (broken authentication method), and CVE-2022-31687 (broken authentication control) and have received 9.8/10 CVSSv3 base scores.


Non-authenticated threat actors can exploit them in low-complexity attacks that don't require user interaction for privilege escalation.


"A malicious actor with network access to Workspace ONE Assist may be able to obtain administrative access without the need to authenticate to the application," VMware [describes](https://www.vmware.com/security/advisories/VMSA-2022-0028.html) the three security bugs.


## Fixed in Workspace ONE Assist 22.10


The company patched them today with the release of [Workspace ONE Assist 22.10 (89993)](https://kb.vmware.com/s/article/89993) for Windows customers.


VMware also patched a reflected cross-site scripting (XSS) vulnerability (CVE-2022-31688) that enables attackers to inject javascript code in the target user's window and a session fixation vulnerability (CVE-2022-31689) that allows authentication after obtaining a valid session token.


All vulnerabilities patched today have been found and reported to VMware by Jasper Westerman, Jan van der Put, Yanick de Pater, and Harm Blankers of REQON IT-Security.


In August, VMware [warned admins](https://www.bleepingcomputer.com/news/security/vmware-urges-admins-to-patch-critical-auth-bypass-bug-immediately/) to patch another critical authentication bypass security flaw in VMware Workspace ONE Access, Identity Manager, and vRealize Automation, enabling unauthenticated attackers to gain admin privileges.


One week later, the company revealed that [proof-of-concept (PoC) exploit code was released online](https://www.bleepingcomputer.com/news/security/vmware-warns-of-public-exploit-for-critical-auth-bypass-vulnerability/) after the researcher who discovered and reported the vulnerability shared a PoC exploit.


In May, VMware [patched an almost identical critical vulnerability](https://www.bleepingcomputer.com/news/security/vmware-warns-of-critical-vulnerabilities-in-multiple-products/), another authentication bypass (CVE-2022-22972) found by Bruno López of Innotec Security in Workspace ONE Access, VMware Identity Manager (vIDM), and vRealize Automation.





## Tags:
***CVE's***: CVE-2022-31689 CVE-2022-31685 CVE-2022-31686 CVE-2022-22972 CVE-2022-31688 CVE-2022-31687

### Autogenerated tags:
vmware
