# China-based cyberespionage actor seen targeting South America
## Cyberthreat group DEV-0147 is deploying the ShadowPad RAT to hit diplomatic targets in South America, expanding from its traditional attack turf  in Asia and Europe, Microsoft says.
## Information:

+ Link: https://www.csoonline.com/article/3687618/china-based-cyberespionage-actor-seen-targeting-south-america.html
+ Source: CSO
+ Author: Apurva Venkat
+ Date published: 15 February 2023, 13:49
+ Date scraped: 16 February 2023, 12:00

## Article:
![Main article image](https://images.idgesg.net/images/article/2018/04/team_of_hackers_organized_attack_group_of_threat_actors_gettyimages_gorodenkoff_817486174_3x2-100755781-large.jpg?auto=webp&quality=85,70)


China-based cyberespionage actor DEV-0147 has been observed compromising diplomatic targets in South America, according to Microsoft’s Security Intelligence team.

The initiative is “a notable expansion of the group’s data exfiltration operations that traditionally targeted gov’t agencies and think tanks in Asia and Europe,” the team [tweeted](https://twitter.com/MsftSecIntel/status/1625181255754039318) on Monday. 

DEV-0147’s attacks in South America included post-exploitation activity involving the abuse of on-premises identity infrastructure for reconnaissance and lateral movement, and the use of [Cobalt Strike](https://www.csoonline.com/article/3681333/here-is-why-you-should-have-cobalt-strike-detection-in-place.html) — a penetration testing tool — for command and control and data exfiltration, Microsoft wrote in its tweet. 


[Microsoft 365 Defender](https://www.csoonline.com/article/3612970/microsoft-365-defender-updates-bring-a-single-portal-view.html) detects these DEV-0147 attacks through Microsoft Defender for Identity and Defender for Endpoint. “Organizations are also strongly advised to enforce MF,” Microsoft noted. 

## **Chinese threat actors use ShadowPad RAT**

DEV-0147 deploys [ShadowPad](https://www.csoonline.com/article/3649777/shadowpad-has-become-the-rat-of-choice-for-several-state-sponsored-chinese-apts.html) — a [RAT (remote access Trojan)](https://www.csoonline.com/article/3588156/from-pranks-to-apts-how-remote-access-trojans-became-a-major-security-threat.html) — to achieve persistence. It uses QuasarLoader, a Webpack loader, to download and execute additional malware, Microsoft noted. Webpack is a module bundler for JavaScript. Several researchers have associated ShadowPad with other China-based [APT](https://www.csoonline.com/article/2615666/5-signs-youve-been-hit-with-an-apt.html) actors such as APT23, APT41, Axiom, Dagger Panda, Earth Lusca, Tonto Team, and Wet Panda. 

ShadowPad, also known as PoisonPlug, is a successor to the PlugX RAT deployed by the Chinese government-sponsored Bronze Atlas threat group since at least 2017, according to a [Secureworks analysis](https://www.secureworks.com/research/shadowpad-malware-analysis).

“Analysis of ShadowPad samples revealed clusters of activity linked to threat groups affiliated with the Chinese Ministry of State Security (MSS) civilian intelligence agency and the People's Liberation Army (PLA),” Secureworks said.

ShadowPad is decrypted in memory using a custom decryption algorithm. There have been multiple ShadowPad versions based on distinct algorithms that have been identified.

The RAT extracts information about the host, executes commands, interacts with the file system and registry, and deploys new modules to extend functionality.

ShadowPad payloads are deployed to a host — either encrypted within a DLL (dynamic link library) loader or a separate file alongside a DLL loader. These DLL loaders decrypt and execute ShadowPad in memory after being sideloaded by a legitimate executable that is vulnerable to DLL search order hijacking, according to Secureworks.

In September last year, an attack on an unnamed organization that took advantage of a flaw in software from WSO2 to deliver ShadowPad was observed by the [NCC group](https://research.nccgroup.com/2022/09/30/a-glimpse-into-the-shadowy-realm-of-a-chinese-apt-detailed-analysis-of-a-shadowpad-intrusion/). [WOS2](https://www.infoworld.com/article/3654897/wso2-launches-low-code-cloud-native-paas-for-api-development.html) provides software tools for application development and [IAM](https://www.csoonline.com/article/2120384/what-is-iam-identity-and-access-management-explained.html).

And earlier last year, in June, cybersecurity firm [Kaspersky](https://usa.kaspersky.com/about/press-releases/2022_apt-uses-shadowpad-backdoor-and-ms-exchange-vulnerability-to-attack-building-automation-systems) reported having observed a previously unknown Chinese-speaking threat actor attacking telecommunications, manufacturing, and transport organizations in several Asian countries such as Pakistan, Afghanistan, and Malaysia. During the initial attacks, the group exploited an MS Exchange vulnerability to deploy ShadowPad malware and infiltrated building automation systems. 





## Tags:


### Autogenerated tags:
shadowpad microsoft dll dev-0147
