# Google urges users to update Chrome to address zero-day vulnerability
## Google has released Chrome version 112.0.5615.121 to address a  vulnerability that can allow malicious code execution on Windows, Mac, and Linux systems.
## Information:

+ Link: https://www.csoonline.com/article/3693259/google-urges-users-to-update-chrome-to-address-zero-day-vulnerability.html
+ Source: CSO
+ Author: Apurva Venkat
+ Date published: 17 April 2023, 13:43
+ Date scraped: 18 April 2023, 12:00

## Article:
![Main article image](https://images.idgesg.net/images/idge/imported/imageapi/2023/01/27/22/pexels-deepanker-verma-1482061-psd-100936849-large.jpg?auto=webp&quality=85,70)


Google has released an emergency Chrome security update to address a zero-day vulnerability targeted by an exploit, already in circulation on the internet, that can allow malicious code to be executed.

Google is urging users to upgrade Chrome to the new version, 112.0.5615.121, as soon as possible. The updated version addresses the vulnerability, which affects Windows, Mac, and Linux systems, and is listed as [CVE-2023-2033](https://nvd.nist.gov/vuln/detail/CVE-2023-2033) in the US' National Vulnerability Database.

Meanwhile, the update will roll out in the coming weeks on Google's stable desktop channel, the company said.


The high-severity vulnerability was described by Google as a "type confusion" issue in the V8 JavaScript engine. Google Chrome V8 is Google’s open source JavaScript and WebAssembly engine.

"Google is aware that an exploit for CVE-2023-2033 exists in the wild," the company said in a [statement](https://chromereleases.googleblog.com/2023/04/stable-channel-update-for-desktop_14.html) on April 14.

NIST, the US Commerce Dept. agency that runs the National Vulnerability Database, went further in its CVE description about the vulnerability. “Type confusion in V8 in Google Chrome prior to 112.0.5615.121 allowed a remote attacker to potentially exploit heap corruption via a crafted HTML page,” NIST said.

Google is yet to release complete details on the vulnerability. “Access to bug details and links may be kept restricted until a majority of users are updated with a fix,” Google said in the statement.

## How to update Chrome

To update Chrome, users can click the overflow menu on the right side of the menu bar and then go to Help and About Google Chrome. Chrome will automatically check for browser updates and, by default, update the browser. Once the update is complete, users need to restart the browser.

Clement Lecigne of Google's Threat Analysis Group identified the vulnerability and reported the issue on April 11. In addition to fixing CVE-2023-2033, the Chrome update also fixes a variety of issues detected during internal audits and other initiatives, the company said.

This is the first zero-day vulnerability reported in Chrome this year.  In [December](https://chromereleases.googleblog.com/2022/12/stable-channel-update-for-desktop.html), Google released an update for Chrome after a different type confusion vulnerability in V8 was identified.

A type confusion error occurs when a program uses one type of method to allocate or initialize a resource but uses another method to access that resource, leading to an out-of-bounds memory access, according to cybersecurity firm NSFocus, in [an alert](https://nsfocusglobal.com/google-chrome-v8-type-confusion-vulnerability-cve-2022-4262-alert/#:~:text=A%20type%20confusion%20error%20occurs,%2Dof%2Dbounds%20memory%20access.) it sent about Chrome's December update. "By convincing a user to visit a specially crafted Web site, a remote attacker could ultimately achieve arbitrary code execution or cause a denial of service on the system," NSFocus said.

Last year, 9 zero-day vulnerabilities were identified in Chrome.

In 2022, the number of known open source vulnerabilities rose by 4% from 2021, according to [a report by Synopsys](https://www.csoonline.com/article/3688911/at-least-one-open-source-vulnerability-found-in-84-of-code-bases-report.html). At least one known open source vulnerability was detected in 84% of all commercial and proprietary code bases examined by researchers, and 48% of all code bases analyzed contained high-risk vulnerabilities





## Tags:
***CVE's***: CVE-2023-2033

### Autogenerated tags:
google v8 zero-day cve-2023-2033
