# AiTM Phishing Attack Targeting Enterprise Users of Email Services
## An AiTM-based phishing campaign targeting enterprise users of Microsoft products such as email services. Even Google Workspace users have also been targeted by threat actors behind a large-scale campaign.
## Information:

+ Link: https://cybersecuritynews.com/?p=10231
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 26 August 2022, 16:00
+ Date scraped: 26 August 2022, 17:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEieUh2QTSyyB0UiYKrYII32wAtOkAdj9h5fi0PQF98fOaNnxVm8bc2TMbp_aR4FRKGhkGpn6a092Jt56o76uJZbcOlYjHiFlBjtFvNQmnw9VwvZvX7ufMQgTxshnRT5VU-ZbSqjc3G4dhE7l8ArtPCR_YrSrAPHAl6fvIECAmkenwNqqwuLNiU4VQbA4w/s16000/AiTM%20Phishing%20Attack%20Targeting%20Enterprise%20Users%20of%20Microsoft%20&%20Gmail%20Email%20Services.png)

An AiTM-based phishing campaign targeting enterprise users of Microsoft products such as email services. Even Google Workspace users have also been targeted by threat actors behind a large-scale campaign.

AiTM phishing attacks refer to attacks in which threat actors place a proxy server between a target user’s destination website and a phishing website.

The proxy server is placed between the destination website and the domain controlled by the attackers. Attackers can access the traffic through the proxy server, which allows them to capture the password and cookies associated with the target and access their data.

Zscaler researchers Sudeep Singh and Jagadeeswar Ramanukolanu [stated](https://www.zscaler.com/blogs/security-research/aitm-phishing-attack-targeting-enterprise-users-gmail):-

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://www.perimeter81.com/lp/ztna-vs-vpn?a_aid=2428&a_bid=1682633c&chan=code33&data1=csn)“The specific focus of this campaign was to target the executives and other senior members of multi-national corporations that use Google Workspace as their primary communication tool.”

The AiTM phishing attacks are said to have commenced in mid-July 2022, following a similar modus operandi as that of a social engineering campaign designed to siphon users’ Microsoft credentials and even bypass multi-factor authentication.

### **Attack Chain**

An email containing a malicious link is sent to the user, which initiates the attack. As a result of multiple redirection steps taken by this link with the help of Open Redirect, the user will be led to a final Gmail phishing domain controlled by the attacker, which is utilizing open redirection pages.

There is, however, an additional step that the server takes before presenting the real phishing page to the client in order to ensure that the client is indeed a real user browsing the web page and not a system that is performing an analysis automatically.

![](https://lh3.googleusercontent.com/aYhVJntY545fJ5pTLHMSFh89iyGBBnAGrc1b9sL_UXocN4W9StbEljsgMPsHkf0PEPy4O7Ca0yq-caD9pQM5mc8-tYQE2PvkNYRGlYYCLb_Slf9qg9Yt2G-N_d845PkWRxVV8lW2rZ96TQPQJ__Knqc)

The attack chain is made up of several components that are all linked together. As far as the attack vector is concerned, this campaign used e-mails with embedded links that were used to spread the malicious code.

![](https://lh6.googleusercontent.com/BS-7YOg3v8UbSw4lX35Wve0nRtBhRYo-Iv7IBxWf7-I-tpoll1Py_sR9j7PmS8JMR5eTj93xl5pfawTixNvUhsdwB1clb4gbsXCOP0VsBpq9BvJs5IUE6eMjOYAUfsRTOcYJRH6PK1fxiR75iiRCKwU)

It was specifically intended to send these emails to the organization’s chief executives and senior members, as well as other targeted individuals.

It appeared to be an email from Google that offered a password expiration reminder and urged the recipient to click a link so that the account could be extended.

As far as the [multi-factor](https://cybersecuritynews.com/android-malware-escobar/) authentication process that Gmail or Google Suite uses is concerned, the AiTM phishing kit can successfully relay and intercept the process.

![](https://lh3.googleusercontent.com/DuuO-GtSZgomeZ1EMn_wxTNLwkvvOTQS17-B9NoEin9bY_WsqqHv3vwls1U8u1nxBvLfeDGBJQbIx3NVh2rkqFez2YrTJQWYD5OWgHMgwgEyrkfAYVBXJorVJovJEQHL9sz8_e_X9is5y8nB7sb4yYQ)

Apart from the abuse of open redirects, there is an additional variant of the attack, which is based on infected websites.

During the next stage of the redirection process, the host sends the victim’s email address and a Base64-encoded version of the next-stage redirection URL. Upon clicking this intermediate redirector, you will be taken to a phishing page on Gmail that has been created using JavaScript code.

Even with multifactor authentication, it is evident that it will not be able to prevent sophisticated [phishing attacks](https://cybersecuritynews.com/ways-to-mitigate-phishing-attacks-a-detailed-guide/) when used alone. Users need to thoroughly review the URLs before entering their personal data or credentials, as well as refrain from opening any unknown attachments.




## Tags:


### Autogenerated tags:
phishing google gmail
