# Alert! Google Chrome Zero-day Exploited in the Wild
## There is a vulnerability in Chrome's Visuals component that is being tracked as CVE-2024-4671. The flaw is related to the use-after-free issue and can potentially lead to remote code execution.
## Information:

+ Link: https://cybersecuritynews.com/?p=64206
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 10 May 2024, 06:09
+ Date scraped: 10 May 2024, 07:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgj8JZq2voLhNYE8XjaFrbptHlfiUK2LupKjmZxYUwjRECI4LiqHJ_-qqpUZzfPawMzOHIv1Iduh8_LDHHsQPF6wrxbBc0k_hFf-SRUi-FK2uEsoxh_IWNsr2aP107TkaP-GgLtyaMQLZWP2t5df-Ex9GGBuWiz__1pBm7iR9225ctq-oQdtJGOFtQRHTYr/s16000/Google%20Chrome%20Zero-day.webp)


Google has released an urgent update for its popular Chrome web browser. The update fixes a critical zero-day vulnerability that malicious attackers are actively exploiting.


The vulnerability is considered to be high-risk, and if left unpatched, attackers can gain unauthorized access to sensitive information on affected systems.


There is a vulnerability in Chrome’s Visuals component that is being tracked as CVE-2024-4671. The flaw is related to the use-after-free issue and can potentially lead to remote code execution.


Google has launched the Chrome 124.0.6367.201/.202 update for users of Windows, Mac, and Linux desktops.


Free Webinar on **[Live API Attack Simulation](https://www.indusface.com/live-api-attack-simulation.php?utm_source=blog-cta&utm_medium=referral&utm_campaign=2024-may-webinar-live-api-attack-simulation)**: Book Your Seat | Start protecting your APIs from hackers


This new version includes a crucial fix for a zero-day vulnerability, and Google has advised all Chrome users to upgrade to the latest version immediately to minimize the risk of a possible attack.


Details about the attacks exploiting CVE-2024-4671 are currently limited. Google has restricted access to bug details until most users have updated with the fix. An anonymous security researcher [reported the vulnerability](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_9.html) to Google.


This marks the sixth Chrome zero-day patched by Google so far in 2024. In April, Google fixed two other zero-day vulnerabilities, [CVE-2024-2887](https://cybersecuritynews.com/chrome-zero-day-exploit-patch/) and [CVE-2024-2886](https://cybersecuritynews.com/chrome-zero-days-pwn2own-2024-patch-now/), that were exploited at the [Pwn2Own Vancouver 2024](https://cybersecuritynews.com/29-0-days-pwn2own-2024/) hacking competition.


CVE-2024-2887 was a type of confusion weakness in WebAssembly used as part of a remote code execution exploit, while CVE-2024-2886 was a use-after-free flaw in the WebCodecs API that allowed arbitrary read/write access.


Earlier in the year, Google patched [CVE-2024-0519](https://cybersecuritynews.com/google-chrome-browser-zero-day-vulnerability/), an actively exploited zero-day that allowed attackers to access sensitive information or crash unpatched browsers due to an out-of-bounds memory access weakness in the V8 JavaScript engine.


The discovery of yet another actively exploited Chrome zero-day underscores the ongoing security risks posed by web browsers. Attackers are increasingly targeting flaws in browser components and APIs to compromise user systems.


Chrome users should promptly apply the latest update and remain vigilant for any signs of compromise.





## Tags:
***CVE's***: CVE-2024-4671 CVE-2024-0519 CVE-2024-2887 CVE-2024-2886

### Autogenerated tags:
google zero-day
