# Chrome 123: Patch for 12 Security Vulnerabilities
## The Chrome team has proudly announced the promotion of Chrome 123 to the stable channel for users on Windows, Mac, and Linux.
## Information:

+ Link: https://cybersecuritynews.com/?p=60134
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 20 March 2024, 13:46
+ Date scraped: 20 March 2024, 14:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgGQv0YPTtoYMIgWniqdXIDcA2fJKgceQFWvPoTT5jCWcw37krbeX2Oa6zvQCrKPa6BSAuMGIpfYxqnH6nwXM_zCewF_DuuXRt5R6R4EJbwW5URiS188SXMUmqCvptMedi5CYZPtGAVAfF_8bNvAx9qa_6uxJXFCQotTDqMeD043NWOhKQKaMTzCmBDgXI/s1600/chrome%20123%20(1).webp)


The Chrome team has proudly announced that Chrome 123 has been promoted to the stable channel for users on Windows, Mac, and Linux.


This latest version, Chrome 123.0.6312.58 for Linux and 123.0.6312.58/.59 for Windows and Mac, is set to roll out progressively over the next few days and weeks.


It encompasses a slew of fixes and improvements aimed at enhancing user experience and [security.](https://cybersecuritynews.com/cyber-security-news-weekly-round-up-2/)


**Security Fixes and Rewards**
------------------------------


In an ongoing effort to fortify its defenses, this update includes patches for 12 security vulnerabilities.


Document

Free Webinar : Mitigating Vulnerability & 0-day Threats
-------------------------------------------------------


Alert Fatigue that helps no one as security teams need to triage 100s of vulnerabilities.

:


* The problem of vulnerability fatigue today
* Difference between CVSS-specific vulnerability vs risk-based vulnerability
* Evaluating vulnerabilities based on the business impact/risk
* Automation to reduce alert fatigue and enhance security posture significantly


AcuRisQ, that helps you to quantify risk accurately:


  [Book Your spot](https://www.indusface.com/mitigating-alert-fatigue-with-acurisq.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2024-mar-webinar-mitigating-alert-fatigue-with-acurisq) 



The Chrome team has taken a cautious approach by restricting access to bug [details](https://chromereleases.googleblog.com/2024/03/stable-channel-update-for-desktop_19.html) and links until many users receive the updates. 



This measure ensures that potential attackers do not exploit the [vulnerabilities](https://cybersecuritynews.com/vulnerabilities-ipopular-fonts-arbitrary/) before they are widely patched. 


Some of the fixes were made possible through the contributions of external researchers, highlighting the importance of community involvement in [cybersecurity](https://cybersecuritynews.com/nistcybersecurity-framework-2-0/).


**High Severity Vulnerabilities**
---------------------------------


* **[CVE-2024-2625](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-2625): Object Lifecycle Issue in V8**  
This high-severity vulnerability was discovered by Ganjiang Zhou (@refrain\_areu) of the ChaMd5-H1 team and reported on March 1, 2024.
* It involves an object lifecycle issue within V8, Chrome’s JavaScript engine, which could potentially allow malicious actors to execute arbitrary code.


**Medium Severity Vulnerabilities**
-----------------------------------


* **[CVE-2024-2626](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-2626): Out of Bounds Read in Swiftshader**  
Cassidy Kim (@cassidy6564) identified an out-of-bounds read in Swiftshader, reporting it on November 22, 2023.
* This vulnerability earned a $10,000 reward for its discovery.
* **[CVE-2024-2627](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-2627): Use After Free in Canvas**  
An anonymous researcher reported this use-after-free issue in Canvas on January 21, 2024, which was rewarded with $4,000.
* **[CVE-2024-2628](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-2628): Inappropriate Implementation in Downloads**  
As reported by Ath3r1s on January 3, 2024, this vulnerability concerns an inappropriate implementation in the Downloads feature and was rewarded with $3,000.
* **[CVE-2024-2629](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-2628): Incorrect Security UI in iOS**  
Muneaki Nishimura (nishimunea) discovered an incorrect security UI in iOS, reporting it on January 2, 2024, and receiving a $2,000 reward.
* **[CVE-2024-2630](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-2630): Inappropriate Implementation in iOS**  
James Lee (@Windowsrcer) reported another inappropriate implementation in iOS on December 7, 2023, which was rewarded with $1,000.
* **[CVE-2024-2631](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-2631): Inappropriate Implementation in iOS**  
Ramit Gangwar’s discovery of yet another inappropriate implementation in iOS, reported on January 29, 2024, also earned a $2,000 reward.


The Chrome team extends its gratitude to all the security researchers who collaborated with them during the development cycle, helping to identify and rectify security issues before the stable release.


This proactive approach to security, coupled with internal audits, fuzzing, and other initiatives, underscores Google’s commitment to safeguarding its users.





## Tags:
***CVE's***: CVE-2024-2628 CVE-2024-2630 CVE-2024-2631 CVE-2024-2627 CVE-2024-2629 CVE-2024-2626 CVE-2024-2625

### Autogenerated tags:

