# Common Tactics Used by Threat Actors to Weaponize PDFs
## Researchers bserved an uptick in threat actors using PDFs for email-based initial access, highlighting a growing trend in evasive tactics.
## Information:

+ Link: https://cybersecuritynews.com/?p=41771
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 06 September 2023, 03:26
+ Date scraped: 06 September 2023, 04:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhazFKPRk816Cp2tBZsK6AsqaQzEhieLBRsIPNLD3k-SYqsUPyPSZDdo8z6ZfuHg2bzf5dOVejTJUxyY6JievD3Bn4GuFxtPqIkPOLMIOK9YJpKOeaJ4YPhfmlUtuPDfgDkLVKdeP9dLgtT51_4yOjWsWs2xjFhUlKhH1tmZyGBNrpobr7Nw6HZ-MNuq8Um/s16000/Common%20Tactics%20Used%20by%20Threat%20Actors%20to%20Weaponize%20PDFs.webp)


In the vast and complex world of cybersecurity, danger often hides in the most unsuspecting corners, stalking stealthily where our guard is least prepared.


While the threats, like timeless adversaries, persistently bear and show no signs of disappearing into anonymity.






Cybersecurity analysts at Trustwave SpiderLabs recently [observed](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/threat-loaded-malicious-pdfs-never-go-out-of-style/) an uptick in threat actors using PDFs for email-based initial access, highlighting a growing trend in evasive tactics.


PDF enables consistent text and image display across devices, making it ideal for electronic documents like-


* Resumes
* Manuals
* Invoices
* Forms


**Things attract threat actors to PDF**
---------------------------------------


Here below, we have mentioned all the key things that attract the threat actors towards PDF files:-


* Ubiquity
* Trustworthiness
* Difficulty in Detection


**Techniques and Methods Used**
-------------------------------


Here below, we have mentioned all the techniques and methods that threat actors commonly use to weaponize PDF files:-


* **Malicious Hyperlinks:** A PDF hyperlink is a clickable element that directs users to external resources. Attackers exploit this by embedding malicious links, often leading to phishing or malware, as seen in [Qakbot](https://cybersecuritynews.com/fbi-dismantle-qakbot-infrastructure/) and [IcedID](https://cybersecuritynews.com/icedid-malware-active-directory/) campaigns.


* **Qakbot:** Qakbot’s evolving tactics include using PDFs with disguised malicious links to deliver payloads, often posing as legitimate updates to trick users into downloading malware.



![](https://lh4.googleusercontent.com/Mi9yO-0mdwHifNQOnCkDMzh9AcauXxMLeysniqQzEGHP_HBvNXoLyoaNE17G2YCfQetP0QgcTYGOEkjRDZ9SEfVHBdbspBc6YAC3uLfohtOZ55fx5wZpJDhdsL4yxyrODGMIYuWRMHmkNwop7F2qY4E)Typical infection chain starting with a PDF attachment (Source – Trustwave)


* **Actions and JavaScript:** PDFs offer interactivity through actions and JavaScript, but attackers can exploit these for malicious purposes, posing security risks.


* **PDF Dropper:** Researchers found a PDF with JavaScript action launching an embedded Office Document, examined using Didier Stevens’ pdfid tool.


* **Vulnerabilities in PDF Reader:** Exploiting PDF reader vulnerabilities, like [CVE-2021-28550](https://cybersecuritynews.com/adobe-zero-day-vulnerability/), can grant attackers control over unpatched Adobe Acrobat readers. A decade ago, PDF exploits were widespread, but with the rise of alternative PDF readers and built-in browser support, the threat landscape has shifted, and in-the-wild exploitation has decreased.


* **Social Engineering:** Threat actors use [social engineering](https://cybersecuritynews.com/social-engineering/) to deceive users into opening PDF files, often in fake brand or service emails, aiming to extract sensitive data. These PDFs appear legitimate but serve malicious purposes.


* **Call-back Phishing:** Cybercriminals use PDF invoice emails from generic, undisclosed senders to create urgency and prompt victims to call for subscription updates, deceiving them.


![](https://lh3.googleusercontent.com/y4pTMyvLJzTXGeoEne-MN-O578RIZtiwORZS9vGi2ZS4e06goL-IKazedOt5MXzyFszAXkWY2Ex7HImIe6s-j3ZI9ISyWBAJ0WHkX5hfrxHBXy-27a7YTID-nHzkmTDtcaYlKTMPkZZLZX0xEOl-niA)PDF depicts fake purchase information from a well-known brand (Source – Trustwave)


PDFs remain a top choice for threat actors due to their wide use and cross-platform compatibility, presenting an ongoing opportunity for cybercriminals.


**Indicators of Compromise**
----------------------------



![](https://lh5.googleusercontent.com/TO5tdF79nzLSSlAgR6W3tpfhfUPXTqvDyw6OzkC122HeEu1AMioB3Ey8Rdsy3wU96vmjsaTfonxErmK7ePzNP75qV0kNUtF-_83PrdZuy-ublQMJ6Fp1Qafmhs9OrEYx1yXOTdjCAswibATx4GgSV1Y)IoC of Qakbot (Source – Trustwave)



![](https://lh6.googleusercontent.com/vFoK-rNxqtYUNy84DEuhedVduLeLhW6okk7PD2QwNL5z3moU0cd3pFBT3dmu8EvNGPUSnFZxm75PwYtCd7ghjckxHWeENetD3i_DUOJ5ye1zuSF2_DYAKgL_0caFVn1CD41v4PxL4MBHhFvnafodEjU)IoC of PDF Dropper (Source – Trustwave)



![](https://lh6.googleusercontent.com/j8LHRFHq7Rw8GBhAe85KXDkGqDbBLg0eT9Di0CrCcwuBKVjHh97_nfuuomcjT6zhni57paSKm_FuJQAi2_tEED5evnDQH_q662A_Aqlvr0PsaeL6V4ZAWRmMcxqxxgb6bSYAvB7jXQMjyXXilDLfj58)IoC of Callback Phishing (Source – Trustwave)






## Tags:
***CVE's***: CVE-2021-28550

### Autogenerated tags:
pdf trustwave pdfs qakbot phishing javascript ioc
