# Critical MailCleaner Vulnerabilities Let Attackers Execute arbitrary command
## Critical vulnerabilities in MailCleaner versions before 2023.03.14 allow attackers to take control of appliances through malicious emails
## Information:

+ Link: https://cybersecuritynews.com/?p=63559
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 02 May 2024, 06:31
+ Date scraped: 02 May 2024, 07:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiIQbptFh8i0pDc2G2x9nO0zfcyDgKvZObwO4h_M44lFvANKXpQ3-f__YJv2AmFDEc7MnQar-fYg_CkY001kSh2lh3NeJvoozomkVcqZLiDxkyMDGpDWMVzgfEAaXy5mBXu0ZasTnC_KlCr1bHEnS1G_PgZv4Oal4s7luJ936WMokI1giYJ70jJ2XeFEmQ/s1600/cactus%20hackers%20(36)%20(1).webp)


Critical vulnerabilities in MailCleaner versions before 2023.03.14 allow remote attackers to take complete control of the appliance through [malicious](https://cybersecuritynews.com/malicious-files-with-evidence-of-execution-using-belkasoft/) emails, administrator interaction with attacker sites or links, and exploitation of SOAP endpoints, which compromises the confidentiality and integrity of the MailCleaner system and any emails processed by it. 


Additionally, authenticated attackers with administrative privileges can gain further control by executing arbitrary commands or manipulating files on the system, posing a significant risk, especially in cluster deployments where a single compromised machine can grant attackers control of all cluster members.


**`On-Demand Webinar to Secure the Top 3 SME Attack Vectors: [Watch for Free](https://go.cynet.com/top-3-sme-attack-vectors?utm_source=gbhackers&utm_medium=webinar&utm_campaign=Q2-sponsored-webinars)`**.


A critical vulnerability in MailCleaner’s email cleaning cronjob allows remote attackers to gain root access through a crafted email, which exploits an OS command injection flaw, enabling arbitrary command execution and complete system compromise.


By taking control of the MailCleaner appliance, attackers can intercept and manipulate all emails the system processes.


![](https://lh7-us.googleusercontent.com/-2lKtQ73dh7tWcUNdHH7ju51jYTF06eqzTGMP7ByPJmy5xzLi11QG9oDlCq6rVyuuJtwwkxMatudwv6uBlqJORh9aOLYgc9VsrAf9iTPTvxgisMtVVkc5aZ6QZB3fgeEBHlMb9pUibT5MvjcobTJfmM)


An unauthenticated attacker can exploit a stored XSS vulnerability in the admin dashboard via a malicious email, which injects malicious JavaScript, allowing session hijacking, [data theft](https://cybersecuritynews.com/russian-hacker-sentenced-for-data-theft-of-linkedin-dropbox-users/), or unauthorized actions as an admin.


This XSS can be chained for OS command injection when combined with other vulnerabilities, significantly amplifying the attack potential.


![The MailCleaner administrator dashboard.](https://lh7-us.googleusercontent.com/jZPO_5qRfX8ihREx_D-rBiETKwInmyV7sjfwmvf9MN5LKNfxf4_K3IFIGb54FNJao_ZwQZtBqjZi1RMBvVo8wsQC5uCtTBd7oRP6YoyMWlZ0WmSkt-XEHPiB2HTnNm2J7nhxA8rId_3EYcHI8wbCscU)The MailCleaner administrator dashboard.


Document

Integrate ANY.RUN in Your Company for Effective Malware Analysis
----------------------------------------------------------------


Are you from SOC, Threat Research, or DFIR departments? If so, you can join an online community of 400,000 independent security researchers:


* Real-time Detection
* Interactive Malware Analysis
* Easy to Learn by New Security Team members
* Get detailed reports with maximum data
* Set Up Virtual Machine in Linux & all Windows OS Versions
* Interact with Malware Safely


If you want to test all these features now with completely free access to the sandbox:


  [Try ANY.RUN for FREE](https://app.any.run/?utm_source=linkedin_csn&utm_medium=post_meme&utm_campaign=register&utm_content=register&utm_term=290424/#register) 



A critical command injection vulnerability exists in administrator endpoints, allowing attackers to gain root access, which requires either compromised administrator credentials or social engineering to trick administrators into visiting a malicious URL as successful exploitation grants complete system compromise. 

![Successful execution of XSS payload sent to monitor logs and view endpoint](https://lh7-us.googleusercontent.com/ej-r-8pLlkULDk0fhOEPSgBSkFko4u_7gjg1Nye7vod1801Uzh8aiSQoyJsHjIDMvbBk6rrLiVVyN22isj6hgBkS8Sqw4comZCubkpLijNsy4RfOhMHu3ONvDmBul1c6fpwo2OAbqI6Y9KNoq_HngSc)Successful execution of XSS payload sent to monitor logs and view endpoint


Two vulnerabilities identified at unspecified endpoints allow attackers to inject malicious JavaScript via crafted links, which inject the script into the user’s browser session upon clicking, enabling session hijacking, data theft, or [unauthorized](https://cybersecuritynews.com/kawasaki-security-breach/) actions under the victim’s identity. 


This reflects a reflected Cross-Site scripting (XSS) vulnerability where user-supplied data isn’t sanitized before being echoed back in the response.


![](https://lh7-us.googleusercontent.com/cD_s65GxJUW9wN0vWPG3KNKWFpfftki2kqzbFHoPGUGaqcOCoGctQRR-2i9QbzjExylbC6Ap1R2L0bD3rs_X496Cz9E9NyuuV-iOnQD_cfIOV17xutj4GMyOri47LbnssgJ_xGqJK_Rylrr7d72Qzcs)


Exploiting the command injection vulnerability in the getStats endpoint.


Unauthenticated SOAP endpoint vulnerabilities allow remote attackers to execute arbitrary commands with root privileges, which inject OS commands via user-supplied data, bypassing insufficient validation.


According to [Modezero](https://modzero.com/static/MZ-24-01_modzero_MailCleaner.pdf), in clustered environments, compromising a single member grants full access to all machines, further escalating system compromise. 


Multiple critical and high-severity vulnerabilities have been identified in an unspecified software system, where an unauthenticated attacker can potentially execute arbitrary commands on the system through email [(CVE-2024-3191)](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-3191), inject malicious scripts [(CVE-2024-3192](https://nvd.nist.gov/vuln/detail/CVE-2024-3192), [CVE-2024-3194),](https://nvd.nist.gov/vuln/detail/CVE-2024-3194) or trick a logged-in user into performing unintended actions [(CVE-2024-3193).](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-3193) 


Authenticated users can potentially gain unauthorized access to files [(CVE-2024-3195)](https://nvd.nist.gov/vuln/detail/CVE-2024-3195) and execute arbitrary commands on the system through local SOAP endpoints [(CVE-2024-3196).](https://nvd.nist.gov/vuln/detail/CVE-2024-3196/change-record?changeRecordedOn=04/29/2024T06:15:08.900-0400) 





## Tags:
***CVE's***: CVE-2024-3192 CVE-2024-3193 CVE-2024-3196 CVE-2024-3195 CVE-2024-3194 CVE-2024-3191

### Autogenerated tags:
mailcleaner xss emails malware
