# Critical OAuth Framework Flaw Let Attackers Hijack Accounts & Steal Sensitive Data
## OAuth Flaw in Expo Platform affects hundreds of Third-Party sites, apps. An attacker can exploit this vulnerability in the expo framework by sending a malicious link to a victim.
## Information:

+ Link: https://cybersecuritynews.com/?p=18710
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 29 May 2023, 06:29
+ Date scraped: 29 May 2023, 08:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhhjY6AQs7GvRLHN4dz8QlwTnJa_8rgPwdvEIHA4ff_5lLSmWc68X8I5NRydXIWSHhqgUSl4zbVsCyR5TQUw83rupG3J2-ChYmOuCpoyghO4F8WYDqJiysqGdCKbPR-PZrml2mUKv1lxQ5SHguCfE9M_zBhKqTmOcyh2M0EkPjeKVa4w55bxCVUND4s5g/s16000/OAuth%20Vulnerability.webp)


[OAuth](https://cybersecuritynews.com/oauth-2-0/) is the modern authentication mechanism most applications use to ease off the signing by creating a cross-allow application access delegation. 





However, recent discoveries from Salt security state a security flaw in the Expo framework, which is used in developing high-quality native apps for platforms like iOS, Android, and web platforms.


## **Critical** **OAuth Framework Flaw**


**[CVE-2023-28131](https://nvd.nist.gov/vuln/detail/CVE-2023-28131)** – OAuth Flaw in Expo Platform affects hundreds of Third-Party sites, apps


An attacker can exploit this vulnerability in the expo[.]io framework by sending a malicious link to a victim.


When the victim clicks on the link, the attacker can take over the victim’s accounts and steal credentials on the application or website, which uses the “***Expo AuthSession Redirect***” Proxy for OAuth flow.


## Technical Analysis


The [OAuth mechanism](https://cybersecuritynews.com/red-team-tools/) has two different flows implicit grant and explicit grant flow. 


* Implicit grant
* Explicit grant


In the implicit grant flow, the application that uses the OAuth sign-in will request a token ID parameter from any of the OAuth providers like Facebook, Google, etc.,


This token ID parameter is received when the user allows the website to access his Facebook or Google user profile.


When the user allows, a [secret key](https://cybersecuritynews.com/gdpr-hipaa-compliance/) is generated and sent to the application via URL. 


The application uses This secret key to retrieve user information from Facebook or Google. The implicit grant type is used in single-page and native desktop applications.


## The Expo Framework


The Expo framework is used in companies like flexport, Codecademy, Petal, Cameo, Insider, etc., with more than 650K developers worldwide.


[Researchers at Salt security](https://salt.security/blog/a-new-oauth-vulnerability-that-may-impact-hundreds-of-online-services) have recreated the application to understand the OAuth flow in the Expo framework completely. 


It was revealed that the Expo framework had a flow where the *ReturnUrl* parameter was vulnerable to exploitation by a threat actor.


## Attack Methodology


The threat actor sends two links to the user.



![OAuth Framework Flaw](https://cybersecuritynews.com/wp-content/uploads/2023/05/image-181-1024x531.png)First Approach *Source: Salt Security*


When the user clicks on the first link, the Expo framework sets the *ReturnUrl* to default the attacker’s value, say, [***hTTps[:]//attacker.com***]


After the user clicks on the second link, Facebook redirects the user to the Expo.io website and sends a token to the *ReturnUrl*.


However, since a user will not click on two links simultaneously during a [social engineering attack](https://cybersecuritynews.com/pretexting/), a Javascript exploit is used, which reduces the time for the user to see the confirmation page from Facebook.



![OAuth Framework Flaw](https://cybersecuritynews.com/wp-content/uploads/2023/05/image-182.png)*Javascript Exploit Code* *Source: Salt Security*


[Salt Security publishes](https://salt.security/blog/a-new-oauth-vulnerability-that-may-impact-hundreds-of-online-services) a complete detailed analysis of the attack.


This results in an account takeover and credential stealing vulnerability in the Expo.io Framework.


Expo has recommended all of its users update to the [latest security patch](https://blog.expo.dev/security-advisory-for-developers-using-authsessions-useproxy-options-and-auth-expo-io-e470fe9346df) released by them.






## Tags:
***CVE's***: CVE-2023-28131
***urls***: https://attacker.com http://expo.io

### Autogenerated tags:
oauth facebook website google returnurl
