# DNS TXT Records Can Be Used by Hackers to Execute Malware
## AhnLab's ASEC recently confirmed malware using DNS TXT Records during its process of execution, a unique method that is not widely employed, with significance for analysis and detection.
## Information:

+ Link: https://cybersecuritynews.com/?p=24031
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 30 June 2023, 10:53
+ Date scraped: 30 June 2023, 11:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgjvRub86k3S5zkoMD-XKC97FmX5GZPDtfqjeeBizdvu2Cn5s3wV7qL7v40dBqHuRRl2Ot1rkifM-860VIIG0TANjPVJxuABwwEqlmc8wDatYd3eVgNZiRBShFLd7FBu_nTZvk2-Vhx_Utkl5SlMKr5gpSW4MQuvMMpU8CXmvvp4MV6tc0-MHO4lAjj5sfe/s1600/malware-execution-using-dns-txt-records-649eaafa76f01-1.webp)


[DNS TXT record](https://cybersecuritynews.com/dns-filtering-solutions/) enables domain administrators to input text into DNS, initially for human-readable notes, but now it’s utilized for diverse purposes like:- 


* Spam prevention
* Domain ownership verification


Spam email senders disguise domains to evade detection, but servers verify emails using the DNS TXT record as a key element.


Moreover, the domain owners can verify their ownership by uploading a TXT record with [specific information](https://cybersecuritynews.com/hackers-use-shapeshifting-tactics/) or modifying the existing one.


ASEC from AhnLab [has confirmed](https://asec.ahnlab.com/en/54916/) the use of DNS TXT Records in malware execution, which is a rare technique that holds importance for detection and analysis purposes.


## **Malware** **Execution using** **DNS TXT Records**


The malware uses DNS TXT records differently, closer to the original purpose of entering [DNS-related info](https://cloud.google.com/dns/docs/dns-overview), rather than the common method mentioned earlier.



![](https://lh6.googleusercontent.com/E5raIQpsO3jTUmIttvfOwqtwPlPESjXTSEphXmIp6cBXMjreRIqGtMoWNyKhEAF1pGeRO2ucKBCcUaIRIJx1ASv2b8_5zyjSbLMOMZZzlCEm-ssZRoaoMZKtgauueuOluTIxCldTJx8AZyeq2dt1CWQ)A malicious PPAM file attachment in Phishing email (Source – AhnLab)


A [phishing email](https://cybersecuritynews.com/what-is-phishing-essential-advice-for-safeguarding-your-personal-data-online/) included a fake “Order Inquiry” with a PowerPoint add-in (PPAM) file. PPAM files have user-defined macros and VBA code, and executing the PowerPoint macro triggered PowerShell’s nslookup management tool.



![](https://lh3.googleusercontent.com/DnRz2gzO1-36CvMODls3W6K58b0YTuxbB6xufoO6FeUQVOX5riC5bgDpfmPPj3KTGb_EoYAM_QER156608sBZo-b3C3x_I9BFnGDg2oCD6oe0rhcAL5SS9igj0tQhh77uOccGC7EwvyY14lGCei5Mws)Macro code in the PPAM file (Source – AhnLab)


Within the PPAM file, the macro code is straightforward, and when executed, it runs PowerShell for nslookup, querying the DNS TXT record. The threat actor included the command for their next process in the DNS TXT record.


The threat actor’s multiple attempts on child processes suggest an evasion strategy against [anti-malware solutions](https://learn.microsoft.com/en-us/microsoft-365/security/office-365-security/anti-malware-protection-about?view=o365-worldwide) and other related products.


Analyzing the DNS TXT record of the threat actor’s server (abena-dk[.]cam) reveals a unique data output, deviating from typical DNS TXT record purposes.


It suggests that the threat actor experimented with subdomains, executed calculator (calc.exe), and instead of JavaScript (js) files, employed the VBScript (.vbs) files.



![](https://lh3.googleusercontent.com/0WYElX3Ah-BInUGPa4bs4ABBE2qE4kXLjiMSCl2WJKFPXKcu4K9ohiH8YjxBRJHwWhnYZAMmifqf0UiqaxM8Vkr_n1UbzXZeKGps0jkv6IoFoDSx4ZTSvzm0DpYFWa8ZzuY__0t5ARfCIzjqhFfo4cY)nslookup result of the various subdomains (Source – AhnLab)


The threat actor employed an unexplored method by uploading [PowerShell commands](https://devblogs.microsoft.com/scripting/table-of-basic-powershell-commands/) on their DNS TXT record, enabling execution upon nslookup query. 


This approach differed from the traditional practice of writing PowerShell commands directly in the macro code and allowed for malware execution.


After saving as meth.js, the methewPayload.js file’s PowerShell URL is used with wscript.exe to execute it, and then it downloads a Base64-encoded DLL binary from an external URL.


This malware type isn’t new but rather originated from the hacking group Hagga (Aggah) and has been circulating since late 2021.


Based on TTP analysis, the threat actor employed various methods, including:-


* Distributing documents with malicious macros
* Using characteristic .NET code elements
* Employing the StrReverse function
* Downloading additional malicious files
* Executing additional malicious files


While the downloaded file was identified as an [AgentTesla](https://cybersecuritynews.com/hackers-use-url-obfuscation/), that is a . NET-based Infostealer.






## Tags:
***urls***: http://abena-dk.cam

### Autogenerated tags:
dns malware ppam powershell ahnlab nslookup
