# Exploit Released for Galaxy Store Flaw That Let Attacker Install Malware
## Two flaws in Samsung's official app store, the Galaxy App Store, might let attackers install any app without the user's knowledge or lead users to a malicious website.
## Information:

+ Link: https://cybersecuritynews.com/?p=13252
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 21 January 2023, 16:13
+ Date scraped: 21 January 2023, 17:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjeRGvDigBRMB9GvOBRF7dv36hp_rXsfbNba3gDvtgEEwF_Lkd6rHV27lWyEEnGM9o-_gOu11pOWUiGuXQ_-SmHrJU3hY2A32T9iC26iTrdE2CXaOl8IQE6i2fTZ_AaazjiHTuQMfUX83QxbnGbDNMtuziaCVd-2hh8tuJ0GY6kPBXG8sl4UGuyJNeSYQ/s16000/Galaxy-Store-Flaw.webp)


Researchers from the NCC Group detected two flaws in the Galaxy App Store application between November 23 and December 3, 2022.





Two flaws in Samsung’s official app store, the Galaxy App Store, might let attackers install any app without the user’s knowledge or lead users to a malicious website.


## **Technical Details of the Security Flaws**


* **Improper access control could allow local attackers to install applications from the Galaxy App Store ([CVE-2023-21433](https://cve.mitre.org/cgi-bin/cvename.cgi?name=2021-21433))**


Researchers say the Galaxy App Store was discovered to have an exported activity that does not securely process incoming intents. This enables other apps running on the same Samsung device to automatically install any application from the Galaxy App Store.


The proof-of-concept (PoC) provided by NCC’s analysts is an “ADB” ([Android Debug Bridge](https://developer.android.com/studio/command-line/adb)) command that tells an app component to install the “Pokemon Go” game by submitting an intent to the app store with the specified target application.


![ADB command used in NCC's PoC](https://lh3.googleusercontent.com/rIBACT-Yvp4Et2_HnT4itzi8tlC2xFJAEdno-lcWQdoOJMN6Dx94DwYREPq5dx-iPZMKx1NklA8Ksk9yyOOSlCsd4rTnQalnwcEFAyfhF8pEgobwmHHkL7mFl6_vAx8X8Rbt1eipGIYKzdLEeHIopIFXMhPmtk9zqyR9tF66USRs4l3GeXsfYOVTHNb1S_jn2vxx2hfNaQ)ADB command used in the PoC


In this case, the intent may also specify whether or not the newly installed application should be opened, giving threat actors more options for how to carry out the assault.


“A pre-installed rouge application on a Samsung device running Android 12 or below can abuse this issue to install any application currently available on the Galaxy App Store”, [NCC reports](https://research.nccgroup.com/2023/01/20/technical-advisory-multiple-vulnerabilities-in-the-galaxy-app-store-cve-2023-21433-cve-2023-21434/). 


Samsung has upgraded the Galaxy App Store for devices running Android versions 12 or lower (version 4.5.49.8). Android 13 smartphones are unaffected by this problem.


* **Improper input validation could allow local attackers to execute JavaScript by launching a web page ([CVE-2023-21434](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-21434))**


It was discovered that a webview inside the Galaxy App Store included a filter that restricted the URLs it could browse. The filter, however, was improperly set up, allowing the webview to navigate to a site that the attacker-controlled.


“Either tapping a malicious hyperlink in Google Chrome or a pre-installed rogue application on a Samsung device can bypass Samsung’s URL filter and launch a webview to an attacker-controlled domain”, NCC explains.


The proof-of-concept (POC) demonstrated in the study consists of a hyperlink that, when clicked from Chrome, opens a website with malicious JavaScript and executes it on the target device.


![Hyperlink to force webview to browse on unsafe sites](https://lh5.googleusercontent.com/KIfbji71gWFSZS4pBUkYW9btH-fyagGjzR_bGXLXMt_e4Hi7ad0P_G2_t6KgMudlml_HxwFWDFnDUs-bv41MduuX29wP_OM8rqV1Z7tW-BQ2x4eLP-f87l6U4MT4TSeYallZ9fbhOmF11iwNkuijg9BAHFl8z44ylL5ItgF_7GONWk3YsSsEJ31i6m4bmzuRoUoxJMNEpg)Hyperlink to force the GS’s webview to browse unsafe sites


In this case, the “player.glb.samsung-gamelauncher.com” portion of the malicious domain is the only requirement for this attack. Any domain can be registered and added as a subdomain by an attacker.


An updated version of the Galaxy App Store has been made available by Samsung (version 4.5.49.8).


It is recommended that users should access the Galaxy App Store, and if requested, download and install the most recent version.






## Tags:
***CVE's***: CVE-2023-21433 CVE-2023-21434
***ipv4-adresses***: 4.5.49.8

### Autogenerated tags:
samsung ncc android webview poc hyperlink
