# Fortinet FortiOS Flaw Let Attacker Execute Malicious JavaScript Code
## A high-severity cross-site scripting (XSS) vulnerability tracked as (CVE-2023-29183) affecting several FortiOS and FortiProxy versions has been patched by Fortinet.
## Information:

+ Link: https://cybersecuritynews.com/?p=43470
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 20 September 2023, 07:07
+ Date scraped: 20 September 2023, 08:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhSzVOWTuaf8R8Ax9WYMwH-hkec076WXkYPIvOIAOvXUvGIis2QmOXv3JPkvGihlSKrCAp1t9QDS5af6IEYduz1cJBaTlaYXx5_IT6wja2ODQYBVoADqruwIkQrculcc9k9UEciOntUr7GCV_8q_YdQZNxvfiZgi7GmF2nrlaZ94r5ML9tHrxJFnnB0PFkj/s16000/Fortinet%20FortiOS%20Flaw.webp)


A high-severity [cross-site scripting (XSS)](https://cybersecuritynews.com/web-stories/most-dangerous-injection-attacks/) vulnerability tracked as (CVE-2023-29183) affecting several FortiOS and FortiProxy versions has been patched by Fortinet.


Additionally, the cybersecurity firm provided updates for a high-severity flaw in FortiWeb, tracked as  (CVE-2023-34984).






“A cyber threat actor can exploit one of these vulnerabilities to take control of an affected system,” [CISA warns](https://www.cisa.gov/news-events/alerts/2023/09/15/fortinet-releases-security-updates-multiple-products).


**CVE-2023-29183 – FortiOS & FortiProxy**
-----------------------------------------


The vulnerability was tracked as [CVE-2023-29183](https://nvd.nist.gov/vuln/detail/CVE-2023-29183) (CVSS score of 7.3) in FortiOS and FortiProxy GUI. An inappropriate neutralization of input during web page generation (‘Cross-site Scripting’) vulnerability exists.


“This may allow an authenticated attacker to trigger malicious JavaScript code execution via crafted guest management setting,” Fortinet said in its [advisory](https://www.fortiguard.com/psirt/FG-IR-23-106).




Document

FREE Webinar
[Live DDoS Attack Simulation](#)
--------------------------------


Attend the Live DDoS Website & API Attack Simulation webinar to gain knowledge on various types of attacks and how to prevent them.


  [Join Now](https://www.indusface.com/live-ddos-attack-simulation-on-websites-apis.php?utm_source=gbhackers-blog-cta&utm_medium=referrals&utm_campaign=2023-sep-webinar-ddos-attack-simulation-on-websites-api) 


**Affected Products**


* FortiProxy version 7.2.0 through 7.2.4
* FortiProxy version 7.0.0 through 7.0.10
* FortiOS version 7.2.0 through 7.2.4
* FortiOS version 7.0.0 through 7.0.11
* FortiOS version 6.4.0 through 6.4.12
* FortiOS version 6.2.0 through 6.2.14


**Patch Available**


* FortiProxy version 7.2.5 or above
* FortiProxy version 7.0.11 or above
* FortiOS version 7.4.0 or above
* FortiOS version 7.2.5 or above
* FortiOS version 7.0.12 or above
* FortiOS version 6.4.13 or above
* FortiOS version 6.2.15 or above


**CVE-2023-34984 – FortiWeb**
-----------------------------


The vulnerability was tracked as [CVE-2023-34984](https://nvd.nist.gov/vuln/detail/CVE-2023-34984) (CVSS score of 7.1) in FortiWeb. A protection mechanism failure vulnerability may allow an attacker to bypass XSS and CSRF protection.


**Affected Products**


* FortiWeb version 7.2.0 through 7.2.1
* FortiWeb version 7.0.0 through 7.0.6
* FortiWeb 6.4, all versions
* FortiWeb 6.3, all versions


**Patch Available**


* FortiWeb version 7.2.2 or above
* FortiWeb version 7.0.7 or above


Hence, users of Fortinet are urged to upgrade their switches and firewalls as soon as possible.






## Tags:
***CVE's***: CVE-2023-29183 CVE-2023-34984

### Autogenerated tags:
fortios fortiweb fortiproxy cve-2023-29183 fortinet cve-2023-34984
