# Google Chrome Browser Zero-Day Vulnerability Exploited in Wild
## Recently the following cybersecurity researchers identified multiple vulnerabilities along with a Chrome zero-day flaw exploited in the wild.
## Information:

+ Link: https://cybersecuritynews.com/?p=54278
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 17 January 2024, 10:17
+ Date scraped: 17 January 2024, 11:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiSGScjbh3AxsKD-di86HjJbKIfj8aE40Vv-Il8oi7RXx8J1jCu21oPN9YKn04zqx2T_4X8G3gm3OcZA8GCvAnKRqVU9iaXgDv2wVh3nbC2g0soTysfdw3xOUleUCLGoaKnhHzn1eYsmyI-1cX0lCy5s3H-sR88mgDown-AbD3N8bKsRv6L98KdmTXaxFSc/s1600/Google%20Chrome%20Browser%20Zero-Day%20Vulnerability%20Exploited%20in%20Wild.webp)


Google Chrome released the first security update in 2024 with a fix for the zero-day bug actively exploited in Wild.


An update to Google Chrome 120.0.6099.234 for Mac, 120.0.6099.224 for Linux, and 120.0.6099.224/225 for Windows will be released in the next days or weeks.


Hackers exploit zero-day flaws as these vulnerabilities are unknown to software vendors, making them valuable for launching attacks before [security patches](https://cybersecuritynews.com/chrome-zero-day-patch/) are developed.


Even exploiting zero-day flaws can provide a strategic advantage to the threat actors in launching targeted and undetected attacks.


Recently, the following cybersecurity researchers identified multiple vulnerabilities, along with a [zero-day](https://cybersecuritynews.com/chrome-zero-day-exploited/) flaw exploited in the wild:


* CVE-2024-0517 Reported by Toan (suto) Pham of Qrious Secure on 2024-01-06
* CVE-2024-0518 Reported by Ganjiang Zhou (@refrain\_areu) of ChaMd5-H1 team on 2023-12-03
* CVE-2024-0519 Reported by Anonymous on 2024-01-11


The zero-day exploit ([CVE-2024-0519](https://nvd.nist.gov/vuln/detail/CVE-2024-0519)) hits the V8 JavaScript engine with out-of-bounds memory access. However, Google didn’t provide details regarding the attack scope or telemetry. 


At the moment, Google has [confirmed](https://chromereleases.googleblog.com/2024/01/stable-channel-update-for-desktop_16.html?m=1) that the vulnerability is actively exploited in the wild., which was reported anonymously.


Document

Run Free ThreatScan on Your Mailbox
[AI-Powered Protection for Business Email Security](#)
------------------------------------------------------


Trustifi’s Advanced threat protection prevents the widest spectrum of sophisticated attacks before they reach a user’s mailbox. Try Trustifi Free Threat Scan with Sophisticated AI-Powered Email Protection .


  [Run Free Threat Scan](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


**Zero-Day Faw Profile**
------------------------


* CVE ID: CVE-2024-0519
* Description: Out-of-bounds memory access in [V8](https://v8.dev/)
* Reporting: Anonymous
* Reported date: 2024-01-11
* Severity: HIGH


Additionally, Google has stated that it won’t release the bug details until most users have updated. Restrictions also remain for third-party library bugs affecting dependent projects without fixes.


For rewards, Google rewarded the respective researchers for their discoveries accordingly. For CVE-2024-0517, the Toan (suto) Pham of Qrious Secure was rewarded with $16,000; for CVE-2024-0518, the  Ganjiang Zhou (@refrain\_areu) of the ChaMd5-H1 team was rewarded with $1000; and for CVE-2024-0519, the reward is not yet declared.


**Stable Channel Update**
-------------------------


The latest Chrome update covers two high-risk V8 memory safety issues and multiple internal fixes. The recent update patches the code execution vulnerabilities, and at least seven zero-days were patched by Google in 2023.


**Stable channel updates:**
---------------------------


* Mac (120.0.6099.234)
* Linux (120.0.6099.224)
* Windows (120.0.6099.224/225)


**Extended Stable Updates:**
----------------------------


* Mac (120.0.6099.234)
* Windows (120.0.6099.225)


Cybersecurity researchers at Google strongly urged users to immediately update their vulnerable Chrome variant to the latest patched version to mitigate the security threats.


**Update Now!**
---------------


To update the Chrome web browser, you have to follow a few simple steps that we have mentioned below:-


* First of all, go to the Settings option.
* Then select About Chrome.
* Now, you must wait, as Chrome will automatically fetch and download the latest update.
* Then, wait for the latest version to be installed.
* Once the installation process is complete, you will have to restart Chrome.
* That’s it. Now you are done.





## Tags:
***CVE's***: CVE-2024-0518 CVE-2024-0519 CVE-2024-0517

### Autogenerated tags:
google zero-day cve-2024-0519 windows v8
