# Google Chrome Zero-day Vulnerability (CVE-2024-4947) Actively Exploited in The Wild
## Google has released update for its Chrome to patch a high-severity vulnerability that is being actively exploited by attackers in the wild.
## Information:

+ Link: https://cybersecuritynews.com/?p=64732
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 16 May 2024, 04:02
+ Date scraped: 16 May 2024, 05:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgVksSenD_3GcJRkIBh1wuGiKi5VT_YpQrH1yKxF2axfncti3qp7X_xlW99REyCfnIeEgHDRjPIvKBsg4uMi3ckuNKG0iMb7PKcBQZX78ipgLz9Lz6nXPP48SJthW-hN-HQZpga8eMrrvZuzcGv1lAe7OlAXTLpHgDaVbOD19vLhC0CIPKO7zhaa9dvrSna/s16000/Chrome%20zero%20day%20vulnerability.webp)


Google has released an emergency security update for its Chrome web browser to patch a high-severity vulnerability that is being actively exploited by attackers in the wild.


The zero-day flaw, tracked as CVE-2024-4947, is a type confusion bug in the V8 JavaScript engine that could allow remote code execution attacks.


A type confusion bug in the V8 JavaScript engine refers to a vulnerability where the engine incorrectly interprets the type of an object, leading to logical errors and potentially allowing attackers to execute arbitrary code.


This kind of vulnerability is particularly dangerous because it can be exploited to cause heap corruption by crafting a specific HTML page that triggers the bug, thereby compromising the security of the browser and the underlying system.


Chrome 125.0.6422.60 for Linux and 125.0.6422.60/.61 for Windows and Mac bring several fixes and improvements to the popular web browser. The official release log provides a comprehensive list of changes.


Security researchers Vasily Berdnikov and Boris Larin from Kaspersky discovered the vulnerability on May 13th and reported it to Google.


“Google is aware of an exploit for CVE-2024-4947 existing in the wild and urges users to update their browsers as soon as possible.”


This marks the 7th zero-day exploit and the [2nd zero-day within the week](https://cybersecuritynews.com/chrome-zero-day-exploited-in-wild/) that targeted Chrome users this year, highlighting the persistent threat posed by sophisticated cyber-attacks.


**`Free On-Demand Webinar to Secure the Top 3 SME Attack Vectors: [Watch for Free](https://go.cynet.com/top-3-sme-attack-vectors?utm_source=cyber_security_news&utm_medium=webinar&utm_campaign=Q2-sponsored-webinars)`**


**Other Security Fixes**
------------------------


In addition to the zero-day patch, the Chrome 125 update includes 8 other security fixes:


* CVE-2024-4948 (High) – Use after free in Dawn, reported by wgslfuzz
* CVE-2024-4949 (Medium) – Use after free in V8, reported by Ganjiang Zhou
* CVE-2024-4950 (Low) – Inappropriate implementation in Downloads, reported by Shaheen Fazim
* Various other fixes from internal audits and fuzzing


Google has restricted access to bug details until most users have updated Chrome. The company thanked all external researchers as well as its internal security teams for their contributions to this [release](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_15.html).


Update Recommended
------------------


While Chrome will automatically update for most users, Google urges all Chrome users on Windows, Mac and Linux to ensure they are running version 125.0.6422.60 or later by manually checking for updates.


![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgV1sxZhMlEJB37IKHIsrWu8rSkpNY04nCyaAtg4M2rKqm2eJTx2DscMob4fzas7MMHYcskch1-5JzsTxdQOA2oHb0RVHkcskBi0OBTXS89AcAh8KXEcM4HhnEi6u0edadlLFLK5R27fZTF43rkt6hq3MXP29CDFkQ3bTKq9dYlRxMhUHj4xQCoc3RWX_6f/s16000/chrome%20125.png)


The new version contains critical security patches to protect against potential attacks exploiting the zero-day vulnerability.


The Chrome team expressed gratitude to all security researchers who collaborated with them during the development cycle, helping to prevent security bugs from reaching the stable channel.





## Tags:
***CVE's***: CVE-2024-4948 CVE-2024-4947 CVE-2024-4950 CVE-2024-4949

### Autogenerated tags:
google zero-day v8
