# Hackers Abuses SVG Image Files to Deliver GUloader Malware
## Hackers are exploiting the versatility of SVG files to distribute the GUloader malware, which is a powerful cybercriminal tool.
## Information:

+ Link: https://cybersecuritynews.com/?p=58330
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 29 February 2024, 07:12
+ Date scraped: 29 February 2024, 08:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhh8qRZc0AGH55a4faNNRvwNElQm-sNF0AMmJri6DA16B7G2fWcGKyJkkDdtkol-v3ycOWYnU6VMg8XgdbUGzKnTBob3Wk_NQNmj6Hadis336bDhz1IiIiHRkgW51BRy-iIbrtK_bj9mkPI0vwO1x6Ig0IQCOsjy0U1Fe706rDjP0W3WZvgGrH2G-AgzhCB/s1600/Hackers%20Abuses%20SVG%20Image%20Files-1.webp)


Hackers are exploiting the versatility of SVG (Scalable Vector Graphics) files to distribute the GUloader malware.


Understanding hostile actors’ techniques and tools is essential to staying ahead in the ever-changing cybersecurity field.


Its stealthy methods and ability to elude detection make this sophisticated malware loader a significant threat to companies and individuals.  
  
Guloader uses evasion techniques, making it difficult for typical security measures to identify and mitigate. This highly elusive loader poses a significant threat to both organizations and individuals.


*You can analyze a malware file, network, module, and registry activity with the* [*ANY.RUN malware sandbox*](https://app.any.run/#register/?utm_source=csnsandgbhackers&utm_medium=article&utm_campaign=rspamd&utm_content=register&utm_term=270224) *and the* [*Threat Intelligence Lookup*](https://any.run/threat-intelligence-lookup/?utm_source=csnsandgbhackers&utm_medium=article&utm_campaign=rspamd&utm_content=ti&utm_term=270224) *that will let you interact with the OS directly from the browser.*


**Rise of GUloader**
--------------------


GUloader is known for its stealth and ability to evade traditional [security measures](https://cybersecuritynews.com/hackers-steganography-png-malware/) through polymorphic code and encryption. 


This allows it to dynamically change its structure, making it difficult for antivirus software and intrusion detection systems to detect its presence.


According to the observations made by SpiderLabs, there has been a notable increase in the frequency of GuLoader utilization.







McAfee Labs has recently [observed](https://www.mcafee.com/blogs/other-blogs/mcafee-labs/guloader-unmasked-decrypting-the-threat-of-malicious-svg-files/) a campaign where GUloader is distributed via malicious SVG files sent through email.


![Spam Email](https://cybersecuritynews.com/wp-content/uploads/2024/02/image-13.png)Spam Email


SVG files are commonly used for two-dimensional vector graphics and support interactivity and animation through JavaScript and CSS.


Modern browsers like Chrome, Firefox, and Edge can render SVG files natively, treating them as standard web content. Cybercriminals are exploiting this inherent trust in SVG files to deliver [malware](https://cybersecuritynews.com/loader-malware-steal-sensitive-data/).


The infection begins when a user opens an SVG file attached to an email. This triggers the browser to download a ZIP file containing a Windows Script File (WSF).


The WSF then executes, using wscript to call a PowerShell command that connects to a malicious domain and executes hosted content, including shellcode injected into the MSBuild application.


![Infection Chain](https://cybersecuritynews.com/wp-content/uploads/2024/02/image-10-1024x246.png)Infection Chain



**Technical Analysis of the Attack**
------------------------------------


The attack starts with a spam email containing an SVG file named “dhgle-Skljdf.svg”. The SVG file contains JavaScript that creates a malicious ZIP archive when the file is opened.


The ZIP file once dropped into the system, reveals an obfuscated WSF script that is difficult to analyze.


This script invokes PowerShell to connect to a malicious domain and execute the retrieved content, including base64-encoded shellcode and a PowerShell script.


![Process Tree](https://cybersecuritynews.com/wp-content/uploads/2024/02/image-11.png)Process Tree



The PowerShell script attempts to load the shellcode into the legitimate MSBuild process using the Process Hollowing technique.


After injection, the shellcode performs an anti-analysis check and modifies the Registry run key to achieve persistence.


The final stage involves downloading and executing the final malicious executable, [GUloader](https://cybersecuritynews.com/researchers-remcos-rat-and-guloader/), or malware variants.


![Encoded PowerShell](https://cybersecuritynews.com/wp-content/uploads/2024/02/image-12-1024x367.png)Encoded PowerShell


Using SVG files to deliver malware like GUloader is a concerning development in the cybersecurity landscape.


Organizations and individuals must treat unexpected email attachments cautiously, especially those containing SVG files. Security professionals are encouraged to update their detection systems to counter this evolving threat.


**IOCs**
--------




|  |  |
| --- | --- |
| **File** | **SHA256/URL** |
| Email | 66b04a8aaa06695fd718a7d1baa19386922b58e797634d5ac4ff96e79584f5c1 |
| SVG | b20ea4faca043274bfbb1f52895c02a15cd0c81a333c40de32ed7ddd2b9b60c0 |
| WSF | 0a196171571adc8eb9edb164b44b7918f83a8425ec3328d9ebbec14d7e9e5d93 |
| URL | hxxps://winderswonders[.]com/JK/Equitably[.]mix |




You can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits, with [**Perimeter81 malware protection**](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428). All are incredibly harmful, can wreak havoc, and damage your network.





## Tags:
***urls***: http://FileSHA256/URLEmail66b04a8aaa06695fd718a7d1baa19386922b58e797634d5ac4ff96e79584f5c1SVGb20ea4faca043274bfbb1f52895c02a15cd0c81a333c40de32ed7ddd2b9b60c0WSF0a196171571adc8eb9edb164b44b7918f83a8425ec3328d9ebbec14d7e9e5d93URLhxxps://winderswonders.com/JK/Equitably.mix https://winderswonders.com/JK/Equitably.mix
***SHA256-hash***: b20ea4faca043274bfbb1f52895c02a15cd0c81a333c40de32ed7ddd2b9b60c0 66b04a8aaa06695fd718a7d1baa19386922b58e797634d5ac4ff96e79584f5c1

### Autogenerated tags:
svg malware guloader powershell shellcode wsf
