# Hackers Exploit Litespeed Plugin Flaw To Create Rogue Admin Accounts
## WordPress plugins make WordPress more useful, but most of these have flaws that hackers may try to take advantage of to get unauthorized
## Information:

+ Link: https://cybersecuritynews.com/?p=64056
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 08 May 2024, 10:00
+ Date scraped: 08 May 2024, 10:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_QmqWbGS0lk58edbWV4FUgtOW-eRV0btrQRyX9dOZDaW5djL5Bj6EDOksK2yd6dObB-pmpxnqBOunTH_PdB8gH3G4VyPVJM8aVg8a5GWriXU9XmTpnktCxMXrMWr-wA3LCLj8mIeK9qYBSfeupjq-2MiIF5aOcuTeyQfOfpRRREYlb2QHVRtlVzpF4mDV/s16000/Hackers%20Exploit%20Litespeed%20Plugin%20Flaw%20to%20Create%20Rogue%20Admin%20Accounts.webp)


WordPress plugins make WordPress more useful, but most have flaws that hackers may try to exploit to get unauthorized entry or introduce malicious code.


The popularity and widespread use of common plugins make them an easier target for attackers.


Similarly, out-of-date or neglected plugins with unfixed vulnerabilities tend to offer vulnerable entry points that even a less skilled threat actor could take.


Document

Free Webinar : Live API Attack Simulation
-----------------------------------------


94% of organizations experience security problems in production APIs, and one in five suffers a data breach. As a result, cyber-attacks on APIs increased from 35% in 2022 to 46% in 2023, and this trend continues to rise:


**Key Takeaways:**


* An exploit of OWASP API Top 10 vulnerability
* A brute force ATO (Account Takeover) attack on API
* A DDoS attack on an API
* Positive security model automation to prevent API attacks


Start protecting your APIs from hackers


  [Book Your Seat](https://app.any.run/?utm_source=linkedin_csn&utm_medium=post_meme&utm_campaign=register&utm_content=register&utm_term=290424/#register) 



Hackers can do many things, such as distribute malware, carry out website defacements, or manipulate plugins to use compromised sites for future attacks.



Recently, cybersecurity analysts at WPScan [discovered](https://wpscan.com/blog/surge-of-javascript-malware-in-sites-with-vulnerable-versions-of-litespeed-cache-plugin/) that hackers have been actively exploiting the Litespeed plugin flaw to create rogue admin accounts.


**Hackers Exploit Litespeed Plugin Flaw**
-----------------------------------------


If you’ve discovered the ‘wpsupp-user’ admin user on your site, it indicates this latest malware campaign has impacted your website.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhOnTwf8mBC6lxBlV2EE7jdbTgSiYUXMdFoGyWKc7i3jA8owYqsYfYTQna5Ww-HLbz8T0W3PA4lHWA_ICfwRhsBcyWws0dpziXKsGs860GEjgmJMzbBt571j11pmXZqlxrA_MSMmxtLLuJK4jyg4ZOAV1Jos6bTyCcvzupCiojwJcoQumVjLfMCJmDyafis/s16000/Critical%20WordPress%20file%20(Source%20-%20WPScan).webp)Critical WordPress file (Source – WPScan)


Malicious code is injected into critical WordPress files or the database by exploiting vulnerabilities in outdated [LiteSpeed](https://cybersecuritynews.com/litespeed-cache-plugin-xss-flaw/) Cache versions.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjBA8HMPTvxJBOXs6PRX7hsUK3dWeLu7FxbihIoZ03sV8xf7v5w2VSZjXulq9zdoDLK_0wNhJ2FKEkHY5H7DytAKE63xGfJb6aTTd7MWNnQFzUpUgSoj90cCSznti8_90OwJMBlh3zGCkN6GzSSm7jrvUH0MWoLfXYlz1UOQG9rEldfXNhh4oP22SQqvdqE/s16000/Vulnerable%20version%20of%20LiteSpeed%20Cache%20(Source%20-%20WPScan).webp)Vulnerable version of LiteSpeed Cache (Source – WPScan)


Here below is the decoded version:-



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh0ZMcZKAkOkB5RERVHk8VesjwkV_VUyRHWw0BYSaMPODRVX0FlnMu8_BkYureSFiuOqFN2l_rnzvhIeDjpP_qUV2Zq0oj6pDJYkKU2MtuVGpGFFc3e4AL77WPjjnKyyM3f9HwV04zBv02R-ATyNSeEWsN2wQNNl556HuUDl-ZUXcsAxbw6ntP9SvjHK2SH/s16000/Decoded%20version%20(Source%20-%20WPScan).webp)Decoded version (Source – WPScan)


To identify the malicious URLs and IPs make sure to lookout for malicious URLs like “https[:]//dns.startservicefounds.com/service/f.php,” “https[:]//api.startservicefounds.com,” “https[:]//cache.cloudswiftcdn.com” and the IP “45.150.67.235” associated with this malware campaign.


The decoded malicious JavaScript often creates rogue admin users such as ‘wpsupp-user’ on the sites that were compromised.


Risks are posed by injecting a malicious script into vulnerable LiteSpeed plugin versions (https[:]//wpscan.com/vulnerability/dd9054cc-1259-427d-a4ad-1875b7b2b3b4) exploited by attackers.


WPScan’s WAF logs showed that on April 27 and 2, there were some unusual spikes in access to this URL, which may suggest vulnerability scanning from IPs 94.102.51.144 (1,232,810 requests) and 31.43.191.220 (70,472 requests), and targeting of weak sites as well as those that are likely susceptible to cyber attacks.


**Recommendations**
-------------------


Here below we have mentioned all the recommendations:-


* Make sure to audit plugins, update them, and remove any suspicious plugin directories.
* Identify and remove rogue admin users like “wpsupp-user” and “wp-configuser.”





## Tags:
***ipv4-adresses***: 45.150.67.235 31.43.191.220 94.102.51.144
***urls***: https://api.startservicefounds.com https://dns.startservicefounds.com/service/f.php https://cache.cloudswiftcdn.com https://wpscan.com/vulnerability/dd9054cc-1259-427d-a4ad-1875b7b2b3b4

### Autogenerated tags:
plugins api wpscan litespeed wordpress plugin malware
