# Hackers Exploit Windows Search Feature to Execute Malware on Infected Systems
## Malware authors persistently seek novel approaches to exploit unsuspecting users in the active cyber threat landscape.
## Information:

+ Link: https://cybersecuritynews.com/?p=31431
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 28 July 2023, 07:36
+ Date scraped: 28 July 2023, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjXRVqkg2iGXLlmTW331li6G97yrTHFL0Y5fyDWROgsmp7m4xvLOTH4_FajRPlKvHEgHByZXUDcHFK4NA4pMlgnyQNFqE-nThK8KShf-5ScFaEEH_c60QlWs8MIihYUG22-oR8g5WWpCKXsHEMYRBDxkwaXTPFMdLMXXEwYxvjvEUvUAQQJPNuXYzyQEi8x/s16000/Hackers%20Exploit%20Windows%20Search%20Feature%20to%20Execute%20Malware%20on%20Infected%20Systems.webp)


Malware authors persistently seek novel approaches to exploit unsuspecting users in the active [cyber threat](https://cybersecuritynews.com/soc1-vs-soc2/) landscape.


To easily locate all the available files, folders, and other items on your [Windows system](https://cybersecuritynews.com/p2p-worm-redis-instances/), Microsoft Windows OS offers an outstanding powerful tool known as the Windows search feature.





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



Unexplored by many, the “search-ms” URI protocol handler in Windows allows potent local and remote searches, but security researchers at Trellix warn of potential exploitation.


## **Infection Chain**


Cybersecurity researchers at Trellix Advanced Research Center revealed that this new attack technique exploits the “search-ms” URI protocol with JavaScript on websites and HTML attachments.


This expands the attack surface and not only that even also explores the “search” protocol as well.


Threat actors exploit the “search-ms” protocol to deceive users with emails, compromised websites, and disguised remote files to make them execute [malicious code](https://cybersecuritynews.com/critical-atlassian-bitbucket-server/) unknowingly.



![](https://lh4.googleusercontent.com/3Z_QAE83VLcs70_6Z_XUOv54IZAqIaR_PjFJP61klaOXzNYtFrLwbJVjW1A_TZ-UdCHR7Qfv81dFcNPd1At9vMpuOsSfz5WM46USH8Hdfv_bdf24SXekQPJOFM-dMhhCUryQMjPVmP1K4YLWDAlLHK0)Infection Chain (Source – Trellix)


Besides this, security analysts detected several [phishing emails](https://cybersecuritynews.com/texas-man-phishing/) using the “search-ms” protocol to deliver a malicious payload, masked as urgent sales quotation requests.



![](https://lh6.googleusercontent.com/XssOy12B-3O7zEB1heIn8fnPQQVgygXS6pV8Dh19m7RfTQGmTwH5Ht7d06pcxGMnYzHtS4IDBXZuj6Zxa4QtRaMlIzXvh6sD317WL7CL2d2rm4ESqO0reEX0RzALk0u9WjWLq4GNypEtATwbRLRADPk)Phishing emails (Source – Trellix)


Various attack variants involve emails with HTML/PDF attachments containing URLs to compromised websites using the ‘search-ms’ URI protocol handler, while embedded scripts in HTML files can also trigger the attack.


Once the link in the email or attachment is clicked, users get redirected to a website exploiting the “search-ms” URI protocol handler, revealing a suspicious script in the GET request for page.html:-



![](https://lh3.googleusercontent.com/iJrG7PlhbQRdHCP3gY0mE02hu8fQNf4LxVIfhhOXFk4IRQdxXOtdyk9riiwSgMGS8q75hSinIMo7eLJ7T7dynjq6wLH4tH-R3QicxSvmp81Fr_DETNnuK1Vw-fUgPcaJGbFKtfaBogkD7kQLDsYRsbk)HTML with ‘search-ms’ URI Protocol Handler (Source – Trellix)


Experts uncover numerous PowerShell file variants in this investigation, comprising:-


* The “over.ps1” file downloads an ISO file.
* PowerShell scripts directly download the DLL payload and execute it.
* PowerShell scripts that trigger the download of a zip file containing an EXE payload.
* PowerShell scripts that download and execute DLL files.
* PowerShell scripts that download and execute VBS files.


The campaign deploys [remote access trojans](https://cybersecuritynews.com/apt-c-36-hacking-group/) (RATs) like Async RAT and Remcos RAT to gain unauthorized control over infected systems, facilitating:-


* Data theft
* User monitoring
* Command execution


The Remcos RAT employs null byte injection in its EXE payload to evade security products. The attacker employs a proactive approach, continuously updating files to avoid [security product detection](https://cybersecuritynews.com/email-security-with-ai/), and bypassing static signatures and known IoCs.



![](https://lh4.googleusercontent.com/ykPOMiE-vxgzJaUT2OisYdEPnEVxinvnwY_fb7cVk4T5atjbhB5vS4OCHLtJFi4g_E4tOtyG1IGcoyAeO1X6F2uOSd85pFu4u9cu94HOu2owMmRCuOTapvFR9KPbMygnJ5f4MkzI1Evc1bJJMtJ9lm4)Multiple HTML used as an initial attack vector (Source – Trellix)


Security analysts found attacker-controlled file servers, some lacking authentication, posing a significant security risk by enabling easy access for further exploitation.


## **Recommendations**


Here Below we have mentioned all the recommendations:-


* Make sure to exercise caution and be vigilant about untrusted links.
* It is crucial not to click on suspicious URLs or download files from unknown sources to avoid potential risks.
* Beware of the exploitation of the “search” / “search-ms” URI protocol handler to deliver malicious payloads to systems.
* Make sure to avoid engaging with potentially harmful links and files.
* Always keep your system and AV tools updated with the available latest security patches and updates.
* Make sure to use a robust AV solution.






## Tags:


### Autogenerated tags:
search-ms” trellix powershell windows html emails websites
