# Hackers Exploiting Citrix NetScaler Vulnerability to Steal User Credentials
## Threat actors were attacking unpatched NetScaler Gateways using the vulnerability classified as CVE-2023-3519, to inject malicious script.
## Information:

+ Link: https://cybersecuritynews.com/?p=45824
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 10 October 2023, 15:35
+ Date scraped: 10 October 2023, 16:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjgPukcZt5zUzbxVGx8LiIrskJuF3kp0fJJV4FQ_gBKkvVNergxjyhrkPGocQMzEHrnt0Sl4zRZcWLgDAHtY8FiVPSnsdne-nv-_4Z5Xbf7Zn9713sNtFZBuo2RTnJiHi5X8tWVtdC3AbJBiat6bebwGxXL_HuNNTaJytd7ApyBU36wPM2EhJ0nH12KKBrH/s1600/Citrix%20NetScaler%20Flaw%20Exploited-1.webp)


Threat actors were attacking unpatched NetScaler Gateways using the vulnerability classified as [CVE-2023-3519](https://cybersecuritynews.com/hackers-attacking-citrix-netscaler/) to inject malicious script into the HTML of the authentication web page and steal user credentials.


With a CVSS score of 9.8, CVE-2023-3519 is a critical vulnerability that affects NetScaler ADC and NetScaler Gateway, which allows Remote Code Execution.






With a focus on the US and Europe, X-Force identified over 600 distinct victim IP addresses hosting modified NetScaler Gateway login pages.




Document

FREE Demo
[Deploy Advanced AI-Powered Email Security Solution](#)
-------------------------------------------------------


Implementing AI-Powered Email security solutions “Trustifi” can secure your business from today’s most dangerous email threats, such as Email Tracking, Blocking, Modifying, Phishing, Account Take Over, Business Email Compromise, Malware & Ransomware


  [Free Demo](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


**Larger Credential Harvesting Campaign**
-----------------------------------------


Reports say a customer found the script after investigating complaints of delayed authentications on the NetScaler device.


The threat actor was leveraging [CVE-2023-3519](https://cybersecuritynews.com/citrix-zero-day/) to inject a PHP web shell, which lets them append custom HTML code to the legitimate ‘index.html’ file, causing the VPN authentication page to load a JavaScript file hosted on the attacker’s page.


![The attack chain](https://lh5.googleusercontent.com/XTCnfSV8WDubGqVr8usHUtAQzKuc_ktG_OIJK57B_LrQThIhYfUutKifgDWlhNpgJR1IK8RUqFhPtLht55fo6bYJFKzzghKeu4j2McZTmBQiQOQQ2r8i4mIDFjUKtE2Z3ikIfnnYoFEHCE7xPvqoNQ)The attack chain


The JavaScript code added to “index.html” makes it easier to harvest credentials by retrieving and executing additional JavaScript code that attaches a special function to the “Log\_On” element and collects form data containing the username and password information upon authentication.


![Credential harvesting](https://lh4.googleusercontent.com/2oMN4H2nNjBt73HA3nJtliuu50rZEI71oFnWXmAT3r021ymuMK1GfyQvzTzVivkEL-nhmSv1Ti3N8DA3-1Hoh0dSG3RnjiDBhzq0J5NYdjg81PihuBR9mnaHbjfmhVeHa8M07OX--zvAec_L7kAsXQ)Credential harvesting


Researchers discovered many domains the threat actor created, including jscloud[.]ink, jscloud[.]live, jscloud[.]biz, jscdn[.]biz, and cloudjs[.]live.


Except for the command-and-control (C&C), the JavaScript files used in these attacks are almost similar. The credentials obtained have been transmitted to the same URL.


“The NetScaler Packet Processing Engine (NSPPE) crash files can contain evidence of exploiting the vulnerability. The crash files are located with “/var/core/<number>/NSPPE\*,” [researchers said](https://securityintelligence.com/x-force/x-force-uncovers-global-netscaler-gateway-credential-harvesting-campaign/).


NSPPE crash file timestamps were found to be aligned with the filesystem timestamps of PHP web shells established through exploitation.


![The Crash file](https://lh6.googleusercontent.com/DPCDt9MncexWQJZBP0wVJCrtYfGVfJ8GWexSqUOiMRpC2kcKitIjgf6woRNRjt6lx1EovuljiItX4B-9enWQIgTUTSjj79MFNQ-eObXxjNXqOBVfEMLvoYKkx2MR9tFqSj5auEgkdb8ZStcmNK-2Ew)The Crash file


CISA issued an [advisory document](https://www.cisa.gov/sites/default/files/2023-07/aa23-201a_csa_threat_actors_exploiting_citrix-cve-2023-3519_to_implant_webshells.pdf)with information on detection, incident response, mitigations, and testing security procedures in response to the widespread exploitation of CVE-2023-3519. It is advised that you follow the specified recommendations.






## Tags:
***CVE's***: CVE-2023-3519
***urls***: http://jscloud.ink http://cloudjs.live http://jscdn.biz http://jscloud.biz http://jscloud.live

### Autogenerated tags:
netscaler cve-2023-3519 javascript
