# Mass Exploitation of Ivanti VPN Exposes Corporate Networks to Hack Attacks
## According to the reports shared with Cyber Security News, there were more than 26000 unique internet-facing Ivanti VPN Connect Secure hosts.
## Information:

+ Link: https://cybersecuritynews.com/?p=54849
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 24 January 2024, 12:24
+ Date scraped: 24 January 2024, 13:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi3baLCZnRP7s0foJY4K3TbC1RsNeHxLpFednF9LbM9DWZOBDyXkoDoeuaujUvga5O759BAuBiB_ra3qIvbruxk8NpgyKgrE4NM1a57zN4DLqqNNcYVoHuGKKT4TUJCOfsFQUt7Mb55r_WtJD4CizEh5sqSBZY4Z5bTv5AKP18QX3xlcfQbolCVQjUhp-tl/s1600/Ivanti%20VPN%20Exploited%20in%20the%20Wild-1.webp)


It was previously [reported](https://gbhackers.com/ivanti-zero-day-flaws/) that Ivanti Connect Secure was vulnerable to an authentication bypass ([CVE-2023-46805](https://forums.ivanti.com/s/article/CVE-2023-46805-Authentication-Bypass-CVE-2024-21887-Command-Injection-for-Ivanti-Connect-Secure-and-Ivanti-Policy-Secure-Gateways?language=en_US)) and a command injection vulnerability (CVE-2024-21887) actively exploited by threat actors in the wild.


Moreover, these vulnerabilities [were added](https://www.cisa.gov/known-exploited-vulnerabilities-catalog?search_api_fulltext=CVE-2023-46805&field_date_added_wrapper=all&sort_by=field_date_added&items_per_page=20) to the CISA’s known exploited vulnerability catalog, and all the FCEB agencies were informed to mitigate these vulnerabilities as soon as possible. However, there has been a massive exploitation of these vulnerabilities worldwide.


Document

Free Trial
[Streaming Malware Service](#)
------------------------------


Open Suspicious Files & Links in the ANY RUN Sandbox Safely; Try All Features for Free. Understand malware behavior, collect IOCs, and easily map malicious actions to TTPs — all in our interactive sandbox.


  [Free Trial](https://any.run/demo/?utm_source=linkedin&utm_medium=post_meme&utm_campaign=csn&utm_content=demo&utm_term=jan_w4) 


**Massive Exploitation** of Ivanti VPN
--------------------------------------


According to the reports shared with Cyber Security News, there were more than 26000 unique internet-facing Ivanti Connect Secure hosts. Among these, 412 hosts were found to be compromised by threat actors with a backdoor due to credential theft.


In addition to this, Ivanti has not yet released a patch to fix this vulnerability. Instead, they have provided recovery, workarounds, and mitigations for this vulnerability. As per the emergency directive [released by CISA](https://www.cisa.gov/news-events/directives/ed-24-01-mitigate-ivanti-connect-secure-and-ivanti-policy-secure-vulnerabilities), the exploitation of these two vulnerabilities was mandated to be mitigated by Federal Civilian Executive Branch (FCEB) agencies.


Additionally, it was also mentioned that these vulnerabilities are particularly serious due to the widespread exposure of internet-facing systems and the mitigation complexity, along with the absence of the official patch from Ivanti.


**Volexity Research**
---------------------


As per Volexity’s research of these vulnerabilities, there was a legitimate Javascript component (/danana/auth/lastauthserverused.js), which was leveraged to keep in memory of the last selected authentication realm.


However, this was discovered to be modified by threat actors to include various mechanisms for hijacking and exfiltration of client login information. Furthermore, this backdoored javascript sends usernames, passwords, and the [authentication](https://cybersecuritynews.com/authentication-and-authorization/) URL to a threat actor-controlled HTTP server.


Nevertheless, secondary scans on the compromised hosts revealed more than 22 variants of callback methods which could indicate that there was more than one threat actor involved in this massive exploitation.


Volexity provides [detailed informa](https://www.volexity.com/blog/2024/01/10/active-exploitation-of-two-zero-day-vulnerabilities-in-ivanti-connect-secure-vpn/)tion about these vulnerabilities, their exploitation, and other information. The massive exploitation scan was performed by researchers at [Censys](https://censys.com/the-mass-exploitation-of-ivanti-connect-secure/), which provides a full complete report about the scan results and the compromised hosts.


It is recommended for all the users of Ivanti to [mitigate](https://forums.ivanti.com/s/article/Recovery-Steps-Related-to-CVE-2023-46805-and-CVE-2024-21887?language=en_US) these vulnerabilities as advised in the [security advisory](https://forums.ivanti.com/s/article/KB-CVE-2023-46805-Authentication-Bypass-CVE-2024-21887-Command-Injection-for-Ivanti-Connect-Secure-and-Ivanti-Policy-Secure-Gateways?language=en_US) by Ivanti until an official patch is released from the vendor.





## Tags:
***CVE's***: CVE-2024-21887 CVE-2023-46805

### Autogenerated tags:
ivanti volexity
