# MultiRDP Malware Let Multiple Attackers Connect Via RDP At Same Time
## Threat actors take advantage of Remote Desktop Protocol (RDP) as a means of unauthorized access to computers and networks to have full control of systems, extract sensitive data, and implant malware, among other matters.
## Information:

+ Link: https://cybersecuritynews.com/?p=67322
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 11 June 2024, 12:05
+ Date scraped: 11 June 2024, 13:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgadZ-PDO-3IkFSB4in4NBPoHoBR6rPd3yITUSAPfDSW02cFeqKtl689N5AasyDeli-XHG7SDqM5qL5MLf4W3NW1B2RQZVkWr4CJOQKWuku3vh6YW46lOzixY6heaau8I9qmDCIMlMjy5UHxPB3EGi4ABUh91I1aB6Nr2q0Yl5W92szqT1S6oxdtISiwCBA/s16000/MultiRDP%20Malware%20Let%20Multiple%20Attackers%20Connect%20with%20RDP%20by%20Patching%20Memory.webp)


Threat actors use [Remote Desktop Protocol (RDP)](https://cybersecuritynews.com/enterprise-remote-access-software/) to gain unauthorized access to computers and networks, fully control systems, extract sensitive data, and implant malware, among other things.


Cybersecurity researchers at ASEC recently discovered that MultiRDP malware lets multiple attackers connect with RDP by patching memory.


AhnLab Security Intelligence Center (ASEC) is responding to SmallTiger Malware attacks against South Korean businesses, including defense contractors, automobile part manufacturers, and semiconductor companies.


**MultiRDP Malware**
--------------------


The attacks were initially discovered in November 2023 and appeared to be related to the Kimsuky group but differed in that they utilized software updaters for lateral movement and installed Andariel’s DurianBeacon backdoor.


They resumed in February 2024, replacing the final payload with the SmallTiger downloader.


Despite the use of known malware strains, these ongoing campaigns employing SmallTiger for malware distribution reveal how threat actors have changed their tactics toward South Korean industries.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgUmtzoD94M6xLJyOyUm8pMuUMxIx9JMAeNlLXE5c558xiEqv2vZ0ijrbdtsnzGSo8Njst_U2JYlmB0ex4jKDBOee4IaMZbros2fxucENC9Jab9v62eOQO9LQk2HYR1l5h5QFWJzTANx7XQGQGiiSyKRaO8ZZQEnMoavrnit5ZBkZrdfutaW4_0RJSBVmH5/s16000/image-55.webp)

MultiRDP Malware




In November 2023, researchers discovered the Kimsuky and Andariel groups exhibiting tactics in attacks that used the MultiRDP malware to enable multiple RDP connections and the [Metasploit Meterpreter](https://cybersecuritynews.com/meterpreter-backdoor-hides-malicious-codes/) backdoor.


To move laterally, the threat actor dropped a service known as “mozillasvcone” through software updater programs, which loaded an encrypted DLL.


`**`With ANYRUN You can Analyze any URL, Files & Email for Malicious Activity : **[Start your Analysis](https://app.any.run/plans/?utm_source=csnandgbhackers&utm_medium=article&utm_campaign=uac_bypass&utm_content=plans&utm_term=040624/)**`**`


This DLL decrypted and executed additional files directly in memory with which an updated edition of DurianBeacon RAT, formerly attributed to Andariel, was deployed.


The evolving techniques used by these threat actors against their targets are indicated by the multistage infection process that combines unknown delivery mechanisms with familiar malware families.


Organization of the DurianBeacon RAT, “The new Go” developed DurianBeacon RAT operating over SSL after the initial access was spread for internal Structure Control along with the mobility, self-erasure features, and [SOCKS proxy](https://cybersecuritynews.com/curl-heap-based-buffer-overflow-flaw/).


Since February 2024, the same threat actor has utilized different software exploiting a vulnerability, a downloader malware identified as SmallTiger, to download and load the subsequent payload in memory.


Credential theft was also attributed to the use of [Mimikatz](https://cybersecuritynews.com/mimikatz-hacking-tool-to-deploy-trigona-ransomware/) and ProcDump.


On April 8, 2024, another SmallTiger different from the previous ones downloaded JavaScript from the C2 and created the payload exploiting an alternate data stream to run it.


It is important to note that GitHub hosted SmallTiger distribution in May 2024.


Although the threat actor actively employed known malware that includes DurianBeacon and SmallTiger, along with the media intrusion, it introduced alterations in the delivery mechanisms and new features, illustrating a persistent need to monitor the threats and introduce newer defense mechanisms.


ASEC confirmed attacks on South Korean companies distributing SmallTiger in November 2023.


One should be cautious of unknown email attachments and downloaded executables as they may contain SmallTiger.


Companies should improve their security monitoring and implement vulnerability patches. To avoid infection with malware, users should ensure they install the latest operating system, browser, and V3 patches.





## Tags:


### Autogenerated tags:
malware smalltiger durianbeacon multirdp rdp asec andariel
