# Multiple Flaws in Dell PowerProtect Products Let Attackers Execute OS Commands
## Multiple vulnerabilities have been discovered in Dell's PowerProtect which were associated with SQL injection, Cross-Site Scripting (XSS).
## Information:

+ Link: https://cybersecuritynews.com/?p=52886
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 15 December 2023, 11:43
+ Date scraped: 18 December 2023, 12:04

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEheeT-dQflKLmtiE68tlTK68tTUhK56l5eXYFXICw01sZR2aL7-OMHgW-UFzDHp53d6oLbwQlfyBbd_Si3ckiiqjjRvhmSmZcrDtSIcN9xUNlaUOA9MU4tW979CJGR-b-SxI_phMjlyjV0goIqZNbuaRdkP3jyxG2_GPufZ0bufJmqoSEr_ef1mvEPw6FLV/s1600/Dell%20PowerProtect%20Vulnerability-1.webp)


Multiple vulnerabilities have been discovered in Dell’s PowerProtect, which were associated with SQL injection, [cross-site scripting](https://cybersecuritynews.com/web-security-scanners/) (XSS), privilege escalation, command injection, and path tracing. The severity for these vulnerabilities ranges between 4.3 (**Medium**) and 8.8 (**High**).


Relevant CVEs have been assigned to all these vulnerabilities, with [CVE-2023-44286](https://nvd.nist.gov/vuln/detail/CVE-2023-44286) associated with Cross-Site Scripting having the highest severity (8.8) and [CVE-2023-44284](https://nvd.nist.gov/vuln/detail/CVE-2023-44284) with the lowest severity (4.3) among the discovered vulnerabilities in Dell PowerProtect.


**Multiple Flaws in Dell PowerProtect Products**
------------------------------------------------


Nearly 8 vulnerabilities have been disclosed, including 4 OS command injections, 1 Path Traversal, 1 SQL injection, 1 Cross-site scripting (XSS), and 1 Privilege Escalation. These vulnerabilities exist on Dell PowerProtect DD versions before 7.13.0.10, LTS 7.7.5.5, LTS 7.10.1.15, and 6.2.1.1110.


**OS Command Injection**
------------------------


[CVE-2023-48668](https://nvd.nist.gov/vuln/detail/CVE-2023-48668) (8.8), [CVE-2023-44277](https://nvd.nist.gov/vuln/detail/CVE-2023-44277) (7.8), [CVE-2023-48667](https://nvd.nist.gov/vuln/detail/CVE-2023-48667) (7.2), and [CVE-](https://nvd.nist.gov/vuln/detail/CVE-2023-44279)[2023](https://nvd.nist.gov/vuln/detail/CVE-2023-44279)[-44279](https://nvd.nist.gov/vuln/detail/CVE-2023-44279) (6.7) were related to OS command injection vulnerability which can be exploited by a threat actor to potentially execute arbitrary OS commands or bypass security restrictions. 


A threat actor could also potentially exploit some of these vulnerabilities and perform various activities such as taking over the system, executing OS commands with vulnerable application privileges, and many others.


**Path Traversal**
------------------


[CVE-2023-44278](https://nvd.nist.gov/vuln/detail/CVE-2023-44278) is related to the Path Traversal vulnerability, which threat actors can exploit to gain unauthorized read and write access to the OS files stored on the server filesystem. The severity for this vulnerability is given as 6.7 (**Medium**).


**SQL Injection**
-----------------


[CVE-2023-44284](https://nvd.nist.gov/vuln/detail/CVE-2023-44244) is related to SQL injection vulnerability, which a threat actor could exploit to execute SQL commands on the application’s backend database, resulting in unauthorized read access to the application data. The severity for this vulnerability has been given as 4.3 (**Low**).


**Cross-Site Scripting (XSS)**
------------------------------


[CVE-2023-44286](https://nvd.nist.gov/vuln/detail/CVE-2023-44286) is related to cross-site scripting vulnerability, which the threat actor can potentially exploit to execute Javascript code in a victim user’s DOM environment of the browser. 


Successful exploitation could lead to information disclosure, session theft, or client-side request forgery. The severity of this vulnerability has been given as 8.8 (**High**).


**Privilege Escalation**
------------------------


[CVE-2023-44285](https://nvd.nist.gov/vuln/detail/CVE-2023-44285) is linked with a Privilege Escalation vulnerability, which a threat actor can exploit with low privilege to escalate their privilege due to improper access control. The severity for this vulnerability has been given as 7.8 (**High**).


**Affected Products & Remediation**
-----------------------------------




|  |  |  |  |
| --- | --- | --- | --- |
| **CVEs Addressed** | **Product** | **Affected Versions** | **Remediated Versions** |
| CVE-2023-44286, CVE-2023-44285, CVE-2023-44277, CVE-2023-48667, CVE-2023-44279, CVE-2023-44278, CVE-2023-44284 | Dell PowerProtect DD series appliancesDell PowerProtect DD Virtual EditionDell APEX Protection Storage | 7.0 to 7.12.0.0 | 7.13.0.10 and aboveor7.10.1.15 and above to stay on LTS2023 7.10or7.7.5.25 and above to stay on LTS2022 7.7 |
| 6.2.1.100 and below | 6.2.1.110 and above |
| CVE-2023-44286, CVE-2023-48668, CVE-2023-44285, CVE-2023-44277, CVE-2023-48667, CVE-2023-44279, CVE-2023-44278 | Dell PowerProtect DD management Center | 7.0 to 7.12.0.0 | 7.13.0.10 and aboveor7.10.1.15 and above to stay on LTS2023 7.10or7.7.5.25 and above to stay on LTS2022 7.7 |
| 6.2.1.100 and below | 6.2.1.110 and above |
| CVE-2023-44286, CVE-2023-44285, CVE-2023-44277, CVE-2023-48667, CVE-2023-44279, CVE-2023-44278, CVE-2023-44284 | PowerProtect DP Series Appliance (IDPA): All Models | 2.7.4 and below | 2.7.6 and above |
| CVE-2023-44284 | PowerProtect Data Manager Appliance model: DM5500 | 5.14 and below | 5.15.0.0 and above |
| CVE-2023-44286, CVE-2023-44285, CVE-2023-44277, CVE-2023-48667, CVE-2023-44279, CVE-2023-44278, CVE-2023-44284 | Dell PowerProtect DD series appliances and Dell PowerProtect DD Virtual Edition leveraged in the Disk Library for Mainframe (DLm) environment | 7.0 to 7.12.0.0 | 7.13.0.10 and aboveor7.10.1.15 and above to stay on LTS2023 7.10or7.7.5.25 and above to stay on LTS2022 7.7 |
| 6.2.1.100 and below | 6.2.1.110 and above |




Furthermore, the security advisory published by Dell provides detailed information about these vulnerabilities, their CVSS vector and other information.





## Tags:
***CVE's***: CVE-2023-44286 CVE-2023-48668 CVE-2023-44277 CVE-2023-44285 CVE-2023-44279 CVE-2023-44284 CVE-2023-44278 CVE-2023-48667
***ipv4-adresses***: 7.76.2.1.100

### Autogenerated tags:
powerprotect sql cross-site cve-2023-44277 cve-2023-48667 cve-2023-44279 cve-2023-44285 cve-2023-44278 xss aboveor7.10.1.15
