# New Google Chrome Zero-Day Bug Actively Exploited in Wild - Emergency Update!
## Google released new security updates for actively exploited Chrome zero-day vulnerability and the exploit exists in the Wild.
## Information:

+ Link: https://cybersecuritynews.com/?p=11855
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 03 December 2022, 04:34
+ Date scraped: 03 December 2022, 05:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg1ICQNuIvbP4pjG39SOlsd3cm2IQSrWPkF4H9qVP88BAFtaprUhXn5AWDg5RiGTuB_R1D0hlg8fF3EZ_g3fPdXQ-399u3yjs1v8HFFID1fXYGtq4xaeQCft2wTMmthSje5V6gcWGkyXma0GcQA-wMXnRuve0LqbVn_Ca4fTooUBqhJYoB97Cy7SorFfQ/s16000/Google%20Released%20Emergency%20Fixes%20to%20Patch%20Zero-Day.png)


Google released new security updates for actively exploited Chrome zero-day vulnerability that allows attackers to execute an arbitrary code to take full control of the system remotely using the exploit that exists in the Wild.





A Stable chennal update was released for the Desktop version 108.0.5359.94 for Mac and Linux and 108.0.5359.94/.95 for Windows.


As part of this emergency security update, Google has patched the ninth zero-day vulnerability in the Chrome web browser this year in 2022.


Type Confusion in V8 vulnerability (**High CVE-2022-4262**) was reported by Clement Lecigne of Google’s Threat Analysis Group on 2022-11-29.


## **Vulnerability Details:**


A high-severity type Confusion vulnerability in [the V8 Javascript engine](https://v8.dev/) affects all the chrome versions that allow attackers to exploit the bug remotely by executing arbitrary code.


Successful exploitation of this zero-day bug leads to crashes of the browser by reading or writing memory out of buffer bounds.


V8, the open-source Google JavaScript engine written in C++ that powers both Chrome and other Chromium-based browsers\* is an especially attractive target for attackers.


A type confusion vulnerability let the exploit to allocates or initializes a resource such as a pointer, object, or variable using one type, but it later accesses that resource using a type that is incompatible with the original type.


Most modern security technologies, like hardware-based mitigation, may often be bypassed by V8 vulnerabilities, Google Project Zero team member Samuel Groß highlighted.


“Access to bug details and links may be kept restricted until a majority of users are updated with a fix.”  
  
“We will also retain restrictions if the bug exists in a third-party library that other projects similarly depend on, but haven’t yet fixed.  
  
“Google is aware that an exploit for CVE-2022-4262 exists in the wild.” Google [Stated](https://chromereleases.googleblog.com/2022/12/stable-channel-update-for-desktop.html).


Google shared only the bug details and CVE and no technical details available at this moment.


## **Zero-day Flaw Fixed in 2022**


Here below we have mentioned all the 8zero-day flaws that are fixed in 2022:-


* [**CVE-2022-4135**](https://cybersecuritynews.com/chrome-zero-day-flaw-actively-exploited-in-the-wild-google-emergency-update/)
* [**CVE-2022-3723**](https://cybersecuritynews.com/chrome-zero-day-bug/)
* [**CVE-2022-3075**](https://cybersecuritynews.com/chrome-zero-day-flaw-actively-exploited-in-the-wild/)
* [**CVE-2022-2856**](https://cybersecuritynews.com/chrome-0-day-vulnerability/)
* [**CVE-2022-2294**](https://googleprojectzero.github.io/0days-in-the-wild//0day-RCAs/2022/CVE-2022-2294.html)
* [**CVE-2022-1364**](https://chromereleases.googleblog.com/2022/04/stable-channel-update-for-desktop_14.html)
* [**CVE-2022-1096**](https://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop_25.html)
* [**CVE-2022-0609**](https://chromereleases.googleblog.com/2022/02/stable-channel-update-for-desktop_14.html)


## **Update Now**


Users were strongly recommended by Google to update their Chrome web browser immediately to prevent exploitation. In order to update the Chrome web browser you have to follow a few simple steps that we have mentioned below:-


![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlKxH1F-bRB4Fmi4THkS0DIXAHWozahTIdgZnJH0iLTpIRFN6pV0gGwQpQhJuPp2OWOWMPlc_dZ2tpIvqjADhC6ogRV3-3GWSavhHkfkSOCMMcM_2YAe63NfY1D6nq2UiUTX7I8rOqEgBAxdJuQo0QmWj8OQBJ_Hp96rNjGuG4PWX6unkmP4u7H5o1Og/s16000/chrome%20108.PNG)Chrome 108


* First of all, go to the Settings option.
* Then select About Chrome.
* Now you have to wait, as Chrome will automatically fetch and download the latest update.
* Then wait for the latest version to be installed.
* Once the installation process completes, now you have to restart Chrome.
* That’s it, now you are done.






## Tags:
***CVE's***: CVE-2022-3075 CVE-2022-4135 CVE-2022-4262 CVE-2022-3723 CVE-2022-1364 CVE-2022-2294 CVE-2022-1096 CVE-2022-2856 CVE-2022-0609

### Autogenerated tags:
google zero-day v8
