# Phishing-as-a-Service Platform Launched 20,000 Phishing Domains To Attack 100+ Countries
## This sophisticated service enables cybercriminals to launch phishing campaigns across over 20,000 domains.
## Information:

+ Link: https://cybersecuritynews.com/?p=61140
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 02 April 2024, 07:04
+ Date scraped: 02 April 2024, 08:18

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhsPGAbxFdxyzVUbmiKFYeYLBCSR1HRvcWSpV4IOXlDZPI3BAIg6jRqmDtDOS_6mGH3M9iqpRwEmTYNtFeVQyvPpgSjzdLVUgbFJDGKabWASPGP4WTTZ8IYD7wLjm3wA6ZTpE4oNnSsNAtxVYmMbHRRjZmGLZ7NqdIEXEnBxyj4EXTHL24iaeQ-WHz5TEv_/s16000/20,000%20Phishing%20Domains.webp)


The cybersecurity landscape faces a new threat with the emergence of ‘darcula,’ a Phishing-as-a-Service (PhaaS) platform.


This sophisticated service enables cybercriminals to launch **[phishing campaigns](https://trustifi.com/blog/who-is-the-target-of-phishing-scams/?utm_source=cybersecuritynews&utm_medium=link&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews)** across over 20,000 domains, using advanced techniques to target over 100 countries.


Unlike traditional phishing kits, ‘darcula’ utilizes modern technology such as JavaScript, React, Docker, and Harbor, akin to the tools used by cutting-edge tech startups.


This allows for seamless updates and the addition of new features and anti-detection measures without the need to reinstall the phishing kit.


![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjvnbWLOTQUhx-08p4RamEdXuPuPErNqwe62OHXk7gcCzBLw64wC7L2lpSm5JawiLU5xhvNr5FlrbyO9xJEKq-O1BOAgm86XmdPcMVMycgkyJMa_usvWCYukjRM3Fx77d7ptgWVWMkF-_jyMxip1u-8YR7UOPl9Obd5aUSi-MevR3mLujASI88Flh6PmPpR/s16000/image5-2.png)*Phishing landing pages targeting postal services (from left to right: the DHL, Evri, the United States Postal Service)*


The ‘darcula’ platform has adopted unique methods to distribute phishing URLs, particularly through iMessage and RCS (Rich Communication Services), which bypass traditional SMS firewalls.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiSt54vEoj4_xS6pLhyphenhyphengy8FV1FINdJppEnHBjz0U52T8IE4RKPZgkE1hi9asNjBv7XDJgceFCfKgn6Fx_5coYrIGLChwcJ1T79QyXjnpREY5lRCeawa9KSjYvLVAbmdkpQkhJemh-eQPG5OJAfhfI8Dc6R7th4vfsOXzdM9PtJkE-CT9PV8KKgfvZgsqf3I/s16000/imessage.png)


This tactic has proven effective against organizations like the United States Postal Service (USPS) and has been observed in high-profile phishing attacks in the UK and the US.


*`To find and eradicate sophisticated phishing attacks, Trustifi AI-powered multi-layer email security protects both inbound and outbound emails; **[Request a Free Quote](https://trustifi.com/stop-advanced-email-threats-long-v/?utm_source=cybersecuritynews&utm_medium=link&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews)**.`*


The ‘darcula’ PhaaS Model
-------------------------


Developed by a Telegram user of the same name, ‘darcula’ operates on a subscription-based model. It offers hundreds of phishing site templates that mimic reputable brands.


These templates target postal services as well as financial institutions, government bodies, and other entities that have significant consumer trust.


Dracula phishing attacks typically use purpose-registered domains rather than compromised ones, usually spoofing the relevant brand name.


“The most common top-level domains (TLDs) used for Dracula are .top and .com, followed by numerous low-cost generic TLDs. Cloudflare’s platform is used by 32% of Darcula pages, and Darcula’s documentation recommends Cloudflare’s services to avoid exposing the underlying server’s IP address. Tencent, Quadranet, and Multacom are also common choices.” Netcraft [said](https://www.netcraft.com/blog/darcula-smishing-attacks-target-usps-and-global-postal-services/).


**Technical Infrastructure and Anti-Monitoring Techniques**
-----------------------------------------------------------


The platform predominantly uses purpose-registered domains, with .top and .com being the most common top-level domains (TLDs). Cloudflare is a popular choice among ‘darcula’ pages, used by 32% to conceal the server’s IP address.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh4ggiMJ3mm7xkr3H1yRGhYRk3bFBnIi_EBRcby4jue-4Nr7PKHht8bC98fjReCSi8tymYTQQ49HZaM_c5IKnWhX8yCo3tQfGRX398VQvo5I36ukIdPxc1l7VJWc5ChZinJyDJaKsNItH0UkmsbBKEF8caqCxYeLNUhfueMiu7r2F34s0W1NwSGKqCfCMww/s16000/image7-1.png)


The platform has also implemented cloaking techniques, such as displaying fake domain sale pages, to hinder takedown efforts.


**The Role of RCS and iMessage**
--------------------------------


‘darcula’ leverages RCS and iMessage to send phishing messages, taking advantage of these services’ end-to-end encryption. This instills trust in recipients and circumvents recent legislation aimed at blocking illegal robotext messages.


Document

Run Free ThreatScan on Your Mailbox
[AI-Powered Protection for Business Email Security](#)
------------------------------------------------------


Trustifi’s Advanced threat protection prevents the widest spectrum of sophisticated phishing attacks before they reach a user’s mailbox. Try Trustifi Free Threat Scan with Sophisticated AI-Powered Email Protection .


  [Run Free Threat Scan](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


To bypass security measures, such as Apple’s restriction on clicking links from unknown senders, ‘darcula’ prompts users to reply to messages, enabling the links to become clickable.


### **Countermeasures and Future Implications**


Google and Apple have taken steps to combat this **[phishing](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews)**, with Google blocking RCS messaging on rooted phones and implementing measures to prevent mass messaging. However, as ‘darcula’ continues to evolve, it poses a significant challenge to cybersecurity efforts worldwide.


In conclusion, the ‘darcula’ PhaaS platform represents a significant evolution in phishing tactics, leveraging modern technology and communication protocols to evade detection and deliver highly effective phishing campaigns. As cybercriminals continue to innovate, organizations and individuals must remain vigilant and adopt robust cybersecurity measures to protect against these sophisticated threats.





## Tags:


### Autogenerated tags:
phishing ‘darcula rcs cybersecurity phaas imessage trustifi ai-powered tlds cloudflare
