# Telegram Web App Vulnerability Let Attackers Hijack Sessions
## A new vulnerability has been discovered in Telegram which allows a threat actor to hijack a Telegram user session via XSS
## Information:

+ Link: https://cybersecuritynews.com/?p=63334
+ Source: Cyber Security News
+ Author: Raga Varshini
+ Date published: 29 April 2024, 08:31
+ Date scraped: 29 April 2024, 11:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiN0YWDulbAQ3iK0kBdKCuKKpaFJwsPGwPt3f7Ocfad_CS-TeRCVQ02iVGy9zpwdt0P59a1Kbs9SQeVma34jfzrQn6WWOGXp3MyCmh_nCxUtHZeoNlfvSSnCU4mIHDbIErvsE-wB9-1yMWx6SSQ373hjJMNJfVCHdiMvKuQGadJCfaQ5j4gXyPJRLJ7GOq9/s16000/Telegram%20Web%20App%20XSS%20Flaw.webp)


A new vulnerability has been discovered in Telegram, allowing a threat actor to hijack a Telegram user session via XSS (Cross-Site Scripting).


This vulnerability exists in Telegram WebK versions below 2.0.0.


A CVE for this vulnerability is yet to be assigned. However, Telegram has acted swiftly upon this vulnerability and has patched it accordingly. This vulnerability also affects web3 users.


**Technical Analysis**
----------------------


Telegram has an interesting feature called Telegram Mini Apps, which are web applications that can run within the [Telegram Messenger](https://cybersecuritynews.com/weaponized-telegram-app/) Interface. 


These Mini Apps also have other features such as seamless authorization, Integrated Crypto and fiat Payments through Google Pay or Apple Pay, Push Notifications and many others.


A malicious Mini Web App can execute arbitrary JavaScript execution under the impression of *web.telegram.org, potentially allowing* any hijacking a Session of any Telegram user.


The researcher [said](https://medium.com/@pedbap/telegram-web-app-xss-session-hijacking-1-click-95acccdc8d90) this XSS vulnerability is triggered via the web\_app\_open\_link event type via post message.


This event type is designed to open a new tab with a provided URL, which is passed as an argument. In this case, a threat can use the javascript: scheme to save the exploited content within the JS of web.telegram.org, though it opens a new URL tab.


**`Is Your Network Under Attack? - Read CISO’s Guide to Avoiding the Next Breach - [Download Free Guide](https://www.perimeter81.com/whitepapers/ciso-avoid-breach?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428)`**


A threat actor can create a Bot+Mini App and configure the URL for a malicious website, with the exploit embedded on its homepage.


When this Mini App is provided as a link to another user and clicked, the exploit in the malicious website saves the victim’s session ID in the JS local storage, which the threat actor can then use to hijack the user’s session.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgzahryZQOxfxeRRUMMHK7x90p224H4yX_2hHnISJNqgXdxxftmylUS4weQKSIJn_BAayXZk1r4sUH31BfITPt9PkoA4sCtPdcg3mIDjxB0ekSaCflFcqMTHrrGD1U1WSxRWtyS6XXEna6XOq8OjLW5SVdlg_DcUAgRxxxhET7Lh9XjnsvJHzcYLHhtUrBq/s16000/Capture%20(43).webp)



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdDn4F0klTHkIPQ_koN6ziLl6-qse1I6q0jaEtwaZfPlry2HPqHw60vuY3FhTFwYQbp8lCIY6VehislqhdLgcDULABpoWR_PtYVhtmvWfIG8xte4BF3qlL-CxU0Szw_VQ4Cp95ZTWrsqwP8_Or_K27j00xMRBB0-UdHO3PAHejfAZkYWnzHPyxZbJy2Oug/s16000/Capture%20(44).webp)


**How Did Telegram Patch?**
---------------------------


In order to patch this vulnerability, Telegram [added](https://github.com/morethanwords/tweb/commit/2153ea9878668769faac8dd5931b7e0b96a9f129/src/components/popups/webApp.ts) the below code which adds a safeWindow URL and adds *noreferrer* argument to the tab opening that can prevent a newly opened window from sending the Referer header back to the original page. 


With this, the new Window is isolated from the original Telegram window alongside the JS execution.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgWLTFCy14UiPyUhxwZ4SrzgzNURMupswoZYCEMQlYXyex3XfxV1uqiFIjKVUZlvkFmJB1xYhN64s3hWasWLOkNjKgses0atJmJYMrcAoQ2jQdNGwf0EsZvNgT4V0gEFehZ9hTcBQQbpW48vWJ5h726oKTxmZ6cpNuEQR1iyhDUqMp-A8Z17WGb-03lgJ13/s16000/Capture%20(45).webp)


To prevent the exploitation of this vulnerability, users of Telegram WebK 2.0.0 (486) are recommended to upgrade to the latest version of Telegram WebK 2.0.0 (488).





## Tags:


### Autogenerated tags:
url webk window
