# TinyMCE Text Editor Flaw Let Attackers Execute XSS payload
## One of the major security problems that were fixed in TinyMCE 5.10.8 was a mutation cross-site scripting (mXSS) vulnerability.
## Information:

+ Link: https://cybersecuritynews.com/?p=47126
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 20 October 2023, 11:15
+ Date scraped: 20 October 2023, 12:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhfXhi9xJf_s_YRKBMA04TcvIhXmNgM8jUTUB44xqomwIpUwa_kri_WB4ZEa4NCt3GkBKxUSw921mHa2nPJwy53ccI1SJLf0yQdFSlbThsEpC9TWCzKJVJ9E2Hpy7xmFop6gevuu1dWomX5fMosT1NPg-dnh2UqLBwHEDsDKBoTw2Jq5Eg8AsSD9m16fvYV/s1600/TinyMCE%20Text%20Editor%20Flaw%20-1.webp)


Tiny Technologies, the company behind the popular text editor TinyMCE, announced the release of version 5.10.8 on October 19, 2023.


This new version aims to improve the security of the editor and includes important security patches.






One of the major security problems that were fixed in TinyMCE 5.10.8 was a mutation cross-site scripting (mXSS) vulnerability caused by a specific HTML content manipulation.


Document

FREE Demo
[Deploy Advanced AI-Powered Email Security Solution](#)
-------------------------------------------------------


Implementing AI-Powered Email security solutions “Trustifi” can secure your business from today’s most dangerous email threats, such as Email Tracking, Blocking, Modifying, Phishing, Account Take Over, Business Email Compromise, Malware & Ransomware


  [Free Demo](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


This vulnerability, [CVE-2023-45818](https://github.com/tinymce/tinymce/security/advisories/GHSA-v65r-p3vv-jjfv), affected the undo and redo features of the editor. 


A malicious HTML snippet could bypass the editor’s sanitization processes and be stored in the undo stack as a manipulated string.


When the string was restored from the undo stack, it could trigger an XSS payload due to the combination of manipulation and parsing.


This vulnerability also impacted several TinyMCE APIs and plugins, such as `*tinymce.Editor.getContent({ format: ‘raw’ })`, `tinymce.Editor.resetContent()*`, and the Autosave open source plugin. 


To address this issue, TinyMCE 5.10.8 has changed how it trims HTML, using node-level manipulation instead of string manipulation, which significantly reduces the risk.


Another security issue involved notification messages containing HTML that were not properly sanitized before being displayed, resulting in a [cross-site scripting (XSS) vulnerability](https://cybersecuritynews.com/xss-flaw-impacting-100000-wordpress-sites/). 


This vulnerability, CVE-2023-45819, exploited TinyMCE’s notification system, especially in error-handling scenarios. An attacker could insert malicious content into the editor and trigger a notification.


When the notification was opened, the HTML within the notification’s text argument was shown without filtering, allowing for arbitrary JavaScript execution.


This security risk also affected any integration that used TinyMCE notifications to display unfiltered HTML content.


The update to TinyMCE 5.10.8 now ensures that HTML is sanitized correctly, effectively preventing this exploit.


Both of these vulnerabilities were assigned CVEs and acknowledged by GitHub Advisories. Tiny Technologies thanked the security researchers who discovered these issues.


**How to Upgrade to the New Version**
-------------------------------------


Upgrading to TinyMCE 5.10.8 depends on whether users use Tiny Cloud or a self-hosted setup.


Tiny Cloud offers the latest enterprise version and has its deployment guide. Self-hosted users can upgrade manually by following certain steps, which include backing up their existing setup, downloading the new version, and migrating their customizations as needed.


Tiny Technologies urges all users to update to this new version to benefit from the security improvements and to protect their systems from potential security threats.






## Tags:
***CVE's***: CVE-2023-45818 CVE-2023-45819

### Autogenerated tags:
tinymce html
