# Vintage Microsoft flaw resurfaces, threat actors attack with golden GooseEgg
## State-linked actors are using a custom tool for post exploitation activity of a vulnerability in Windows Print Spooler, which could result in credential theft and backdoor installs.
## Information:

+ Link: https://www.cybersecuritydive.com/news/vintage-microsoft-flaw-resurfaces-threat-actors-attack-with-golden-gooseeg/714141/
+ Source: CyberSecurity Dive
+ Author: David Jones
+ Date published: 24 April 2024, 10:31
+ Date scraped: 29 April 2024, 17:01

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/rBuet7i3rrALFVMe6WVQKEWLkpR4XZIXRpXFGs15Ndo/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEwNTgyODAzODIuanBn.webp)


### Dive Brief:


* Forest Blizzard, a Russia-linked threat group, is using a custom-made tool called GooseEgg to exploit a privilege escalation vulnerability in Windows Print Spooler,[Microsoft Threat Intelligence](https://www.microsoft.com/en-us/security/blog/2024/04/22/analyzing-forest-blizzards-custom-post-compromise-tool-for-exploiting-cve-2022-38028-to-obtain-credentials/)said Monday. The exploit allows malicious actors to escalate privileges and steal credentials.
* Forest Blizzard has used the tool since at least June 2020 to exploit the vulnerability against targets across government, education and transport sectors in Ukraine, Western Europe and North America. The malicious activity may have begun as early as April 2019, Microsoft said.
* The[Cybersecurity and Infrastructure Security Agency](https://www.cisa.gov/news-events/alerts/2024/04/23/cisa-adds-one-known-exploited-vulnerability-catalog)on Tuesday added the vulnerability, listed as[CVE-2022-38028](https://nvd.nist.gov/vuln/detail/CVE-2022-38028), to its known exploited vulnerabilities catalog.


### Dive Insight:


The malicious activity involves “modifying a JavaScript constraints file and executing it with SYSTEM-level permissions,” according to Microsoft researchers.


Hackers using the GooseEgg tool can also enable remote code execution, backdoor installs and lateral movements through compromised networks, Microsoft said.


U.S. and U.K. authorities have linked Forest Blizzard to the Russian General Staff Main Intelligence Directorate, which relies on other exploits, including[CVE-2023-23397](https://nvd.nist.gov/vuln/detail/cve-2023-23397), a critical escalation of privilege vulnerability in Microsoft Windows.


Russia-linked actors have previously exploited the PrintNightmare vulnerability, listed as[CVE-2021-34527](https://nvd.nist.gov/vuln/detail/CVE-2021-34527)and[CVE-2021-1675](https://nvd.nist.gov/vuln/detail/CVE-2021-1675). But the malicious activity using GooseEgg is newly disclosed, Microsoft researchers said.


PrintNightmare previously led to major exploitation activity. In 2022, CISA and the FBI warned that state-sponsored threat groups[gained access to a non-governmental organization](https://www.cisa.gov/news-events/news/mitigating-threats-posed-russian-state-sponsored-cyber-actors-exploitation-default)by exploiting the PrintNightmare vulnerability as well as default multifactor authentication protocols.


“Printers can become the attack path into your corporation,” Tom Kellerman, SVP of cyber strategy at Contrast Security, said in a statement. “Russia continues to exploit older vulnerabilities because many organizations do not have proper vulnerability management for their printers.”


U.S. authorities targeted Forest Blizzard earlier this year in[takedown of Moobot](https://www.cybersecuritydive.com/news/fbi-disrupts-botnet-forest-blizzard/707788/), an operation that exploited vulnerable edge devices to launch spear phishing and credential harvesting.





## Tags:
***CVE's***: CVE-2021-34527 CVE-2021-1675 CVE-2022-38028 CVE-2023-23397

### Autogenerated tags:
microsoft gooseegg printnightmare
