# Atlassian Confluence High-Severity Bug Allows Code Execution
## Because of the role the Confluence Server plays in managing documentation and knowledge data bases, the researchers recommend users upgrade to patch CVE-2024-21683 as soon as possible.
## Information:

+ Link: https://www.darkreading.com/vulnerabilities-threats/atlassian-confluence-high-severity-bug-allows-code-execution
+ Source: DarkReading
+ Author: Dark Reading Staff
+ Date published: 03 June 2024, 21:00
+ Date scraped: 03 June 2024, 22:07

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/blt175e777c32fda8ad/665e229be7195137d0864ed3/atlassian_Sharaf_Maksumov_alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

The research team at SonicWall Capture Labs has discovered a[remote code execution](https://www.darkreading.com/remote-workforce/critical-cisco-unified-communications-rce-bug-root-access)vulnerability in the Atlassian Confluence Data Center and Server.

The vulnerability, identified as CVE-2024-21683, has a high CVSS score of 8.3 out of 10, and allows an authenticated threat actor the ability to execute arbitrary code.

In order to leverage the vulnerability, a cyberattacker must have network access to the vulnerable system, and possess the privilege to add new macro languages. To exploit the vulnerability, the attacker can upload a forged JavaScript language file containing malicious code toConfigure Code Macro > Add a new language, according to the researchers.

SonicWall has released two signatures for its customers to be prepared in case of exploitation —IPS: 4437 Atlassian Confluence Data Center and Server RCEandIPS: 4438 Atlassian Confluence Data Center and Server RCE 2 —along with indicators of compromise (IoCs).

There's also proof-of-concept (PoC) exploit code already available for CVE-2024-21683.

The[researchers strongly recommend](https://blog.sonicwall.com/en-us/2024/05/confluence-data-center-and-server-remote-code-execution-vulnerability/)that users upgrade their instances to the latest available versions due to the role that Confluence Server can play in maintaining an organization's knowledge base and other critical information. Atlassian Confluence bugs are[generally popular on the cybercrime circuit](https://www.darkreading.com/application-security/critical-zero-day-atlassian-confluence-active-exploit), given that the platform reaches deep into network environments and is used for cross-enterprise collaboration, workflow, and software development.




## Tags:
***CVE's***: CVE-2024-21683

### Autogenerated tags:
atlassian
