# Google Discovers Fourth Zero-Day in Less Than a Month
## The tech company has rolled out fixes for a type confusion vulnerability that has already been exploited by malicious actors.
## Information:

+ Link: https://www.darkreading.com/vulnerabilities-threats/google-discovers-fourth-zero-day-in-less-than-a-month
+ Source: DarkReading
+ Author: Dark Reading Staff
+ Date published: 24 May 2024, 15:31
+ Date scraped: 24 May 2024, 16:07

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/bltcd0662bf2d1b3065/65a022947be768040a211a45/google_search_dpa_picture_alliance_Alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

Google has[released an update](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_23.html)from its Chrome team for a high-severity security flaw, tracked as CVE-2024-5274, that actively exists in the wild.

The bug is classified as critical and is a type confusion vulnerability in the V8 JavaScript and WebAssembly engine.

These type confusion vulnerabilities, also known as[type manipulation](https://learn.snyk.io/lesson/type-confusion/), can occur when a threat actor modifies a variable in order to trigger an unintended action. This can enable a threat actor to cause a crush, execute arbitrary code, or access control bypasses, among other capabilities.

The vulnerability was reported by two researchers: Google Threat Analysis Group's Clément Lecigne and Chrome Security's Brendon Tiszka.

This is the[fourth zero-day vulnerability](https://www.darkreading.com/vulnerabilities-threats/patch-now-google-zero-day-exploit)that Google has had to patch this month alone. The other vulnerabilities include CVE-2024-4947, CVE-2024-4761, and CVE-2024-4671.

Google recommends that Windows and macOS users upgrade to Chrome version 125.0.6422.112/.113 and Linux users to version 125.0.6422.112. Chromium-based users should apply fixes as they become available, Google added.




## Tags:
***CVE's***: CVE-2024-4761 CVE-2024-4671 CVE-2024-4947 CVE-2024-5274

### Autogenerated tags:
google
