# Move Over, MOVEit: Critical Progress Bug Infests WS_FTP Software
## In the wake of Cl0p's MOVEit rampage, Progress Software is sending file-transfer customers scrambling again — this time to patch a critical bug that is easily exploitable with a specially crafted HTTPS POST request.
## Information:

+ Link: https://www.darkreading.com/cloud/moveit-progress-critical-bug-ws_ftp-software
+ Source: DarkReading
+ Author: Jai Vijayan
+ Date published: 29 September 2023, 16:34
+ Date scraped: 29 September 2023, 18:00

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt66983808af36a8ef/blt57155fe6ca44a376/6516f4e5a3bd749520274d4f/ftp_designium_shutterstock.jpg)

For the second time in recent months, Progress Software is requiring enterprise security teams to drop everything and move quickly to protect their organizations against critical vulnerabilities in its file-transfer software — this time, the WS\_FTP file transfer product used by some 40 million people.



The most severe of the bugs allows for pre-authenticated remote code execution (RCE) without any user interaction. In addition, the group also includes a bug that's near maximum severity and six that are of either high or medium severity.

News of the new vulnerabilities comes even as [thousands of Progress customers](https://www.darkreading.com/application-security/mass-exploitation-0-day-bug-imoveit-file-transfer-underway) are reeling from a zero-day vulnerability in its MOVEit file transfer technology that the company disclosed in late May. So far, [more than 2,100 organizations](https://www.emsisoft.com/en/blog/44123/unpacking-the-moveit-breach-statistics-and-analysis/) have fallen victim to attacks leveraging the flaw, many of them by the [Cl0p ransomware group](https://www.darkreading.com/attacks-breaches/c10p-moveit-campaign-new-era-cyberattacks). The newly disclosed bugs could be similarly dangerous: They affect all supported versions of WS\_FTP, which, like MOVEit, is enterprise-grade software that organizations use to enable secure file transfers between systems, groups, individuals. 

Patch WS\_FTP Now
-----------------

Progress has remediated the vulnerabilities and issued version-specific hotfixes for all affected products. The company is urging its customers to update immediately or apply its recommended mitigation steps; Progress wants organizations that are using unsupported versions of WS\_FTP to upgrade to a supported and fixed version ASAP as well.



"Upgrading to a patched release, using the full installer, is the only way to remediate this issue," Progress said. "There will be an outage to the system while the upgrade is running."

Specifically, the vulnerabilities that Progress disclosed this week are present in the WS\_FTP Server Ad hoc Transfer Module and in the WS\_FTP Server manager interface.

Critical Vulnerability Is "Easily Exploitable"
----------------------------------------------

The maximum severity vulnerability tracked as [CVE-2023-40044](https://www.cve.org/CVERecord?id=CVE-2023-40044) affects WS\_FTP Server versions prior to 8.7.4 and 8.8.2, and as mentioned gives attackers a way to gain pre-authentication RCE on affected systems. Progress described the issue as a .NET serialization vulnerability — a common kind of bug where an app [processes request payloads](https://learn.microsoft.com/en-us/dotnet/standard/serialization/binaryformatter-security-guide#deserialization-vulnerabilities) in an insecure manner. Such flaws can enable denial-of-service attacks, information leaks, and RCE. Progress credited two researchers from Assetnote as discovering the flaws and reporting it to the company.

Caitlin Condon, head of vulnerability research at Rapid7, says her company's research team was able to identity the vulnerability and test its exploitability. "[Rapid 7 has] verified that it is easily exploitable with an HTTPS POST request — and some specific multipart data — to any URI under a specific path. No authentication is required, and no user interaction is required," Condon says.



In a post on X (formerly Twitter) on Sept. 28, one of the Assetnote researchers announced the company's plans to [release a full write-up](https://twitter.com/infosec_au/status/1707521498091856230) on the issues they discovered in 30 days — or if details of the exploit become publicly available before then.

Meanwhile, the other critical bug is a directory traversal vulnerability, [CVE-2023-42657,](https://www.cve.org/CVERecord?id=CVE-2023-42657) in WS\_FTP Server versions before 8.7.4 and 8.8.2. 

"An attacker could leverage this vulnerability to perform file operations (delete, rename, rmdir, mkdir) on files and folders outside of their authorized WS\_FTP folder path," Progress warned in its advisory. "Attackers could also escape the context of the WS\_FTP Server file structure and perform the same level of operations (delete, rename, rmdir, mkdir) on file and folder locations on the underlying operating system." The bug has a CVSS score of 9.9 out of 10, making it a near maximum severity vulnerability. [Directory traversal flaws](https://owasp.org/www-community/attacks/Path_Traversal), or path traversal, are vulnerabilities that basically give attackers a way to access unauthorized files and directories.

How to Uncover the Bugs in Progress' File Transfer
--------------------------------------------------

The other issues include two high-severity bugs ([CVE-2023-40045](https://www.cve.org/CVERecord?id=CVE-2023-40045) and [CVE-2023-40047](https://www.cve.org/CVERecord?id=CVE-2023-40047)), which are cross-site scripting (XSS) vulnerabilities that enable execution of malicious JavaScript. The medium security flaws include [CVE-2023-40048](https://www.cve.org/CVERecord?id=CVE-2023-40048), a cross-site request forgery (CSRF) bug; and [CVE-2023-40049](https://www.cve.org/CVERecord?id=CVE-2023-40049), an information disclosure issue, among others. 

"WF\_FTP has a rich history and is typically used among IT and developers," says Timothy Morris, chief security advisor at Tanium, adding that organizations that maintain a good software inventory and/or have programs to monitor software use in their environment should have a relatively easy time tracking down and updating vulnerable instances of WS\_FTP."

He adds, "Also, since running versions of WS\_FTP typically has incoming ports open to accept connection requests, it wouldn't be difficult to spot with network monitoring tools."

"I'd start with software inventory tools to scan the environment — app installed, service running — then use file searches as a secondary method to search and find versions of WS\_FTP, at rest," he says.




## Tags:
***CVE's***: CVE-2023-40044 CVE-2023-40045 CVE-2023-40049 CVE-2023-40047 CVE-2023-42657 CVE-2023-40048

### Autogenerated tags:
ws_ftp rce
