# Supply Chain Attack Pushes Out Malware to More than 250 Media Websites
## TA569 has modified the JavaScript of a legitimate content and advertising engine used by news affiliates, in order to spread the FakeUpdates initial access framework.
## Information:

+ Link: https://www.darkreading.com/application-security/supply-chain-attack-pushes-out-malware-to-more-than-250-media-websites
+ Source: DarkReading
+ Author: Elizabeth Montalbano
+ Date published: 03 November 2022, 14:19
+ Date scraped: 06 November 2022, 14:25

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt66983808af36a8ef/blt8c92f004faeea1ee/6363cda747cb8307cf8dd18e/newspaper-John_Wohlfeil-Alamy.jpg)

The cyber-threat threat actor known as TA569, or SocGholish, has compromised JavaScript code used by a media content provider in order to spread the [FakeUpdates](https://www.darkreading.com/application-security/fakeupdates-is-back-with-new-capabilities) malware to major media outlets across the US.



According to a [series of tweets](https://twitter.com/threatinsight/status/1587865920130752515) from the Proofpoint Threat Research Team posted late Wednesday, the attackers have tampered with the codebase of an application that the unnamed company uses to serve video and advertising to national and regional newspaper websites. The [supply chain attack](https://www.darkreading.com/application-security/15-year-old-python-flaw-software-worldwide) is being used to spread TA569's custom malware, which is typically employed to establish an initial access network for follow-on attacks and ransomware delivery.

Detection might be tricky, the researchers warned: "TA569 historically removed and reinstated these malicious JS injects on a rotating basis," according to one of the tweets. "Therefore the presence of the payload and malicious content can vary from hour to hour and shouldn't be considered a false positive."

More than 250 regional and national newspaper sites have accessed the malicious JavaScript, with impacted media organizations serving cities such as Boston, Chicago, Cincinnati, Miami, New York, Palm Beach, and Washington, DC, according to Proofpoint. However, only the impacted media content company knows the full range of the attack and its impact on affiliate sites, the researchers said.



The tweets cited Proofpoint threat detection analyst [Dusty Miller](https://twitter.com/DustyMMiller), senior security researcher [Kyle Eaton](https://twitter.com/0xkyle), and senior threat researcher [Andrew Northern](https://twitter.com/ex_raritas) for the discovery and investigation of the attack.

## Historical Links to Evil Corp

FakeUpdates is an initial access malware and attack framework in use since at least 2020 (but [potentially earlier](https://www.darkreading.com/application-security/fakeupdates-is-back-with-new-capabilities)), that in the past has used drive-by downloads masquerading as software updates to propagate. It previously has been linked to activity by the suspected Russian cybercrime group Evil Corp, which has been formally sanctioned by the US government.

The operators typically host a malicious website that executes a drive-by download mechanism — such as JavaScript code injections or URL redirections — which in turn triggers the download of an archive file that contains malware.

Symantec researchers previously observed Evil Corp [using the malware](https://www.darkreading.com/attacks-breaches/attackers-compromised-dozens-of-news-websites-as-part-of-ransomware-campaign) as part of an attack sequence to download [WastedLocker](https://www.darkreading.com/attacks-breaches/major-us-companies-targeted-in-new-ransomware-campaign/d/d-id/1338189), then a new ransomware strain, on target networks back in July 2020. 



[A surge of drive-by download attacks](https://www.darkreading.com/attacks-breaches/-socgholish-attack-framework-powers-surge-in-drive-by-attacks) that used the framework followed toward the end of that year, with the attackers hosting malicious downloads by leveraging iFrames to serve up compromised websites via a legitimate site. 

More recently, researchers tied [a threat campaign](https://www.darkreading.com/threat-intelligence/raspberry-robin-malware-russian-evil-corp) distributing FakeUpdates through existing infections of the Raspberry Robin USB-based worm, a move that signified a link between the Russian cybercriminal group and the worm, which acts as a loader for other malware.

## How to Approach the Supply Chain Threat

The campaign discovered by Proofpoint is yet another example of attackers using the software supply chain to infect code that's shared across multiple platforms, to broaden the impact of malicious attack without having to work any harder.

Indeed, there already have been numerous examples of the ripple effect these attacks can have, with the now infamous [SolarWinds](https://www.darkreading.com/attacks-breaches/solarwinds-ceo-attack-began-much-earlier-than-previously-thought) and [Log4J](https://www.darkreading.com/edge-articles/why-developers-should-care-about-log4j) scenarios being among the most prominent. 

The former started in late December 2020 with [a breach](https://www.darkreading.com/edge-articles/3-years-later-solarwinds-ciso-shares-3-lessons-from-the-infamous-attack) in the SolarWinds Orion software and spread [deep into the next year](https://www.darkreading.com/attacks-breaches/rise-in-clop-ransomware-attacks-tied-to), with multiple attacks across various organizations. The latter saga unfolded in early December 2021, with the discovery of a flaw dubbed [Log4Shell](https://www.darkreading.com/vulnerabilities-threats/log4shell-the-big-picture) in [a widely used Java logging tool](https://www.darkreading.com/edge-articles/why-developers-should-care-about-log4j). That spurred multiple exploits and made millions of applications vulnerable to attack, many of which [remain unpatched](https://www.darkreading.com/threat-intelligence/l0g4j-attack-surface-remains-huge) today.

Supply chain attacks have become so prevalent that security administrators are looking for guidance about how to prevent and mitigate them, which both the public and [private sector](https://www.darkreading.com/attacks-breaches/getting-ahead-of-supply-chain-attacks) have been happy to offer.

Following [an executive order](https://www.darkreading.com/operations/software-incident-response-among-big-focus-areas-in-biden-s-cybersecurity-executive-order) issued by President Biden last year directing government agencies to improve the security and integrity of the software supply chain, the National Institute for Standards and Technology (NIST) earlier this year [updated its cybersecurity guidance](https://www.darkreading.com/risk/nist-guidance-software-supply-chain-risk) for addressing software supply chain risk. The [publication](https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-161r1.pdf) includes tailored sets of suggested security controls for various stakeholders, such as cybersecurity specialists, risk managers, systems engineers, and procurement officials. 

Security professionals also have [offered organizations advice](https://www.darkreading.com/attacks-breaches/getting-ahead-of-supply-chain-attacks) on how to better secure the supply chain, recommending that they take a zero-trust approach to security, monitor third-party partners more than any other entity in an environment, and choose one supplier for software needs that offers frequent code updates.




## Tags:


### Autogenerated tags:
malware proofpoint ta569 javascript drive-by
