# Google Patches Critical Chrome Vulnerability and Additional Flaws
## A critical vulnerability (CVE-2024-4058) has been patched in the latest update (version 124). This flaw could allow attackers to take control of your system.
## Information:

+ Link: https://www.hackread.com/google-patches-critical-chrome-vulnerability/
+ Source: HACKRead
+ Author: Waqas
+ Date published: 25 April 2024, 14:26
+ Date scraped: 25 April 2024, 14:08

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/04/google-patches-critical-chrome-vulnerability-and-additional-flaws.jpg)






Google addressed a critical vulnerability ([CVE-2024-4058](https://chromereleases.googleblog.com/2024/04/stable-channel-update-for-desktop_24.html)) in its Chrome web browser on Wednesday, April 24th, 2024. This flaw resides within the ANGLE graphics layer engine and carries a “critical” severity rating, indicating its potential for severe exploitation.


While the critical CVE-2024-4058 garnered the most attention, Google’s Chrome update (version 124) also patched two additional high-severity vulnerabilities:


* **CVE-2024-4059:** This vulnerability is classified as an out-of-bounds read within the V8 JavaScript engine. An out-of-bounds read allows attackers to access memory locations they shouldn’t, potentially revealing sensitive information.
* **CVE-2024-4060:** This vulnerability is a use-after-free issue in the Dawn component. Use-after-free vulnerabilities can lead to crashes or potentially code execution depending on how they are exploited.


### **The Importance of Updating**


While the specific details and exploitability of [CVE-2024-4059](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-4059) and [CVE-2024-4060](https://www.tenable.com/cve/CVE-2024-4060) are not yet fully public, it’s important to update Chrome regardless. A high-severity rating suggests these vulnerabilities could also be weaponized by attackers, so patching promptly remains the best course of action.


[Jason Soroko](https://www.linkedin.com/in/jason-soroko-19b41920/), Senior Vice President of Product at Sectigo commented on the update stating, *“*CVE-2024-4058, a Type Confusion in ANGLE, is a vulnerability categorized as critical because it could allow remote code execution (RCE), enabling attackers to put malware onto the victim’s device. This latest vulnerability is a bad one for sure, and therefore it would be critical to patch this immediately.*”*


### **How to Protect Yourself**


The safest course of action is to update your Google Chrome browser immediately. Google has released Chrome version 124 which addresses this vulnerability alongside other security fixes. Here’s how to update Chrome:






* **Windows & Mac:** Open Chrome, click the three vertical dots in the top right corner, go to “Help” and then “About Chrome.” Chrome will automatically check for updates and install them if available.
* **Linux:** The update process for Linux may vary depending on your distribution. Consult your distribution’s documentation for specific update instructions.


Updating to Chrome version 124 protects you from these critical, high-severity, and potentially dangerous vulnerabilities. For additional technical details and a full list of changes in this build visit the [Log section](https://chromium.googlesource.com/chromium/src/+log/124.0.6367.60..124.0.6367.79?pretty=fuller&n=10000).





## Tags:
***CVE's***: CVE-2024-4058 CVE-2024-4060 CVE-2024-4059

### Autogenerated tags:
google cve-2024-4058 high-severity
