# LiteSpeed Cache Plugin XSS Vulnerability Affects 1.8M WordPress Sites
## WordPress websites are under attack with a surge of malicious JavaScript being injected using vulnerable versions of the LiteSpeed Cache plugin.
## Information:

+ Link: https://www.hackread.com/litespeed-cache-plugin-xss-vulnerability-wordpress-sites/
+ Source: HACKRead
+ Author: Deeba Ahmed
+ Date published: 08 May 2024, 17:53
+ Date scraped: 08 May 2024, 17:17

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/05/litespeed-cache-plugin-xss-vulnerability-wordpress-sites.jpg)


[WordPress](https://www.hackread.com/tag/WordPress/) websites have been under attack lately, with a surge of malicious JavaScript being injected using vulnerable versions of the LiteSpeed Cache plugin, claim Automattic’s security team, WPScan.


As of 2024, there are over 1.89 billion websites on the internet, with around 835 million relying on WordPress as their Content Management System (CMS), constituting approximately 43.3% of the total number of websites worldwide. This makes the CMS a lucrative target for cyber criminals.






According to WPSCan’s [blog post](https://wpscan.com/blog/surge-of-javascript-malware-in-sites-with-vulnerable-versions-of-litespeed-cache-plugin/), threat actors are exploiting a stored cross-site scripting (XSS) vulnerability in the plugin that allows an unauthenticated user to elevate privileges through specially crafted HTTP requests. LiteSpeed Cache plugin versions older than 5.7.0.1 are vulnerable to a high-severity (8.8) unauthenticated cross-site scripting flaw tracked as CVE-2023-40000, and disclosed by [Patchstack](https://patchstack.com/database/vulnerability/litespeed-cache/wordpress-litespeed-cache-plugin-5-7-unauthenticated-site-wide-stored-xss-vulnerability/) in February 2024. 


### **Understanding the Vulnerability**


The vulnerability lies in unauthenticated stored XSS (cross-site scripting) within older versions of the plugin. Unauthenticated XSS means an attacker doesn’t need login credentials to inject malicious code.


On the other hand, Stored XSS means the malicious code gets stored on your website’s database, infecting any user who visits the compromised page. Attackers are injecting malicious JavaScript code in WordPress files and database, creating administrator users named ‘wpsupp‑user’ or ‘wp‑configuser,’ by exploiting this flaw.


You can identify malicious URLs and IPs as they generally include (startservicefounds . com/service/f.php, apistartservicefounds. com, and (cachecloudswiftcdn . com), and malware associated IP was tracked as 45.150.67.235.



[![Critical XSS Vulnerability in LiteSpeed Cache Plugin Affects Over 1.8M WordPress Sites](https://www.hackread.com/wp-content/uploads/2024/05/litespeed-cache-plugin-xss-vulnerability-wordpress-site.png)](https://www.hackread.com/wp-content/uploads/2024/05/litespeed-cache-plugin-xss-vulnerability-wordpress-site.png)


### **Potential Dangers**


LiteSpeed Cache is a popular plugin, used in over five million WordPress sites for its Google Search ranking-boosting capabilities. The flaw was addressed in October 2023 in version 5.7.0.1 while the latest version, 6.2.0.1, was [released](https://wordpress.org/plugins/litespeed-cache/advanced/) on April 25, 2024. However, despite migration to non-vulnerable versions, [1,835,000 users](https://wordpress.org/plugins/litespeed-cache/advanced/) still run vulnerable releases, indicating infection, researchers noted.


Creating admin accounts on WordPress sites can lead to severe consequences, allowing threat actors to gain full control and perform arbitrary actions, such as injecting malware or installing malicious plugins. Exercise Caution!






This development comes after Sucuri revealed a [redirect scam campaign](https://blog.sucuri.net/2024/05/mal-metrica-redirects-users-to-scam-sites.html) called Mal.Metrica, which uses fake CAPTCHA prompts to redirect users to fraudulent sites. 


To secure your WordPress site, update the LiteSpeed Cache plugin to the latest version, scan for malware using a reputable WordPress security scanner, and change all login credentials. WPScan recommends searching for suspicious strings in the litespeed.admin\_display.messages option or presence of wpsupp-user.





## Tags:
***CVE's***: CVE-2023-40000
***ipv4-adresses***: 6.2.0.1 5.7.0.1

### Autogenerated tags:
wordpress plugin litespeed xss websites wpscan cross-site malware
