# Russian APT28 Exploiting Windows Vulnerability with GooseEgg Tool
## Microsoft issued a security warning about a vulnerability (CVE-2022-38028) in the Windows Print Spooler service that Russian APT28 are exploiting.
## Information:

+ Link: https://www.hackread.com/russia-apt28-windows-vulnerability-gooseegg-tool/
+ Source: HACKRead
+ Author: Waqas
+ Date published: 24 April 2024, 12:54
+ Date scraped: 24 April 2024, 12:11

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/04/russia-apt28-windows-vulnerability-gooseegg-tool.jpg)



[![Russian APT28 Exploiting Windows Vulnerability with GooseEgg Tool](https://www.hackread.com/wp-content/uploads/2024/04/russia-apt28-windows-vulnerability-gooseegg-tool-1024x597.jpg)](https://www.hackread.com/wp-content/uploads/2024/04/russia-apt28-windows-vulnerability-gooseegg-tool.jpg)






Microsoft issued a security warning about a critical vulnerability ([CVE-2022-38028](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-38028)) in the Windows Print Spooler service that attackers are actively exploiting. This vulnerability allows attackers to escalate privileges on a compromised system, potentially granting them complete control.


The vulnerability resides in how the Print Spooler processes JavaScript code. By manipulating a specific file, attackers can execute malicious code with administrator privileges.


Microsoft attributes these attacks to the [APT28 hacking group](https://www.hackread.com/ukraine-hackers-breach-apt28-fbi-wanted-hacker/) (also known as [Fancy Bear](https://www.hackread.com/fancy-bear-hackers-graphite-malware-powerpoint/) or [Forest Blizzard](https://www.hackread.com/microsoft-outlook-vulnerability-russia-forest-blizzard/)) which is using a custom malware tool called GooseEgg. While the exact timeframe for GooseEgg’s activity is unknown, Microsoft has observed it being operational since at least June 2020.



Targets of these attacks include organizations in North America, Western Europe, and Ukraine across various sectors such as government, non-governmental organizations (NGOs), education, and transportation.


To mitigate this risk, Microsoft strongly recommends that all users install the security patch they [released](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-38028) in October 2022. This patch addresses the vulnerability and prevents attackers from exploiting it.


While Microsoft offers temporary mitigation steps for those who cannot patch immediately, patching remains the most effective way to address this vulnerability and protect your system.






Nevertheless, it’s crucial to consistently update your Windows systems with the latest security patches, as this is the most effective defence against vulnerabilities. Additionally, exercise caution when interacting with attachments or links, particularly in emails from unfamiliar sources, as phishing attempts are a prevalent method used by attackers to compromise systems.


It is also important to know that the Cybersecurity and Infrastructure Security Agency (CISA) has also [flagged](https://www.cisa.gov/known-exploited-vulnerabilities-catalog#:~:text=CVE%2D2022%2D38028&text=Microsoft%20Windows%20Print%20Spooler%20service,product%20if%20mitigations%20are%20unavailable.) CVE-2022-38028 as a high-risk vulnerability, given its ongoing exploitation.







## Tags:
***CVE's***: CVE-2022-38028

### Autogenerated tags:
microsoft
