# Black Friday: Malwarebytes Warns of Credit Card Skimming Surge
## The Kritec campaign shows similarities with previous Magecart skimming techniques
## Information:

+ Link: https://www.infosecurity-magazine.com/news/black-friday-malwarebytes-credit/
+ Source: Infosecurity News
+ Author: Kevin  Poireault
+ Date published: 16 November 2023, 12:30
+ Date scraped: 16 November 2023, 13:01

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/fddb8d23-148b-4a36-bbaa-3d8b6384c0c2.png)


With Black Friday and Cyber Monday around the corner, anti-malware provider Malwarebytes has warned about the rise of credit card skimming.


This type of identity theft, where criminals steal credit card information from ATMs, other payment terminals or even compromised websites, is expected to rise over the next few weeks, Malwarebytes Labs said in a post published on November 14, 2023.


One specific credit card skimming campaign, Kritec, picked up the pace drastically in October after a lull during the summer.


### **What is the Kritec Skimming Campaign?**


Kritec is a type of skimmer that was first discovered by Akamai in March 2023 and attributed to Magecart, a nebulous hacking cluster that employs online skimming techniques to steal personal data from websites—most commonly, customer details and credit card information on websites that accept online payments.


[*Read more: Magecart Hackers Hide in 404 Error Pages*](https://www.infosecurity-magazine.com/news/magecart-hackers-hide-404-error/)


However, Malwarebytes has noticed several differences from previous Magecart skimming campaigns. They attributed it to a different threat actor named Kritec after one of the domain names used by the perpetrators.


Kritec is a malicious JavaScript code injected into legitimate websites, typically those using the Magento e-commerce platform. Once injected, Kritec hides itself within the Google Tag Manager (GTM) script, making it difficult for security solutions to detect. When a customer enters their credit card information on the checkout page, Kritec steals the information and sends it to a remote server controlled by the attackers.


![](https://assets.infosecurity-magazine.com/content/span/30f31d28-76c9-4063-9883-6a16fb0e7007.gif)

“The threat actors were also taking the time to customize their skimmer for each victim site with very convincing templates that were even localized in several languages. The experience was so smooth and seamless that it made it practically impossible for online shoppers to even realize that their credit card information had just been stolen,” Malwarebytes researchers [wrote](https://www.malwarebytes.com/blog/threat-intelligence/2023/11/credit-card-skimming-on-the-rise-for-the-holiday-shopping-season?&web_view=true).


The infrastructure is located on the IT WEB LTD network, registered in the British Virgin Islands.


The skimming campaign peaked in April before slowing down over the summer. It then returned, increasing to its highest volume in October.


![Source: Malwarebytes](https://assets.infosecurity-magazine.com/content/span/3b94982b-97ea-4d44-b49c-c8310b841bd1.png)Source: Malwarebytes

[![](https://assets.infosecurity-magazine.com/content/span/42f32e9b-d21d-4e25-8d89-887c0ba89153.png)](https://www.infosecurity-magazine.com/my-account/login/)





## Tags:


### Autogenerated tags:
kritec malwarebytes websites magecart
