# Microsoft Finds Account Takeover Bug in TikTok
## Vulnerability impacted social media firm’s Android app
## Information:

+ Link: https://www.infosecurity-magazine.com/news/microsoft-finds-account-takeover/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 01 September 2022, 07:50
+ Date scraped: 01 September 2022, 09:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/50fa3e20-d91e-46e0-b39b-00eb4dc0ec6a.png)

Security researchers have discovered a high severity vulnerability in TikTok’s Android app which could allow attackers to remotely hijack user accounts.


Microsoft reported [CVE-2022-28799](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-28799) to the social media giant in February 2022, after which TikTok promptly fixed the issue. Although the app has an estimated 1.5 billion downloads on the Play Store, the bug has not yet been exploited in the wild, Microsoft claimed.


“The vulnerability allowed the app’s deeplink verification to be bypassed,” [explained Microsoft](https://www.microsoft.com/security/blog/2022/08/31/vulnerability-in-tiktok-android-app-could-lead-to-one-click-account-hijacking/). “Attackers could force the app to load an arbitrary URL to the app’s WebView, allowing the URL to then access the WebView’s attached JavaScript bridges and grant functionality to attackers.”


In fact, Microsoft identified over 70 exposed JavaScript methods which, when paired with an exploit to hijack WebView such as the discovered bug, could be used to grant functionality to the attackers.


By doing so, attackers can:


* Retrieve the user’s authentication tokens by triggering a request to a controlled server and logging the cookie and the request headers
* Retrieve or modify the user’s TikTok account data by triggering a request to a TikTok endpoint and retrieving the reply via the JavaScript callback


“Once the attacker’s specially crafted malicious link is clicked by the targeted TikTok user, the attacker’s server is granted full access to the JavaScript bridge and can invoke any exposed functionality,” Microsoft wrote in its proof of concept.


“The attacker’s server returns an HTML page containing JavaScript code to send video upload tokens back to the attacker as well as change the user’s profile biography.”


With full control over users’ accounts, attackers could change their profile details, send messages, upload videos and even publish private videos.





## Tags:
***CVE's***: CVE-2022-28799

### Autogenerated tags:
tiktok microsoft javascript webview
