# Researchers Find Security Flaw in JsonWebToken Library Used By 20,000+ Projects
## An attacker could perform RCE on a server verifying a maliciously crafted JWT request
## Information:

+ Link: https://www.infosecurity-magazine.com/news/security-flaw-in-jsonwebtoken/
+ Source: Infosecurity News
+ Author: Alessandro  Mascellino
+ Date published: 10 January 2023, 16:00
+ Date scraped: 10 January 2023, 18:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/a7890d4e-b94e-49cc-9863-45e38b3fb7bc.jpg)

A new high-severity vulnerability has been found in the popular JsonWebToken open-source JavaScript package.


By exploiting the flaw, an attacker could perform remote code execution (RCE) on a server verifying a maliciously crafted JSON web token (JWT) request, explained Palo Alto Networks in a Monday [advisory](https://unit42.paloaltonetworks.com/jsonwebtoken-vulnerability-cve-2022-23529/).


From a technical standpoint, JsonWebToken, which is developed and maintained by Auth0, allows developers to verify/sign JWTs and is principally used for authorization and authentication purposes.


At the time of writing, the package has over nine million weekly downloads and over 20,000 dependent projects. Because of this, Palo Alto Networks security researcher Artur Oleyarsh said the team immediately warned [Auth0](https://www.infosecurity-magazine.com/directory/auth0/) when it first discovered the vulnerability (tracked CVE-2022-23529) in July 2022.


"Typically, attacks on JWTs will involve different forgery techniques abusing buggy JWT implementations," Oleyarsh wrote.


"These kinds of attacks have severe consequences because, in most cases, a successful attack allows an attacker to bypass authentication and authorization mechanisms to access confidential information or steal and/or modify data."


At the same time, the [Palo Alto Networks](https://www.infosecurity-magazine.com/directory/palo-alto-1/) researcher clarified that to exploit the vulnerability, an attacker must also take advantage of a flaw within the secret management process. Due to the complexity of the vulnerability, Palo Alto Networks suggested a CVSS score of 7.6.


According to the security expert, the Auth0 engineering team provided a patch for the flaw in December 2022.


"We would like to thank the Auth0 team for professionally handling the disclosure process and providing a patch for the reported vulnerability," Oleyarsh added.


More generally, the cybersecurity expert said security awareness is crucial when using open-source software.


"Reviewing commonly used security open source implementations is necessary for maintaining their dependability, and it's something the open source community can take part in."


The vulnerability comes amidst [a gargantuan increase](https://www.infosecurity-magazine.com/news/open-source-repository-attacks-700/) in malicious activity targeting upstream open-source code repositories in the last months of 2022.





## Tags:
***CVE's***: CVE-2022-23529

### Autogenerated tags:
palo auth0 open-source oleyarsh
