# Cross-Site Scripting (XSS) Vulnerability Found In PrivateBin
## A serious cross-site scripting (XSS) vulnerability riddled the open-source paste bin PrivateBin. Following the vulnerability discovery, PrivateBin acted swiftly to fix the bug and release the patch. PrivateBin XSS Vulnerability The security researcher Ian Budd from Nethemba
## Information:

+ Link: https://latesthackingnews.com/2022/04/19/cross-site-scripting-xss-vulnerability-found-in-privatebin/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 19 April 2022, 19:52
+ Date scraped: 20 April 2022, 00:00

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2019/01/ZoneAlarm-vulnerability.jpg)

 0SHARES[Share](https://www.facebook.com/sharer.php?u=https%3A%2F%2Flatesthackingnews.com%2F2022%2F04%2F19%2Fcross-site-scripting-xss-vulnerability-found-in-privatebin%2F)[Tweet](https://twitter.com/intent/tweet?text=Cross-Site%20Scripting%20%28XSS%29%20Vulnerability%20Found%20In%20PrivateBin&url=https://latesthackingnews.com/2022/04/19/cross-site-scripting-xss-vulnerability-found-in-privatebin/&via=7H3Wh173R4bb17)   A serious cross-site scripting (XSS) vulnerability riddled the open-source paste bin PrivateBin. Following the vulnerability discovery, PrivateBin acted swiftly to fix the bug and release the patch.

 ## PrivateBin XSS Vulnerability

 The security researcher Ian Budd from Nethemba s.r.o found a persistent cross-site scripting (XSS) flaw in the PrivateBin platform.

 Briefly, PrivateBin is an open-source, zero-knowledge online [pastebin](https://latesthackingnews.com/?s=pastebin) that allows users to take and share quick notes with privacy. Given its zero-knowledge implementation, the pasted content does not pass on to the servers. Instead, the service encrypts and decrypts the content at the users’ browser level via AES-256 GCM.

 Specifically, the bug typically affected the image preview feature, introduced first with v.0.21. Explaining the vulnerability, a GitHub [advisory](https://github.com/PrivateBin/PrivateBin/security/advisories/GHSA-cqcc-mm6x-vmvw) stated,

 
> The issue is caused by the fact that SVGs can contain JavaScript. This can allow an attacker to execute code, if the user opens a paste with a specifically crafted SVG attachment, and interacts with the preview image and the instance isn’t protected by an appropriate content security policy.
> 
> 

 This vulnerability received the identification ID CVE-2022-24833 and a medium-severity rating with a CVSS score of 4.3.

 The service elaborated that the bug didn’t affect users using the recommended Content Security Policy (CSP), even the older one. Nor did it affect instances without attachments.

 Precisely, PrivateBin stated that the [bug potentially](https://latesthackingnews.com/2021/11/01/optinmonster-plugin-bug-potentially-risked-over-a-million-wordpress-websites/) had a limited impact. Nonetheless, the service could still [detect some real-life vulnerable](https://latesthackingnews.com/2022/01/31/uk-ncsc-rolls-out-sme-nmap-scripts-to-detect-vulnerabilities/) instances. As stated,

 
> We found two affected instances in our instance lists (wiki, directory) that did not serve a correct Content Security Policy header, had attachments enabled and thus are vulnerable to this attack…  
>  In addition to that, we found that multiple instances do seem to either strip our CSP or have it changed to an unsafe setting and have thus expanded our directory service to verify whether our recommend CSP is used or not.
> 
> 

 However, they didn’t detect any active exploitation of the flaw.

 ## Patch Deployed

 Following the bug report, PrivateBin started working on a fix, eventually releasing the patch with PrivateBin v.1.4.0. As mentioned in its [advisory](https://privatebin.info/news/v1.4.0-release.html), the service also tweaked some other features with this update.

 
> This minor release addresses a security issue with the SVG attachment preview, adds support for Google Cloud Storage (GCS) and Oracle databases, adds four new languages to the translations and includes updated libraries.
> 
> 

 Thus, users should ensure using the latest PrivateBin version to avoid any potential risks.

 0SHARES[Share](https://www.facebook.com/sharer.php?u=https%3A%2F%2Flatesthackingnews.com%2F2022%2F04%2F19%2Fcross-site-scripting-xss-vulnerability-found-in-privatebin%2F)[Tweet](https://twitter.com/intent/tweet?text=Cross-Site%20Scripting%20%28XSS%29%20Vulnerability%20Found%20In%20PrivateBin&url=https://latesthackingnews.com/2022/04/19/cross-site-scripting-xss-vulnerability-found-in-privatebin/&via=7H3Wh173R4bb17)     


## Tags:
***CVE's***: CVE-2022-24833

### Autogenerated tags:
privatebin xss
