# Multiple Vulnerabilities Found In Samsung Galaxy App Store App
## Researchers discovered numerous security vulnerabilities in Samsung’s Galaxy App Store application that threatened Samsung users. Exploiting the vulnerabilities could let an adversary infect target devices with malware and perform other malicious actions. Samsung patched the
## Information:

+ Link: https://latesthackingnews.com/2023/01/23/multiple-vulnerabilities-found-in-samsung-galaxy-app-store-app/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 23 January 2023, 19:21
+ Date scraped: 23 January 2023, 22:00

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2023/01/Samsung.jpg)

 Researchers discovered numerous security vulnerabilities in Samsung’s Galaxy App Store application that threatened Samsung users. Exploiting the vulnerabilities could let an adversary infect target devices with malware and perform other malicious actions. Samsung patched the flaws before active exploitation.

 ## Samsung App Store App Vulnerabilities

 According to a recent [advisory](https://research.nccgroup.com/2023/01/20/technical-advisory-multiple-vulnerabilities-in-the-galaxy-app-store-cve-2023-21433-cve-2023-21434/) from the NCC Group, their research team discovered two different security issues in Samsung’s Galaxy App Store app.

 The Galaxy App Store is Samsung’s [own application store](https://latesthackingnews.com/2021/12/30/multiple-riskware-apps-flood-samsungs-galaxy-store-app-store/) for its users, providing them with a reliable alternative for downloading various applications. The application comes pre-installed in almost supported Samsung devices, such as mobile handsets and Samsung Gear. That means any issues affecting this app potentially impact many users globally.

 Regarding the vulnerabilities, the advisory explains the first issue as improper access control (CVE-2023-21433). As stated,

 
> It was found that the Galaxy App Store has an exported activity which does not handle incoming intents in a safe manner.
> 
> 

 An attacker could exploit this flaw by running a malicious app on the target device to install other apps from the Galaxy App Store without the users’ consent.

 This vulnerability affected Samsung [devices running Android](https://latesthackingnews.com/2018/07/02/rampage-a-vulnerability-affecting-every-android-device-built-since-2012/) 12 or lower and existed in the Galaxy App Store versions 4.5.44.1 and others. The devices running Android 13 remain immune to this issue.

 The second vulnerability, CVE-2023-21434, could allow a local attacker to execute malicious JavaScript on target devices by luring the victim users into clicking a malicious URL. This vulnerability existed due to poorly configured webview filters that allowed browsing a rogue domain.

 This vulnerability affected the Galaxy App Store version 4.5.48.3 and others.

 The researchers have shared the technical details with the respective PoCs for both flaws in the advisory.

 ## Samsung Patched The Flaws

 The researchers discovered these vulnerabilities in late 2022, after which they responsibly disclosed the bugs to Samsung. In response, the tech giant developed fixes and released the patches with the Galaxy App Store app version 4.5.49.8.

 Hence, [users must](https://latesthackingnews.com/2022/10/25/cybersecurity-2022-5-top-considerations-every-user-must-be-aware-of/) update their devices with the recent app version to avoid potential exploits.

 Let us know your thoughts in the comments.

   


## Tags:
***CVE's***: CVE-2023-21433 CVE-2023-21434
***ipv4-adresses***: 4.5.48.3 4.5.44.1

### Autogenerated tags:
samsung
