# New Log4j Attack Vector Exploits WebSocket To Trigger RCE
## Researchers recommend updating to Log4j version 2.17.0 to mitigate this attack vector that exploits WebSocket connections.
## Information:

+ Link: https://latesthackingnews.com/2021/12/22/new-log4j-attack-vector-exploits-websocket-to-trigger-rce-update-to-log4j-2-17-0/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 21 December 2021, 23:00
+ Date scraped: 22 December 2021, 14:00

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2019/11/HackerOne-vulnerabilities.jpg)

## Article:
![Article Image](https://latesthackingnews.com/wp-content/uploads/2019/11/HackerOne-vulnerabilities.jpg)
 Shedding light on alternative exploit strategies for the chaotic Log4j vulnerability, researchers have devised a new attack vector exploiting WebSocket. Users must update their systems to the latest Log4j version 2.17.0 to avoid potential threats.

 Log4j Attack Vector Exploits WebSocket
--------------------------------------

 Security researchers from Blumira have elaborated how WebSocket connections exploits can serve as a Log4j attack vector.

 According to their [blog post](https://www.blumira.com/analysis-log4shell-local-trigger/), this attack strategy can prove viable against internal systems not exposed to the internet. All it takes is to have a vulnerable Log4j version running on the device or the network. Browsing a website would then allow triggering the Log4Shell vulnerability via [WebSocket](https://latesthackingnews.com/2017/06/28/what-is-a-web-socket/) connections.

 Describing how the process works, the researchers stated,

 
> This attack makes malicious requests to potentially vulnerable localhost or local network servers that were not exposed to the internet itself via WebSocket.
> 
> 

 The researchers have also shared a PoC video in their post while explaining the attack step-by-step. Their PoC included Log4j 2.13.0, JNDI Exploit Kit (from [here](https://github.com/pimps/JNDI-Exploit-Kit)), Java (JRE8) application with SpringFramework, and targeted the 2019 Server with Google Chrome (Version 96.0.4664.110) as the victim.

 Recommended Mitigations
-----------------------

 Mainly, the researchers urge all users to update their systems to the latest Log4j [version 2.17.0](https://latesthackingnews.com/2021/12/20/apache-releases-third-major-log4j-update-to-fix-a-dos-flaw/). This is the third major Log4j update from Apache that likely includes the complete Log4Shell patch.

 However, the researchers have suggested other mitigation strategies where updates are not possible. These include implementing egress filtering to limit callbacks and ensuring [functional threat detection](https://latesthackingnews.com/2021/12/20/googles-oss-fuzz-tool-now-detects-log4shell-via-jazzer/) strategies, among others.

 Besides, they also suggest using NoScript and similar tools to block JavaScript on untrusted websites as a temporary workaround. However, since this may affect the browsing experience, updating the Log4j version remains the only viable option for now.

 Let us know your thoughts in the comments.

   




## Tags:


### Autogenerated tags:
log4j websocket
