# Rarible NFT Marketplace Bug Could Allow Crypto Assets Theft
## Researchers have discovered how a security bug in the Rarible NFT marketplace could lead to crypto thefts. While Rarible has deployed the fix, users must be careful about any past transactions to avoid losses. Rarible NFT
## Information:

+ Link: https://latesthackingnews.com/2022/04/18/rarible-nft-marketplace-bug-could-allow-crypto-assets-theft/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 18 April 2022, 12:02
+ Date scraped: 19 April 2022, 10:57

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2022/04/NFT.jpg)

 46SHARES[Share](https://www.facebook.com/sharer.php?u=https%3A%2F%2Flatesthackingnews.com%2F2022%2F04%2F18%2Frarible-nft-marketplace-bug-could-allow-crypto-assets-theft%2F)[Tweet](https://twitter.com/intent/tweet?text=Rarible%20NFT%20Marketplace%20Bug%20Could%20Allow%20Crypto%20Assets%20Theft&url=https://latesthackingnews.com/2022/04/18/rarible-nft-marketplace-bug-could-allow-crypto-assets-theft/&via=7H3Wh173R4bb17)   Researchers have discovered how a security bug in the Rarible NFT marketplace could lead to crypto thefts. While Rarible has deployed the fix, users must be careful about any past transactions to avoid losses.

 ## Rarible NFT Bugs Discovered

 Recently, the Check Point Research team has disclosed a serious security bug affecting the Rarible NFT marketplace. As elaborated in their [report](https://research.checkpoint.com/2022/check-point-research-detects-vulnerability-in-the-rarible-nft-marketplace-preventing-risk-of-account-take-over-and-cryptocurrency-theft/), the bug allowed the attackers to steal cryptocurrency assets of target users after wallet takeovers.

 As highlighted, the Check Point Research team discovered the vulnerability with the `setApprovalForAll` function of the NFT EIP-721 standard. Describing the intended action of this function, the report stated,

 
> This function basically designates who is authorized to control all your tokens/NFTs, which is mainly created for 3rd parties like Rarible/OpenSea, etc. to control the NFT/tokens on behalf of the users.
> 
> 

 The [researchers explained](https://latesthackingnews.com/2022/01/10/researchers-explain-how-ssrf-vulnerabilities-risk-java-rmi-services/) that malicious exploitation of this function could let users lose control of their NFTs by signing a malicious transaction. Mostly, the users don’t recognize the impact of signing a transaction, deeming it a regular one. However, doing so can even lead to giving the attacker the permissions to their NFTs.

 To demonstrate this attack, the researchers crafted a [malicious NFT](https://latesthackingnews.com/2021/10/18/opensea-vulnerabilities-allowed-malicious-nft-uploads-to-steal-crypto/) (in SVG format). Opening the NFT or clicking on the IPFS link would execute the JavaScript payload.

 Explaining further, the researchers stated,

 
> What so great about wallet transactions is it doesn’t have to run under the same domain, so we don’t need any private information such as cookies, or sessions, all the victim needs is a wallet and the attacker will use the JSON-RPC to abuse it.
> 
> 

 So, the payload would send the “`setApprovalForAll`” transaction request to the victim, approving which would give the attacker access to their NFT collection. After this, the [attacker could easily steal](https://latesthackingnews.com/2021/07/28/macos-malware-now-steals-account-logins-of-telegram-chrome-and-more/) all NFTs from the victim’s account using the “`transferFrom`” action.

 ## Patch Deployed

 Upon discovering the bug, the Check Point Research team alerted Rarible about the matter. Consequently, Rarible worked on a fix and deployed the patch to avoid any real-world exploits.

 In a statement to Bleeping Computer, Rarible explained that the bug didn’t directly affect Rarible.com users. As stated,

 
> The vulnerability could potentially affect users only in case they deliberately leave Rarible.com for a third-party resource with malicious content, and consciously sign suggested transactions with their wallets. Simply clicking the link is not enough and user interaction and confirmation for transactions is required.
> 
> 

 Nonetheless, they decided to strengthen security on third-party resources as well to “ensure a safe experience for the NFT community.”

 Rarible is a dedicated [NFT marketplace](https://latesthackingnews.com/2022/02/22/new-york-stock-exchange-considering-nft-marketplace-security-remains-critical-issue/) with millions of users. It allows the creation and sale/purchase of digital art as NFTs, has minted over 400,000 NFTs, and works over three blockchains. This huge existence indicates how a security vulnerability in the marketplace could make millions of users lose their assets.

 46SHARES[Share](https://www.facebook.com/sharer.php?u=https%3A%2F%2Flatesthackingnews.com%2F2022%2F04%2F18%2Frarible-nft-marketplace-bug-could-allow-crypto-assets-theft%2F)[Tweet](https://twitter.com/intent/tweet?text=Rarible%20NFT%20Marketplace%20Bug%20Could%20Allow%20Crypto%20Assets%20Theft&url=https://latesthackingnews.com/2022/04/18/rarible-nft-marketplace-bug-could-allow-crypto-assets-theft/&via=7H3Wh173R4bb17)     


## Tags:


### Autogenerated tags:
nft rarible nfts
