# Apple patches double zero-day in browser and kernel – update now!
## Double 0-day exploits – one in WebKit (to break in) and the other in the kernel (to take over). Patch now!
## Information:

+ Link: https://nakedsecurity.sophos.com/2022/08/18/apple-patches-double-zero-day-in-browser-and-kernel-update-now/
+ Source: Naked Security
+ Author: Paul Ducklin
+ Date published: 17 August 2022, 23:33
+ Date scraped: 18 August 2022, 15:02

## Article:
![Main article image](https://nakedsecurity.sophos.com/wp-content/uploads/sites/2/2022/01/apple-1200.png?w=775)


Apple just pushed out an emergency update for two zero-day bugs that are apparently *actively being exploited*.


There’s a remote code execution hole (RCE) dubbed **CVE-2022-32893** in Apple’s HTML rendering software (WebKit), by means of which a booby trapped web page can trick iPhones, iPads and Macs into running unauthorised and untrusted software code.


Simply put, a cybercriminal could implant malware on your device even if all you did was to view an otherwise innocent web page.


Remember that WebKit is the part of Apple’s browser engine that sits underneath absolutely all web rendering software on Apple’s mobile devices.


Macs can run versions of Chrome, Chromium, Edge, Firefox and other “non-Safari” browsers with alternative HTML and JavaScript engines (Chromium, for example, uses *Blink* and *V8*; Firefox is based on *Gecko* and *Rhino*).


But on iOS and iPadOS, Apple’s App Store rules insist that any software that offers any sort of web browsing functionality *must be based on WebKit*, including browsers such as Chrome, Firefox and Edge that don’t rely on Apple’s browsing code on any other plaforms where you might use them.


Additionally, any Mac and iDevice apps with popup windows such as *Help* or *About* screens use HTML as their “display language” – a programmatic convenience that is understandably popular with developers.


Apps that do this almost certainly use Apple’s *WebView* system functions, and WebView is based *directly on top of WebKit*, so it is therefore affected by any vulnerabilities in WebKit.


The **CVE-2022-32893** vulnerability therefore potentially affects many more apps and system components than just Apple’s own Safari browser, so simply steering clear of Safari can’t be considered a workaround, even on Macs where non-WebKit browsers are allowed.


## Then there’s a second zero-day


There’s also a kernel code execution hole dubbed **CVE-2022-32894**, by which an attacker who has already gained a basic foothold on your Apple device by exploiting the abovementioned WebKit bug…


…could jump from controlling just a single app on your device to taking over the operating system kernel itself, thus acquiring the sort of “admininstrative superpowers” normally reserved for Apple itself.


This almost certainly means that the attacker could:


* **Spy on any and all apps currently running**
* **Download and start additional apps without going through the App Store**
* **Access almost all data on the device**
* **Change system security settings**
* **Retrieve your location**
* **Take screenshots**
* **Use the cameras in the device**
* **Activate the microphone**
* **Copy text messages**
* **Track your browsing…**


…and much more.


Apple hasn’t said how these bugs were found (other than to credit *“an anonymous researcher”*), hasn’t said where in the world they’ve been exploited, and hasn’t said who’s using them or for what purpose.


Loosely speaking, however, a working WebKit RCE followed by a working kernel exploit, as seen here, typically provides all the functionality needed to *mount a device jailbreak* (therefore deliberately bypassing almost all Apple-imposed security restrictions), or to *install background spyware* and keep you under comprehensive surveillance.


## What to do?


Patch at once!


At the time of writing, Apple has published advisories for [iPad OS 15 and iOS 15](https://support.apple.com/kb/HT213413), which both get updated version numbers of **15.6.1**, and for [macOS Monterey 12](https://support.apple.com/kb/HT213413), which gets an updated version number of **12.5.1**.


* **On your iPhone or iPad:** *Settings* > *General* > *Software Update*
* **On your Mac:** *Apple menu* > *About this Mac* > *Software Update…*


There’s also an update that takes [watchOS](https://support.apple.com/en-us/HT201222) to version **8.7.1**, but that update doesn’t list any CVE numbers, and doesn’t have a security advisory of its own.


There’s no word on whether the older supported versions of macOS (Big Sur and Catalina) are affected but don’t yet have updates available, or whether tvOS is vulnerable but not yet patched.


For further information, watch this space, and keep your eyes on Apple’s official Security Bulletin portal page, [HT201222](https://support.apple.com/en-us/HT201222).





## Tags:
***CVE's***: CVE-2022-32893 CVE-2022-32894

### Autogenerated tags:
webkit apps html firefox
