# CISA adds Chrome and Citrix NetScaler to its Known Exploited Vulnerabilities catalog
## U.S. Cybersecurity and Infrastructure Security Agency (CISA) adds Chrome and Citrix flaws to Known Exploited Vulnerabilities catalog
## Information:

+ Link: https://securityaffairs.com/157717/hacking/chrome-citrix-bugs-known-exploited-vulnerabilities-catalog.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 18 January 2024, 19:07
+ Date scraped: 18 January 2024, 20:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2020/07/CISA.jpeg)


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) added the following vulnerabilities to its [Known Exploited Vulnerabilities (KEV) catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog). 


* [CVE-2023-6548](https://nvd.nist.gov/vuln/detail/CVE-2023-6548) – Citrix NetScaler ADC and NetScaler Gateway Code Injection Vulnerability.
* [CVE-2023-6549](https://nvd.nist.gov/vuln/detail/CVE-2023-6549) – Citrix NetScaler ADC and NetScaler Gateway Buffer Overflow Vulnerability.
* [CVE-2024-0519](https://nvd.nist.gov/vuln/detail/CVE-2024-0519) – Google Chromium V8 Out-of-Bounds Memory Access Vulnerability.


This week Citrix [**warned**](https://securityaffairs.com/157611/hacking/citrix-netscaler-zero-days.html) customers to install security updates to address two actively exploited zero-day vulnerabilities, tracked as CVE-2023-6548 and CVE-2023-6549, impacting Netscaler ADC and Gateway appliances.



*“Exploits of these CVEs on unmitigated appliances have been observed. Cloud Software Group strongly urges affected customers of NetScaler ADC and NetScaler Gateway to install the relevant updated versions as soon as possible.” [reads the advisory.](https://support.citrix.com/article/CTX584986/netscaler-adc-and-netscaler-gateway-security-bulletin-for-cve20236548-and-cve20236549)*


Citrix NetScaler ADC and NetScaler Gateway contain a code injection vulnerability that allows for authenticated remote code execution on the management interface with access to NSIP, CLIP, or SNIP.


An attacker can trigger the flaw to gain remote code execution or cause a denial-of-service condition.


The vulnerability CVE-2023-6548 is an authenticated (low privileged) remote code execution affecting Management Interface. In order to exploit this issue, an attacker must have access to NSIP, CLIP or SNIP with management interface access.


The company pointed out that CVE- 2023- 6548 only impacts the management interface. Cloud Software Group strongly recommends that network traffic to the appliance’s management interface is separated, either physically or logically, from normal network traffic. The vendor recommends that customers do not expose the management interface to the internet, as explained in the secure deployment guide.


The vulnerability CVE-2023-6549 is a Denial of Service. To be exploited the appliance must be configured as a Gateway (VPN virtual server, ICA Proxy, CVPN, RDP Proxy) OR AAA virtual server.


This week, Google [**released**](https://securityaffairs.com/157600/security/google-first-chrome-zero-day-2024.html) security updates to address the first Chrome zero-day vulnerability of the year that is actively being exploited in the wild.


The high-serverity vulnerability, tracked as [CVE-2024-0519](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-0519), is an out of bounds memory access in the Chrome JavaScript engine. The flaw was reported by Anonymous on January 11, 2024.


*“The Stable channel has been updated to 120.0.6099.234 for Mac and 120.0.6099.224 for Linux and 120.0.6099.224/225 to Windows which will roll out over the coming days/weeks.” reads the [security advisory](https://chromereleases.googleblog.com/2024/01/stable-channel-update-for-desktop_16.html) published by the IT giant.* *“Google is aware of reports that an exploit for CVE-2024-0519 exists in the wild.”*


A remote attacker can exploit the flaw by tricking a user into visiting a crafted HTML page to potentially exploit heap corruption.


As usual, Google did not share details of the attacks that exploited the CVE-2024-0519 zero-day in the wild.



According to [Binding Operational Directive (BOD) 22-01: Reducing the Significant Risk of Known Exploited Vulnerabilities](https://cyber.dhs.gov/bod/22-01/), FCEB agencies have to address the identified vulnerabilities by the due date to protect their networks against attacks exploiting the flaws in the catalog.


Experts recommend also private organizations review the [Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) and address the vulnerabilities in their infrastructure.


CISA orders federal agencies to fix this vulnerability by February 2, 2024. 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, [CISA](https://securityaffairs.com/155340/security/cisa-qualcomm-flaws-known-exploited-vulnerabilities-catalog.html))**




---




---





## Tags:
***CVE's***: CVE-2023-6548 CVE-2023-6549 CVE-2024-0519

### Autogenerated tags:
netscaler citrix cve-2024-0519 google cisa cve-2023-6548 cve-2023-6549 zero-day
