# CISA adds Chrome, Redis bugs to the Known Exploited Vulnerabilities Catalog
## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has added Chrome and Redis flaws to its Known Exploited Vulnerabilities Catalog. The U.S. Cybersecurity and Infrastructure Security Agency (CISA) added Google Chome zero-day (CVE-2022-1096) and a critical Redis vulnerability (CVE-2022-0543), along with other 30 vulnerabilities, to its Known Exploited Vulnerabilities Catalog. According to Binding Operational Directive (BOD) 22-01: Reducing […]
## Information:

+ Link: https://securityaffairs.co/wordpress/129593/security/chrome-redis-known-exploited-vulnerabilities-catalog.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 29 March 2022, 07:56
+ Date scraped: 29 March 2022, 08:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2020/07/CISA.jpeg?resize=300%2C300&ssl=1)


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) added Google Chome zero-day (CVE-2022-1096) and a critical Redis vulnerability (CVE-2022-0543), along with other 30 vulnerabilities, to its [Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog). 


According to [Binding Operational Directive (BOD) 22-01: Reducing the Significant Risk of Known Exploited Vulnerabilities](https://cyber.dhs.gov/bod/22-01/), FCEB agencies have to address the identified vulnerabilities by the due date to protect their networks against attacks exploiting the flaws in the catalog.


Experts recommend also private organizations review the [Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) and address the vulnerabilities in their infrastructure.


The new vulnerabilities added to the catalog have to be addressed by federal agencies by April 18, 2022.


Last week, Google fixed the actively exploited [CVE-2022-1096](https://securityaffairs.co/wordpress/129483/security/chrome-2nd-zero-day-2022.html) zero-day vulnerability with the release of Chrome 99.0.4844.84 for Windows, Mac, and Linux.


Google has released Chrome 99.0.4844.84 for Windows, Mac, and Linux users to address it.


The CVE-2022-1096 vulnerability is a Type Confusion in V8 JavaScript engine, the bug was reported by an anonymous on 2022-03-23.


The second issue added to the catalog, tracked as [CVE-2022-0543](https://securityaffairs.co/wordpress/129549/cyber-crime/muhstik-botnet-targeting-redis-servers-using-recently-disclosed-vulnerability.html), is a [Lua sandbox escape flaw](https://www.ubercomp.com/posts/2022-01-20_redis_on_debian_rce) that impacts Debian and Debian-derived Linux distributions.


The vulnerability, which was rated 10 out of 10 for severity, could be exploited by a remote attacker with the ability to execute arbitrary Lua scripts to possibly escape the Lua sandbox and execute arbitrary code on the underlying machine.


Juniper Threat Labs researchers [reported](https://securityaffairs.co/wordpress/129549/cyber-crime/muhstik-botnet-targeting-redis-servers-using-recently-disclosed-vulnerability.html) that the Muhstik botnet has been observed targeting Redis servers exploiting the CVE-2022-0543 vulnerability.


On March 27, the US Cybersecurity and Infrastructure Security Agency (CISA) added 66 new flaws to its Known Exploited Vulnerabilities Catalog.


One of the 66 flaws added to the catalog is the recently discovered Windows [CVE-2022-21999](https://securityaffairs.co/wordpress/127821/security/microsoft-february-2022-patch-tuesday.html) vulnerability, which is a Windows Print Spooler Elevation of Privilege bug. Microsoft addressed this bug with the release of the February 2022 Patch Tuesday updates.


Another issue added to the catalog, tracked as [CVE-2022-26318](https://nvd.nist.gov/vuln/detail/CVE-2022-26318), is an arbitrary code execution in WatchGuard Firebox and XTM Appliances.


The CISA Catalog has reached a total of 602 entries with the latest added vulnerabilities.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, **CISA**)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-26318 CVE-2022-21999 CVE-2022-1096 CVE-2022-0543

### Autogenerated tags:
cisa windows google cve-2022-1096 cve-2022-0543 linux lua
