# CISA adds Microsoft Windows Print Spooler flaw to its Known Exploited Vulnerabilities catalog
## U.S. CISA added the Windows Print Spooler flaw CVE-2022-38028 to its Known Exploited Vulnerabilities catalog.
## Information:

+ Link: https://securityaffairs.com/162295/hacking/cisa-adds-microsoft-windows-print-spooler-flaw-to-its-known-exploited-vulnerabilities-catalog.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 25 April 2024, 13:33
+ Date scraped: 25 April 2024, 14:09

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2020/07/CISA.jpeg)



The U.S. Cybersecurity and Infrastructure Security Agency (CISA) [added](https://www.cisa.gov/news-events/alerts/2024/04/23/cisa-adds-one-known-exploited-vulnerability-catalog) the [CVE-2022-38028](https://nvd.nist.gov/vuln/detail/CVE-2022-38028) Microsoft Windows Print Spooler Privilege Escalation vulnerability to its [Known Exploited Vulnerabilities (KEV) catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog).


Cisa added the flaw to the KEV catalog after Microsoft **reported** that the Russia-linked [APT28](https://securityaffairs.com/159691/breaking-news/russia-apt28-compromised-ubiquiti-edgerouters.html) group (aka “[Forest Blizzard](https://securityaffairs.com/159691/breaking-news/russia-apt28-compromised-ubiquiti-edgerouters.html)”, “[Fancybear](https://securityaffairs.com/155420/apt/apt8-exploited-outlook-0day-target-nato.html)” or “[Strontium](https://securityaffairs.com/89473/apt/strontium-abuses-iot-devices.html)” used a previously unknown tool, dubbed GooseEgg, to exploit the Windows Print Spooler flaw CVE-2022-38028.



Since at least June 2020, and possibly earlier, the cyberespionage group has used the tool GooseEgg to exploit the [CVE-2022-38028](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-38028) vulnerability. This tool modifies a JavaScript constraints file and executes it with SYSTEM-level permissions. Microsoft has observed APT28 using GooseEgg in post-compromise activities against various targets, including government, non-governmental, education, and transportation sector organizations in Ukraine, Western Europe, and North America.


While GooseEgg is a simple launcher application, threat actors can use it to execute other applications specified at the command line with elevated permissions. In a post-exploitation scenario, attackers can use the tool to carry out a broad range of malicious activities such as remote code execution, installing backdoors, and moving laterally through compromised networks.


The vulnerability CVE-2022-38028 was reported by the U.S. National Security Agency and Microsoft addressed it with the release of Microsoft October 2022 Patch Tuesday security updates.


APT28 deployed GooseEgg to gain elevated access to target systems and steal credentials and sensitive information.


According to [Binding Operational Directive (BOD) 22-01: Reducing the Significant Risk of Known Exploited Vulnerabilities](https://cyber.dhs.gov/bod/22-01/), FCEB agencies have to address the identified vulnerabilities by the due date to protect their networks against attacks exploiting the flaws in the catalog.


Experts recommend also private organizations review the [Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) and address the vulnerabilities in their infrastructure.


CISA orders federal agencies to fix this vulnerability by May 14, 2024.


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, CISA)**





---




---





## Tags:
***CVE's***: CVE-2022-38028

### Autogenerated tags:
microsoft gooseegg cisa cve-2022-38028 apt28
