# CISA adds NextGen Healthcare Mirth Connect flaw to its Known Exploited Vulnerabilities catalog
## CISA adds NextGen Healthcare Mirth Connect deserialization of untrusted data vulnerability to its Known Exploited Vulnerabilities catalog.
## Information:

+ Link: https://securityaffairs.com/163496/security/cisa-adds-nextgen-healthcare-mirth-connect-flaw-known-exploited-vulnerabilities-catalog.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 21 May 2024, 19:59
+ Date scraped: 21 May 2024, 21:07

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2020/07/CISA.jpeg)



The U.S. Cybersecurity and Infrastructure Security Agency (CISA) [added](https://www.cisa.gov/news-events/alerts/2024/05/20/cisa-adds-two-known-exploited-vulnerabilities-catalog) a NextGen Healthcare Mirth Connect vulnerability to its [Known Exploited Vulnerabilities (KEV) catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog).


The issue, tracked as [CVE-2023-43208](https://nvd.nist.gov/vuln/detail/CVE-2023-43208), is a Deserialization of Untrusted Data Vulnerability. 


Deserialization of untrusted data vulnerability is a security flaw that occurs when an application deserializes data from an untrusted source without properly validating or sanitizing it. Deserialization is the process of converting serialized data (data formatted for storage or transmission) back into an object or data structure that a program can use.


The flaw impacts NextGen Healthcare Mirth Connect before version 4.4.1, an unauthenticated remote attacker can trigger the issue to achieve code execution.


US CISA also addressed recently disclosed Google Chromium V8 Type Confusion Vulnerability ([CVE-2024-4947](https://securityaffairs.com/163238/hacking/7th-chrome-zero-day-2024.html)).


The vulnerability CVE-2024-4947 is a type confusion that resides in V8 JavaScript engine. The vulnerability was reported by Vasily Berdnikov (@vaber\_b) and Boris Larin (@oct0xor) of Kaspersky on May 13, 2024.


*“Google is aware that an exploit for CVE-2024-4947 exists in the wild,” reads the [advisory](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_15.html) published by Google.*


According to [Binding Operational Directive (BOD) 22-01: Reducing the Significant Risk of Known Exploited Vulnerabilities](https://cyber.dhs.gov/bod/22-01/), FCEB agencies have to address the identified vulnerabilities by the due date to protect their networks against attacks exploiting the flaws in the catalog.


Experts recommend also private organizations review the [Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) and address the vulnerabilities in their infrastructure.


CISA orders federal agencies to fix these vulnerabilities by June 10, 2024.


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, [CISA](https://securityaffairs.com/163285/cyber-crime/cisa-google-chrome-zero-day-known-exploited-vulnerabilities-catalog.html))**




---




---





## Tags:
***CVE's***: CVE-2023-43208 CVE-2024-4947

### Autogenerated tags:
cisa deserialization google cve-2024-4947
