# CISA adds VMware, Chrome flaws to its Known Exploited Vulnerabilities Catalog
## US CISA adds a VMware privilege escalation flaw and a Google Chrome type confusion issue to its Known Exploited Vulnerabilities Catalog. The Cybersecurity and Infrastructure Security Agency (CISA) added a VMware privilege escalation flaw (CVE-2022-22960) and a Google Chrome type confusion issue (CVE-2022-1364) to its Known Exploited Vulnerabilities Catalog. According to Binding Operational Directive (BOD) 22-01: […]
## Information:

+ Link: https://securityaffairs.co/wordpress/130316/security/cisa-vmware-chrome-known-exploited-vulnerabilities-catalog.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 18 April 2022, 08:13
+ Date scraped: 19 April 2022, 11:10

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2020/07/CISA.jpeg?resize=300%2C300&ssl=1)


The Cybersecurity and Infrastructure Security Agency (CISA) added a VMware privilege escalation flaw (CVE-2022-22960) and a Google Chrome type confusion issue (CVE-2022-1364) to its [Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog).


According to [Binding Operational Directive (BOD) 22-01: Reducing the Significant Risk of Known Exploited Vulnerabilities](https://cyber.dhs.gov/bod/22-01/), FCEB agencies have to address the identified vulnerabilities by the due date to protect their networks against attacks exploiting the flaws in the catalog.


Experts recommend also private organizations review the [Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) and address the vulnerabilities in their infrastructure.


The VMware vulnerability, tracked as [CVE-2022-22960](https://securityaffairs.co/wordpress/129906/security/vmware-critical-flaws-2.html), is a privilege escalation bug that was recently addressed by the virtualization giant. 


The Google Chrome flaw, tracked as [CVE-2022-1364](https://securityaffairs.co/wordpress/130213/security/google-chrome-zeroday-cve-2022-1364.html), is a type confusion issue that was fixed by the IT giant with the release of Chrome 100.0.4896.127 for Windows, Mac, and Linux,


The CVE-2022-1364 zero-day resides in the V8 JavaScript engine that was reported by Clément Lecigne of Google’s Threat Analysis Group on April 13, 2022.


Below is the complete list of flaws added by CISA to is Known Exploited Vulnerabilities Catalog in the latest turn:


[![Known Exploited Vulnerabilities Catalog.](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/cisa-Known-Exploited-Vulnerabilities-Catalog-2.png?resize=918%2C289&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/04/cisa-Known-Exploited-Vulnerabilities-Catalog-2.png?ssl=1)
The above issues have to be addressed by federal agencies by May 06, 2022.


This week, the U.S. CISA added the [CVE-2022-24521](https://nvd.nist.gov/vuln/detail/CVE-2022-24521) Microsoft Windows CLFS Driver Privilege Escalation Vulnerability to its [Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog).


**Please vote for Security Affairs as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS  
Vote for me in the sections “The Underdogs – Best Personal (non-commercial) Security Blog” and “The Tech Whizz – Best Technical Blog” and others of your choice.  
To nominate, please visit:**<https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform>


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, ****CISA)******




 
  


---


  




## Tags:
***CVE's***: CVE-2022-22960 CVE-2022-24521 CVE-2022-1364
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform

### Autogenerated tags:
cisa google cve-2022-1364
