# China-linked APT40 used ScanBox Framework in a long-running espionage campaign
## Experts uncovered a cyber espionage campaign conducted by a China-linked APT group and aimed at several entities in the South China Sea. Proofpoint’s Threat Research Team uncovered a cyber espionage campaign targeting entities across the world that was orchestrated by a China-linked threat actor. The campaign aimed at entities in Australia, Malaysia, and Europe, as […]
## Information:

+ Link: https://securityaffairs.co/wordpress/135076/apt/apt40-scanbox-campaign.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 31 August 2022, 13:03
+ Date scraped: 31 August 2022, 18:02

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Scanbox-China-linked-APT.png?resize=300%2C300&ssl=1)


Proofpoint’s Threat Research Team uncovered a cyber espionage campaign targeting entities across the world that was orchestrated by a China-linked threat actor. The campaign aimed at entities in Australia, Malaysia, and Europe, as well as organizations that operate in the South China Sea.


Proofpoint analyzed the campaign with the help of threat intelligence researchers from PwC.


The campaign has been active from April 2022 through June, the threat actor was observed delivering the [ScanBox](https://www.virustotal.com/gui/file/7795936ed1bdb7a5756c1ff821b2dc8739966abbb00e3e0ae114ee728bf1cf1a/detection) exploitation framework to target visitors of a rogue Australian news website. 


The researchers attribute the campaign to the China-linked APT group tracked as [TA423](https://securityaffairs.co/wordpress/125189/hacking/rtf-template-injection-technique.html)/Red Ladon. 


TA423 is a China-linked cyber espionage group that has been active since 2013, it focuses on political events in the Asia-Pacific region, specifically on the South China Sea. Over the years, the group hit defence contractors, manufacturers, universities, government agencies, legal firms involved in diplomatic disputes, and foreign companies involved with Australasian policy or South China Sea operations.


*“The joint efforts of Proofpoint and PwC researchers provide a moderate confidence assessment that recent campaigns targeting the federal government, energy, and manufacturing sectors globally may represent recent efforts by TA423 / Red Ladon.” read the [report](https://www.proofpoint.com/us/blog/threat-insight/chasing-currents-espionage-south-china-sea) published by the experts.*


*“Activity which overlaps with this threat actor has been publicly referred to in governmental indictments as “[APT40](https://securityaffairs.co/wordpress/120316/apt/doj-members-apt40.html)” and “Leviathan.”* 


In June 2021, the U.S. Justice Department (DoJ) [indicted four members](https://securityaffairs.co/wordpress/120316/apt/doj-members-apt40.html) of the China-linked cyber espionage group [APT40](https://securityaffairs.co/wordpress/96364/apt/china-linked-apt40-front-companies.html) (aka [TEMP.Periscope](https://securityaffairs.co/wordpress/78047/apt/temp-periscope-false-flag.html), [TEMP.Jumper](https://securityaffairs.co/wordpress/70355/hacking/temp-periscope-espionage.html), and [Leviathan](https://securityaffairs.co/wordpress/70355/hacking/temp-periscope-espionage.html)) for hacking tens of government organizations, private businesses and universities around the world between 2011 and 2018.


The recent ScanBox-related phishing campaigns were conducted between April 2022 to June 2022 and primarily targeted local and federal Australian Governmental agencies, Australian news media companies, and global heavy industry manufacturers which conduct maintenance of fleets of wind turbines in the South China Sea.



[![Scanbox China-linked APT](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Scanbox-China-linked-APT.png?resize=630%2C425&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Scanbox-China-linked-APT.png?ssl=1)


The phishing messages originated from Gmail and Outlook email addresses likely created by the threat actor, and utilized multiple subjects including “Sick Leave,” “User Research,” and “Request Cooperation.” The attacker poses as an employee of the fictional media publication “Australian Morning News”, the messages attempt to trick recipients into visiting a link to a rogue domain that served the ScanBox framework.


*“The malicious URLs provided in the emails also appear to use values that are customized for each target, although they all redirect to the same page and serve the same malicious payload. In one instance the threat actor was observed appending the URI extension “?p=23-<##>”. It appears that p=23 specifies the page value for landing page the user is redirected to, while the number string that follows it, e.g. the “11” in “?p=23-11”, appears to be a unique identifier for each recipient.” continues the report. “Proofpoint had also observed customized URLs, and URL redirect destinations distinct for each target, in TA423’s earlier campaigns in March 2022.”*


ScanBox allows to deliver JavaScript code in one single block or as a plugin-based, modular architecture. 


ScanBox can be used to harvest information on the victims are to deliver next-stage payloads to targets, it was employed by multiple China-linked APT groups ([[1](https://securityaffairs.co/wordpress/82547/hacking/scanbox-pakistani-government-hack.html)], [[2](https://securityaffairs.co/wordpress/28040/cyber-crime/watering-hole-attacks-reconnaissance.html)], [[3](https://securityaffairs.co/wordpress/115030/apt/china-ta413-targets-tibet.html)], [[4](https://securityaffairs.co/wordpress/74378/intelligence/temp-periscope-cambodia.html)], [[5](https://securityaffairs.co/wordpress/73498/apt/emissary-panda-campaign.html)]) in the past, including [Stone Panda](https://securityaffairs.co/wordpress/79054/apt/chinese-hackers-indictment.html) APT, [TA413](https://securityaffairs.co/wordpress/131843/apt/china-apt-exploits-follina-flaw.html), and [LuckyMouse](https://securityaffairs.co/wordpress/74378/intelligence/temp-periscope-cambodia.html). 


ScanBox was able to deliver multiple plugins as part of the attack, the final plugin that it delivers to targets checks whether Kaspersky Internet Security (KIS) is installed on the victim machine.


The researchers also correlated this campaign with previous campaigns orchestrated by the TA423 APT group which leveraged RTF template injection.


RTF documents were used to drop the first-stage downloader on the victim’s systems, experts observed that RTF template injection URL returned a weaponized Microsoft Word document. 


*“The RTF template injection URL returned a macro-laden Microsoft Word document. The macro contains a series of hardcoded hex bytes stored as strings. These strings are reassembled by the macro and converted into two files, a PE and a DLL, which are saved to the victim host and executed. The macro also makes a URL request seemingly to return an “UpdateConfig” value which may be used by the final installed payload.” continues the report.*


Researchers from Proofpoint conclude that this latest ScanBox campaign is part of a large caber espionage operation conducted by APT40 since March 2021.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, ScanBox)**




 
  


---


  




## Tags:


### Autogenerated tags:
scanbox proofpoint china-linked ta423 url rtf
