# F5 warns its customers of tens of flaws in its products
## Cybersecurity provider F5 released security patches to address tens of vulnerabilities affecting its products. Security and application delivery solutions provider F5 released its security notification to inform customers that it has released security updates from tens of vulnerabilities in its products. The company addressed a total of 43 vulnerabilities, the most severe one is a critical […]
## Information:

+ Link: https://securityaffairs.co/wordpress/130934/security/f5-flaws.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 05 May 2022, 09:47
+ Date scraped: 05 May 2022, 10:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2020/07/f5-networks-bg.jpg?resize=300%2C300&ssl=1)


Security and application delivery solutions provider F5 released its security notification to inform customers that it has released [security updates](https://support.f5.com/csp/article/K55879220) from tens of vulnerabilities in its products.


The company addressed a total of 43 vulnerabilities, the most severe one is a critical issue tracked as [CVE-2022-1388](https://support.f5.com/csp/article/K23605346) (CVSS score of 9.8). An unauthenticated attacker with network access to the BIG-IP system through the management port and/or self IP addresses can exploit the [CVE-2022-1388](https://support.f5.com/csp/article/K23605346) flaw to execute arbitrary system commands, create or delete files, or disable services. 


*“This vulnerability may allow an unauthenticated attacker with network access to the BIG-IP system through the management port and/or self IP addresses to execute arbitrary system commands, create or delete files, or disable services. There is no data plane exposure; this is a control plane issue only.” reads the [advisory](https://support.f5.com/csp/article/K23605346) published by the vendor.”*


The flaw affects the following versions:


16.1.0 – 16.1.2  
15.1.0 – 15.1.5  
14.1.0 – 14.1.4  
13.1.0 – 13.1.4  
12.1.0 – 12.1.6  
11.6.1 – 11.6.5


and the vendor addressed it with the release of:


17.0.0  
16.1.2.2  
15.1.5.1  
14.1.4.6  
13.1.5


The company provided the following temporary mitigations for customers that cannot install the patched versions:


* [Block iControl REST access through the self IP address](https://support.f5.com/csp/article/K23605346#proc1)
* [Block iControl REST access through the management interface](https://support.f5.com/csp/article/K23605346#proc2)
* [Modify the BIG-IP httpd configuration](https://support.f5.com/csp/article/K23605346#proc3)


F5 also addressed a couple of other important authentication bypass issues, tracked as [CVE-2022-25946](https://support.f5.com/csp/article/K52322100) and [CVE-2022-27806](https://support.f5.com/csp/article/K68647001), in BIG-IP Guided Configuration and BIG-IP (ASM, Advanced WAF, APM). Both vulnerabilities could allow attackers to execute arbitrary JavaScript code in the context of the currently logged-in user.


Below the two bugs, both received a CVSS score of 8.7:


* [Authenticated F5 BIG-IP Guided Configuration integrity check in Appliance mode vulnerability CVE-2022-25946](https://support.f5.com/csp/article/K52322100)
* [Authenticated F5 BIG-IP Guided Configuration in Appliance mode vulnerability CVE-2022-27806](https://support.f5.com/csp/article/K68647001)


The vendor also addressed [XSS vulnerability, tracked as CVE-2022-28707](https://support.f5.com/csp/article/K70300233), in BIG-IP, that received a CVSS score of 8.0. 


*“A stored cross-site scripting (XSS) vulnerability exists in an undisclosed page of the BIG-IP Configuration utility (also referred to as the BIG-IP TMUI) that allows an attacker to execute JavaScript in the context of the currently logged-in user. (CVE-2022-28707) Impact An authenticated attacker with at least a guest role may exploit this vulnerability by storing malicious HTML or JavaScript code in the BIG-IP Configuration utility.” [reads](https://support.f5.com/csp/article/K70300233) the advisory. “If successful, an attacker can run JavaScript in the context of the currently logged-in user. In the case of an administrative user with access to the Advanced Shell (bash), an attacker can leverage successful exploitation of this vulnerability to compromise the BIG-IP system. This is a control plane issue; there is no data plane exposure.”*



> **Please vote for Security Affairs as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS  
> Vote for me in the sections “The Underdogs – Best Personal (non-commercial) Security Blog” and “The Tech Whizz – Best Technical Blog” and others of your choice.  
> To nominate, please visit:**<https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform>
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, BIG-IP)**



 
  


---


  




## Tags:
***CVE's***: CVE-2022-25946 CVE-2022-27806 CVE-2022-1388 CVE-2022-28707
***ipv4-adresses***: 1.215.1.0
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfxxrxICiMZ9QM9iiPuMQIC-IoM-NpQMOsFZnJXrBQRYJGCOw/viewform

### Autogenerated tags:
big-ip f5 javascript cvss ip logged-in
