# Fake DDoS protection pages on compromised WordPress sites lead to malware infections
## Threat actors compromise WordPress sites to display fake Cloudflare DDoS protection pages to distribute malware. DDoS Protection pages are associated with browser checks performed by WAF/CDN services which verify if the site visitor is a human or a bot. Recently security experts from Sucuri, spotted JavaScript injections targeting WordPress sites to display fake DDoS Protection pages […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134686/hacking/fake-ddos-protection-pages-wordpress.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 21 August 2022, 23:56
+ Date scraped: 22 August 2022, 04:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/fake-ddos-protection-page-prompt-2.png?resize=300%2C300&ssl=1)


DDoS Protection pages are associated with browser checks performed by WAF/CDN services which verify if the site visitor is a human or a bot.


Recently security experts from Sucuri, spotted JavaScript injections targeting WordPress sites to display fake DDoS Protection pages which lead victims to download remote access trojan malware.


*“Unfortunately, attackers have begun leveraging these familiar security assets in their own malware campaigns. We recently discovered a malicious JavaScript injection affecting WordPress websites which results in a fake CloudFlare DDoS protection popup.” reads the [post](https://blog.sucuri.net/2022/08/fake-ddos-pages-on-wordpress-lead-to-drive-by-downloads.html) published by Sucuri.*



[![fake ddos protection page prompt _prompt-768x178](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/fake-ddos-protection-page-prompt-_prompt-768x178-1.png?resize=768%2C178&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/fake-ddos-protection-page-prompt-_prompt-768x178-1.png?ssl=1)


The page above requests that the visitor clicks on a button to bypass the DDoS protection and visit the site. However, upon clicking on the button, the ‘security\_install.iso’ file is downloaded to the visitor’s machine. The file poses as a tool required to bypass the DDoS verification. In order to trick the visitors into opening the file, a new message tells them that the verification code to access the website is contained in the file.



[![fake ddos protection page prompt 2](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/fake-ddos-protection-page-prompt-2.png?resize=731%2C410&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/fake-ddos-protection-page-prompt-2.png?ssl=1)


Upon opening the file, the image file is mounted and its content is shown to the visitors. The mounted drive contains a file called security\_install.exe, which is actually a Windows shortcut that runs a PowerShell command contained in the debug.txt file in the same drive.


Launching the security\_install.exe, the infection chain starts while a fake DDoS code is displayed.


Ultimately, this causes a chain of scripts to run that display the fake DDoS code needed to view the site. The process leads to the installation of the [NetSupport RAT](https://securityaffairs.co/wordpress/71193/malware/netsupport-rat.html) remote access trojan.


The scripts will also infect the victim’s computer with the [Raccoon Stealer](https://securityaffairs.co/wordpress/100869/malware/raccoon-abuses-google-services.html) info-stealing trojan which allows operators to steal login credentials, cookies, auto-fill data, and credit cards saved on web browsers, along with cryptocurrency wallets.


Website owners are recommended to:


* Keep all software on your website up to date
* Use strong passwords
* Use [2FA](https://blog.sucuri.net/2022/04/the-case-for-2fa-by-default-for-wordpress.html) on your administrative panel
* Place your website behind a [firewall](https://sucuri.net/website-firewall/) service


while below are the recommendations for regular website visitors:


* Make sure your computer is running a robust antivirus program
* Place 2FA on all important logins (such as your bank, social media)
* Practice good browsing habits; don’t open strange files!
* Keep your browser and all software on your computer updated/patched
* Use a [script blocker](https://addons.mozilla.org/en-US/firefox/addon/noscript/) in your browser (advanced)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, WordPress)**




 
  


---


  




## Tags:


### Autogenerated tags:
ddos website wordpress
