# Google fixed a new Chrome Zero-Day actively exploited in the wild
## Google addressed a dozen vulnerabilities in the Chrome browser, including the fifth Chrome zero-day flaw exploited this year. Google this week released security updates to address a dozen vulnerabilities in its Chrome browser for desktops including an actively exploited high-severity zero-day flaw in the wild. The actively exploited flaw, tracked as CVE-2022-2856, is an Insufficient validation […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134501/security/google-fifth-chrome-zero-day-exploited.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 17 August 2022, 17:01
+ Date scraped: 17 August 2022, 18:01

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2016/03/google-chrome-bounty-program.jpg?resize=300%2C300&ssl=1)


Google this week released security updates to address a dozen vulnerabilities in its Chrome browser for desktops including an actively exploited high-severity zero-day flaw in the wild.


The actively exploited flaw, tracked as CVE-2022-2856, is an Insufficient validation of untrusted input in Intents. The flaw was discovered by Ashley Shen and Christian Resell of Google Threat Analysis Group on 19 July 2022.


*“Google is aware that an exploit for CVE-2022-2856 exists in the wild.” reads the [advisory](https://chromereleases.googleblog.com/2022/08/stable-channel-update-for-desktop_16.html) published by Google.*


Google did not share technical details about the issue to prevent further exploitation in the wild.


The IT giant also fixed a critical issue, tracked as CVE-2022-2852, which is use after free in FedCM. This issue was reported by Google Project Zero researcher Sergei Glazunov on August 2, 2022.


Below is the list of the other issues addressed by the company:


* [$7000][1337538] High CVE-2022-2854: Use after free in SwiftShader. Reported by Cassidy Kim of Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd. on 2022-06-18
* [$7000][1345042] High CVE-2022-2855: Use after free in ANGLE. Reported by Cassidy Kim of Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd. on 2022-07-16
* [$5000][1338135] High CVE-2022-2857: Use after free in Blink. Reported by Anonymous on 2022-06-21
* [$5000][1341918] High CVE-2022-2858: Use after free in Sign-In Flow. Reported by raven at KunLun lab on 2022-07-05
* [$NA][1350097] High CVE-2022-2853: Heap buffer overflow in Downloads. Reported by Sergei Glazunov of Google Project Zero on 2022-08-04
* [$3000][[1338412](https://crbug.com/1338412)] Medium CVE-2022-2859: Use after free in Chrome OS Shell. Reported by Nan Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab on 2022-06-22
* [$2000][[1345193](https://crbug.com/1345193)] Medium CVE-2022-2860: Insufficient policy enforcement in Cookies. Reported by Axel Chong on 2022-07-18
* [$TBD][[1346236](https://crbug.com/1346236)] Medium CVE-2022-2861: Inappropriate implementation in Extensions API. Reported by Rong Jian of VRI on 2022-07-21


The CVE-2022-2856 is the fifth zero-day vulnerability in [Chrome](https://securityaffairs.co/wordpress/132863/breaking-news/4th-chrome-zero-day.html) that Google has addressed this year, the [other ones are](https://securityaffairs.co/wordpress/132863/breaking-news/4th-chrome-zero-day.html):


* [CVE-2022-2294](https://securityaffairs.co/wordpress/132863/breaking-news/4th-chrome-zero-day.html) (July 4) – Heap buffer overflow in the Web Real-Time Communications (WebRTC) component
* [CVE-2022-1364](https://securityaffairs.co/wordpress/130213/security/google-chrome-zeroday-cve-2022-1364.html) (April 14) –  type confusion issue that resides in the V8 JavaScript engine
* [CVE-2022-1096](https://securityaffairs.co/wordpress/129483/security/chrome-2nd-zero-day-2022.html) – (March 25) – type Confusion in V8 JavaScript engine
* [CVE-2022-0609](https://securityaffairs.co/wordpress/128035/hacking/chrome-zero-day-2022.html) – (February 14) – use after free issue that resides in the Animation component.


Users should update to version 104.0.5112.101 for macOS and Linux and 104.0.5112.102/101 for Windows.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Chrome)**



 
  


---


  




## Tags:
***CVE's***: CVE-2022-2861 CVE-2022-2856 CVE-2022-2854 CVE-2022-2857 CVE-2022-2855 CVE-2022-2860 CVE-2022-1364 CVE-2022-2859 CVE-2022-2294 CVE-2022-2858 CVE-2022-2853 CVE-2022-1096 CVE-2022-2852 CVE-2022-0609

### Autogenerated tags:
google cve-2022-2856
