# Google fixed the ninth actively exploited Chrome zeroday this year
## Google released security updates to address a new Chrome zero-day flaw, tracked as CVE-2022-4262, actively exploited in the wild. Google rolled out an emergency security update for the Chrome web browser to address a new zero-day vulnerability, tracked as CVE-2022-4262, that is actively exploited. The CVE-2022-4262 vulnerability is a type confusion bug in the V8 […]
## Information:

+ Link: https://securityaffairs.co/wordpress/139226/security/9-google-chrome-zero-day.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 03 December 2022, 15:24
+ Date scraped: 03 December 2022, 16:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2016/03/google-chrome-bounty-program.jpg?resize=300%2C300&ssl=1)


Google rolled out an emergency security update for the Chrome web browser to address a new zero-day vulnerability, tracked as [CVE-2022-4262](https://chromereleases.googleblog.com/2022/12/stable-channel-update-for-desktop.html), that is actively exploited.


The CVE-2022-4262 vulnerability is a type confusion bug in the V8 JavaScript.


The vulnerability was reported by Clement Lecigne of Google’s Threat Analysis Group on November 29, 2022.


“CVE-2022-4262: Type Confusion in V8. *Reported by Clement Lecigne of Google’s Threat Analysis Group on 2022-11-29*” reads the [advisory](https://chromereleases.googleblog.com/2022/12/stable-channel-update-for-desktop.html) published by Google. “Google is aware that an exploit for CVE-2022-4262 exists in the wild.”


As usual, Google did not share technical details about the vulnerability in order to allow users to update their Chrome installations. Anyway, threat actors can exploit the flaw to potentially achieve arbitrary code execution.


Google fixed the zero-day with the release of 108.0.5359.94 for Mac and Linux and 108.0.5359.94/.95 for Windows, which the company plans to roll out over the coming days/weeks


CVE-2022-4262 is the ninth actively exploited Chrome zero-day addressed by Google this year, below is the list of the other zero-day fixed by the tech giant:


* [CVE-2022-4135](https://securityaffairs.co/wordpress/138977/hacking/8-google-chrome-zero-day.html) – (November 25) – heap buffer overflow issue in GPU.
* [CVE-2022-3723](https://securityaffairs.co/wordpress/137753/hacking/7-chrome-zero-day-fixed.html) – (October 28) – type confusion issue that resides in the V8 Javascript engine
* [CVE-2022-3075](https://securityaffairs.co/wordpress/135249/hacking/chrome-emergency-patches.html) (September 2) – Insufficient data validating in the Mojocollection of runtime libraries.
* [CVE-2022-2856](https://securityaffairs.co/wordpress/134501/security/google-fifth-chrome-zero-day-exploited.html) (August 17) – Insufficient validation of untrusted input in Intents
* [CVE-2022-2294](https://securityaffairs.co/wordpress/132863/breaking-news/4th-chrome-zero-day.html) (July 4) – Heap buffer overflow in the Web Real-Time Communications (WebRTC) component
* [CVE-2022-1364](https://securityaffairs.co/wordpress/130213/security/google-chrome-zeroday-cve-2022-1364.html) (April 14) –  type confusion issue that resides in the V8 JavaScript engine
* [CVE-2022-1096](https://securityaffairs.co/wordpress/129483/security/chrome-2nd-zero-day-2022.html) – (March 25) – type Confusion in V8 JavaScript engine
* [CVE-2022-0609](https://securityaffairs.co/wordpress/128035/hacking/chrome-zero-day-2022.html) – (February 14) – use after free issue that resides in the Animation component.



Chrome users are recommended to update their installations as soon as possible to neutralize attacks attempting to exploit the zero-day.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and **[Mastodon](https://infosec.exchange/@securityaffairs)**




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, zero-day)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-3075 CVE-2022-4135 CVE-2022-4262 CVE-2022-3723 CVE-2022-1364 CVE-2022-2294 CVE-2022-1096 CVE-2022-2856 CVE-2022-0609

### Autogenerated tags:
google zero-day cve-2022-4262 v8 javascript
