# Google fixes eighth actively exploited Chrome zero-day this year
## Google rolled out a new emergency security update to fix another actively exploited zero-day vulnerability in Chrome browser.
## Information:

+ Link: https://securityaffairs.com/163642/hacking/8th-chrome-zero-day-2024-html.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 May 2024, 13:13
+ Date scraped: 24 May 2024, 14:08

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2016/03/google-chrome-bounty-program.jpg)



Google has released a new emergency security update to address a new vulnerability, tracked as CVE-2024-5274, in the Chrome browser, it is the eighth zero-day exploited in attacks disclosed this year.


The vulnerability is a high-severity ‘type confusion’ in the V8 JavaScript engine, the Google researcher Clément Lecigne and Brendon Tiszka discovered it. The company confirmed that the flaw is exploited in attacks in the wild.


“Type Confusion in V8. *Reported by Clément Lecigne of Google’s Threat Analysis Group and Brendon Tiszka of Chrome Security on 2024-05-20*” reads the [security advisory](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_23.html). *“Google is aware that an exploit for CVE-2024-5274 exists in the wild.”* 


A “type confusion” vulnerability occurs when a program incorrectly handles variables of one type as if they were another type. This can happen due to flaws in type checking, casting, or other operations involving variable types, leading to unpredictable behavior and potential security risks.


As usual, Google did not publish details about the attacks exploiting the vulnerability.


“*Access to bug details and links may be kept restricted until a majority of users are updated with a fix. We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed.*” continues the advisory.


Google addressed the issue with the release of version 125.0.6422.112/.113 for Windows and Mac, while Linux users will get the update on version 125.0.6422.112 in the coming weeks.


Below is the list of actively exploited zero-day vulnerabilities in the Chrome browser that have been fixed this year:


* **[CVE-2024-0519](https://securityaffairs.com/161445/hacking/google-chrome-zero-day-pwn2own.html)**: an out of bounds memory access in the Chrome JavaScript engine. (January 2024)
* **[CVE-2024-2887](https://securityaffairs.com/161151/security/google-chrome-zero-days-pwn2own-2024.html)**:  a type of confusion issue that resides in WebAssembly. Manfred Paul [demonstrated](https://securityaffairs.com/160901/hacking/pwn2own-vancouver-2024-final-result.html) the vulnerability during the Pwn2Own 2024. (March 2024)
* **[CVE-2024-2886](https://securityaffairs.com/161151/security/google-chrome-zero-days-pwn2own-2024.html)**: a use after free issue that resides in the WebCodecs. The flaw was demonstrated by Seunghyun Lee ([@0x10n](https://twitter.com/0x10n)) of KAIST Hacking Lab during the Pwn2Own 2024. (March 2024)
* **[CVE-2024-3159](https://securityaffairs.com/161445/hacking/google-chrome-zero-day-pwn2own.html)**: an out-of-bounds memory access in V8 JavaScript engine. The flaw was demonstrated by Edouard Bochin (@le\_douds) and Tao Yan (@Ga1ois) of Palo Alto Networks during the Pwn2Own 2024 on March 22, 2024. (March 2024)
* [**CVE-2024-4671**](https://securityaffairs.com/162976/hacking/5th-chrome-zero-day-2024.html): a use-after-free issue that resides in the Visuals component (May 2024).
* **[CVE-2024-4761](https://securityaffairs.com/163136/hacking/6th-chrome-zero-day-2024.html)**: an out-of-bounds write issue that resides in the V8 JavaScript engine (May 2024).
* [**CVE-2024-4947**](https://securityaffairs.com/163238/hacking/7th-chrome-zero-day-2024.html):  a type confusion that resides in V8 JavaScript engine (May 2024).


The vulnerability [**CVE-2024-4947**](https://securityaffairs.com/163238/hacking/7th-chrome-zero-day-2024.html) is the third actively exploited zero-day disclosed this month, after [**CVE-2024-4671**](https://securityaffairs.com/162976/hacking/5th-chrome-zero-day-2024.html) and [**CVE-2024-4947**](https://securityaffairs.com/163238/hacking/7th-chrome-zero-day-2024.html).


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Google)**





---




---





## Tags:
***CVE's***: CVE-2024-4671 CVE-2024-5274 CVE-2024-2886 CVE-2024-3159 CVE-2024-2887 CVE-2024-4761 CVE-2024-0519 CVE-2024-4947

### Autogenerated tags:
google v8 javascript zero-day pwn2own cve-2024-4947
