# Google fixes fifth actively exploited Chrome zero-day this year
## Since the start of the year, Google released an update to fix the fifth actively exploited zero-day vulnerability in the Chrome browser.
## Information:

+ Link: https://securityaffairs.com/162976/hacking/5th-chrome-zero-day-2024.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 10 May 2024, 11:50
+ Date scraped: 10 May 2024, 12:15

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2016/03/google-chrome-bounty-program.jpg)



Google this week released security updates to address a zero-day flaw, tracked as CVE-2024-467, in Chrome browser. The vulnerability is the fifth zero-day flaw in the Google browser that is exploited in the wild since the start of the year.


The vulnerability is a use-after-free issue that resides in the Visuals component. The flaw was reported by an anonymous researcher on May 7, 2024.



“Google is aware that an exploit for CVE-2024-4671 exists in the wild.” reads the [advisory](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_9.html) published by Google. As usual, the IT giant has not revealed details about the attacks exploiting this vulnerability. 


The company addressed the vulnerability with the release of 124.0.6367.201/.202 for Mac/Windows and 124.0.6367.201 for Linux, with the updates rolling out over the coming days/weeks.


Below is the list of actively exploited zero-day in the Chrome browser that have been fixed this year:


* **[CVE-2024-0519](https://securityaffairs.com/161445/hacking/google-chrome-zero-day-pwn2own.html)**: an out of bounds memory access in the Chrome JavaScript engine. (January 2024)
* **[CVE-2024-2887](https://securityaffairs.com/161151/security/google-chrome-zero-days-pwn2own-2024.html)**:  a type confusion issue that resides in WebAssembly. Manfred Paul [demonstrated](https://securityaffairs.com/160901/hacking/pwn2own-vancouver-2024-final-result.html) the vulnerability during the Pwn2Own 2024. (March 2024)
* **[CVE-2024-2886](https://securityaffairs.com/161151/security/google-chrome-zero-days-pwn2own-2024.html)**: a use after free issue that resides in the WebCodecs. The flaw was demonstrated by Seunghyun Lee ([@0x10n](https://twitter.com/0x10n)) of KAIST Hacking Lab during the Pwn2Own 2024. (March 2024)
* **[CVE-2024-3159](https://securityaffairs.com/161445/hacking/google-chrome-zero-day-pwn2own.html)**: an out-of-bounds memory access in V8 JavaScript engine. The flaw was demonstrated by Edouard Bochin (@le\_douds) and Tao Yan (@Ga1ois) of Palo Alto Networks during the Pwn2Own 2024 on March 22, 2024. (March 2024)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Google)**





---




---





## Tags:
***CVE's***: CVE-2024-2887 CVE-2024-2886 CVE-2024-4671 CVE-2024-0519 CVE-2024-3159

### Autogenerated tags:
google zero-day pwn2own
