# Google fixes seventh actively exploited Chrome zero-day this year
## Google released security updates to address a new actively exploited Chrome zero-day vulnerability, the third in a week.
## Information:

+ Link: https://securityaffairs.com/163238/hacking/7th-chrome-zero-day-2024.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 May 2024, 13:11
+ Date scraped: 16 May 2024, 14:13

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2016/03/google-chrome-bounty-program.jpg)



Google has released a new emergency security update to address a new vulnerability, tracked as CVE-2024-4947, in the Chrome browser, it is the third zero-day exploited in attacks that was disclosed this week.


The vulnerability CVE-2024-4947 is a type confusion that resides in V8 JavaScript engine. The vulnerability was reported by Vasily Berdnikov (@vaber\_b) and Boris Larin (@oct0xor) of Kaspersky on May 13, 2024.



*“Google is aware that an exploit for CVE-2024-4947 exists in the wild,” reads the [advisory](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_15.html) published by Google.* 


This week the IT giant fixed other two actively exploited Chrome zero-day issues, respectively tracked [CVE-2024-4671](https://securityaffairs.com/162976/hacking/5th-chrome-zero-day-2024.html) and [CVE-2024-4761](https://securityaffairs.com/163136/hacking/6th-chrome-zero-day-2024.html).


Below is the list of actively exploited zero-day vulnerabilities in the Chrome browser that have been fixed this year:


* **[CVE-2024-0519](https://securityaffairs.com/161445/hacking/google-chrome-zero-day-pwn2own.html)**: an out of bounds memory access in the Chrome JavaScript engine. (January 2024)
* **[CVE-2024-2887](https://securityaffairs.com/161151/security/google-chrome-zero-days-pwn2own-2024.html)**:  a type confusion issue that resides in WebAssembly. Manfred Paul [demonstrated](https://securityaffairs.com/160901/hacking/pwn2own-vancouver-2024-final-result.html) the vulnerability during the Pwn2Own 2024. (March 2024)
* **[CVE-2024-2886](https://securityaffairs.com/161151/security/google-chrome-zero-days-pwn2own-2024.html)**: a use after free issue that resides in the WebCodecs. The flaw was demonstrated by Seunghyun Lee ([@0x10n](https://twitter.com/0x10n)) of KAIST Hacking Lab during the Pwn2Own 2024. (March 2024)
* **[CVE-2024-3159](https://securityaffairs.com/161445/hacking/google-chrome-zero-day-pwn2own.html)**: an out-of-bounds memory access in V8 JavaScript engine. The flaw was demonstrated by Edouard Bochin (@le\_douds) and Tao Yan (@Ga1ois) of Palo Alto Networks during the Pwn2Own 2024 on March 22, 2024. (March 2024)
* [**CVE-2024-4671**](https://securityaffairs.com/162976/hacking/5th-chrome-zero-day-2024.html): a use-after-free issue that resides in the Visuals component (May 2024).
* **[CVE-2024-4761](https://securityaffairs.com/163136/hacking/6th-chrome-zero-day-2024.html)**: an out-of-bounds write issue that resides in the V8 JavaScript engine (May 2024).


Google also addressed the following vulnerabilities:


* [TBD][[333414294](https://issues.chromium.org/issues/333414294)] **High** CVE-2024-4948: Use after free in Dawn. *Reported by wgslfuzz on 2024-04-09*
* [$7000][[326607001](https://issues.chromium.org/issues/326607001)] **Medium** CVE-2024-4949: Use after free in V8. *Reported by Ganjiang Zhou(@refrain\_areu) of ChaMd5-H1 team on 2024-02-24*
* [$1000][[40065403](https://issues.chromium.org/issues/40065403)] **Low** CVE-2024-4950: Inappropriate implementation in Downloads. *Reported by Shaheen Fazim on 2023-06-06*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Google)**





---




---





## Tags:
***CVE's***: CVE-2024-4947 CVE-2024-3159 CVE-2024-4950 CVE-2024-4949 CVE-2024-4671 CVE-2024-0519 CVE-2024-4948 CVE-2024-4761 CVE-2024-2886 CVE-2024-2887

### Autogenerated tags:
google v8 javascript cve-2024-4947 zero-day pwn2own
