# Google fixes sixth actively exploited Chrome zero-day this year
## Google released emergency security updates to address an actively exploited Chrome zero-day vulnerability.
## Information:

+ Link: https://securityaffairs.com/163136/hacking/6th-chrome-zero-day-2024.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 14 May 2024, 10:53
+ Date scraped: 14 May 2024, 12:09

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2016/03/google-chrome-bounty-program.jpg)



Google has released emergency security updates to address a high-severity zero-day vulnerability vulnerability, tracked as CVE-2024-4761, in the Chrome browser.


The vulnerability is an out-of-bounds write issue that resides in the V8 JavaScript engine of the Google web browser.



The company confirmed that the flaw is exploited in attacks in the wild.


“CVE-2024-4761: Out of bounds write in V8. *Reported by Anonymous on 2024-05-09″* reads the [**advisory**](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_13.html). “Google is aware that an exploit for CVE-2024-4761 exists in the wild.”


The company addressed the zero-day flaw with the release of 124.0.6367.207/.208 for Mac/Windows and 124.0.6367.207 for Linux. Google will roll out updates to all users over the coming days/weeks.


The vulnerability [CVE-2024-4671](https://securityaffairs.com/162976/hacking/5th-chrome-zero-day-2024.html) is the sixth zero-day exploited in attacks fixed by the IT giant this year.


As usual, Google did not publish details about the attacks exploiting the vulnerability.


“*Access to bug details and links may be kept restricted until a majority of users are updated with a fix. We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed*” continues the advisory.


Below is the list of actively exploited zero-day flaws in the Chrome browser that have been fixed this year:


* **[CVE-2024-0519](https://securityaffairs.com/161445/hacking/google-chrome-zero-day-pwn2own.html)**: an out of bounds memory access in the Chrome JavaScript engine. (January 2024)
* **[CVE-2024-2887](https://securityaffairs.com/161151/security/google-chrome-zero-days-pwn2own-2024.html)**:  a type confusion issue that resides in WebAssembly. Manfred Paul [demonstrated](https://securityaffairs.com/160901/hacking/pwn2own-vancouver-2024-final-result.html) the vulnerability during the Pwn2Own 2024. (March 2024)
* **[CVE-2024-2886](https://securityaffairs.com/161151/security/google-chrome-zero-days-pwn2own-2024.html)**: a use after free issue that resides in the WebCodecs. The flaw was demonstrated by Seunghyun Lee ([@0x10n](https://twitter.com/0x10n)) of KAIST Hacking Lab during the Pwn2Own 2024. (March 2024)
* **[CVE-2024-3159](https://securityaffairs.com/161445/hacking/google-chrome-zero-day-pwn2own.html)**: an out-of-bounds memory access in V8 JavaScript engine. The flaw was demonstrated by Edouard Bochin (@le\_douds) and Tao Yan (@Ga1ois) of Palo Alto Networks during the Pwn2Own 2024 on March 22, 2024. (March 2024)
* [**CVE-2024-4671**](https://securityaffairs.com/162976/hacking/5th-chrome-zero-day-2024.html): a use-after-free issue that resides in the Visuals component (May 2024).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Chrome)**





---




---





## Tags:
***CVE's***: CVE-2024-2886 CVE-2024-2887 CVE-2024-4761 CVE-2024-4671 CVE-2024-3159 CVE-2024-0519

### Autogenerated tags:
google zero-day cve-2024-4761 v8 javascript pwn2own
