# Google rolled out emergency fixes to address actively exploited Chrome zero-day
## Google rolled out emergency fixes to address a vulnerability in the Chrome web browser that is being actively exploited in the wild. Google on Friday released emergency fixes to address a vulnerability, tracked as CVE-2022-3075, in the Chrome web browser that is being actively exploited in the wild. The CVE-2022-3075 flaw is caused by insufficient data […]
## Information:

+ Link: https://securityaffairs.co/wordpress/135249/security/chrome-emergency-patches.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 03 September 2022, 15:37
+ Date scraped: 03 September 2022, 16:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2016/03/google-chrome-bounty-program.jpg?resize=300%2C300&ssl=1)


Google on Friday released emergency fixes to address a vulnerability, tracked as CVE-2022-3075, in the Chrome web browser that is being actively exploited in the wild.


The CVE-2022-3075 flaw is caused by insufficient data validating in Mojo. [Mojo](https://chromium.googlesource.com/chromium/src/+/master/mojo/README.md) is a collection of runtime libraries providing a platform-agnostic abstraction of common IPC primitives, a message IDL format, and a bindings library with code generation for multiple target languages to facilitate convenient message passing across arbitrary inter- and intra-process boundaries.


The vulnerability wasreported by an anonymous researcher on August 30, 2022.


*“Google is aware of reports that an exploit for CVE-2022-3075 exists in the wild.” [reads](https://chromereleases.googleblog.com/2022/09/stable-channel-update-for-desktop.html) the advisory published by Google.* 


An anonymous researcher has been credited with reporting the high-severity flaw on August 30, 2022.


This is the sixth zero-day vulnerability in Chrome that the IT giant addressed in 2022, the previous ones are:



[![Google Chrome zero-day](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2016/03/google-chrome-bounty-program.jpg?resize=327%2C181&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2016/03/google-chrome-bounty-program.jpg?ssl=1)


* [CVE-2022-2856](https://securityaffairs.co/wordpress/134501/security/google-fifth-chrome-zero-day-exploited.html) (August 17) – Insufficient validation of untrusted input in Intents
* [CVE-2022-2294](https://securityaffairs.co/wordpress/132863/breaking-news/4th-chrome-zero-day.html) (July 4) – Heap buffer overflow in the Web Real-Time Communications (WebRTC) component
* [CVE-2022-1364](https://securityaffairs.co/wordpress/130213/security/google-chrome-zeroday-cve-2022-1364.html) (April 14) –  type confusion issue that resides in the V8 JavaScript engine
* [CVE-2022-1096](https://securityaffairs.co/wordpress/129483/security/chrome-2nd-zero-day-2022.html) – (March 25) – type Confusion in V8 JavaScript engine
* [CVE-2022-0609](https://securityaffairs.co/wordpress/128035/hacking/chrome-zero-day-2022.html) – (February 14) – use after free issue that resides in the Animation component.


Users should update to version 105.0.5195.102 for Windows, macOS, and Linux.


The issue also affects other Chromium-based browsers, including Microsoft Edge, Brave, and Opera.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Chrome)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-3075 CVE-2022-1364 CVE-2022-2294 CVE-2022-1096 CVE-2022-2856 CVE-2022-0609

### Autogenerated tags:
google cve-2022-3075
