# Hackers exploited WordPress Popup Builder plugin flaw to compromise 3,300 sites
## Threat actors are hacking WordPress sites by exploiting a flaw, tracked as CVE-2023-6000, in old versions of the Popup Builder plugin
## Information:

+ Link: https://securityaffairs.com/160329/hacking/wordpress-popup-builder-plugin-bug.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 11 March 2024, 07:55
+ Date scraped: 11 March 2024, 09:03

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/03/image-15.png)


In January, Sucuri researchers [reported](https://securityaffairs.com/157470/malware/balada-injector-malware-wordpress-sites.html) that Balada Injector malware infected over 7100 WordPress sites using a vulnerable version of the [Popup Builder WordPress plugin](https://blog.sucuri.net/2024/01/thousands-of-sites-with-popup-builder-compromised-by-balada-injector.html). Sucurity reported that on December 13th, the [Balada Injector](https://blog.sucuri.net/2023/04/balada-injector-synopsis-of-a-massive-ongoing-wordpress-malware-campaign.html) campaign started infecting websites using older versions of the Popup Builder ([CVE-2023-6000](https://nvd.nist.gov/vuln/detail/CVE-2023-6000), CVSS score 8.8). The Popup Builder WordPress plugin before 4.2.3 does not prevent simple visitors from updating existing popups, and injecting raw JavaScript in them, which could lead to Stored XSS attacks.


In the past three weeks, the researchers observed a spike in attacks from a new malware campaign e this same exploiting the same flaw in Popup Builder. According to PublicWWW, threat actors already compromised over [3,300 websites](https://publicwww.com/websites/%22var+e+%3D+d%5B%27create%27+%2B+%27Element%27%5D%28%27scr%27+%2B+%27ipt%27%29%3B+e%5B%27src%27%5D+%3D+%27https%3A%2F%2Fhost.cloudsonicwave.com%22/). Sucuri’s SiteCheck [remote malware scanner](https://sitecheck.sucuri.net/) has detected Balada Injector malware on over 1,170 sites.



These attacks originated from two domains registered on February 12th, 2024:


* ttincoming.**traveltraffic[.]cc**
* host.**cloudsonicwave[.]com**


The threat actors exploit the bug in the Popup Builder WordPress plugin to inject malicious code in the Custom JS or CSS section of the WordPress admin interface, which is internally stored in the wp\_postmeta database table.


*“These injections serve as handlers for various Popup Builder events such as **sgpb-ShouldOpen**, **sgpb-ShouldClose**, **sgpb-WillOpen**, **sgpbDidOpen**, **sgpbWillClose**, **sgpb-DidClose**. The events fire at different stages of the legitimate site’s popup display process.” [reads the report.](https://blog.sucuri.net/2024/03/new-malware-campaign-found-exploiting-stored-xss-in-popup-builder-4-2-3.html)*


*“In some variations, the “**hxxp://ttincoming.traveltraffic[.]cc/?traffic**” URL is being injected as the **redirect-url** parameter for a “contact-form-7” popup.”*


[![WordPress Popup Builder plugin
](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/03/image-15.png?resize=1024%2C487&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/03/image-15.png?ssl=1)


Admins of websites using the Popup Builder plugin are urged to upgrade to the latest version immediately.


Admins of already infected WordPress websites must delete malicious injection from the “Custom JS or CSS” section of the Popup Builder in the WordPress admin interface. Then they have to [scan their website at the client and server level](https://sucuri.net/malware-detection-scanning/) to find any hidden website backdoors and remove it.


“However, this is only a short-term fix. The malware is reinfecting compromised environments quite quickly.” concludes the report. “To prevent reinfection, you will also want to [scan your website at the client and server level](https://sucuri.net/malware-detection-scanning/) to find any hidden website backdoors. Remove any malicious code or unfamiliar site admins from your environment. Following the cleanup, immediately update the Popup Builder plugin to the latest version to secure your site from this malware. You can check out our [Hacked WordPress guide](https://sucuri.net/guides/how-to-clean-hacked-wordpress/) for detailed step-by-step instructions.”


**Follow me on Twitter: [@securityaffairs](https://twitter.com/securityaffairs) and [Facebook](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)**


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, WordPress)**




---




---





## Tags:
***CVE's***: CVE-2023-6000
***urls***: http://host.cloudsonicwave.com http://ttincoming.traveltraffic.cc http://ttincoming.traveltraffic.cc/?traffic

### Autogenerated tags:
popup wordpress malware plugin websites website admins
