# Horde Webmail Software is affected by a dangerous bug since 2012
## Experts found a nine-year-old unpatched flaw in the Horde Webmail software that could allow access to email accounts. A feature in the Horde Webmail is affected by a nine-year-old unpatched security vulnerability that could be abused to gain complete access to email accounts simply by previewing an attachment. Horde Webmail is a free, enterprise-ready, and […]
## Information:

+ Link: https://securityaffairs.co/wordpress/128314/hacking/horde-webmail-xss.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 23 February 2022, 11:07
+ Date scraped: 23 February 2022, 12:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Horde-Webmail-2.png?resize=300%2C300&ssl=1)


A feature in the Horde Webmail is affected by a nine-year-old unpatched security vulnerability that could be abused to gain complete access to email accounts simply by previewing an attachment.


Horde Webmail is a free, enterprise-ready, and browser-based communication suite developed by the Horde project. This webmail solution is widely adopted by universities and government agencies.


*“We discovered a code vulnerability in Horde that allows an attacker to gain full access to the email account of a victim when it loads the preview of a harmless-looking email attachment.” [reads a report](https://blog.sonarsource.com/horde-webmail-account-takeover-via-email) published by Sonarsource. “This gives the attacker access to all sensitive and perhaps secret information a victim has stored in their email account and could allow them to gain further access to the internal services of an organization.”* 


The vulnerability discovered by Sonarsource is a stored XSS vulnerability that was introduced with the commit [325a7ae](https://github.com/horde/Mime_Viewer/commit/325a7ae2663dd9c50e85fe515033454669f16f28), 9 years ago. The bug affects all the versions since the commit that took place on 30 Nov 2012.


The issue can be triggered by previewing a specially crafted OpenOffice document to execute a malicious JavaScript payload. Upon exploiting the issue, the attacker can steal all emails the victim has sent and received.


*“An attacker can craft an OpenOffice document that when transformed to XHTML by Horde for preview can execute a malicious JavaScript payload.” continues the report. “The vulnerability triggers when a targeted user views an attached OpenOffice document in the browser.”*


In the worst case, the attacker can compromise an administrator account and take over the webmail server.


Sonarsource reported this flaw almost 6 months ago, there is currently no official patch available. 


The researchers recommend disabling the rendering of OpenOffice attachments. Administrators can edit the config/mime\_drivers.php file in the content root of their Horde installation add the 



```
'disable' => true 
```

configuration option to the OpenOffice mime handler:


[![Horde Webmail 2](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Horde-Webmail-2.png?resize=555%2C166&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/Horde-Webmail-2.png?ssl=1)
Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Horde Webmail)**





 
  


---


  




## Tags:


### Autogenerated tags:
webmail openoffice sonarsource
