# Microsoft warns of new highly evasive web skimming campaigns
## Threat actors behind web skimming campaigns are using malicious JavaScript to mimic Google Analytics and Meta Pixel scripts to avoid detection. Microsoft security researchers recently observed web skimming campaigns that used multiple obfuscation techniques to avoid detection. The threat actors obfuscated the skimming script by encoding it in PHP, which, in turn, was embedded in […]
## Information:

+ Link: https://securityaffairs.co/wordpress/131625/hacking/web-skimming-attacks.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 May 2022, 13:16
+ Date scraped: 24 May 2022, 14:02

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/05/web-skimming-attack-overview.png?resize=300%2C300&ssl=1)


Microsoft security researchers recently observed web skimming campaigns that used multiple obfuscation techniques to avoid detection. 


The threat actors obfuscated the skimming script by encoding it in PHP, which, in turn, was embedded in an image file, using this trick the code is executed when a website’s index page is loaded. 


The experts also observed compromised web applications injected with malicious JavaScript masquerading as Google Analytics and Meta Pixel (formerly Facebook Pixel) scripts. Some skimming scripts also included anti-debugging mechanisms.


The term web skimming refers to the criminal practice to harvest payment information of visitors of a website during checkout. Crooks use to exploit vulnerabilities in e-commerce platforms and CMSs to inject the skimming script into the page of the e-store. In some cases, attackers can exploit vulnerabilities in installed third-party plugins and themes to inject malicious scripts.


[![web skimming attack-overview.png](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/05/web-skimming-attack-overview.png?resize=624%2C385&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/05/web-skimming-attack-overview.png?ssl=1)


*“During our research, we came across two instances of malicious image files being uploaded to a Magento-hosted server. Both images contained a PHP script with a Base64-encoded JavaScript, and while they had identical JavaScript code, they slightly differed in their PHP implementation.” [reads](https://www.microsoft.com/security/blog/2022/05/23/beneath-the-surface-uncovering-the-shift-in-web-skimming/) the analysis published by Microsoft. “The first image, disguised as a favicon (also known as a shortcut or URL icon), was available on VirusTotal, while the other one was a typical web image file discovered by our team.”*



Microsoft also observed attackers masquerading as Google Analytics and Meta Pixel (formerly Facebook Pixel) scripts to avoid raising suspicion.


The attackers place a Base64-encoded string inside a spoofed Google Tag Manager code. This string decoded to *trafficapps[.]business/data[.]php?p=form*.


[![web skimming attack-overview 2](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/05/web-skimming-attack-overview-2.png?resize=801%2C289&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/05/web-skimming-attack-overview-2.png?ssl=1)Encoded skimming script in a spoofed Google Analytics code (Source Microsoft)


Experts noticed that the attackers behind the Meta Pixel spoofing used newly registered domains (NRDs) using HTTPS. 


*“Given the increasingly evasive tactics employed in skimming campaigns, organizations should ensure that their e-commerce platforms, CMSs, and installed plugins are up to date with the latest security patches and that they only download and use third-party plugins and services from trusted sources,” Microsoft concludes.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, web skimming attacks)**




 
  


---


  




## Tags:
***urls***: http://trafficapps.business/data.php?p=form

### Autogenerated tags:
microsoft google php javascript facebook plugins
