# Multiple flaws in Fortinet FortiOS fixed
## Fortinet released security updates to address multiple vulnerabilities in FortiOS, including a high-severity code execution security issue.
## Information:

+ Link: https://securityaffairs.com/164494/security/fortios-high-severity-code-execution-flaws.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 13 June 2024, 08:31
+ Date scraped: 13 June 2024, 10:06

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2019/11/fortinet-logo.jpg)



Fortinet addressed multiple vulnerabilities in FortiOS and other products, including some code execution flaws.


The company states that multiple stack-based buffer overflow vulnerabilities in the command line interpreter of FortiOS [CWE-121], collectively tracked as CVE-2024-23110 (CVSS score of 7.4), can be exploited by an authenticated attacker to achieve code or command execution via specially crafted command line arguments


“Multiple stack-based buffer overflow vulnerabilities [CWE-121] in the command line interpreter of FortiOS may allow an authenticated attacker to execute unauthorized code or commands via specially crafted command line arguments” reads the [**advisory**](https://www.fortiguard.com/psirt/FG-IR-23-460) published by the company.


Gwendal Guégniaud of Fortinet Product Security team discovered the vulnerabilities.


The flaws impact the following versions of the Fortinet FortiOS :




| Version | Affected | Solution |
| --- | --- | --- |
| FortiOS 7.4 | 7.4.0 through 7.4.2 | Upgrade to 7.4.3 or above |
| FortiOS 7.2 | 7.2.0 through 7.2.6 | Upgrade to 7.2.7 or above |
| FortiOS 7.0 | 7.0.0 through 7.0.13 | Upgrade to 7.0.14 or above |
| FortiOS 6.4 | 6.4.0 through 6.4.14 | Upgrade to 6.4.15 or above |
| FortiOS 6.2 | 6.2.0 through 6.2.15 | Upgrade to 6.2.16 or above |
| FortiOS 6.0 | 6.0 all versions | Migrate to a fixed release |




The company also addressed the following medium-severity issues:


* [**CVE-2024-26010**](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-26010) – A stack-based overflow vulnerability [CWE-124] in FortiOS, FortiProxy, FortiPAM, and FortiSwitchManager could allow a remote attacker to execute arbitrary code or commands by sending crafted packets to the fgfmd daemon. However, the exploitability of this vulnerability depends on specific conditions that are not controllable by the attacker.
* **[CVE-2024-23111](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-23111)** – A cross-site scripting vulnerability [CWE-79] in the reboot page of FortiOS and FortiProxy could enable a remote attacker with super-admin access to execute JavaScript code through specially crafted HTTP GET requests.
* [CVE-2023-46720](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-46720) – Multiple stack-based buffer overflow vulnerabilities [CWE-121] in FortiOS could permit an authenticated attacker to execute arbitrary code by using specially crafted CLI commands.


The company also fixed a low-severity issue tracked as [CVE-2024-21754](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-21754).


The company did not reveal if one of the above issues was actively exploited in the wild.


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Fortinet FortiOS)**





---




---





## Tags:
***CVE's***: CVE-2024-23110 CVE-2024-21754 CVE-2024-23111 CVE-2023-46720 CVE-2024-26010
***ipv4-adresses***: 7.27.2.0 6.26.2.0 6.46.4.0 7.47.4.0

### Autogenerated tags:
fortios abovefortios fortinet stack-based [cwe-121]
