# New Linux malware targets WordPress sites by exploiting 30 bugs
## A new Linux malware has been exploiting 30 vulnerabilities in outdated WordPress plugins and themes to deploy malicious JavaScripts. Doctor Web researchers discovered a Linux malware, tracked as Linux.BackDoor.WordPressExploit.1, that compromises WordPress websites by exploiting 30 vulnerabilities in multiple outdated plugins and themes. The malware injects into targeted webpages malicious JavaScripts, then when users click on the compromised […]
## Information:

+ Link: https://securityaffairs.com/140153/cyber-crime/linux-malware-wordpress-websites.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 30 December 2022, 21:32
+ Date scraped: 30 December 2022, 23:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2022/12/Linux-malware-wordpress.png?resize=300%2C300&ssl=1)


Doctor Web researchers discovered a Linux malware, tracked as [Linux.BackDoor.WordPressExploit.1, that compromises](https://vms.drweb.com/search/?q=Linux.BackDoor.WordPressExploit.1&lng=en) WordPress websites by exploiting 30 vulnerabilities in multiple outdated plugins and themes. 


The malware injects into targeted webpages malicious JavaScripts, then when users click on the compromised page, they are redirected to other sites under the control of the attackers.


The malware targets both 32-bit and 64-bit versions of Linux, it supports backdoor capabilities and allows it to attack a specified webpage (website), switch to standby mode, shut itself down, and pause logging its actions.


Before attacking a website, the malware contacts the C&C server and receives the address of the site to infect. Then, the [**Linux.BackDoor.WordPressExploit.1**](https://vms.drweb.com/search/?q=Linux.BackDoor.WordPressExploit.1&lng=en) attempts to exploit vulnerabilities in the following plugins and themes if they are installed on target websites:


* WP Live Chat Support Plugin
* WordPress – Yuzo Related Posts
* Yellow Pencil Visual Theme Customizer Plugin
* Easysmtp
* WP GDPR Compliance Plugin
* Newspaper Theme on WordPress Access Control (vulnerability CVE-2016-10972)
* Thim Core
* Google Code Inserter
* Total Donations Plugin
* Post Custom Templates Lite
* WP Quick Booking Manager
* Faceboor Live Chat by Zotabox
* Blog Designer WordPress Plugin
* WordPress Ultimate FAQ (vulnerabilities CVE-2019-17232 and CVE-2019-17233)
* WP-Matomo Integration (WP-Piwik)
* WordPress ND Shortcodes For Visual Composer
* WP Live Chat
* Coming Soon Page and Maintenance Mode
* Hybrid


*“If one or more vulnerabilities are successfully exploited, the targeted page is injected with a malicious JavaScript that is downloaded from a remote server. With that, the injection is done in such a way that when the infected page is loaded, this JavaScript will be initiated first—regardless of the original contents of the page.” reads the [advisory](https://news.drweb.com/show/?i=14646&lng=en&c=23) published by Dr. Web. “At this point, whenever users click anywhere on the infected page, they will be transferred to the website the attackers need users to go to.”* 


[![Linux malware wordpress](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2022/12/Linux-malware-wordpress.png?resize=1024%2C515&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2022/12/Linux-malware-wordpress.png?ssl=1)


Visitors of compromised pages are redirected to malicious sites used to distribute malware and serve phishing pages. The researchers also spotted a more recent version of the malware that exploits vulnerabilities in the following WordPress plugins:


* Brizy WordPress Plugin
* FV Flowplayer Video Player
* WooCommerce
* WordPress Coming Soon Page
* WordPress theme OneTone
* Simple Fields WordPress Plugin
* WordPress Delucks SEO plugin
* Poll, Survey, Form & Quiz Maker by OpinionStage
* Social Metrics Tracker
* WPeMatico RSS Feed Fetcher
* Rich Reviews plugin


The researchers noticed that both trojan variants contain unimplemented functionality for hacking the administrator accounts of WordPress websites through a brute-force attack using special dictionaries.


The researchers recommend admins of WordPress sites to keep all the components of the CMS up-to-date, and also urge to use strong and unique logins and passwords for their accounts.


The AV firm also shared [Indicators of compromise](https://github.com/DoctorWebLtd/malware-iocs/tree/master/Linux.Backdoor.WordPressExploit.1) for this threat.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, Lunix Malware)**



  


---


  




## Tags:
***CVE's***: CVE-2016-10972 CVE-2019-17232 CVE-2019-17233

### Autogenerated tags:
wordpress plugin malware wp websites plugins website
