# Reflected XSS bugs in Canon Medical ’s Vitrea View could expose patient info
## Trustwave researchers discovered two XSS flaws in Canon Medical ’s Vitrea View tool that could expose patient information. During a penetration test, Trustwave Spiderlabs’ researchers discovered two reflected cross-site scripting (XSS) vulnerabilities, collectively as CVE-2022-37461, in third-party software for Canon Medical’s Vitrea View. The Vitrea View tool allows viewing and securely share medical images through […]
## Information:

+ Link: https://securityaffairs.co/wordpress/136545/hacking/canon-medical-vitrea-view-xss.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 03 October 2022, 06:40
+ Date scraped: 03 October 2022, 07:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/Reflected-XSS-bugs-in-Canon-Medical-Vitrea-View-could-expose-patient-info.jpg?resize=300%2C300&ssl=1)


During a penetration test, Trustwave Spiderlabs’ researchers discovered two reflected cross-site scripting (XSS) vulnerabilities, collectively as CVE-2022-37461, in third-party software for [Canon Medical’s Vitrea View](https://anz.medical.canon/). The Vitrea View tool allows viewing and securely share medical images through the DICOM standard. 



[![Reflected XSS Canon Medical](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/Reflected-XSS-bugs-in-Canon-Medical-Vitrea-View-could-expose-patient-info.jpg?resize=527%2C276&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/Reflected-XSS-bugs-in-Canon-Medical-Vitrea-View-could-expose-patient-info.jpg?ssl=1)


An attacker can trigger the flaws to access/modify patient information (i.e. stored images and scans) and obtain additional access to some services associated with Vitrea View.


*“If exploited an attacker could access patient information and obtain additional access to various services associated with Vitrea View.” reads the [report](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/cve-2022-37461-two-reflected-xss-vulnerabilities-in-canon-medicals-vitrea-view/) published by Trustwave Spiderlabs.* 


The first issue is an unauthenticated Reflected XSS that resides in an error message at */vitrea-view/error/* which reflects all input after the */error/* subdirectory back to the user, with minor restrictions. The experts noticed that single and double quotes, and space characters can break the reflection. The use od backticks (`) and base64 encoding could allow avoiding these restrictions, however, and importing remote scripts.


The second issue is another Reflected XSS in the Vitrea View Administrative panel. An attacker can access the panel by tricking the victims into clicking on a specially crafted link. The experts discovered that search for ‘groupID’, ‘offset’, and ‘limit’ in the ‘Group and Users’ page of the administration panel all reflect their input back to the user when text is entered instead of the expected numerical inputs.


*“Like the previous finding, the reflected input is slightly restricted, as it does not allow spaces. Once an authenticated admin is coerced into visiting the affected URL, it is possible to create and modify the Python, JavaScript and Groovy scripts used by the Vitrea View application.” continues the report.*


The experts also published a proof of concept for both vulnerabilities.


Canon Medical addressed both vulnerabilities with the release of Vitrea View version 7.7.6.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Canon Medical)**



 
  


---


  




## Tags:
***CVE's***: CVE-2022-37461

### Autogenerated tags:
vitrea xss
