# Remote code execution bug discovered in the popular JsonWebToken library
## The open-source jsonwebtoken (JWT) library is affected by a high-severity security flaw that could lead to remote code execution. The open-source JsonWebToken (JWT) library is affected by a high-severity security flaw, tracked as CVE-2022-23529 (CVSS score: 7.6), that could lead to remote code execution. The package is maintained by Auth0, it had over 9 million weekly downloads […]
## Information:

+ Link: https://securityaffairs.com/140596/hacking/jsonwebtoken-library-rce.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 10 January 2023, 10:11
+ Date scraped: 10 January 2023, 11:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/JsonWebToken-RCE.png?resize=300%2C300&ssl=1)


The open-source [JsonWebToken (](https://www.npmjs.com/package/jsonwebtoken)[JWT](https://jwt.io/introduction)) library is affected by a high-severity security flaw, tracked as [CVE-2022-23529](https://nvd.nist.gov/vuln/detail/CVE-2022-23529) (CVSS score: 7.6), that could lead to remote code execution.


The package is maintained by Auth0, it had over 9 million weekly downloads as of January 2022 and it is used by more than 22.000 projects.


The flaw was discovered by Unit 42 researchers, it can be exploited by threat actors by tricking a server into verifying a maliciously crafted JSON web token (JWT) request.


*“By exploiting this vulnerability, attackers could achieve remote code execution (RCE) on a server verifying a maliciously crafted JSON web token (JWT) request.” reads the [advisory](https://unit42.paloaltonetworks.com/jsonwebtoken-vulnerability-cve-2022-23529/) published by Palo Alto Networks.* *“With that being said, in order to exploit the vulnerability described in this post and control the secretOrPublicKey value, an attacker will need to exploit a flaw within the secret management process.”*


[JsonWebToken](https://www.npmjs.com/package/jsonwebtoken) is an open-source JavaScript package that allows users to verify/sign JSON web tokens (JWT). 


The flaw impacts JsonWebToken package version 8.5.1 or an earlier version, the JsonWebToken package [version 9.0.0](https://github.com/auth0/node-jsonwebtoken/releases/tag/v9.0.0) addressed the issue.


*“For versions <=8.5.1 of jsonwebtoken library, if a malicious actor has the ability to modify the key retrieval parameter (referring to the secretOrPublicKey argument from the readme link) of the jwt.verify() function, they can gain remote code execution (RCE).” reads the [advisory](https://github.com/advisories/GHSA-27h2-hvpr-p74q) published on GitHub.* *“You are affected only if you allow untrusted entities to modify the key retrieval parameter of the jwt.verify() on a host that you control.”* 



[![JsonWebToken RCE](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/JsonWebToken-RCE.png?resize=443%2C593&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/JsonWebToken-RCE.png?ssl=1)


Vulnerabilities in open-source projects are very dangerous, threat actors could exploit them as part of supply chain attacks that can impact any projects relying on them.


*“Open source projects are commonly used as the backbone of many services and platforms today. This is also true for the implementation of sensitive security mechanisms such as JWTs, which play a huge role in authentication and authorization processes.” concludes Palo Alto. “Security awareness is crucial when using open source software. Reviewing commonly used security open source implementations is necessary for maintaining their dependability, and it’s something the open source community can take part in.”*


Below is the timeline for this vulnerability:


* July 13, 2022 – Unit 42 researchers sent a disclosure to the Auth0 team under responsible disclosure procedures
* July 27, 2022 – Auth0 team updated that the issue was under review
* Aug. 23, 2022 – Unit 42 researchers sent an update request
* Aug. 24, 2022 – Auth0 team updated that the engineering team was working on the resolution
* Dec. 21, 2022 – A patch was provided by the Auth0 engineering team


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, jsonwebtoken)**



  


---


  




## Tags:
***CVE's***: CVE-2022-23529

### Autogenerated tags:
jsonwebtoken auth0 jwt open-source json
