# Researchers analyzed a new JavaScript skimmer used by Magecart threat actors
## Researchers from Cyble analyzed a new, highly evasive JavaScript skimmer used by Magecart threat actors. Cyble Research & Intelligence Labs started its investigation after seeing a post on Twitter a new JavaScript skimmer developed by the Magecart threat group used to target Magento e-commerce websites. In Magecart attacks against Magento e-stores, attackers attempt to exploit vulnerabilities […]
## Information:

+ Link: https://securityaffairs.co/wordpress/135177/cyber-crime/javascript-skimmer-magecart.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 01 September 2022, 21:10
+ Date scraped: 01 September 2022, 23:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/Magecart-skimmer.jpg?resize=300%2C300&ssl=1)


Cyble Research & Intelligence Labs started its investigation after seeing a post on [Twitter](https://twitter.com/rootprivilege/status/1562998526329495553) a new JavaScript skimmer developed by the [Magecart](https://securityaffairs.co/wordpress/132512/cyber-crime/magecart-attacks-difficult-detect.html) threat group used to target Magento e-commerce websites.







In Magecart attacks against Magento e-stores, attackers attempt to exploit vulnerabilities in the popular CMS to gain access to the source code of the website and inject malicious JavaScript. The malicious code is designed to capture payment data (credit/debit owner’s name, credit/debit card number, CVV number, and expiry date) from payment forms and checkout pages. The malicious code also performs some checks to determine that data are in the correct format, for example analyzing the length of the entered data.


In this specific case, the researchers discovered that when a user visits the compromised website, the skimmer loads the payment overlay and asks the user to enter the payment information.


The skimmer is obfuscated and embedded in the JavaScript file “media/js/js-color.min.js”



[![Magecart skimmer](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/Magecart-skimmer.jpg?resize=611%2C728&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/Magecart-skimmer.jpg?ssl=1)


Once the victim has entered its payment data in the form, the JavaScript file collects them and then sends the Base64-encoded data to the URL included in the JavaScript using the POST method


Cyble experts noticed that upon executing the JavaScript, it checks if the browser’s dev tool is open to avoid being analyzed.


*“Online shopping activity is constantly on the rise due to its ease of use, digital transformation, and the sheer convenience. Skimmer groups continue to infect e-commerce sites in large numbers and are improving their techniques to remain undetected.” concludes the report. “Historically, Magento e-commerce websites have been the most highly targeted victims of skimmer attacks. While using any e-commerce website, ensure that you only use known and legitimate platforms.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Log4Shell)**




 
  


---


  




## Tags:


### Autogenerated tags:
javascript e-commerce magento website
