# Researchers disclose critical sandbox escape bug in vm2 sandbox library
## The development team behind the vm2 JavaScript sandbox library addressed a critical Remote Code Execution vulnerability. The developers behind the vm2 JavaScript sandbox module have addressed a critical vulnerability, tracked as CVE-2023-29017 (CVSS score 9.8), that could be exploited to execute arbitrary shellcode. vm2 is a sandbox that can run untrusted code in an isolated context […]
## Information:

+ Link: https://securityaffairs.com/144582/hacking/vm2-rce-sandbox-escape.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 09 April 2023, 20:34
+ Date scraped: 09 April 2023, 22:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/sandbox-escape.jpg?resize=300%2C300&ssl=1)


## The development team behind the vm2 JavaScript sandbox library addressed a critical Remote Code Execution vulnerability.


The developers behind the vm2 JavaScript sandbox module have addressed a critical vulnerability, tracked as [CVE-2023-29017](https://nvd.nist.gov/vuln/detail/CVE-2023-29017) (CVSS score 9.8), that could be exploited to execute arbitrary shellcode.


vm2 is a sandbox that can run untrusted code in an isolated context on Node.js servers, it has approximately [four million weekly downloads](https://www.npmjs.com/package/vm2?activeTab=dependents) and its library is part of 722 packages.


The flaw was reported by the security researcher Seongil Wi from South Korean security firm [KAIST WSP Lab](https://wsp-lab.github.io/).


The vulnerability affects all versions, including and prior to 3.9.14, it was addressed with the release of [version 3.9.15](https://github.com/patriksimek/vm2/releases/tag/3.9.15).


*“vm2 was not properly handling host objects passed to Error.prepareStackTrace in case of unhandled async errors.” reads the [**advisory**](https://github.com/advisories/GHSA-7jxr-cg7f-gpgv) published by vm2. “A threat actor can bypass the sandbox protections to gain remote code execution rights on the host running the sandbox.”*


Wi also published two proof-of-concept (PoC) [exploits](https://gist.github.com/seongil-wi/2a44e082001b959bfe304b62121fb76d) for this vulnerability that can be used to escape the sandbox to create an empty file named “flag” on the host.


In October 2022, VM2 maintainers addressed another critical sandbox escape vulnerability tracked as CVE-2022-36067.


**Please vote for Security Affairs (<https://securityaffairs.com/>) as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections:**


* The Teacher – Most Educational Blog
* The Entertainer – Most Entertaining Blog
* The Tech Whizz – Best Technical Blog
* Best Social Media Account to Follow (@securityaffairs)


Please nominate Security Affairs as your favorite blog.



> 
> 
> > 
> > **Nominate here: <https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, sandbox)**



  


---


  




## Tags:
***CVE's***: CVE-2023-29017 CVE-2022-36067
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform https://securityaffairs.com/

### Autogenerated tags:
vm2 blog
