# Russia-linked APT TAG-70 targets European government and military mail servers exploiting Roundcube XSS
## An APT group, tracked as TAG-70, linked to Belarus and Russia exploited XSS flaws in Roundcube webmail servers to target over 80 orgs
## Information:

+ Link: https://securityaffairs.com/159311/apt/russia-apt-tag-70-roundcube-xss.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 19 February 2024, 13:58
+ Date scraped: 19 February 2024, 15:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/02/image-19.png)


Researchers from Recorded Future’s Insikt Group identified a cyberespionage campaign carried out by an APT group, tracked as TAG-70, linked to Belarus and Russia. The nation-state actors are known to carry out cyber-espionage against targeting government, military, and national infrastructure entities in Europe and Central Asia since at least December 2020.


Between October and December 2023, TAG-70 exploited cross-site scripting (XSS) vulnerabilities in Roundcube webmail servers in attacks aimed at over 80 organizations, primarily in Georgia, Poland, and Ukraine.



*“TAG70 has demonstrated a high level of sophistication in its attack methods. The threat actors leveraged social engineering techniques and exploited cross-site scripting vulnerabilities in Roundcube webmail servers to gain unauthorized access to targeted mail servers, successfully bypassing the defenses of government and military organizations.” reads the [report](https://www.recordedfuture.com/russia-aligned-tag-70-targets-european-government-and-military-mail) published Recorded Future’s Insikt Group.* 


[![TAG-70 Roundcube Russia](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/02/image-18.png?resize=1024%2C550&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/02/image-18.png?ssl=1)


The researchers noticed similarities between this campaign and other activities conducted by other Russia-linked groups, such as BlueDelta ([APT28](https://securityaffairs.com/147681/apt/apt28-hacked-roundcube-ukraine.html)) and [Sandworm](https://securityaffairs.com/155254/apt/apt28-outlook-hijack-ms-exchange-accounts.html). These APT groups previously targeted email solutions, including [Roundcube](https://securityaffairs.com/153030/apt/winter-vivern-0day-roundcube.html) and [Zimbra](https://securityaffairs.com/154277/apt/zimbra-zero-day-govt-emails.html).


The compromise of email servers poses a substantial risk, especially during a conflict such as Russia-Ukraine. Threat actors can target email servers to gather intelligence about adversaries’ war efforts, diplomatic relationships, and coalition partnerships. 


The attacks aimed at Iranian embassies in Russia and the Netherlands demonstrate a broader geopolitical interest in assessing Iran’s diplomatic activities, particularly its support for Russia in the context of the Ukrainian conflict. Similarly, the espionage against Georgian government entities reflects an interest in monitoring Georgia’s pursuits to access the European Union (EU) and NATO.


On July 27, 2023, the researchers a malicious JavaScript that was acting as a second-stage loader used by TAG70 previous to the exploitation of Roundcube issue. ESET researchers also detailed the same attack chain.


The JavaScript is loaded through cross-site scripting (XSS) from a malicious email and it decoded a Base64-encoded JavaScript payload (jsBodyBase64). Then the payload is inserted into the Document Object Model (DOM) of the Roundcube webpage within a newly created script tag.


[![TAG-70 Roundcube Russia](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/02/image-19.png?resize=826%2C437&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/02/image-19.png?ssl=1)


The researchers recommend reading the detailed analysis of the recent TAG-70 campaign [here](https://go.recordedfuture.com/hubfs/reports/cta-2024-0217.pdf).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://mstdn.social/invite/4GESs2dP)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Roundcube)**





---




---





## Tags:


### Autogenerated tags:
roundcube tag-70 cross-site javascript
