# Russia-linked APT targets Ukraine by exploiting the Follina RCE vulnerability
## Ukraine’s Computer Emergency Response Team (CERT) warns that the Russia-linked Sandworm APT group may exploit the Follina RCE vulnerability. Ukraine’s Computer Emergency Response Team (CERT) is warning that the Russia-linked Sandworm APT may be exploiting the recently discovered Follina RCE. The issue, tracked as CVE-2022-30190, impacts the Microsoft Windows Support Diagnostic Tool (MSDT). Nation-state actors […]
## Information:

+ Link: https://securityaffairs.co/wordpress/132227/apt/cert-ua-sandworm-follina-rce.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 13 June 2022, 18:30
+ Date scraped: 15 June 2022, 14:39

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/06/CERT-UA-sandworm.png?resize=300%2C300&ssl=1)


Ukraine’s Computer Emergency Response Team (CERT) is warning that the Russia-linked [Sandworm](https://securityaffairs.co/wordpress/131523/apt/sandworm-attacks-against-ukraine.html) APT may be exploiting the recently discovered [Follina](https://securityaffairs.co/wordpress/131824/security/microsoft-workarounds-microsoft-office-0day.html) RCE. The issue, tracked as CVE-2022-30190, impacts the Microsoft Windows Support Diagnostic Tool (MSDT).


Nation-state actors are targeting media organizations in Ukraine, including radio stations, and newspapers. The malspam messages use the topic “LIST of links to interactive maps,” according to the CERT-UA, more malicious emails reached more than 500 recipients.


The malspam messages used the weaponized document “LIST\_of\_links\_in\_interactive\_maps.docx.” Upon opening the document it will load the HTML-file and execute JavaScript code, which, in turn, will download and execute the EXE-file “2.txt”, which is detected as malicious CrescentImp.


*“Attackers continue to exploit vulnerability CVE-2022-30190 and are increasingly resorting to emails from compromised government emails.” reads the [alert](https://cert.gov.ua/article/160530) published by the Ukraine CERT.*



[![CERT-UA sandworm](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/06/CERT-UA-sandworm.png?resize=1024%2C697&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/06/CERT-UA-sandworm.png?ssl=1)


The government experts tracked the activity as UAC-0113, which is a threat actor that with a medium level of confidence is associated with the Sandworm APT group.


### Targeting media orgs


CERT-UA also shared indicators of compromise for these attacks.


**Security Affairs is one of the finalists for the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS. I ask you to vote for me again (even if you have already done it), because this vote is for the final.**


**Please vote for Security Affairs and Pierluigi Paganini in every category that includes them (e.g. sections “The Underdogs – Best Personal (non-commercial) Security Blog” and “The Tech Whizz – Best Technical Blog”)**


**To nominate, please visit:**


<https://docs.google.com/forms/d/e/1FAIpQLSdNDzjvToMSq36YkIHQWwhma90SR0E9rLndflZ3Cu_gVI2Axw/viewform>


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, CERT-UA sandworm)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-30190
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSdNDzjvToMSq36YkIHQWwhma90SR0E9rLndflZ3Cu_gVI2Axw/viewform

### Autogenerated tags:
cert-ua
