# Russia-linked APT28 used tool GooseEgg for to exploit Win bug
## Russia-linked APT28 group used a previously unknown tool, dubbed GooseEgg, to exploit Windows Print Spooler service flaw.
## Information:

+ Link: https://securityaffairs.com/162154/apt/apt28-gooseegg-tool-win-bug.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 22 April 2024, 21:03
+ Date scraped: 22 April 2024, 22:12

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2019/01/APT28.png)



Microsoft reported that the Russia-linked [APT28](https://securityaffairs.com/159691/breaking-news/russia-apt28-compromised-ubiquiti-edgerouters.html) group (aka “[Forest Blizzard](https://securityaffairs.com/159691/breaking-news/russia-apt28-compromised-ubiquiti-edgerouters.html)”, “[Fancybear](https://securityaffairs.com/155420/apt/apt8-exploited-outlook-0day-target-nato.html)” or “[Strontium](https://securityaffairs.com/89473/apt/strontium-abuses-iot-devices.html)” used a previously unknown tool, dubbed GooseEgg, to exploit the Windows Print Spooler flaw CVE-2022-38028.


Since at least June 2020, and possibly earlier, the cyberespionage group has used the tool GooseEgg to exploit the [CVE-2022-38028](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-38028) vulnerability. This tool modifies a JavaScript constraints file and executes it with SYSTEM-level permissions. Microsoft has observed APT28 using GooseEgg in post-compromise activities against various targets, including government, non-governmental, education, and transportation sector organizations in Ukraine, Western Europe, and North America. 



While GooseEgg is a simple launcher application, threat actors can use it to execute other applications specified at the command line with elevated permissions. In a post-exploitation scenario, attackers can use the tool to carry out a broad range of malicious activities such as remote code execution, installing backdoors, and moving laterally through compromised networks.


The vulnerability CVE-2022-38028 was reported by the U.S. National Security Agency and Microsoft addressed it with the release of Microsoft October 2022 Patch Tuesday security updates.


APT28 deployed GooseEgg to gain elevated access to target systems and steal credentials and sensitive information.


GooseEgg is usually deployed with a batch script, commonly named execute.bat or doit.bat. This script creates a file named servtask.bat, which includes commands for saving or compressing registry hives. The batch script then executes the GooseEgg executable and establishes persistence by scheduling a tack that runs the servtask.bat.


The GooseEgg binary supports four commands, each with different run paths.


Microsoft researchers noted that an embedded malicious DLL file often contains the phrase “wayzgoose” in its name, such as wayzgoose23.dll. The cybers spies use GooseEgg to drop this embedded DLL file in the context of the PrintSpooler service with SYSTEM permissions.


*“wayzgoose.dll is a basic launcher application capable of spawning other applications specified at the command line with SYSTEM-level permissions, enabling threat actors to perform other malicious activities such as installing a backdoor, moving laterally through compromised networks, and remotely executing code.” reads the [**report**](https://www.microsoft.com/en-us/security/blog/2024/04/22/analyzing-forest-blizzards-custom-post-compromise-tool-for-exploiting-cve-2022-38028-to-obtain-credentials/) published by Microsoft.*


Microsoft reports include instructions for detecting, hunting, and responding to GooseEgg.


The [APT28](https://securityaffairs.co/wordpress/76922/intelligence/apt28-back-espionage.html) group (aka [Forest Blizzard](https://securityaffairs.com/159691/breaking-news/russia-apt28-compromised-ubiquiti-edgerouters.html), [Fancy Bear](https://securityaffairs.co/wordpress/72072/intelligence/fancy-bear-abuses-lojack.html), [Pawn Storm](https://securityaffairs.co/wordpress/53360/cyber-crime/pawn-storm-apt-0days.html), [Sofacy Group](https://securityaffairs.co/wordpress/73299/hacking/sofacy-apt-attacks.html), [Sednit](https://securityaffairs.co/wordpress/73299/hacking/sofacy-apt-attacks.html), BlueDelta, and [STRONTIUM](https://securityaffairs.co/wordpress/74582/intelligence/microsoft-russia-attacks.html)) has been active since at least 2007 and it has targeted governments, militaries, and security organizations worldwide. The group was involved also in the string of attacks that targeted [2016 Presidential election](https://securityaffairs.co/wordpress/74434/hacking/russian-intelligence-indictment.html).


The group operates out of military unity 26165 of the Russian General Staff Main Intelligence Directorate (GRU) 85th Main Special Service Center (GTsSS).


[Most of the APT28s’ campaigns](https://securityaffairs.co/123104/apt/apt28-gmail-users-attacks.html) leveraged spear-phishing and malware-based attacks.


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, APT28)**





---




---





## Tags:
***CVE's***: CVE-2022-38028

### Autogenerated tags:
gooseegg microsoft apt28 cve-2022-38028
