# Russian APT group Winter Vivern targets email portals of NATO and diplomats
## Russian hacking group Winter Vivern has been actively exploiting Zimbra flaws to steal the emails of NATO and diplomats. A Russian hacking group, tracked Winter Vivern (aka TA473), has been actively exploiting vulnerabilities (CVE-2022-27926) in unpatched Zimbra instances to gain access to the emails of NATO officials, governments, military personnel, and diplomats. The CVE-2022-27926 flaw […]
## Information:

+ Link: https://securityaffairs.com/144263/intelligence/winter-vivern-email-portals-nato.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 31 March 2023, 09:52
+ Date scraped: 31 March 2023, 11:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/Winter-Vivern-phishing-messages.png?resize=300%2C300&ssl=1)


## Russian hacking group Winter Vivern has been actively exploiting Zimbra flaws to steal the emails of NATO and diplomats.


A Russian hacking group, tracked Winter Vivern (aka TA473), has been actively exploiting vulnerabilities ([CVE-2022-27926](https://nvd.nist.gov/vuln/detail/CVE-2022-27926)) in unpatched Zimbra instances to gain access to the emails of NATO officials, governments, military personnel, and diplomats.


The CVE-2022-27926 flaw affects Zimbra Collaboration versions 9.0.0, which is used to host publicly facing webmail portals.


The attacker can also use the compromised accounts to carry out lateral phishing attacks and further infiltrate the target organizations


TA473 targeted US elected officials and staffers since at least February 2023. The threat actors created bespoke JavaScript payloads designed for each government targets’ webmail portal.


TA473’s cyber operations align with the support of Russian and/or Belarussian geopolitical goals.


*“Researchers have observed TA473, a newly minted advanced persistent threat (APT) actor tracked by Proofpoint, exploiting Zimbra vulnerability CVE-2022-27926 to abuse publicly facing Zimbra hosted webmail portals. The goal of this activity is assessed to be gaining access to the emails of military, government, and diplomatic organizations across Europe involved in the Russia Ukrainian War.” reads the [**post**](https://www.proofpoint.com/us/blog/threat-insight/exploitation-dish-best-served-cold-winter-vivern-uses-known-zimbra-vulnerability) published by Proofpoint.*


The JavaScript payloads were designed to conduct Cross Site Request Forgery attacks and steal usernames, passwords, and store active session and CSRF tokens from cookies facilitating the login to publicly facing target webmail portals.


These payloads allow actors to steal usernames, passwords, and store active session and CSRF tokens from cookies allowing the login to publicly facing vulnerable webmail portals belonging to target organizations.


The APT group uses scanning tools like Acunetix to identify unpatched webmail platforms used by target organizations.


The threat actors send phishing email from a compromised address, which is spoofed to appear as someone relevant to their organization.


Once the attackers identified the vulnerable platform, they deliver phishing emails containing malicious URLs that abuse known vulnerability to execute JavaScript payloads within the victim’s webmail portals. 



[![Winter Vivern phishing messages](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/Winter-Vivern-phishing-messages.png?resize=548%2C312&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/Winter-Vivern-phishing-messages.png?ssl=1)



[![Winter Vivern](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-71.png?resize=558%2C278&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-71.png?ssl=1)


Proofpoint identified multiple samples of customized CSRF JavaScript payloads with delivery achieved through both the exploitation of the CVE-2022-27926 flaw and earlier delivery mechanisms adopted by the APT group.


*“These CSRF JavaScript code blocks are executed by the server that hosts a vulnerable webmail instance,” explains Proofpoint in the report. “Further, this JavaScript replicates and relies on emulating the JavaScript of the native webmail portal to return key web request details that indicate the username, password, and CSRF token of targets. In some instances, researchers observed TA473 specifically targeting RoundCube webmail request tokens as well.”*


The attackers employed several layers of Base64 encoding to for the JavaScript obfuscation, however, the experts pointed out that decoding the script is trivial.


*“TA473’s persistent approach to vulnerability scanning and exploitation of unpatched vulnerabilities impacting publicly facing webmail portals is a key factor in this actor’s success.” concludes the post published by the experts that also provides Indicators of Compromise (IOCs). “Rather than developing a one size fits all tools and payloads approach, TA473 invests time and resources to compromise specific entities with each JavaScript payload being custom for the targeted webmail portal.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, NATO)**



  


---


  




## Tags:
***CVE's***: CVE-2022-27926

### Autogenerated tags:
webmail javascript ta473 zimbra csrf emails cve-2022-27926 proofpoint phishing
