# Sign1 malware campaign already infected 39,000 WordPress sites
## A large-scale malware campaign, tracked as Sign1, has already compromised 39,000 WordPress sites in the last six months.
## Information:

+ Link: https://securityaffairs.com/160942/hacking/sign1-malware-campaign.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 23 March 2024, 13:00
+ Date scraped: 23 March 2024, 14:05

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/03/sign1-2.png)



Sucurity researchers at Sucuri spotted a malware campaign, tracked as Sign1, which has already compromised 39,000 WordPress sites in the last six months.


The experts discovered that threat actors compromised the websites implanting malicious JavaScript injections that redirect visitors to malicious websites.



Querying [SiteCheck](https://sitecheck.sucuri.net/), the researchers discovered that the campaign infected over 2,500 sites in the past two months. 


*“Plugins that allow for arbitrary JavaScript and other code to be inserted into a website are especially useful for website owners and developers but can also be abused by attackers in a compromised environment. Since these types of plugins allow for pretty much any code at all to be added, attackers often use them to insert their malicious or spammy payload.” reads the [report](https://blog.sucuri.net/2024/03/sign1-malware-analysis-campaign-history-indicators-of-compromise.html) published by the experts. “Sure enough, checking the plugin settings revealed our culprit nestled inside**Custom CSS & JS**“*


The threat actors behind Sign1 inject malicious JavaScript into legitimate plugins and HTML widgets. The injected code includes a hard-coded array of numbers that uses XOR encoding to get new values.


The experts decoded the XOR-encoded JavaScript code and discovered which it was used to execute a JavaScript file hosted on a remote server.


[![sign1](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/03/sign1.png?resize=1024%2C370&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/03/sign1.png?ssl=1)


The researchers noticed that attackers employed dynamically changing URLs, the use of dynamic JavaScript code allows to change URLs every 10 minutes. The code is executed in the visitors’ browser, leading to unwanted redirects and ads for site visitors.


This code stands out because it checks whether the visitor came from a well-known website like Google, Facebook, Yahoo, or Instagram. If the visitor isn’t referred by one of these popular sites, the malicious code won’t run. Threat actors used this trick to avoid detection. Normally, someone who owns a website would visit it directly, instead of going through a search engine first. Malware uses this difference to try and stay hidden.


The redirects observed by the researchers led to [VexTrio](https://blogs.infoblox.com/cyber-threat-intelligence/cybercrime-central-vextrio-operates-massive-criminal-affiliate-program/) domains.


The Sign1 campaign was first spotted by the researcher [Denis Sinegubko](https://blog.sucuri.net/author/denis) in the second half of 2023, Sucuri reported that threat actors leveraged as many as 15 different domains since July 31, 2023.


The name of the campaign comes from the **sign1**parameter used in the code to extract and decode the domain name of a third-party malicious URL. 


In October 2023, the attackers started using a different obfuscation technique and removed the sign1 parameter. Threat actors likely compromised the websites with successful brute-force attacks.



[![sign1](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/03/sign1-2.png?resize=1024%2C614&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/03/sign1-2.png?ssl=1)


“This is yet another example of why securing the administration panel and using [website monitoring tools](https://sucuri.net/malware-detection-scanning/) should be a top priority for website owners.” [concludes](https://blog.sucuri.net/2024/03/sign1-malware-analysis-campaign-history-indicators-of-compromise.html) the report.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **sign1 campaign**)





---




---





## Tags:


### Autogenerated tags:
sign1 javascript website websites plugins
