# Splunk fixed high-severity flaw impacting Windows versions
## Splunk addressed multiple vulnerabilities in Splunk Enterprise, including a high-severity flaw impacting Windows installs.
## Information:

+ Link: https://securityaffairs.com/158019/security/splunk-flaw-windows-installs.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 January 2024, 08:35
+ Date scraped: 24 January 2024, 09:02

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2018/10/splunk.png)


Splunk addressed multiple vulnerabilities in Splunk Enterprise, including a high-severity flaw, tracked as CVE-2024-23678 (CVSS score 7.5), impacting the Windows version.


[According to the advisory](https://advisory.splunk.com/advisories/SVD-2024-0108), Splunk Enterprise for Windows versions below 9.0.8 and 9.1.3 does not correctly sanitize path input data. This results in the unsafe deserialization of untrusted data from a separate disk partition on the machine. 



Deserialization of untrusted data can allow malicious code to be executed on the system. This is because the serialized data can contain instructions that the application will execute when it deserializes the data. For example, if an application deserializes a malicious JSON object, the object could contain JavaScript code that would be executed when the application parses the JSON object.


This vulnerability only affects Splunk Enterprise for Windows. 


Customers are recommended to upgrade versions 9.0.8, 9.1.3, or higher. The vendor pointed out that the vulnerability does not affect the Cloud Platform.


The issue was discovered by Danylo Dmytriiev (DDV\_UA).


The company did not reveal if it is aware of attacks in the wild exploiting this vulnerability.


Below are other [vulnerabilities](https://advisory.splunk.com/advisories) addressed by the company:




|  |  |  |  |  |
| --- | --- | --- | --- | --- |
| [SVD-2024-0107](https://advisory.splunk.com/advisories/SVD-2024-0107) | 2024-01-22 | [Server Response Disclosure in RapidDiag Salesforce.com Log File](https://advisory.splunk.com/advisories/SVD-2024-0107) | Medium | [CVE-2024-23677](https://www.cve.org/CVERecord?id=CVE-2024-23677) |
| [SVD-2024-0106](https://advisory.splunk.com/advisories/SVD-2024-0106) | 2024-01-22 | [Sensitive Information Disclosure of Index Metrics through “mrollup” SPL Command](https://advisory.splunk.com/advisories/SVD-2024-0106) | Medium | [CVE-2024-23676](https://www.cve.org/CVERecord?id=CVE-2024-23676) |
| [SVD-2024-0105](https://advisory.splunk.com/advisories/SVD-2024-0105) | 2024-01-22 | [Splunk App Key Value Store (KV Store) Improper Handling of Permissions Leads to KV Store Collection Deletion](https://advisory.splunk.com/advisories/SVD-2024-0105) | Medium | [CVE-2024-23675](https://www.cve.org/CVERecord?id=CVE-2024-23675) |




Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **[hacking](https://securityaffairs.com/155669/security/apple-released-ios-17-2.html), CVE-2024-23678)**





---




---





## Tags:
***CVE's***: CVE-2024-23676 CVE-2024-23678 CVE-2024-23675 CVE-2024-23677

### Autogenerated tags:
splunk windows
