# Two flaws in Samsung Galaxy Store can allow to install Apps and execute JS code
## Researchers found two flaws in Samsung Galaxy Store that could be exploited to install applications or achieve code execution on the devices. Researchers from cybersecurity firm NCC Group published technical details on two vulnerabilities, tracked as CVE-2023-21433 and CVE-2023-21434, in Samsung Galaxy Store that could be exploited to install applications or execute malicious JavaScript code. […]
## Information:

+ Link: https://securityaffairs.com/141213/mobile-2/samsung-galaxy-store-flaws.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 23 January 2023, 18:32
+ Date scraped: 23 January 2023, 19:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2022/09/Samsung-logo.jpg?resize=300%2C300&ssl=1)


## Researchers found two flaws in Samsung Galaxy Store that could be exploited to install applications or achieve code execution on the devices.


Researchers from cybersecurity firm NCC Group published technical details on two vulnerabilities, tracked as CVE-2023-21433 and CVE-2023-21434, in Samsung Galaxy Store that could be exploited to install applications or execute malicious JavaScript code.


The vulnerability CVE-2023-21433 is an improper access control that can allow local attackers to install apps from the Galaxy App Store.


*“It was found that the Galaxy App Store has an exported activity which does not handle incoming intents in a safe manner. This allows other applications installed on the same Samsung device to automatically install any application available on the Galaxy App Store without the user’s knowledge.” reads the **[advisory](https://research.nccgroup.com/2023/01/20/technical-advisory-multiple-vulnerabilities-in-the-galaxy-app-store-cve-2023-21433-cve-2023-21434/)** published by NCC Group.*


It should be noted that due to the changes made to Android 13,


The experts pointed out that this vulnerability only impacts Samsung devices that are running Android 12 and below.


The second flaw, tracked as CVE-2023-21434, is an improper input validation issue that could allow a local attacker to execute JavaScript code by launching a web page.


*“It was found that a webview within the Galaxy App Store contained a filter which limited which domains that webview could browse to. However, the filter was not properly configured, which would allow the webview to browse to an attacker-controlled domain,” NCC Group continues.*


An attacker can trigger the issue by tricking victims into either tapping a malicious hyperlink in Google Chrome or a pre-installed rogue application on a Samsung device that can bypass Samsung’s URL filter and launch a webview to an attacker controlled domain.


The advisory also includes [proof-of-concept (PoC) code](https://research.nccgroup.com/2023/01/20/technical-advisory-multiple-vulnerabilities-in-the-galaxy-app-store-cve-2023-21433-cve-2023-21434/)for both issues.


NCC Group reported the issues to Samsung in November and December 2022, the vulnerabilities were addressed in Galaxy Store version 4.5.49.8.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
| [adrotate banner=”9″] | [adrotate banner=”12″] |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, [Samsung](https://securityaffairs.com/137922/mobile-2/samsung-galaxy-store-flaw.html))**


[adrotate banner=”5″]


[adrotate banner=”13″]



  


---


  




## Tags:
***CVE's***: CVE-2023-21433 CVE-2023-21434

### Autogenerated tags:
samsung ncc webview [adrotate
