# AMD CPU Vulnerability 'Zenbleed' Can Expose Sensitive Information
## AMD has released microcode patches for Zenbleed, a vulnerability in its Zen 2 CPUs that can allow an attacker to access sensitive information
## Information:

+ Link: https://www.securityweek.com/zenbleed-vulnerability-affecting-amd-cpus-can-expose-sensitive-information/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 25 July 2023, 10:37
+ Date scraped: 25 July 2023, 11:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**AMD has started releasing microcode patches to address a Zen 2 processor vulnerability that can allow an attacker to access sensitive information.**


The flaw, dubbed [Zenbleed](https://lock.cmpxchg8b.com/zenbleed.html) and officially tracked as CVE-2023-20593, was discovered by Google researchers as part of a new CPU research project and reported to AMD on May 15.


Google Information Security’s [Tavis Ormandy](https://twitter.com/taviso/status/1683484820817444866), who led the research, announced the findings and the availability of technical details and a proof-of-concept (PoC) exploit on Monday. The issue was discovered through fuzzing.


“It took a bit of work, but I found a variant that can leak about 30 kb per core, per second,” Ormandy explained. “This is fast enough to monitor encryption keys and passwords as users login!”

No special calls or privileges are required for exploitation. The vulnerability can be exploited by a piece of malware deployed on the targeted device. Exploitation may even be possible through JavaScript code planted on a website, according to Cloudflare, which says it has already [patched its impacted servers](https://blog.cloudflare.com/zenbleed-vulnerability/). 


AMD has published its own [advisory for CVE-2023-20593](https://www.amd.com/en/resources/product-security/bulletin/amd-sb-7008.html).


“Under specific microarchitectural circumstances, a register in ‘Zen 2’ CPUs may not be written to 0 correctly. This may cause data from another process and/or thread to be stored in the YMM register, which may allow an attacker to potentially access sensitive information,” AMD said.


The vulnerability impacts all Zen 2 processors, including Ryzen 3000 (PRO and Threadripper), 4000 (PRO), 5000, 7020, and Epyc (Rome).

AMD has started releasing microcode updates and the vendor has also advised customers to apply AGESA firmware updates. For some products, the updates are expected to become available in the last quarter of 2023.

As with many CPU patches, some users are concerned about the [impact they may have on performance](https://www.securityweek.com/microsoft-intel-share-data-performance-impact-cpu-flaw-patches/). No data appears to be available at the time of writing, but Ormandy [suggested](https://twitter.com/taviso/status/1683650338606452736) that it should not impact performance.  


**Related**: [Intel, AMD Address Many Vulnerabilities With Patch Tuesday Advisories](https://www.securityweek.com/intel-amd-address-many-vulnerabilities-patch-tuesday-advisories/)


**Related**: [Chipmaker Patch Tuesday: Intel, AMD Address Over 100 Vulnerabilities](https://www.securityweek.com/chipmaker-patch-tuesday-intel-amd-address-over-100-vulnerabilities/)


**Related**: [AMD Processors Expose Sensitive Data to New ‘SQUIP’ Attack](https://www.securityweek.com/amd-processors-expose-sensitive-data-new-squip-attack/)





## Tags:
***CVE's***: CVE-2023-20593

### Autogenerated tags:
amd ormandy
