# CISA Warns of Windows Print Spooler Flaw After Microsoft Sees Russian Exploitation
## CISA warns organizations of a two-year-old Windows Print Spooler vulnerability being exploited in the wild.
## Information:

+ Link: https://www.securityweek.com/cisa-warns-of-windows-print-spooler-flaw-after-microsoft-sees-russian-exploitation/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 24 April 2024, 11:34
+ Date scraped: 24 April 2024, 12:02

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**The US cybersecurity agency CISA on Tuesday added a two-year-old Windows Print Spooler flaw to its Known Exploited Vulnerabilities (KEV) catalog.**


Tracked as CVE-2022-38028 (CVSS score of 7.8) and addressed as part of Microsoft’s October 2022 Patch Tuesday updates, the issue can be exploited to gain System privileges on a vulnerable machine.

“Microsoft Windows Print Spooler service contains a privilege escalation vulnerability. An attacker may modify a JavaScript constraints file and execute it with SYSTEM-level permissions,” CISA’s entry in the [KEV catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) reads.


Per the Binding Operational Directive (BOD) 22-01, federal agencies have three weeks to identify within their environments any system vulnerable to CVE-2022-38028 and apply the available patches or remove the vulnerable products.

Although BOD 22-01 only applies to federal agencies, CISA urges all organizations to perform vulnerability assessments and address the security bugs in the KEV catalog as soon as possible.

CISA added CVE-2022-38028 to its must-patch list one day after Microsoft reported that a Russian cyberespionage group known as APT28 (tracked by the tech giant as Forest Blizzard) [has been exploiting it in attacks targeting government](https://www.securityweek.com/russian-cyberspies-deliver-gooseegg-malware-to-government-organizations/), non-governmental, education, and transportation organizations.


As part of the observed attacks, the advanced persistent threat (APT) actor has been deploying a unique tool dubbed GooseEgg that can spawn other applications with System-level permissions, opening the door to remote code execution, backdoor deployment, and lateral movement.

According to Microsoft, APT28 was also observed exploiting other Print Spooler vulnerabilities for GooseEgg deployment, including [CVE-2023-23397](https://www.securityweek.com/outlook-plays-attacker-tunes-vulnerability-chain-leading-to-zero-click-rce/) and the [PrintNightmare](https://www.securityweek.com/windows-print-spooler-vulnerabilities-increasingly-exploited-attacks/) bugs tracked as CVE-2021-34527 and CVE-2021-1675.


In the case of CVE-2022-38028, there were no reports of in-the-wild exploitation before Microsoft published its blog post on the GooseEgg attacks.

The main purpose of these attacks, the tech giant says, has been privilege escalation and credential and data harvesting.

**Related:** [CISA: Second SharePoint Flaw Disclosed at Pwn2Own Exploited in Attacks](https://www.securityweek.com/cisa-second-sharepoint-flaw-disclosed-at-pwn2own-exploited-in-attacks/)


**Related:** [Faster Patching Pace Validates CISA’s KEV Catalog Initiative](https://www.securityweek.com/faster-patching-pace-validates-cisas-kev-catalog-initiative/)


**Related:** [CISA Warns of Windows Streaming Service Vulnerability Exploitation](https://www.securityweek.com/cisa-warns-of-windows-streaming-service-vulnerability-exploitation/)





## Tags:
***CVE's***: CVE-2021-34527 CVE-2021-1675 CVE-2023-23397 CVE-2022-38028

### Autogenerated tags:
cisa microsoft kev cve-2022-38028 windows gooseegg
