# Canon Medical Product Vulnerabilities Expose Patient Information
## Trustwave has identified two XSS vulnerabilities in Canon Medical’s Vitrea View medical imaging sharing tool.
## Information:

+ Link: https://www.securityweek.com/canon-medical-product-vulnerabilities-expose-patient-information
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 30 September 2022, 16:03
+ Date scraped: 30 September 2022, 16:03

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Touted as an enterprise viewing solution, Vitrea View is used by healthcare providers, physicians, and radiologists to securely share medical images that can then be accessed directly from the browser, on both desktop and mobile devices.


The two security holes, which are tracked collectively as CVE-2022-37461, are [described as reflected XSS bugs](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/cve-2022-37461-two-reflected-xss-vulnerabilities-in-canon-medicals-vitrea-view/) in an error message and in the administrative panel.


According to Trustwave, the flaws could be exploited to retrieve patient information, including stored images and scans, as well as to modify the information. The bugs could also lead to the compromise of sensitive information and credentials for services that are integrated with Vitrea View.


Exploitable without authentication, the first of the vulnerabilities exists in an error page located at /vitrea-view/error/, where all input after the /error/ subdirectory is reflected back to the user.


“Once a user has been coerced into navigating to the affected URL if they have a valid Vitrea View session their session could be used to potentially retrieve patient information, retrieve their stored images or scans and modify their information depending on privileges of the session,” Trustwave says.


Residing in the tool’s administrative panel, the second vulnerability impacts the search function in the 'Group and Users' page. When searching for 'groupID', 'offset', and 'limit', the input is reflected back to the user “when text is entered instead of the expected numerical inputs”.


“Like the previous finding, the reflected input is slightly restricted, as it does not allow spaces. Once an authenticated admin is coerced into visiting the affected URL, it is possible to create and modify the Python, JavaScript and Groovy scripts used by the Vitrea View application,” Trustwave explains.


The cybersecurity firm has published proof-of-concept (PoC) code targeting the vulnerability. Canon Medical resolved the identified flaws with the release of Vitrea View version 7.7.6.





 


## Tags:
***CVE's***: CVE-2022-37461

### Autogenerated tags:
vitrea trustwave
