# Chrome 108 Patches High-Severity Memory Safety Bugs
## Chrome 108 arrives with patches for 28 vulnerabilities, including multiple high-severity memory safety issues.
## Information:

+ Link: https://www.securityweek.com/chrome-108-patches-high-severity-memory-safety-bugs
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 30 November 2022, 13:00
+ Date scraped: 30 November 2022, 13:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Of the externally reported security defects, eight are high-severity issues and 14 are medium-severity flaws.


The most severe of these bugs, based on the paid bug bounty reward, is CVE-2022-4174, a type confusion issue in the web browser’s V8 JavaScript engine.


Google credited security researcher Zhenghang Xiao for reporting the vulnerability and says it paid a $15,000 reward for it.


All the remaining high-severity vulnerabilities are memory safety bugs, including one out-of-bounds write and six use-after-free issues.


For over a year, Google has been working on [improving memory safety in Chrome](https://www.securityweek.com/google-working-improving-memory-safety-chrome), including by switching from C++ to a Rust compiler. [Rust is considered a memory safe programming language](https://www.securityweek.com/nsa-publishes-guidance-mitigating-software-memory-safety-issues).


The out-of-bounds write was identified in Lacros Graphics, while the use-after-free flaws impact Chrome components such as Camera Capture, Extensions Mojo, Audio, and Forms.


The 14 medium-severity vulnerabilities include insufficient policy enforcement issues, insufficient validation of untrusted input flaws, inappropriate implementation bugs, and use-after-free defects.


[Google says](https://chromereleases.googleblog.com/2022/11/stable-channel-update-for-desktop_29.html?m=1) it handed out over $70,000 in bug bounty rewards to the reporting researchers, but the final amount might be higher, as the internet giant has yet to determine the amount to be paid for some of the bugs.


No reward will be paid for several of the bugs, as they have been reported by Google Project Zero and Microsoft researchers.


Google made no mention of any of these vulnerabilities being exploited in attacks.


The latest Chrome iteration is now rolling out as version 108.0.5359.71 for Mac and Linux and as version 108.0.5359.71/72 for Windows.


Chrome 108 was released only days after Google issued an [emergency update to address a zero-day](https://www.securityweek.com/google-patches-eighth-chrome-zero-day-2022) in the web browser, the eighth to be publicly disclosed in 2022.





 


## Tags:
***CVE's***: CVE-2022-4174

### Autogenerated tags:
google use-after-free
