# Chrome 116 Update Patches High-Severity Vulnerabilities
## Google has released another weekly Chrome update, to address four high-severity vulnerabilities reported by external researchers.
## Information:

+ Link: https://www.securityweek.com/chrome-116-update-patches-high-severity-vulnerabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 06 September 2023, 10:46
+ Date scraped: 06 September 2023, 11:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Google on Tuesday announced the release of a Chrome 116 update that patches four high-severity vulnerabilities reported by external researchers.**


Tracked as CVE-2023-4761, the first bug is described as an out-of-bounds memory access issue in the FedCM (Federated Credential Management) API.

Out-of-bounds memory access errors occur when a program reads memory addresses outside of the bounds of a buffer, which could ultimately allow an attacker to cause a denial-of-service (DoS) condition or exploit additional weaknesses to achieve code execution.

The second flaw is a type confusion issue in the V8 JavaScript engine. Tracked as CVE-2023-4762, the vulnerability could lead to out-of-bounds memory access.

The third bug, CVE-2023-4763, is a use-after-free issue in Chrome’s Networks component, [Google’s advisory](https://chromereleases.googleblog.com/2023/09/stable-channel-update-for-desktop.html) reads.


A type of memory corruption bugs, [use-after-free issues](https://www.securityweek.com/google-improves-chrome-protections-against-use-after-free-bug-exploitation/) can be exploited to execute arbitrary code or cause a DoS condition and, if combined with other vulnerabilities, could lead to full system compromise.


In Chrome, use-after-free flaws can be combined with bugs in the browser process or with issues in the underlying operating system to escape Chrome’s sandbox.


The fourth vulnerability patched with this Chrome 116 update is CVE-2023-4764, an incorrect security UI flaw in BFCache (the in-memory cache where a complete snapshot of a page is stored), allowing a remote attacker to use a crafted HTML page to spoof the contents of the URL bar (Omnibox).

Google has yet to determine the bug bounty rewards the reporting researchers will receive for their findings.

The latest Chrome iteration is now rolling out as version 116.0.5845.179 for macOS and Linux and as versions 116.0.5845.179/.180 for Windows.

The internet giant also announced that the Chrome Extended Stable channel was updated to version 116.0.5845.179 for macOS and to version 116.0.5845.180 for Windows.

Google makes no mention of any of these vulnerabilities being exploited in malicious attacks.

**Related:** [High-Severity Memory Corruption Vulnerabilities Patched in Firefox, Chrome](https://www.securityweek.com/high-severity-memory-corruption-vulnerabilities-patched-in-firefox-chrome/)


**Related:** [First Weekly Chrome Security Update Patches High-Severity Vulnerabilities](https://www.securityweek.com/first-weekly-chrome-security-update-patches-high-severity-vulnerabilities/)


**Related:** [Chrome 116 Patches 26 Vulnerabilities](https://www.securityweek.com/chrome-116-patches-26-vulnerabilities/)





## Tags:
***CVE's***: CVE-2023-4763 CVE-2023-4761 CVE-2023-4764 CVE-2023-4762

### Autogenerated tags:
high-severity use-after-free
