# Chrome 121 Patches 17 Vulnerabilities
## Google releases Chrome 121 to the stable channel with 17 security fixes, including 11 reported by external researchers.
## Information:

+ Link: https://www.securityweek.com/chrome-121-patches-17-vulnerabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 24 January 2024, 12:00
+ Date scraped: 24 January 2024, 12:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Google on Tuesday announced the promotion of Chrome 121 to the stable channel with patches for 17 vulnerabilities, including 11 reported by external researchers.**


Of the externally reported security defects, three have a severity rating of ‘high’. Google says it handed out over $30,000 in bug bounty rewards to the reporting researchers.

The first high-severity bug that Chrome 121 addresses is a use-after-free issue in WebAudio. Tracked as CVE-2024-0807, the flaw earned the reporting researcher a $11,000 bug bounty.

Next in line is CVE-2024-0812, described as an inappropriate implementation in Accessibility. Google handed out a $9,000 reward for this security hole.

The third high-severity vulnerability is CVE-2024-0808, an integer underflow in WebUI, for which a $6,000 bug bounty was handed out, [Google says in its advisory](https://chromereleases.googleblog.com/2024/01/stable-channel-update-for-desktop_23.html?m=1).


Chrome 121 also resolves six medium-severity issues, including two insufficient policy enforcement bugs, two use-after-free flaws, an incorrect security UI defect, and an inappropriate implementation.

Two other low-severity inappropriate implementation vulnerabilities were also patched.

Google, which is keeping technical details on the resolved bugs restricted for now, made no mention of any of these vulnerabilities being exploited in the wild.


The latest Chrome iteration is now rolling out as version 121.0.6167.85 for macOS and Linux, and as versions 121.0.6167.85/.86 for Windows.

The update comes roughly one week after Google rushed out patches for [the first Chrome zero-day of 2024](https://www.securityweek.com/google-warns-of-chrome-browser-zero-day-being-exploited/), an out-of-bounds memory access issue in the V8 JavaScript engine that could be exploited by remote attackers via crafted HTML pages.


Last year, Google addressed [eight exploited Chrome zero-days](https://www.securityweek.com/google-rushes-to-patch-eighth-chrome-zero-day-this-year/), including several vulnerabilities believed to have been exploited by commercial spyware vendors.


**Related:** [Google Patches Six Vulnerabilities With First Chrome Update of 2024](https://www.securityweek.com/google-patches-six-vulnerabilities-with-first-chrome-update-of-2024/)


**Related:** [Chrome 120 Patches 10 Vulnerabilities](https://www.securityweek.com/chrome-120-patches-10-vulnerabilities/)


**Related:** [Chrome 119 Patches 15 Vulnerabilities](https://www.securityweek.com/chrome-119-patches-15-vulnerabilities/)


**Related:** [Chrome 118 Patches 20 Vulnerabilities](https://www.securityweek.com/chrome-118-patches-20-vulnerabilities/)





## Tags:
***CVE's***: CVE-2024-0808 CVE-2024-0812 CVE-2024-0807

### Autogenerated tags:
google
