# Chrome 123, Firefox 124 Patch Serious Vulnerabilities
## Chrome and Firefox security updates released on Tuesday resolve a critical-severity and multiple high-severity vulnerabilities.
## Information:

+ Link: https://www.securityweek.com/chrome-123-firefox-124-patch-serious-vulnerabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 20 March 2024, 12:16
+ Date scraped: 20 March 2024, 13:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2024/03/Chrome-Firefox-Safari-browser.jpeg)


**Google and Mozilla on Tuesday announced web browser security updates that address dozens of vulnerabilities, including one critical-severity and multiple high-severity flaws.**


Chrome 123 was released in the stable channel with patches for 12 bugs, seven of which were reported by external researchers.

The most severe of these is CVE-2024-2625, a high-severity object lifecycle issue in the V8 JavaScript and WebAssembly engine, Google notes in its [advisory](https://chromereleases.googleblog.com/2024/03/stable-channel-update-for-desktop_19.html).


The browser update also resolves five medium-severity vulnerabilities in components such as Swiftshader, Canvas, Downloads, and iOS, and one low-severity security hole in iOS.

According to Google, it paid out $22,000 in bug bounty rewards to the reporting researchers. However, the final amount could be much higher, as the bounty reward for the high-severity flaw has yet to be determined.

The latest Chrome iteration is now rolling out as version 123.0.6312.58 for Linux and versions 123.0.6312.58/.59 for Windows and macOS.

Mozilla released Firefox 124 with patches for 12 security defects, the most severe of which are critical-severity memory safety bugs collectively tracked as CVE-2024-2615. Some of these flaws, [Mozilla says](https://www.mozilla.org/en-US/security/advisories/mfsa2024-12/), could potentially be exploited for arbitrary code execution.


Five of the vulnerabilities are high-severity issues leading to sandbox escape, the creation of invalid WASM values, arbitrary code execution on Armv7-A systems, and out-of-bounds writes. Firefox 124 also resolves five medium-severity bugs and one low-severity flaw.


On Tuesday, Mozilla also announced the release of Thunderbird 115.9 and Firefox ESR 115.9, each with patches for 10 vulnerabilities, including nine that were addressed in Firefox 124. The tenth is a high-severity improper handling of out-of-memory conditions in ICU.

Google and Mozilla make no mention of any of these vulnerabilities being exploited in the wild.

**Related:** [Chrome 122, Firefox 123 Patch High-Severity Vulnerabilities](https://www.securityweek.com/chrome-122-firefox-123-patch-high-severity-vulnerabilities/)


**Related:** [Chrome 121 Patches 17 Vulnerabilities](https://www.securityweek.com/chrome-121-patches-17-vulnerabilities/)


**Related:** [Google Patches Six Vulnerabilities With First Chrome Update of 2024](https://www.securityweek.com/google-patches-six-vulnerabilities-with-first-chrome-update-of-2024/)





## Tags:
***CVE's***: CVE-2024-2615 CVE-2024-2625

### Autogenerated tags:
high-severity firefox google mozilla
