# Chrome 126, Firefox 127 Patch High-Severity Vulnerabilities
## Google and Mozilla have released patches for 21 and 15 vulnerabilities in Chrome and Firefox, respectively.
## Information:

+ Link: https://www.securityweek.com/chrome-126-firefox-127-patch-high-severity-vulnerabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 12 June 2024, 09:42
+ Date scraped: 12 June 2024, 10:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2024/03/Chrome-Firefox-Safari-browser.jpeg)


**Google and Mozilla on Tuesday announced the release of Chrome 126 and Firefox 127 to the stable channel with patches for multiple high-severity memory safety vulnerabilities.**


Chrome 126 includes 21 security fixes, including 18 for defects reported by external researchers. The reporting researchers, Google notes in its [advisory](https://chromereleases.googleblog.com/2024/06/stable-channel-update-for-desktop.html), received over $160,000 in bug bounty rewards for their findings.


At $100,115, the highest reward was handed out for CVE-2024-5839, described as a medium-severity inappropriate implementation in Memory Allocator.

As usual, Google does not provide details on the vulnerability, but the bug bounty amount is consistent with the [MiraclePtr bypass rewards](https://bughunters.google.com/about/rules/chrome-friends/5745167867576320/chrome-vulnerability-reward-program-rules#miracleptr-bypass-reward) the internet giant is offering as part of its Vulnerability Reward Program (VRP).


[MiraclePtr](https://www.securityweek.com/google-improves-chrome-protections-against-use-after-free-bug-exploitation/) is the technology that Google announced in 2022 to reduce the exploitability of use-after-free vulnerabilities in Chrome. It was enabled across Linux, Mac, and ChromeOS last year.


Google also paid out a $25,000 reward for CVE-2024-5830, a high-severity type confusion issue in the V8 JavaScript engine.

Of the externally reported flaws patched by Chrome 126, nine are rated ‘high severity’: two use-after-free issues in Dawn, four type confusion issues in V8, inappropriate implementations in Dawn and DevTools, and a heap buffer overflow in Tab Groups.

The browser update also resolves eight medium-severity bugs reported by external researchers, including five use-after-free, a policy bypass, an inappropriate implementation, and a heap buffer overflow issue.


Google has yet to determine the bug bounty amounts to be paid for seven of the vulnerabilities reported externally. The latest Chrome iteration is now rolling out as version 126.0.6478.54 for Linux and as versions 126.0.6478.56/57 for Windows and macOS.

Firefox 127 was released on Tuesday with patches for 15 vulnerabilities, including four high-severity issues, three of which are memory safety bugs.

Tracked as CVE-2024-5687, the first high-severity flaw resulted in an incorrect principal being used when opening new tabs, if a specific sequence of actions was performed. The issue is specific to Firefox for Android.

“The triggering principal is used to calculate many values, including the Referer and Sec- headers, meaning there is the potential for incorrect security checks within the browser in addition to incorrect or misleading information sent to remote websites,” [Mozilla explains](https://www.mozilla.org/en-US/security/advisories/mfsa2024-25/).


Firefox 127 also addresses a high-severity use-after-free bug in JavaScript object transplant (CVE-2024-5688) and memory safety bugs (CVE-2024-5700 and CVE-2024-5701) that could potentially be exploited to execute arbitrary code.

On Tuesday, Mozilla also announced the release of Firefox ESR 115.12 with patches for eight vulnerabilities, including seven addressed with Firefox 127. The eighth, tracked as CVE-2024-5702, is a high-severity use-after-free issue in networking.

Neither Google nor Mozilla make any mention of any of these flaws being exploited in the wild.

**Related:** [Google Patches Fourth Chrome Zero-Day in Two Weeks](https://www.securityweek.com/google-patches-fourth-chrome-zero-day-in-two-weeks/)


**Related:** [Chrome 124, Firefox 125 Patch High-Severity Vulnerabilities](https://www.securityweek.com/chrome-124-firefox-125-patch-high-severity-vulnerabilities/)


**Related:** [Chrome 122, Firefox 123 Patch High-Severity Vulnerabilities](https://www.securityweek.com/chrome-122-firefox-123-patch-high-severity-vulnerabilities/)





## Tags:
***CVE's***: CVE-2024-5702 CVE-2024-5839 CVE-2024-5701 CVE-2024-5687 CVE-2024-5700 CVE-2024-5830 CVE-2024-5688

### Autogenerated tags:
google high-severity firefox use-after-free mozilla
