# Critical WordPress Plugin Flaws Exploited to Inject Malicious Scripts and Backdoors
## Malicious campaign exploits high-severity XSS flaws in three WordPress plugins to backdoor websites.
## Information:

+ Link: https://www.securityweek.com/critical-wordpress-plugin-flaws-exploited-to-inject-malicious-scripts-and-backdoors/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 30 May 2024, 14:45
+ Date scraped: 30 May 2024, 15:02

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Vulnerabilities in three WordPress plugins are being exploited to inject malicious scripts and backdoors into websites, according to a warning from Fastly.**


The flaws can be exploited to execute unauthenticated stored cross-site scripting (XSS) attacks, allowing attackers to create a new WordPress administrator account, inject PHP backdoors in plugin and theme files, and set up tracking scripts to monitor the infected targets.

According to Fastly, there has been a significant number of exploitation attempts originating from IPs associated with the Autonomous System (AS) IP Volume Inc.

Impacting the WP Statistics plugin, which has over 600,000 active installations, the first bug allows attackers to inject scripts via the URL search parameter. Disclosed in March and impacting versions 14.5 and earlier of the plugin, the security defect is tracked as CVE-2024-2194.

“These scripts are executed whenever a user accesses an injected page. The attacker repeatedly sends requests containing this payload to ensure it appears on the most visited pages, adding the ‘utm\_id’ parameter to these requests,” Fastly said in [an advisory](https://www.fastly.com/blog/active-exploitation-unauthenticated-stored-xss-vulnerabilities-wordpress).


The second bug, CVE-2023-6961, impacts the WP Meta SEO plugin versions 4.5.12 and earlier. The plugin has over 20,000 active installations.

The attackers have been exploiting the bug to inject a payload into pages generating a 404 response. When the page is loaded in an administrator’s browser, the script pulls obfuscated JavaScript code from a remote server and, if the victim is authenticated, the payload steals their credentials.

As part of the campaign, threat actors have been also exploiting CVE-2023-40000, a vulnerability in the LiteSpeed Cache plugin versions 5.7.0.1 and earlier. The plugin has over 5 million active installations.


The attackers were seen disguising the XSS payload as an admin notification. As soon as an administrator would access a backend page, the script would “execute using their credentials for subsequent malicious actions”.

Fastly says it has identified five domains being referenced in the malicious payloads, along with two additional domains used for tracking. At least one of these domains was previously [associated](https://wpscan.com/blog/surge-of-javascript-malware-in-sites-with-vulnerable-versions-of-litespeed-cache-plugin/) with the exploitation of vulnerable WordPress plugins.


**Related:** [Critical WordPress Plugin Flaw Exploited to Inject Backdoors](https://www.securityweek.com/critical-wordpress-automatic-plugin-vulnerability-exploited-to-inject-backdoors/)


**Related:** [Critical Vulnerability Found in LayerSlider Plugin on WordPress Sites](https://www.securityweek.com/critical-vulnerability-found-in-layerslider-plugin-installed-on-a-million-wordpress-sites/)


**Related:** [Discontinued Security Plugins Expose WordPress Sites to Takeover](https://www.securityweek.com/discontinued-security-plugins-expose-many-wordpress-sites-to-takeover/)





## Tags:
***CVE's***: CVE-2023-6961 CVE-2024-2194 CVE-2023-40000
***ipv4-adresses***: 5.7.0.1

### Autogenerated tags:
plugin wordpress plugins backdoors
