# Dozens of RCE Vulnerabilities Impact Milesight Industrial Router
## Dozens of critical and high-severity vulnerabilities in the Milesight UR32L industrial router leading to code execution
## Information:

+ Link: https://www.securityweek.com/dozens-of-rce-vulnerabilities-impact-milesight-industrial-router/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 03 August 2023, 13:56
+ Date scraped: 03 August 2023, 14:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/02/dark_blue_ics.png)


**Dozens of vulnerabilities impacting the Milesight UR32L industrial router could be exploited to execute arbitrary code or commands, Cisco’s Talos security researchers warn.**


A cost-effective solution, the UR32L router provides WCDMA and 4G LTE support, Ethernet ports, and remote device management, which make it suitable for a broad range of M2M/IoT applications.

During their investigation into the UR32L router and the accompanying remote access solution MilesightVPN, Talos submitted more than 20 vulnerability reports that resulted in 69 CVEs being assigned. Of these, 63 impact the industrial router.

The most severe of the identified issues is [CVE-2023-23902](https://talosintelligence.com/vulnerability_reports/TALOS-2023-1697) (CVSS score of 9.8), described as a buffer overflow vulnerability in the HTTP server login functionality of the router, which could lead to remote code execution (RCE) via network requests.


“This is the most severe vulnerability found on the router. Indeed, it is a pre-authentication remote stack-based buffer overflow. An unauthenticated attacker able to communicate with the HTTP server would be able to perform remote command execution,” Talos says.

Except two bugs, the remaining vulnerabilities impacting the UR32L router are high-severity flaws, most of which could lead to arbitrary code execution or command execution.

The vulnerabilities impacting the MilesightVPN application, Talos says, can be exploited to execute commands, read arbitrary files, bypass authentication, and inject arbitrary Javascript code.


The vendor is providing the MilesightVPN as means to ensure that the UR32L router is not exposed to the internet, thus reducing attack surface.

According to Talos, however, an attacker could exploit an authentication bypass in the VPN software (tracked as CVE-2023-22319) and then execute arbitrary code on the device, by exploiting CVE-2023-23902.

Talos also notes that the discovered vulnerabilities were reported to the vendor in February 2023, but that no software update has been released to address them. *SecurityWeek* has emailed Milesight for a statement on the matter.


The flaws in the Milesight router, Talos says, were found as part of a broader research initiative focused on [SOHO router bugs](https://blog.talosintelligence.com/router-researcher-vulnerability-spotlight-23/), which has led to the discovery of 289 vulnerabilities over the course of five years.


Triggered by the discovery of the [VPNFilter malware](https://www.securityweek.com/hundreds-networks-still-host-devices-infected-vpnfilter-malware/) in 2018, the research also identified issues in router models from Asus, D-Link, InHand Network, Linksys, Netgear, Robustel, Sierra Wireless, Siretta, Synology, TCL, TP-Link, and ZTE, as well as in OpenWrt, FreshTomato, Asuswrt, and NetUSB.ko.


Aside from the Milesight vulnerabilities, however, the rest of the identified security defects were publicly disclosed between 2018 and 2022.



|  |
| --- |
| **Learn More at SecurityWeek’s [ICS Cyber Security Conference](https://www.icscybersecurityconference.com/)**The leading global conference series for Operations, Control Systems and OT/IT Security professionals to connect on SCADA, DCS PLC and field controller cybersecurity.[ICS Cybersecurity Conference](http://www.icscybersecurityconference.com/)October 23-26, 2023 | Atlanta[www.icscybersecurityconference.com](http://www.icscybersecurityconference.com/) |




**Related:** [Asus Patches Highly Critical WiFi Router Flaws](https://www.securityweek.com/asus-patches-highly-critical-wifi-router-flaws/)


**Related:** [Enterprises Exposed to Hacker Attacks Due to Failure to Wipe Discarded Routers](https://www.securityweek.com/enterprises-exposed-to-hacker-attacks-due-to-failure-to-wipe-discarded-routers/)


**Related:** [Newly Disclosed Vulnerability Exposes EOL Arris Routers to Attacks](https://www.securityweek.com/newly-disclosed-vulnerability-exposes-eol-arris-routers-to-attacks/)





## Tags:
***CVE's***: CVE-2023-22319 CVE-2023-23902

### Autogenerated tags:
talos ur32l milesight milesightvpn
