# F5 Informs BIG-IP Customers About 18 Serious Vulnerabilities
## F5 has released its quarterly security notifications, which inform BIG-IP customers about 18 critical and high-severity vulnerabilities.
## Information:

+ Link: https://www.securityweek.com/f5-informs-big-ip-customers-about-18-serious-vulnerabilities
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 04 May 2022, 18:00
+ Date scraped: 04 May 2022, 18:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


In November 2021, F5 decided that it would release quarterly security notifications at dates that will be announced in advance in an effort to make it easier for customers to schedule necessary updates.


The [latest notification](https://support.f5.com/csp/article/K55879220) informs users of BIG-IP application delivery controllers about one critical and 17 high-severity vulnerabilities.


The critical flaw, discovered internally by F5, is tracked as CVE-2022-1388 and it can be exploited by an unauthenticated attacker with network access to a BIG-IP system to execute arbitrary system commands, create or delete files, or disable services. The issue affects the iControl REST component and it has been described as a “control plane issue” that does not involve any data plane exposure.


Of the high-severity vulnerabilities, three have been assigned a CVSS score between 8 and 9. Two of them, CVE-2022-25946 and CVE-2022-27806, affect systems running in “appliance mode” and they allow an authenticated attacker with admin privileges to bypass restrictions specific to this mode.


The third issue, CVE-2022-28707, is a cross-site scripting (XSS) vulnerability that can be exploited for arbitrary JavaScript code execution by an attacker who has access to the system with at least “guest” privileges.


The other high-severity flaws can be exploited for privilege escalation, DoS attacks, XSS attacks, bypassing security mechanisms, and executing arbitrary commands. Many of the DoS vulnerabilities can be exploited remotely without authentication.


The remaining security holes have been rated “medium severity” or “low severity,” and some have been described as security exposures.


BIG-IP users should not ignore these patches as threat actors have been [known to target vulnerabilities](https://www.securityweek.com/iranian-hackers-target-critical-vulnerability-f5s-big-ip) affecting the product.


F5’s next quarterly security notification is scheduled for August 3.




 


## Tags:
***CVE's***: CVE-2022-25946 CVE-2022-27806 CVE-2022-1388 CVE-2022-28707

### Autogenerated tags:
f5 big-ip high-severity
