# Federal Agencies Instructed to Patch New Chrome Zero-Day
## The US Cybersecurity and Infrastructure Security Agency (CISA) has warned federal agencies about a recently patched zero-day vulnerability in Google’s Chrome browser.
## Information:

+ Link: https://www.securityweek.com/federal-agencies-instructed-patch-new-chrome-zero-day
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 30 March 2022, 11:00
+ Date scraped: 30 March 2022, 11:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Tracked as [CVE-2022-1096](https://www.securityweek.com/google-issues-emergency-fix-chrome-zero-day), the high-severity security hole was identified in Chrome’s V8 JavaScript engine and impacts all Chromium-based browsers.


Google issued an emergency fix for this bug on Friday, and Microsoft followed suit the next day, updating its Chromium-based Edge browser.


CISA has added the zero-day to its [Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) alongside 31 other bugs, including a high-severity Redis Server flaw now exploited in botnet attacks.


Tracked as CVE-2022-0543, the issue is described as a Redis Lua sandbox escape and remote code execution vulnerability that exists because the Lua library in some Debian/Ubuntu packages is delivered as a dynamic library.



Researchers at network services provider Juniper say that the [Muhstik malware has been exploiting the vulnerability](https://blogs.juniper.net/en-us/security/muhstik-gang-targets-redis-servers) in attacks since March 11. Previously, the botnet’s operators were observed targeting [Confluence](https://www.securityweek.com/jenkins-says-confluence-service-compromised-using-recent-exploit) server, [Log4j](https://www.securityweek.com/companies-respond-log4shell-vulnerability-attacks-rise), and [Oracle WebLogic](https://www.securityweek.com/muhstik-botnet-exploits-recent-oracle-weblogic-vulnerability) vulnerabilities.


While several of the other vulnerabilities that CISA has just added to its Must Patch list were resolved in 2021, the remaining are older bugs, some addressed a decade ago.


CISA is giving federal agencies three weeks (until April 18) to apply patches for these vulnerabilities. However, the agency told SecurityWeek earlier this year that those who fail to meet the deadlines are not penalized. Instead, CISA provides assistance to organizations that cannot meet the deadlines.


The Known Exploited Vulnerabilities Catalog is primarily for federal agencies, but organizations of all types are encouraged to use it to improve their patching operations.




 


## Tags:
***CVE's***: CVE-2022-1096 CVE-2022-0543

### Autogenerated tags:
cisa
