# Firefox 115 Patches High-Severity Use-After-Free Vulnerabilities
## Mozilla has released Firefox 115 to the stable channel with patches for two high-severity use-after-free vulnerabilities.
## Information:

+ Link: https://www.securityweek.com/firefox-115-patches-high-severity-use-after-free-vulnerabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 05 July 2023, 10:17
+ Date scraped: 05 July 2023, 11:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Mozilla on Tuesday announced the release of Firefox 115 to the stable channel with patches for a dozen vulnerabilities, including two high-severity use-after-free bugs.**


Tracked as CVE-2023-37201, the first of the high-severity issues is described as a use-after-free flaw in WebRTC certificate generation.

An open source project, WebRTC enables real-time communication in web browsers and mobile applications, via application programming interfaces (APIs).

“An attacker could have triggered a use-after-free condition when creating a WebRTC connection over HTTPS,” Mozilla explains in an [advisory](https://www.mozilla.org/en-US/security/advisories/mfsa2023-22/).


The second high-severity vulnerability, CVE-2023-37202, is described as a potential use-after-free issue from compartment mismatch in the open source JavaScript and WebAssembly engine SpiderMonkey.

“Cross-compartment wrappers wrapping a scripted proxy could have caused objects from other compartments to be stored in the main compartment resulting in a use-after-free,” Mozilla says.

The browser maker says the latest Firefox update also addresses high-severity memory safety bugs that might have led to the execution of arbitrary code. The flaws are collectively tracked as CVE-2023-37211 and CVE-2023-37212.


Firefox 115 also includes patches for eight medium-severity vulnerabilities leading to malicious sites placing trackers without permissions, arbitrary code execution, spoofing attacks, URL spoofing, download of files containing malicious code, use-after-free condition, and to tricking users into submitting sensitive data to malicious sites.

This week, Mozilla also announced that Firefox ESR 102.13 and Thunderbird 102.13 were released with patches for five vulnerabilities, including the high-severity use-after-free and memory safety bugs that were addressed in Firefox 115.

Additional information on the resolved vulnerabilities can be found on [Mozilla’s security advisories page](https://www.mozilla.org/en-US/security/advisories/).


**Related**: [Mozilla Patches High-Severity Vulnerabilities With Release of Firefox 111](https://www.securityweek.com/mozilla-patches-high-severity-vulnerabilities-with-release-of-firefox-111/)


**Related**: [Firefox Updates Patch 10 High-Severity Vulnerabilities](https://www.securityweek.com/firefox-updates-patch-10-high-severity-vulnerabilities/)


**Related**: [Firefox 107 Patches High-Impact Vulnerabilities](https://www.securityweek.com/firefox-107-patches-high-impact-vulnerabilities/)





## Tags:
***CVE's***: CVE-2023-37202 CVE-2023-37212 CVE-2023-37201 CVE-2023-37211

### Autogenerated tags:
firefox high-severity mozilla use-after-free webrtc
