# First Weekly Chrome Security Update Patches High-Severity Vulnerabilities
## Google has released the first weekly Chrome security update, which patches five memory safety vulnerabilities
## Information:

+ Link: https://www.securityweek.com/first-weekly-chrome-security-update-patches-high-severity-vulnerabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 23 August 2023, 11:03
+ Date scraped: 23 August 2023, 13:19

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Google this week announced a Chrome 116 security update that patches five memory safety vulnerabilities reported by external researchers, including four issues rated ‘high severity’.**


Based on the bug bounty reward Google paid out for these flaws, the most severe of them is CVE-2023-4430, a use-after-free bug in Vulkan, the cross-platform, open standard for 3D graphics.

The vulnerability was reported by Cassidy Kim, who received a $10,000 bug bounty reward for the finding, Google notes in its [advisory](https://chromereleases.googleblog.com/2023/08/chrome-desktop-stable-update.html).


Next in line is another use-after-free issue, this time in the Loader component. The flaw is tracked as CVE-2023-4429 and was reported by an anonymous researcher, who received a $3,000 bounty.

The internet giant says it also handed out a $2,000 reward for a high-severity out-of-bounds memory access vulnerability in CSS.

However, per Google’s policy, no bug bounty reward will be paid for a similar issue in the V8 JavaScript engine, which was reported by a Google Project Zero researcher, nor for a medium-severity out-of-bounds memory access flaw in Fonts, which was reported by a Microsoft security researcher.

The latest Chrome iteration is rolling out as version 116.0.5845.110 for Mac and Linux and as versions 116.0.5845.110/.111 for Windows.


Google makes no mention of any of these vulnerabilities being exploited in attacks.

The update arrives one week after [Chrome 116](https://www.securityweek.com/chrome-116-patches-26-vulnerabilities/) was released in the stable channel, in line with Google’s previously laid out plans to deliver patches for new vulnerabilities faster than before.


While major Chrome iterations will continue to arrive every four weeks, stable security updates will be released weekly, to reduce the window for n-day exploits. Since 2020, the internet giant has been shipping stable updates every two weeks.

**Related:** [Chrome 116 Patches 26 Vulnerabilities](https://www.securityweek.com/chrome-116-patches-26-vulnerabilities/)


**Related:** [Google Awards Over $60,000 for V8 Vulnerabilities Patched With Chrome 115 Update](https://www.securityweek.com/google-awards-60000-for-v8-vulnerabilities-patched-with-chrome-115-update/)


**Related:** [Chrome 115 Patches 20 Vulnerabilities](https://www.securityweek.com/chrome-115-patches-20-vulnerabilities/)





## Tags:
***CVE's***: CVE-2023-4430 CVE-2023-4429

### Autogenerated tags:
google
