# Foxit Patches Several Code Execution Vulnerabilities in PDF Reader
## Foxit Reader updated to patch multiple use-after-free security bugs leading to arbitrary code execution.
## Information:

+ Link: https://www.securityweek.com/foxit-patches-several-code-execution-vulnerabilities-pdf-reader
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 11 November 2022, 13:00
+ Date scraped: 11 November 2022, 13:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The feature-rich PDF reader provides broad functionality to users, including support for multimedia documents and dynamic forms via JavaScript support, which also expands the application’s attack surface.


This week, Cisco’s Talos security researchers have published information on [four vulnerabilities](https://blog.talosintelligence.com/vulnerability-spotlight-use-after-free-vulnerabilities-in-foxit-reader-could-lead-to-arbitrary-code-execution/) in Foxit Reader’s JavaScript engine that could be exploited to achieve arbitrary code execution.


The issues, tracked as CVE-2022-32774, CVE-2022-38097, CVE-2022-37332 and CVE-2022-40129, have a CVSS score of 8.8 and are described as use-after-free vulnerabilities.


“A specially crafted PDF document can trigger the reuse of previously freed memory, which can lead to arbitrary code execution,” Cisco explains.


An attacker looking to exploit these vulnerabilities would need to trick a user into opening a malicious file. According to Cisco, if the Foxit browser plugin extension is enabled, the bugs can be triggered when the user navigates to a malicious website.


Cisco reported the security defects to Foxit in September. This week, Foxit released version 12.0.1.12430 of its PDF reader to address all issues. Users are advised to update to the latest software iteration as soon as possible.






 


## Tags:
***CVE's***: CVE-2022-32774 CVE-2022-37332 CVE-2022-40129 CVE-2022-38097

### Autogenerated tags:
foxit pdf
