# Gaping Authentication Bypass Holes in VMWare Workspace One
## Virtualization technology giant VMware joined the Patch Tuesday train to deliver urgent security patches to its VMWare Workspace One product.
## Information:

+ Link: https://www.securityweek.com/gaping-authentication-bypass-holes-vmware-workspace-one
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 09 November 2022, 15:00
+ Date scraped: 09 November 2022, 15:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The company published an urgent bulletin (VMSA-2022-0028) with barebones details on at least five documented security vulnerabilities that expose VMWare Workspace One users to authentication bypass attacks.


VMWare slapped a [critical-severity rating on the bulletin](https://www.vmware.com/security/advisories/VMSA-2022-0028.html) and warned that three of the patched flaws are marked with a CVSS severity score of 9.8/10.


The vulnerabilities -- CVE-2022-31685, CVE-2022-31686, CVE-2022-31687, CVE-2022-31688, CVE-2022-31689 -- were found and fixed in the VMware Workspace ONE Assist utility and can be exploited to defeat authentication mechanisms.


**[ READ: [VMware Confirms Workspace One Exploits in the Wild](https://www.securityweek.com/vmware-confirms-workspace-one-exploits-wild) ]**


“A malicious actor with network access to Workspace One Assist may be able to obtain administrative access without the need to authenticate to the application,” VMWare warned multiple times in the advisory.


The patch also includes fixes for a cross-site scripting flaw that allows a malicious actor (with some user interaction) to inject javascript code in the target user's window.


The company also fixed a session fixation bug that allows a malicious actor who obtains a valid session token to authenticate to the application using that token.


In the past, [security defects](https://www.securityweek.com/vmware-ships-urgent-patch-authentication-bypass-security-hole) in the VMWare Workspace One product have been [targeted by attackers in the wild](https://www.securityweek.com/vmware-confirms-workspace-one-exploits-wild), including nation-state APT actors and ransomware criminals.


The CISA KEV ([Known Exploited Vulnerabilities](https://www.cisa.gov/known-exploited-vulnerabilities-catalog)) catalog features multiple must-patch security vulnerabilities in the VMWare Workspace One product suite.



**Related: [VMware Ships Urgent Patch for Authentication Bypass Security Hole](https://www.securityweek.com/vmware-ships-urgent-patch-authentication-bypass-security-hole)**


**Related: [Exploit Code Published for Critical VMware Security Flaw](https://www.securityweek.com/exploit-code-published-critical-vmware-security-flaw)**


**Related: [Critical Code Execution Flaw Haunts VMware Cloud Director](https://www.securityweek.com/critical-code-execution-flaw-haunts-vmware-cloud-director)**


 


## Tags:
***CVE's***: CVE-2022-31689 CVE-2022-31685 CVE-2022-31686 CVE-2022-31688 CVE-2022-31687

### Autogenerated tags:
vmware
