# Google Documents IE Browser Zero-Day Exploited by North Korean Hackers
## Google's Threat Analysis Group publicly documents an Internet Explorer zero-day vulnerability exploited in attacks by a North Korean hacking group called APT37.
## Information:

+ Link: https://www.securityweek.com/google-documents-ie-browser-zero-day-exploited-north-korean-hackers
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 07 December 2022, 21:00
+ Date scraped: 07 December 2022, 21:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Tracked as [CVE-2022-41128](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-41128) (CVSS score of 8.8), the vulnerability was identified in the browser’s ‘JScript9’ JavaScript engine and can be exploited by remote attackers to execute arbitrary code on a target system.


Google describes the security defect as an incorrect JIT optimization issue that leads to a type confusion. The bug is similar to [CVE-2021-34480](https://bugs.chromium.org/p/project-zero/issues/detail?id=2188&q=jscript9&can=1), a JScript9 flaw that was patched last year.


Microsoft patched CVE-2022-41128 one week after being alerted on it, as part of the November 2022 Patch Tuesday security updates, warning that the vulnerability was being exploited in attacks.


“This vulnerability requires that a user with an affected version of Windows accesses a malicious server. An attacker would have to host a specially crafted server share or website,” Microsoft warned at the time.


The tech giant noted that an attacker would need to entice the intended victim into visiting a specially crafted server share or website to trigger the exploit.


According to [Google's public documentation](https://blog.google/threat-analysis-group/internet-explorer-0-day-exploited-by-north-korean-actor-apt37/), North Korea-linked APT37 used a malicious Microsoft Office document referencing the [tragic incident in Seoul](https://www.bbc.com/news/world-asia-63526479) during Halloween celebrations on October 29, 2022 to target South Korean users with an exploit for CVE-2022-41128.


The malicious document was designed to fetch a rich text file (RTF) remote template, which in turn downloaded remote HTML content that Office would render using Internet Explorer.


Coming from an external source, the document would have the Mark-of-the-Web applied, and the user would have to disable the ‘Protected View’ in Office for the remote RTF template to be downloaded.


Google’s TAG researchers noticed that a cookie that is set when the RTF is delivered is sent again when the HTML content is requested, and that the JavaScript code would check for the cookie before launching the exploit.


Shellcode delivered during exploitation “erases all traces of exploitation by clearing the Internet Explorer cache and history before downloading the next stage” using the same cookie set when the remote RTF was delivered. Google says it could not retrieve the final payload.


The internet giant says that other identified documents that likely exploit the same Internet Explorer vulnerability and which appear to have similar targeting might be part of the same campaign.


APT37, which is known for using Internet Explorer zero-days in attacks, has historically focused on individuals in South Korea, while targeting North Korean defectors, human rights activists, journalists, and policy makers.


Also tracked as Group123, InkySquid, Reaper, and ScarCruft, and believed to be working on behalf of the North Korean government, APT37 was previously observed using backdoor like Bluelight, Dolphin, and Rokrat, which use legitimate cloud services for command-and-control (C&C).


**Related: [Microsoft Scrambles to Thwart New Zero-Day Attacks](https://www.securityweek.com/patch-tuesday-microsoft-scrambles-thwart-new-zero-day-attacks)**


**Related: [North Korean Hackers Target Windows, Android Devices](https://www.securityweek.com/north-korean-hackers-use-new-chinotto-malware-target-windows-android-devices)**


**Related: [North Korean Hacking Group APT37 Expands Targets](https://www.securityweek.com/north-korean-hacking-group-apt37-expands-targets)**


 


## Tags:
***CVE's***: CVE-2022-41128 CVE-2021-34480

### Autogenerated tags:
google microsoft apt37 rtf cve-2022-41128
