# Google Issues Emergency Fix for Chrome Zero-Day
## Google and Microsoft have issued emergency updates for Chrome  and Edge web browsers to resolve a vulnerability (CVE-2022-1096) for which a public exploit already exists.
## Information:

+ Link: https://www.securityweek.com/google-issues-emergency-fix-chrome-zero-day
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 27 March 2022, 13:00
+ Date scraped: 27 March 2022, 13:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Tracked as **CVE-2022-1096** and considered high-severity, the security hole is described as a Type Confusion bug in the V8 JavaScript and WebAssembly engine. 


The internet search giant says the bug was reported by an anonymous researcher, and the company has yet to determine the bug bounty amount for this issue. 


“Google is aware that an exploit for CVE-2022-1096 exists in the wild,” the company notes in its [advisory](https://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop_25.html?m=1), without providing further details on the vulnerability itself or on the observed exploitation.


A patch for this flaw has been included in Chrome 99.0.4844.84, which is now rolling out for Windows, Mac and Linux users. 


[ **READ**: [Google Attempts to Explain Surge in Chrome Zero-Day Exploitation](https://www.securityweek.com/google-attempts-explain-surge-chrome-zero-day-exploitation) ]


CVE-2022-1096 is the second Chrome zero-day that Google has addressed this year.


Tracked as [CVE-2022-0609](https://www.securityweek.com/google-discovers-attack-exploiting-chrome-zero-day-vulnerability) and resolved in February, the first Chrome zero-day has been [exploited by at least two North Korean threat actors](https://www.securityweek.com/north-korea-gov-hackers-caught-sharing-chrome-zero-day) to target hundreds of individuals and news media organizations, domain registrars, software vendors, and web hosting providers.


"We suspect that these groups work for the same entity with a shared supply chain, hence the use of the same exploit kit,” Google said earlier this week. 


Shortly after Google released Chrome 99.0.4844.84, [Microsoft announced](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-1096) that it has updated its Chromium-based Edge browser to version 99.0.1150.55, to resolve CVE-2022-1096. 


Chrome and Edge users are advised to apply the available patches as soon as possible. 


**Related**: [North Korea Gov Hackers Caught Sharing Chrome Zero-Day](https://www.securityweek.com/north-korea-gov-hackers-caught-sharing-chrome-zero-day)


**Related**: [CISA Urges Organizations to Patch Recent Chrome, Magento Zero-Days](https://www.securityweek.com/cisa-urges-organizations-patch-recent-chrome-magento-zero-days)


 


## Tags:
***CVE's***: CVE-2022-1096 CVE-2022-0609

### Autogenerated tags:
google cve-2022-1096 zero-day
