# Google Patches Chrome Flaw That Earned Hackers $42,500 at Pwn2Own
## Google pushes a new Chrome update to patch another zero-day vulnerability demonstrated at a hacking contest.
## Information:

+ Link: https://www.securityweek.com/google-patches-chrome-flaw-that-earned-hackers-42500-at-pwn2own/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 03 April 2024, 10:39
+ Date scraped: 03 April 2024, 11:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/04/Chrome-Zero-Day-exploits.jpg)


**Google on Tuesday announced a new Chrome update that resolves another zero-day vulnerability demonstrated at the Pwn2Own hacking contest in March.**


Tracked as CVE-2024-3159, the high-severity bug is described as an out-of-bounds memory access issue in the V8 JavaScript and WebAssembly engine.

The flaw was exploited at [Pwn2Own Vancouver 2024](https://www.securityweek.com/tesla-os-software-exploits-earn-hackers-1-1-million-at-pwn2own-2024/) by Edouard Bochin and Tao Yan from Palo Alto Networks, who received a $42,500 bug bounty reward for their finding.


The researchers “used an OOB Read plus a novel technique for defeating V8 hardening to get arbitrary code execution in the renderer,” Trend Micro’s Zero Day Initiative (ZDI) announced on March 22.

CVE-2024-3159 is the third Chrome zero-day flaw demonstrated at Pwn2Own to have been resolved, after a Chrome update last week that addressed [CVE-2024-2886 and CVE-2024-2887](https://www.securityweek.com/chrome-update-patches-zero-day-vulnerabilities-exploited-at-pwn2own/), a use-after-free in WebCodecs and a type confusion bug in WebAssembly, respectively.


In addition to CVE-2024-3159, the latest Chrome update resolves two other vulnerabilities reported by external researchers.

These include CVE-2024-3156, an inappropriate implementation issue in the V8 engine, and CVE-2024-3158, a use-after-free bug in Bookmarks.

[Google says](https://chromereleases.googleblog.com/2024/04/stable-channel-update-for-desktop.html) it paid out a total of $10,000 in bug bounties for these two issues, namely $7,000 and $3,000, respectively. No additional bounty was issued for CVE-2024-3159, aside from the reward handed out at Pwn2Own.


The latest Chrome iteration is now rolling out as versions 23.0.6312.105/.106/.107 for Windows and macOS, and as version 123.0.6312.105 for Linux.

Google makes no mention of any of these security defects being exploited in the wild. Users are advised to update their browsers as soon as possible.

**Related:** [Chrome to Fight Cookie Theft With Device Bound Session Credentials](https://www.securityweek.com/chrome-to-fight-cookie-theft-with-device-bound-session-credentials/)


**Related:**[Chrome 123, Firefox 124 Patch Serious Vulnerabilities](https://www.securityweek.com/chrome-123-firefox-124-patch-serious-vulnerabilities/)


**Related:** [Chrome 122, Firefox 123 Patch High-Severity Vulnerabilities](https://www.securityweek.com/chrome-122-firefox-123-patch-high-severity-vulnerabilities/)





## Tags:
***CVE's***: CVE-2024-2886 CVE-2024-3158 CVE-2024-3159 CVE-2024-3156 CVE-2024-2887

### Autogenerated tags:
pwn2own cve-2024-3159 v8
