# Google Patches Critical Chrome Vulnerability
## Google patches CVE-2024-4058, a critical Chrome vulnerability for which researchers earned a $16,000 reward.
## Information:

+ Link: https://www.securityweek.com/google-patches-critical-chrome-vulnerability/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 24 April 2024, 12:48
+ Date scraped: 24 April 2024, 13:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/04/Chrome-Zero-Day-exploits.jpg)


**Google on Wednesday announced the availability of a Chrome 124 update that patches four vulnerabilities, including a critical security hole.**


The critical vulnerability, tracked as [CVE-2024-4058](https://chromereleases.googleblog.com/2024/04/stable-channel-update-for-desktop_24.html), has been described as a type confusion bug in the ANGLE graphics layer engine. 


Considering that it has been assigned a ‘critical’ severity rating, the flaw can likely be exploited remotely for arbitrary code execution or sandbox escapes with limited user interaction.

Only a few [Chrome vulnerabilities](https://cve.mitre.org/cgi-bin/cvekey.cgi?keyword=chrome) have been assigned ‘critical’ severity ratings in the past years.


Google has credited two members of Qrious Secure for reporting CVE-2024-4058. They have been awarded a $16,000 bounty for their findings.

Qrious Secure describes itself as a group of “experienced hackers who love nothing more than finding vulnerabilities and vulnerabilities and exploiting them for fun and profit”.

The group has reported at least two other Chrome vulnerabilities to Google: [CVE-2024-0517](https://issues.chromium.org/issues/41488920), which allows remote code execution, and [CVE-2024-0223](https://issues.chromium.org/issues/40945594), which the researchers said “can be exploited directly from JavaScript, potentially granting GPU privilege permissions”. Both were patched earlier this year.


Google has not mentioned anything about CVE-2024-4058 being exploited in the wild. It’s not uncommon for threat actors to [exploit](https://www.securityweek.com/google-patches-third-actively-exploited-chrome-zero-day-2022/) [type confusion](https://www.securityweek.com/google-warns-of-new-chrome-zero-day-attack/) bugs found in Chrome, but they typically impact the V8 JavaScript engine. 


The latest Chrome update also patches two high-severity vulnerabilities for which bug bounties have yet to be determined: CVE-2024-4059, an out-of-bounds read in the V8 API, and CVE-2024-4060, a use-after-free in the Dawn component.

**Related**: [Chrome to Fight Cookie Theft With Device Bound Session Credentials](https://www.securityweek.com/chrome-to-fight-cookie-theft-with-device-bound-session-credentials/) 


**Related**: [Google Patches Chrome Flaw That Earned Hackers $42,500 at Pwn2Own](https://www.securityweek.com/google-patches-chrome-flaw-that-earned-hackers-42500-at-pwn2own/)


**Related**: [Chrome 124, Firefox 125 Patch High-Severity Vulnerabilities](https://www.securityweek.com/chrome-124-firefox-125-patch-high-severity-vulnerabilities/)





## Tags:
***CVE's***: CVE-2024-4060 CVE-2024-0223 CVE-2024-4058 CVE-2024-0517 CVE-2024-4059

### Autogenerated tags:
google cve-2024-4058
