# Google Patches Fourth Chrome Zero-Day in Two Weeks
## Chrome vulnerability CVE-2024-5274 is a high-severity flaw described as a type confusion in the V8 JavaScript and WebAssembly engine.
## Information:

+ Link: https://www.securityweek.com/google-patches-fourth-chrome-zero-day-in-two-weeks/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 24 May 2024, 08:39
+ Date scraped: 24 May 2024, 09:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/04/Chrome-Zero-Day-exploits.jpg)


**Google on Thursday rolled out a fresh Chrome update to address another exploited vulnerability in the popular web browser, the fourth zero-day to be patched in two weeks.**


Tracked as **CVE-2024-5274**, the high-severity flaw is described as a type confusion in the V8 JavaScript and WebAssembly engine.


“Google is aware that an exploit for CVE-2024-5274 exists in the wild,” the internet giant noted in an [advisory](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_23.html).


The company shared no details on the bug itself, nor on the in-the-wild exploitation, but credited Clement Lecigne of Google’s Threat Analysis Group (TAG) and Brendon Tiszka of Chrome Security for reporting the flaw. No bug bounty reward will be handed out for the discovery.

Chrome vulnerabilities are often exploited by commercial surveillance software vendors and Google TAG researchers previously [reported several zero-days](https://www.securityweek.com/google-rushes-to-patch-eighth-chrome-zero-day-this-year/) targeted by spyware vendors, including security defects in Google’s browser.


CVE-2024-5274 is the fourth to be patched within the past 15 days, after Google squashed [CVE-2024-4671](https://www.securityweek.com/exploited-chrome-zero-day-patched-by-google/) (use-after-free in Visuals), [CVE-2024-4761](https://www.securityweek.com/google-patches-second-chrome-zero-day-in-one-week/) (out-of-bounds write in V8), and [CVE-2024-4947](https://www.securityweek.com/third-chrome-zero-day-patched-by-google-within-one-week/) (type confusion in V8).


Google has resolved a total of eight Chrome zero-days so far this year, with three of them, namely [CVE-2024-2886, CVE-2024-2887](https://www.securityweek.com/chrome-update-patches-zero-day-vulnerabilities-exploited-at-pwn2own/), and [CVE-2024-3159](https://www.securityweek.com/google-patches-chrome-flaw-that-earned-hackers-42500-at-pwn2own/), demonstrated at the [Pwn2Own Vancouver 2024](https://www.securityweek.com/tesla-os-software-exploits-earn-hackers-1-1-million-at-pwn2own-2024/) hacking contest in March.


The latest Chrome iteration is now rolling out as version 125.0.6422.112 for Linux and as versions 125.0.6422.112/.113 for Windows and macOS. Google also [announced](https://chromereleases.googleblog.com/2024/05/chrome-for-android-update_23.html) the release of Chrome for Android versions 125.0.6422.112/.113 with the same security fixes.


Users are advised to update to the latest Chrome releases as soon as possible.

**Related:** [Chrome 125 Update Patches High-Severity Vulnerabilities](https://www.securityweek.com/chrome-125-update-patches-high-severity-vulnerabilities/)


**Related:** [Google Patches Critical Chrome Vulnerability](https://www.securityweek.com/google-patches-critical-chrome-vulnerability/)


**Related:** [Chrome 124, Firefox 125 Patch High-Severity Vulnerabilities](https://www.securityweek.com/chrome-124-firefox-125-patch-high-severity-vulnerabilities/)


**Related:** [Google Pays Out $41,000 for Three Serious Chrome Vulnerabilities](https://www.securityweek.com/google-pays-out-41000-for-three-serious-chrome-vulnerabilities/)





## Tags:
***CVE's***: CVE-2024-4671 CVE-2024-4947 CVE-2024-2886 CVE-2024-2887 CVE-2024-4761 CVE-2024-3159 CVE-2024-5274

### Autogenerated tags:
google cve-2024-5274 high-severity v8
