# Google Patches Ninth Chrome Zero-Day of 2022
## Google has released a Chrome 108 emergency update to resolve an actively exploited Chrome vulnerability.
## Information:

+ Link: https://www.securityweek.com/google-patches-ninth-chrome-zero-day-2022
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 05 December 2022, 12:00
+ Date scraped: 05 December 2022, 12:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The high-severity security bug is tracked as [CVE-2022-4262](https://chromereleases.googleblog.com/2022/12/stable-channel-update-for-desktop.html) and is described as a type confusion in the browser’s V8 JavaScript engine.


“Google is aware that an exploit for CVE-2022-4262 exists in the wild,” the internet giant says.


The vulnerability was identified by Google Threat Analysis Group security researcher Clement Lecigne. Per Google’s policy, no bug bounty reward will be paid.


The flaw could allow “a remote attacker to potentially exploit heap corruption via a crafted HTML page,” a National Vulnerability Database [advisory](https://nvd.nist.gov/vuln/detail/CVE-2022-4262) explains.


Type confusion flaws exist because a block of memory is used by a different algorithm than the one that was supposed to consume it.


In Chrome, such issues could lead to deliberate code flow deviations, allowing attackers to achieve remote code execution (RCE) when untrusted code is served from a malicious page.


Patches for this vulnerability have been included in Chrome 108.0.5359.94 for Mac and Linux, and in Chrome 108.0.5359.94/.95 for Windows. Users are advised to update to a patched iteration as soon as possible.


This emergency Chrome update arrived just days after Google released [Chrome 108 with patches for 28 vulnerabilities](https://www.securityweek.com/chrome-108-patches-high-severity-memory-safety-bugs). None of these was known to be exploited in attacks.


The week before, on Thanksgiving Day, Google released another emergency Chrome update, to [resolve a zero-day vulnerability](https://www.securityweek.com/google-patches-eighth-chrome-zero-day-2022) in the GPU component. The issue is tracked as CVE-2022-4135.


Starting July, Google has been patching one Chrome zero-day per month. The exploitation of the July flaw was [linked](https://www.securityweek.com/exploitation-recent-chrome-zero-day-linked-israeli-spyware-company) to Israeli spyware company Candiru.





 


## Tags:
***CVE's***: CVE-2022-4262 CVE-2022-4135

### Autogenerated tags:
google
