# Google Patches Second Chrome Zero-Day in One Week
## Google has patched CVE-2024-4761, the second exploited vulnerability addressed by the company within one week.
## Information:

+ Link: https://www.securityweek.com/google-patches-second-chrome-zero-day-in-one-week/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 14 May 2024, 11:35
+ Date scraped: 14 May 2024, 12:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2024/03/Chrome-Firefox-Safari-browser.jpeg)


**Google has announced patches for another Chrome vulnerability that has been exploited in attacks. This is the second zero-day addressed by the company in one week and the third flaw leveraged in malicious attacks in 2024.**


The new zero-day, tracked as [CVE-2024-4761](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_13.html), has been described as a high-severity out-of-bounds write issue in the V8 JavaScript and WebAssembly engine. The vulnerability was reported on May 9 by an anonymous researcher.


Google says it’s aware that an exploit exists in the wild, but has not shared any information on the attacks.

Someone claims to have already developed a proof-of-concept (PoC) exploit for CVE-2024-4761, but it’s unclear if it works.

CVE-2024-4761 was patched just days after Google announced a Chrome update to fix CVE-2024-4671, a high-severity use-after-free bug in the Visuals component that has also been [exploited in the wild](https://www.securityweek.com/exploited-chrome-zero-day-patched-by-google/). 


CVE-2024-4671 was also reported recently by an anonymous researcher, but it’s unclear if the two zero-days are connected.

Google and Mandiant said in a recent [report](https://www.securityweek.com/google-report-despite-surge-in-zero-day-attacks-exploit-mitigations-are-working/) that they monitored 97 vulnerabilities exploited in the wild in 2023, a 50% increase compared to the previous year. 


Eight of the zero-days targeted Chrome. The companies said spyware vendors were behind 75% of known zero-day exploits targeting Google and Android devices in 2023.


**Related**: [Apple Patch Day: Code Execution Flaws in iPhones, iPads, macOS](https://www.securityweek.com/apple-patch-day-code-execution-flaws-in-iphones-ipads-macos/)


**Related**: [Google Patches Critical Chrome Vulnerability](https://www.securityweek.com/google-patches-critical-chrome-vulnerability/)


**Related**: [Google Pays Out $41,000 for Three Serious Chrome Vulnerabilities](https://www.securityweek.com/google-pays-out-41000-for-three-serious-chrome-vulnerabilities/)


**Related**: [Google Patches Chrome Flaw That Earned Hackers $42,500 at Pwn2Own](https://www.securityweek.com/google-patches-chrome-flaw-that-earned-hackers-42500-at-pwn2own/)





## Tags:
***CVE's***: CVE-2024-4671 CVE-2024-4761

### Autogenerated tags:
google zero-day
