# Google Pays Out $41,000 for Three Serious Chrome Vulnerabilities
## Google releases a Chrome 123 update to resolve three high-severity memory safety vulnerabilities worth $41,000.
## Information:

+ Link: https://www.securityweek.com/google-pays-out-41000-for-three-serious-chrome-vulnerabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 11 April 2024, 11:42
+ Date scraped: 11 April 2024, 12:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/04/Chrome-Zero-Day-exploits.jpg)


**Google on Wednesday released a new Chrome 123 security update that addresses three high-severity memory safety bugs reported by external researchers.**


The first vulnerability, tracked as CVE-2024-3157, is described as an out-of-bounds write issue in Compositing. The internet giant handed out a $21,000 bug bounty reward for this flaw.

According to a [NIST advisory](https://nvd.nist.gov/vuln/detail/CVE-2024-3157), a remote attacker who has compromised the GPU process could exploit this vulnerability to perform a sandbox escape via specific UI gestures.


Tracked as CVE-2024-3516, the second security defect is a heap buffer overflow bug in the ANGLE rendering engine that could allow a remote attacker to exploit heap corruption via malicious web pages.

The third issue, tracked as CVE-2024-3515, is a use-after-free bug in Dawn, also leading to the exploitation of heap corruption via crafted web pages.

Google notes in its [advisory](https://chromereleases.googleblog.com/2024/04/stable-channel-update-for-desktop_10.html) that it paid out bug bounty rewards of $10,000 for each of the last two security holes.


The latest Chrome update is now rolling out as version 123.0.6312.122 for Linux, versions 123.0.6312.122/.123 for Windows, and versions 123.0.6312.122/.123/.124 for macOS.

The internet giant makes no mention of any of these vulnerabilities being exploited in malicious attacks.


However, memory safety bugs in Chrome have been a major issue, as all the browser zero-days exploited in the wild between 2021 and 2023 started with a memory corruption bug leading to remote code execution.

Google has been [battling memory safety bugs](https://www.securityweek.com/google-working-improving-memory-safety-chrome/) in Chrome for a while, with the introduction of runtime checks and the transition to the Rust programming language, which is considered memory safe, and has made the [exploitation of use-after-free flaws more difficult](https://www.securityweek.com/google-improves-chrome-protections-against-use-after-free-bug-exploitation/).


Last week, the company announced the addition of [a sandbox for V8](https://www.securityweek.com/google-adds-v8-sandbox-to-chrome/), to prevent the exploitation of memory safety bugs in the browser’s JavaScript engine.


**Related:** [Chrome to Fight Cookie Theft With Device Bound Session Credentials](https://www.securityweek.com/chrome-to-fight-cookie-theft-with-device-bound-session-credentials/)


**Related:** [Google Patches Chrome Flaw That Earned Hackers $42,500 at Pwn2Own](https://www.securityweek.com/google-patches-chrome-flaw-that-earned-hackers-42500-at-pwn2own/)


**Related:** [Chrome Update Patches Zero-Day Vulnerabilities Exploited at Pwn2Own](https://www.securityweek.com/chrome-update-patches-zero-day-vulnerabilities-exploited-at-pwn2own/)





## Tags:
***CVE's***: CVE-2024-3516 CVE-2024-3157 CVE-2024-3515

### Autogenerated tags:

