# Google Warns of Chrome Browser Zero-Day Being Exploited
## The exploited zero-day, tagged as CVE-2024-0519, is described as an out-of-bounds memory access issue in the V8 JavaScript engine.
## Information:

+ Link: https://www.securityweek.com/google-warns-of-chrome-browser-zero-day-being-exploited/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 16 January 2024, 19:57
+ Date scraped: 16 January 2024, 20:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/04/Chrome-Zero-Day-exploits.jpg)


**Google has pushed out an urgent Chrome browser update to fix a trio of high-severity security defects and warned that one of the bugs is already being exploited in the wild.**


The exploited zero-day, tagged as CVE-2024-0519, is described as an out-of-bounds memory access issue in the V8 JavaScript engine.

As is customary, Google did not provide any additional details on scope of the observed attacks or share telemetry to help defenders hunt for signs of compromise.

A barebones advisory simply notes: “Google is aware of reports that an exploit for CVE-2024-0519 exists in the wild.”

The company said the zero-day was reported anonymously.

The latest [Chrome browser refresh](https://chromereleases.googleblog.com/2024/01/stable-channel-update-for-desktop_16.html) also provides cover for two additional memory safety issues in V8 that are rated high-risk. Google said the update also includes multiple fixes found internally from audits, fuzzing and other initiatives.


The new security patch comes just weeks after [Google shipped patches](https://www.securityweek.com/google-patches-six-vulnerabilities-with-first-chrome-update-of-2024) for multiple memory safety issues that expose users to code execution attacks.


In 2023, Google patched at least seven zero-days discovered during in-the-wild exploitation.


**Related:** [Remotely Exploitable Flaws in Tianocore EDK II PXE Implementation](https://www.securityweek.com/remotely-exploitable-pixiefail-flaws-found-in-tianocore-edk-ii-pxe-implementation/)


**Related:** [VMware Patches Critical Aria Automation Vulnerability](https://www.securityweek.com/vmware-urges-customers-to-patch-critical-aria-automation-vulnerability/)


**Related:** [Remote Code Execution Bug in Opera File Sharing Feature](https://www.securityweek.com/remote-code-execution-vulnerability-found-in-opera-file-sharing-feature/)


**Related:** [GitLab Haunted by Critical Password Reset Vulnerability](https://www.securityweek.com/gitlab-patches-critical-password-reset-vulnerability/)





## Tags:
***CVE's***: CVE-2024-0519

### Autogenerated tags:
google
