# Mozilla Patches Firefox Zero-Days Exploited at Pwn2Own
## Firefox browser updates address two zero-day vulnerabilities, CVE-2024-29943 and CVE-2024-29944, exploited at the Pwn2Own hacking contest.
## Information:

+ Link: https://www.securityweek.com/mozilla-patches-firefox-zero-days-exploited-at-pwn2own/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 25 March 2024, 10:15
+ Date scraped: 25 March 2024, 11:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2024/03/pwn2own-2024.jpeg)


**Mozilla has released Firefox browser updates to patch two zero-day vulnerabilities that were exploited at the Pwn2Own Vancouver 2024 hacking contest last week.**


The issues, discovered by security researcher Manfred Paul, were chained together to escape the browser’s sandbox and execute code on the system.

Tracked as CVE-2024-29943, the first vulnerability is described as an out-of-bounds access flaw that leads to the bypass of range analysis.

“An attacker was able to perform an out-of-bounds read or write on a JavaScript object by fooling range-based bounds check elimination,” Mozilla explains in its [advisory](https://www.mozilla.org/en-US/security/advisories/mfsa2024-15/).


The second bug, CVE-2024-29944, is a privileged JavaScript execution issue in event handlers, leading to a sandbox escape.

“An attacker was able to inject an event handler into a privileged object that would allow arbitrary JavaScript execution in the parent process,” Mozilla says.

CVE-2024-29944, Mozilla notes, affects the desktop version of Firefox only, and cannot be exploited against the mobile app.

Mozilla says both vulnerabilities are ‘critical severity’ bugs, without providing a CVSS score for either of them.


On Friday, Mozilla released Firefox 124.0.1 with patches for both issues and Firefox ESR 115.9.1 with fixes for CVE-2024-29944. Both vulnerabilities were exploited and disclosed at Pwn2Own the day before.

“Manfred Paul used an OOB Write for the RCE and an exposed dangerous function bug to achieve his sandbox escape of Mozilla Firefox,” Trend Micro’s Zero Day Initiative (ZDI) said on Thursday.

Participants at the hacking contest [earned over $1.1 million](https://www.securityweek.com/tesla-os-software-exploits-earn-hackers-1-1-million-at-pwn2own-2024/), with Paul declared the winner of this Pwn2Own, after [also hacking](https://www.securityweek.com/200000-awarded-at-pwn2own-2024-for-tesla-hack/) the Safari, Chrome, and Edge browsers, and earning over $200,000 in bug bounty rewards. He received $100,000 for the two Firefox zero-days.


**Related:** [Chrome 123, Firefox 124 Patch Serious Vulnerabilities](https://www.securityweek.com/chrome-123-firefox-124-patch-serious-vulnerabilities/)


**Related:** [Chrome 122, Firefox 123 Patch High-Severity Vulnerabilities](https://www.securityweek.com/chrome-122-firefox-123-patch-high-severity-vulnerabilities/)


**Related:** [Firefox 122 Patches 15 Vulnerabilities](https://www.securityweek.com/firefox-122-patches-15-vulnerabilities/)





## Tags:
***CVE's***: CVE-2024-29943 CVE-2024-29944

### Autogenerated tags:
firefox mozilla pwn2own javascript
