# Python, JavaScript Developers Targeted With Fake Packages Delivering Ransomware
## Typosquatting campaign targets application developers relying on PyPI and NPM packages.
## Information:

+ Link: https://www.securityweek.com/python-javascript-developers-targeted-fake-packages-delivering-ransomware
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 12 December 2022, 14:00
+ Date scraped: 12 December 2022, 14:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


On Friday, the researchers warned that a threat actor was [typosquatting popular PyPI packages](https://blog.phylum.io/phylum-detects-active-typosquatting-campaign-in-pypi) to direct developers to malicious dependencies containing code to download payloads written in Golang (Go).


The purpose of the attack is to infect victims with ransomware variants designed to update the desktop background with a message impersonating the CIA and instructing the victim to open a ‘readme’ file. The malware also attempts to encrypt some of the victim’s files.


The ‘readme’ file is, in fact, a ransom note that tells the victim they need to pay the attackers $100 in cryptocurrency to receive a decryption key.


Phylum has compiled a list of packages targeted in the campaign. As of Friday, the list included: dequests, fequests, gequests, rdquests, reauests, reduests, reeuests, reqhests, reqkests, requesfs, requesta, requeste, requestw, requfsts, resuests, rewuests, rfquests, rrquests, rwquests, telnservrr, and tequests.


Shortly after publishing the initial report, Phylum updated it to warn that NPM packages were also being targeted as part of the same campaign.


The identified malicious NPM packages – such as discordallintsbot, discordselfbot16, discord-all-intents-bot, discors.jd, and telnservrr – contain JavaScript code that behaves similarly with the code identified in the Python packages.


According to Phylum CTO Louis Lang, the number of malicious packages is expected to increase. The binaries dropped by these packages are identified as malware by the antivirus engines in VirusTotal.


**Related: [LofyGang Cybercrime Group Used 200 Malicious NPM Packages for Supply Chain Attacks](https://www.securityweek.com/lofygang-cybercrime-group-used-200-malicious-npm-packages-supply-chain-attacks)**


**Related: [Researchers Spot Supply Chain Attack Targeting GitLab CI Pipelines](https://www.securityweek.com/researchers-spot-supply-chain-attack-targeting-gitlab-ci-pipelines)**


**Related: [Checkmarx Finds Threat Actor 'Fully Automating' NPM Supply Chain Attacks](https://www.securityweek.com/checkmarx-finds-threat-actor-fully-automating-npm-supply-chain-attacks)**


 


## Tags:


### Autogenerated tags:
npm
