# Samsung Galaxy Store Flaws Can Lead to Unwanted App Installations, Code Execution
## Samsung recently addressed two Galaxy Store vulnerabilities that could allow rogue apps to install applications and local attackers to execute JavaScript code.
## Information:

+ Link: https://www.securityweek.com/samsung-galaxy-store-flaws-can-lead-unwanted-app-installations-code-execution
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 23 January 2023, 15:00
+ Date scraped: 23 January 2023, 15:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


An alternative app marketplace, the Galaxy Store comes pre-installed on Samsung’s Android devices and can be used alongside Google Play to download and install software.


Tracked as CVE-2023-21433, the first of the vulnerabilities that NCC Group has identified could allow rogue applications on a device to download and install additional software from the Galaxy Store, without the user’s knowledge.


The issue is described as an improper access control flaw, where the app store contained an exported activity that failed to safely handle incoming intents. The bug, NCC explains, only impacted devices running Android 12 and older.


The second vulnerability, CVE-2023-21434, is described as an improper input validation issue that could allow a local attacker to execute JavaScript code by launching a web page.


“It was found that a webview within the Galaxy App Store contained a filter which limited which domains that webview could browse to. However, the filter was not properly configured, which would allow the webview to browse to an attacker-controlled domain,” NCC Group explains.


The vulnerability can be exploited by tapping a malicious URL in Chrome or a pre-installed rogue application, which would bypass existing URL filtering.


The cybersecurity firm has published [proof-of-concept (PoC) code](https://research.nccgroup.com/2023/01/20/technical-advisory-multiple-vulnerabilities-in-the-galaxy-app-store-cve-2023-21433-cve-2023-21434/) for both these vulnerabilities.


The security defects were reported to Samsung in November and December 2022. Both issues were addressed in Galaxy Store version 4.5.49.8.


Owners of Samsung devices running Android 12 or below are advised to update to the latest version of Galaxy Store as soon as possible.





 


## Tags:
***CVE's***: CVE-2023-21433 CVE-2023-21434

### Autogenerated tags:
samsung android ncc webview
