# Unpatched Vulnerability Allows Hackers to Steal Emails of RainLoop Users
## An unpatched vulnerability affecting the RainLoop open source webmail client can be exploited to hijack a user’s session and steal their emails.
## Information:

+ Link: https://www.securityweek.com/unpatched-vulnerability-allows-hackers-steal-emails-rainloop-users
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 22 April 2022, 12:00
+ Date scraped: 22 April 2022, 12:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


RainLoop is an open source web-based email client used by many organizations. Sonar reported identifying thousands of internet-exposed instances using the Shodan search engine.


Sonar’s researchers discovered that RainLoop 1.16.0 — this is the latest version of the application and it was released roughly one year ago — is affected by a stored cross-site scripting (XSS) vulnerability that can be exploited against default configurations.


An attacker could exploit the flaw by simply sending a specially crafted email to a RainLoop user. Once the victim opens the malicious email, a hidden JavaScript payload is executed in the browser without other user interaction being required.


The security hole, tracked as CVE-2022-29360, is caused by what [Sonar describes](https://blog.sonarsource.com/rainloop-emails-at-risk-due-to-code-flaw) as a “logic bug after the sanitization process.” The company has made available technical details in a blog post published this week.


Sonar warned that an attacker could exploit the vulnerability to gain access to highly sensitive information that may be stored in the victim’s emails, including passwords, documents and password reset links. The company has released a video showing the exploit in action.



The vulnerability was initially reported to RainLoop developers in late November 2021 and there were two more responsible disclosure attempts in December and January, but Sonar said it received no response.


*SecurityWeek* has also reached out to RainLoop developers for comment and will update this article if they respond.


Sonar did develop an unofficial patch, but users are told to use it at their own risk. While RainLoop remains unpatched, Sonar noted that SnappyMail, a RainLoop fork, is actively maintained and is not affected by this vulnerability, which is why users have been advised to switch to SnappyMail.





 


## Tags:
***CVE's***: CVE-2022-29360

### Autogenerated tags:
rainloop
