# Vulnerabilities Patched in Kiuwan Code Security Products After Long Disclosure Process
## It took code security firm Kiuwan nearly two years to patch several serious vulnerabilities found in its SAST products.
## Information:

+ Link: https://www.securityweek.com/vulnerabilities-patched-in-kiuwan-code-security-products-after-long-disclosure-process/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 06 June 2024, 12:06
+ Date scraped: 06 June 2024, 13:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**It took code security firm Kiuwan nearly two years to patch several potentially serious vulnerabilities discovered in its static application security testing (SAST) products.**


Kiuwan is owned by US-based B2B productivity tools provider Idera. The vulnerabilities were found in the Kiuwan SAST and Local Analyzer products by a researcher at Eviden-owned cybersecurity consultancy SEC Consult, which uses the Kiuwan SAST tool for finding security issues in customer projects.

SEC Consult published an [advisory](https://sec-consult.com/vulnerability-lab/advisory/multiple-critical-vulnerabilities-in-kiuwan-sast-on-premise-kop-cloud-saas-kiuwan-local-analyzer/) describing its ‘critical’ findings on Thursday. The issues were first reported to the vendor in November 2022, and patches were released for the cloud-based product in February 2024 and the [on-premises version](https://www.kiuwan.com/docs/display/K5/%5B2024-05-30%5D+Change+Log) in late May. 


Johannes Greil, head of SEC Consult’s Vulnerability Lab, who handled communications with the vendor, [described it](https://www.linkedin.com/pulse/neverending-story-patch-release-johannes-greil-gnhdf/) as the longest coordinated vulnerability disclosure process ever.


The vulnerabilities include a reflected cross-site scripting (XSS) flaw affecting Kiuwan installations with SSO enabled, which allows an unauthenticated attacker to conduct an attack on the login page.

SEC Consult also found an XXE injection vulnerability allowing an attacker who has privileges to scan source code to extract any operating system files, including sensitive files containing configurations and passwords.

“Furthermore, this vulnerability also allows an attacker to initiate connections to internal systems, e.g. for port scans or accessing other internal functions / applications such as the Wildfly admin console of Kiuwan,” SEC Consult explained in its advisory.

The company also discovered a vulnerability that allows an attacker who can compromise the application to escalate privileges to root.


Greil told *SecurityWeek* that while in theory these vulnerabilities could be chained to compromise the targeted system remotely and without authentication, conducting such an attack would be complex due to the limited impact of the XSS flaw, which only affects certain configurations and which cannot be used directly to steal session IDs via JavaScript.


SEC Consult also found that the Kiuwan applications are impacted by an insecure direct object reference (IDOR) bug, which allows authenticated users to view information they should not have access to.

The company also discovered that the Kiuwan Local Analyzer (KLA) Java application contains several hardcoded secrets in plain text, which could potentially compromise the confidentiality of scan results.

*SecurityWeek* reached out to Kiuwan several days before this article was published for clarifications on why it took so long to patch the vulnerabilities, but the company has not responded. 


**Related**: [Trend Micro Patches Exploited Zero-Day Vulnerability in Endpoint Security Products](https://www.securityweek.com/trend-micro-patches-exploited-zero-day-vulnerability-in-endpoint-security-products/)


**Related**: [Perimeter81 Vulnerability Disclosed After Botched Disclosure Process](https://www.securityweek.com/perimeter81-vulnerability-disclosed-after-botched-disclosure-process/)


**Related**: [Barracuda Zero-Day Exploited to Deliver Malware for Months Before Discovery](https://www.securityweek.com/barracuda-zero-day-exploited-to-deliver-malware-for-months-before-discovery/)





## Tags:


### Autogenerated tags:
kiuwan sast
