# WordPress 6.0.2 Patches Vulnerability That Could Impact Millions of Legacy Sites
## WordPress 6.0.2 resolves a high-severity SQL injection flaw in WordPress Link functionality, which likely impacts older installations.
## Information:

+ Link: https://www.securityweek.com/wordpress-602-patches-vulnerability-could-impact-millions-legacy-sites
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 31 August 2022, 12:00
+ Date scraped: 31 August 2022, 12:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Identified in the WordPress Link functionality, previously known as ‘Bookmarks’, the issue only impacts older installations, as the capability is disabled by default on new installations.


However, the functionality might still be enabled on millions of legacy WordPress sites even if they are running newer versions of the CMS, the Wordfence team at WordPress security company Defiant says.


With a CVSS score of 8.0, [the security flaw](https://www.wordfence.com/blog/2022/08/wordpress-core-6-0-2-security-maintenance-release-what-you-need-to-know/) requires administrative privileges and is not easy to exploit in default configurations, but there might be plugins or themes that allow it to be triggered by users with lower privileges (such as editor-level and below), Wordfence says.


“Vulnerable versions of WordPress failed to successfully sanitize the limit argument of the link retrieval query in the get\_bookmarks function, used to ensure that only a certain number of links were returned,” Wordfence explains.


In the default configuration, only the Links legacy widget calls the function in such a manner that the user can set the limit argument. However, due to safeguards in legacy widgets, the vulnerability is nontrivial to exploit.


Both of the two remaining vulnerabilities addressed in Wordpress 6.0.2 are medium-severity cross-site scripting (XSS) bugs caused by the use of the ‘the\_meta’ function and by plugin deactivation and deletion errors.


Successful exploitation of these vulnerabilities could lead to the execution of either scripts injected in post meta keys and values, or JavaScript code in the messages displayed when plugins are deactivated or deleted due to an error.


Website administrators are advised to update to [WordPress 6.0.2](https://wordpress.org/news/2022/08/wordpress-6-0-2-security-and-maintenance-release/) as soon as possible (the update is being automatically delivered to sites that support background updates). The patches have been backported to WordPress 3.7 and newer versions, the WordPress team notes.





 


## Tags:


### Autogenerated tags:
wordpress wordfence
