# WordPress Security Update 6.0.3 Patches 16 Vulnerabilities
## The WordPress 6.0.3 security release patches 16 vulnerabilities, including several issues with a high severity rating.
## Information:

+ Link: https://www.securityweek.com/wordpress-security-update-603-patches-16-vulnerabilities
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 19 October 2022, 12:00
+ Date scraped: 19 October 2022, 12:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


[WordPress 6.0.3](https://wordpress.org/news/2022/10/wordpress-6-0-3-security-release/) fixes nine stored and reflected cross-site scripting (XSS) vulnerabilities, as well as open redirect, data exposure, cross-site request forgery (CSRF), and SQL injection flaws.


WordPress security company Defiant has shared a [description of each vulnerability](https://www.wordfence.com/blog/2022/10/patch-now-the-wordpress-6-0-3-security-update-contains-important-fixes/). Four of them have a ‘high severity’ rating, and the rest have ‘medium’ or ‘low’ severity.


“We have determined that these vulnerabilities are unlikely to be seen as mass exploits but several of them could offer a way for skilled attackers to exploit high-value sites using targeted attacks,” the company warned.


One of the high-severity vulnerabilities is a stored XSS issue that can be exploited by a user who can submit posts to a website via email to inject malicious JavaScript code into posts. The code would get executed when the malicious post is accessed.


Another high-severity flaw is a reflected XSS that can be exploited for arbitrary code execution by an unauthenticated attacker via a specially crafted search query in the media library. Exploitation requires user interaction and creating a payload is not easy, but Defiant believes this could be the most exploitable vulnerability in this release due to the attacker not needing to be authenticated.


The third high-severity issue is a SQL injection that could be exploited by a third-party plugin or theme — the WordPress core itself is not affected.


The last severe issue is a CSRF bug that can be leveraged by an unauthenticated attacker to trigger a trackback on behalf of a legitimate user, but social engineering is required for successful exploitation.


WordPress websites that support automatic background updates will be patched automatically. The next major release is version 6.1, planned for November 1.


According to [Sucuri’s Website Threat Research Report for 2021](https://sucuri.net/wp-content/uploads/2022/04/sucuri-2021-hacked-report.pdf), WordPress websites accounted for more than 95% of CMS infections, and roughly one-third of the sites on which the cybersecurity firm detected a credit card skimmer were running WordPress.






 


## Tags:


### Autogenerated tags:
wordpress xss high-severity
