# Chrome Vulnerability Alert: Google’s Rapid Response to 6th Zero-Day Exploit
## A new Google Chrome vulnerability has been uncovered and exploited, marking the sixth zero-day incident in 2024 alone. In response,
## Information:

+ Link: https://thecyberexpress.com/new-google-chrome-vulnerability/
+ Source: The Cyber Express
+ Author: Ashish Khaitan
+ Date published: 15 May 2024, 07:57
+ Date scraped: 15 May 2024, 09:01

## Article:
![Main article image](https://cf276dd8.rocketcdn.me/wp-content/uploads/Chrome-vulnerability-e1715758831343.webp)


A new Google Chrome vulnerability has been uncovered and exploited, marking the sixth zero-day incident in 2024 alone. In response, Google swiftly released an emergency update to patch the issue.


This latest Chrome vulnerability, identified as CVE-2024-4761, targets [Chrome’s V8 JavaScript engine](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_13.html), a crucial component responsible for executing JavaScript code within the browser. 


### Decoding the New Google Chrome Vulnerability


Specifically, the flaw involves an out-of-bounds write problem, a type of issue where a program oversteps its designated memory boundaries, potentially leading to unauthorized [data](https://thecyberexpress.com/what-is-data/) access or even arbitrary code execution.


Google acted promptly upon becoming aware of the exploit, rolling out updates to address the [vulnerability](https://thecyberexpress.com/ups-management-vulnerability/) across different platforms, including Mac, Windows, and Linux. 


While the fix is being progressively deployed to users worldwide, those keen on ensuring their safety can manually check for updates by navigating to Settings > About Chrome and initiating the update process.


This Chrome vulnerability follows closely on the heels of another [zero-day exploit](https://thecyberexpress.com/ios-imessage-vulnerability/), CVE-2024-4671, which Google addressed just days prior. This recurrent pattern highlights the shift in vulnerability management where the most secure products are facing crises due to active exploitation by ransomware groups and [dark web](https://en.wikipedia.org/wiki/Dark_web) actors.


### Multiple Zero-day Chrome Vulnerabilities


Notably, Google has refrained from divulging specific details regarding the exploits, a common practice aimed at preventing further exploitation until a majority of users have applied the necessary patches. Despite the lack of explicit details, the severity of these [Google Chrome vulnerabilities](https://thecyberexpress.com/critical-high-google-chrome-vulnerabilities/) is apparent, with Google’s designation of an “emergency patch” signaling the urgency of the matter.


The string of zero-day [vulnerabilities](https://thecyberexpress.com/what-are-vulnerabilities/) identified in 2024 highlights the persistent efforts of threat actors to exploit weaknesses in popular software like Google Chrome. From out-of-bounds memory access to use-after-free issues, these vulnerabilities represent various avenues through which attackers can compromise user security.


Several critical vulnerabilities have been identified in Google Chrome throughout the year 2024. These include [CVE-2024-0519](https://nvd.nist.gov/vuln/detail/cve-2024-0519), an out-of-bounds memory access issue in the Chrome JavaScript engine discovered in January. 


In March, CVE-2024-2887, a type confusion flaw in WebAssembly, was demonstrated by Manfred Paul during Pwn2Own 2024, alongside CVE-2024-2886, a use-after-free problem in WebCodecs, highlighted by Seunghyun Lee.


Additionally, CVE-2024-3159, another out-of-bounds memory access flaw in the V8 JavaScript engine, was showcased by Edouard Bochin and Tao Yan of Palo Alto Networks during the same event.


Finally, in May, CVE-2024-4671, a use-after-free issue within the Visuals component, was uncovered, further emphasizing the ongoing challenges in securing the [Chrome browser](https://thecyberexpress.com/google-patches-critical-rce-bug-chrome-browser/) against various vulnerabilities.


*Media Disclaimer: This report is based on internal and external research obtained through various means. The information provided is for reference purposes only, and users bear full responsibility for their reliance on it. [The Cyber Express](https://thecyberexpress.com/) assumes no liability for the accuracy or consequences of using this information.*





## Tags:
***CVE's***: CVE-2024-2886 CVE-2024-2887 CVE-2024-4671 CVE-2024-3159 CVE-2024-0519 CVE-2024-4761

### Autogenerated tags:
google zero-day javascript out-of-bounds use-after-free
