# Uncovering AutoSpill: A New Android Vulnerability in Mobile Password Manager
## The culmination of Black Hat Europe 2023 gathered leading industry professionals and researchers, offering forefront cybersecurity insights. A standout briefing
## Information:

+ Link: https://thecyberexpress.com/autospill-vulnerability/
+ Source: The Cyber Express
+ Author: Ashish Khaitan
+ Date published: 07 December 2023, 05:39
+ Date scraped: 07 December 2023, 08:02

## Article:
![Main article image](https://i0.wp.com/thecyberexpress.com/wp-content/uploads/2023/12/shutterstock_1735971605-e1701926722715.jpg?fit=1000%2C640&ssl=1)


The culmination of Black Hat Europe 2023 gathered leading industry professionals and researchers, offering forefront cybersecurity insights.


A standout briefing featured the unveiling of “AutoSpill: Zero Effort Credential Stealing from Mobile Password Managers” by Ankit Gangwal, Shubham Singh, and Abhijeet Srivastava.


Here is a simplified version of the AutoSpill mobile password manager vulnerability, focusing on the potential exploit, detection techniques, and solutions for Android users.


What is AutoSpill Vulnerability and How Does it Work?
-----------------------------------------------------


![AutoSpill Vulnerability](https://i0.wp.com/thecyberexpress.com/wp-content/uploads/2023/12/Screenshot-Capture-2023-12-07-10-40-08.png?resize=570%2C302&ssl=1)Source: Black Hat Europe 2023


The researchers shed light on a prevalent scenario where a web page is loaded into a mobile app using WebView controls. WebView, the preinstalled engine from Google, allows developers to display web content in-app without launching a [web browser](https://thecyberexpress.com/variston-exploits-vulnerabilities-web-browsers/).


 In their study, the researchers [identified a vulnerability](https://i.blackhat.com/EU-23/Presentations/EU-23-Gangwal-AutoSpill-Zero-Effort-Credential-Stealing.pdf?_gl=1*1dfpfte*_gcl_au*MTUyMDU1MTgwNy4xNzAxOTIzMjM5*_ga*ODEyMTkyMTYxLjE3MDE5MjMyNDE.*_ga_K4JK67TFYV*MTcwMTkyMzI0MS4xLjAuMTcwMTkyMzI0MS4wLjAuMA..&_ga=2.206594263.55682717.1701923241-812192161.1701923241) in Android password managers during autofill operations on login pages loaded inside an app.


The AutoSpill vulnerability arises when Android apps load a login page in WebView, causing [password managers](https://thecyberexpress.com/ducktail-malware-used-on-hr-marketing-managers/) to become “disoriented” about where to target user login information. This results in the exposure of credentials to the underlying app’s native fields. 


The researchers discovered that the majority of top Android password managers were vulnerable to AutoSpill, even without [JavaScript](https://thecyberexpress.com/critical-security-flaw-javascript-library-vm2/) injections. Enabling JavaScript injections exacerbated the issue, making all tested password managers susceptible to the [vulnerability](https://thecyberexpress.com/cisa-cybersecurity-advisory/).


Implications and Ramifications for AutoSpill Vulnerability
----------------------------------------------------------


Ankit Gangwal emphasized the ramifications of this vulnerability, particularly in scenarios involving malicious base apps. He pointed out that even without [phishing](https://thecyberexpress.com/booking-cyberattack-crisis/), a malicious app requesting login via third-party sites like Google or [Facebook](https://thecyberexpress.com/nodestealer-malware-malvertising-campaigns/) could automatically access sensitive information.


The researchers tested popular password managers, including 1Password, LastPass, Keeper, and Enpass, on up-to-date Android devices.


Their findings revealed that most apps were vulnerable to credential leakage, even with JavaScript injection disabled. Enabling JavaScript injections exacerbated the vulnerability across all tested password managers.


Upon discovering the AutoSpill vulnerability, Gangwal responsibly disclosed their findings to both the affected password managers and the Android security team. The affected parties acknowledged the validity of the issue, and measures were taken to address the vulnerability.


The AutoSpill vulnerability highlights the potential risks associated with Android password managers during autofill operations.


The responsible disclosure of vulnerabilities ensures a proactive approach to safeguarding user data and maintaining the integrity of password management systems.


*Media Disclaimer: This report is based on internal and external research obtained through various means. The information provided is for reference purposes only, and users bear full responsibility for their reliance on it. [The Cyber Express](https://thecyberexpress.com/) assumes no liability for the accuracy or consequences of using this information.*





## Tags:


### Autogenerated tags:
autospill android javascript gangwal webview apps
