# Unmasking New Year-themed Spam Emails: A Closer Look at the Remcos RAT Connection
## As the New Year festivities unfold, cyber threats take on a deceptive facade, with malicious actors exploiting the celebratory spirit
## Information:

+ Link: https://thecyberexpress.com/new-year-themed-spam-emails-rises/
+ Source: The Cyber Express
+ Author: Ashish Khaitan
+ Date published: 06 January 2024, 08:32
+ Date scraped: 06 January 2024, 12:05

## Article:
![Main article image](https://i0.wp.com/thecyberexpress.com/wp-content/uploads/2024/01/shutterstock_2101914352.jpg?fit=1000%2C638&ssl=1)


As the New Year festivities unfold, cyber threats take on a deceptive facade, with malicious actors exploiting the celebratory spirit to spread malware through carefully disguised spam emails.


In a recent report by Cyble Research and Intelligence Labs (CRIL), a multi-stage malware campaign linked to Remcos RAT raises concerns about the potential infiltration of systems through New Year themed spam emails.


![Unmasking New Year-themed Spam Emails: A Closer Look at the Remcos RAT Connection](https://i0.wp.com/cyble.com/wp-content/uploads/2024/01/Figure-2-Shortcut-file-masqueraded-as-PNG-inside-the-ZIP-archive.jpg?resize=401%2C246&ssl=1)(Source: Cyble)


CRIL came across a ZIP archive file named “happy new year.zip” on VirusTotal, pointing towards a possible delivery mechanism through New Year themed spam emails.


The ZIP attachment, seemingly harmless at first glance, conceals a shortcut file masquerading as a PNG image.


Once executed, the shortcut file utilizes MSHTA and JavaScript to initiate a download, presenting the user with a deceptive “Happy New Year” image to divert attention.


![Unmasking New Year-themed Spam Emails: A Closer Look at the Remcos RAT Connection](https://i0.wp.com/cyble.com/wp-content/uploads/2024/01/Figure-3-Target-command-line-of-the-Shortcut-file.jpg?ssl=1)


### New Year themed Spam Emails and the Remcos RAT Connection


![New Year themed Spam Email](https://i0.wp.com/cyble.com/wp-content/uploads/2024/01/Figure-1-Overall-infection-chain-2-1024x417.jpg?resize=1024%2C417&ssl=1)Source: Cyble


Digging deeper, [CRIL](https://cyble.com/blog/festive-facade-dissecting-multi-stage-malware-in-new-year-themed-lure/) uncovered a noteworthy detail – the IP address associated with this new year themed [spam email campaign](https://thecyberexpress.com/halloween-email-scams-how-to-stay-safe-online/) was previously linked to the notorious Remcos RAT. 


Known for its remote access and surveillance capabilities, Remcos RAT has become a favored tool among threat actors for orchestrating malicious campaigns.


This particular campaign employs a sophisticated [social engineering technique](https://thecyberexpress.com/social-engineering-in-the-age-of-ai/), capitalizing on global trends. Victims receive a phishing email, seemingly offering information on [COVID-19 safety](https://thecyberexpress.com/who-data-breach-announcement/) measures or [New Year celebration](https://thecyberexpress.com/cybersecurity-during-holiday-season/) deals. 


However, the attached PDF is a cleverly disguised REMCOS RAT dropper, accompanied by a VBS file for malware execution. The malware ensures persistence by adding a Startup registry key, ensuring it remains active even after a system restart.


The Remcos RAT, upon infiltration, demonstrates concerning activities such as [evading antivirus detection](https://thecyberexpress.com/evading-antivirus-rise-of-phishing-html-files/), establishing persistence on the target system, operating as a legitimate process within Windows processes, acquiring admin privileges, and disabling user account control (UAC). Its capabilities encompass data theft, execution of backdoor commands, and the potential for compromising both [system security](https://thecyberexpress.com/cyberattack-on-chinese-government-states-mss/) and [user privacy](https://thecyberexpress.com/cyberattack-on-london-public-library/).


### Understanding the Remcos RAT Infection Chain


![DLL Sideloading](https://i0.wp.com/cyble.com/wp-content/uploads/2024/01/Figure-12-DLL-sideloading-1024x595.jpg?resize=1024%2C595&ssl=1)Source: Cyble


The infection chain unfolds with a deceptive lure image in a spam email, leading to the execution of a multi-stage process involving ZIP, LNK, HTA, and [DLL sideloading](https://thecyberexpress.com/what-is-dll-sideloading-explained/). 


The user is misled into believing they are merely opening a harmless image file while, in reality, a [malicious payload](https://thecyberexpress.com/internet-traffic-hacking-exploit-platforms/) is silently downloaded and executed in the background.


The technical analysis reveals the intricacies of the malware’s execution, from the initial ZIP archive to the final connection with the Command and Control (C&C) server.


The disguised PNG file, the HTA file, and the subsequent DLL sideloading all contribute to the malware’s stealthy progression.


Since the New Year brings a lot of celebration into our lives, the digital world is not immune to malicious actors exploiting celebratory themes for their nefarious deeds. Remcos RAT’s involvement in this New Year themed malware campaign highlights the evolving nature of dark web markets — especially associated with the sale and promotion of malware, trojans, RATs, and [Ransomware as a Service (RaaS)](https://thecyberexpress.com/noescape-ransomware-as-a-service-raas-threat/) products. 


*Media Disclaimer: This report is based on internal and external research obtained through various means. The information provided is for reference purposes only, and users bear full responsibility for their reliance on it. [The Cyber Express](https://thecyberexpress.com/) assumes no liability for the accuracy or consequences of using this information.*





## Tags:


### Autogenerated tags:
malware remcos emails cyble cril
