# 48 Malicious npm Packages Found Deploying Reverse Shells on Developer Systems
## 48 malicious npm packages discovered. They can secretly compromise your system with a reverse shell.
## Information:

+ Link: https://thehackernews.com/2023/11/48-malicious-npm-packages-found.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 03 November 2023, 11:33
+ Date scraped: 03 November 2023, 07:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhZfdgOr2z2cbMKCyoiegHFFtYGgjmvu11-My3q5oq3T60qnMIPh-JVFoxCsgDyW9FRmNFauL7HaMCFkH9zQgEasrdFjcn9w3-7ZoIOvg4ve9djqKjuW_A0Qh3XHKEETAe7any_gW2ZhNIK4kvQcuvygFEWrL2kWxWcVv9i7W5TsH7zBwMSKtrsZPUD69xy/s728-rw-ft-e30/trojan.jpg)


A new set of 48 malicious npm packages have been discovered in the npm repository with capabilities to deploy a reverse shell on compromised systems.


"These packages, deceptively named to appear legitimate, contained obfuscated JavaScript designed to initiate a reverse shell on package install," software supply chain security firm Phylum [said](https://blog.phylum.io/dozens-of-npm-packages-caught-attempting-to-deploy-reverse-shell/).


All the counterfeit packages have been published by an npm user named [hktalent](https://www.npmjs.com/~hktalent) ([GitHub](https://github.com/hktalent/), [X](https://twitter.com/Hktalent3135773)). As of writing, 39 of the packages uploaded by the author are still available for download.


The attack chain is triggered post the installation of the package via an install hook in the package.json that calls a JavaScript code to establish a [reverse shell](https://www.aquasec.com/cloud-native-academy/cloud-attacks/reverse-shell-attack/) to rsh.51pwn[.]com.


"In this particular case, the attacker published dozens of benign-sounding packages with several layers of obfuscation and deceptive tactics in an attempt to ultimately deploy a reverse shell on any machine that simply installs one of these packages," Phylum said.


[![npm Packages](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEghUNFQyfBGQg3smk7a7zhyphenhyphen2B8WFdR03WcLliJt0kyiIggSMSYqK03Ljmw2dqihUh9vNDs7gA13XlbQPQrIra4L71Vx-Yv-F_mKR9pjUsObL04znZsBPGvB1Mm1XzUtPqeiIxrfOvpu59V_SF6aApdbxp5DBbdEZ8T5QzTPX-KPL_SgsV1C36mf5KCowwO3/s728-rw-ft-e30/packages.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEghUNFQyfBGQg3smk7a7zhyphenhyphen2B8WFdR03WcLliJt0kyiIggSMSYqK03Ljmw2dqihUh9vNDs7gA13XlbQPQrIra4L71Vx-Yv-F_mKR9pjUsObL04znZsBPGvB1Mm1XzUtPqeiIxrfOvpu59V_SF6aApdbxp5DBbdEZ8T5QzTPX-KPL_SgsV1C36mf5KCowwO3/s728-rw-ft-e30/packages.jpg)
The findings arrive close on the heels of revelations that two packages published to the Python Package Index (PyPI) under the garb of simplifying internationalization incorporated malicious code designed to siphon sensitive Telegram Desktop application data and system information.


The packages, named localization-utils and locute, were found to retrieve the final payload from a dynamically generated Pastebin URL and exfiltrate the information to an actor-controlled Telegram channel.


The development highlights the increasing interest of threat actors in open-source environments, which allows them to set up impactful supply chain attacks that can target several downstream customers all at once.


"These packages show a dedicated and elaborate effort to avoid detection via static analysis and visual inspection by employing a variety of obfuscation techniques," Phylum [said](https://blog.phylum.io/obfuscated-pypi-packages-purporting-to-be-i18n-libraries-actually-stealing-telegram-data/), adding they "serve as yet another stark reminder of the critical nature of dependency trust in our open-source ecosystems."



  





## Tags:
***urls***: http://rsh.51pwn.com

### Autogenerated tags:
npm
