# Alert: New WailingCrab Malware Loader Spreading via Shipping-Themed Emails
## New Malware Alert: WailingCrab, a sophisticated loader, is spreading via shipping-themed email messages.
## Information:

+ Link: https://thehackernews.com/2023/11/alert-new-wailingcrab-malware-loader.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 23 November 2023, 18:24
+ Date scraped: 23 November 2023, 13:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgL8sUFwjVzm9bZC_wfUUR8PO5dtWH-7jSBfewuLqJ7XfCQXCZrxTctE1YSy0MVpGF9SL1s6lrE0IJUdeTRDHyGdUOCiIhICxsUYGzHS2MnCEKAVqaFchQwsZscSvBB4xNbHrivJ-BIMJYcD8ncVhfOqmo97B738BwBwOofVdYNIHFDUrCVHUkYABFbB4Po/s728-rw-ft-e30/email.jpg)


Delivery- and shipping-themed email messages are being used to deliver a sophisticated malware loader known as **WailingCrab**.


"The malware itself is split into multiple components, including a loader, injector, downloader and backdoor, and successful requests to C2-controlled servers are often necessary to retrieve the next stage," IBM X-Force researchers Charlotte Hammond, Ole Villadsen, and Kat Metrick [said](https://securityintelligence.com/x-force/wailingcrab-malware-misues-mqtt-messaging-protocol/).


WailingCrab, also called WikiLoader, was [first documented](https://thehackernews.com/2023/08/cybercriminals-renting-wikiloader-to.html) by Proofpoint in August 2023, detailing campaigns targeting Italian organizations that used the malware to ultimately deploy the Ursnif (aka Gozi) trojan. It was spotted in the wild in late December 2022.


The malware is the handiwork of a threat actor known as TA544, which is also tracked as Bamboo Spider and Zeus Panda. IBM X-Force has named the cluster Hive0133.


Actively maintained by its operators, the malware has been observed incorporating features that prioritize stealth and allows it to resist analysis efforts. To further lower the chances of detection, legitimate, hacked websites are used for initial command-and-control (C2) communications.


What's more, components of the malware are stored on well-known platforms such as Discord. Another noteworthy change to the malware since mid-2023 is the use of [MQTT](https://mqtt.org/), a lightweight messaging protocol for small sensors and mobile devices, for C2.


The protocol is something of a rarity in the threat landscape, with it put to use only in a few instances, as observed in the case of [Tizi](https://thehackernews.com/2017/11/android-spying-app.html) and [MQsTTang](https://thehackernews.com/2023/03/chinese-hackers-targeting-european.html) in the past.


The attack chains commence with emails bearing PDF attachments containing URLs that, when clicked, download a JavaScript file designed to retrieve and launch the WailingCrab loader hosted on Discord.


The loader is responsible for launching the next-stage shellcode, an injector module that, in turn, kick-starts the execution of a downloader to deploy the backdoor ultimately.


"In prior versions, this component would download the backdoor, which would be hosted as an attachment on the Discord CDN," the researchers said.


"However, the latest version of WailingCrab already contains the backdoor component encrypted with AES, and it instead reaches out to its C2 to download a decryption key to decrypt the backdoor."


The backdoor, which acts as the malware's core, is designed to establish persistence on the infected host and contact the C2 server using the MQTT protocol to receive additional payloads.


On top of that, newer variants of the backdoor eschew a Discord-based download path in favor of a shellcode-based payload directly from the C2 via MQTT.


"The move to using the MQTT protocol by WailingCrab represents a focused effort on stealth and detection evasion," the researchers concluded. "The newer variants of WailingCrab also remove the callouts to Discord for retrieving payloads, further increasing its stealthiness."


"Discord has become an [increasingly common choice](https://thehackernews.com/2023/10/discord-playground-for-nation-state.html) for threat actors looking to host malware, and as such it is likely that file downloads from the domain will start coming under higher levels of scrutiny. Therefore, it is not surprising that the developers of WailingCrab decided on an alternative approach."


The abuse of Discord's content delivery network (CDN) for distributing malware hasn't gone unnoticed by the social media company, which [told](https://www.bleepingcomputer.com/news/security/discord-will-switch-to-temporary-file-links-to-block-malware-delivery/) Bleeping Computer earlier this month that it will switch to temporary file links by the end of the year.


  





## Tags:


### Autogenerated tags:
malware wailingcrab c2 mqtt
