# Alert: Water Curupira Hackers Actively Distributing PikaBot Loader Malware
## Beware of Water Curupira! This threat actor is spreading PikaBot, more than a malware loader – it's a gateway to ransomware attacks.
## Information:

+ Link: https://thehackernews.com/2024/01/alert-water-curupira-hackers-actively.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 09 January 2024, 21:31
+ Date scraped: 09 January 2024, 17:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjeg7mZG0sx7sSW7zzyVlfIavSINuEDJwrQuJS9HEM637m-LnE7on8FdvG6dSZhPnZjmEJFeXVbNX3IRBQB2H-_155vupfnpK_cGANO218mzoZYm-KUkMPQ_9YpaP3Tf7a89Wj7cbp7ELdc6b2Rm401Vk4aTxUuK_gFacwPGKIDr-evq3k6ZF9FaxrzXaxB/s728-rw-ft-e30/hacking.jpg)


A threat actor called Water Curupira has been observed actively distributing the **PikaBot** loader malware as part of spam campaigns in 2023.


"PikaBot's operators ran phishing campaigns, targeting victims via its two components — a loader and a core module — which enabled unauthorized remote access and allowed the execution of arbitrary commands through an established connection with their command-and-control (C&C) server," Trend Micro [said](https://www.trendmicro.com/en_us/research/24/a/a-look-into-pikabot-spam-wave-campaign.html) in a report published today.


The activity began in the first quarter of 2023 that lasted till the end of June, before ramping up again in September. It also overlaps with [prior campaigns](https://thehackernews.com/2023/11/darkgate-and-pikabot-malware-resurrect.html) that have used similar tactics to deliver QakBot, specifically those [orchestrated](https://thehackernews.com/2023/12/new-malvertising-campaign-distributing.html) by [cybercrime groups](https://thehackernews.com/2023/12/decoy-microsoft-word-documents-used-to.html) known as TA571 and TA577.


It's believed that the increase in the number of phishing campaigns related to PikaBot is the result of QakBot's takedown in August, with DarkGate emerging as another replacement.


PikaBot is primarily a loader, which means it's designed to launch another payload, including Cobalt Strike, a legitimate post-exploitation toolkit that typically acts as a precursor for ransomware deployment.


The attack chains leverage a technique called [email thread hijacking](https://unit42.paloaltonetworks.com/emotet-thread-hijacking/), employing existing email threads to trick recipients into opening malicious links or attachments, effectively activating the malware execution sequence.


The ZIP archive attachments, which either contain JavaScript or IMG files, are used as a launchpad for PikaBot. The malware, for its part, checks the system's language and halts execution should it be either Russian or Ukrainian.


In the next step, it collects details about the victim's system and forwards them to a C&C server in JSON format. Water Curupira's campaigns are for the purpose of dropping Cobalt Strike, which subsequently lead to the deployment of Black Basta ransomware.


"The threat actor also conducted several DarkGate spam campaigns and a small number of IcedID campaigns during the early weeks of the third quarter of 2023, but has since pivoted exclusively to PikaBot," Trend Micro said.


  





## Tags:


### Autogenerated tags:
pikabot malware
