# Asylum Ambuscade: A Cybercrime Group with Espionage Ambitions
## Asylum Ambuscade: Elusive threat actor bridging cybercrime and cyber espionage, targeting banks, cryptocurrency traders, and government entities.
## Information:

+ Link: https://thehackernews.com/2023/06/asylum-ambuscade-cybercrime-group-with.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 June 2023, 19:07
+ Date scraped: 09 June 2023, 14:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEido8u6GqZ98D8le5-jvCFZf7oTbyUDpBVCtJJ-aAhM6YzaxKMxxG8WjsImP_81yZbxVG0zWOpr4I6RvUcPJZ_o4GHZ930oB9ikVkOgiwVEbKIFDsUKnkhX7_9VfJk_6WeTDDHlfo36D7-sW6Wg6Z1Xp27MBtKzEBzVX5ufchx_4j9gUztfCQASBzJA/s728-e3650/hacker-.jpg)


The threat actor known as **Asylum Ambuscade** has been observed straddling cybercrime and cyber espionage operations since at least early 2020.


"It is a crimeware group that targets bank customers and cryptocurrency traders in various regions, including North America and Europe," ESET [said](https://www.welivesecurity.com/2023/06/08/asylum-ambuscade-crimeware-or-cyberespionage/) in an analysis published Thursday. "Asylum Ambuscade also does espionage against government entities in Europe and Central Asia."


Asylum Ambuscade was [first documented](https://thehackernews.com/2022/03/hackers-try-to-hack-european-officials.html) by Proofpoint in March 2022 as a nation-state-sponsored phishing campaign that targeted European governmental entities in an attempt to obtain intelligence on refugee and supply movement in the region.


The goal of the attackers, per the Slovak cybersecurity firm, is to siphon confidential information and web email credentials from official government email portals.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-2)
The attacks start off with a spear-phishing email bearing a malicious Excel spreadsheet attachment that, when opened, either exploits VBA code or the Follina vulnerability ([CVE-2022-30190](https://thehackernews.com/2023/05/xworm-malware-exploits-follina.html)) to download an MSI package from a remote server.


The installer, for its part, deploys a downloader written in Lua called SunSeed (or its Visual Basic Script equivalent) that, in turn, retrieves an AutoHotkey-based malware known as AHK Bot from a remote server.


What's notable about Asylum Ambuscade is its cybercrime spree that has claimed over 4,500 victims across the world since January 2022, with a majority of them located in North America, Asia, Africa, Europe, and South America.


[![Cyber Attack](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhD9rHPkfZV5rslcZvYm6hgZ3Lk4qOIRniY6qUBUV8Y12zEbBLztFeew8CseNEhk_KGvme7kJGTF1drnbaDIDvVdJYgNMumpURP0hyHGAGEzJ1HqvHW-da0FChM7HiNMbz2h5GNPW_qR-14O4AYrHTyPYP99N5E1o4nNb7iSYimyfxd36FH5NjS5t5N/s728-e365/cyber.jpg)
"The targeting is very wide and mostly includes individuals, cryptocurrency traders, and small and medium businesses (SMBs) in various verticals," ESET researcher Matthieu Faou said.


While one aspect of the attacks is designed to steal cryptocurrency, the targeting of SMBs is likely an attempt to monetize the access by selling it to other cybercriminal groups for illicit profits.


The compromise chain follows a similar pattern barring the initial intrusion vector, which entails the use of a rogue Google Ad or a traffic direction system (TDS) to redirect potential victims to a bogus website delivering a malware-laced JavaScript file.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Attend for Free](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
The attacks have also made use of a Node.js version of AHK Bot codenamed NODEBOT that's then used to download plugins responsible for taking screenshots, plundering passwords, gathering system information, and installing additional trojans and stealers.


Given the almost identical attack chains across cybercrime and espionage efforts, it's suspected that "Asylum Ambuscade is a cybercrime group that is doing some cyber espionage on the side."


The overlaps also extend to another activity cluster dubbed [Screentime](https://thehackernews.com/2023/02/hackers-targeting-us-and-german-firms.html) that's known to target companies in the U.S. and Germany with bespoke malware designed to steal confidential information. Proofpoint is tracking the threat actor under the name TA866.


"It is quite unusual to catch a cybercrime group running dedicated cyberespionage operations," Faou said, making it somewhat of a rarity in the threat landscape.


  





## Tags:
***CVE's***: CVE-2022-30190

### Autogenerated tags:
cybercrime
