# Australian Healthcare Sector Targeted in Latest Gootkit Malware Attacks
## Australian medical institutions at risk of Gootkit malware attack through legitimate tools.
## Information:

+ Link: https://thehackernews.com/2023/01/australian-healthcare-sector-targeted.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 11 January 2023, 14:24
+ Date scraped: 11 January 2023, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiIvlIlqvBU89ksj7hB0C_77fduqmoRDNsoIjRnDaQO4Romd0c7xZAWvVz90dS2AxXT6JCfucoJGlX_fpp6gtTde-SNY9fTpzpr4KEFQu9pyBmek5uPj1WbQAfujdBnVj0stgRAVdw8-tBs70n_BrfRI-YupbTr9EmtaqkdV1TiAA-RYB2R2xREDsrb/s728-rj-e3650/google.png)


A wave of Gootkit malware loader attacks has targeted the Australian healthcare sector by leveraging legitimate tools like VLC Media Player.


[Gootkit](https://thehackernews.com/2022/07/gootkit-loader-resurfaces-with-updated.html), also called Gootloader, is [known](https://securelist.com/gootkit-the-cautious-trojan/102731/) to [employ](https://redcanary.com/blog/gootloader/) search engine optimization (SEO) poisoning tactics (aka spamdexing) for initial access. It typically works by compromising and abusing legitimate infrastructure and seeding those sites with common keywords.


Like other malware of its kind, Gootkit is capable of stealing data from the browser, performing adversary-in-the-browser (AitB) attacks, keylogging, taking screenshots, and other malicious actions.


Trend Micro's [new findings](https://www.trendmicro.com/en_us/research/23/a/gootkit-loader-actively-targets-the-australian-healthcare-indust.html) reveal that the keywords "hospital," "health," "medical," and "enterprise agreement" have been paired with various city names in Australia, marking an malware's expansion beyond accounting and law firms.


The starting point of the cyber assault is to direct users searching for the same keywords to an infected WordPress blog that tricks them into downloading malware-laced ZIP files.


"Upon accessing the site, the user is presented with a screen that has been made to look like a legitimate forum," Trend Micro researchers said. "Users are led to access the link so that the malicious ZIP file can be downloaded."


[![Gootkit Malware Attacks](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhCyE0oHGNcRo5GyTz-a6yIg_pRHGEI2aoiSOmkcu-VmxG_vGy-LuwZEzwS1zkx480cw3imZ79imgb8lR6H7ZqCqb4eRmUHSh2Hv7xglJK8kB3AFdMKmyInSqF5zyVHmDczNe7KIxPJHtW4gTMBbxjmqmJuKbNS3Ep09NtlIFqwZHr94NmJlZA5rHNT/s728-rj-e365/malware.png)
What's more, the JavaScript code that's used to pull off this trickery is injected into a valid JavaScript file at random sections on the breached website.


The downloaded ZIP archive, for its part, also contains a JavaScript file that, upon execution, not only employs obfuscation to evade analysis, but is further used to establish persistence on the machine by means of a scheduled task.


The execution chain subsequently leads to a PowerShell script that's designed to retrieve files from a remote server for post-exploitation activity, which commences only after a waiting period that ranges from a couple of hours to as long as two days.

 "This latency, which clearly separates the initial infection stage from the second stage, is a distinctive feature of Gootkit loader's operation," the researchers said.


Once the wait time elapses, two additional payloads are dropped – msdtc.exe and libvlc.dll – the former of which is a legitimate VLC Media Player binary that's used to load the Cobalt Strike DLL component, followed by downloading more tools to facilitate discovery.


"The malicious actors behind [Gootkit] are actively implementing their campaign," the researchers said. "The threats targeting specific job sectors, industries, and geographic areas are becoming more aggressive."


  





## Tags:


### Autogenerated tags:
gootkit malware javascript
