# Balada Injector Infects Over 7,100 WordPress Sites Using Plugin Vulnerability
## Over 7,100 WordPress sites have been hit by the 'Balada Injector' malware, which exploits sites using a vulnerable version of the Popup Builder plugin
## Information:

+ Link: https://thehackernews.com/2024/01/balada-injector-infects-over-7100.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 15 January 2024, 13:15
+ Date scraped: 15 January 2024, 08:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEguF4DxsnKC7J1KvOVg_1wxksLXAxE1LlJXoqMHUgSLEBzoTxLOii2rYxX_PIHmU-qDPqVENsdPvLHjiU-k7R85FiGHfVQHbPCpjPzwCSTW_fV6NuK74tx_J_sOcIGsXGBGp6aufbslfAwWwiCEUAAm4LP5FJsabAFiYWU731rIk5t2-2mWVYonYPIzrjaD/s728-rw-ft-e30/wordpress.jpg)


Thousands of WordPress sites using a vulnerable version of the Popup Builder plugin have been compromised with a malware called **Balada Injector**.


First [documented](https://thehackernews.com/2023/01/wordpress-security-alert-new-linux.html) by Doctor Web in January 2023, the campaign takes place in a series of periodic attack waves, weaponizing security flaws WordPress plugins to inject backdoor designed to redirect visitors of infected sites to bogus tech support pages, fraudulent lottery wins, and push notification scams.


Subsequent [findings](https://thehackernews.com/2023/04/over-1-million-wordpress-sites-infected.html) unearthed by Sucuri have revealed the [massive scale of the operation](https://thehackernews.com/2023/10/over-17000-wordpress-sites-compromised.html), which is said to have been active since 2017 and infiltrated no less than 1 million sites since then.


The GoDaddy-owned website security company, which [detected](https://blog.sucuri.net/2024/01/thousands-of-sites-with-popup-builder-compromised-by-balada-injector.html) the latest Balada Injector activity on December 13, 2023, said it identified the injections on [over 7,100 sites](https://publicwww.com/websites/%22sgpbWillOpen%5C%22%2C+function%28e%29+%7Bif+%28e.detail.popupId%22+atob/).


These attacks take advantage of a high-severity flaw in Popup Builder ([CVE-2023-6000](https://nvd.nist.gov/vuln/detail/CVE-2023-6000), CVSS score: 8.8) – a plugin with [more than 200,000 active installs](https://wordpress.org/plugins/popup-builder/) – that was publicly disclosed by WPScan a day before. The issue was addressed in version 4.2.3.


"When successfully exploited, this vulnerability may let attackers perform any action the logged‑in administrator they targeted is allowed to do on the targeted site, including installing arbitrary plugins, and creating new rogue Administrator users," WPScan researcher Marc Montpas [said](https://wpscan.com/blog/stored-xss-fixed-in-popup-builder-4-2-3/).


The ultimate goal of the campaign is to insert a malicious JavaScript file hosted on specialcraftbox[.]com and use it to take control of the website and load additional JavaScript in order to facilitate malicious redirects.


Furthermore, the threat actors behind Balada Injector are known to establish persistent control over compromised sites by uploading backdoors, adding malicious plugins, and creating rogue blog administrators.


This is often accomplished by using the JavaScript injections to specifically target logged-in site administrators.


"The idea is when a blog administrator logs into a website, their browser contains cookies that allow them to do all their administrative tasks without having to authenticate themselves on every new page," Sucuri researcher Denis Sinegubko noted last year.


"So, if their browser loads a script that tries to emulate administrator activity, it will be able to do almost anything that can be done via the WordPress admin interface."


The new wave is no exception in that if logged-in admin cookies are detected, it weaponizes the elevated privileges to install and activate a rogue backdoor plugin ("wp-felody.php" or "Wp Felody") so as to fetch a second-stage payload from the aforementioned domain.


The payload, another backdoor, is saved under the name "sasas" to the [directory where temporary files are stored](https://www.php.net/manual/en/function.sys-get-temp-dir.php), and is then executed and deleted from disk.


"It checks up to three levels above the current directory, looking for the root directory of the current site and any other sites that may share the same server account," Sinegubko said.


"Then, in the detected site root directories, it modifies the wp-blog-header.php file to inject the same Balada JavaScript malware as was originally injected via the Popup Builder vulnerability."


  





## Tags:
***CVE's***: CVE-2023-6000
***urls***: http://specialcraftbox.com

### Autogenerated tags:
javascript wordpress popup plugin plugins website
