# Beware: Fake Browser Updates Deliver BitRAT and Lumma Stealer Malware
## Beware of fake browser updates! Cybercriminals are using this tactic to deliver dangerous malware like BitRAT and Lumma Stealer.
## Information:

+ Link: https://thehackernews.com/2024/06/beware-fake-browser-updates-deliver.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 03 June 2024, 09:21
+ Date scraped: 03 June 2024, 04:06

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiKynwA1Unlh255wogi4h-oo-kzjvh0GJgqXCXWyaNtqCacWG-fZG5lzs3pLZvQtK6Z6H4gbGt_kwJz_TXxtK0hcAgSNGchj4NfvNKqbh-yc3V22s0tVTek3Z25jSXeoEwXolUK3utctfix6CurMrtu2WsHfSZiTdFokED-acRbkSInHNFC8JHVO9S9fs1m/s728-rw-e365/browser.png)


Fake web browser updates are being used to deliver remote access trojans (RATs) and information stealer malware such as [BitRAT](https://thehackernews.com/2023/01/hackers-using-stolen-bank-information.html) and [Lumma Stealer](https://thehackernews.com/2023/11/lummac2-malware-deploys-new.html) (aka LummaC2).


"Fake browser updates have been responsible for numerous malware infections, including those of the well-known SocGholish malware," cybersecurity firm eSentire [said](https://www.esentire.com/blog/fake-browser-updates-delivering-bitrat-and-lumma-stealer) in a new report. "In April 2024, we observed [FakeBat](https://thehackernews.com/2024/01/atomic-stealer-gets-upgrade-targeting.html) being distributed via similar fake update mechanisms."


The attack chain commences when prospective targets visits a booby-trapped website that contains JavaScript code designed to redirect users to a bogus browser update page ("chatgpt-app[.]cloud").


The redirected web page comes embedded with a download link to a ZIP archive file ("Update.zip") that's hosted on Discord and downloaded automatically to the victim's device.


It's worth pointing out that threat actors often use Discord as an attack vector, with a [recent analysis](https://www.bitdefender.com/blog/hotforsecurity/discord-is-still-used-as-attack-vector-a-six-month-analysis-of-malicious-links-intercepted-by-chat-protection/) from Bitdefender uncovering more than 50,000 dangerous links distributing malware, phishing campaigns, and spam over the past six months.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEglCJRDD2a35JYAjdpTkjaOIHJmDIRAH-rFSsbNSz6yosGB0v4KxThK_X9HDjy1gY9Y6LZB4C0kJDEP0As22YRGxfWpoOMYd1YBQ95HvzJaZgYTIdfr5d63V_minp25ETG06NZQGkypFkBT1NSvKBfklJ7fU9utNwyawgSVkPsGLs8IfTr8UYToQDZpdW60/s728-e365/1p-d-v2.png)](https://thehackernews.uk/1p-d-v2)
Present within the ZIP archive file is another JavaScript file ("Update.js"), which triggers the execution of PowerShell scripts responsible for retrieving additional payloads, including BitRAT and Lumma Stealer, from a remote server in the form of PNG image files.


Also retrieved in this manner are PowerShell scripts to establish persistence and a .NET-based loader that's primarily used for launching the final-stage malware. eSentire postulated that the loader is likely advertised as a "malware delivery service" owing to the fact that the same loader is used to deploy both BitRAT and Lumma Stealer.


BitRAT is a feature-rich RAT that allows attackers to harvest data, mine cryptocurrency, download more binaries, and remotely commandeer the infected hosts. Lumma Stealer, a commodity stealer malware available for $250 to $1,000 per month since August 2022, offers the ability to capture information from web browsers, crypto wallets, and other sensitive details.


"The fake browser update lure has become common amongst attackers as a means of entry to a device or network," the company said, adding it "displays the operator's ability to leverage trusted names to maximize reach and impact."


While such attacks typically leverage drive-by downloads and malvertising techniques, ReliaQuest, in a report published last week, said it discovered a new variant of the [ClearFake campaign](https://thehackernews.com/2023/11/clearfake-campaign-expands-to-deliver.html) that tricks users into copying, pasting, and manually executing malicious PowerShell code under the pretext of a browser update.


Specifically, the malicious website claims that "something went wrong while displaying this webpage" and instructs the site visitor to install a root certificate to address the issue by following a series of steps, which involves copying obfuscated PowerShell code and running it in a PowerShell terminal.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh8LCFKC-KEmRVbvpsZWlKKTs7Zr3DiHdJWw6zoBIWYxeVk_bZuoWQUgQ9MCenMthuNIcUoxb6nOK0akfqaC6pzkjCfgsfkwd13_pgbk6FRkqYlg6Fosw8QuqouWSLzH35dkEnVZG69fIM7Z4KIiembOcrFCH13qo0JTgClvvC14xFHaUXPYeNP6CDOH_ff/s728-rw-e365/chrome.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh8LCFKC-KEmRVbvpsZWlKKTs7Zr3DiHdJWw6zoBIWYxeVk_bZuoWQUgQ9MCenMthuNIcUoxb6nOK0akfqaC6pzkjCfgsfkwd13_pgbk6FRkqYlg6Fosw8QuqouWSLzH35dkEnVZG69fIM7Z4KIiembOcrFCH13qo0JTgClvvC14xFHaUXPYeNP6CDOH_ff/s728-rw-e365/chrome.png)
"Upon execution, the PowerShell code performs multiple functions, including clearing the DNS cache, displaying a message box, downloading further PowerShell code, and installing 'LummaC2' malware," the company [said](https://www.reliaquest.com/blog/new-execution-technique-in-clearfake-campaign/).


According to information shared by the cybersecurity firm, Lumma Stealer emerged as one of the most prevalent information stealers in 2023, alongside RedLine and Raccoon.


"The number of LummaC2-obtained logs listed for sale increased by 110% from Q3 to Q4 2023," it [noted](https://www.reliaquest.com/blog/common-infostealers/). "LummaC2's rising popularity among adversaries is likely due to its high success rate, which refers to its effectiveness in successfully infiltrating systems and exfiltrating sensitive data without detection."


The development comes as the AhnLab Security Intelligence Center (ASEC) disclosed details of a new campaign that employs webhards (short for web hard drive) as a conduit to distribute malicious installers for [adult games](https://asec.ahnlab.com/en/66099/) and [cracked versions of Microsoft Office](https://asec.ahnlab.com/en/66017/) and ultimately deploy a variety of malware such as Orcus RAT, XMRig miner, [3proxy](https://github.com/3proxy/3proxy), and XWorm.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
Similar attack chains involving websites offering pirated software have led to the deployment of malware loaders like [PrivateLoader](https://thehackernews.com/2022/12/privateloader-ppi-service-found.html) and [TaskLoader](https://harfanglab.io/en/insidethelab/loader-galore-taskloader-at-the-start-of-a-pay-per-install-infection-chain/), which are both offered as a pay-per-install (PPI) service for other cybercriminals to deliver their own payloads.


It also follows new findings from Silent Push about [CryptoChameleon](https://thehackernews.com/2024/03/new-phishing-kit-leverages-sms-voice.html)'s "almost exclusive use" of DNSPod[.]com nameservers to support its phishing kit architecture. [DNSPod](https://www.dnspod.com/company/about), part of the Chinese company Tencent, has a [history](https://unit42.paloaltonetworks.com/cybersquatting/) of providing services for malicious bulletproof hosting operators.


"CryptoChameleon uses DNSPod nameservers to engage in [fast flux evasion techniques](https://unit42.paloaltonetworks.com/fast-flux-101/) that allow threat actors to quickly cycle through large amounts of IPs linked to a single domain name," the company [said](https://www.silentpush.com/blog/cryptochameleon/).


"Fast flux allows CryptoChameleon infrastructure to evade traditional countermeasures, and significantly reduces the operational value of legacy point-in-time IOCs." using at least seven primary social media accounts and a CIB network of more than 250 accounts.


  





## Tags:
***urls***: http://DNSPod.com http://chatgpt-app.cloud

### Autogenerated tags:
malware powershell lumma bitrat cryptochameleon
