# Binance's Smart Chain Exploited in New 'EtherHiding' Malware Campaign
## Malicious actors are using Binance's Smart Chain (BSC) contracts to host malicious code and serve it on compromised WordPress
## Information:

+ Link: https://thehackernews.com/2023/10/binances-smart-chain-exploited-in-new.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 16 October 2023, 10:29
+ Date scraped: 16 October 2023, 05:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgdQHGjgOjTmiz2hwW8VFXCDpFKStOy9wK98tsNsZoj9BKE1F83hrpPP1RhwJj5cVmRNmOw7UE5znbjMeKQEj4T0KpmzqsxZTylw1-ogv2Sr6bjHf8mS47jURGgBE0KxDgc3LdfAyVwMCIbLJNmyYG11eV8AJqNN-TNnuwAS9okE6luYEC_tvkOzEHU8BWR/s728-rw-ft-e30/browser.jpg)


Threat actors have been observed serving malicious code by utilizing Binance's Smart Chain (BSC) contracts in what has been described as the "next level of bulletproof hosting."


The campaign, detected two months ago, has been codenamed **EtherHiding** by Guardio Labs.


The novel twist marks the latest iteration in an [ongoing campaign](https://rmceoin.github.io/malware-analysis/clearfake/) that leverages compromised WordPress sites to serve unsuspecting visitors a fake warning to update their browsers before the sites can be accessed, ultimately leading to the deployment of information stealer malware such as Amadey, Lumma, or RedLine.


"While their initial method of hosting code on abused Cloudflare Worker hosts was taken down, they've quickly pivoted to take advantage of the decentralized, anonymous, and public nature of blockchain," security researchers Nati Tal and Oleg Zaytsev [said](https://labs.guard.io/etherhiding-hiding-web2-malicious-code-in-web3-smart-contracts-65ea78efad16).


"This campaign is up and harder than ever to detect and take down."


It's no surprise that threat actors have [targeted WordPress sites](https://thehackernews.com/2023/10/researchers-uncover-malware-posing-as.html) via both malicious plugins, as well as take advantage of publicly disclosed security flaws in popular plugins to breach websites. This gives the ability to completely hijack infected websites at will.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgT8Zocl2BfwmIaOfL0zxqcHsY3qfGL9nOrj7G9XucFP47eySywTAlsRVltzWJsLxiRx8X53Xpzc4VB6tENU7RwhAn3qnglMWQ6zRvx0OpWmmTk6rnp42T-8IvM4yRNA13_POQcQf4F0eDyF8hpJ3UWIC5eSRf7q_-aTVuHd6JnpnPTPQsLfL6WUFyIcvqe/s728-rw-ft-e30/hacking.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgT8Zocl2BfwmIaOfL0zxqcHsY3qfGL9nOrj7G9XucFP47eySywTAlsRVltzWJsLxiRx8X53Xpzc4VB6tENU7RwhAn3qnglMWQ6zRvx0OpWmmTk6rnp42T-8IvM4yRNA13_POQcQf4F0eDyF8hpJ3UWIC5eSRf7q_-aTVuHd6JnpnPTPQsLfL6WUFyIcvqe/s728-rw-ft-e30/hacking.jpg)
In the latest set of attacks, the infected sites are injected with obfuscated Javascript designed to query the [BNB Smart Chain](https://www.bnbchain.org/en/smartChain) by creating a [smart contract](https://bscscan.com/address/0x7f36d9292e7c70a204facc2d255475a861487c60) with an attacker-controlled [blockchain address](https://bscscan.com/address/0xfc1fe66fb63c542a3e4d45305dab196e5eca222a).


The goal is to fetch a second-stage script that, in turn, retrieves a third-stage payload from a command-and-control (C2) server to serve the deceptive browser update notices.


Should a victim click the update button on the bogus overlay, they are redirected to download a malicious executable from Dropbox or other legitimate file hosting services.


While the address and the associated contract have been tagged as used in a phishing scheme, the consequence of hosting it on a decentralized service means that there is currently no way to intervene and disrupt the attack chain.


"As this is not an address used in any financial or other activity that victims can be lured to transfer funds or any other kind of Intellectual property to — visitors of compromised WordPress sites have no clue as to what is going on under the hood," the researchers explained.


"This contract, tagged as fake, malicious, or whatnot, is still online and delivers the malicious payload."


With plugins becoming a sizable attack surface for WordPress, it's recommended that users relying on the content management system (CMS) adhere to security best practices and keep their systems up-to-date with the latest patches, remove unwanted admin users, and enforce strong passwords.



  





## Tags:


### Autogenerated tags:
wordpress plugins
