# CERT-UA Warns of SmokeLoader and RoarBAT Malware Attacks Against Ukraine
## Ukraine's CERT-UA warns of RoarBAT wiper malware causing destructive attacks on state organizations, and invoice-themed phishing campaigns.
## Information:

+ Link: https://thehackernews.com/2023/05/cert-ua-warns-of-smokeloader-and.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 08 May 2023, 11:40
+ Date scraped: 08 May 2023, 07:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg4mQAm0kmYN0tKWPoOcuRlSDSGdCUVXXTPAoMagEvmb7IiEzxzY7YzAQSRA1MLIZDS4bjb6aV8lKR9LTJy2WByZAadny6BlXTaRdgRs0CNhe9L6DNgEdqkK_cMixSIPcJGJjUidD35BFmlKRR-MsM468Ra9YeVEBl-2OJC419zv-XveDNHjySCBMht/s728-e3650/code.png)


An ongoing phishing campaign with invoice-themed lures is being used to distribute the SmokeLoader malware in the form of a polyglot file, according to the Computer Emergency Response Team of Ukraine (CERT-UA).


The emails, per the [agency](https://cert.gov.ua/article/4555802), are sent using compromised accounts and come with a ZIP archive that, in reality, is a [polyglot file](https://thehackernews.com/2023/01/cybercriminals-using-polyglot-files-in.html) containing a decoy document and a JavaScript file.


The JavaScript code is then used to launch an executable that paves for the execution of the [SmokeLoader malware](https://thehackernews.com/2022/07/smokeloader-infecting-targeted-systems.html). SmokeLoader, first detected in 2011, is a [loader](https://malpedia.caad.fkie.fraunhofer.de/details/win.smokeloader) whose main objective is to download or load a stealthier or more effective malware onto infected systems.


CERT-UA attributed the activity to a threat actor it calls UAC-0006 and characterized it as a financially motivated operation carried out with the goal of stealing credentials and making unauthorized fund transfers.


In a related advisory, Ukraine's cybersecurity authority also revealed details of destructive attacks orchestrated by a group known as UAC-0165 against public sector organizations.


The attack, which targeted an unnamed state organization, entailed the use of a new batch script-based wiper malware called RoarBAT that performs a recursive search for files with a specific list of extensions and irrevocably deletes them using the legitimate WinRAR utility.


This, in turn, was achieved by archiving the identified files using the ["-df" command-line option](https://documentation.help/WinRAR/HELPSwDF.htm) and subsequently purging the created archives. The batch script was executed by means of a scheduled task.


[![RoarBAT Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjWjz_Z0jK2LBuGn-_fyjcCSFJ6xpEJmqKDk95Ljt8dr9xPAE_f6yDsq3ljE-HdX9i7XOy3svuycVBSnXviR4ll76wZmIT1Hlz6yZPGJtIKj8DMLO-g3vynltnGdHPC1hCLVFfKUZ7gR4jRjYJkd-FCXjAnFaefoamj_k1PxY8dLxwxgN0k8z4Dvmeh/s728-e365/wiper.png)
Simultaneously, Linux systems were compromised using a bash script that leveraged the [dd utility](https://www.baeldung.com/linux/dd-command) to overwrite files with zero bytes, effectively avoiding detection by security software.


"It was found that the operability of electronic computers (server equipment, automated user workplaces, data storage systems) was impaired as a result of the destructive impact carried out with the use of appropriate software," CERT-UA [said](https://cert.gov.ua/article/4501891).


"Access to the ICS target of the attack is allegedly obtained by connecting to a VPN using compromised authentication data. The successful implementation of the attack was facilitated by the lack of multi-factor authentication when making remote connections to VPN."


The agency further attributed UAC-0165 with moderate confidence to the notorious [Sandworm group](https://thehackernews.com/2023/04/google-tag-warns-of-russian-hackers.html) (aka FROZENBARENTS, Seashell Blizzard, or Voodoo Bear), which has a history of [unleashing wiper attacks](https://thehackernews.com/2023/01/new-report-reveals-nikowiper-malware.html) since the start of the Russo-Ukrainian war last year.


The link to Sandworm stems from significant overlaps with [another destructive attack](https://thehackernews.com/2023/01/ukraine-hit-with-new-golang-based.html) that hit the Ukrainian state news agency Ukrinform in January 2023, which was tied to the adversarial collective.


The alerts come a week after CERT-UA [cautioned](https://thehackernews.com/2023/05/apt28-targets-ukrainian-government.html) of phishing attacks carried out by the Russian state-sponsored group APT28 targeting government entities in the country with fake Window update notifications.



  





## Tags:


### Autogenerated tags:
malware cert-ua smokeloader
