# CISA adds recently disclosed Zimbra bug to its Exploited Vulnerabilities Catalog
## CISA has added four new vulnerabilities to its Known Exploited Vulnerabilities Catalog, including a recently disclosed flaw in Zimbra webmail software
## Information:

+ Link: https://thehackernews.com/2022/02/cisa-adds-recently-disclosed-zimbra-bug.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 March 2022, 04:37
+ Date scraped: 01 March 2022, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEh4fcFhp1M6dxUvLBzHA8KxgjWOLClnL6uFmxlj2fxEs-zMie0ONpYwDCK8K8DGR7xOSvYSrKFrUXWvaFPNw8cAq1szvBI264TQuR7EgjvTnX7EV80-bbXxW0Bvnc6P5-dqVceHOSKPSiRm6tO9k4Y28kIoBa1mcNiwji0lt18rWheQuYOfjNidn1qU=s728-e1000)


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) [expanded](https://www.cisa.gov/uscert/ncas/current-activity/2022/02/25/cisa-adds-four-known-exploited-vulnerabilities-catalog) its Known Exploited Vulnerabilities Catalog to include a recently disclosed zero-day flaw in the Zimbra email platform citing evidence of active exploitation in the wild.


Tracked as [CVE-2022-24682](https://nvd.nist.gov/vuln/detail/CVE-2022-24682) (CVSS score: 6.1), the issue concerns a cross-site scripting (XSS) vulnerability in the Calendar feature in Zimbra Collaboration Suite that could be abused by an attacker to trick users into downloading arbitrary JavaScript code simply by clicking a link to exploit URLs in phishing messages.


The Known Exploited Vulnerabilities Catalog is a [repository](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) of security flaws that have been seen abused by threat actors in attacks and that are required to be patched by Federal Civilian Executive Branch (FCEB) agencies.


The vulnerability came to light on February 3, 2022, when cybersecurity firm Volexity [identified](https://thehackernews.com/2022/02/hackers-exploited-0-day-vulnerability.html) a series of targeted spear-phishing campaigns aimed at European government and media entities that leveraged the aforementioned flaw to gain unauthorized access to victim's mailboxes and plant malware.


Volexity is tracking the actor under the moniker "TEMP\_HERETIC," with the attacks impacting the open-source edition of Zimbra running version 8.8.15. Zimbra has since [pushed](https://blog.zimbra.com/2022/02/hotfix-available-5-feb-for-zero-day-exploit-vulnerability-in-zimbra-8-8-15/) out a hotfix (version [8.8.15 P30](https://wiki.zimbra.com/wiki/Zimbra_Releases/8.8.15/P30)) to remediate the flaw.


Due to the potential impact of this vulnerability, CISA has given federal agencies until March 11, 2022, to apply the security updates. In addition to CVE-2022-24682, CISA has also added the following three vulnerabilities to the catalog –


* [**CVE-2017-8570**](https://nvd.nist.gov/vuln/detail/CVE-2017-8570) (CVSS score: 7.8) – Microsoft Office Remote Code Execution Vulnerability
* [**CVE-2017-0222**](https://nvd.nist.gov/vuln/detail/CVE-2017-0222) (CVSS score: 7.5) – Microsoft Internet Explorer Memory Corruption Vulnerability
* [**CVE-2014-6352**](https://nvd.nist.gov/vuln/detail/CVE-2014-6352) (CVSS score: N/A) – Microsoft Windows Code Injection Vulnerability


  






## Tags:
***CVE's***: CVE-2017-8570 CVE-2017-0222 CVE-2014-6352 CVE-2022-24682

### Autogenerated tags:
zimbra cvss cisa microsoft
