# China-Linked ValleyRAT Malware Resurfaces with Advanced Data Theft Tactics
## Cybersecurity researchers have identified an updated version of ValleyRAT with new commands for capturing screenshots, process filtering, and more.
## Information:

+ Link: https://thehackernews.com/2024/06/china-linked-valleyrat-malware.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 11 June 2024, 14:17
+ Date scraped: 11 June 2024, 09:05

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg2EdOO4bL3B-rM3Q6lsvHwCg2xDSALrotBUY1usVy4rTtkL8Ehkap3p2GKuhddvhuB517ZElDkqZoi_Ad8kVj_cDqxiFj-bPEZ-EB4UyW7fZCFa1o1MoFbpMZgj6TPZczsHLmDWWO-bFiWNHtzheEYiO1VfpcbyZtFTW7d0bQ6i3j9-DT6BOAAMTQ4vusL/s728-rw-e365/zscaler.png)


Cybersecurity researchers have uncovered an updated version of malware called **ValleyRAT** that's being distributed as part of a new campaign.


"In the latest version, ValleyRAT introduced new commands, such as capturing screenshots, process filtering, forced shutdown, and clearing Windows event logs," Zscaler ThreatLabz researchers Muhammed Irfan V A and Manisha Ramcharan Prajapati [said](https://www.zscaler.com/blogs/security-research/technical-analysis-latest-variant-valleyrat).


ValleyRAT was previously [documented](https://thehackernews.com/2023/09/sophisticated-phishing-campaign_20.html) by QiAnXin and Proofpoint in 2023 in connection with a phishing campaign targeting Chinese-speaking users and Japanese organizations that distributed various malware families such as Purple Fox and a variant of the [Gh0st RAT trojan](https://thehackernews.com/2024/05/inside-operation-diplomatic-specter.html) known as Sainbox RAT (aka FatalRAT).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEglCJRDD2a35JYAjdpTkjaOIHJmDIRAH-rFSsbNSz6yosGB0v4KxThK_X9HDjy1gY9Y6LZB4C0kJDEP0As22YRGxfWpoOMYd1YBQ95HvzJaZgYTIdfr5d63V_minp25ETG06NZQGkypFkBT1NSvKBfklJ7fU9utNwyawgSVkPsGLs8IfTr8UYToQDZpdW60/s728-e365/1p-d-v2.png)](https://thehackernews.uk/1p-d-v2)
The malware has been assessed to be the work of a China-based threat actor, boasting of capabilities to harvest sensitive information and drop additional payloads onto compromised hosts.


The starting point is a downloader that utilizes an HTTP File Server (HFS) to fetch a file named "NTUSER.DXM" that's decoded to extract a DLL file responsible for downloading "client.exe" from the same server.


The decrypted DLL is also designed to detect and terminate anti-malware solutions from Qihoo 360 and WinRAR in an effort to evade analysis, after which the downloader proceeds to retrieve three more files – "WINWORD2013.EXE," "wwlib.dll," and "xig.ppt" – from the HFS server.


Next, the malware launches "WINWORD2013.EXE," a legitimate executable associated with Microsoft Word, using it to [sideload](https://attack.mitre.org/techniques/T1574/002/) "wwlib.dll" that, in turn, establishes persistence on the system and loads "xig.ppt" into memory.


"From here, the decrypted 'xig.ppt' continues the execution process as a mechanism to decrypt and inject shellcode into svchost.exe," the researchers said. "The malware creates svchost.exe as a suspended process, allocates memory within the process, and writes shellcode there."


The shellcode, for its part, contains necessary configuration to contact a command-and-control (C2) server and download the ValleyRAT payload in the form of a DLL file.


"ValleyRAT utilizes a convoluted multi-stage process to infect a system with the final payload that performs the majority of the malicious operations," the researchers said. "This staged approach combined with DLL side-loading are likely designed to better evade host-based security solutions such as EDRs and anti-virus applications."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhNS3KFIZ1kUzX9UAyIXkbApCqvKVe4YB7J7YxS5pyT89_UulKpYdfjxFzpEtKx1mkKxptph1SCYggLbhJDkGbKinHSktbbkeXeYBqil8kXuFRmXI-z3FdKj2qTdIYb5vdqZ-mb_NBp3AMTlAP7s4X9r14mq7rDBORzMWvL3CWY8vfZXFKBhdl3-x0BxK89/s728-e365/ad-d.jpg)](https://thehackernews.uk/ad-d)
The development comes as the Fortinet FortiGuard Labs uncovered a phishing campaign that targets Spanish-speaking people with an updated version of a keylogger and information stealer called [Agent Tesla](https://thehackernews.com/2023/12/hackers-exploiting-old-ms-excel.html).


The attack chain takes advantage of Microsoft Excel Add-Ins (XLA) file attachments that exploit known security flaws ([CVE-2017-0199](https://nvd.nist.gov/vuln/detail/cve-2017-0199) and [CVE-2017-11882](https://nvd.nist.gov/vuln/detail/CVE-2017-11882)) to trigger the execution of JavaScript code that loads a PowerShell script, which is engineered to launch a loader in order to retrieve Agent Tesla from a remote server.


"This variant collects credentials and email contacts from the victim's device, the software from which it collects the data, and the basic information of the victim's device," security researcher Xiaopeng Zhang [said](https://www.fortinet.com/blog/threat-research/new-agent-tesla-campaign-targeting-spanish-speaking-people). "Agent Tesla can also collect the victim's email contacts if they use Thunderbird as their email client."


  





## Tags:
***CVE's***: CVE-2017-11882 CVE-2017-0199

### Autogenerated tags:
malware valleyrat dll shellcode
