# Chinese Hackers Exploit Zero-Day Flaws in Ivanti Connect Secure and Policy Secure
## Ivanti Connect Secure hit by two zero-day flaws, exploited by suspected China-linked hackers to breach under 10 customers.
## Information:

+ Link: https://thehackernews.com/2024/01/chinese-hackers-exploit-zero-day-flaws.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 11 January 2024, 10:59
+ Date scraped: 11 January 2024, 06:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiYBBQVmHTCNpf7biKrJSsO67S4j0WL2oIZgmmlMipqIZlpTBPlljOgk3XuF2nBZefxMr0Zlezm3PAoah5hj4XfKo0Q3eO_FN00UdjC1kDEX9mX8m76JvT0IwyFTjI55ieufiHdyXVnXSAL-vgwMJRA5UqAkftkMgstsZjOcYrLPE-BmjNlQVxhQ5UMWR8-/s728-rw-ft-e30/ivanti.jpg)


A pair of zero-day flaws identified in Ivanti Connect Secure (ICS) and Policy Secure have been chained by suspected China-linked nation-state actors to breach less than 10 customers.


Cybersecurity firm Volexity, which [identified](https://www.volexity.com/blog/2024/01/10/active-exploitation-of-two-zero-day-vulnerabilities-in-ivanti-connect-secure-vpn/) the activity on the network of one of its customers in the second week of December 2023, attributed it to a hacking group it tracks under the name **UTA0178**. There is evidence to suggest that the VPN appliance may have been compromised as early as December 3, 2023.


The two vulnerabilities that have been exploited in the wild to achieve unauthenticated command execution on the ICS device are as follows -


* **CVE-2023-46805** (CVSS score: 8.2) - An authentication bypass vulnerability in the web component of Ivanti Connect Secure (9.x, 22.x) and Ivanti Policy Secure allows a remote attacker to access restricted resources by bypassing control checks.


* **CVE-2024-21887** (CVSS score: 9.1) - A command injection vulnerability in web components of Ivanti Connect Secure (9.x, 22.x) and Ivanti Policy Secure allows an authenticated administrator to send specially crafted requests and execute arbitrary commands on the appliance.


The vulnerabilities can be fashioned into an exploit chain to take over susceptible instances over the internet.


"If CVE-2024-21887 is used in conjunction with CVE-2023-46805, exploitation does not require authentication and enables a threat actor to craft malicious requests and execute arbitrary commands on the system," Ivanti [said](https://forums.ivanti.com/s/article/KB-CVE-2023-46805-Authentication-Bypass-CVE-2024-21887-Command-Injection-for-Ivanti-Connect-Secure-and-Ivanti-Policy-Secure-Gateways?language=en_US) in an advisory.


The company said it has observed attempts on the part of the threat actors to manipulate Ivanti's internal integrity checker ([ICT](https://forums.ivanti.com/s/article/KB44755?language=en_US)), which offers a snapshot of the current state of the appliance.


Patches are expected to be released in a staggered manner starting from the week of January 22, 2024. In the interim, users have been recommended to apply a workaround to safeguard against potential threats.


In the incident analyzed by Volexity, the twin flaws are said to have been employed to "steal configuration data, modify existing files, download remote files, and reverse tunnel from the ICS VPN appliance."


The attacker further modified a legitimate CGI file (compcheck.cgi) on the ICS VPN appliance to allow command execution. In addition, a JavaScript file loaded by the Web SSL VPN login page was altered to log keystrokes and exfiltrate credentials associated with users logging into the device.


"The information and credentials collected by the attacker allowed them to pivot to a handful of systems internally, and ultimately gain unfettered access to systems on the network," Volexity researchers Matthew Meltzer, Robert Jan Mora, Sean Koessel, Steven Adair, and Thomas Lancaster said.


The attacks are also characterized by reconnaissance efforts, lateral movement, and the deployment of a custom web shell dubbed GLASSTOKEN via the backdoored CGI file to maintain persistent remote access to the external-facing web servers.


The U.S. Cybersecurity and Infrastructure Security Agency (CISA), in an [alert](https://www.cisa.gov/news-events/alerts/2024/01/10/cisa-adds-two-known-exploited-vulnerabilities-catalog) of its own, said it has added the two shortcomings to its Known Exploited Vulnerabilities ([KEV](https://www.cisa.gov/known-exploited-vulnerabilities-catalog)) catalog, urging federal agencies to apply the fixes by January 31, 2024.


"Internet-accessible systems, especially critical devices like [VPN appliances and firewalls](https://eclypsium.com/blog/infographic-a-history-of-network-device-threats-and-what-lies-ahead/), have once again become a favorite target of attackers," Volexity said.


"These systems often sit on critical parts of the network, cannot run traditional security software, and typically sit at the perfect place for an attacker to operate. Organizations need to make sure they have a strategy in place to be able to monitor activity from these devices and quickly respond if something unexpected occurs."


  





## Tags:
***CVE's***: CVE-2024-21887 CVE-2023-46805

### Autogenerated tags:
ivanti vpn ics volexity
