# Chinese Hackers Using SugarGh0st RAT to Target South Korea and Uzbekistan
## Chinese-speaking threat actor targeting Uzbekistan Ministry of Foreign Affairs and South Korean users with dangerous SugarGh0st RAT.
## Information:

+ Link: https://thehackernews.com/2023/12/chinese-hackers-using-sugargh0st-rat-to.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 01 December 2023, 16:19
+ Date scraped: 01 December 2023, 19:04

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiaoqm8mskweoRejOp_15Lgmvqb6WUMtH7Jv8qsO9pR4BwIX89UckNM4JQv0Ixu0-Q04qVss9aq_Z8R114KWzYWOZBkjTb65Qwj6t6Mv9YP4OWX9V4EY5_6LGr0plWhCkepKAU49UVOH_wAC5YHsqTDRqIVawMdJIdaIvVFhoIZ_0kfoatPXn-F1BN-SA4w/s728-rw-ft-e30/talos.jpg)


A suspected Chinese-speaking threat actor has been attributed to a malicious campaign that targets the Uzbekistan Ministry of Foreign Affairs and South Korean users with a remote access trojan called **SugarGh0st RAT**.


The activity, which commenced no later than August 2023, leverages two different infection sequences to deliver the malware, which is a customized variant of [Gh0st RAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.ghost_rat) (aka Farfli).


It comes with features to "facilitate the remote administration tasks as directed by the C2 and modified communication protocol based on the similarity of the command structure and the strings used in the code," Cisco Talos researchers Ashley Shen and Chetan Raghuprasad [said](https://blog.talosintelligence.com/new-sugargh0st-rat/).


The attacks commence with a phishing email bearing decoy documents, opening which activates a multi-stage process that leads to the deployment of SugarGh0st RAT.


The decoy documents are incorporated within a heavily obfuscated JavaScript dropper that's contained within a Windows Shortcut file embedded in the RAR archive email attachment.


"The JavaScript decodes and drops the embedded files into the %TEMP% folder, including a batch script, a customized DLL loader, an encrypted SugarGh0st payload, and a decoy document," the researchers said.


The decoy document is then displayed to the victim, while, in the background, the batch script runs the DLL loader, which, in turn, side-loads it with a copied version of a legitimate Windows executable called rundll32.exe to decrypt and launch the SugarGh0st payload.


A second variant of the attack also begins with a RAR archive containing a malicious Windows Shortcut file that masquerades as a lure, with the difference being that the JavaScript leverages DynamicWrapperX to run shellcode that launches SugarGh0st.


SugarGh0st, a 32-bit dynamic-link library (DLL) written in C++, establishes contact with a hard-coded command-and-control (C2) domain, allowing it to transmit system metadata to the server, launch a reverse shell, and run arbitrary commands.


It can also enumerate and terminate processes, take screenshots, perform file operations, and even clear the machine's event logs in an attempt to cover its tracks and evade detection.


The campaign's links to China stem from Gh0st RAT's Chinese origins and the fact that the fully functional backdoor has been [widely adopted](https://thehackernews.com/2022/09/webworm-hackers-using-modified-rats-in.html) by [Chinese threat actors](https://thehackernews.com/2023/09/sophisticated-phishing-campaign_20.html) [over the years](https://thehackernews.com/2023/09/new-report-uncovers-three-distinct.html), in part driven by the release of its source code in 2008. Another smoking gun evidence is the use of Chinese names in the "last modified by" field in the metadata of the decoy files.


"The Gh0st RAT malware is a mainstay in the Chinese threat actors' arsenal and has been active since at least 2008," the researchers said.


"Chinese actors also have a history of targeting Uzbekistan. The targeting of the Uzbekistan Ministry of Foreign Affairs also aligns with the scope of Chinese intelligence activity abroad."


The development comes as Chinese state-sponsored groups have also increasingly targeted Taiwan in the last six months, with the attackers repurposing [residential routers](https://thehackernews.com/2023/05/chinas-mustang-panda-hackers-exploit-tp.html) to mask their intrusions, [according to Google](https://www.bloomberg.com/news/articles/2023-11-29/google-warns-china-is-ramping-up-cyberattacks-against-taiwan).


  





## Tags:


### Autogenerated tags:
sugargh0st uzbekistan gh0st javascript windows dll
