# Chrome Zero-Day Alert — Update Your Browser to Patch New Vulnerability
## Google has just released an update to patch a new zero-day flaw, CVE-2024-4671, which hackers are actively exploiting in the wild.
## Information:

+ Link: https://thehackernews.com/2024/05/chrome-zero-day-alert-update-your.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 10 May 2024, 15:53
+ Date scraped: 10 May 2024, 11:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgPhSx8fwDELvWKGNqNBlu-6Ndi0sPJb5p7SWiIt3zy9vzwPZSe7riuvdLHazxW6fjyi7S27qv4kzvcF9xE_ftF8djTvTvdEzg1Oh4XMApFiK4rwg7xw_hB5QuQ5S7y76OVPdl2zVCKaS0gHR54fTN805N7NUzdgw-Ivg3EOYBvCPBwOlveakXMpHVZXvAY/s728-rw-e365/chrome.png)


Google on Thursday released security updates to address a zero-day flaw in Chrome that it said has been actively exploited in the wild.


Tracked as **CVE-2024-4671**, the high-severity vulnerability has been described as a case of use-after-free in the Visuals component. It was reported by an anonymous researcher on May 7, 2024.


[Use-after-free bugs](https://cwe.mitre.org/data/definitions/416.html), which arise when a program references a memory location after it has been deallocated, can lead to any number of consequences, ranging from a crash to arbitrary code execution.


"Google is aware that an exploit for CVE-2024-4671 exists in the wild," the company [said](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_9.html) in a terse advisory without revealing additional specifics of how the flaw is being weaponized in real-world attacks or the identity of the threat actors behind them.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
With the latest development, Google has addressed two actively exploited zero-days in Chrome since the start of the year.


Earlier this January, the tech giant patched an out-of-bounds memory access issue in the V8 JavaScript and WebAssembly engine ([CVE-2024-0519](https://thehackernews.com/2024/01/zero-day-alert-update-chrome-now-to-fix.html), CVSS score: 8.8) that could result in a crash.


Users are recommended to upgrade to Chrome version 124.0.6367.201/.202 for Windows and macOS, and version 124.0.6367.201 for Linux to mitigate potential threats.


Users of Chromium-based browsers such as Microsoft Edge, Brave, Opera, and Vivaldi are also advised to apply the fixes as and when they become available.

 
  





## Tags:
***CVE's***: CVE-2024-4671 CVE-2024-0519

### Autogenerated tags:
google
