# Comm100 Chat Provider Hijacked to Spread Malware in Supply Chain Attack
## Chinese hackers are believed to be behind a new supply chain attack that hijacked the Comm100 Live Chat application to spread a JavaScript backdoor.
## Information:

+ Link: https://thehackernews.com/2022/10/comm100-chat-provider-hijacked-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 October 2022, 14:35
+ Date scraped: 03 October 2022, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi8cDm09yfBe-cPKNmyKPoIXvb_U-ZTqG_Dbg0dIO0GmlMU8vQPc7DnRUCgBrX7lMiQ0GC38rFQwu-tiXiiFx5QpDOreBUNm47EtayEzVumTE0IhX5n6GChvPnmRabYmGulLdD4duo59kVdy3KUr1U0NxstDZiBoBd5kRiS7J1CEAzhCILG6D9iJtCq/s728-e1000/chat.jpg)


A threat actor likely with associations to China has been attributed to a new supply chain attack that involves the use of a trojanized installer for the Comm100 Live Chat application to distribute a JavaScript backdoor.


Cybersecurity firm CrowdStrike said the attack made use of a signed Comm100 desktop agent app for Windows that was downloadable from the company's website.


The scale of the attack is currently unknown, but the trojanized file is said to have been identified at organizations in the industrial, healthcare, technology, manufacturing, insurance, and telecom sectors in North America and Europe.


Comm100 is a Canadian provider of live audio/video chat and customer engagement software for enterprises. It [claims](https://www.comm100.com/customers/) to have more than 15,000 customers across 51 countries.


"The installer was signed on September 26, 2022 at 14:54:00 UTC using a valid Comm100 Network Corporation certificate," the company [noted](https://www.crowdstrike.com/blog/new-supply-chain-attack-leverages-comm100-chat-installer/), adding it remained available until September 29.


Embedded within the weaponized executable is a JavaScript-based implant that executes a second-stage JavaScript code hosted on a remote server, which is designed to provide the actor with surreptitious remote shell functionality.


Also deployed as part of the post-exploitation activity is a malicious loader DLL named MidlrtMd.dll that launches an in-memory shellcode to inject an embedded payload into a new Notepad process.


[![Comm100 Chat](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhiZ2jLq8lTRwlc3TysILZMHcEBkjdSt970cnQadibfX6yqjWZjfWkrJTPMb9cxavsVsL-LgX4MtFQ1GmhqPAuakygezt0fWaXeakv6mTKmMe9SX3rBT5sumnv996Fns1xupYTC4Gd6xaroLcW1IsWH3CnJrbeGn4AArJLFp2uTAbEftChj8BbL8aGo/s728-e1000/code.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhiZ2jLq8lTRwlc3TysILZMHcEBkjdSt970cnQadibfX6yqjWZjfWkrJTPMb9cxavsVsL-LgX4MtFQ1GmhqPAuakygezt0fWaXeakv6mTKmMe9SX3rBT5sumnv996Fns1xupYTC4Gd6xaroLcW1IsWH3CnJrbeGn4AArJLFp2uTAbEftChj8BbL8aGo/s728-e100/code.jpg)
Supply chain compromises, like that of [SolarWinds](https://thehackernews.com/2021/01/heres-how-solarwinds-hackers-stayed.html) and [Kaseya](https://thehackernews.com/2021/07/kaseya-gets-universal-decryptor-to-help.html), are becoming an increasingly lucrative strategy for threat actors to target a widely-used software provider to gain a foothold in the networks of downstream customers.


As of writing, none of the security vendors [flag the installer](https://www.virustotal.com/gui/file/ac5c0823d623a7999f0db345611084e0a494770c3d6dd5feeba4199deee82b86) as malicious. Following responsible disclosure, the issue has since been addressed with the release of an [updated installer](https://www.comm100.com/platform/livechat/agent-experience/desktopchat/) (10.0.9).


CrowdStrike has tied the attack with moderate confidence to an actor with a China nexus based on the presence of Chinese-language comments in the malware and the targeting of online gambling entities in East and Southeast Asia, an already established area of interest for China-based intrusion actors.


That said, the payload delivered in this activity differs from other malware families previously identified as operated by the group, suggesting an expansion to its offensive arsenal.


The name of the adversary was not disclosed by CrowdStrike, but the TTPs point in the direction of a threat actor called [Earth Berberoka](https://www.trendmicro.com/en_us/research/22/d/new-apt-group-earth-berberoka-targets-gambling-websites-with-old.html) (aka GamblingPuppet), which earlier this year was found using a fake chat app called [MiMi](https://thehackernews.com/2022/08/chinese-hackers-backdoored-mimi-chat.html) in its attacks against the gambling industry.


  





## Tags:
***ipv6-adresses***: 14:54:00

### Autogenerated tags:
comm100 crowdstrike
