# CoralRaider Malware Campaign Exploits CDN Cache to Spread Info-Stealers
## A suspected Vietnamese hacking group is leveraging CDN cache to distribute malware undetected.
## Information:

+ Link: https://thehackernews.com/2024/04/coralraider-malware-campaign-exploits.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 24 April 2024, 10:20
+ Date scraped: 24 April 2024, 05:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhn9TEXkgFxxcrYO8bcIiZ3PbUyFbRFrzkUUvRP4W1jjW9yhngkZb5nUNqdgVnIuQWOj0HD0vGwFvKKxJNl4q4-m7RI9w-B1rlzmkyOQZKi-nde48HP9BymMgqGGQaNexNKi_cpLQQqA_H8xBNRS1l5vdCSBVGqyhtnQiU_k2xm-7M5Ob86zdXLnjhntlkp/s728-rw-e365/talos.png)


A new ongoing malware campaign has been observed distributing three different stealers, such as [CryptBot](https://thehackernews.com/2023/04/google-gets-court-order-to-take-down.html), [LummaC2](https://thehackernews.com/2023/11/lummac2-malware-deploys-new.html), and [Rhadamanthys](https://thehackernews.com/2023/12/rhadamanthys-malware-swiss-army-knife.html) hosted on Content Delivery Network (CDN) cache domains since at least February 2024.


Cisco Talos has attributed the activity with moderate confidence to a threat actor tracked as [CoralRaider](https://thehackernews.com/2024/04/vietnam-based-hackers-steal-financial.html), a suspected Vietnamese-origin group that came to light earlier this month.


This assessment is based on "several overlaps in tactics, techniques, and procedures (TTPs) of CoralRaider's Rotbot campaign, including the initial attack vector of the Windows Shortcut file, intermediate PowerShell decryptor and payload download scripts, the FoDHelper technique used to bypass User Access Controls (UAC) of the victim machine," the company said.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Targets of the campaign span various business verticals across geographies, including the U.S., Nigeria, Pakistan, Ecuador, Germany, Egypt, the U.K., Poland, the Philippines, Norway, Japan, Syria, and Turkey.


Attack chains involve users downloading files masquerading as movie files via a web browser, raising the possibility of a large-scale attack.


"This threat actor is using a Content Delivery Network (CDN) cache to store the malicious files on their network edge host in this campaign, avoiding request delay," Talos researchers Joey Chen, Chetan Raghuprasad, and Alex Karkins [said](https://blog.talosintelligence.com/suspected-coralraider-continues-to-expand-victimology-using-three-information-stealers/). "The actor is using the CDN cache as a download server to deceive network defenders."


[![CoralRaider Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgb9gBlu3AFS3PhXWw2Fn97aAm6_6vdLMLR6SZMYE78Rf46mU-NUWhgFLzvqJSWRxpDZAOpdu9yuIaolkHLDf5ouiRuiPdiJKIJ30MpapY-Lrmd9ldF5tFssose3Dz98Ras_ypuQuf51uc2Moe11rpZ4f45CDtb97uPpk7XxoVO8_1Cqr6vUpcULyh-h_My/s728-rw-e365/stealer.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgb9gBlu3AFS3PhXWw2Fn97aAm6_6vdLMLR6SZMYE78Rf46mU-NUWhgFLzvqJSWRxpDZAOpdu9yuIaolkHLDf5ouiRuiPdiJKIJ30MpapY-Lrmd9ldF5tFssose3Dz98Ras_ypuQuf51uc2Moe11rpZ4f45CDtb97uPpk7XxoVO8_1Cqr6vUpcULyh-h_My/s728-rw-e365/stealer.png)
The initial access vector for the drive-by downloads is suspected to be phishing emails, using them as a conduit to propagate booby-trapped links pointing to ZIP archives containing a Windows shortcut (LNK) file.


The shortcut file, in turn, runs a PowerShell script to fetch a next-stage HTML application (HTA) payload hosted on the CDN cache, which subsequently runs Javascript code to launch an embedded PowerShell loader that takes steps to fly under the radar and ultimately downloads and runs one of the three stealer malware.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
The modular PowerShell loader script is designed to bypass the User Access Controls (UAC) in the victim's machine using a known technique called FodHelper, which has also been put to use by Vietnamese threat actors linked to another stealer known as [NodeStealer](https://thehackernews.com/2023/08/new-nodestealer-targeting-facebook.html) that's capable of stealing Facebook account data.


The stealer malware, regardless of what's deployed, grabs victims' information, such as system and browser data, credentials, cryptocurrency wallets, and financial information.


What's notable about the campaign is that it utilizes an updated version of CryptBot that packs in new anti-analysis techniques and also captures password manager application databases and authenticator application information.

 
  





## Tags:


### Autogenerated tags:
cdn powershell malware
