# Critical Flaws in vm2 JavaScript Library Can Lead to Remote Code Execution
## Two critical flaws (CVE-2023-29199 / CVE-2023-30547) have been discovered in vm2 JavaScript library that could allow attackers to break out of sandbox
## Information:

+ Link: https://thehackernews.com/2023/04/critical-flaws-in-vm2-javascript.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 19 April 2023, 04:53
+ Date scraped: 19 April 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhFbN5aLsBak2MSCo2PghUtho5fltrjLIwjNcEG_6gTpMN-9qafUoPgeerUBVVen6ABVYyZrmgUpR0Gmpu5ic6W6-O01VCG0KWbWWw3doyolGcrygApgvU-ppwNZ1j8139kFgTApsi0-4tJYI6G3LnnwxvIFy9_JJyOiGM_bJjUAcSjql3gUHCZMwQX/s728-e3650/VM2.png)


A fresh round of patches has been made available for the vm2 JavaScript library to address two critical flaws that could be exploited to break out of the sandbox protections.


Both the flaws – [CVE-2023-29199](https://nvd.nist.gov/vuln/detail/CVE-2023-29199) and [CVE-2023-30547](https://nvd.nist.gov/vuln/detail/CVE-2023-30547) – are rated 9.8 out of 10 on the CVSS scoring system and have been addressed in versions 3.9.16 and 3.9.17, respectively.


Successful [exploitation](https://github.com/advisories/GHSA-xj72-wvfv-8985) of the [bugs](https://github.com/patriksimek/vm2/security/advisories/GHSA-ch3r-j5x3-6q2m), which allow an attacker to raise an unsanitized host exception, could be weaponized to escape the sandbox and run arbitrary code in the host context.


"A threat actor can bypass the sandbox protections to gain remote code execution rights on the host running the sandbox," the maintainers of the vm2 library said in an alert.


Credited with discovering and reporting the vulnerabilities is security researcher [SeungHyun Lee](https://github.com/leesh3288), who has also [released](https://gist.github.com/leesh3288/f05730165799bf56d70391f3d9ea187c) [proof-of-concept](https://gist.github.com/leesh3288/381b230b04936dd4d74aaf90cc8bb244) (PoC) exploits for the two issues in question.


The disclosure comes a little over a week after vm2 remediated another sandbox escape flaw ([CVE-2023-29017](https://thehackernews.com/2023/04/researchers-discover-critical-remote.html), CVSS score: 9.8) that could lead to the execution of arbitrary code on the underlying system.


It's worth noting that researchers from Oxeye detailed a critical remote code execution vulnerability in vm2 late last year ([CVE-2022-36067](https://thehackernews.com/2022/10/researchers-detail-critical-rce-flaw.html), CVSS score: 9.8) that was codenamed Sandbreak.



  





## Tags:
***CVE's***: CVE-2023-29017 CVE-2023-29199 CVE-2023-30547 CVE-2022-36067

### Autogenerated tags:
vm2 cvss
