# Critical Gems Takeover Bug Reported in RubyGems Package Manager
## RubyGems package manager has fixed a critical bug that could have allowed attackers to remove and replace gems with malicious versions.
## Information:

+ Link: https://thehackernews.com/2022/05/critical-gems-takeover-bug-reported-in.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 May 2022, 05:53
+ Date scraped: 10 May 2022, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhNf6I1SbApd7GANUj8Uxm1xQoAWajaL9f00e9J_LnHY8ns6NJ1uGFsBjDccwxMQeFq4WM7GwpvKRUKDWazRatsMqJGb8fPwD4f-yjcaJ2PcU8MvL2iKAONRvhojIeS-sTuyRgyx-wjvleINk_WMlxh2kAxMt2CUhrzmcUFh_KunVEND0u17KGf_HJh/s728-e100/rubygems.jpg)


The maintainers of the RubyGems package manager have addressed a critical security flaw that could have been abused to remove gems and replace them with rogue versions under specific circumstances.


"Due to a bug in the yank action, it was possible for any RubyGems.org user to remove and replace certain gems even if that user was not authorized to do so," RubyGems [said](https://github.com/rubygems/rubygems.org/security/advisories/GHSA-hccv-rwq6-vh79) in a security advisory published on May 6, 2022.


RubyGems, like npm for JavaScript and pip for Python, is a [package manager](https://rubygems.org/stats) and a gem hosting service for the Ruby programming language, offering a repository of more than 171,500 libraries.


In a nutshell, the flaw in question, tracked as CVE-2022-29176, enabled anyone to pull certain gems and upload different files with the same name, same version number, and different platforms.


For this to happen, however, a gem needed to have one or more dashes in its name, where the word before the dash was the name of an attacker-controlled gem, and which was created within 30 days or had no updates for over 100 days.


"For example, the gem 'something-provider' could have been taken over by the owner of the gem 'something,'" the project owners explained.


The project maintainers said that there is no evidence that the vulnerability has been exploited in the wild, adding it didn't receive any support emails from gem owners alerting them to the removal of the libraries without authorization.


"An audit of gem changes for the last 18 months did not find any examples of this vulnerability being used in a malicious way," the maintainers said. "A deeper audit for any possible use of this exploit is ongoing."


The disclosure comes as NPM addressed several flaws in its platform that could have been weaponized to facilitate account takeover attacks and publish malicious packages.


Chief among them is a supply chain threat called [package planting](https://thehackernews.com/2022/04/npm-bug-allowed-attackers-to-distribute.html) that enables malicious actors to pass off rogue libraries as legitimate simply by assigning them to trusted, popular maintainers without their knowledge.


  





## Tags:
***CVE's***: CVE-2022-29176

### Autogenerated tags:
rubygems
