# Critical RCE Bug Reported in dotCMS Content Management Software
## Researchers found a critical RCE vulnerability in the open-source dotCMS content management system used by more than 10,000 customers in 70 countries.
## Information:

+ Link: https://thehackernews.com/2022/05/critical-rce-bug-reported-in-dotcms.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 04 May 2022, 12:05
+ Date scraped: 04 May 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh_ocMmm1hfcHVRDawwx8lFTh4Y4T6JsKRzzLCcb0Rxj_jV9g5g4pPIko1AwE9mNTucquQviPCJ7GYkFqpxWuy_wMHjEntwPaM8voiSZktiIxFpSkidzIzRMyUn4LV8t31cPgjeo9p8Dx1jjbzro24ZMC3RAKrrpsSev5Bf3D_hP3wpsMWq1x9ww0tz/s728-e1000/dotcms.jpg)


A pre-authenticated remote code execution vulnerability has been disclosed in dotCMS, an open-source content management system written in Java and "[used by](https://www.dotcms.com/company/news/building-blocks-part-of-dept-and-dotcms-announce-partnership) over 10,000 clients in over 70 countries around the globe, from Fortune 500 brands and mid-sized businesses."  



The critical flaw, tracked as **CVE-2022-26352**, stems from a directory traversal attack when performing file uploads, enabling an adversary to execute arbitrary commands on the underlying system.


"An attacker can upload arbitrary files to the system," Shubham Shah of Assetnote [said](https://blog.assetnote.io/2022/05/03/hacking-a-bank-using-dotcms-rce/) in a report. "By uploading a JSP file to the tomcat's root directory, it is possible to achieve code execution, leading to command execution."


In other words, the arbitrary file upload flaw can be abused to replace already existing files in the system with a web shell, which can then be used to gain persistent remote access.


[![dotCMS Content Management Software](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjbW40ghTzwBqiuB8iw1TSucvboxtmKy6daLkpbTzWYOnORg51TCBOdRx8A21YEyaUcg7eZhPhWpl1lHjJTwqoGrGq1i5iXHzhcpm_TBFTN90GxfH19F1siGg5WFS5-MwqTOvrkYtRp4ug6Hc09r-GGJQM09tDor0ATVRIdSaxLaMCQ6D8JlqyV87VJ/s728-e1000/poc.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjbW40ghTzwBqiuB8iw1TSucvboxtmKy6daLkpbTzWYOnORg51TCBOdRx8A21YEyaUcg7eZhPhWpl1lHjJTwqoGrGq1i5iXHzhcpm_TBFTN90GxfH19F1siGg5WFS5-MwqTOvrkYtRp4ug6Hc09r-GGJQM09tDor0ATVRIdSaxLaMCQ6D8JlqyV87VJ/s728-e100/poc.jpg)
Although the exploit made it possible to write to arbitrary JavaScript files being served by the application, the researchers said the nature of the bug was such that it could be weaponized to gain command execution.


AssetNote said it discovered and reported the flaw on February 21, 2022, following which patches have been released in versions 22.03, 5.3.8.10, and 21.06.7.


"When files are uploaded into dotCMS via the content API, but before they become content, dotCMS writes the file down in a temp directory," the company [said](https://www.dotcms.com/security/SI-62). "In the case of this vulnerability, dotCMS does not sanitize the filename passed in via the multipart request header and thus does not sanitize the temp file's name."


"In the case of this exploit, an attacker can upload a special .jsp file to the webapp/ROOT directory of dotCMS which can allow for remote code execution," it noted.


  





## Tags:
***CVE's***: CVE-2022-26352
***ipv4-adresses***: 5.3.8.10

### Autogenerated tags:
dotcms
