# Critical RCE Flaw Reported in Spotify's Backstage Software Catalog and Developer Platform
## Researchers have discovered a critical remote code execution vulnerability (CVSS score: 9.8) in Spotify's Backstage software catalog and developer.
## Information:

+ Link: https://thehackernews.com/2022/11/critical-rce-flaw-reported-in-spotifys.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 15 November 2022, 17:01
+ Date scraped: 15 November 2022, 18:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj78CnnxiTFZQfug-195AQePmJ3YmNvURpEfJ-BCiBoxol_nuWF2XAYsbtRZ_Gj_9hXUtu7WkmYvVdcfZd_L6gnPw1a4X279xD9vgUR_v8EMnBSmla00WzWa4e-A8E5x2JWOzMv7O7-NC8_Z4TJr4os1gOLSM5Q_17bBVfH8z5UhPoEGIu7oM8r3auX/s728-e1000/backstage.jpg)


Spotify's Backstage has been discovered as vulnerable to a severe security flaw that could be exploited to gain remote code execution by leveraging a recently disclosed bug in a third-party module.


The vulnerability (CVSS score: 9.8), at its core, takes advantage of a critical sandbox escape in vm2, a popular JavaScript sandbox library ([CVE-2022-36067](https://thehackernews.com/2022/10/researchers-detail-critical-rce-flaw.html) aka Sandbreak), that came to light last month.


"An unauthenticated threat actor can execute arbitrary system commands on a Backstage application by exploiting a vm2 sandbox escape in the Scaffolder core plugin," application security firm Oxeye said in a [report](https://www.oxeye.io/blog/remote-code-execution-in-spotifys-backstage) shared with The Hacker News.


[Backstage](https://github.com/backstage/backstage) is an open source [developer portal](https://backstage.io/blog/2020/03/16/announcing-backstage) from Spotify that allows users to create, manage, and explore software components from a unified "[front door](https://engineering.atspotify.com/2021/03/happy-birthday-backstage-spotifys-biggest-open-source-project-grows-up-fast/)." It's used by [many companies](https://github.com/backstage/backstage/blob/master/ADOPTERS.md) like Netflix, DoorDash, Roku, and Expedia, among others.


According to Oxeye, the flaw is rooted in a tool called [software templates](https://backstage.io/docs/features/software-templates/software-templates-index) that can be used to create components within Backstage.


![Backstage Software Catalog and Developer Platform](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi3b95O8NlskM61Bq_kwwgIwh0TSZFkQdLUWg9wMxiFvaFILgF1L7Efu7XPGdzUAxEDvE_aKrUI77i31InmrfnlsqjQMfIo1vj4quA4TaXMWQCdK8hmvxuYxuNkI1bdbhsyLmn-TDhkTunDph7fZ2mkF1aRiEsHYUx25jmVIX4R4Um-hh9_WtQlQw22/s728-e1000/code.jpg)
While the template engine utilizes vm2 to mitigate the risk associated with running untrusted code, the sandbox escape flaw in the latter made it possible to execute arbitrary system commands outside of the security perimeter.


Oxeye said it was able to identify more than 500 publicly-exposed Backstage instances on the internet, which could then be remotely weaponized by an adversary without requiring any authorization.


Following responsible disclosure on August 18, the issue was addressed by the project maintainers in [version 1.5.1](https://github.com/backstage/backstage/releases/tag/v1.5.1) released on August 29, 2022.


"The root of any template-based VM escape is gaining JavaScript execution rights within the template," the Israeli company noted. "By using 'logic-less' template engines such as [Mustache](https://mustache.github.io/), you can avoid introducing server-side template injection vulnerabilities."


"Separating the logic from the presentation as much as possible can greatly reduce your exposure to the most dangerous template-based attacks," it further added.


  





## Tags:
***CVE's***: CVE-2022-36067

### Autogenerated tags:
vm2
