# Critical Security Flaw Found in "jsonwebtoken" Library Used by 22,000+ Projects
## A high-severity RCE security flaw in jsonwebtoken library used by 22,000+ open source projects has been discovered.
## Information:

+ Link: https://thehackernews.com/2023/01/critical-security-flaw-found-in.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 January 2023, 08:54
+ Date scraped: 10 January 2023, 09:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj5LcBYzGpiZdVnYmwrcLsf152DDY3nLQTYRETW_R3U1IN_ZezhDUut1IiqziXbz51S6_bCjrJ1hjD0_lAags912yJnU_T1jxDMT3JjJTYOCC152EMfQrjofIeDn8BhmO6SZtQjI9scL0Xae4186kSTga71gVL5y0hqdvGYfhdFG_Z9TDErs2bnxn8Z/s728-rj-e3650/json.png)


A high-severity security flaw has been disclosed in the open source jsonwebtoken (JWT) library that, if successfully exploited, could lead to remote code execution on a target server.


"By exploiting this [vulnerability](https://github.com/advisories/GHSA-27h2-hvpr-p74q), attackers could achieve remote code execution (RCE) on a server verifying a maliciously crafted JSON web token (JWT) request," Palo Alto Networks Unit 42 researcher Artur Oleyarsh [said](https://unit42.paloaltonetworks.com/jsonwebtoken-vulnerability-cve-2022-23529/) in a Monday report.


Tracked as [**CVE-2022-23529**](https://nvd.nist.gov/vuln/detail/CVE-2022-23529) (CVSS score: 7.6), the issue impacts all versions of the library, including and below 8.5.1, and has been addressed in [version 9.0.0](https://github.com/auth0/node-jsonwebtoken/releases/tag/v9.0.0) shipped on December 21, 2022. The flaw was reported by the cybersecurity company on July 13, 2022.


jsonwebtoken, which is [developed and maintained](https://jwt.io/introduction) by Okta's Auth0, is a JavaScript module that allows users to decode, verify, and generate JSON web tokens as a means of securely transmitting information between two parties for authorization and authentication. It has over [10 million weekly downloads](https://www.npmjs.com/package/jsonwebtoken) on the npm software registry and is used by over 22,000 projects.


Therefore, the ability to run malicious code on a server could break confidentiality and integrity guarantees, potentially enabling a bad actor to overwrite arbitrary files on the host and perform any action of their choosing using a poisoned secret key.


[![high-severity security flaw](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjGJMHm-180A73nnsr6sA5Zpd-WNjAgupUM8NT_GiKiGC52UhlokOF188ziYTYiayjBeEZFqLMSiEpJTuKKBbMWOOIpv1tB6XMkhbNXSouNadDbqd1Ur8Y_0Xy_rmoWZaQxvCkkv5by2-DqOTdjd7qaQFTjj-ohg_ZJnsp1xC5LiB5wxhBpLcnM_CZz/s728-rj-e365/poc.png)
"With that being said, in order to exploit the vulnerability described in this post and control the [secretOrPublicKey value](https://github.com/auth0/node-jsonwebtoken#jwtverifytoken-secretorpublickey-options-callback), an attacker will need to exploit a flaw within the secret management process," Oleyarsh explained.

 As open source software increasingly emerges as a lucrative initial access pathway for threat actors to stage supply chain attacks, it's crucial that vulnerabilities in such tools are proactively identified, mitigated, and patched by downstream users.


Making matters worse is the fact that cybercriminals have become much faster at exploiting newly revealed flaws, drastically shrinking the time between a patch release and exploit availability. According to Microsoft, it only takes [14 days on average](https://thehackernews.com/2022/11/microsoft-warns-of-uptick-in-hackers.html) for an exploit to be detected in the wild after public disclosure of a bug.


To combat this problem of vulnerability discovery, Google, last month, announced the release of [OSV-Scanner](https://thehackernews.com/2022/12/google-launches-largest-distributed.html), an open source utility that aims to identify all transitive dependencies of a project and highlight relevant shortcomings impacting it.


  





## Tags:
***CVE's***: CVE-2022-23529

### Autogenerated tags:

