# Critical Security Flaws Exposed in Nagios XI Network Monitoring Software
## Attention IT admins! Update Nagios XI to version 5.11.2 now. The network monitoring software has patched four critical security flaws .
## Information:

+ Link: https://thehackernews.com/2023/09/critical-security-flaws-exposed-in.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 20 September 2023, 18:08
+ Date scraped: 20 September 2023, 13:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi1A9nTribbqhTwf2tKYG-69OuXbV3l26jn1fDFA8u4Wdjl4zG3-dGCGjTcgQqhw_t_vWPgjCkxG_CybjBzBKKyH1VijCCZZVE0N63qIDyoD7e7DYJaI1GvhASwRIkBf5paOTBU772oaI7jSgKwUUYzs03p1G2--BI__fdhD5_l5ujHUJvewTm9GTJnXtTS/s728-e3650/nagis.jpg)


Multiple security flaws have been disclosed in the Nagios XI network monitoring software that could result in privilege escalation and information disclosure.


The four security vulnerabilities, tracked from CVE-2023-40931 through CVE-2023-40934, impact Nagios XI versions 5.11.1 and lower. Following responsible disclosure on August 4, 2023, They have been [patched](https://www.nagios.com/downloads/nagios-xi/change-log/) as of September 11, 2023, with the release of version 5.11.2.


"Three of these vulnerabilities (CVE-2023-40931, CVE-2023-40933 and CVE-2023-40934) allow users, with various levels of privileges, to access database fields via SQL Injections," Outpost24 researcher Astrid Tedenbrant [said](https://outpost24.com/blog/nagios-xi-vulnerabilities/).


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
"The data obtained from these vulnerabilities may be used to further escalate privileges in the product and obtain sensitive user data such as password hashes and API tokens."


CVE-2023-40932, on the other hand, relates to a cross-site scripting (XSS) flaw in the Custom Logo component that could be used to read sensitive data, including cleartext passwords from the login page.


The list of flaws is described below -


* [**CVE-2023-40931**](https://nvd.nist.gov/vuln/detail/CVE-2023-40931) - SQL Injection in Banner acknowledging endpoint
* [**CVE-2023-40932**](https://nvd.nist.gov/vuln/detail/CVE-2023-40932) - Cross-Site Scripting in Custom Logo Component
* [**CVE-2023-40933**](https://nvd.nist.gov/vuln/detail/CVE-2023-40933) - SQL Injection in Announcement Banner Settings
* [**CVE-2023-40934**](https://nvd.nist.gov/vuln/detail/CVE-2023-40934) - SQL Injection in Host/Service Escalation in the Core Configuration Manager (CCM)


Successful exploitation of the three SQL injection vulnerabilities could permit an authenticated attacker to execute arbitrary SQL commands, while the XSS bug could be exploited to inject arbitrary JavaScript and read and modify page data.


This is not the first time security issues have been uncovered in Nagios XI. In 2021, [Skylight Cyber](https://thehackernews.com/2021/05/details-disclosed-on-critical-flaws.html) and [Claroty](https://thehackernews.com/2021/09/new-nagios-software-bugs-could-let.html) discovered as many as two dozen flaws that could be abused to hijack the infrastructure and achieve remote code execution.



  





## Tags:
***CVE's***: CVE-2023-40931 CVE-2023-40933 CVE-2023-40932 CVE-2023-40934

### Autogenerated tags:
sql nagios cve-2023-40931 cve-2023-40934
