# Cybercriminals Renting WikiLoader to Target Italian Organizations with Banking Trojan
## A sophisticated malware called WikiLoader is being used to install banking trojan Ursnif and spyware.
## Information:

+ Link: https://thehackernews.com/2023/08/cybercriminals-renting-wikiloader-to.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 01 August 2023, 09:50
+ Date scraped: 01 August 2023, 05:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiBY4Cz7DPE71EP_VBRL1k4cfsYXSEmAt0g551WkVmZBvDEowN1GE8PzbSsvSWbmiyRK4Y_Flx_lPmKdlLBb6niHWbCwW7oTDQ1ipxCuMnsb4sBO8Y0F9ggDyafFIbxlhqg_0r7P-XlI71QKRNWInInHDT67xgNuomZ-hJOkHh_oITj7t9DF07YS1i15umQ/s728-e3650/banking-trojan.jpg)


Organizations in Italy are the target of a new phishing campaign that leverages a new strain of malware called **WikiLoader** with an ultimate aim to install a banking trojan, stealer, and spyware called [Ursnif](https://thehackernews.com/2022/10/latest-ursnif-variant-shifts-focus-from.html) (aka Gozi).


"It is a sophisticated downloader with the objective of installing a second malware payload," Proofpoint [said](https://www.proofpoint.com/us/blog/threat-insight/out-sandbox-wikiloader-digs-sophisticated-evasion) in a technical report. "The malware uses multiple mechanisms to evade detection and was likely developed as a malware that can be rented out to select cybercriminal threat actors."


WikiLoader is so named due to the malware making a request to Wikipedia and checking that the response has the string "The Free."


The enterprise security firm said it first detected the malware in the wild on December 27, 2022, in connection with an intrusion set mounted by a threat actor it tracks as [TA544](https://www.proofpoint.com/us/threat-insight/post/threat-actor-profile-ta544-targets-geographies-italy-japan-range-malware), which is also known as Bamboo Spider and Zeus Panda.


The campaigns are centered around the use of emails containing either Microsoft Excel, Microsoft OneNote, or PDF attachments that act as a lure to deploy the downloader, which is subsequently used to install Ursnif.


In a sign that WikiLoader is shared among multiple cybercrime groups, the threat actor dubbed [TA551](https://thehackernews.com/2023/01/threat-actors-turn-to-sliver-as-open.html) (aka Shathak) has also been observed employing the malware as of late March 2023.


[![Banking Trojan](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhttvCv3QNLWXIcZZ4wGbF_VzD3BCgxN3oAhyEMD6oTIkMEiZOOpQ8UY6N9zRIKUu8QXtqQuU1UAoIyerDvpT6Bjrw4csUsOLPTACRYLUTshrTpZgRLmuYj-A6ljHQzbdcmu214NsbY-6S1u374jqg0S9anPxzAQej7W6ZnIIwzsvdABGQiE1FwpPwrR7pJ/s728-e3650/hacker.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhttvCv3QNLWXIcZZ4wGbF_VzD3BCgxN3oAhyEMD6oTIkMEiZOOpQ8UY6N9zRIKUu8QXtqQuU1UAoIyerDvpT6Bjrw4csUsOLPTACRYLUTshrTpZgRLmuYj-A6ljHQzbdcmu214NsbY-6S1u374jqg0S9anPxzAQej7W6ZnIIwzsvdABGQiE1FwpPwrR7pJ/s728-e365/hacker.jpg)
Recent TA544 campaigns detected in mid-July 2023 have utilized accounting themes to propagate PDF attachments with URLs that, when clicked, lead to the delivery of a ZIP archive file, which, in turn, packs a JavaScript file designed to download and execute WikiLoader.


WikiLoader is heavily obfuscated and comes with evasive maneuvers to bypass endpoint security software and avoid detonation in automated analysis environments. It's also engineered to retrieve and run a shellcode payload hosted on Discord, which is ultimately used to launch Ursnif.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Claim Your Spot](https://thn.news/I26t1VFD)
"It is currently under active development, and its authors appear to make regular changes to try and remain undetected and fly under the radar," Selena Larson, senior threat intelligence analyst at Proofpoint, said in a statement.


"It is likely more criminal threat actors will use this, especially those known as initial access brokers (IABs) that conduct regular activity that leads to ransomware. Defenders should be aware of this new malware and activities involved in payload delivery, and take steps to protect their organizations against exploitation."



  





## Tags:


### Autogenerated tags:
malware wikiloader ursnif
