# Cybercriminals Targeting Law Firms with GootLoader and FakeUpdates Malware
## Researchers have identified a cyber attack campaign aimed at legal firms using GootLoader and FakeUpdates malware
## Information:

+ Link: https://thehackernews.com/2023/03/cybercriminals-targeting-law-firms-with.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 March 2023, 14:02
+ Date scraped: 01 March 2023, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhDqLmAPUtj8Xx4bqe80pvg7aztEJUU8sUyKvHGs4S1tpSKamLX1McTzu-cmiuNYOWn4rrAf05yJEmCEvZeC40sz6XD52IJDmU1ytFz8lK1tbWckFMPttIn3U79RKaZVHC6cyGWwLVOiXuaKlO5tBulB_J-LClFARsCRUzRXS8-Hv775XWfLJsTSx9T/s728-e3650/law.png)


Six different law firms were targeted in January and February 2023 as part of two disparate threat campaigns distributing [**GootLoader**](https://thehackernews.com/2023/02/gootkit-malware-adopts-new-tactics-to.html) and [**FakeUpdates**](https://thehackernews.com/2022/06/researchers-uncover-malware-controlling.html) (aka SocGholish) malware strains.


[GootLoader](https://www.blackberry.com/us/en/solutions/endpoint-security/ransomware-protection/gootloader), active since late 2020, is a first-stage downloader that's capable of delivering a wide range of secondary payloads such as Cobalt Strike and ransomware.


It notably [employs](https://thehackernews.com/2023/01/gootkit-malware-continues-to-evolve.html) search engine optimization (SEO) poisoning to funnel victims searching for business-related documents toward drive-by download sites that drop the JavaScript malware.


In the [campaign](https://www.esentire.com/blog/hackers-attack-employees-from-six-law-firms-with-the-gootloader-and-socgholish-malware-using-fake-legal-agreements-and-malicious-watering-hole-s-reports-esentire) detailed by cybersecurity company eSentire, the threat actors are said to have compromised legitimate, but vulnerable, WordPress websites and added new blog posts without the owners' knowledge.


"When the computer user navigates to one of these malicious web pages and hits the link to download the purported business agreement, they are unknowingly downloading GootLoader," eSentire researcher Keegan Keplinger [said](https://thehackernews.com/2022/01/gootloader-hackers-targeting-employees.html) in January 2022.


[![GootLoader and FakeUpdates Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEik38AF4rR81USVfeGtlhmkGwhkVObLOGJuOAIqsKJPjs4KNS42wdQ_fWYM-KSxyblLchlDw1dKV203n3z3WhXygjBosQWFFJ9qu4kGIfL0ZGHp2uEUJcxPhICjuhNSmM7cstUaA8atBd_6KwwPWMptwBHllDO4q91H2_A4xZ50LSoyHD3kzVaOr-Lv/s728-e365/emaillll.png)
The disclosure from eSentire is the latest in a wave of attacks that have utilized the Gootkit malware loader to breach targets.


GootLoader is far from the only JavaScript malware targeting business professionals and law firm employees. A separate set of attacks have also entailed the use of [SocGholish](https://malpedia.caad.fkie.fraunhofer.de/details/js.fakeupdates), which is a downloader capable of dropping more executables.


The infection chain is further significant for taking advantage of a website frequented by legal firms as a [watering hole](https://en.wikipedia.org/wiki/Watering_hole_attack) to distribute the malware.

 Another standout aspect of the twin intrusion sets in the absence of ransomware deployment, instead favoring hands-on activity, suggesting that the attacks could have diversified in scope to include espionage operations.


"Prior to 2021, email was the primary infection vector used by opportunistic threat actors," Keplinger said. From 2021 to 2023, browser-based attacks [...] have steadily been growing to compete with email as the primary infection vector."


"This has been largely thanks to GootLoader, SocGholish, [SolarMarker](https://thehackernews.com/2022/04/new-solarmarker-malware-variant-using.html), and recent campaigns [leveraging Google Ads](https://thehackernews.com/2023/02/hackers-using-google-ads-to-spread.html) to float top search results."



  





## Tags:


### Autogenerated tags:
gootloader malware socgholish esentire
