# DarkGate and PikaBot Malware Resurrect QakBot's Tactics in New Phishing Attacks
## New high-volume phishing campaigns mimic tactics of defunct QakBot trojan, hijacking email threads and using unique URLs to deliver DarkGate & PikaBot
## Information:

+ Link: https://thehackernews.com/2023/11/darkgate-and-pikabot-malware-resurrect.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 20 November 2023, 20:20
+ Date scraped: 20 November 2023, 15:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjKyHnDiM0DFY7v8TQdrF6tGUiCFkhsJwAyToTYbggoaW-F_rKqVTt5ZY_LT4d0kxDQLUVsC2Z1wu5Kb9DPk7dLslrPd1I2Uba9zzh5J0Z3FG0UZ24NnSN7TOhH2xSX9HUHbTef_o8KmbHz-2likocguzjwuTECNCQWoE-___y_oHJdXjwzhRbd91Gm2oKj/s728-rw-ft-e30/phishing.jpg)


Phishing campaigns delivering malware families such as DarkGate and PikaBot are following the same tactics previously used in attacks leveraging the now-defunct QakBot trojan.


"These include hijacked email threads as the initial infection, URLs with unique patterns that limit user access, and an infection chain nearly identical to what we have seen with QakBot delivery," Cofense [said](https://cofense.com/blog/are-darkgate-and-pikabot-the-new-qakbot/) in a report shared with The Hacker News.


"The malware families used also follow suit to what we would expect QakBot affiliates to use."


QakBot, also called QBot and Pinkslipbot, was [shut down](https://thehackernews.com/2023/08/fbi-dismantles-qakbot-malware-frees.html) as part of a coordinated law enforcement effort codenamed Operation Duck Hunt earlier this August.


The use of DarkGate and PikaBot in these campaigns is not surprising as they can both act as conduits to deliver additional payloads to compromised hosts, making them both an attractive option for cybercriminals.


PikaBot's parallels to QakBot were [previously highlighted](https://thehackernews.com/2023/06/new-mystic-stealer-malware-targets-40.html) by Zscaler in its analysis of the malware in May 2023, noting similarities in the "distribution methods, campaigns, and malware behaviors."


[![New Phishing Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhe_3b-2WxqaOygGyrv9NVwTLBaxnbRaFTPGGmoXzZfsxXd0rn8Q8sI1DyX4MR97VtU7nZZftz4VPrNOA5bjfUIJHvsd3W49x9L_0iq9CVfiU4XoIeJqLtJByK7MmpP5v1h4DdYWqsHajYeYfnBCLncnXt1W4ATp-QrtThX-FeG80e8FHufnJPhw8sY8M_t/s728-rw-ft-e30/phishing.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhe_3b-2WxqaOygGyrv9NVwTLBaxnbRaFTPGGmoXzZfsxXd0rn8Q8sI1DyX4MR97VtU7nZZftz4VPrNOA5bjfUIJHvsd3W49x9L_0iq9CVfiU4XoIeJqLtJByK7MmpP5v1h4DdYWqsHajYeYfnBCLncnXt1W4ATp-QrtThX-FeG80e8FHufnJPhw8sY8M_t/s728-rw-ft-e30/phishing.jpg)
[DarkGate](https://thehackernews.com/2023/10/vietnamese-hackers-target-uk-us-and.html), for its part, incorporates advanced techniques to evade detection by antivirus systems, alongside capabilities to log keystrokes, execute PowerShell, and implement a reverse shell that allows its operators to commandeer an infected host remotely.


"The connection is bidirectional, meaning the attackers can send commands and receive responses in real-time, enabling them to navigate the victim's system, exfiltrate data, or perform other malicious actions," Sekoia [said](https://blog.sekoia.io/darkgate-internals/) in a new technical report of the malware.


Cofense's analysis of the high-volume phishing campaign shows that it targets a wide range of sectors, with the attack chains propagating a booby-trapped URL pointing to a ZIP archive in hijacked email threads.


The ZIP archive contains a JavaScript dropper that, in turn, contacts a second URL to download and run either the DarkGate or PikaBot malware.


A noteworthy variant of the attacks has been observed taking advantage of Excel add-in ([XLL](https://thehackernews.com/2022/12/apt-hackers-turn-to-malicious-excel-add.html)) files in lieu of JavaScript droppers to deliver the final payloads.


"A successful DarkGate or PikaBot infection could lead to the delivery of advanced crypto mining software, reconnaissance tools, ransomware, or any other malicious file the threat actors wish to install on a victim's machine," Cofense said.


  





## Tags:


### Autogenerated tags:
malware darkgate pikabot qakbot cofense
