# Darknet's Largest Mobile Malware Marketplace Threatens Users Worldwide
## Cybersecurity researchers have shed light on InTheBox, the biggest darknet bazaar catering to mobile malware operators
## Information:

+ Link: https://thehackernews.com/2022/12/darknets-largest-mobile-malware.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 December 2022, 12:38
+ Date scraped: 06 December 2022, 13:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgcGjZ7VVT9SpIPc5PGDRzE8rgV9mrSqeI1sAzk8snC6vJE_DwiAk3aYyT7aobqSZ8KCmVjuBvh2N0FkuJxWWjLwOzUBe-SgrL8j2eV_BIKJc2TzcpmY_JPV-QkDATjW19zKzYo0w_r5LgUuWs7zq50gv_9FwXtRbNsVp4uQI58JapE0t7sLW9ydxXz/s728-e1000/web-injects.png)


Cybersecurity researchers have shed light on a darknet marketplace called **InTheBox** that's designed to specifically cater to mobile malware operators.


The actor behind the criminal storefront, believed to be available since at least January 2020, has been offering over 400 custom web injects grouped by geography that can be purchased by other adversaries looking to mount attacks of their own.


"The automation allows other bad actors to create orders to receive the most up to date web injects for further implementation into mobile malware," Resecurity [said](https://resecurity.com/blog/article/in-the-box-mobile-malware-webinjects-marketplace).


"InTheBox may be called the largest and probably the only one in its marketplace category providing high-quality web injects for popular types of mobile malware."


Web injects are [packages](https://www.recordedfuture.com/banking-web-injects) used in financial malware that leverage the adversary-in-the-browser (AitB) attack vector to serve malicious HTML or JavaScript code in the form of an overlay screen when victims launch a banking, crypto, payments, e-commerce, email, or social media app.


These pages typically resemble a legitimate bank login web page and prompt unwitting users to input confidential data such as credentials, payment card data, Social Security numbers (SSN), card verification value (CVV) that's then used to compromise the bank account and conduct fraud.


[![Mobile Malware Marketplace](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh95Z93cjiGcYbXvepO-aiVVXN7QyLzxlGYd3YoUetirSQefAhVf7CNIAAld5RGkxk9FAiAO16Yaz3OBGE5DkAlNrh2LWwh-aiSU0nbPvRHSyPYlG8yzrWkvFGf2U5crUX5vuIloNvXI8fMEZk4hd-6gVidshsixj4T4h2d07yDrEkZQwEaSnt5IVNg/s728-e1000/mobile-malware.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh95Z93cjiGcYbXvepO-aiVVXN7QyLzxlGYd3YoUetirSQefAhVf7CNIAAld5RGkxk9FAiAO16Yaz3OBGE5DkAlNrh2LWwh-aiSU0nbPvRHSyPYlG8yzrWkvFGf2U5crUX5vuIloNvXI8fMEZk4hd-6gVidshsixj4T4h2d07yDrEkZQwEaSnt5IVNg/s728-e100/mobile-malware.png)
InTheBox is accessible over the Tor anonymity network and advertises a variety of web inject templates for sale, with the listing accessible only after a customer is vetted by the administrator and the account is activated.


The web injects can be either purchased for $100 a month or as an "unlim" tier that enables the buyer to generate an unlimited number of injects during the subscription period. Costs for the unlim plan vary anywhere between $2,475 and $5,888 depending on the supported trojans.


Some of the Android banking trojans that are supported through the service include [Alien](https://thehackernews.com/2022/02/xenomorph-android-banking.html), [Cerberus](https://thehackernews.com/2019/08/cerberus-android-banking-trojan.html), [ERMAC](https://thehackernews.com/2021/09/new-android-malware-steals-financial.html) (and its successor [MetaDroid](https://twitter.com/_icebre4ker_/status/1534841878272671746)), [Hydra](https://thehackernews.com/2021/11/4-android-banking-trojan-campaigns.html), and [Octo](https://thehackernews.com/2022/07/over-dozen-android-apps-on-google-play.html), the California-based cybersecurity company said.


"The majority of high-demand injects is related to payment services including digital banking and cryptocurrency exchangers," the researchers said. "During November 2022, the actor arranged a significant update of close to 144 injects improving their visual design."


The development comes as Cyble disclosed a new malware-as-a-service (MaaS) operation named [DuckLogs](https://blog.cyble.com/2022/12/01/ducklogs-new-malware-strain-spotted-in-the-wild/) that's marketed for $69.99 for a lifetime access, giving threat actors the ability to harvest sensitive information, hijack cryptocurrency transactions, and remotely commandeer the machines.


  





## Tags:


### Autogenerated tags:
malware inthebox
