# Experts Detail New RCE Vulnerability Affecting Google Chrome Dev Channel
## Details released for a new critical remote code execution vulnerability affecting the Chrome dev channel and related Chromium-based web browsers.
## Information:

+ Link: https://thehackernews.com/2022/05/experts-detail-new-rce-vulnerability.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 27 May 2022, 16:14
+ Date scraped: 27 May 2022, 17:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgYCIITIqR1BvRI00mxTmUwuyW-21nkgyYeVX_nsGMDrrdlIjfRWP2XKoREmbamoTexo89-JeVvBa8-KkyKfCeOyQaM6xm7HPE2nGelRJGC9uYZcpAulI6At4Tp41vEzuBawyHmQWAr5q5VsfvRC-riWtk7UBG_ZwXCisj6hWfcjFm-wAsloXGhkYxp/s728-e1000/chrome.jpg)


Details have emerged about a recently patched critical remote code execution vulnerability in the V8 JavaScript and WebAssembly engine used in Google Chrome and Chromium-based browsers.


The issue relates to a case of use-after-free in the instruction optimization component, successful exploitation of which could "allow an attacker to execute arbitrary code in the context of the browser."


The flaw, which [was identified](https://chromium.googlesource.com/v8/v8/+/dc9ed94efdac30bdbe88e81f4cf08783c1dc952f) in the Dev channel version of Chrome 101, was reported to Google by Weibo Wang, a security researcher at Singapore cybersecurity company [Numen Cyber Technology](https://numencyber.com/#/home) and has since been quietly fixed by the company.


"This vulnerability occurs in the instruction selection stage, where the wrong instruction has been selected and resulting in memory access exception," [Wang said](https://medium.com/@numencyberlabs/zero-day-vulnerability-chromium-v8-js-engine-issue-1303458-use-after-free-in-x64-instruction-e874419436a6).


Use-after-free flaws [occur](https://cwe.mitre.org/data/definitions/416.html) when previous-freed memory is accessed, inducing undefined behavior and causing a program to crash, use corrupted data, or even achieve execution of arbitrary code.


What is more concerning is that the flaw can be exploited remotely via a specially designed website to bypass security restrictions and run arbitrary code to compromise the targeted systems.


[![chrome zero-day vulnerability](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgUjh85TZdFajGK9VG0FpSofusg1M7Kz5H47XAH4SkgLlYp5Jcq6tHmPOmbKUmbMO9T-ftHotnfqdO6vWxQx8XFPn0VEG3mhLdTeUn0muMNlQLKIlVk7Z3nnHqWorWMmc9ky2eZNH0_uJyflWLKF1KwVXdwkX2jNErk999rZxclk8IzTHwO9OqKkY4u/s728-e1000/chrome.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgUjh85TZdFajGK9VG0FpSofusg1M7Kz5H47XAH4SkgLlYp5Jcq6tHmPOmbKUmbMO9T-ftHotnfqdO6vWxQx8XFPn0VEG3mhLdTeUn0muMNlQLKIlVk7Z3nnHqWorWMmc9ky2eZNH0_uJyflWLKF1KwVXdwkX2jNErk999rZxclk8IzTHwO9OqKkY4u/s728-e100/chrome.jpg)
"This vulnerability can be further exploited using heap spraying techniques, and then leads to 'type confusion' vulnerability," Wang explained. "The vulnerability allows an attacker to control the function pointers or write code into arbitrary locations in memory, and ultimately lead to code execution."


The company has not yet disclosed the vulnerability via the [Chromium bug tracker](https://bugs.chromium.org/p/chromium/issues/detail?id=1303458) portal to give as many users as possible to install the patched version first. Also, Google does not assign CVE IDs for vulnerabilities found in non-stable Chrome channels.


Chrome users, especially developers who use the Dev edition of Chrome for testing to ensure that their applications are compatible with the latest Chrome features and API changes, should update to the latest available version of the software.


![chrome zero-day vulnerability](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh7aRchoRLI5-s_GLO9zwOaWOCb0g61xhScbcp94T95jG67oZJlTzzvByCaSTTIN_Y3NiTJjPeB0dmc3PPplENLwFdB-bIv9dyEYmcf7HPo2vUqkVgG9r03FMtqbYnTHLOZYRvGnH6F26udWfWPhYF4L5CVgByemfQF9Z86_JeMW66HQM0JZ5RAoKzN/s728-e1000/code.jpg)
This is not the first time use-after-free vulnerabilities have been discovered in V8. Google in 2021 addressed [seven such bugs](https://thehackernews.com/2021/12/update-google-chrome-to-patch-new-zero.html) in Chrome that have been exploited in real-world attacks. This year, it also fixed an actively exploited [use-after-free vulnerability](https://thehackernews.com/2022/02/new-chrome-0-day-bug-under-active.html) in the Animation component.


  





## Tags:


### Autogenerated tags:
google use-after-free
