# Experts Uncover the Identity of Mastermind Behind Golden Chickens Malware Service
## Cybersecurity researchers have uncovered the true identity of the threat actor behind the Golden Chickens malware-as-a-service.
## Information:

+ Link: https://thehackernews.com/2023/01/experts-uncover-identity-of-mastermind.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 27 January 2023, 13:50
+ Date scraped: 27 January 2023, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjmSzdLPpbW359ZP0oScb7joS6KJ3gp5jGBXNqWuA5LmHj-2OmwQnmvd0TtkxdJNGzZGTA8rTjH4pJPw918tlp-Rv8HPIUnnFaS77YLMh-lkAxcAZzfWXZcEFssPJxwpWaWu4X_D7uiH1-C53b9oXmXbRv-tDqwYwloVHtbxDvVxF_OPI3OJni0lkYe/s728-e3650/malware.png)


Cybersecurity researchers have discovered the real-world identity of the threat actor behind **Golden Chickens** malware-as-a-service, who goes by the online persona "badbullzvenom."


eSentire's Threat Response Unit (TRU), in an exhaustive report published following a 16-month-long investigation, [said](https://www.esentire.com/web-native-pages/unmasking-venom-spider) it "found multiple mentions of the badbullzvenom account being shared between two people."


The second threat actor, known as Frapstar, is said to identify themselves as "Chuck from Montreal," enabling the cybersecurity firm to piece together the criminal actor's digital footprint.


This includes his real name, pictures, home address, the names of his parents, siblings, and friends, along with his social media accounts and his interests. He is also said to be the sole proprietor of a small business that's run from his own home.


Golden Chickens, also known as [Venom Spider](https://malpedia.caad.fkie.fraunhofer.de/actor/venom_spider), is a malware-as-a-service (MaaS) provider that's linked to a variety of tools such as Taurus Builder, software to create malicious documents; and More\_eggs, a JavaScript downloader that's used to serve additional payloads.


The threat actor's cyber arsenal has been put to use by other prominent cybercriminal groups like [Cobalt Group](https://unit42.paloaltonetworks.com/unit42-new-techniques-uncover-attribute-cobalt-gang-commodity-builders-infrastructure-revealed/) (aka Cobalt Gang), [Evilnum](https://thehackernews.com/2022/12/hack-for-hire-group-targets-travel-and.html), and [FIN6](https://thehackernews.com/2021/04/hackers-targeting-professionals-with.html), all of which are estimated to have collectively caused losses totaling $1.5 billion.


[![Golden Chickens Malware Service](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj90vbtugYHNDaysaBYMTw_DNwG-Zto1OCt0PU7COaNDHxsWArh48R8VmYKPJJcuD79c2ImEXOV4SFeScSpNPSHChmlzKWfS8proXX95Mx3dFUrVvLRCjyoUaPAibr_pHIWX5yag5OgKwSNNzQu2PDpG06QVq9TBv8yJpokx_HBhmA0LZNVU79yP_JZ/s728-e365/hacker.png)
Past More\_eggs campaigns, some [dating back to 2017](https://www.trendmicro.com/en_us/research/17/h/backdoor-carrying-emails-set-sights-on-russian-speaking-businesses.html), have involved [spear-phishing](https://www.proofpoint.com/us/threat-insight/post/fake-jobs-campaigns-delivering-moreeggs-backdoor-fake-job-offers) [business professionals](https://www.esentire.com/security-advisories/hackers-spearphish-professionals-on-linkedin-with-fake-job-offers-infecting-them-with-malware-warns-esentire) on LinkedIn with bogus job offers that give threat actors remote control over the victim's machine, leveraging it to harvest information or deploy more malware.


Last year, in a [reversal](https://thehackernews.com/2022/04/hackers-sneak-moreeggs-malware-into.html) of sorts, the same tactics were employed to strike corporate hiring managers with resumes laden with malware as an infection vector.


The earliest documented record of Frapster's activity goes back to May 2015, when Trend Micro [described](https://blog.trendmicro.co.jp/archives/11529) the individual as a "lone criminal" and a luxury car enthusiast.


"'Chuck,' who uses multiple aliases for his underground forum, social media, and Jabber accounts, and the threat actor claiming to be from Moldova, have gone to great lengths to disguise themselves," eSentire researchers Joe Stewart and Keegan Keplinger said.

 "They have also taken great pains to obfuscate the Golden Chickens malware, trying to make it undetectable by most AV companies, and limiting customers to using Golden Chickens for ONLY targeted attacks."


It's suspected that Chuck is one of the two threat actors operating the badbullzvenom account on the Exploit.in underground forum, with the other party possibly located in Moldova or Romania, eSentire noted.


The Canadian cybersecurity company said it further uncovered a new attack campaign targeting e-commerce companies, tricking recruiters into downloading a rogue Windows shortcut file from a website that masquerades as a resume.


The shortcut, a malware dubbed VenomLNK, serves as an initial access vector to drop More\_eggs or TerraLoader, which subsequently acts as a conduit to deploy different modules, namely TerraRecon (for victim profiling), TerraStealer (for information theft), and TerraCrypt (for ransomware extortion).


"The malware suite is still actively being developed and is being and sold to other threat actors," the researchers concluded, urging organizations to be on the lookout for potential phishing attempts.


  





## Tags:


### Autogenerated tags:
malware cybersecurity badbullzvenom esentire more_eggs
