# Experts Warn of Browser Extensions Spying On Users via Cloud9 Chrome Botnet Network
## Researchers have linked the hacker group "Keksec" to a new campaign that uses malicious Chromium-based browser extensions to spy on hacked computers.
## Information:

+ Link: https://thehackernews.com/2022/11/experts-warn-of-browser-extensions.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 November 2022, 11:01
+ Date scraped: 09 November 2022, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgvbCjNnYeHS8MYJmhXmgowPqu5E1oCuuaQ0-QyEIu_rel2SqB_27pFL25wtriF0AlRCGAOBej0gCj4qNRrbQrUbMznuqzil0Q7HALOhEk1vylD4Bbw-8c7IwVWl3t0b2UVGUsEBzdHebRmv_AOVpNXEbSYrvTvfewUWpAX6ZQOd9bpoPEpnSt6hde3/s728-e1000/flash.jpg)


The Keksec threat actor has been linked to a previously undocumented malware strain, which has been observed in the wild masquerading as an extension for Chromium-based web browsers to enslave compromised machines into a botnet.


Called **Cloud9** by security firm Zimperium, the malicious browser add-on comes with a wide range of features that enables it to siphon cookies, log keystrokes, inject arbitrary JavaScript code, mine crypto, and even enlist the host to carry out DDoS attacks.


The extension "not only steals the information available during the browser session but can also install malware on a user's device and subsequently assume control of the entire device," Zimperium researcher Nipun Gupta [said](https://www.zimperium.com/blog/the-case-of-cloud9-chrome-botnet/) in a new report.


The JavaScript botnet isn't distributed via Chrome Web Store or Microsoft Edge Add-ons, but rather through fake executables and rogue websites disguised as Adobe Flash Player updates.


Once installed, the extension is designed to inject a JavaScript file called "campaign.js" on all pages, meaning the malware could also operate as a standalone piece of code on any website, legitimate or otherwise, potentially leading watering hole attacks.


The JavaScript code takes responsibility for cryptojacking operations, abusing the victim's computing resources to illicitly mine cryptocurrencies, as well as inject a second script named "cthulhu.js."


This attack chain, in turn, exploits flaws in web browsers such as Mozilla Firefox ([CVE-2019-11708](https://nvd.nist.gov/vuln/detail/CVE-2019-11708), [CVE-2019-9810](https://nvd.nist.gov/vuln/detail/cve-2019-9810)), Internet Explorer ([CVE-2014-6332](https://nvd.nist.gov/vuln/detail/CVE-2014-6332), [CVE-2016-0189](https://nvd.nist.gov/vuln/detail/CVE-2016-0189)), and Edge ([CVE-2016-7200](https://nvd.nist.gov/vuln/detail/CVE-2016-7200)) to escape the browser sandbox and deploy malware on the system.


The script further acts as a keylogger and a conduit for launching additional commands received from a remote server, allowing it to steal clipboard data, browser cookies, and launching [layer 7 DDoS attacks](https://www.cloudflare.com/learning/ddos/application-layer-ddos-attack/) against any domain.


Zimperium attributed the malware to a threat actor tracked as [Keksec](https://thehackernews.com/2022/04/new-enemybot-ddos-botnet-borrows.html) (aka Kek Security, Necro, and FreakOut), which has a history of developing a wide range of botnet malware, including [EnemyBot](https://thehackernews.com/2022/05/enemybot-linux-botnet-now-exploits-web.html), for crypto mining and DDoS operations.


The connection to Keksec comes from overlaps in the domains that were previously identified as used by the malware group.


The fact that Cloud9 is JavaScript-based and is offered either for free or a small fee on hacker forums makes it possible for less-skilled cybercriminals to get easy access to low-cost options for launching attacks targeting different browsers and operating systems.


The disclosure comes over three months after Zimperium discovered a malicious browser add-on dubbed [ABCsoup](https://thehackernews.com/2022/07/experts-uncover-350-browser-extension.html) that posed as a Google Translate tool to strike Russian users of Google Chrome, Opera, and Mozilla Firefox browsers.


"Users should be trained on the risks associated with browser extensions outside of official repositories, and enterprises should consider what security controls they have in place for such risks," Gupta said.


  





## Tags:
***CVE's***: CVE-2016-0189 CVE-2016-7200 CVE-2019-11708 CVE-2019-9810 CVE-2014-6332

### Autogenerated tags:
malware zimperium javascript keksec botnet ddos
