# Fresh Wave of Malicious npm Packages Threaten Kubernetes Configs and SSH Keys
## Beware of npm imposters! 14 fraudulent packages found in the registry, posing as legit tools. They aim to steal your Kubernetes configs and SSH keys.
## Information:

+ Link: https://thehackernews.com/2023/09/fresh-wave-of-malicious-npm-packages.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 20 September 2023, 15:43
+ Date scraped: 20 September 2023, 11:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiwrGp_cYI-VK0ynnLw1gtDXpPUl9vMoKmYoQVP37NY9WXqbBI7HsgJB--g2xy1YA8D5-V4iuW27xq7zZqu3N-qyYOMTDjFdZiIxsljci4KqzW_xLB8lqv_jWQSSmnWTyIU6bvGiAHt02zWTWPp02EKONbRpoluIyqrPPTk6IBDIfrZd548tVkIJLwdh2p2/s728-e3650/malware.jpg)


Cybersecurity researchers have discovered a fresh batch of malicious packages in the npm package registry that are designed to exfiltrate Kubernetes configurations and SSH keys from compromised machines to a remote server.


Sonatype said it has discovered 14 different npm packages so far: @am-fe/hooks, @am-fe/provider, @am-fe/request, @am-fe/utils, @am-fe/watermark, @am-fe/watermark-core, @dynamic-form-components/mui, @dynamic-form-components/shineout, @expue/app, @fixedwidthtable/fixedwidthtable, @soc-fe/use, @spgy/eslint-plugin-spgy-fe, @virtualsearchtable/virtualsearchtable, and shineouts.


"These packages [...] attempt to impersonate JavaScript libraries and components, such as ESLint plugins and TypeScript SDK tools," the software supply chain security firm [said](https://blog.sonatype.com/npm-packages-caught-exfiltrating-kubernetes-config-ssh-keys). "But, upon installation, multiple versions of the packages were seen running obfuscated code to collect and siphon sensitive files from the target machine."


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
Along with Kubernetes config and SSH keys, the modules are also capable of harvesting system metadata such as username, IP address, and hostname, all of which are transmitted to a domain named app.threatest[.]com.


The disclosure comes a little over a week after Sonatype [detected](https://blog.sonatype.com/new-npm-poc-packages-target-paypal-zettle-airbnb-developers) counterfeit npm packages that exploit a technique known as [dependency confusion](https://thehackernews.com/2023/01/pytorch-machine-learning-framework.html) to impersonate internal packages purportedly used by PayPal Zettle and Airbnb developers as part of an ethical research experiment.


That said, threat actors [continue to target](https://thehackernews.com/2023/08/developers-beware-malicious-rust.html) [open-source registries](https://thehackernews.com/2023/08/north-korean-hackers-deploy-new.html) like npm and PyPI with cryptojackers, infostealers, and other novel malware to compromise developer systems and ultimately poison the software supply chain.


In one instance highlighted by Phylum earlier this month, an npm module named hardhat-gas-report remained benign for more than eight months since January 6, 2023, before receiving two back-to-back updates on September 1, 2023, to include malicious JavaScript capable of exfiltrating Ethereum private keys copied to the clipboard to a remote server.


"This targeted approach indicates a sophisticated understanding of cryptocurrency security and suggests that the attacker is aiming to capture and exfiltrate sensitive cryptographic keys for unauthorized access to Ethereum wallets or other secured digital assets," the company [said](https://blog.phylum.io/dormant-npm-package-update-targets-ethereum-private-keys/).


UPCOMING WEBINAR[Level-Up SaaS Security: A Comprehensive Guide to ITDR and SSPM](https://thehacker.news/itdr-saas?source=inside)Stay ahead with actionable insights on how ITDR identifies and mitigates threats. Learn about the indispensable role of SSPM in ensuring your identity remains unbreachable.

[Supercharge Your Skills](https://thehacker.news/itdr-saas?source=inside)
Another case of an [attempted supply chain attack](https://blog.phylum.io/cryptocurrency-miner-masquerading-as-gcc-compiler-found-in-npm-package/) involved a crafty npm package called gcc-patch that masquerades as a bespoke [GCC compiler](https://en.wikipedia.org/wiki/GNU_Compiler_Collection) but actually harbors a cryptocurrency miner that "covertly taps into the computational power of innocent developers, aiming to profit at their expense."


What's more, such campaigns have diversified to span the Javascript (npm), Python (PyPI) and Ruby (RubyGems) ecosystems, what with threat actors uploading several packages with data collection and exfiltration capabilities and following it up by publishing new versions carrying malicious payloads.


The campaign specifically targets Apple macOS users, indicating that malware in open-source package repositories is not only becoming increasingly prevalent, but are also singling out other operating systems beyond Windows.


"The author of these packages is staging a broad campaign against software developers," Phylum [noted](https://blog.phylum.io/malware-campaign-targets-npm-pypi-and-rubygems-developers/) in an analysis. "The end goal of this campaign remains unclear."


  





## Tags:
***urls***: http://app.threatest.com

### Autogenerated tags:
npm javascript
