# From Watering Hole to Spyware: EvilBamboo Targets Tibetans, Uyghurs, and Taiwanese
## EvilBamboo tactics exposed: Targets sensitive data from Tibetan, Uyghur, and Taiwanese organizations.
## Information:

+ Link: https://thehackernews.com/2023/09/from-watering-hole-to-spyware.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 25 September 2023, 16:04
+ Date scraped: 25 September 2023, 11:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjO8f0IQgRIV39exeUCXdrsGa2d0CZ54sephj86HuUeAZejDQMSDFai2q8fgpIJ8o-U0_iWuxpVYhWX24Nm4Jds2WW-KJC5U1yf9zIHxip_1scsbv2oEo0uWDXE_oxM_xDGlX6F3s1AzEI8BAKhWt3KMdHLzIVyNDymEQO8FFnS--rPXYaSLZDektHvY_ks/s728-e3650/cyberattack.jpg)


Tibetan, Uyghur, and Taiwanese individuals and organizations are the targets of a persistent campaign orchestrated by a threat actor codenamed **EvilBamboo** to gather sensitive information.


"The attacker has created fake Tibetan websites, along with social media profiles, likely used to deploy browser-based exploits against targeted users," Volexity security researchers Callum Roxan, Paul Rascagneres, and Thomas Lancaster said in a [report](https://www.volexity.com/blog/2023/09/22/evilbamboo-targets-mobile-devices-in-multi-year-campaign/) published last week.


"Partly through impersonating existing popular communities, the attacker has built communities on online platforms, such as Telegram, to aid in distribution of their malware."


EvilBamboo, formerly tracked by the cybersecurity firm under the name Evil Eye, has been linked to multiple attack waves [since at least 2019](https://thenextweb.com/news/uyghur-muslims-targeted-by-surveillance-campaign-affected-not-just-ios-but-android-too), with the threat actor leveraging watering hole attacks to deliver spyware targeting Android and iOS devices. It's also known as Earth Empusa and POISON CARP.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjPYBKMZbU-7Y7Kg3jq6dgh_5dNBqpJMQZyBnu7A58Cl9-Hf3Zqlp6O7GKltaeaspPcedrN2-3WCGOvSx55C92iJOqEdWBLCE6RGwVakDy6TsH2P4xv2Vcu4oSW3hat-7_q1c_MTiOdDXb3niTcU9DAgkJ__W9jQIcIDRZOA7cx6KqCxchAOHDOf8wyQIda/s728-e365/bb-d.png)](https://go.thn.li/IV)
The intrusions directed against the Apple mobile operating system leveraged a then-zero-day vulnerability in the WebKit browser engine that was patched by Apple in early 2019 to deliver a spyware strain called [Insomnia](https://thehackernews.com/2020/04/iphone-zero-day-exploit.html). Meta, in March 2021, said it [detected](https://thehackernews.com/2021/03/chinese-hackers-used-facebook-to-hack.html) the threat actor abusing its platforms to distribute malicious websites hosting the malware.


The group is also known to use Android malware such as ActionSpy and PluginPhantom to harvest valuable data from compromised devices under the guise of dictionary, keyboard, and prayer apps made available on third-party app stores.


The latest findings from Volexity attribute to EvilBamboo three new Android espionage tools, namely BADBAZAAR, BADSIGNAL, and BADSOLAR, the first of which was [documented](https://thehackernews.com/2022/11/experts-uncover-two-long-running.html) by Lookout in November 2022.


[![Spyware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgmse7xzcg3Xbb0AEl6yVwqVaKLtn0_xjuyT3Yo3qtli-VAnE-Vt1O91mDuvpjVjZNRKwWJ04Uvq7koLzoH28kDpFS5ZbvOFkYoW0NUrJytVYxs_nwhtsKxE9I_O41kDrdGuqcrP7Ngeo-WWZxh8um0ZxrdpMHnQlNvZAzOXYQC0pNpfdqRCUR7QRt3zJn5/s728-e3650/img.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgmse7xzcg3Xbb0AEl6yVwqVaKLtn0_xjuyT3Yo3qtli-VAnE-Vt1O91mDuvpjVjZNRKwWJ04Uvq7koLzoH28kDpFS5ZbvOFkYoW0NUrJytVYxs_nwhtsKxE9I_O41kDrdGuqcrP7Ngeo-WWZxh8um0ZxrdpMHnQlNvZAzOXYQC0pNpfdqRCUR7QRt3zJn5/s728-e365/img.jpg)
A subsequent report from ESET last month [detailed](https://thehackernews.com/2023/08/china-linked-badbazaar-android-spyware.html) two trojanized apps masquerading as Signal and Telegram on the Google Play Store to entice users into installing BADSIGNAL. While the Slovak cybersecurity firm assigned the bogus to the BADBAZAAR family, citing code similarities, Volexity said, "they also appear to be divergent in their development and functionality."


Attack chains used to distribute the malware families entail the use of APK sharing forums, fake websites advertising Signal, Telegram, and WhatsApp, Telegram channels devoted to sharing Android apps, and a set of [bogus profiles](https://github.com/volexity/threat-intel/blob/main/2023/2023-09-22%20EvilBamboo/attachments/evilbamboo-distribution.csv) on Facebook, Instagram, Reddit, X (formerly Twitter), and YouTube.


"The Telegram variants implement the same API endpoints as the Signal variants to gather information from the device and they implement a proxy," the researchers said, adding it identified endpoints indicating the existence of an iOS version of BADSIGNAL.


One of the Telegram channels is also said to have contained a link to an iOS application named TibetOne that's no longer available in the Apple App Store.


UPCOMING WEBINAR[Fight AI with AI — Battling Cyber Threats with Next-Gen AI Tools](https://thehacker.news/ai-cyberattacks?source=inside)Ready to tackle new AI-driven cybersecurity challenges? Join our insightful webinar with Zscaler to address the growing threat of generative AI in cybersecurity.

[Learn, Connect, Grow](https://thehacker.news/ai-cyberattacks?source=inside)
Messages shared via the Telegram groups have also been used to distribute applications backdoored with the BADSOLAR malware as well as booby-trapped links that, when visited, run malicious JavaScript to profile and fingerprint the system.


While BADBAZAAR is mainly used to target Uyghur and other individuals of the Muslim faith, BADSOLAR appears to be used primarily with apps that are Tibetan-themed. However, both strains incorporate their malicious capabilities in the form of a second stage that's retrieved from a remote server.


BADSOLAR's second-stage malware is also a fork of an open-source Android remote access trojan called [AndroRAT](https://github.com/karma9874/AndroRAT). BADSIGNAL, in contrast, packs all of its information-gathering functions in the main package itself.


"These campaigns largely rely on users installing backdoored apps, which highlights both the importance of only installing apps from trusted authors and the lack of effective security mechanisms to stop backdoored apps making their way on to official app stores," the researchers said.


"EvilBamboo's creation of fake websites, and the personas tailored to the specific groups they target, has been a key aspect of their operations, enabling them to build trusted communities that provide further avenues to target individuals with their spyware or for other exploitation."


  





## Tags:


### Autogenerated tags:
apps malware android evilbamboo websites badsignal badsolar volexity cybersecurity spyware
