# Google Detects 4th Chrome Zero-Day in May Actively Under Attack - Update ASAP
## Attention Chrome users! Google has released fixes for a high-severity security flaw (CVE-2024-5274) that has been actively exploited in the wild.
## Information:

+ Link: https://thehackernews.com/2024/05/google-detects-4th-chrome-zero-day-in.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 24 May 2024, 15:40
+ Date scraped: 24 May 2024, 11:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgQY2j1dSbQkHtYem6znrRSPDop8X-YNX_3H9RaQAs5Dn65HrCGJWW8mCPZJrbJL-5AEQ5yL0kt84CDrCXxu73n9Eo2q37km-dMyseVRXab0FvdlKBVYKKG3_-sSB_VXEu-5Ukc3AnOdVrm7Ox9nSnCxTdzhmwInkQI33wu_qHWteY7VmQxIPdrwaBUkoEZ/s728-rw-e365/chrome.png)


Google on Thursday rolled out fixes to address a high-severity security flaw in its Chrome browser that it said has been exploited in the wild.


Assigned the CVE identifier **CVE-2024-5274**, the vulnerability relates to a type confusion bug in the V8 JavaScript and WebAssembly engine. It was reported by Clément Lecigne of Google's Threat Analysis Group and Brendon Tiszka of Chrome Security on May 20, 2024.


[Type confusion vulnerabilities](https://cwe.mitre.org/data/definitions/843.html) occur when a program attempts to access a resource with an incompatible type. It can have [serious consequences](https://www.microsoft.com/en-us/security/blog/2015/06/17/understanding-type-confusion-vulnerabilities-cve-2015-0336/) as it allows threat actors to perform out-of-bounds memory access, cause a crash, and execute arbitrary code.


The development marks the fourth zero-day that Google has patched since the start of the month after [CVE-2024-4671](https://thehackernews.com/2024/05/chrome-zero-day-alert-update-your.html), [CVE-2024-4761](https://thehackernews.com/2024/05/new-chrome-zero-day-vulnerability-cve.html), and [CVE-2024-4947](https://thehackernews.com/2024/05/google-patches-yet-another-actively.html).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The tech giant did not disclose additional technical details about the flaw, but [acknowledged](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_23.html) that it "is aware that an exploit for CVE-2024-5274 exists in the wild." It's not clear if the shortcoming is a patch bypass for CVE-2024-4947, which is also a type confusion bug in V8.


With the latest fix, Google has resolved a total of eight zero-days have been resolved by Google in Chrome since the start of the year -


* **[CVE-2024-0519](https://thehackernews.com/2024/01/zero-day-alert-update-chrome-now-to-fix.html)** - Out-of-bounds memory access in V8
* **[CVE-2024-2886](https://chromereleases.googleblog.com/2024/03/stable-channel-update-for-desktop_26.html)** - Use-after-free in WebCodecs (demonstrated at Pwn2Own 2024)
* **[CVE-2024-2887](https://chromereleases.googleblog.com/2024/03/stable-channel-update-for-desktop_26.html)** - Type confusion in WebAssembly (demonstrated at Pwn2Own 2024)
* **[CVE-2024-3159](https://chromereleases.googleblog.com/2024/04/stable-channel-update-for-desktop.html)** - Out-of-bounds memory access in V8 (demonstrated at Pwn2Own 2024)
* **[CVE-2024-4671](https://thehackernews.com/2024/05/chrome-zero-day-alert-update-your.html)** - Use-after-free in Visuals
* **[CVE-2024-4761](https://thehackernews.com/2024/05/new-chrome-zero-day-vulnerability-cve.html)** - Out-of-bounds write in V8
* **[CVE-2024-4947](https://thehackernews.com/2024/05/google-patches-yet-another-actively.html)** - Type confusion in V8


Users are recommended to upgrade to Chrome version 125.0.6422.112/.113 for Windows and macOS, and version 125.0.6422.112 for Linux to mitigate potential threats.


Users of Chromium-based browsers such as Microsoft Edge, Brave, Opera, and Vivaldi are also advised to apply the fixes as and when they become available.

 
  





## Tags:
***CVE's***: CVE-2024-5274 CVE-2024-3159 CVE-2024-4947 CVE-2024-2887 CVE-2024-2886 CVE-2024-0519 CVE-2024-4671 CVE-2024-4761

### Autogenerated tags:
v8 google out-of-bounds cve-2024-4947 pwn2own
