# Google Issues Urgent Chrome Update to Patch Actively Exploited Zero-Day Vulnerability
## Google has rolled out an urgent out-of-band update to the Chrome browser for millions of Windows, macOS and Linux users to patch a zero-day flaw.
## Information:

+ Link: https://thehackernews.com/2022/03/google-issues-urgent-chrome-update-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 26 March 2022, 02:11
+ Date scraped: 26 March 2022, 03:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhe4kI4fPWEvYG9ia8i9jo4TGUExUqxfVYERYGlXDOHtolech2eDZ1t68Ygq-Rm2KyDOptmayUsQQ8KWRS6YLPsnNM81pe5p-m9VRQ3jW80R7QesFXZ6BrtdfsBk9_pvdaAJUbvRR8si8Ro0mR-XltTDsPJ-2gNPRTn6yVm8yNWyn9cPdTUYrX5TsGA/s728-e100/chrome-update.jpg)


Google on Friday shipped an out-of-band security update to address a high severity vulnerability in its Chrome browser that it said is being actively exploited in the wild.


Tracked as [**CVE-2022-1096**](https://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop_25.html), the zero-day flaw relates to a type confusion vulnerability in the V8 JavaScript engine. An anonymous researcher has been credited with reporting the bug on March 23, 2022.


Type confusion errors, which arise when a resource (e.g., a variable or an object) is accessed using a type that's incompatible to what was originally initialized, could have serious consequences in languages that are not [memory safe](https://en.wikipedia.org/wiki/Memory_safety) like C and C++, enabling a malicious actor to perform out-of-bounds memory access.


"When a memory buffer is accessed using the wrong type, it could read or write memory out of the bounds of the buffer, if the allocated buffer is smaller than the type that the code is attempting to access, leading to a crash and possibly code execution," MITRE's Common Weakness Enumeration (CWE) [explains](https://cwe.mitre.org/data/definitions/843.html).


The tech giant acknowledged it's "aware that an exploit for CVE-2022-1096 exists in the wild," but stopped short of sharing additional specifics so as to prevent further exploitation and until a majority of users are updated with a fix.


CVE-2022-1096 is the second zero-day vulnerability addressed by Google in Chrome since the start of the year, the first being [CVE-2022-0609](https://thehackernews.com/2022/02/new-chrome-0-day-bug-under-active.html), a use-after-free vulnerability in the Animation component that was patched on February 14, 2022.


Earlier this week, Google's Threat Analysis Group (TAG) [disclosed](https://thehackernews.com/2022/03/north-korean-hackers-exploited-chrome.html) details of a twin campaign staged by North Korean nation-state groups that weaponized the flaw to strike U.S. based organizations spanning news media, IT, cryptocurrency, and fintech industries.


Google Chrome users are highly recommended to update to the latest version 99.0.4844.84 for Windows, Mac, and Linux to mitigate any potential threats. Users of Chromium-based browsers such as Microsoft Edge, Opera, and Vivaldi are also advised to apply the fixes as and when they become available.


  





## Tags:
***CVE's***: CVE-2022-1096 CVE-2022-0609

### Autogenerated tags:
google cve-2022-1096
