# Google Patches Yet Another Actively Exploited Chrome Zero-Day Vulnerability
## Google fixes critical zero-day vulnerability in Chrome. CVE-2024-4947, a type confusion bug in the V8 JavaScript engine, has been actively exploited b
## Information:

+ Link: https://thehackernews.com/2024/05/google-patches-yet-another-actively.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 16 May 2024, 08:31
+ Date scraped: 16 May 2024, 04:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgbF8wx_xuLZ51MTHpCOGdzhN7uoQqeUv9WnoyH1_pZ-84rV1BgjxUr1NQfMiogwJkoUXmvki27jHE-xRC-GwTpFEPuxTASdjeQIpdevA628w8I8Ufh-AHtkuK9jXo7CYdSxpqCjW8pFMP71VTdcutUPOQOZeexKjkzZi5vhypW952FbL8uw07mq-NMQF77/s728-rw-e365/chrome.png)


Google has rolled out fixes to address a set of nine security issues in its Chrome browser, including a new zero-day that has been exploited in the wild.


Assigned the CVE identifier **CVE-2024-4947**, the vulnerability relates to a type confusion bug in the V8 JavaScript and WebAssembly engine. It was reported by Kaspersky researchers Vasily Berdnikov and Boris Larin on May 13, 2024.


[Type confusion vulnerabilities](https://cwe.mitre.org/data/definitions/843.html) arise when a program attempts to access a resource with an incompatible type. It can have [serious impacts](https://www.microsoft.com/en-us/security/blog/2015/06/17/understanding-type-confusion-vulnerabilities-cve-2015-0336/) as it allows threat actors to perform out-of-bounds memory access, cause a crash, and execute arbitrary code.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The development marks the third zero-day that Google has patched within a week after [CVE-2024-4671](https://thehackernews.com/2024/05/chrome-zero-day-alert-update-your.html) and [CVE-2024-4761](https://thehackernews.com/2024/05/new-chrome-zero-day-vulnerability-cve.html).


As is typically the case, no additional details about the attacks are available and have been withheld to prevent further exploitation. "Google is aware that an exploit for CVE-2024-4947 exists in the wild," the company [said](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_15.html).


With CVE-2024-4947, a total of seven zero-days have been resolved by Google in Chrome since the start of the year -


* **[CVE-2024-0519](https://thehackernews.com/2024/01/zero-day-alert-update-chrome-now-to-fix.html)** - Out-of-bounds memory access in V8
* **[CVE-2024-2886](https://chromereleases.googleblog.com/2024/03/stable-channel-update-for-desktop_26.html)** - Use-after-free in WebCodecs (demonstrated at Pwn2Own 2024)
* **[CVE-2024-2887](https://chromereleases.googleblog.com/2024/03/stable-channel-update-for-desktop_26.html)** - Type confusion in WebAssembly (demonstrated at Pwn2Own 2024)
* **[CVE-2024-3159](https://chromereleases.googleblog.com/2024/04/stable-channel-update-for-desktop.html)** - Out-of-bounds memory access in V8 (demonstrated at Pwn2Own 2024)
* **[CVE-2024-4671](https://thehackernews.com/2024/05/chrome-zero-day-alert-update-your.html)** - Use-after-free in Visuals
* **[CVE-2024-4761](https://thehackernews.com/2024/05/new-chrome-zero-day-vulnerability-cve.html)** - Out-of-bounds write in V8


Users are recommended to upgrade to Chrome version 125.0.6422.60/.61 for Windows and macOS, and version 125.0.6422.60 for Linux to mitigate potential threats.


Users of Chromium-based browsers such as Microsoft Edge, Brave, Opera, and Vivaldi are also advised to apply the fixes as and when they become available.

 
  





## Tags:
***CVE's***: CVE-2024-2886 CVE-2024-4947 CVE-2024-4671 CVE-2024-0519 CVE-2024-2887 CVE-2024-3159 CVE-2024-4761

### Autogenerated tags:
google v8 out-of-bounds cve-2024-4947 pwn2own
