# Google Releases Urgent Chrome Update to Fix Actively Exploited Zero-Day Vulnerability
## Google addresses actively exploited Chrome zero-day flaw (CVE-2023-2033) in an out-of-band update
## Information:

+ Link: https://thehackernews.com/2023/04/google-releases-urgent-chrome-update-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 15 April 2023, 03:58
+ Date scraped: 15 April 2023, 05:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg1CUbcQScbnTemjH3z-9z7l3lye-ZJqruEuNRoONKxyXz0UkWl_skXsdzuxg5Cyw6VemvnadXx5JVa-UgtYCu3ALMbFcng4yzhHI3pVtvVU9eqkmGx2H7nPIMkGapwSvVPx5HY2ASP51LVelcKSJzC0nGN6Hzq-5upm_ZDqq02Ljx_s0wB8inyj242/s728-e3650/google-chrome.png)


Google on Friday released out-of-band updates to resolve an actively exploited zero-day flaw in its Chrome web browser, making it the first such bug to be addressed since the start of the year.


Tracked as **CVE-2023-2033**, the high-severity vulnerability has been described as a [type confusion issue](https://cwe.mitre.org/data/definitions/843.html) in the V8 JavaScript engine. Clement Lecigne of Google's Threat Analysis Group (TAG) has been credited with reporting the issue on April 11, 2023.


"Type confusion in V8 in Google Chrome prior to 112.0.5615.121 allowed a remote attacker to potentially exploit heap corruption via a crafted HTML page," [according](https://nvd.nist.gov/vuln/detail/CVE-2023-2033) to the NIST's National Vulnerability Database (NVD).


The tech giant [acknowledged](https://chromereleases.googleblog.com/2023/04/stable-channel-update-for-desktop_14.html) that "an exploit for CVE-2023-2033 exists in the wild," but stopped short of sharing additional technical specifics or indicators of compromise (IoCs) to prevent further exploitation by threat actors.


CVE-2023-2033 also appears to share similarities with [CVE-2022-1096](https://thehackernews.com/2022/03/google-issues-urgent-chrome-update-to.html), [CVE-2022-1364](https://thehackernews.com/2022/04/google-releases-urgent-chrome-update-to.html), [CVE-2022-3723](https://thehackernews.com/2022/10/google-issues-urgent-chrome-update-to.html), and [CVE-2022-4262](https://thehackernews.com/2022/12/google-rolls-out-new-chrome-browser.html) – four other actively abused type confusion flaws in V8 that were remediated by Google in 2022.


Google closed out a total of nine zero days in Chrome last year. The development comes days after Citizen Lab and Microsoft [disclosed](https://thehackernews.com/2023/04/israel-based-spyware-firm-quadream.html) the exploitation of a now-patched flaw in Apple iOS by customers of a shadowy spyware vendor named QuaDream to target journalists, political opposition figures, and an NGO worker in 2021.


Users are recommended to upgrade to version 112.0.5615.121 for Windows, macOS, and Linux to mitigate potential threats. Users of Chromium-based browsers such as Microsoft Edge, Brave, Opera, and Vivaldi are also advised to apply the fixes as and when they become available.



  





## Tags:
***CVE's***: CVE-2023-2033 CVE-2022-4262 CVE-2022-3723 CVE-2022-1364 CVE-2022-1096

### Autogenerated tags:
google cve-2023-2033 v8
