# Google Rolls Out New Chrome Browser Update to Patch Yet Another Zero-Day Vulnerability
## Google just rolled out a patch update for yet another zero-day vulnerability that attackers are exploiting in the wild.
## Information:

+ Link: https://thehackernews.com/2022/12/google-rolls-out-new-chrome-browser.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 December 2022, 04:41
+ Date scraped: 03 December 2022, 05:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi3-1t-O1Y4Oqvj24RGfItVIc7r4d1BOuWfRH4xG5ilh6GX83VydcDH0Fs1xqW5JUvFrpLzvA9ifqmf2lHts3lgA5VStlmb7c1Msk0yFUv5qzEgEjiU3_EPqVJlK4Z6uzMUFoKmnDAHWtOXsYNv7vEG8yG9H-NwH46z-Z7nAKiihKDF7bzl_Y20QXxS/s728-e1000/chrome.png)


Search giant Google on Friday released an out-of-band security update to fix a new actively exploited zero-day flaw in its Chrome web browser.


The high-severity flaw, tracked as [CVE-2022-4262](https://chromereleases.googleblog.com/2022/12/stable-channel-update-for-desktop.html), concerns a type confusion bug in the V8 JavaScript engine. Clement Lecigne of Google's Threat Analysis Group (TAG) has been credited with reporting the issue on November 29, 2022.


Type confusion vulnerabilities could be weaponized by threat actors to perform out-of-bounds memory access, or lead to a crash and arbitrary code execution.


According to the NIST's National Vulnerability Database, the flaw [permits](https://nvd.nist.gov/vuln/detail/CVE-2022-4262) a "remote attacker to potentially exploit heap corruption via a crafted HTML page."


Google acknowledged active exploitation of the vulnerability but stopped short of sharing additional specifics to prevent further abuse.


CVE-2022-4262 is the fourth actively exploited type confusion flaw that Google has addressed since the start of the year. It's also the ninth zero-day flaw in Chrome attackers have exploited in the wild in 2022 -


* [**CVE-2022-0609**](https://thehackernews.com/2022/02/new-chrome-0-day-bug-under-active.html) - Use-after-free in Animation
* [**CVE-2022-1096**](https://thehackernews.com/2022/03/google-issues-urgent-chrome-update-to.html) - Type confusion in V8
* [**CVE-2022-1364**](https://thehackernews.com/2022/04/google-releases-urgent-chrome-update-to.html) - Type confusion in V8
* [**CVE-2022-2294**](https://thehackernews.com/2022/07/update-google-chrome-browser-to-patch.html) - Heap buffer overflow in WebRTC
* [**CVE-2022-2856**](https://thehackernews.com/2022/08/new-google-chrome-zero-day.html) - Insufficient validation of untrusted input in Intents
* [**CVE-2022-3075**](https://thehackernews.com/2022/09/google-release-urgent-chrome-update-to.html) - Insufficient data validation in Mojo
* [**CVE-2022-3723**](https://thehackernews.com/2022/10/google-issues-urgent-chrome-update-to.html) - Type confusion in V8
* [**CVE-2022-4135**](https://thehackernews.com/2022/11/update-chrome-browser-now-to-patch-new.html) - Heap buffer overflow in GPU


Users are recommended to upgrade to version 108.0.5359.94 for macOS and Linux and 108.0.5359.94/.95 for Windows to mitigate potential threats.


Users of Chromium-based browsers such as Microsoft Edge, Brave, Opera, and Vivaldi are also advised to apply the fixes as and when they become available.


  





## Tags:
***CVE's***: CVE-2022-3075 CVE-2022-4135 CVE-2022-4262 CVE-2022-3723 CVE-2022-1364 CVE-2022-2294 CVE-2022-1096 CVE-2022-2856 CVE-2022-0609

### Autogenerated tags:
google v8
