# Google Warns of Internet Explorer Zero-Day Vulnerability Exploited by ScarCruft Hackers
## An Internet Explorer zero-day vulnerability was actively exploited by a North Korean threat actor to target South Korean users
## Information:

+ Link: https://thehackernews.com/2022/12/google-warns-of-internet-explorer-zero.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 08 December 2022, 07:59
+ Date scraped: 08 December 2022, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh1nnpR24kvDx1aH-Icv1qXYk0M_wdTpu6nkdmt5aMTJe9wpMg0vvVnEw9FPAw78W2GY8s_fuJQeqv3q66nVGwOSRDPftYMKrIzIA6f1ikGEJWGGh4qlk401veeU8p9pCyp1aXhC1kpwnOj-QKJAYODctXmQw6L7FhaMTEpTXHCvgNqJrFAH-emvNhK/s728-e1000/IE.png)


An Internet Explorer zero-day vulnerability was actively exploited by a North Korean threat actor to target South Korean users by capitalizing on the recent [Itaewon Halloween crowd crush](https://en.wikipedia.org/wiki/Seoul_Halloween_crowd_crush) to trick users into downloading malware.


The discovery, reported by Google Threat Analysis Group researchers Benoît Sevens and Clément Lecigne, is the latest set of attacks perpetrated by **ScarCruft**, which is also called APT37, InkySquid, Reaper, and Ricochet Chollima.


"The group has historically focused their targeting on South Korean users, North Korean defectors, policy makers, journalists, and human rights activists," TAG [said](https://blog.google/threat-analysis-group/internet-explorer-0-day-exploited-by-north-korean-actor-apt37/) in a Thursday analysis.


The new findings illustrate the threat actor's continued abuse of Internet Explorer flaws such as CVE-2020-1380 and CVE-2021-26411 to drop backdoors like [BLUELIGHT and Dolphin](https://thehackernews.com/2022/12/north-korea-hackers-using-new-dolphin.html), the latter of which was disclosed by Slovak cybersecurity firm ESET late last month.


Another key tool in its arsenal is [RokRat](https://thehackernews.com/2021/01/alert-north-korean-hackers-targeting.html), a Windows-based remote access trojan that comes with a wide range of functions that allow it to capture screenshots, log keystrokes, and even harvest Bluetooth device information.


[![Internet Explorer Zero-Day Vulnerability](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgEUE0iMMY7AkFgxLDL3f3WZY8lHS8vjMnIdXxVIKgFOvtuxq6gT2AkGbu49pEcdsV9-fNSjd4Hdji-98P8QRijj0QV2EJOjYOCG5qF4OUPl6UqFblFLZix3h_kvynUedhPBbjT_JX1UCAwdNeHr0SCvaG7roz2PzN-annb8Y2_VV0y7reuoQtmel06/s728-e1000/IE.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgEUE0iMMY7AkFgxLDL3f3WZY8lHS8vjMnIdXxVIKgFOvtuxq6gT2AkGbu49pEcdsV9-fNSjd4Hdji-98P8QRijj0QV2EJOjYOCG5qF4OUPl6UqFblFLZix3h_kvynUedhPBbjT_JX1UCAwdNeHr0SCvaG7roz2PzN-annb8Y2_VV0y7reuoQtmel06/s728-e100/IE.png)
The attack chain observed by Google TAG entails the use of a malicious Microsoft Word document that was [uploaded to VirusTotal](https://www.virustotal.com/gui/file/926a947ea2b59d3e9a5a6875b4de2bd071b15260370f4da5e2a60ece3517a32f/) on October 31, 2022. It abuses yet another Internet Explorer zero-day flaw in the JScript9 JavaScript engine, CVE-2022-41128, that was [patched by Microsoft](https://thehackernews.com/2022/11/install-latest-windows-update-asap.html) last month.


The file references the October 29 incident that took place in the Itaewon neighborhood of Seoul and exploits public interest in the tragedy to retrieve an exploit for the vulnerability upon opening it. The attack is enabled by the fact that Office renders HTML content using Internet Explorer.


Successful exploitation is followed by the delivery of a shellcode that wipes all traces by clearing the Internet Explorer cache and history as well as downloading the next stage payload.


Google TAG said it could not recover the follow-on malware used in the campaign, although it's suspected to have involved the deployment of RokRat, BLUELIGHT, or Dolphin.


  





## Tags:
***CVE's***: CVE-2022-41128 CVE-2020-1380 CVE-2021-26411

### Autogenerated tags:
google
