# Gootkit Malware Adopts New Tactics to Attack Healthcare and Finance Firms
## Gootkit malware is now targeting healthcare and financial organizations in the US, UK and Australia by using a new method of deployment.
## Information:

+ Link: https://thehackernews.com/2023/02/gootkit-malware-adopts-new-tactics-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 February 2023, 10:38
+ Date scraped: 09 February 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEguAA1WquQjQtOB3oIPh_37B6Q-FUsY8Z4G4OQ-MDINLbYS5LWG0WAzvuGFj3DhBCx06MKfQ33CVKh65DQDCchFS4wiUFF7UuqT7M9VoR8qFTJ_FK0fXAeZJGrTBpoBxuwSgtLIBETXnExxkfepw8EP-9qDnemc4v26helT_WnpTAzOp5gz4-x145GI/s728-e3650/goot.png)


The Gootkit malware is prominently going after healthcare and finance organizations in the U.S., U.K., and Australia, according to new findings from Cybereason.


The cybersecurity firm said it investigated a Gootkit incident in December 2022 that adopted a new method of deployment, with the actors abusing the foothold to deliver [Cobalt Strike](https://thehackernews.com/2022/11/google-identifies-34-cracked-versions.html) and [SystemBC](https://thehackernews.com/2020/12/ransomware-attackers-using-systembc.html) for post-exploitation.


"The threat actor displayed fast-moving behaviors, quickly heading to control the network it infected, and getting elevated privileges in less than 4 hours," Cybereason [said](https://www.cybereason.com/blog/threat-alert-gootloader-seo-poisoning-and-large-payloads-leading-to-compromise) in an analysis published February 8, 2023.


Gootkit, also called Gootloader, is exclusively attributed to a threat actor tracked by Mandiant as UNC2565. Starting its life in 2014 as a banking trojan, the malware has since morphed into a loader capable of delivering next-stage payloads.


The shift in tactics was [first uncovered](https://thehackernews.com/2021/03/gootkit-rat-using-seo-to-distribute.html) by Sophos in March 2021. Gootloader takes the form of heavily-obfuscated JavaScript files that are served through compromised WordPress sites ranked higher in search engine results through poisoning techniques.


[![Gootkit Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjbOtLnETMitRyYKiGKvdW5KtKgIVvJE-UTCgs3qq-v-LyV-tbR43-Ct9YRJr3o7-zH4oEDI6hKTIKbuzweK-icOLtUvL2b4x15T_J3rYnFlkj3SiLM-7UgEnsXsSfGjJjgGVyjv6JDpPLRoLDry8fCxvKdU74D-Jz4j6NaimCbAaDfaGyG2R8RPhnR/s728-e365/gootkit-1.png)
The attack chain relies on luring victims searching for agreements and contracts on DuckDuckGo and Google to the booby-trapped web page, ultimately leading to the deployment of Gootloader.


The latest wave is also [notable](https://www.esentire.com/blog/gootloader-striking-with-a-new-infection-technique) for [concealing](https://thehackernews.com/2023/01/gootkit-malware-continues-to-evolve.html) the malicious code within legitimate JavaScript libraries such as jQuery, Chroma.js, Sizzle.js, and Underscore.js, which is then used to spawn a secondary 40 MB JavaScript payload that establishes persistence and launches the malware.

 In the incident examined by Cybereason, the Gootloader infection is said to have paved the way for Cobalt Strike and SystemBC to conduct lateral movement and possible data exfiltration. The attack was ultimately foiled.


[![Gootkit Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhg9tonABROQ6IAY9UR6V04IScnHGSzzLkKl3tM4JwdXBUHDZQHZi1wtjHt8E9ujx5oPNpJ84n-uiiQuIXLeRKVsrMJRksg2Az17HXmKhGpNft1TO_q8hhmgRYixwLOYbCXj5j78YzN38gjAxr9gVbICBl0FdDnB1Fnr9NPaSHj2BgAKkOkM63lji-i/s728-e365/gootkit.png)
The disclosure comes amid the ongoing trend of [abusing Google Ads](https://thehackernews.com/2023/02/formbook-malware-spreads-via.html) by malware operators as an intrusion vector to distribute a variety of malware such as FormBook, IcedID, RedLine, Rhadamanthys, and Vidar.


The evolution of Gootloader into a sophisticated loader is further reflective of how threat actors are constantly seeking new targets and methods to maximize their profits by pivoting to a malware-as-a-service (MaaS) model and selling that access to other criminals.



  





## Tags:


### Autogenerated tags:
malware gootloader gootkit cybereason javascript
