# Gootkit Malware Continues to Evolve with New Components and Obfuscations
## Gootkit malware continues to evolve and become more sophisticated, with notable changes to the toolkit, adding new components and obfuscations.
## Information:

+ Link: https://thehackernews.com/2023/01/gootkit-malware-continues-to-evolve.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 29 January 2023, 05:47
+ Date scraped: 29 January 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgvcmjbDJerVAwZiug7IhmxFmt-3eK0kOQD5GQoGhv3rbQCgiEjTOzjHuAurt2sfo-ud8tL4jHc3dPkvejx66W8ltlCGd4-VAycYlXWDhmjNGv0AX3FZnBBEKL4v1HLTwtJ9hM2wnYT80GFmYhKHa8-YojjAaRmQrAKFvFHNLYPt1kktEAiEkGvyCYQ/s728-e3650/malware.png)


The threat actors associated with the Gootkit malware have made "notable changes" to their toolset, adding new components and obfuscations to their infection chains.


Google-owned Mandiant is [monitoring](https://www.mandiant.com/resources/blog/tracking-evolution-gootloader-operations) the activity cluster under the moniker **UNC2565**, noting that the usage of the malware is "exclusive to this group."


[Gootkit](https://thehackernews.com/2021/03/gootkit-rat-using-seo-to-distribute.html), also called Gootloader, is spread through compromised websites that victims are tricked into visiting when searching for business-related documents like agreements and contracts via a technique called search engine optimization (SEO) poisoning.


The purported documents take the form of ZIP archives that harbor the JavaScript malware, which, when launched, paves the way for additional payloads such as [Cobalt Strike Beacon](https://thehackernews.com/2022/11/google-identifies-34-cracked-versions.html), FONELAUNCH, and SNOWCONE.


FONELAUNCH is a .NET-based loader designed to load an encoded payload into memory, and SNOWCONE is a downloader that's tasked with retrieving next-stage payloads, typically [IcedID](https://thehackernews.com/2023/01/icedid-malware-strikes-again-active.html), via HTTP.


[![Gootkit Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhLWp5t6-d1GIrZD7Gy5xwh6I-qSleR4z7oNyyseyMiJs8yE1xOiUNHrwdNsQPZDj7qnfgyL9MRWnryK5mjlu4sqkkK63ckpXkTCCmqROli_RTkt3KerI9tCGDuJuyM2yxNFqxaB8cySIDBbgyH2a3EcmkcG1orns5URKEia-v3hNTJjBUbSdD5y3Dw/s728-e365/gootkit.png)
While the overarching goals of Gootkit have remained unchanged, the attack sequence in itself has received significant updates, wherein the JavaScript file within the ZIP archive is trojanized and contains another obfuscated JavaScript file that consequently proceeds to execute the malware.


[![Gootkit Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiAC_NYPq2W3CuewDTL9mfs-fn7nlBeO5JwfwyjTXCLCOeduFtRydyuHgG-UN27_ZfN77B3O_A6aluB7MNrU6FnUnl7OTjvQZfBUJ4MYXJlrZi6JxW1QhiduzBR9Mv-1oLVF1afVwUyuLJ3pUOvhxJTQFUSwfr0Wtz_MzjogbYuVbmVJlqiuDAqK-RF/s728-e365/powershell.png)
The new variant, which was spotted by the threat intelligence firm in November 2022, is being tracked as GOOTLOADER.POWERSHELL. It's worth noting that the revamped infection chain was also [documented](https://thehackernews.com/2023/01/australian-healthcare-sector-targeted.html) by Trend Micro earlier this month, detailing Gootkit attacks targeting the Australian healthcare sector.

 What's more, the malware authors are said to have taken three different approaches to obscure Gootkit, including concealing the code within altered versions of legitimate JavaScript libraries such as jQuery, Chroma.js, and Underscore.js, in an attempt to escape detection.


It's not just Gootkit, as three different flavors of FONELAUNCH – FONELAUNCH.FAX, FONELAUNCH.PHONE, and FONELAUNCH.DIALTONE – have been put to use by UNC2565 since May 2021 to execute DLLs, .NET binaries, and PE files, indicating that the malware arsenal is being continuously maintained and updated.


"These changes are illustrative of UNC2565's active development and growth in capabilities," Mandiant researchers Govand Sinjari and Andy Morales said.



  





## Tags:


### Autogenerated tags:
gootkit malware javascript unc2565 fonelaunch
