# GuLoader Malware Utilizing New Techniques to Evade Security Software
## GuLoader malware using advanced tactics to bypass security software.
## Information:

+ Link: https://thehackernews.com/2022/12/guloader-malware-utilizing-new.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 26 December 2022, 12:27
+ Date scraped: 26 December 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiwmkLyR8iFRPt9OfNkRrKYpWEw6JWXRHnmD4uM3uBHBlMSiWLsrfsIIeD-P_thTDt_w17zhG7L09lvkuZaGM45bUIaDA1WyPILZ8RrasMO576rdfLHk9Ldbh4OtcqFuU7sfWkCMzQFJ5a6Nzq-Q3WmjJ_ibipIFNEXlCef-O3i2ZoCOWFPdFM9EU3k/s728-rj-e3650/code.png)


Cybersecurity researchers have exposed a wide variety of techniques adopted by an advanced malware downloader called **GuLoader** to evade security software.


"New shellcode anti-analysis technique attempts to thwart researchers and hostile environments by scanning entire process memory for any virtual machine (VM)-related strings," CrowdStrike researchers Sarang Sonawane and Donato Onofri [said](https://www.crowdstrike.com/blog/guloader-dissection-reveals-new-anti-analysis-techniques-and-code-injection-redundancy/) in a technical write-up published last week.


GuLoader, also called [CloudEyE](https://malpedia.caad.fkie.fraunhofer.de/details/win.cloudeye), is a Visual Basic Script (VBS) downloader that's used to distribute remote access trojans on infected machines. It was first detected in the wild in 2019.


In November 2021, a JavaScript malware strain dubbed RATDispenser [emerged](https://thehackernews.com/2021/11/this-new-stealthy-javascript-loader.html) as a conduit for dropping GuLoader by means of a Base64-encoded VBScript dropper.


A recent GuLoader sample unearthed by CrowdStrike exhibits a three-stage process wherein the VBScript is designed to deliver a next-stage that performs anti-analysis checks before injecting shellcode embedded within the VBScript into memory.


The shellcode, besides incorporating the same anti-analysis methods, downloads a final payload of the attacker's choice from a remote server and executes it on the compromised host.


"The shellcode employs several anti-analysis and anti-debugging tricks at every step of execution, throwing an error message if the shellcode detects any known analysis of debugging mechanisms," the researchers pointed out.


This includes anti-debugging and anti-disassembling checks to detect the presence of a remote debugger and breakpoints, and if found, terminate the shellcode. The shellcode also features scans for virtualization software.


An added capability is what the cybersecurity company calls a "redundant code injection mechanism" to avoid [NTDLL.dll](https://learn.microsoft.com/en-us/windows-hardware/drivers/kernel/libraries-and-headers) hooks implemented by endpoint detection and response (EDR) solutions.


NTDLL.dll API [hooking](https://learn.microsoft.com/en-us/windows/win32/winmsg/about-hooks) is a [technique](https://www.mdsec.co.uk/2020/08/firewalker-a-new-approach-to-generically-bypass-user-space-edr-hooking/) [used](https://cymulate.com/blog/extracting-syscalls-from-a-suspended-process/) by anti-malware engines to detect and flag suspicious processes on Windows by monitoring the APIs that are known to be abused by threat actors.

 In a nutshell, the method involves using assembly instructions to invoke the necessary windows API function to allocate memory (i.e., [NtAllocateVirtualMemory](https://learn.microsoft.com/en-us/windows-hardware/drivers/ddi/ntifs/nf-ntifs-ntallocatevirtualmemory)) and inject arbitrary shellcode into memory via [process hollowing](https://attack.mitre.org/techniques/T1055/012/). 



The findings from CrowdStrike also come as cybersecurity firm Cymulate demonstrated an EDR bypass technique known as [Blindside](https://cymulate.com/blog/blindside-a-new-technique-for-edr-evasion-with-hardware-breakpoints) that allows for running arbitrary code by using hardware breakpoints to create a "process with only the NTDLL in a stand-alone, unhooked state."


"GuLoader remains a dangerous threat that's been constantly evolving with new methods to evade detection," the researchers concluded.


  





## Tags:


### Autogenerated tags:
shellcode guloader anti-analysis cybersecurity crowdstrike vbscript
