# Hacked WordPress Sites Abusing Visitors' Browsers for Distributed Brute-Force Attacks
## Over 700 WordPress sites hit by brute-force attacks using malicious JavaScript injections, leveraging innocent visitors' browsers to compromise more s
## Information:

+ Link: https://thehackernews.com/2024/03/hacked-wordpress-sites-abusing-visitors.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 07 March 2024, 19:15
+ Date scraped: 08 March 2024, 20:27

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh1i_fGc6nRA9S1Z2ng6Y7qxW-NjbvAkXlYSKgKl3NiNW88OHez0oRHDMHaVYhgGVVXVmfbvNzdPZOx0CPeZeICtiUxalTrKE0Imup-mvCCAhtnPgDksbxyJNN165rnb0gy2zp1rUQe4ze9PStDzSBI5eCeJ7uIa_rmwFD959vnez1bS3LAbztWMhnF4Twx/s728-rw-e365/wordpress.jpg)


Threat actors are conducting brute-force attacks against WordPress sites by leveraging malicious JavaScript injections, new findings from Sucuri reveal.


The attacks, which take the form of distributed brute-force attacks, "target WordPress websites from the browsers of completely innocent and unsuspecting site visitors," security researcher Denis Sinegubko [said](https://blog.sucuri.net/2024/03/from-web3-drainer-to-distributed-wordpress-brute-force-attack.html).


The activity is part of a [previously documented attack wave](https://thehackernews.com/2024/02/wordpress-plugin-alert-critical-sqli.html) in which compromised WordPress sites were used to inject crypto drainers such as Angel Drainer directly or redirect site visitors to Web3 phishing sites containing drainer malware.


The latest iteration is notable for the fact that the injections – found on [over 700 sites](https://publicwww.com/websites/%22dynamic-linx.com%2Fchx.js%22/) to date – don't load a drainer but rather use a list of common and leaked passwords to brute-force other WordPress sites.


The attack unfolds over five stages, enabling a threat actor to take advantage of already compromised websites to launch distributed brute-force attacks against other potential victim sites -


* Obtaining a list of target WordPress sites
* Extracting real usernames of authors that post on those domains
* Inject the malicious JavaScript code to already infected WordPress sites
* Launching a distributed brute-force attack on the target sites via the browser when visitors land on the hacked sites
* Gaining unauthorized access to the target sites


"For every password in the list, the visitor's browser sends the wp.uploadFile XML-RPC API request to upload a file with encrypted credentials that were used to authenticate this specific request," Sinegubko explained. "If authentication succeeds, a small text file with valid credentials is created in the WordPress uploads directory."


It's currently not known what prompted the threat actors to switch from crypto drainers to distributed brute-force attack, although it's believed that the change may have been driven by profit motives, as compromised WordPress sites could be monetized in various ways.


That said, crypto wallet drainers have led to losses amounting to [hundreds of millions in digital assets](https://thehackernews.com/2024/01/inferno-malware-masqueraded-as-coinbase.html) in 2023, according to data from Scam Sniffer. The Web3 anti-scam solution provider has since [revealed](https://drops.scamsniffer.io/post/wallet-drainer-exploits-numerical-address-bypass-security-alerts/) that drainers are exploiting the normalization process in the wallet's [EIP-712](https://github.com/ethereum/EIPs/blob/master/EIPS/eip-712.md) encoding procedure to bypass security alerts.


The development comes as the DFIR report [revealed](https://thedfirreport.com/2024/03/04/threat-brief-wordpress-exploit-leads-to-godzilla-web-shell-discovery-new-cve/) that threat actors are exploiting a critical flaw in a WordPress plugin named 3DPrint Lite ([CVE-2021-4436](https://nvd.nist.gov/vuln/detail/CVE-2021-4436), CVSS score: 9.8) to deploy the [Godzilla web shell](https://thehackernews.com/2024/01/apache-activemq-flaw-exploited-in-new.html) for persistent remote access.


It also follows a new [SocGholish](https://thehackernews.com/2023/03/cybercriminals-targeting-law-firms-with.html) (aka FakeUpdates) campaign targeting WordPress websites in which the JavaScript malware is distributed via modified versions of legitimate plugins that are installed by taking advantage of compromised admin credentials.


"Although there have been a variety of maliciously modified plugins and several different fake-browser update campaigns, the goal of course is always the same: To trick unsuspecting website visitors into downloading remote access trojans that will later be used as the initial point of entry for a ransomware attack," security researcher Ben Martin [said](https://blog.sucuri.net/2024/03/new-wave-of-socgholish-infections-impersonates-wordpress-plugins.html).


  





## Tags:
***CVE's***: CVE-2021-4436

### Autogenerated tags:
wordpress brute-force javascript websites
