# Hackers Can Use 'App Mode' in Chromium Browsers' for Advanced Phishing Attacks
## A researcher warns of a new stealth phishing attack technique that could allow hackers to use the application mode feature in Chromium-based web brows
## Information:

+ Link: https://thehackernews.com/2022/10/hackers-can-use-app-mode-in-chromium.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 07 October 2022, 08:58
+ Date scraped: 07 October 2022, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj3-KQ8w7ei_n-LAkeCEFswG7Woixxv4soLns0au6Hzm7B78vQZF-OMHycmeHbqkDUwmwVPRAU4iQCxjWBU9Tc_6B2IWxIrKc2Ul4E4j9wodZF6AgDufjF6egP2KnK23z_GiG3F691ZFzELl5xc8GED504Lh8DFKfCKR8gaysQvMztkqYEHt138-LYM/s728-e1000/phishing.jpg)


In what's a new phishing technique, it has been demonstrated that the Application Mode feature in Chromium-based web browsers can be abused to create "realistic desktop phishing applications."


Application Mode is designed to offer native-like experiences in a manner that causes the website to be launched in a separate browser window, while also displaying the website's favicon and hiding the address bar.


According to security researcher mr.d0x – who also devised the browser-in-the-browser ([BitB](https://thehackernews.com/2022/03/new-browser-in-browser-bitb-attack.html)) attack method earlier this year – a bad actor can leverage this behavior to resort to some HTML/CSS trickery and display a fake address bar on top of the window and fool users into giving up their credentials on rogue login forms.


"Although this technique is meant more towards internal phishing, you can technically still use it in an external phishing scenario," mr.d0x [said](https://mrd0x.com/phishing-with-chromium-application-mode/). "You can deliver these fake applications independently as files."


This is achieved by setting up a phishing page with a fake address bar at the top, and configuring the [--app parameter](https://manpages.ubuntu.com/manpages/bionic/man1/chromium-browser.1.html) to point to the phishing site hosting the page.


[![Advanced Phishing Attacks](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjncQ-zIT7xap-Ye8ChzRPvk71obZtyc2eq9yXIk0J3JeEzG4jJ41ll9w4FlT1ujrC3d2Nb6nsMMQvcK-3RI-ZaWTQGPM-xTqwyPWaXKFQItOaBpYiQ5Dfh5aFpyLXtkwzXTaXaQ1VahZokKq81K5Tc1Th7r2B-GTST_pzWXOE_89fKLMo0ZbP1XL-V/s728-e1000/code.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjncQ-zIT7xap-Ye8ChzRPvk71obZtyc2eq9yXIk0J3JeEzG4jJ41ll9w4FlT1ujrC3d2Nb6nsMMQvcK-3RI-ZaWTQGPM-xTqwyPWaXKFQItOaBpYiQ5Dfh5aFpyLXtkwzXTaXaQ1VahZokKq81K5Tc1Th7r2B-GTST_pzWXOE_89fKLMo0ZbP1XL-V/s728-e100/code.jpg)
On top of that, the attacker-controlled phishing site can make use of JavaScript to take more actions, such as closing the window immediately after the user enters the credentials or resizing and positioning it to achieve the desired effect.


It's worth noting that the mechanism works on other operating systems, such as macOS and Linux, making it a potential cross-platform threat. However, the success of the attack is predicated on the fact that the attacker already has access to the target's machine.


That said, Google is [phasing out](https://support.google.com/chrome/a/answer/7679408#noChrApps106) support for Chrome apps in favor of Progressive Web Apps (PWAs) and web-standard technologies, and the feature is expected to be fully discontinued in Chrome 109 or later on Windows, macOS, and Linux.


The findings come as new findings Trustwave SpiderLabs [show](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/html-file-attachments-still-a-threat/) that [HTML smuggling](https://thehackernews.com/2022/09/russian-sandworm-hackers-impersonate.html) attacks are a common occurrence, with .HTML (11.39%) and .HTM (2.7%) files accounting for the second most spammed file attachment type after .JPG images (25.29%).


  





## Tags:


### Autogenerated tags:
phishing window
