# Hackers Exploit Job Boards in APAC, Steal Data of Millions of Job Seekers
## A new cybercriminal group, ResumeLooters, targets job search platforms in APAC, stealing millions of resumes and personal data.
## Information:

+ Link: https://thehackernews.com/2024/02/hackers-exploit-job-boards-in-apac.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 06 February 2024, 15:44
+ Date scraped: 06 February 2024, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi8KvfL2k4ylNL_dMnNHOPfB5ZUwTUVtuLUSIrWRaRiLboah9STBvKVwKYhc6XKuQLXyK1krVr-kuXVNjEYCLQk2kILqshUvwZMBeYizNVhKmD7kY9Ana4ZPi3ZlXWvDj_FHSMbmpPc7M686Ju06duWIfG5Cp_GZK07TMb3hWxsgX_mQ1iT8zuccj1Y1EaY/s728-rw-ft-e30/hacking.jpg)


Employment agencies and retail companies chiefly located in the Asia-Pacific (APAC) region have been targeted by a previously undocumented threat actor known as **ResumeLooters** since early 2023 with the goal of stealing sensitive data.


Singapore-headquartered Group-IB said the hacking crew's activities are geared towards job search platforms and the theft of resumes, with as many as 65 websites compromised between November 2023 and December 2023.


The stolen files are estimated to contain 2,188,444 user data records, of which 510,259 have been taken from job search websites. Over two million unique email addresses are present within the dataset.


"By using SQL injection attacks against websites, the threat actor attempts to steal user databases that may include names, phone numbers, emails, and DoBs, as well as information about job seekers' experience, employment history, and other sensitive personal data," security researcher Nikita Rostovcev [said](https://www.group-ib.com/blog/resumelooters/) in a report shared with The Hacker News.


"The stolen data is then put up for sale by the threat actor in [Telegram channels](https://thehackernews.com/2024/01/telegram-marketplaces-fuel-phishing.html)."


Group-IB said it also uncovered evidence of cross-site scripting (XSS) infections on at least four legitimate job search websites that are designed to load malicious scripts responsible for displaying phishing pages capable of harvesting administrator credentials.


ResumeLooters is the second group after [GambleForce](https://thehackernews.com/2023/12/new-hacker-group-gambleforce-tageting.html) that has been found staging SQL injection attacks in the APAC region since late December 2023.


[![Job Seekers](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjBTw27aj0U67zEdkPHKECBoSyoPXRTCxenI86wY5Zm4oUghTeO3SfWhA08uce6tCGDZSrNv0o1luJq6IK7b-cBbmueS9kda-_4TITsK6PPkgXc7j9hDGfqPHp1lfzNud316Y6uMReh4I56frklX0Xqw9RzjTX_Rtb2t0LORyShiEJXd005nnec06cI9EBu/s728-rw-ft-e30/group.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjBTw27aj0U67zEdkPHKECBoSyoPXRTCxenI86wY5Zm4oUghTeO3SfWhA08uce6tCGDZSrNv0o1luJq6IK7b-cBbmueS9kda-_4TITsK6PPkgXc7j9hDGfqPHp1lfzNud316Y6uMReh4I56frklX0Xqw9RzjTX_Rtb2t0LORyShiEJXd005nnec06cI9EBu/s728-rw-ft-e30/group.jpg)
A majority of the compromised websites are based in India, Taiwan, Thailand, Vietnam, China, Australia, and Turkey, although compromises have also been reported from Brazil, the U.S., Turkey, Russia, Mexico, and Italy.


The modus operandi of ResumeLooters involves the use of the open-source [sqlmap](https://sqlmap.org/) tool to carry out SQL injection attacks and drop and execute additional payloads such as the [BeEF](https://beefproject.com/) (short for Browser Exploitation Framework) penetration testing tool and rogue JavaScript code designed to gather sensitive data and redirect users to credential harvesting pages.


The cybersecurity company's analysis of the threat actor's infrastructure reveals the presence of other tools like Metasploit, [dirsearch](https://github.com/maurosoria/dirsearch), and [xray](https://github.com/chaitin/xray/blob/master/README_EN.md), alongside a folder hosting the pilfered data.


The campaign appears to be financially motivated, given the fact that ResumeLooters have set up two Telegram channels named 渗透数据中心 and 万国数据阿力 last year to sell the information.


"ResumeLooters is yet another example of how much damage can be made with just a handful of publicly available tools," Rostovcev said. "These attacks are fueled by poor security as well as inadequate database and website management practices."


"It is striking to see how some of the oldest yet remarkably effective SQL attacks remain prevalent in the region. However, the tenacity of the ResumeLooters group stands out as they experiment with diverse methods of exploiting vulnerabilities, including XSS attacks."



  





## Tags:


### Autogenerated tags:
resumelooters websites sql
