# Hackers Exploited ColdFusion Vulnerability to Breach Federal Agency Servers
## Threat actors exploit high-severity Adobe ColdFusion vulnerability (CVE-2023-26360) to breach government servers.
## Information:

+ Link: https://thehackernews.com/2023/12/hackers-exploited-coldfusion.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 06 December 2023, 15:40
+ Date scraped: 06 December 2023, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiXc79wyc7QrZIj1o1Og30eBY0k9d6Y7yzZShhV5ZseA7MtMlWtR5F070CPRBVasoUABzepnegbAw9FMoMRXz7DsDg2B9MzODEf4YG75y1mvzisw-kBDapS6SqlSTItoCy6JDzE13umyUK3gbVQp_IXIXim0fS9WzaZg1eOpgkKt6ZTY1lcn9vdLPtjFUpU/s728-rw-ft-e30/lock.jpg)


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) warned of active exploitation of a [high-severity Adobe ColdFusion vulnerability](https://thehackernews.com/2023/03/cisa-issues-urgent-warning-adobe.html) by unidentified threat actors to gain initial access to government servers.


"The vulnerability in ColdFusion (CVE-2023-26360) presents as an improper access control issue and exploitation of this CVE can result in arbitrary code execution," CISA [said](https://www.cisa.gov/news-events/alerts/2023/12/05/cisa-releases-advisory-threat-actors-exploiting-cve-2023-26360-vulnerability-adobe-coldfusion), adding an unnamed federal agency was targeted between June and July 2023.


The shortcoming affects ColdFusion 2018 (Update 15 and earlier versions) and ColdFusion 2021 (Update 5 and earlier versions). It has been addressed in versions Update 16 and Update 6, released on March 14, 2023, respectively.


 UPCOMING WEBINAR  [Cracking the Code: Learn How Cyber Attackers Exploit Human Psychology](https://thehacker.news/social-engineering-psychology?source=inside)  Ever wondered why social engineering is so effective? Dive deep into the psychology of cyber attackers in our upcoming webinar.

 [Join Now](https://thehacker.news/social-engineering-psychology?source=inside) 
It was added by CISA to the Known Exploited Vulnerabilities (KEV) catalog a day later, citing evidence of active exploitation in the wild. Adobe, in an advisory released around that time, said it's aware of the flaw being "exploited in the wild in very limited attacks."


The agency noted that at least two public-facing servers were compromised using the flaw, both of which were running outdated versions of the software.


"Additionally, various commands were initiated by the threat actors on the compromised web servers; the exploited vulnerability allowed the threat actors to drop malware using HTTP POST commands to the directory path associated with ColdFusion," CISA noted.


There is evidence to suggest that the malicious activity is a reconnaissance effort carried out to map the broader network, although no lateral movement or data exfiltration has been observed.


In one of the incidents, the adversary was observed traversing the filesystem and uploading various artifacts to the web server, including binaries that are capable of exporting web browser cookies as well as malware designed to decrypt passwords for ColdFusion data sources.


A second event recorded in early June 2023 entailed the deployment of a remote access trojan that's a modified version of the [ByPassGodzilla web shell](https://github.com/Tas9er/ByPassGodzilla) and "utilizes a JavaScript loader to infect the device and requires communication with the actor-controlled server to perform actions."


Also undertaken by the adversary were attempts to exfiltrate the Windows Registry files as well as unsuccessfully download data from a command-and-control (C2) server.


"During this incident, analysis strongly suggests that the threat actors likely viewed the data contained in the ColdFusion seed.properties file via the web shell interface," CISA said.


"The seed.properties file contains the seed value and encryption method used to encrypt passwords. The seed values can also be used to decrypt passwords. No malicious code was found on the victim system to indicate the threat actors attempted to decode any passwords using the values found in seed.properties file."


  





## Tags:
***CVE's***: CVE-2023-26360

### Autogenerated tags:
coldfusion cisa seed.properties
