# Hackers Steal $100 Million Cryptocurrency from Binance Bridge
## Hackers stole cryptocurrency worth around $100 million from a Binance-linked blockchain.
## Information:

+ Link: https://thehackernews.com/2022/10/hackers-steal-100-million.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 October 2022, 08:59
+ Date scraped: 10 October 2022, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhXUFLXqZdOslluu-szfCtr9lvCcvngg-rdpQos9wERSSj_NFE2WCPQ1kiH5sXor72Fn45orxQ-Vwh6LD3F5JgMArlxJcHZlrFp_6bW75jBRu-Gkqq65eFPy0f9pbpaiXRmCNdKE87EK2K8qtYywYpz1TWNE2MpiJakatO_ca4mYF9kf4h4YmoQh5Cv/s728-e1000/binance.jpg)


BNB Chain, a blockchain linked to the Binance cryptocurrency exchange, disclosed an exploit on a cross-chain bridge that drained around $100 million in digital assets.


"There was an exploit affecting the native cross-chain bridge between BNB Beacon Chain (BEP2) and BNB Smart Chain (BEP20 or BSC), known as 'BSC Token Hub,'" it [said](https://www.bnbchain.org/en/blog/bnb-chain-ecosystem-update/) last week. "The exploit was through a sophisticated forging of the low level proof into one common library."


According to Binance CEO Changpeng Zhao, the exploit on the cross-chain bridge "[resulted in extra BNB](https://twitter.com/cz_binance/status/1578171072067031042)," prompting a [temporary suspension](https://www.reddit.com/r/bnbchainofficial/comments/xxjkpy/temporary_pause_of_bsc/) of the Binance Smart Chain (BSC).


"BNB, which stands for 'Build and Build' (formerly called Binance Coin), is the blockchain gas token that 'fuels' transactions on BNB Chain," Binance [noted](https://www.binance.com/en/blog/ecosystem/introducing-bnb-chain-the-evolution-of-binance-smart-chain-421499824684903436) earlier this February.


No user funds are said to have been impacted, since the vulnerability in the BSC Token Hub bridge enabled the unknown threat actor attacker to mint new BNB tokens in an unauthorized manner.


While the hack involved the withdrawal of two million BNB in two transactions, the suspension of the chain prevented the theft of nearly $430 million in crypto, blockchain security firm SlowMist [said](https://twitter.com/SlowMist_Team/status/1578220472373649408).


It is the [latest](https://rekt.news/bnb-bridge-rekt/) in a series of [major incidents](https://www.certik.com/resources/blog/70o3UkC4JbLtyVR8hXpPxJ-september-stats-graph) targeting cross-chain bridges – which facilitate transfer of assets between blockchains – this year, after that of [Axie Infinity](https://thehackernews.com/2022/09/us-seizes-cryptocurrency-worth-30.html), [Harmony Horizon Bridge](https://thehackernews.com/2022/06/north-korean-hackers-suspected-to-be.html), and [Nomad Bridge](https://thehackernews.com/2022/08/us-sanctions-virtual-currency-mixer.html).


Blockchain analytics firm Chainalysis, in August, [estimated](https://blog.chainalysis.com/reports/cross-chain-bridge-hacks-2022/) that $2 billion worth of cryptocurrency had been stolen in 13 cross-chain bridge attacks, accounting for 69% of total funds stolen in 2022.


The development also comes as cybersecurity company Bitdefender [revealed](https://www.bitdefender.com/blog/labs/side-loading-onedrive-for-profit-cryptojacking-campaign-detected-in-the-wild/) details of a cryptojacking campaign that exploits known DLL side-loading vulnerabilities in Microsoft OneDrive to establish persistence and deploy crypto miner software.


In a related development, Trend Micro revealed that a malicious actor dubbed Water Labbu targeted 45 crypto-based fraudulent websites operated by [other criminals](https://www.ic3.gov/Media/Y2022/PSA220721) to divert victims' funds to a wallet under their control.


"In a parasitic manner, the threat actor compromised the websites of other scammers posing as a decentralized application (DApp) and injected malicious JavaScript code into them," the company [said](https://www.trendmicro.com/en_us/research/22/j/water-labbu-abuses-malicious-dapps-to-steal-cryptocurrency.html) in an analysis last week.


  





## Tags:


### Autogenerated tags:
bnb binance cross-chain blockchain bsc
