# Hacking Using SVG Files to Smuggle QBot Malware onto Windows Systems
## Cybercriminals are using SVG and HTML smuggling techniques in malicious email campaigns to hide Qakbot malware in HTML email attachments and webpages.
## Information:

+ Link: https://thehackernews.com/2022/12/hacking-using-svg-files-to-smuggle-qbot.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 15 December 2022, 06:02
+ Date scraped: 15 December 2022, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjq2psrxhonuHIaKTAyuiBwnewQd7CXXy9kv0zkuPLEt8D_lbl7tI__fsqSQ_iYunrQ2i75VhXFW6YGZ10RGuR4rv_KbRIgyGztMN9CiVb5Ledq3JD0EwpP4F50acWf9SbAxXFZmt6y-NWx0jMrSEEKfqaM18Brs_YLdi60vL3g4t_WZHxElXKIDwwW/s728-e100/malware-attack.png)


Phishing campaigns involving the [Qakbot malware](https://thehackernews.com/2022/11/black-basta-ransomware-gang-actively.html) are using Scalable Vector Graphics ([SVG](https://en.wikipedia.org/wiki/SVG)) images embedded in HTML email attachments.


The new distribution method was spotted by Cisco Talos, which [said](https://blog.talosintelligence.com/html-smugglers-turn-to-svg-images/) it identified fraudulent email messages featuring HTML attachments with encoded SVG images that incorporate [HTML script tags](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/script).


HTML smuggling is a [technique](https://thehackernews.com/2021/11/hackers-increasingly-using-html.html) that relies on using legitimate features of HTML and JavaScript to run encoded malicious code contained within the lure attachment and assemble the payload on a victim's machine as opposed to making an HTTP request to fetch the malware from a remote server.


In other words, the idea is to evade email gateways by storing a binary in the form of a JavaScript code that's decoded and downloaded when opened via a web browser.


The attack chain spotted by the cybersecurity company concerns a JavaScript that's smuggled inside of the SVG image and executed when the unsuspecting email recipient launches the HTML attachment.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgP3eoDA1pSSMAA2S5YILdlLtPr8R3BXDMpi26l8CUh2uT0zYq1LxLMroGplgShJIAnQivI-u7WljE17rORnjCW46wxKUnMuieOiv6iKDiRHeeq6wdiIBLbvpJeHBMuizqxCKiu4ZAwWaJJ9eKyez2OpQi4iNrFJRm7o-VRTs2OiYpuaEMFQKBLiNdk/s728-e100/phishing.png)
"When the victim opens the HTML attachment from the email, the smuggled JavaScript code inside the SVG image springs into action, creating a malicious ZIP archive and then presenting the user with a dialog box to save the file," researchers Adam Katz and Jaeson Schultz said.


The ZIP archive is also password-protected, requiring users to enter a password that's displayed in the HTML attachment, following which an ISO image is extracted to run the Qakbot trojan.


The finding comes as [recent research](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/html-file-attachments-still-a-threat/) from Trustwave SpiderLabs shows that HTML smuggling attacks are a common occurrence, with .HTML (11.39%) and .HTM (2.7%) files accounting for the second most spammed file attachment type after .JPG images (25.29%) in September 2022.

 "Having robust endpoint protection can prevent execution of potentially obfuscated scripts, and prevent scripts from launching downloaded executable content," the researchers said.


"HTML smuggling's ability to bypass content scanning filters means that this technique will probably be adopted by more threat actors and used with increasing frequency."


  





## Tags:


### Autogenerated tags:
html svg javascript
