# High-Severity RCE Security Bug Reported in Apache Cassandra Database Software
## A new high-severity remote code execution vulnerability (CVE-2021-44521) has been reported in Apache Cassandra NoSQL database software.
## Information:

+ Link: https://thehackernews.com/2022/02/high-severity-rce-security-bug-reported.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 16 February 2022, 05:18
+ Date scraped: 16 February 2022, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEjdEjSs4gf38tr6a9jlJYR94YaaHw20Jw6dZzt9wdX0LawXSKoPe_AlgPVnUbKX8cToXg9CG-XhlYQ9BItjNebkZbNEdq4DwtzdKm7TL0Z9Ttrz4mJWu4PBeOFSjdTPU615cLdTRui_GFCJrhXre05lym6ogPOihA3XEvT6XMGZnPTSYdtbBxsUfaeI=s728-e1000)


Researchers have revealed details of a now-patched high-severity security vulnerability in Apache Cassandra that, if left unaddressed, could be abused to gain remote code execution on affected installations.


"This Apache security vulnerability is easy to exploit and has the potential to wreak havoc on systems, but luckily only manifests in non-default configurations of Cassandra," Omer Kaspi, security researcher at DevOps firm JFrog, [said](https://jfrog.com/blog/cve-2021-44521-exploiting-apache-cassandra-user-defined-functions-for-remote-code-execution/) in a technical write-up published Tuesday.


Apache Cassandra is an open-source, distributed, NoSQL database management system for managing very large amounts of structured data across commodity servers.


Tracked as [CVE-2021-44521](https://nvd.nist.gov/vuln/detail/CVE-2021-44521) (CVSS score: 8.4), the vulnerability concerns a specific scenario where the configuration for user-defined functions ([UDFs](https://cassandra.apache.org/doc/latest/cassandra/cql/functions.html#user-defined-scalar-functions)) are enabled, effectively allowing an attacker to leverage the [Nashorn](https://en.wikipedia.org/wiki/Nashorn_(JavaScript_engine)) JavaScript engine, escape the sandbox, and achieve execution of untrusted code.


[![Apache Cassandra Database Software](https://thehackernews.com/new-images/img/a/AVvXsEhe_keePtnyQD8qJG50MUAPxg5VhTHooJ9BPZTbthKyH22yhDejZDn3DxVcD8QFseqRHuh6G9OeRIHGvErsr7AL7hFyQ1B8p6jZXfGnzy2VOd2J3Rcx22-YUNFJbqG68flUt4lRQOfqhrnGXJoxqJBxotonw1RBvQlLwBHyyJezJyC8O4YFGSJ-_pWq=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEhe_keePtnyQD8qJG50MUAPxg5VhTHooJ9BPZTbthKyH22yhDejZDn3DxVcD8QFseqRHuh6G9OeRIHGvErsr7AL7hFyQ1B8p6jZXfGnzy2VOd2J3Rcx22-YUNFJbqG68flUt4lRQOfqhrnGXJoxqJBxotonw1RBvQlLwBHyyJezJyC8O4YFGSJ-_pWq)
Specifically, it was found that Cassandra deployments are vulnerable to CVE-2021-44521 when the cassandra.yaml configuration file contains the following definitions:


* enable\_user\_defined\_functions: true
* enable\_scripted\_user\_defined\_functions: true
* enable\_user\_defined\_functions\_threads: false


"When the [enable\_user\_defined\_functions\_threads] option is set to false, all invoked UDF functions run in the Cassandra daemon thread, which has a security manager with some permissions," Kaspi said, thereby allowing the adversary to disable the security manager and break out of the sandbox and run arbitrary shell commands on the server.


Apache Cassandra users are encouraged to upgrade to versions [3.0.26](https://github.com/apache/cassandra/releases/tag/cassandra-3.0.26), [3.11.12](https://github.com/apache/cassandra/releases/tag/cassandra-3.11.12), and [4.0.2](https://github.com/apache/cassandra/releases/tag/cassandra-4.0.2) to avoid possible exploitation, which addresses the flaw by adding a new flag "allow\_extra\_insecure\_udfs" that's set to false by default and prevents turning off the security manager.


  






## Tags:
***CVE's***: CVE-2021-44521

### Autogenerated tags:

