# Iranian Group Tortoiseshell Launches New Wave of IMAPLoader Malware Attacks
## Uncovering details on Tortoiseshell's newest IMAPLoader malware: Learn how this .NET malware from the Islamic Revolutionary Guard Corps has been used
## Information:

+ Link: https://thehackernews.com/2023/10/iranian-group-tortoiseshell-launches.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 26 October 2023, 12:54
+ Date scraped: 26 October 2023, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgQwqDNzWeLP-rhTWAcRmAJkQoAmtYXn02BlGt3ybzlReqoniUXsPoZq1IMRlffbg0QLTQmsjIfsOWgWw7mSnr7L5dANDcy_J9JvDTsmhaQ3N41A-XnYMn3i7bcRCWLxaesYwT1sdmsGZfg24sm-HU1-zEF99VdQsm_umbJklriLYMCfWTvdmBE0fhAPpG4/s728-rw-ft-e30/iran-hackers.jpg)


The Iranian threat actor known as **Tortoiseshell** has been attributed to a new wave of watering hole attacks that are designed to deploy a malware dubbed IMAPLoader.


"IMAPLoader is a .NET malware that has the ability to fingerprint victim systems using native Windows utilities and acts as a downloader for further payloads," the PwC Threat Intelligence [said](https://www.pwc.com/gx/en/issues/cybersecurity/cyber-threat-intelligence/yellow-liderc-ships-its-scripts-delivers-imaploader-malware.html) in a Wednesday analysis.


"It uses email as a [command-and-control] channel and is able to execute payloads extracted from email attachments and is executed via new service deployments."


Active since at least 2018, Tortoiseshell has a history of using strategic website compromises as a ploy to facilitate the distribution of malware. Earlier this May, ClearSky [linked the group](https://thehackernews.com/2023/05/iranian-tortoiseshell-hackers-targeting.html) to the breach of eight websites associated with shipping, logistics, and financial services companies in Israel.


The threat actor is [aligned](https://thehackernews.com/2021/07/hackers-posed-as-aerobics-instructors.html) with the Islamic Revolutionary Guard Corps ([IRGC](https://en.wikipedia.org/wiki/Islamic_Revolutionary_Guard_Corps)) and is also tracked by the broader cybersecurity community under the names Crimson Sandstorm (previously Curium), Imperial Kitten, TA456, and Yellow Liderc.


[![IMAPLoader Malware Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgsnMbUet-S-DsMv9LCnQ1kStgJpyloJloV_Sh2hAYCAv3AGj0AYnyC_y19_w-PDXith4iKIhc6vUVAANGJt1AV1cf1XvWqJcbNY3B63oRX8J8yQUzb61tkX9jPv2fjtVfKglZPUN4-4eiC8waZKqjOHTUF7VJ8AhRBLRcYMBKZAM7RpyAeQYvRpYzp5upt/s728-rw-ft-e30/malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgsnMbUet-S-DsMv9LCnQ1kStgJpyloJloV_Sh2hAYCAv3AGj0AYnyC_y19_w-PDXith4iKIhc6vUVAANGJt1AV1cf1XvWqJcbNY3B63oRX8J8yQUzb61tkX9jPv2fjtVfKglZPUN4-4eiC8waZKqjOHTUF7VJ8AhRBLRcYMBKZAM7RpyAeQYvRpYzp5upt/s728-rw-ft-e30/malware.jpg)
The latest set of attacks between 2022 and 2023 entails embedding malicious JavaScript in compromised legitimate websites to gather more details about the visitors, including their location, device information, and time of visits.


These intrusions focused primarily on the maritime, shipping and logistics sectors in the Mediterranean, in some cases leading to the deployment of IMAPLoader as a follow-on payload should the victim be deemed a high-value target.


IMAPLoader is said to be a replacement to a Python-based IMAP implant Tortoiseshell previously used in late 2021 and early 2022, owing to the similarities in the functionality.


The malware acts as a downloader for next-stage payloads by querying hard-coded [IMAP email accounts](https://en.wikipedia.org/wiki/Internet_Message_Access_Protocol), specifically checking a mailbox folder misspelled as "Recive" to retrieve the executables from the message attachments.


In an alternate attack chain, a Microsoft Excel decoy document is used as an initial vector to kick-start a multi-stage process to deliver and execute IMAPLoader, indicating that the threat actor is using a variety of tactics and techniques to realize its strategic goals.


PwC said it also discovered phishing sites created by Tortoiseshell, some of which are aimed at the travel and hospitality sectors within Europe, to conduct credential harvesting using fake Microsoft sign-in pages.


"This threat actor remains an active and persistent threat to many industries and countries, including the maritime, shipping, and logistics sectors within the Mediterranean; nuclear, aerospace, and defense industries in the U.S. and Europe; and IT managed service providers in the Middle East," PwC said.



  





## Tags:


### Autogenerated tags:
imaploader malware pwc
