# Jenkins Security Alert: New Security Flaws Could Allow Code Execution Attacks
## Severe security vulnerabilities in Jenkins open source automation server (CVE-2023-27898 and CVE-2023-27905) have been disclosed.
## Information:

+ Link: https://thehackernews.com/2023/03/jenkins-security-alert-new-security.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 08 March 2023, 16:30
+ Date scraped: 08 March 2023, 17:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhAU88DKbsfQojJpA-5ZrcCnWOB0ycSthuPbnsEq4e8dw6CTQ9EYQ05cHZ9Ra2W7d6B-O9Zh9ChZtQGe4BC-WoXYJCaR3jYFnK9cmcpq2amJSUMWOmxzTAwxE1baDmsDelD6QZ1N9BFAeKQKfAWmvSRSqRQwnXYak0j6yAh0U3v3elr1k1D6_2WgAlt/s728-e3650/Jenkins.png)


A pair of severe security vulnerabilities have been disclosed in the Jenkins open source automation server that could lead to code execution on targeted systems.


The flaws, tracked as [CVE-2023-27898](https://nvd.nist.gov/vuln/detail/CVE-2023-27898) and [CVE-2023-27905](https://nvd.nist.gov/vuln/detail/CVE-2023-27905), impact the Jenkins server and Update Center, and have been collectively christened **CorePlague** by cloud security firm Aqua. All versions of Jenkins versions prior to 2.319.2 are vulnerable and exploitable.


"Exploiting these vulnerabilities could allow an unauthenticated attacker to execute arbitrary code on the victim's Jenkins server, potentially leading to a complete compromise of the Jenkins server," the company said in a [report](https://blog.aquasec.com/jenkins-server-vulnerabilities) shared with The Hacker News.


The shortcomings are the result of how Jenkins processes plugins available from the [Update Center](https://www.jenkins.io/templates/updates/), thereby potentially enabling a threat actor to upload a plugin with a malicious payload and trigger a cross-site scripting (XSS) attack.


"Once the victim opens the '[Available Plugin Manager](https://www.jenkins.io/doc/book/managing/plugins/)' on their Jenkins server, the XSS is triggered, allowing attackers to run arbitrary code on the Jenkins Server utilizing the [Script Console API](https://www.jenkins.io/doc/book/managing/script-console/)," Aqua said.


Since it's also a case of stored XSS wherein the JavaScript code is injected into the server, the vulnerability can be activated without having to install the plugin or even visit the URL to the plugin in the first place.


Troublingly, the flaws could also affect self-hosted Jenkins servers and be exploited even in scenarios where the server is not publicly accessible over the internet since the public Jenkins Update Center could be "injected by attackers."


The attack, however, banks on the prerequisite that the rogue plugin is compatible with the Jenkins server and is surfaced on top of the main feed on the "Available Plugin Manager" page.


This, Aqua said, can be rigged by "uploading a plugin that contains all plugin names and popular keywords embedded in the description," or artificially boost the download counts of the plugin by submitting requests from fake instances.


Following responsible disclosure on January 24, 2023, patches have been released by Jenkins for [Update Center](https://github.com/jenkins-infra/update-center2/releases/tag/update-center2-3.15) and [server](https://www.jenkins.io/download/). Users are recommended to update their Jenkins server to the latest available version to mitigate potential risks.



  





## Tags:
***CVE's***: CVE-2023-27905 CVE-2023-27898

### Autogenerated tags:
jenkins plugin xss
