# Kinsing Actors Exploiting Recent Linux Flaw to Breach Cloud Environments
## Kinsing threat actors spotted exploiting the Linux flaw "Looney Tunables" to breach cloud environments. Learn how they're broadening their attacks.
## Information:

+ Link: https://thehackernews.com/2023/11/kinsing-actors-exploit-linux-flaw-to.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 03 November 2023, 18:42
+ Date scraped: 03 November 2023, 14:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEim0T9dNMDlv6yGBufi3KJOrm-AYLTFy8EngsszmEHf3DhQWdAxyt_xEiTYhWkPT1-XNfHXx99VG-lP7jmqFS9FhLr-G8iGuH70FxN2qHf8UUAzSFvhPCJa3gNrigLqbomJMsph-gsxzNA9U_Wp1UXqGdrhUBbZ4HplAhesJGc01B2mkfAr9NUd7uowtr_b/s728-rw-ft-e30/linux.jpg)


The threat actors linked to [Kinsing](https://thehackernews.com/2023/01/kinsing-cryptojacking-hits-kubernetes.html) have been observed attempting to exploit the recently disclosed Linux privilege escalation flaw called Looney Tunables as part of a "new experimental campaign" designed to breach cloud environments.


"Intriguingly, the attacker is also broadening the horizons of their cloud-native attacks by extracting credentials from the Cloud Service Provider (CSP)," cloud security firm Aqua [said](https://blog.aquasec.com/loony-tunables-vulnerability-exploited-by-kinsing) in a report shared with The Hacker News.


The development marks the first publicly documented instance of active exploitation of [Looney Tunables](https://thehackernews.com/2023/10/looney-tunables-new-linux-flaw-enables.html) ([CVE-2023-4911](https://nvd.nist.gov/vuln/detail/CVE-2023-4911)), which could allow a threat actor to [gain root privileges](https://www.uptycs.com/blog/cve-2023-4911-looney-tunables-glibc-exploit).


Kinsing actors have a track record of opportunistically and swiftly adapting their attack chains to exploit newly disclosed security flaws to their advantage, having most recently weaponized a [high-severity bug in Openfire](https://thehackernews.com/2023/08/alert-juniper-firewalls-openfire-and.html) ([CVE-2023-32315](https://nvd.nist.gov/vuln/detail/CVE-2023-32315)) to achieve remote code execution.


The latest set of attacks entails exploiting a critical remote code execution shortcoming in PHPUnit ([CVE-2017-9841](https://nvd.nist.gov/vuln/detail/CVE-2017-9841)), a tactic [known](https://www.forescout.com/threat-briefings/) to be [employed](https://www.forescout.com/resources/kinsing-cloud-cryptojacker/) by the [cryptojacking group](https://www.akamai.com/blog/security/Kinsing-evolves-adds-windows-to-attack-list) since at least 2021, to obtain initial access.


[![Linux Flaw](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj5O0Rqn3k_9_30oSPq70zka-E3NNmQEvpqbixVgZqW2d_2a1JOUtGzT2Ih9g3VD3MgVz3cfcLpy_t5FhmVckDe2_A4P-MA_yCOhD_QKgRvr8mSbEECL10D6rABnQMEnPZQaarNULMb1nLzlbTDXAXs4nwAL4njfjnKrwk6zL7RkGntYWsDxk_QE5Ud50EN/s728-rw-ft-e30/exploit.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj5O0Rqn3k_9_30oSPq70zka-E3NNmQEvpqbixVgZqW2d_2a1JOUtGzT2Ih9g3VD3MgVz3cfcLpy_t5FhmVckDe2_A4P-MA_yCOhD_QKgRvr8mSbEECL10D6rABnQMEnPZQaarNULMb1nLzlbTDXAXs4nwAL4njfjnKrwk6zL7RkGntYWsDxk_QE5Ud50EN/s728-rw-ft-e30/exploit.jpg)
This is followed by manually probing the victim environment for Looney Tunables using a Python-based exploit [published](https://haxx.in/exploits/) by a researcher who goes by the alias [bl4sty](https://twitter.com/bl4sty/status/1709892681910853922) on X (formerly Twitter).


"Subsequently, Kinsing fetches and executes an additional PHP exploit," Aqua said. "Initially, the exploit is obscured; however, upon de-obfuscation, it reveals itself to be a JavaScript designed for further exploitative activities."


The JavaScript code, for its part, is a web shell that grants backdoor access to the server, enabling the adversary to perform file management, command execution, and gather more information about the machine it's running on.


The end goal of the attack appears to be to extract credentials associated with the cloud service provider for follow-on attacks, a significant tactical shift from its pattern of deploying the Kinsing malware and launching a cryptocurrency miner.


"This marks the inaugural instance of Kinsing actively seeking to gather such information," the company said.


"This recent development suggests a potential broadening of their operational scope, signaling that the Kinsing operation may diversify and intensify in the near future, thereby posing an increased threat to cloud-native environments."



  





## Tags:
***CVE's***: CVE-2023-4911 CVE-2023-32315 CVE-2017-9841

### Autogenerated tags:
kinsing cloud tunables
