# Magnet Goblin Hacker Group Leveraging 1-Day Exploits to Deploy Nerbian RAT
## Magnet Goblin, a threat group known for fast exploitation of 1-day vulnerabilities, targets edge devices & public servers to deploy malware.
## Information:

+ Link: https://thehackernews.com/2024/03/magnet-goblin-hacker-group-leveraging-1.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 11 March 2024, 11:29
+ Date scraped: 11 March 2024, 07:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiVOGayxL29dTYIGp6bsU6ZZNo_Iagqii3xxtFInk2wJnwgfp003zhaKid4cicmLVor43VlM0_tarHibSmW0A6mQZZ8XidRBOXg50hdq2pMWUtoUwuRXVGVSnx113NahNi2QgYBIC42QJ4VFPElDXll_-z3K1SJRgHpqD467fssMdDacD7WhNfPb3PfPguE/s728-rw-e365/hacker.jpg)


A financially motivated threat actor called **Magnet Goblin** is swiftly adopting one-day security vulnerabilities into its arsenal in order to opportunistically breach edge devices and public-facing services and deploy malware on compromised hosts.


"Threat actor group Magnet Goblin's hallmark is its ability to swiftly leverage newly disclosed vulnerabilities, particularly targeting public-facing servers and edge devices," Check Point [said](https://research.checkpoint.com/2024/magnet-goblin-targets-publicly-facing-servers-using-1-day-vulnerabilities/).


"In some cases, the deployment of the exploits is within 1 day after a [proof-of-concept] is published, significantly increasing the threat level posed by this actor."


Attacks mounted by the adversary have leveraged unpatched Ivanti Connect Secure VPN, Magento, Qlik Sense, and possibly Apache ActiveMQ servers as an initial infection vector to gain unauthorized access. The group is said to be active since at least January 2022.


A successful exploitation is followed by the deployment of a cross-platform remote access trojan (RAT) dubbed Nerbian RAT, which was [first disclosed](https://thehackernews.com/2022/05/researchers-warn-of-nerbian-rat.html) by Proofpoint in May 2022, as well as its simplified variant called MiniNerbian. The use of the Linux version of Nerbian RAT was [previously highlighted](https://darktrace.com/blog/the-unknown-unknowns-post-exploitation-activities-of-ivanti-cs-ps-appliances) by Darktrace.


[![1-Day Vulnerabilities](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgqCx7EtyMQvlyv-dEOeNCe8xXTvOsIKF5LgRmL5vsjQCRu6siGEsZdStST_0b3xXIf02dUCct6_P8UizGCOj_FrEebV4uGkG8DK3aWb41wLzQb7zpvAa8o88i0ipRChHqRNvT2iQQ9MrITu_dXgeiOcwEJtSZ_rB2CwsAOmXSNZ4tFLvnE22JQ_lwpmTup/s728-rw-e365/zero-day.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgqCx7EtyMQvlyv-dEOeNCe8xXTvOsIKF5LgRmL5vsjQCRu6siGEsZdStST_0b3xXIf02dUCct6_P8UizGCOj_FrEebV4uGkG8DK3aWb41wLzQb7zpvAa8o88i0ipRChHqRNvT2iQQ9MrITu_dXgeiOcwEJtSZ_rB2CwsAOmXSNZ4tFLvnE22JQ_lwpmTup/s728-rw-e365/zero-day.jpg)
Both the strains allow for execution of arbitrary commands received from a command-and-control (C2) server and exfiltrating the results backed to it.


Some of the other tools used by Magnet Goblin include the [WARPWIRE](https://thehackernews.com/2024/02/warning-new-malware-emerges-in-attacks.html) JavaScript credential stealer, the Go-based tunneling software known as Ligolo, and legitimate remote desktop offerings such as AnyDesk and ScreenConnect.


"Magnet Goblin, whose campaigns appear to be financially motivated, has been quick to adopt 1-day vulnerabilities to deliver their custom Linux malware, Nerbian RAT and MiniNerbian," the company said.


"Those tools have operated under the radar as they mostly reside on edge-devices. This is part of an ongoing trend for threat actors to target areas which until now have been left unprotected."


  





## Tags:


### Autogenerated tags:
nerbian
