# Malware Strains Targeting Python and JavaScript Developers Through Official Repositories
## Multiple malware campaigns discovered targeting Python and JavaScript developers via the official PyPI and npm repositories
## Information:

+ Link: https://thehackernews.com/2022/12/malware-strains-targeting-python-and.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 13 December 2022, 07:00
+ Date scraped: 13 December 2022, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiOfINDhjAh6PBfW-g903Pdx-N2nJFq3WsaMfOpNhQA7R0Ws9k5e8O16iEUI24TAZqzRPu4ugP8M47mBkxkE4CcmRXCdXPIpeMtBNzrPCefpZ3yeLhxpm9NO9U6f4_Va79u47VNUyiK2st6Z_aC9j1qFiRg4tkZ7mekIO2CpiJSXmM0HF8keGc_cldZaA/s728-e1000/tele.png)


An active malware campaign is targeting the Python Package Index (PyPI) and npm repositories for Python and JavaScript with typosquatted and fake modules that deploy a ransomware strain, marking the latest security issue to affect software supply chains.


The typosquatted Python packages all impersonate the popular [requests library](https://pypi.org/project/requests/): dequests, fequests, gequests, rdquests, reauests, reduests, reeuests, reqhests, reqkests, requesfs, requesta, requeste, requestw, requfsts, resuests, rewuests, rfquests, rrquests, rwquests, telnservrr, and tequests.


According to [Phylum](https://blog.phylum.io/phylum-detects-active-typosquatting-campaign-in-pypi), the rogue packages embed source code that retrieves Golang-based ransomware binary from a remote server depending on the victim's operating system and microarchitecture.


Successful execution causes the victim's desktop background to be changed to an actor-controlled image that claims to the U.S. Central Intelligence Agency (CIA). It's also designed to encrypt files and demand a $100 ransom in cryptocurrency.


In a sign that the attack is not limited to PyPI, the adversary has been spotted publishing five different modules in npm: discordallintsbot, discordselfbot16, discord-all-intents-bot, discors.jd, and telnservrr.


"The attacker has also published several npm packages that behave in a similar manner," Phylum CTO Louis Lang said, adding each of the libraries contain the JavaScript equivalent of the same code to deploy the ransomware.


The findings come as ReversingLabs [uncovered](https://blog.reversinglabs.com/blog/w4sp-continues-to-nest-in-pypi-same-supply-chain-attack-different-distribution-method) a tranche of 10 additional PyPI packages pushing modified versions of the W4SP Stealer malware as part of an [ongoing supply chain attack](https://thehackernews.com/2022/11/w4sp-stealer-constantly-targeting.html) aimed at software developers that's believed to have started around September 25, 2022.


That's not all. Earlier this month, Israel-based software supply chain security firm Legit Security demonstrated a new attack technique against a Rust repository ("rust-lang") that abuses [GitHub Actions](https://thehackernews.com/2022/07/cloud-based-cryptocurrency-miners.html) to poison legitimate artifacts.


Build artifacts are the files created by the build process, such as distribution packages, WAR files, logs, and reports. By replacing the actual modules with trojanized versions, an actor could steal sensitive information or deliver additional payloads to all its downstream users.

 "The vulnerability was found in a workflow called 'ci.yml' which is responsible for building and testing the repository's code," Legit Security researcher Noam Dotan [said](https://www.legitsecurity.com/blog/artifact-poisoning-vulnerability-discovered-in-rust) in a technical write-up.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiiVeTESQ-MTpJSt3cLNHNh6HGyXNPBOxbZ0XWw9dbVXf9DtrjjUljetbziIOX5M90EBH1NMYY8Z4lNQU6Ac2RQdRf0Hytb_fMQmAsrX6DJQFAtZuW0vQ-hl0RxaCyh8mFBMld64are3107BstWaene8Q9Zu6lwa6mLdtCNIIZJSzx7APpEEKe-LckC/s728-e100/github.png)
By exploiting this weakness, an attacker could trick the GitHub workflow into executing a malware-laced artifact, effectively making it possible to tamper with repository branches, pull requests, issues, and releases.


The maintainers of the Rust programming language [addressed](https://github.com/rust-lang/rustc_codegen_gcc/commit/d9edc8e8691d3b65665a9fb12d4dcd1a3fe4cab6) the issue on September 26, 2022, following responsible disclosure on September 15, 2022.


  





## Tags:


### Autogenerated tags:
pypi npm ransomware
