# Microsoft Discover Severe ‘One-Click’ Exploit for TikTok Android App
## A newly reported "high severity vulnerability" in the TikTok app for Android could have allowed attackers to take over accounts.
## Information:

+ Link: https://thehackernews.com/2022/09/microsoft-discover-severe-one-click.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 September 2022, 07:13
+ Date scraped: 01 September 2022, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiRE-FiNTa46fP7wLRqRks5jTRKuJmeGMaP711YfCSHX21619iNJ31K0iyXMki4SVvSkK9vtTOgNoxnY39iAHVvO64pyoYma461-XTYnZDWLKHPnodj3SitU9E7yd43jDzzh95ZSIilb0HCk3kGG2NTHd9nBf5csow2ANVXxVCtt9-8j6OjSx5RvI8a/s728-e1000/tik.jpg)


Microsoft on Wednesday disclosed details of a now-patched "high severity vulnerability" in the TikTok app for Android that could let attackers take over accounts when victims clicked on a malicious link.


"Attackers could have leveraged the vulnerability to hijack an account without users' awareness if a targeted user simply clicked a specially crafted link," Dimitrios Valsamaras of the Microsoft 365 Defender Research Team [said](https://www.microsoft.com/security/blog/2022/08/31/vulnerability-in-tiktok-android-app-could-lead-to-one-click-account-hijacking/) in a write-up.


Successful exploitation of the flaw could have permitted malicious actors to access and modify users' TikTok profiles and sensitive information, leading to the unauthorized exposure of private videos. Attackers could also have abused the bug to send messages and upload videos on behalf of users.


The issue, addressed in version 23.7.3, impacts two flavors of its Android app com.ss.android.ugc.trill (for East and Southeast Asian users) and com.zhiliaoapp.musically (for users in other countries except for India, where it's banned). Combined, the apps have more than 1.5 billion installations between them.


[![TikTok Android App](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEivJdb6Ya1KA5OFdyQYUDJSDH13eo7sYOs1-OUNbKx6F5ZH8gSDAJNi7xMY_28APQKGvl3b5OPzexE1Ou0rnewh_RxeawO_XE_bdNcU7ECzzIeoqTBzOBa3atwITAHM7dteXaGPMzIsvSyFYYJMlQLXfB_F-rmHnRNYhmvduMHy2lENVqiWUVs3U8EW/s728-e1000/android.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEivJdb6Ya1KA5OFdyQYUDJSDH13eo7sYOs1-OUNbKx6F5ZH8gSDAJNi7xMY_28APQKGvl3b5OPzexE1Ou0rnewh_RxeawO_XE_bdNcU7ECzzIeoqTBzOBa3atwITAHM7dteXaGPMzIsvSyFYYJMlQLXfB_F-rmHnRNYhmvduMHy2lENVqiWUVs3U8EW/s728-e100/android.jpg)
Tracked as [CVE-2022-28799](https://nvd.nist.gov/vuln/detail/CVE-2022-28799) (CVSS score: 8.8), the vulnerability has to do with the app's handling of what's called a deeplink, a special hyperlink that allows apps to open a specific resource within another app installed on the device rather than directing users to a website.


"A crafted URL (unvalidated deeplink) can force the com.zhiliaoapp.musically WebView to load an arbitrary website," according to an advisory for the flaw. "This may allow an attacker to leverage an attached JavaScript interface for the takeover with one click."


[![TikTok Android App](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEim9oAaj7cYAQ3fatLDBfHjCulzt-mHaXRBCOOIK3RxdjHz3xdNg4oBQzire_XAZhGga2Nc_X9GyORxzPhFc8n3zK94aNAJ-WtDs12y29-VPeMGAv6EnAuAlGIf7L0oH7s59B99Gm7EubtB_9xrxknWkmEgq_loeMLm8cgYVpoJw4yWvhC0ykfqK06m/s728-e1000/hacking.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEim9oAaj7cYAQ3fatLDBfHjCulzt-mHaXRBCOOIK3RxdjHz3xdNg4oBQzire_XAZhGga2Nc_X9GyORxzPhFc8n3zK94aNAJ-WtDs12y29-VPeMGAv6EnAuAlGIf7L0oH7s59B99Gm7EubtB_9xrxknWkmEgq_loeMLm8cgYVpoJw4yWvhC0ykfqK06m/s728-e100/hacking.jpg)
Put simply, the flaw makes it possible to circumvent the apps's restrictions to reject untrusted hosts and load any website of the attacker's choice through the Android System [WebView](https://developer.android.com/reference/android/webkit/WebView), a mechanism to display web content on other apps.


"The filtering takes place on the server-side and the decision to load or reject a URL is based on the reply received from a particular HTTP GET request," Valsamaras explained, adding the static analysis "indicated that it is possible to bypass the server-side check by adding two additional parameters to the deeplink."


A consequence of this exploit designed to hijack WebView to load rogue websites is that it could permit the adversary to invoke over 70 exposed TikTok endpoints, effectively compromising a user's profile integrity. There's no evidence that the bug has been weaponized in the wild.


"From a programming perspective, using [JavaScript interfaces](https://thehackernews.com/2022/05/microsoft-finds-critical-bugs-in-pre.html) poses significant risks," Microsoft noted. "A compromised JavaScript interface can potentially allow attackers to execute code using the application's ID and privileges."


  





## Tags:
***CVE's***: CVE-2022-28799

### Autogenerated tags:
apps microsoft tiktok android deeplink website webview javascript
