# Microsoft Links Raspberry Robin USB Worm to Russian Evil Corp Hackers
## Microsoft finds a potential connection between the USB-based Raspberry Robin worm and a notorious Russian cybercrime group known as Evil Corp.
## Information:

+ Link: https://thehackernews.com/2022/07/microsoft-links-raspberry-robin-usb.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 30 July 2022, 09:53
+ Date scraped: 30 July 2022, 10:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhWTOr0uFlLlzwXoBJwezSPTFoGFCqgB25nLiHRQueDw8qbuphNRYLISDG-9rEdllAmDEApaRRnuoFk8m84auZnnJCf1Vfj3hSRI8ksL8-dW9Qi5ndiHw6E2546emiWGXfZNaEkOCla78sjiluhsjQRvNblV2y1O990Kwre46xUr_gM1XDf-LhF1g5O/s728-e1000/hacking.jpg)


Microsoft on Friday disclosed a potential connection between the Raspberry Robin USB-based worm and an infamous Russian cybercrime group tracked as Evil Corp.


The tech giant [said](https://www.microsoft.com/security/blog/2022/05/09/ransomware-as-a-service-understanding-the-cybercrime-gig-economy-and-how-to-protect-yourself/#DEV-0206-DEV-0243) it observed the [FakeUpdates](https://thehackernews.com/2022/06/researchers-uncover-malware-controlling.html) (aka SocGholish) malware being delivered via existing Raspberry Robin infections on July 26, 2022.


Raspberry Robin, also called QNAP Worm, is [known](https://thehackernews.com/2022/07/researchers-warn-of-raspberry-robins.html) to spread from a compromised system via infected USB devices containing malicious a .LNK files to other devices in the target network.


The campaign, which was first spotted by Red Canary in September 2021, has been elusive in that no later-stage activity has been documented nor has there any concrete link tying it to a known threat actor or group.


The disclosure marks the first evidence of post-exploitation actions carried out by the threat actor upon leveraging the malware to gain initial access to a Windows machine.


"The DEV-0206-associated FakeUpdates activity on affected systems has since led to follow-on actions resembling DEV-0243 pre-ransomware behavior," Microsoft noted.


[![Raspberry Robin USB Worm](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgAzTQw8Op7_7OfKRq8aKM7tkLJ79idNsxZtRf772rd0iKNhpQe2Te3o-I45vIKRNiilAlGG6A0XsjPnAe9Wtm9RMmqISZG-6zPJEyXsBjJOSmJT_bHV80cbYTXqjjqcVayGsOEeAYlZQBX9qJTlLRXdgAncSsWVtz_9F6QVs6Qsgp4vWEv2w6thR33/s728-e1000/ms.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgAzTQw8Op7_7OfKRq8aKM7tkLJ79idNsxZtRf772rd0iKNhpQe2Te3o-I45vIKRNiilAlGG6A0XsjPnAe9Wtm9RMmqISZG-6zPJEyXsBjJOSmJT_bHV80cbYTXqjjqcVayGsOEeAYlZQBX9qJTlLRXdgAncSsWVtz_9F6QVs6Qsgp4vWEv2w6thR33/s728-e100/ms.jpg)
DEV-0206 is Redmond's moniker for an initial access broker that deploys a malicious JavaScript framework called FakeUpdates by enticing targets into downloading fake browser updates.


The malware, at its core, acts as a conduit for other campaigns that make use of this access purchased from DEV-0206 to distribute other payloads, primarily Cobalt Strike loaders attributed to DEV-0243, which is also known as Evil Corp.


Also called Gold Drake and Indrik Spider, the financially motivated hacking group has historically operated the Dridex malware and has since switched to deploying a string of ransomware families over the years, including most recently [LockBit](https://thehackernews.com/2022/06/evil-corp-cybercrime-group-shifts-to.html).


"The use of a RaaS payload by the 'EvilCorp' activity group is likely an attempt by DEV-0243 to avoid attribution to their group, which could discourage payment due to their sanctioned status," Microsoft said.


It's not immediately clear what exact connections Evil Corp, DEV-0206, and DEV-0243 may have with one another.


Katie Nickels, director of intelligence at Red Canary, said in a statement shared with The Hacker News that the findings, if proven to be correct, fills a "major gap" with Raspberry Robin's modus operandi.


"We continue to see Raspberry Robin activity, but we have not been able to associate it with any specific person, company, entity, or country," Nickels said.


"Ultimately, it's too early to say if Evil Corp is responsible for, or associated with, Raspberry Robin. The Ransomware-as-a-Service (RaaS) ecosystem is a complex one, where different criminal groups partner with one another to achieve a variety of objectives. As a result, it can be difficult to untangle the relationships between malware families and observed activity."


  





## Tags:


### Autogenerated tags:
malware dev-0243 microsoft fakeupdates dev-0206
