# Microsoft Warns of COLDRIVER's Evolving Evading and Credential-Stealing Tactics
## COLDRIVER, a threat actor of strategic interest to Russia, is actively engaged in credential theft and improving evasion techniques.
## Information:

+ Link: https://thehackernews.com/2023/12/microsoft-warns-of-coldrivers-evolving.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 07 December 2023, 20:06
+ Date scraped: 07 December 2023, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgdwgc0uVLH-nZmauBTpf0mp-8ye7-y3xD-DxZAEU7ODeVGBi54vcOHeCLX2AvFbXvaw3m07IzB1CpsCLAlH-F_d0fSsGLpxEdc3TE5rSCWki0YQUIKZCrUr1uOkfBxb-vXTz_lwMaNbtaSOKVKPMR3_wJtonJAkNE6hLFKJyVyEH4LxWBGxzCqm4ydMp0/s728-rw-ft-e30/hacking.jpg)


The threat actor known as COLDRIVER has continued to engage in credential theft activities against entities that are of strategic interests to Russia while simultaneously improving its detection evasion capabilities.


The Microsoft Threat Intelligence team is tracking under the cluster as **Star Blizzard** (formerly SEABORGIUM). It's also called Blue Callisto, BlueCharlie (or TAG-53), Calisto (alternately spelled Callisto), and TA446.


The adversary "continues to prolifically target individuals and organizations involved in international affairs, defense, and logistics support to Ukraine, as well as academia, information security companies, and other entities aligning with Russian state interests," Redmond [said](https://www.microsoft.com/en-us/security/blog/2023/12/07/star-blizzard-increases-sophistication-and-evasion-in-ongoing-attacks/).


[Star Blizzard](https://thehackernews.com/2022/08/microsoft-warns-about-phishing-attacks.html), linked to Russia's Federal Security Service (FSB), has a [track record](https://thehackernews.com/2023/01/british-cyber-agency-warns-of-russian.html) of setting up lookalike domains that impersonate the login pages of targeted companies. It's known to be active since at least 2017.


 UPCOMING WEBINAR  [Cracking the Code: Learn How Cyber Attackers Exploit Human Psychology](https://thehacker.news/social-engineering-psychology?source=inside)  Ever wondered why social engineering is so effective? Dive deep into the psychology of cyber attackers in our upcoming webinar.

 [Join Now](https://thehacker.news/social-engineering-psychology?source=inside) 
In August 2023, Recorded Future [revealed 94 new domains](https://thehackernews.com/2023/08/russian-cyber-adversary-bluecharlie.html) that are part of the threat actor's attack infrastructure, most of which feature keywords related to information technology and cryptocurrency.


Microsoft said it observed the adversary leveraging server-side scripts to prevent automated scanning of the actor-controlled infrastructure starting April 2023, moving away from hCaptcha to determine targets of interest and redirecting the browsing session to the [Evilginx server](https://thehackernews.com/2023/09/w3ll-store-how-secret-phishing.html).


The server-side JavaScript code is designed to check if the browser has any plugins installed, if the page is being accessed by an automation tool like Selenium or PhantomJS, and transmit the results to the server in the form of a HTTP POST request.


"Following the POST request, the redirector server assesses the data collected from the browser and decides whether to allow continued browser redirection," Microsoft said.


[![Credential-Stealing Tactics](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh1ZFydh79oaTr2tYNX7lHspBPhFmnhbIZrjlIHqUJn-enZKSnA4MD-KdNsYmmS8uLGG38iZb7AAKYly7RqbaU4d_8GSrnjFQDTYF5LYDhAZrlZ7ibGRuiBTg5CmNLZF4ng_0yvoQRS5yxcJPVh7nGZ_NvY5oEoTKbPxKvgrBF4j5G1FHo6eD8Vr905xKA/s728-rw-ft-e30/pdf.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh1ZFydh79oaTr2tYNX7lHspBPhFmnhbIZrjlIHqUJn-enZKSnA4MD-KdNsYmmS8uLGG38iZb7AAKYly7RqbaU4d_8GSrnjFQDTYF5LYDhAZrlZ7ibGRuiBTg5CmNLZF4ng_0yvoQRS5yxcJPVh7nGZ_NvY5oEoTKbPxKvgrBF4j5G1FHo6eD8Vr905xKA/s728-rw-ft-e30/pdf.jpg)
"When a good verdict is reached, the browser receives a response from the redirection server, redirecting to the next stage of the chain, which is either an hCaptcha for the user to solve, or direct to the Evilginx server."


Also newly used by Star Blizzard are email marketing services like HubSpot and MailerLite to craft campaigns that serve as the starting point of the redirection chain that culminates at the Evilginx server hosting the credential harvesting page.


In addition, the threat actor has been observed using a domain name service (DNS) provider to resolve actor-registered domain infrastructure, sending password-protected PDF lures embedding the links to evade email security processes as well as host the files on Proton Drive.


That's not all. In a sign that the threat actor is actively keeping tabs on public reporting into its tactics and techniques, it has now upgraded its domain generation algorithm (DGA) to include a more randomized list of words when naming them.


Despite these changes, "Star Blizzard activities remain focused on email credential theft, predominantly targeting cloud-based email providers that host organizational and/or personal email accounts," Microsoft said.


"Star Blizzard remains constant in their use of pairs of dedicated VPSs to host actor-controlled infrastructure (redirector + Evilginx servers) used for spear-phishing activities, where each server usually hosts a separate actor registered domain."


### U.K. Sanctions Two Members of Star Blizzard[#](#uk-sanctions-two-members-of-star-blizzard)


The development comes as the U.K. called out Star Blizzard for "sustained unsuccessful attempts to interfere in U.K. political processes" by targeting high-profile individuals and entities through cyber operations.


Besides linking Star Blizzard to Centre 18, a subordinate element within FSB, the U.K. government [sanctioned two members](https://www.gov.uk/government/news/uk-exposes-attempted-russian-cyber-interference-in-politics-and-democratic-processes) of the hacking crew – Ruslan Aleksandrovich Peretyatko and Andrey Stanislavovich Korinets (aka Alexey Doguzhiev) – for their involvement in the spear-phishing campaigns.


The activity "resulted in unauthorized access and exfiltration of sensitive data, which was intended to undermine UK organizations and more broadly, the UK government," it said.


  





## Tags:


### Autogenerated tags:
microsoft evilginx u.k
