# Microsoft Warns of Widescale Credential Stealing Attacks by Russian Hackers
## Microsoft exposes a surge in credential-stealing attacks by Russian hacker group Midnight Blizzard.
## Information:

+ Link: https://thehackernews.com/2023/06/microsoft-warns-of-widescale-credential.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 26 June 2023, 16:24
+ Date scraped: 26 June 2023, 12:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi-No71ayUTmkmPY0Wf9ssZFU5TVAl0SEA_tGPij8PLRTSQuuHvkEBdVeMP8ARRA4FbALKK_TUmiu8Ztcej2zwwYExlsIlN3aDPSMbEpHdSEL6mYVArRyA1mYdRGirWvNf2WNXamQ2ZEiUSbS2-d3PVxvAtvWu1ZZSAyIzPQVtTgeZYDuiCwNGRCvw2nGE/s728-e3650/ms.jpg)


Microsoft has disclosed that it's detected a spike in credential-stealing attacks conducted by the Russian state-affiliated hacker group known as Midnight Blizzard.


The intrusions, which made use of residential proxy services to obfuscate the source IP address of the attacks, target governments, IT service providers, NGOs, defense, and critical manufacturing sectors, the tech giant's threat intelligence team said.


Midnight Blizzard, formerly known as **Nobelium**, is also tracked under the monikers APT29, Cozy Bear, Iron Hemlock, and The Dukes.


The [group](https://thehackernews.com/2022/11/apt29-exploited-windows-feature-to.html), which drew worldwide attention for the SolarWinds supply chain compromise in December 2020, has [continued](https://thehackernews.com/2023/03/winter-vivern-apt-group-targeting.html) to rely on [unseen tooling](https://thehackernews.com/2023/04/russia-linked-hackers-launches.html) in its targeted attacks aimed at foreign ministries and diplomatic entities.


It's a sign of how determined they are to keep their operations up and running despite being exposed, which makes them a particularly formidable actor in the espionage area.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
"These credential attacks use a variety of password spray, brute-force, and token theft techniques," Microsoft [said](https://twitter.com/MsftSecIntel/status/1671579358031486991) in a series of tweets, adding the actor "also conducted session replay attacks to gain initial access to cloud resources leveraging stolen sessions likely acquired via illicit sale."


The tech giant further called out APT29 for its use of [residential proxy services](https://www.ic3.gov/Home/IndustryAlerts?pressReleasesYear=_2022#:~:text=Proxies%20and%20Configurations%20Used%20for%20Credential%20Stuffing%20Attacks%20on%20Online%20Customer%20Accounts) to route malicious traffic in an attempt to [obfuscate connections](https://proxyway.com/guides/residential-proxies) made using compromised credentials.


"The threat actor likely used these IP addresses for very short periods, which could make scoping and remediation challenging," the Windows makers said.


The development comes as Recorded Future detailed a new spear-phishing campaign orchestrated by [APT28](https://thehackernews.com/2023/05/apt28-targets-ukrainian-government.html) (aka BlueDelta, Forest Blizzard, FROZENLAKE, Iron Twilight, and Fancy Bear) targeting government and military entities in Ukraine since November 2021.


The [attacks](https://cert.gov.ua/article/4905829) leveraged emails bearing attachments exploiting multiple vulnerabilities in the open-source Roundcube webmail software ([CVE-2020-12641](https://nvd.nist.gov/vuln/detail/CVE-2020-12641), [CVE-2020-35730](https://nvd.nist.gov/vuln/detail/CVE-2020-35730), and [CVE-2021-44026](https://nvd.nist.gov/vuln/detail/CVE-2021-44026)) to conduct reconnaissance and data gathering.


[![Microsoft](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjgQA3uPjiZdZdzX30cKP4nitRRbbITsX58smVYf-P4pj5DP6re2z_U0GFacrvXkd51QCl-j87G-6jS4zxPp2ctWZ6t-Lb6zBS7dou8C73X6zyLDCApDZKsISMqVSmLDAl6QvazbiGqybK7u0bpCWOStQV381Q7Cy9oCLPWLP8BPpyisGErTeECsP96XPo/s728-e365/hacker.jpg)
A successful breach enabled the Russian military intelligence hackers to deploy rogue JavaScript malware that redirected the incoming emails of targeted individuals to an email address under the attackers' control as well as steal their contact lists.


"The campaign displayed a high level of preparedness, quickly weaponizing news content into lures to exploit recipients," the cybersecurity company [said](https://www.recordedfuture.com/bluedelta-exploits-ukrainian-government-roundcube-mail-servers). "The spear-phishing emails contained news themes related to Ukraine, with subject lines and content mirroring legitimate media sources."


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://www.memcyco.com/home/library/the-untold-cost-of-brand-impersonation-ebook/?utm_source=thn&utm_medium=referral&utm_campaign=ebook-campaign)
More importantly, the activity is said to dovetail with another set of attacks weaponizing a then-zero-day flaw in Microsoft Outlook ([CVE-2023-23397](https://www.mdsec.co.uk/2023/03/exploiting-cve-2023-23397-microsoft-outlook-elevation-of-privilege-vulnerability/)) that Microsoft [disclosed](https://thehackernews.com/2023/03/microsoft-warns-of-stealthy-outlook.html) as employed in "limited targeted attacks" against European organizations.


The privilege escalation vulnerability was [addressed](https://thehackernews.com/2023/03/microsoft-rolls-out-patches-for-80-new.html) as part of Patch Tuesday updates rolled out in March 2023.


The findings demonstrate Russian threat actors' persistent efforts in harvesting valuable intelligence on various entities in Ukraine and across Europe, especially following the [full-scale invasion](https://www.recordedfuture.com/russias-war-against-ukraine-disrupts-cybercriminal-ecosystem) of the country in [February 2022](https://therecord.media/a-year-of-wipers-how-the-kremlin-backed-sandworm-has-attacked-ukraine-during-the-war).


The [cyberwarfare operations](https://cyberscoop.com/victor-zhora-ukraine-russia-cyber-war-one-year/) aimed at Ukrainian targets have been notably marked by the widespread [deployment](https://www.wired.com/story/ukraine-russia-wiper-malware/) of [wiper malware](https://thehackernews.com/2023/01/new-report-reveals-nikowiper-malware.html) designed to delete and destroy data, turning it into one of the earliest instances of large-scale hybrid conflict.


"BlueDelta will almost certainly continue to prioritize targeting Ukrainian government and private sector organizations to support wider Russian military efforts," Recorded Future concluded.


  





## Tags:
***CVE's***: CVE-2020-35730 CVE-2023-23397 CVE-2021-44026 CVE-2020-12641

### Autogenerated tags:
microsoft emails
