# N. Korea-linked Kimsuky Shifts to Compiled HTML Help Files in Ongoing Cyberattacks
## Kimsuky shifts tactics, now using CHM files to deliver malware, targeting sensitive data globally.
## Information:

+ Link: https://thehackernews.com/2024/03/n-korea-linked-kimsuky-shifts-to.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 24 March 2024, 11:08
+ Date scraped: 24 March 2024, 06:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEghemrGhznvzngtI1MmvT6BExQ6EOWkIFSAZ8wh7yBNUuik6kTUsmrt1eMFUBMyGXtXb0mSgRVLNw4H85LKQHomqqA7itpDE3tEwd78WlrV5oQsMZaCyjHpkxpPzYwo57-xEZ0KWuSOwUiYDO6WGZt7ThWHnqZhRuH3h4MraX48ux8F2UOhJpeZ9hZVtkkL/s728-rw-e365/chm.jpg)


The North Korea-linked threat actor known as [**Kimsuky**](https://thehackernews.com/2024/03/new-deepgosu-malware-campaign-targets.html) (aka Black Banshee, Emerald Sleet, or Springtail) has been observed shifting its tactics, leveraging Compiled HTML Help (CHM) files as vectors to deliver malware for harvesting sensitive data.


Kimsuky, active since at least 2012, is known to target entities located in South Korea as well as North America, Asia, and Europe.


According to Rapid7, attack chains have leveraged weaponized Microsoft Office documents, ISO files, and Windows shortcut (LNK) files, with the group also employing CHM files to [deploy malware](https://thehackernews.com/2023/05/north-korean-kimsuky-hackers-strike.html) on [compromised hosts](https://thehackernews.com/2023/06/scarcruft-hackers-exploit-ably-service.html).


The cybersecurity firm has attributed the activity to Kimsuky with moderate confidence, citing similar tradecraft observed in the past.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
"While originally designed for help documentation, CHM files have also been exploited for malicious purposes, such as distributing malware, because they can execute JavaScript when opened," the company [said](https://www.rapid7.com/blog/post/2024/03/20/the-updated-apt-playbook-tales-from-the-kimsuky-threat-actor-group/).


The CHM file is propagated within an ISO, VHD, ZIP, or RAR file, opening which executes a Visual Basic Script (VBScript) to set up persistence and reach out to a remote server to fetch a next-stage payload responsible for gathering and exfiltrating sensitive data.


Rapid7 described the attacks as ongoing and evolving, targeting organizations based in South Korea. It also identified an alternate infection sequence that employs a CHM file as a starting point to drop batch files tasked with harvesting the information and a PowerShell script to connect to the C2 server and transfer the data.


"The modus operandi and reusing of code and tools are showing that the threat actor is actively using and refining/reshaping its techniques and tactics to gather intelligence from victims," it said.


The development comes as Broadcom-owned Symantec revealed that the Kimsuky actors are distributing malware impersonating an application from a legitimate Korean public entity.


"Once compromised, the dropper installs an Endoor backdoor malware," Symantec [said](https://www.broadcom.com/support/security-center/protection-bulletin/springtail-apt-group-abuses-valid-certificate-of-known-korean-public-entity). "This threat enables attackers to collect sensitive information from the victim or install additional malware."


It's worth noting that the Golang-based Endoor, alongside Troll Stealer (aka TrollAgent), has been recently deployed [in connection with cyber attacks](https://thehackernews.com/2024/02/kimsukys-new-golang-stealer-troll-and.html) that target users downloading security programs from a Korean construction-related association's website.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
The findings also arrive amid a probe initiated by the United Nations into 58 suspected cyber attacks carried out by North Korean nation-state actors between 2017 and 2023 that [netted $3 billion in illegal revenues](https://thehackernews.com/2023/11/north-koreas-lazarus-group-rakes-in-3.html) to help it further [develop its nuclear weapons program](https://www.bloomberg.com/news/articles/2024-03-22/crypto-hacks-north-korea-hits-crypto-firms-scrimping-on-security).


"The high volume of cyber attacks by hacking groups subordinate to the Reconnaissance General Bureau reportedly continued," the report [said](https://www.un.org/securitycouncil/sanctions/1718/panel_experts/reports). "Trends include targeting [defense companies](https://thehackernews.com/2024/02/new-report-reveals-north-korean-hackers.html) and supply chains and, increasingly, sharing infrastructure and tools."


The Reconnaissance General Bureau (RGB) is North Korea's primary foreign intelligence service, comprising the [threat clusters](https://thehackernews.com/2023/10/lazarus-group-targeting-defense-experts.html) widely tracked as the Lazarus Group – and its subordinate elements, Andariel and BlueNoroff – and Kimsuky.


"Kimsuky has shown interest in using generative artificial intelligence, including large language models, potentially for coding or writing phishing emails," the report further added. "Kimsuky has been observed using ChatGPT."


  





## Tags:


### Autogenerated tags:
kimsuky malware
