# NPM Bug Allowed Attackers to Distribute Malware as Legitimate Packages
## A "logical flaw" has been disclosed in the NPM package manager that allowed attackers to pass off rogue libraries as legitimate.
## Information:

+ Link: https://thehackernews.com/2022/04/npm-bug-allowed-attackers-to-distribute.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 27 April 2022, 04:57
+ Date scraped: 27 April 2022, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjQzQwhMh3GB9-xWnsMpyJvAwd9tBPNkxjJqdwgH84GVwgBUrUkYESvbr72S9Xz1M_Lue1x9RxzTlIC2EgI-X1D6VAh7FJsa-weLn6BhGnawr8btuWdsfEcOL8krpilfdQ_HbOSKj7U4CgXZ36CjKvoF9oJfZGos4J2YeqmV6NxqrbtC2wLTwjBYEGw/s728-e1000/npm.jpg)


A "logical flaw" has been disclosed in NPM, the default package manager for the Node.js JavaScript runtime environment, that enables malicious actors to pass off rogue libraries as legitimate and trick unsuspecting developers into installing them.


The supply chain threat has been dubbed "Package Planting" by researchers from cloud security firm Aqua. Following responsible disclosure on February 10, the underlying issue was remediated by NPM on April 26.


"Up until recently, NPM allowed adding anyone as a maintainer of the package without notifying these users or getting their consent," Aqua's Yakir Kadkoda [said](https://blog.aquasec.com/npm-package-planting) in a report published Tuesday.


This effectively meant that an adversary could create malware-laced packages and assign them to trusted, popular maintainers without their knowledge.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhkJLvow95rfHe8prTtVouLRhvbKo38egDF7tKLiL7Kqv2M6RauLSal4HrtEgSFSx8o6HcllE75ue2V2r8p3abi-P7ImwhnxGBkGas6TKLJlZ9p-hoIlJoxuRuA7SLvKCKnKdU7GARoBlJODwCZ-ruasjAfGxppvLw-0IiBZZzTgdPEYySnKHBBMF3L/s728-e100/kali.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhkJLvow95rfHe8prTtVouLRhvbKo38egDF7tKLiL7Kqv2M6RauLSal4HrtEgSFSx8o6HcllE75ue2V2r8p3abi-P7ImwhnxGBkGas6TKLJlZ9p-hoIlJoxuRuA7SLvKCKnKdU7GARoBlJODwCZ-ruasjAfGxppvLw-0IiBZZzTgdPEYySnKHBBMF3L/s728-e100/kali.jpg)
The idea here is to add credible owners associated with other popular NPM libraries to the attacker-controlled poisoned package in hopes that doing so would attract developers into downloading it.


The consequences of such a supply chain attack are significant for a number of reasons. Not only does it give a false sense of trust among developers, it could also inflict reputational damage to legitimate package maintainers.


The disclosure comes as Aqua [uncovered](https://blog.aquasec.com/npm-supply-chain-attack) two more flaws in the NPM platform related to two-factor authentication (2FA) that could be abused to facilitate account takeover attacks and publish malicious packages.


"The main problem is that any npm user can perform this and add other NPM users as maintainers of their own package," Kadkoda said. "Eventually, developers are responsible for what open source packages they use when building applications."


  





## Tags:


### Autogenerated tags:
npm
