# Nation-State Actors Weaponize Ivanti VPN Zero-Days, Deploying 5 Malware Families
## Nation-state hackers weaponizing Ivanti Connect Secure VPN zero-days to deploy five malware families in a targeted cyber espionage campaign.
## Information:

+ Link: https://thehackernews.com/2024/01/nation-state-actors-weaponize-ivanti.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 12 January 2024, 19:23
+ Date scraped: 12 January 2024, 14:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg9R-1JUCYVdJiwgoz79kHVtDSEK1YvirfHU-x4UqMRf03GCicT_Vp-dtRw5OtdLuQbXFWVknaWJWoR-XC345-yKI9L0ejvbWk5MRQcss7FsrXXyDM3Ps3SFVZ3liJ_If8gQuuIyN6fqeOqsvxoWx-J3ENwebng1sDPlmy3Eoegi2xu0Boj2whtgDJCwUkA/s728-rw-ft-e30/lock.jpg)


As many as five different malware families were deployed by suspected nation-state actors as part of post-exploitation activities leveraging [two zero-day vulnerabilities](https://thehackernews.com/2024/01/chinese-hackers-exploit-zero-day-flaws.html) in Ivanti Connect Secure (ICS) VPN appliances since early December 2023.


"These families allow the threat actors to circumvent authentication and provide backdoor access to these devices," Mandiant [said](https://www.mandiant.com/resources/blog/suspected-apt-targets-ivanti-zero-day) in an analysis published this week. The Google-owned threat intelligence firm is tracking the threat actor under the moniker **UNC5221**. 


The attacks leverage an exploit chain comprising an authentication bypass flaw (CVE-2023-46805) and a code injection vulnerability (CVE-2024-21887) to take over susceptible instances.


Volexity, which attributed the activity to a suspected Chinese espionage actor named UTA0178, said the twin flaws were used to gain initial access, deploy webshells, backdoor legitimate files, capture credentials and configuration data, and pivot further into the victim environment.


According to Ivanti, the intrusions impacted less than 10 customers, indicating that this could be a highly-targeted campaign. Patches for the two vulnerabilities (informally called [ConnectAround](https://cyberplace.social/@GossiTheDog/111732557100241084)) are expected to become available in the week of January 22.


Mandiant's analysis of the attacks has revealed the presence of five different custom malware families, besides injecting malicious code into legitimate files within ICS and using other legitimate tools like [BusyBox](https://busybox.net/) and [PySoxy](https://github.com/MisterDaneel/pysoxy) to facilitate subsequent activity.


"Due to certain sections of the device being read-only, UNC5221 leveraged a Perl script (sessionserver.pl) to remount the filesystem as read/write and enable the deployment of THINSPOOL, a shell script dropper that writes the web shell LIGHTWIRE to a legitimate Connect Secure file, and other follow-on tooling," the company said.


LIGHTWIRE is one of the two web shells, the other being WIREFIRE, which are "lightweight footholds" designed to ensure persistent remote access to compromised devices. While LIGHTWIRE is written in Perl CGI, WIREFIRE is implemented in Python.


Also used in the attacks are a JavaScript-based credential stealer dubbed WARPWIRE and a passive backdoor named ZIPLINE that's capable of downloading/uploading files, establishing a reverse shell, creating a proxy server, and setting up a tunneling server to dispatch traffic between multiple endpoints.


"This indicates that these are not opportunistic attacks, and UNC5221 intended to maintain its presence on a subset of high priority targets that it compromised after a patch was inevitably released," Mandiant further added.


UNC5221 has not been linked to any previously known group or a particular country, although the targeting of edge infrastructure by weaponizing zero-day flaws and the use of compromise command-and-control (C2) infrastructure to bypass detection bears all the hallmarks of an advanced persistent threat (APT).


"UNC5221's activity demonstrates that exploiting and living on the edge of networks remains a viable and attractive target for espionage actors," Mandiant said.


  





## Tags:
***CVE's***: CVE-2024-21887 CVE-2023-46805

### Autogenerated tags:
unc5221 mandiant lightwire
