# New Browser-in-the Browser (BITB) Attack Makes Phishing Nearly Undetectable
## A researcher warns of a new browser-in-the-browser (BITB) technique that could allow attackers to spoof a legitimate domain to launch phishing attacks
## Information:

+ Link: https://thehackernews.com/2022/03/new-browser-in-browser-bitb-attack.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 March 2022, 12:26
+ Date scraped: 21 March 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEiOim6Ci107EYgV2X64IVoFq1ZVNQQWTc3Rie8bIL2Ip0O61KvffnQWN7umAN7Ls_fqGT7w28fhW4TxtoC-bZR-S-oq2DN-amQpDxJ5Swqg9T4YZKivtOryBcG0UprOrNh_UilTPwlqw_DptjMhI3CB_BOMVbYi4bGtWqG76_6sQW3YhQC5ndZbnuLK=s728-e1000)


A novel phishing technique called browser-in-the-browser (BitB) attack can be exploited to simulate a browser window within the browser in order to spoof a legitimate domain, thereby making it possible to stage convincing phishing attacks.


According to penetration tester and security researcher, who goes by the handle mrd0x\_, the method takes advantage of third-party single sign-on ([SSO](https://en.wikipedia.org/wiki/Single_sign-on)) options embedded on websites such as "Sign in with Google" (or Facebook, Apple, or Microsoft).


While the default behavior when a user attempts to sign in via these methods is to be greeted by a pop-up window to complete the authentication process, the BitB attack aims to replicate this entire process using a mix of HTML and CSS code to create an entirely fabricated browser window.


[![Browser-in-the Browser](https://thehackernews.com/new-images/img/a/AVvXsEj7r8UiQnWCiVofhRqcGuS1aBWxi5-sUJ5a7wZVnOvdmsUZ-HS3g4hTjc-1YtGPrqMVlvIVGVCQd6DtEiygNGPZuimQH3EngoLJu6rkXF7wybwZPU_BvpMwjAzZ0B3ZHwP2eJZ7yoxVRyBGA4ugNN9d_j7vZ8NDySpNF3WAPmx-lxoeHEh7e0kY-rs4=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEj7r8UiQnWCiVofhRqcGuS1aBWxi5-sUJ5a7wZVnOvdmsUZ-HS3g4hTjc-1YtGPrqMVlvIVGVCQd6DtEiygNGPZuimQH3EngoLJu6rkXF7wybwZPU_BvpMwjAzZ0B3ZHwP2eJZ7yoxVRyBGA4ugNN9d_j7vZ8NDySpNF3WAPmx-lxoeHEh7e0kY-rs4)
"Combine the window design with an iframe pointing to the malicious server hosting the phishing page, and it's basically indistinguishable," mrd0x\_ [said](https://mrd0x.com/browser-in-the-browser-phishing-attack/) in a technical write-up published last week. "JavaScript can be easily used to make the window appear on a link or button click, on the page loading etc."


While this method significantly makes it easier to mount effective [social engineering campaigns](https://github.com/mrd0x/BITB), it's worth noting that potential victims need to be redirected to a phishing domain that can display such a fake authentication window for credential harvesting.


"But once landed on the attacker-owned website, the user will be at ease as they type their credentials away on what appears to be the legitimate website (because the trustworthy URL says so)," mrd0x\_ added.


  





## Tags:


### Autogenerated tags:
window phishing mrd0x_
