# New Chrome Zero-Day Vulnerability CVE-2024-4761 Under Active Exploitation
## Google has released emergency fixes for a new zero-day vulnerability (CVE-2024-4761) that has been actively exploited in the wild.
## Information:

+ Link: https://thehackernews.com/2024/05/new-chrome-zero-day-vulnerability-cve.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 14 May 2024, 19:21
+ Date scraped: 14 May 2024, 14:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEibh2nNGZ-2lt1wpR9uYjcE3feawRpDHdC-0unnr9Bfx0E6RMQ1Psb5mtKQQp6fwf91MEEFg5-KGH25MgZBcOUsm-2t1zwLIToKqT-6ayvgBebjkU5WQLZoEosXwsF8YtOfCuPupZK8fFXdjwiOdL-PPAj0TvFJPwekUglRjR_fKgJhewEq6rSQRSFMaUgK/s728-rw-e365/chrome.jpg)


Google on Monday shipped emergency fixes to address a new zero-day flaw in the Chrome web browser that has come under active exploitation in the wild.


The high-severity vulnerability, tracked as **CVE-2024-4761**, is an out-of-bounds write bug impacting the V8 JavaScript and WebAssembly engine. It was reported anonymously on May 9, 2024.


[Out-of-bounds write bugs](https://cwe.mitre.org/data/definitions/787.html) could be typically exploited by malicious actors to corrupt data, or induce a crash or execute arbitrary code on compromised hosts.


"Google is aware that an exploit for CVE-2024-4761 exists in the wild," the tech giant [said](https://chromereleases.googleblog.com/2024/05/stable-channel-update-for-desktop_13.html).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Additional details about the nature of the attacks have been withheld to prevent more threat actors from weaponizing the flaw.


The disclosure comes merely days after the company patched [CVE-2024-4671](https://thehackernews.com/2024/05/chrome-zero-day-alert-update-your.html), a use-after-free vulnerability in the Visuals component that has been exploited in real-world attacks.


With the latest fix, Google has addressed a total of six zero-days since the start of the year, three of which were demonstrated at the Pwn2Own hacking contest in Vancouver in March -


* **[CVE-2024-0519](https://thehackernews.com/2024/01/zero-day-alert-update-chrome-now-to-fix.html)** - Out-of-bounds memory access in V8 (actively exploited)
* **[CVE-2024-2886](https://chromereleases.googleblog.com/2024/03/stable-channel-update-for-desktop_26.html)** - Use-after-free in WebCodecs
* **[CVE-2024-2887](https://chromereleases.googleblog.com/2024/03/stable-channel-update-for-desktop_26.html)** - Type confusion in WebAssembly
* **[CVE-2024-3159](https://chromereleases.googleblog.com/2024/04/stable-channel-update-for-desktop.html)** - Out-of-bounds memory access in V8
* **[CVE-2024-4671](https://thehackernews.com/2024/05/chrome-zero-day-alert-update-your.html)** - Use-after-free bug in Visuals (actively exploited)


Users are recommended to upgrade to Chrome version 124.0.6367.207/.208 for Windows and macOS, and version 124.0.6367.207 for Linux to mitigate potential threats.


Users of Chromium-based browsers such as Microsoft Edge, Brave, Opera, and Vivaldi are also advised to apply the fixes as and when they become available.

 
  





## Tags:
***CVE's***: CVE-2024-2886 CVE-2024-3159 CVE-2024-0519 CVE-2024-4671 CVE-2024-2887 CVE-2024-4761

### Autogenerated tags:
out-of-bounds google v8 use-after-free
