# New Golang-based Skuld Malware Stealing Discord and Browser Data from Windows PCs
## Researchers uncover Skuld, a potent Golang-based information stealer that targets Discord, web browsers, and sensitive files on Windows systems.
## Information:

+ Link: https://thehackernews.com/2023/06/new-golang-based-skuld-malware-stealing.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 14 June 2023, 16:13
+ Date scraped: 14 June 2023, 11:05

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhnz5KIdg07pEIoqEZfKvbh3pK8yeW-baCpPV42j1LOjJ671VgAcPVAFHdR_Vrl5WTgCvhw4Tw43ZdPsl05SSBuwFK8tUbair9A-KGawgDDsqlVGJTezFXjXKvk1vuslBXV4ilav-TrNrX2_D1OaPXfoX5BH22J39xwlJU281k-j0Fo1V_45aw6XrHR/s728-e365/hacker.jpg)


A new Golang-based information stealer called **Skuld** has compromised Windows systems across Europe, Southeast Asia, and the U.S.


"This new malware strain tries to steal sensitive information from its victims," Trellix researcher Ernesto Fernández Provecho [said](https://www.trellix.com/en-us/about/newsroom/stories/research/skuld-the-infostealer-that-speaks-golang.html) in a Tuesday analysis. "To accomplish this task, it searches for data stored in applications such as Discord and web browsers; information from the system and files stored in the victim's folders."


Skuld, which shares overlaps with publicly available stealers like [Creal Stealer](https://github.com/Ayhuuu/Creal-Stealer), [Luna Grabber](https://github.com/Smug246/Luna-Grabber/tree/main), and [BlackCap Grabber](https://github.com/Inplex-sys/BlackCap-Grabber-NoDualHook), is the handiwork of a developer who goes by the online alias Deathined on various social media platforms like GitHub, Twitter, Reddit, and Tumblr.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-2)
Also spotted by Trellix is a Telegram group named deathinews, indicating that these online avenues could be used to promote the offering in the future as a service for other threat actors.


The malware, upon execution, checks if it's running in a virtual environment in an attempt to thwart analysis. It further extracts the list of running processes and compares it against a predefined blocklist. Should any process match with those present in the blocklist, Skuld proceeds to terminate the matched process as opposed to terminating itself.


Besides gathering system metadata, the malware possesses capabilities to harvest cookies and credentials stored in web browsers as well as files present in the Windows user profile folders, including Desktop, Documents, Downloads, Pictures, Music, Videos, and OneDrive.


Artifacts analyzed by Trellix show that it's engineered to corrupt legitimate files associated with Better Discord and Discord Token Protector and inject JavaScript code into the Discord app to siphon backup codes, mirroring a technique similar to that of another Rust-based infostealer [recently documented](https://thehackernews.com/2023/05/new-stealthy-bandit-stealer-targeting.html) by Trend Micro.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Attend for Free](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
Select samples of Skuld also incorporate a clipper module to alter clipboard content and steal cryptocurrency assets by swapping the wallet addresses, which the cybersecurity company theorized is likely in development.


Data exfiltration is achieved by means of an actor-controlled Discord webhook or the Gofile upload service. In the case of the latter, a reference URL to steal the uploaded ZIP file containing the stolen data is sent to the attacker using the same Discord webhook functionality.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgVsTALfljtoWjrUe9Pwq8IsqAQI_tanDPjJYB8S8710gwlNl_jmUqRJ_0fNBalQkUtgi8bB2Cft4WJ4EL8QXO00iIQoakBqbin-T2bpCEKRP4M2QiotjB4zS3FpajrK2sl9RlpZAUdhmunPzOoPNdlRUyV4KtjK82CbMI-Mpoi_1MYGCYw1L1CEORi/s728-e365/map.jpg)
The development points to steady adoption of the Go programming language among threat actors due to its "simplicity, efficiency, and cross-platform compatibility," thereby making it an attractive vehicle to target multiple operating systems and expand their victim pool.


"Additionally, Golang's compiled nature lets malware authors produce binary executables that are more challenging to analyze and reverse engineer," Fernández Provecho noted. "This makes it harder for security researchers and traditional anti-malware solutions to detect and mitigate these threats effectively."



  





## Tags:


### Autogenerated tags:
skuld malware trellix
