# New GootLoader Malware Variant Evades Detection and Spreads Rapidly
## A variant of GootLoader, known as GootBot, is enabling hackers to sneak past defenses, spreading rapidly through networks.
## Information:

+ Link: https://thehackernews.com/2023/11/new-gootloader-malware-variant-evades.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 07 November 2023, 17:58
+ Date scraped: 07 November 2023, 13:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjN6ayIan0x6HDKESNqXUV3T5VheE6pwASWdWCWr2QRzSb6tLYUpYQOjtBqtcd4cltx1pddm34Ee2qYAAec97b4ft5v9DZCE79spXHY6_2TkdP2mmpgTxyr5rCLmlglYVJU8hS2Rkq5D3q20SAwMD5HHeQtLI2iH6kksL7uX0yYpPLXKm_83V75sBJBYWbM/s728-rw-ft-e30/malware.jpg)


A new variant of the [GootLoader malware](https://thehackernews.com/2023/03/cybercriminals-targeting-law-firms-with.html) called GootBot has been found to facilitate lateral movement on compromised systems and evade detection.


"The GootLoader group's introduction of their own custom bot into the late stages of their attack chain is an attempt to avoid detections when using off-the-shelf tools for C2 such as CobaltStrike or RDP," IBM X-Force researchers Golo Mühr and Ole Villadsen [said](https://securityintelligence.com/x-force/gootbot-gootloaders-new-approach-to-post-exploitation/).


"This new variant is a lightweight but effective malware allowing attackers to rapidly spread throughout the network and deploy further payloads."


GootLoader, as the name implies, is a malware capable of downloading next-stage malware after luring potential victims using search engine optimization (SEO) poisoning tactics. It's linked to a threat actor tracked as [Hive0127](https://thehackernews.com/2023/01/gootkit-malware-continues-to-evolve.html) (aka UNC2565).


The use of GootBot points to a tactical shift, with the implant downloaded as a payload after a Gootloader infection in lieu of post-exploitation frameworks such as CobaltStrike."


Described as an obfuscated PowerShell script, GootBot is designed to connect to a compromised WordPress site for command and control and receive further commands.


Complicating matters further is the use of a unique hard-coded C2 server for each deposited GootBot sample, making it difficult to block malicious traffic.


[![GootLoader Malware](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhkeg2MYG3IU8HotIGiEq86ZoKYumQLLKx_AJ2TSd0z97N7tXDfGYMej7cGXU6GFtmYxLk9YmuoUp-4bk93HcGUzQz49NWDt-GtCJgTlwlRdLdznJG9PK_jInEUncmlN_C29B5s8belKBvpvFRBHacA9mrmqCypesErz1mq2-N_i3bGG2CHXB6zHnd2kcaI/s728-rw-ft-e30/power.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhkeg2MYG3IU8HotIGiEq86ZoKYumQLLKx_AJ2TSd0z97N7tXDfGYMej7cGXU6GFtmYxLk9YmuoUp-4bk93HcGUzQz49NWDt-GtCJgTlwlRdLdznJG9PK_jInEUncmlN_C29B5s8belKBvpvFRBHacA9mrmqCypesErz1mq2-N_i3bGG2CHXB6zHnd2kcaI/s728-rw-ft-e30/power.jpg)
"Currently observed campaigns leverage SEO-poisoned searches for themes such as contracts, legal forms, or other business-related documents, directing victims to compromised sites designed to look like legitimate forums where they are tricked into downloading the initial payload as an archive file," the researchers said.


The archive file incorporates an obfuscated JavaScript file, which, upon execution, fetches another JavaScript file that's triggered via a scheduled task to achieve persistence.


In the second stage, JavaScript is engineered to run a PowerShell script for gathering system information and exfiltrating it to a remote server, which, in turn, responds with a PowerShell script that's run in an infinite loop and grants the threat actor to distribute various payloads.


This includes GootBot, which beacons out to its C2 server every 60 seconds to fetch PowerShell tasks for execution and transmit the results of the execution back to the server in the form of HTTP POST requests.


Some of the other capabilities of GootBot range from reconnaissance to carrying out lateral movement across the environment, effectively expanding the scale of the attack.


"The discovery of the Gootbot variant highlights the lengths to which attackers will go to evade detection and operate in stealth," the researchers said. "This shift in TTPs and tooling heightens the risk of successful post-exploitation stages, such as GootLoader-linked ransomware affiliate activity."



  





## Tags:


### Autogenerated tags:
gootbot gootloader malware powershell c2 javascript
