# New Hacking Campaign Targeting Ukrainian Government with IcedID Malware
## Ukraine government has warned of a new wave of hacking campaigns that spread IcedID malware and exploit Zimbra exploits to steal sensitive information
## Information:

+ Link: https://thehackernews.com/2022/04/new-hacking-campaign-targeting.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 18 April 2022, 06:00
+ Date scraped: 19 April 2022, 10:56

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjqxQ8raGa61GdTcGCUkkWXaH0OFd1LSilghyZmqhQ1S6wtRdcy7PgPrCAUtN68HrJtwNc-dAJpQhZuVLSNTDTy_RUMRYNxIVeQCacco2KQz_rUpGkv7e1NTG4KrZc3SkrqTf5uM87eiCedavnr-KjKkgOHPBbMWOnK40_Szk96mQoBzNhp__4t0dkE/s728-e1000/code-malware.jpg)


The Computer Emergency Response Team of Ukraine (CERT-UA) has warned of a new wave of social engineering campaigns delivering IcedID malware and leveraging Zimbra exploits with the goal of stealing sensitive information.


Attributing the IcedID phishing attacks to a threat cluster named UAC-0041, the agency [said](https://cert.gov.ua/article/39609) the infection sequence begins with an email containing a Microsoft Excel document (Мобілізаційний реєстр.xls or Mobilization Register.xls) that, when opened, prompts the users to enable macros, leading to the deployment of IcedID.


The [information-stealing malware](https://thehackernews.com/2022/03/hackers-hijack-email-reply-chains-on.html), also known as BokBot, has followed a similar trajectory to that of TrickBot, Emotet, and ZLoader, evolving from its earlier roots as a banking trojan to a full-fledged crimeware service that facilities the retrieval of next-stage implants such as ransomware.


[![Ukrainian Government](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiDJp0spIZO0ARtWFjPMq2wlyJdmIV4egH_XZ070CCfNNQktapr6CX6hcQiUzgPH_yFgMoToktM30e1n5wfH1Lpga-WyBbN4JnIMEwCmV0SCmWciW8Lc_7sKuD84rrDXq0F2eQeL-7JkKrwNeBvdTe4TRWPbj5RyQguMaBymwmwWSUTGgGoBf7UEHz6/s728-e1000/excel.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiDJp0spIZO0ARtWFjPMq2wlyJdmIV4egH_XZ070CCfNNQktapr6CX6hcQiUzgPH_yFgMoToktM30e1n5wfH1Lpga-WyBbN4JnIMEwCmV0SCmWciW8Lc_7sKuD84rrDXq0F2eQeL-7JkKrwNeBvdTe4TRWPbj5RyQguMaBymwmwWSUTGgGoBf7UEHz6/s728-e100/excel.jpg)
The [second set of targeted intrusions](https://cert.gov.ua/article/39606) relate to a new threat group dubbed UAC-0097, with the email including a number of image attachments with a [Content-Location](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Content-Location) header pointing to a remote server hosting a piece of JavaScript code that activates an exploit for a Zimbra cross-site scripting vulnerability ([CVE-2018-6882](https://nvd.nist.gov/vuln/detail/CVE-2018-6882)).


In the final step of the attack chain, the injected rogue JavaScript is used to forward victims' emails to an email address under the threat actor's control, indicating a cyber espionage campaign.


The incursions are a continuation of malicious cyber activities targeting Ukraine since the start of the year. Recently, CERT-UA also [disclosed](https://thehackernews.com/2022/04/russian-hackers-tried-attacking.html) that it had foiled a cyberattack by Russian adversaries to sabotage the operations of an unnamed energy provider in the country.


  





## Tags:
***CVE's***: CVE-2018-6882

### Autogenerated tags:
icedid
