# New NodeStealer Targeting Facebook Business Accounts and Crypto Wallets
## Cybersecurity researchers have discovered a Python variant of NodeStealer malware capable of fully taking over Facebook business accounts.
## Information:

+ Link: https://thehackernews.com/2023/08/new-nodestealer-targeting-facebook.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 01 August 2023, 21:03
+ Date scraped: 01 August 2023, 16:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhxlcwzmFu3KEx4b4MCWeAKtTEMRVOQ0BF7_4BvrDM4YzeXypW0HNrHKLDqEnwMm9Pw-prwlUdKR2VbP7B3TkPlSIfXfOp33uJUftMtLMFU1W7XTk8o09UMDqv6tXl45snqnsbzccLa9MvlS_yjzp6g9PEc5O25xrxw3jDg1nNzMYjTQOd0xKak1OoibwJk/s728-e3650/malware.jpg)


Cybersecurity researchers have unearthed a Python variant of a stealer malware **NodeStealer** that's equipped to fully take over Facebook business accounts as well as siphon cryptocurrency.


Palo Alto Network Unit 42 said it detected the previously undocumented strain as part of a campaign that commenced in December 2022.


NodeStealer was [first exposed](https://thehackernews.com/2023/05/meta-takes-down-malware-campaign-that.html) by Meta in May 2023, describing it as a stealer capable of harvesting cookies and passwords from web browsers to compromise Facebook, Gmail, and Outlook accounts. While the prior samples were written in JavaScript, the latest versions are coded in Python.


"NodeStealer poses great risk for both individuals and organizations," Unit 42 researcher Lior Rochberger [said](https://unit42.paloaltonetworks.com/nodestealer-2-targets-facebook-business/). "Besides the direct impact on Facebook business accounts, which is mainly financial, the malware also steals credentials from browsers, which can be used for further attacks."


The attacks start with bogus messages on Facebook that purportedly claim to offer free "professional" budget tracking Microsoft Excel and Google Sheets templates, tricking victims to download a ZIP archive file hosted on Google Drive.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjDdxUPmQ8UJQm7kd9rIBsYCDlCQoR3bqVu4rchvOWFKGtnDq1ldILMskU-tlbXnHlWQVvGxivE1Fe-Lh5dJlECjsiblKiu8sbqMdqKgxy97B6MLcQuXtpP2lOmhjny2d5jmCkjl9wSzPqoLkAQ2KHee1cno62wV4IXDkMLIFfzgANa6DJDIBjFicKsID_i/s728-e3650/1.png)](https://thn.news/edWGl41h)
The ZIP file embeds within it the stealer executable that, besides capturing Facebook business account information, is designed to download additional malware such as [BitRAT](https://thehackernews.com/2023/01/hackers-using-stolen-bank-information.html) and [XWorm](https://thehackernews.com/2023/05/xworm-malware-exploits-follina.html) in the form of ZIP files, disable Microsoft Defender Antivirus, and carry out crypto theft by using MetaMask credentials from Google Chrome, Cốc Cốc, and Brave web browsers.


The downloads are accomplished by means of a User Account Control (UAC) bypass technique that employs the fodhelper.exe to execute PowerShell scripts that retrieve the ZIP files from a remote server.


It's worth noting that the [FodHelper UAC bypass](https://tcm-sec.com/bypassing-defender-the-easy-way-fodhelper/) method has also been adopted by financially motivated threat actors behind the [Casbaneiro banking malware](https://thehackernews.com/2023/07/casbaneiro-banking-malware-goes-under.html) to obtain elevated privileges over infected hosts.


Unit 42 said it further spotted an upgraded Python variant of NodeStealer that goes beyond credential and crypto theft by implementing anti-analysis features, parsing emails from Microsoft Outlook, and even attempting to take over the associated Facebook account.


Once the necessary information is collected, the files are exfiltrated through the Telegram API, after which they are deleted from the machine to erase the trail.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
NodeStealer also joins the likes of malware like Ducktail that are part of a growing trend of Vietnamese threat actors looking to break into Facebook business accounts for advertising fraud and propagating malware to other users on the social media platform.


[![NodeStealer](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg6vQDTCmrQOISC6FPDbHMsd15nSSha7QUCqCh4fmirTIAstO5ph2b8BI2rm3UKmXdocJ7w4bMEPDlfmeGRQxPneAz26MQyk6SbxGyKuWZusjRAGlShs_t2yV8oY2gI9d0OpywZde6OJSU8Dcm7VW091ZiZcOwJDnzkbfaX-VNfdHcmcceAxNc9dEQOXkor/s728-e3650/hack.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg6vQDTCmrQOISC6FPDbHMsd15nSSha7QUCqCh4fmirTIAstO5ph2b8BI2rm3UKmXdocJ7w4bMEPDlfmeGRQxPneAz26MQyk6SbxGyKuWZusjRAGlShs_t2yV8oY2gI9d0OpywZde6OJSU8Dcm7VW091ZiZcOwJDnzkbfaX-VNfdHcmcceAxNc9dEQOXkor/s728-e365/hack.jpg)
The development comes as threat actors have been [observed](https://cyble.com/blog/sneaky-xworm-uses-multistaged-attack/) leveraging [WebDAV](https://en.wikipedia.org/wiki/WebDAV) servers to deploy [BATLOADER](https://thehackernews.com/2023/05/searching-for-ai-tools-watch-out-for.html), which is then used to distribute XWorm as part of a multi-stage phishing attack.


"Facebook business account owners are encouraged to use strong passwords and enable multi-factor authentication," Rochberger said. "Take the time to provide education for your organization on phishing tactics, especially modern, targeted approaches that play off current events, business needs and other appealing topics."


  





## Tags:


### Autogenerated tags:
facebook malware nodestealer microsoft google
