# New Phishing Campaign Deploys WARMCOOKIE Backdoor Targeting Job Seekers
## Learn about WARMCOOKIE, a new Windows backdoor targeting job seekers in a sophisticated phishing campaign.
## Information:

+ Link: https://thehackernews.com/2024/06/new-phishing-campaign-deploys.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 12 June 2024, 14:17
+ Date scraped: 12 June 2024, 09:12

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhsnwD8qAGiKWVL4GrVv-wBN31h7NRaVtzvMhiHNiHFwIaWcN4MyYCsZGMVjh-v_WlETv7Ug9Qlt6dOXMsW_jDHmla4kTWzahPnI5WxL-KtSgMt6VmD7_bJAVZ0tjpslPMPqrXel-Qan3IPpCJrkWKM_RY4U9bijyZ3qwFzIjpR3YiDTNsnDgd2bv_wZYbt/s728-rw-e365/cyberattack.png)


Cybersecurity researchers have disclosed details of an ongoing phishing campaign that leverages recruiting- and job-themed lures to deliver a Windows-based backdoor named WARMCOOKIE.


"WARMCOOKIE appears to be an initial backdoor tool used to scout out victim networks and deploy additional payloads," Elastic Security Labs researcher Daniel Stepanic [said](https://www.elastic.co/security-labs/dipping-into-danger) in a new analysis. "Each sample is compiled with a hard-coded [command-and-control] IP address and RC4 key."


The backdoor comes with capabilities to fingerprint infected machines, capture screenshots, and drop more malicious programs. The company is tracking the activity under the name REF6127.


The attack chains observed since late April involve the use of email messages purporting to be from recruitment firms like Hays, Michael Page, and PageGroup, urging recipients to click on an embedded link to view details about a job opportunity.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi4QYwwkNM8b5nO2fcokl4Kuax1bHQIiQJIsosHVik_h8JMymWnhUSrCkPTeFZaBj1Dq2zaisV-G5BjUJO1S9EzX5K8k_mgF2PPXfg5Hfr147Hks8qANF8WjhFRaLu7wEdHGEeIQR9wCJor3GLoiR6aclvY8vLOVpOs-rJ4K0S80yHCfK711xq9hs9T8zKG/s728-e365/1p-d-v4.png)](https://thehackernews.uk/1p-d-v4)
Users who end up clicking on the link are then prompted to download a document by solving a CAPTCHA challenge, following which a JavaScript file ("Update\_23\_04\_2024\_5689382.js") is dropped.


"This obfuscated script runs PowerShell, kicking off the first task to load WARMCOOKIE," Elastic said. "The PowerShell script abuses the Background Intelligent Transfer Service ([BITS](https://learn.microsoft.com/en-us/windows/win32/bits/background-intelligent-transfer-service-portal)) to download WARMCOOKIE."


A crucial component of the campaign is the use of compromised infrastructure to host the initial phishing URL, which is then used to redirect victims to the appropriate landing page.


A Windows DLL, WARMCOOKIE follows a two-step process that allows for establishing persistence using a scheduled task and launching the core functionality, but not before performing a series of anti-analysis checks to sidestep detection.


The backdoor is designed to capture information about the infected host in a manner that's similar to an artifact used in connection with a previous campaign codenamed [Resident](https://www.esentire.com/blog/esentire-threat-intelligence-malware-analysis-resident-campaign) that targeted manufacturing, commercial, and healthcare organizations.


[![WARMCOOKIE Backdoor](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjRFViRmxI_AdlMSn8vuSBwtPMfOmi4ix5jAt8NY3-T1iM9eyAAhX5pxli_VVYLqUa6cjGBcJqaG9dDyY-p_WZ3Ryf9XOQUu6GjwXs8w0cHAK-tlA8PukkA4ndTo5_aYITnYSg7P3nQwTIaWrdwzzXHNjxcpqSAHl9VlowialYvsVYEfL8D4juq4a_EerSZ/s728-rw-e365/elastic.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjRFViRmxI_AdlMSn8vuSBwtPMfOmi4ix5jAt8NY3-T1iM9eyAAhX5pxli_VVYLqUa6cjGBcJqaG9dDyY-p_WZ3Ryf9XOQUu6GjwXs8w0cHAK-tlA8PukkA4ndTo5_aYITnYSg7P3nQwTIaWrdwzzXHNjxcpqSAHl9VlowialYvsVYEfL8D4juq4a_EerSZ/s728-rw-e365/elastic.png)
It also supports commands to read from and write to files, execute commands using cmd.exe, fetch the list of installed applications, and grab screenshots.


"WARMCOOKIE is a newly discovered backdoor that is gaining popularity and is being used in campaigns targeting users across the globe," Elastic said.


The disclosure comes as Trustwave SpiderLabs detailed a sophisticated phishing campaign that employs invoice-related decoys and takes advantage of the Windows search functionality embedded in HTML code to deploy malware.


The email messages bear a ZIP archive containing an HTML file, which uses the legacy [Windows "search:" URI protocol handler](https://learn.microsoft.com/en-us/previous-versions/windows/desktop/legacy/cc144083(v=vs.85)) to display a Shortcut (LNK) file hosted on a remote server in the Windows Explorer, giving the impression it's a local search result.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhNS3KFIZ1kUzX9UAyIXkbApCqvKVe4YB7J7YxS5pyT89_UulKpYdfjxFzpEtKx1mkKxptph1SCYggLbhJDkGbKinHSktbbkeXeYBqil8kXuFRmXI-z3FdKj2qTdIYb5vdqZ-mb_NBp3AMTlAP7s4X9r14mq7rDBORzMWvL3CWY8vfZXFKBhdl3-x0BxK89/s728-e365/ad-d.jpg)](https://thehackernews.uk/ad-d)
"This LNK file points to a batch script (BAT) hosted on the same server, which, upon user click, could potentially trigger additional malicious operations," Trustwave [said](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/search-spoof-abuse-of-windows-search-to-redirect-to-malware/), adding it could not retrieve the batch script due to the server being unresponsive.


It's worth noting that the abuse of search-ms: and search: as a malware distribution vector was [documented](https://thehackernews.com/2023/07/hackers-abusing-windows-search-feature.html) by Trellix in July 2023.


"While this attack does not utilize automated installation of malware, it does require users to engage with various prompts and clicks," the company said. "However, this technique cleverly obscures the attacker's true intent, exploiting the trust users place in familiar interfaces and common actions like opening email attachments."


  





## Tags:


### Autogenerated tags:
warmcookie windows phishing malware
