# New Rugmi Malware Loader Surges with Hundreds of Daily Detections
## Threat actors are using a new malware loader to distribute various information stealers, including Lumma Stealer, Vidar, RecordBreaker, and Rescoms.
## Information:

+ Link: https://thehackernews.com/2023/12/new-rugmi-malware-loader-surges-with.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 28 December 2023, 11:26
+ Date scraped: 28 December 2023, 06:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiDC7bOP0IOLlWLJoFkvQGLaYku-ENhqa3f1ejlxrHzIvgibT6FkTRCiP7LocFmgdfEZO-XNcwTcAZBhNe_yNMaVG7uEMKW8UrpFia0HvEUP1hHOAnYjmoNq4-3g1nXf5cH7VGBRaS17fc7UtQ09zdzHDkLDTus0VtuRGW9XqPQLEBAb3hlWjwox1SR1L6j/s728-rw-ft-e30/malware.jpg)


A new malware loader is being used by threat actors to deliver a wide range of [information stealers](https://thehackernews.com/2023/11/new-jupyter-infostealer-version-emerges.html) such as Lumma Stealer (aka LummaC2), Vidar, RecordBreaker (aka Raccoon Stealer V2), and [Rescoms](https://www.microsoft.com/en-us/wdsi/threats/malware-encyclopedia-description?Name=Backdoor:Win32/Rescoms.A).


Cybersecurity firm ESET is tracking the trojan under the name **Win/TrojanDownloader.Rugmi**.


"This malware is a loader with three types of components: a downloader that downloads an encrypted payload, a loader that runs the payload from internal resources, and another loader that runs the payload from an external file on the disk," the company [said](https://www.welivesecurity.com/en/eset-research/eset-threat-report-h2-2023/) in its Threat Report H2 2023.


Telemetry data gathered by the company shows that detections for the Rugmi loader spiked in October and November 2023, surging from single digit daily numbers to hundreds per day.


 UPCOMING WEBINAR  [From USER to ADMIN: Learn How Hackers Gain Full Control](https://thehacker.news/privilege-escalation-art?source=inside)  Discover the secret tactics hackers use to become admins, how to detect and block it before it's too late. Register for our webinar today.

 [Join Now](https://thehacker.news/privilege-escalation-art?source=inside) 
Stealer malware is typically sold under a malware-as-a-service (MaaS) model to other threat actors on a subscription basis. Lumma Stealer, for instance, is advertised in underground forums for $250 a month. The most expensive plan costs $20,000, but it also gives the customers access to the source code and the right to sell it.


There is [evidence to suggest](https://thehackernews.com/2023/09/cybercriminals-using-new-asmcrypt.html) that the codebase associated with Mars, Arkei, and Vidar stealers has been repurposed to create Lumma.


Besides [continuously adapting](https://thehackernews.com/2023/11/lummac2-malware-deploys-new.html) its tactics to evade detection, the off-the-shelf tool is distributed through a [variety of methods](https://thehackernews.com/2023/10/binances-smart-chain-exploited-in-new.html) ranging from malvertising to fake browser updates to cracked installations of popular software such as VLC media player and OpenAI ChatGPT.


Another technique concerns the use of Discord's content delivery network (CDN) to host and propagate the malware, as [revealed](https://www.trendmicro.com/en_us/research/23/j/beware-lumma-stealer-distributed-via-discord-cdn-.html) by Trend Micro in October 2023.


This entails leveraging a combination of random and compromised Discord accounts to send direct messages to prospective targets, offering them $10 or a Discord Nitro subscription in exchange for their assistance on a project.


Users who agree to the offer are then urged to download an executable file hosted on [Discord CDN](https://thehackernews.com/2023/10/discord-playground-for-nation-state.html) that masquerades as iMagic Inventory but, in reality, contains the Lumma Stealer payload.


"Ready-made malware solutions contribute to the proliferation of malicious campaigns because they make the malware available even to potentially less technically skilled threat actors," ESET said.


"Offering a broader range of functions then serves to render Lumma Stealer even more attractive as a product."


The disclosures come as McAfee Labs disclosed a new variant of [NetSupport RAT](https://thehackernews.com/2023/11/netsupport-rat-infections-on-rise.html), which emerged from its legitimate progenitor NetSupport Manager and has since been put to use by initial access brokers to gather information and perform additional actions on victims of interest.


"The infection begins with obfuscated JavaScript files, serving as the initial point of entry for the malware," McAfee [said](https://www.mcafee.com/blogs/other-blogs/mcafee-labs/beneath-the-surface-how-hackers-turn-netsupport-against-users/), adding it highlights the "evolving tactics employed by cybercriminals."


The execution of the JavaScript file advances the attack chain by running PowerShell commands to retrieve the remote control and stealer malware from an actor-controlled server. The campaign's primary targets include the U.S. and Canada.


  





## Tags:


### Autogenerated tags:
malware lumma
