# New Stealthy Bandit Stealer Targeting Web Browsers and Cryptocurrency Wallets
## Beware of the relentless Bandit Stealer info-stealer malware, wreaking havoc on web browsers & crypto wallets worldwide.
## Information:

+ Link: https://thehackernews.com/2023/05/new-stealthy-bandit-stealer-targeting.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 27 May 2023, 13:40
+ Date scraped: 27 May 2023, 09:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhsj-_w0ENQKHiGFY9DUqlKD7kNMlReFvE2qOJru2gv8EE1kTw7nZMdmfzy-0D81TyCYVL9-ctDW9ucyEkmFsjb5GSjGerPMEk9RHJ07pN1qHvpEkqXSQKxEo6fhyKT8WFczFrge6oIhmTk9YiyBn71vu09RS-DonOqrtlFj7fsJOd_jTFrCPZqimrf/s728-e365/stealer.jpg)


A new stealthy information stealer malware called **Bandit Stealer** has caught the attention of cybersecurity researchers for its ability to target numerous web browsers and cryptocurrency wallets. 


"It has the potential to expand to other platforms as Bandit Stealer was developed using the Go programming language, possibly allowing cross-platform compatibility," Trend Micro [said](https://www.trendmicro.com/en_us/research/23/e/new-info-stealer-bandit-stealer-targets-browsers-wallets.html) in a Friday report.


The malware is currently focused on targeting Windows by using a legitimate command-line tool called [runas.exe](https://learn.microsoft.com/en-us/previous-versions/windows/it-pro/windows-server-2012-r2-and-2012/cc771525(v=ws.11)) that allows users to run programs as another user with different permissions.


The goal is to escalate privileges and execute itself with administrative access, thereby effectively bypassing security measures to harvest wide swathes of data.


That said, Microsoft's access control mitigations to prevent unauthorized execution of the tool means an attempt to run the malware binary as an administrator requires providing the necessary credentials.


"By using the runas.exe command, users can run programs as an administrator or any other user account with appropriate privileges, provide a more secure environment for running critical applications, or perform system-level tasks," Trend Micro said.


"This utility is particularly useful in situations where the current user account does not have sufficient privileges to execute a specific command or program."


Bandit Stealer incorporates checks to determine if it's running in a sandbox or virtual environment and terminates a list of blocklisted processes to conceal its presence on the infected system.


It also establishes persistence by means of Windows Registry modifications before commencing its data collection activities that include harvesting personal and financial data stored in web browsers and crypto wallets.


Bandit Stealer is said to be distributed via phishing emails containing a dropper file that opens a seemingly innocuous Microsoft Word attachment as a distraction maneuver while triggering the infection in the background.


Trend Micro said it also detected a fake installer of Heart Sender, a service that automates the process of sending spam emails and SMS messages to numerous recipients, that's used to trick users into launching the embedded malware.


The development comes as the cybersecurity firm uncovered a Rust-based info stealer targeting Windows that [leverages](https://www.trendmicro.com/en_us/research/23/e/rust-based-info-stealers-abuse-github-codespaces.html) a [GitHub Codespaces webhook](https://thehackernews.com/2023/01/hackers-can-abuse-legitimate-github.html) controlled by the attacker as an exfiltration channel to obtain a victim's web browser credentials, credit cards, cryptocurrency wallets, and Steam and Discord tokens.


The malware, in what's a relatively uncommon tactic, [achieves persistence](https://www.trendmicro.com/en_us/research/23/e/info-stealer-abusing-codespaces-puts-discord-users--data-at-risk.html) on the system by modifying the installed Discord client to inject JavaScript code designed to capture information from the application.


The findings also follow the emergence of [several strains](https://ke-la.com/emerging-infostealers-2023-report/) of [commodity stealer malware](https://thehackernews.com/2023/03/warning-ai-generated-youtube-video.html) like [Luca](https://blog.cyble.com/2022/07/25/luca-stealer-source-code-leaked-on-a-cybercrime-forum/), [StrelaStealer](https://thehackernews.com/2023/01/cybercriminals-using-polyglot-files-in.html), [DarkCloud](https://blog.cyble.com/2023/02/20/decoding-the-inner-workings-of-darkcloud-stealer/), [WhiteSnake](https://blog.cyble.com/2023/02/24/new-whitesnake-stealer-offered-for-sale-via-maas-model/), and [Invicta Stealer](https://blog.cyble.com/2023/05/25/invicta-stealer-spreading-through-phony-godaddy-refund-invoices/), some of which have been [observed](https://asec.ahnlab.com/en/53128/) [propagating](https://asec.ahnlab.com/en/53158/) via spam emails and [fraudulent versions](https://blog.cyble.com/2023/05/19/capcut-users-under-fire/) of popular software.


Another notable trend has been the [use](https://thehackernews.com/2023/04/youtube-videos-distributing-aurora.html) of [YouTube](https://asec.ahnlab.com/en/52072/) [videos](https://www.fortinet.com/blog/threat-research/youtube-pirated-software-videos-deliver-triple-threat-vidar-stealer-laplas-clipper-xmrig-miner) to advertise cracked software via compromised channels with millions of subscribers.


Data amassed from stealers can benefit the operators in many ways, allowing them to exploit purposes such as identity theft, financial gain, data breaches, credential stuffing attacks, and account takeovers.


The stolen information can also be sold to other actors, serving as a foundation for follow-on attacks that could range from targeted campaigns to ransomware or extortion attacks.


These developments highlight the [continued evolution](https://thehackernews.com/2023/05/lobshot-stealthy-financial-trojan-and.html) of [stealer malware](https://thehackernews.com/2023/05/searching-for-ai-tools-watch-out-for.html) into a more lethal threat, just as the malware-as-a-service (MaaS) market makes them readily available and lowers the barriers to entry for aspiring cybercriminals.


Indeed, data gathered by Secureworks Counter Threat Unit (CTU) has [revealed](https://www.secureworks.com/research/the-growing-threat-from-infostealers) a "thriving infostealer market," with the volume of stolen logs on underground forums like Russian Market registering a 670% jump between June 2021 and May 2023.


"Russian Market offers five million logs for sale which is around ten times more than its nearest forum rival 2easy," the company said.


"Russian Market is well-established among Russian cybercriminals and used extensively by threat actors worldwide. Russian Market recently added logs from three new stealers, which suggests that the site is actively adapting to the ever-changing e-crime landscape."


The MaaS ecosystem, the increasing sophistication notwithstanding, has also been in a state of flux, with law enforcement actions prompting threat actors to [peddle their warez on Telegram](https://thehackernews.com/2023/04/researchers-uncover-thriving-phishing.html).


"What we are seeing is an entire underground economy and supporting infrastructure built around infostealers, making it not only possible but also potentially lucrative for relatively low skilled threat actors to get involved," Don Smith, vice president of Secureworks CTU, [said](https://www.secureworks.com/about/press/infostealer-market-booming-despite-genesis-market-and-raidforums-takedowns).


"Coordinated global action by law enforcement is having some impact, but cybercriminals are adept at reshaping their routes to market."


  





## Tags:


### Autogenerated tags:
malware windows emails cybercriminals
