# New Vulnerability in Popular WordPress Plugin Exposes Over 2 Million Sites to Cyberattacks
## A security flaw has been discovered in the Advanced Custom Fields plugin that could allow for reflected cross-site scripting attacks.
## Information:

+ Link: https://thehackernews.com/2023/05/new-vulnerability-in-popular-wordpress.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 May 2023, 11:11
+ Date scraped: 06 May 2023, 06:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjhLMvkuS6QX8t_YfY39LyqUKUMhUTyqXv0i3M-dc3sR6BNXZi8aX057KSztInoaxv6iF3YAlWCEbUTF7lv3Vnhh7sTWvC4sTmtae-4PHfxVnoDudqluGa75d9n1XIRR9_9Z7bIq2D1qnwU5S6PBB9ii6-wQkIw759mFTn8vDDKtWPGXQFy_yluY2kx/s728-e3650/wordpress-hacking.jpg)


Users of Advanced Custom Fields plugin for WordPress are being urged to update version 6.1.6 following the discovery of a security flaw.


The issue, assigned the identifier CVE-2023-30777, relates to a case of reflected cross-site scripting (XSS) that could be abused to inject arbitrary executable scripts into otherwise benign websites.


The plugin, which is available both as a free and pro version, has over [two million active installations](https://wordpress.org/plugins/advanced-custom-fields/). The issue was discovered and reported to the maintainers on May 2, 2023.


"This vulnerability allows any unauthenticated user from stealing sensitive information to, in this case, privilege escalation on the WordPress site by tricking a privileged user to visit the crafted URL path," Patchstack researcher Rafie Muhammad [said](https://patchstack.com/articles/reflected-xss-in-advanced-custom-fields-plugins-affecting-2-million-sites/).


[Reflected XSS](https://owasp.org/www-community/attacks/xss/) attacks usually occur when victims are tricked into clicking on a bogus link sent via email or another route, causing the malicious code to be sent to the vulnerable website, which reflects the attack back to the user's browser.


This element of social engineering means that reflected XSS does not have the same reach and scale as stored XSS attacks, prompting threat actors to distribute the malicious link to as many victims as possible.


"[A reflected XSS attack] is typically a result of incoming requests not being sufficiently sanitized, which allows for the manipulation of a web application's functions and the activation of malicious scripts," Imperva [notes](https://www.imperva.com/learn/application-security/reflected-xss-attacks/).


[![WordPress Plugin](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg_9JWgLuqWC05HiEE1ZqAkEyOw3XG58bYV4QFELy4T7HSeyYvUuXfEoDUm-VgnOs5s_N2-5DDoGjeyYo8aEBhOj0ajNL6JLZm3IFtxrL0zyAp4OnqxlqpGWEZmGy3igahGxHUV6-e62bJuo9hUb5TrU0eRRIFmeuGei29JMh7XhLP_eqSpcjGHR2VO/s728-e365/code.png)
It's worth noting that CVE-2023-30777 can be activated on a default installation or configuration of Advanced Custom Fields, although it's only possible to do so from logged-in users who have access to the plugin.


The development comes as Craft CMS patched two medium-severity XSS flaws ([CVE-2023-30177](https://github.com/advisories/GHSA-wv7j-rc2q-9j67) and [CVE-2023-31144](https://github.com/craftcms/cms/security/advisories/GHSA-j4mx-98hw-6rv6)) that could be exploited by a threat actor to serve malicious payloads.


It also follows the disclosure of another XSS flaw in the cPanel product ([CVE-2023-29489](https://nvd.nist.gov/vuln/detail/CVE-2023-29489), CVSS score: 6.1) that could be exploited without any authentication to run arbitrary JavaScript.


"An attacker can not only attack the management ports of cPanel but also the applications that are running on port 80 and 443," Assetnote's Shubham Shah [said](https://blog.assetnote.io/2023/04/26/cpanel-xss-advisory/), adding it could enable an adversary to hijack a valid user's cPanel session.


"Once acting on behalf of an authenticated user of cPanel, it is usually trivial to upload a web shell and gain command execution."



  





## Tags:
***CVE's***: CVE-2023-29489 CVE-2023-30777 CVE-2023-31144 CVE-2023-30177

### Autogenerated tags:
xss cpanel plugin
