# North Korea's Lazarus Group Suspected in $31 Million CoinEx Heist
## Major crypto hacks by Lazarus Group: Reports confirm $240M stolen since June 2023, with $31M swiped from CoinEx.
## Information:

+ Link: https://thehackernews.com/2023/09/north-koreas-lazarus-group-suspected-in.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 17 September 2023, 12:02
+ Date scraped: 17 September 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjiHh6nyKUtmAgR6pj_qx6KRi2ShQRs8p4lp7sbT0h9cVD1a0PHvd3seNVzwMD23yx3ETjZGojejUYibZ5TTTkpAfBeIdRkUKrNKgrPv9m1IT5Qk09SA2Q-D2ErG8zZHMGpZP5np0cYnaJRSybRDDZzcilJ3FzRHJF0DlZpds_weFk0MIGfUNdwMBWUt4lu/s728-e3650/crypto-hack.jpg)


The North Korea-affiliated Lazarus Group has stolen nearly $240 million in cryptocurrency since June 2023, marking a significant escalation of its hacks.


According to multiple reports from [Certik](https://www.certik.com/resources/blog/216tegKHtRmx5pOI3UgYCX-lazarus-groups-web3-rampage), [Elliptic](https://www.elliptic.co/blog/how-the-lazarus-group-is-stepping-up-crypto-hacks-and-changing-its-tactics), and [ZachXBT](https://twitter.com/zachxbt/status/1701905899034390574), the infamous hacking group is said to be suspected behind the theft of $31 million in digital assets from the [CoinEx exchange](https://announcement.coinex.com/hc/en-us/articles/19187420867348-Latest-Progress-of-the-Hacking-Attack-on-Sep-12-2023-Updated-on-Sep-14-) on September 12, 2023.


The crypto heist aimed at CoinEx [adds](https://thehackernews.com/2023/08/north-korean-affiliates-suspected-in.html) to a [string of recent attacks](https://thehackernews.com/2023/09/north-korean-hackers-exploit-zero-day.html) targeting Atomic Wallet ($100 million), CoinsPaid ($37.3 million), Alphapo ($60 million), and Stake.com ($41 million).


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
"Some of the funds stolen from CoinEx were sent to an address which was used by the Lazarus group to launder funds stolen from Stake.com, albeit on a different blockchain," Elliptic said. "Following this, the funds were bridged to Ethereum, using a bridge previously used by Lazarus, and then sent back to an address known to be controlled by the CoinEx hacker."


The blockchain analytics firm said the latest attacks are an indication that the adversarial collective is shifting its focus from decentralized services to centralized ones, the latter of which were its targets prior to 2020.


The pivot is likely motivated by improvements in smart contract auditing and development standards in the DeFi space and increased access offered by centralized exchanges via social engineering attacks.


[![Million CoinEx Heist](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEidDQE6cBpC8os6-P-smiFVRB-erex7lgYo6VqwNHzCmMm-UXpYRVvY4n7duuO6lxEmhbU83_gRpHF-aXuHoxZyh11frmlo257nqk2w-umIn9MHrXEFcoJhCPjpTPbjMlkcbhh1WTYwqlVRpI-eBnfTlHEQleJElLtXbWQnGkyDW7R3HcmBUT0Gr9DVqbg9/s728-e3650/cryto.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEidDQE6cBpC8os6-P-smiFVRB-erex7lgYo6VqwNHzCmMm-UXpYRVvY4n7duuO6lxEmhbU83_gRpHF-aXuHoxZyh11frmlo257nqk2w-umIn9MHrXEFcoJhCPjpTPbjMlkcbhh1WTYwqlVRpI-eBnfTlHEQleJElLtXbWQnGkyDW7R3HcmBUT0Gr9DVqbg9/s728-e365/cryto.jpg)
The development comes as the leader of the sanctions-hit nation, Kim Jong Un, [visited](https://www.bbc.com/news/world-asia-66810830) [Russia](https://www.reuters.com/world/russia-shows-north-koreas-kim-hypersonic-missiles-strategic-bombers-2023-09-16/) for what's believed to be an arms deal, even as it [fired two short-range ballistic missiles](https://apnews.com/article/north-korea-missile-kim-jong-un-5a247c5612306bfd1901f851ffba47d3) toward its eastern seas earlier in the week.


North Korea has leveraged [cryptocurrency thefts](https://www.trmlabs.com/post/inside-north-koreas-crypto-heists) as a way to get around sanctions and fund its [weapons programs](https://www.bbc.com/news/world-asia-41174689). Another [revenue generation channel](https://thehackernews.com/2022/05/us-warns-against-north-korean-hackers.html) is its use of [freelance IT workers abroad](https://thehackernews.com/2023/05/n-korean-lazarus-group-targets.html) using fraudulent identification documents that obscure their true nationality. 


"In recent years, there has been a marked rise in the size and scale of cyber attacks against cryptocurrency-related businesses by North Korea," TRM Labs [said](https://www.trmlabs.com/post/trm-talks-recap-the-north-korea-threat) in June 2023. "This has coincided with an apparent acceleration in the country's [nuclear and ballistic missile programs](https://www.cnbc.com/2023/09/06/north-korea-hackers-stole-crypto-to-fund-nuclear-program-trm-chainalysis.html)."


UPCOMING WEBINAR[Identity is the New Endpoint: Mastering SaaS Security in the Modern Age](https://thehacker.news/itdr-saas?source=inside)Dive deep into the future of SaaS security with Maor Bin, CEO of Adaptive Shield. Discover why identity is the new endpoint. Secure your spot now.

[Get Ready to Learn](https://thehacker.news/itdr-saas?source=inside)
The Lazarus Group and its sub-clusters as well as other hacking outfits linked to the country have been on a rampage in recent months, orchestrating a variety of malicious operations, including software supply chain attacks targeting companies such as [3CX](https://thehackernews.com/2023/04/lazarus-xtrader-hack-impacts-critical.html) and [JumpCloud](https://thehackernews.com/2023/07/north-korean-nation-state-actors.html) as well as open-source repositories for [JavaScript](https://thehackernews.com/2023/08/north-korean-hackers-suspected-in-new.html) and [Python](https://thehackernews.com/2023/08/north-korean-hackers-deploy-new.html).


In a post-mortem of the hack, CoinsPaid [disclosed](https://coinspaid.com/tpost/k4r6jt90p1-the-coinspaid-hack-explained) that [phony recruiters](https://thehackernews.com/2022/07/hackers-used-fake-job-offer-to-hack-and.html) from crypto companies contacted its employees via LinkedIn and various Messengers with lucrative salaries and trick them into "installing the JumpCloud Agent or a special program to complete a technical task," a campaign known as [Operation Dream Job](https://thehackernews.com/2023/03/north-korean-unc2970-hackers-expands.html).


  





## Tags:


### Autogenerated tags:
coinex
