# North Korean Hackers Pose as Job Recruiters and Seekers in Malware Campaigns
## North Korean hackers posing as recruiters infect software developers with cross-platform malware.
## Information:

+ Link: https://thehackernews.com/2023/11/north-korean-hackers-pose-as-job.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 22 November 2023, 17:44
+ Date scraped: 22 November 2023, 13:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgU6-Y5OhyThoAKtc3QM7jZBZAgMXTOJxW-5AguNnBplGBrW0Z0Wm_lHPIMKtb7h0XSj4nkhAzmPcMebTrZqCZHQdsE9bjrFCZmyzWTwcqeHZuaX5vgzkCy5lFwSLXurHBOFMgzKsmkMA3eF-H72NKEN-FhyphenhyphenWWnXMQ7VHiU-Hi-hduHazEYzLdapguZT6Jv/s728-rw-ft-e30/hacking.jpg)


North Korean threat actors have been linked to two campaigns in which they masquerade as both job recruiters and seekers to distribute malware and obtain unauthorized employment with organizations based in the U.S. and other parts of the world.


The activity clusters have been codenamed Contagious Interview and Wagemole, respectively, by Palo Alto Networks Unit 42.


While the first set of attacks aims to "infect software developers with malware through a fictitious job interview," the latter is designed for financial gain and espionage.


"The first campaign's objective is likely cryptocurrency theft and using compromised targets as a staging environment for additional attacks," the cybersecurity company [said](https://unit42.paloaltonetworks.com/two-campaigns-by-north-korea-bad-actors-target-job-hunters/).


The fraudulent job-seeking activity, on the other hand, involves the use of a GitHub repository to host resumes with forged identities that impersonate individuals of various nationalities.


The Contagious Interview attacks pave the way for two hitherto undocumented cross-platform malware named BeaverTail and InvisibleFerret that can run on Windows, Linux, and macOS systems.


It's worth noting that the intrusion set shares tactical overlaps with previously reported North Korean threat activity dubbed [Operation Dream Job](https://thehackernews.com/2023/10/lazarus-group-targeting-defense-experts.html), which involves approaching employees with potential job offers and tricking them into downloading a malicious npm package hosted on GitHub as part of an online interview.


"The threat actor likely presents the package to the victim as software to review or analyze, but it actually contains malicious JavaScript designed to infect the victim's host with backdoor malware," Unit 42 said.


BeaverTail, the JavaScript implant, is a stealer and a loader that comes with capabilities to steal sensitive information from web browsers and crypto wallets, and deliver additional payloads, including InvisibleFerret, a Python-based backdoor with fingerprinting, remote control, keylogging, and data exfiltration features.


InvisibleFerret is also designed to download the AnyDesk client from an actor-controlled server for remote access.


Earlier this month, Microsoft [warned](https://thehackernews.com/2023/11/microsoft-warns-of-fake-skills.html) that the infamous Lazarus Group sub-cluster referred to as [Sapphire Sleet](https://thehackernews.com/2023/11/n-korean-bluenoroff-blamed-for-hacking.html) (aka BlueNoroff) has established new infrastructure that impersonates skills assessment portals as part of its social engineering campaigns.


[![North Korean Hackers](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj01XeQXp5EnPA0Xj6UdW7W1qhCDmufpu-uxoVEVPkmwF6x1M3BUbBEktFBBHfOsnewGtfU7NATa-kh-x41GV4xtLuooVatGEr09TtpLIy0tljeVXDTU50JlgB9WbSIMieaBPK-L4Pf1COa0uoaG2kx7oKol5NE3XZOny1vyppgMdyhhwLKvSV9ELoif2Ib/s728-rw-ft-e30/malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj01XeQXp5EnPA0Xj6UdW7W1qhCDmufpu-uxoVEVPkmwF6x1M3BUbBEktFBBHfOsnewGtfU7NATa-kh-x41GV4xtLuooVatGEr09TtpLIy0tljeVXDTU50JlgB9WbSIMieaBPK-L4Pf1COa0uoaG2kx7oKol5NE3XZOny1vyppgMdyhhwLKvSV9ELoif2Ib/s728-rw-ft-e30/malware.jpg)
This is not the first time North Korean threat actors have [abused bogus modules](https://thehackernews.com/2023/08/north-korean-hackers-deploy-new.html) in npm and PyPI. In late June and July 2023, [Phylum](https://thehackernews.com/2023/07/north-korean-state-sponsored-hackers.html) and [GitHub](https://thehackernews.com/2023/07/north-korean-nation-state-actors.html) detailed a social engineering campaign targeting the personal accounts of employees working in technology firms with the goal of installing a counterfeit npm package under the guise of collaborating on a GitHub project.


The attacks have been attributed to another cluster known as Jade Sleet, which is also called TraderTraitor and UNC4899, and has since been implicated in the JumpCloud hack that took place around the same time.


The discovery of Wagehole echoes a [recent advisory](https://thehackernews.com/2023/10/us-doj-cracks-down-on-north-korean-it_20.html) from the U.S. government, which disclosed North Korea's subterfuge to beat sanctions by dispatching an army of highly-skilled IT workers who obtain employment in several companies globally and funnel back their wages to fund the country's weapons programs.


"Some resumes include links to a LinkedIn profile and links to GitHub content," the cybersecurity company said.


"These GitHub accounts appear well maintained and have a lengthy activity history. These accounts indicate frequent code updates and socialization with other developers. As a result, these GitHub accounts are nearly indistinguishable from legitimate accounts."


"We would create 20 to 50 fake profiles a year until we were hired," a North Korean IT worker who recently defected was [quoted as saying](https://www.reuters.com/technology/north-koreans-use-fake-names-scripts-land-remote-it-work-cash-2023-11-21/) to Reuters, which also shared details of the Wagemole campaign.


The development comes as North Korea [claimed](https://www.bbc.com/news/world-asia-67482405) that it has successfully put a military spy satellite into space, after two unsuccessful attempts in May and August of this year.


It also follows a [new attack campaign](https://asec.ahnlab.com/en/59073/) orchestrated by the North Korea-linked [Andariel](https://thehackernews.com/2023/09/researchers-warn-of-cyber-weapons-used.html) group – another subordinate element within Lazarus – to deliver Black RAT, Lilith RAT, NukeSped, and TigerRAT by infiltrating vulnerable MS-SQL servers as well as via supply chain attacks using a South Korean asset management software.


"Software developers are often the weakest link for supply chain attacks, and fraudulent job offers are an ongoing concern, so we expect continued activity from Contagious Interview," Unit 42 said. "Furthermore, Wagemole represents an opportunity to embed insiders in targeted companies."


  





## Tags:


### Autogenerated tags:
github malware wagemole invisibleferret npm
