# Ongoing Xurum Attacks on E-commerce Sites Exploiting Critical Magento 2 Vulnerability
## E-commerce sites using Adobe's Magento 2 software are under attack. Ongoing campaign called Xurum exploits critical flaw.
## Information:

+ Link: https://thehackernews.com/2023/08/ongoing-xurum-attacks-on-e-commerce.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 14 August 2023, 18:44
+ Date scraped: 14 August 2023, 14:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhVPfu1__SgLt5GY2q7-EIJ94yH8dd8bDkLVAub40Q1UlwX8yp6Cl3dMU1ekVsiCJr4bD_3tFP9pyP22161FFMBp_7ezMC_MzGwgKOnWnZBGmmWx4O3EbZYb0z1i9YBsTzW3V4UUz0OC6a6GoL6-Go0g96BvCR9oTeWdKA4h57QRDsbOnh8wdiN8qsXiUIo/s728-e3650/code.jpg)


E-commerce sites using Adobe's Magento 2 software are the target of an ongoing campaign that has been active since at least January 2023.


The attacks, dubbed **Xurum** by Akamai, leverage a now-patched critical security flaw ([CVE-2022-24086](https://nvd.nist.gov/vuln/detail/CVE-2022-24086), CVSS score: 9.8) in Adobe Commerce and Magento Open Source that, if successfully exploited, could lead to arbitrary code execution.


"The attacker seems to be interested in payment stats from the orders in the victim's Magento store placed in the past 10 days," Akamai researchers [said](https://www.akamai.com/blog/security-research/new-sophisticated-magento-campaign-xurum-webshell) in an analysis published last week, attributing the campaign to actors of Russian origin.


Some of the websites have also been observed to be infected with simple JavaScript-based skimmers that's designed to collect credit card information and transmit it to a remote server. The exact scale of the campaign remains unclear.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgwAoxYDskfi-J01jeLkkPEZqHZy9bLaLX8kLNuruprE8YRTIB5EBEid3uvBbzR90H6IcIJgVhjn0srTxOZLXejyJ6Jz9ZP-lexe0SPTD7GA1oU6HgxduclFP4BBnHkKiVJ_bsnI7UWFpYdpeFEkKKy1rxI2i0Y5KObLKK-rA7YfSuph4A714RQKICG252V/s728-e3650/4.png)](https://thn.news/edWGl41h)
In the attack chains observed by the company, CVE-2022-24086 is weaponized for initial access, subsequently exploiting the foothold to execute malicious PHP code that gathers information about the host and drops a web shell named wso-ng that masquerades as a Google Shopping Ads component.


Not only is the web shell backdoor run in memory, it also activated only when the attacker sends the cookie "magemojo000" in the HTTP request, after which information about the sales order payment methods in the past 10 days is accessed and exfiltrated.


The attacks culminate with the creation of a rogue admin user with the name "mageworx" (or "mageplaza") in what appears to be a deliberate attempt to camouflage their actions as benign, for the two monikers refer to popular Magento 2 extension stores.


wso-ng is said to be an [evolution](https://www.wordfence.com/blog/2017/06/wso-shell/) [of the](https://blog.sucuri.net/2020/03/tiny-wso-webshell-loader.html) [WSO web shell](https://www.getastra.com/e/malware/infections/wso-shell-most-popular-malicious-tool-used-by-hackers), incorporating a new hidden login page to steal credentials entered by victims. It further integrates with legitimate tools like VirusTotal and SecurityTrails to glean the infected machine's IP reputation and obtain details about other domains hosted on the same server.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
Online shopping sites have been targeted for years by a [class of attacks](https://thehackernews.com/2023/04/attention-online-shoppers-dont-be.html) known as [Magecart](https://thehackernews.com/2023/06/magento-woocommerce-wordpress-and.html) in which skimmer code is inserted into checkout pages with the goal of harvesting payment data entered by victims.


"The attackers have shown a meticulous approach, targeting specific Magento 2 instances rather than indiscriminately spraying their exploits across the internet," the researchers said.


"They demonstrate a high level of expertise in Magento and invest considerable time in understanding its internals, setting up attack infrastructure, and testing their exploits on real targets."


  





## Tags:
***CVE's***: CVE-2022-24086

### Autogenerated tags:
magento
