# Opera MyFlaw Bug Could Let Hackers Run ANY File on Your Mac or Windows
## Critical security flaw found in Opera Browsers. MyFlow sync feature lets attackers take over your Windows and macOS systems.
## Information:

+ Link: https://thehackernews.com/2024/01/opera-myflaw-bug-could-let-hackers-run.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 15 January 2024, 19:28
+ Date scraped: 15 January 2024, 14:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjehFZNZtsOPGcJ9vyat8gCOFxO0G18H39sd7NMVakZy1xwklYHua19OEDLgkJKplq2XCk0LfiNowWpCd1OiwNOHxHCxNqWWl1RZ0FfAt9c67Y83XQaekWq3sCBxiDVkCl6-VyI4jmI9wQP1e3Alo7_uVllxKuh9nqx2QjhfGHtvyZXQA85qAumrORIxOxF/s728-rw-ft-e30/opera-bg.jpg)


Cybersecurity researchers have disclosed a security flaw in the Opera web browser for Microsoft Windows and Apple macOS that could be exploited to execute any file on the underlying operating system.


The remote code execution vulnerability has been codenamed MyFlaw by the Guardio Labs research team owing to the fact that it takes advantage of a feature called [My Flow](https://www.opera.com/features/flow) that makes it possible to sync messages and files between mobile and desktop devices.


"This is achieved through a controlled browser extension, effectively bypassing the browser's sandbox and the entire browser process," the company [said](https://labs.guard.io/myflaw-cross-platform-0-day-rce-vulnerability-discovered-in-operas-bro) in a statement shared with The Hacker News.


The issue impacts both the Opera browser and Opera GX. Following responsible disclosure on November 17, 2023, it was addressed as part of [updates](https://blogs.opera.com/desktop/changelog-for-105/) shipped on November 22, 2023.


My Flow features a chat-like interface to exchange notes and files, the latter of which can be opened via a web interface, meaning a file can be executed outside of the browser's security boundaries.


It is pre-installed in the browser and facilitated by means of a built-in (or internal) browser extension called "Opera Touch Background," which is responsible for communicating with its mobile counterpart.


This also means that the extension comes with its own [manifest file](https://developer.chrome.com/docs/extensions/reference/manifest) specifying all the required permissions and its behavior, including a property known as [externally\_connectable](https://developer.chrome.com/docs/extensions/reference/manifest/externally-connectable) that declares which other web pages and extensions can connect to it.


"This exposes the messaging API to any page that matches the URL patterns you specify," Google [notes](https://developer.chrome.com/docs/extensions/develop/concepts/messaging#external-webpage) in its documentation. "The URL pattern must contain at least a second-level domain."


[![Opera MyFlaw Flaw](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEixLDRQmfg6E9Uu7ZoCpZ99Wt0lpIIOe28euWnsfqBxzIf_tp1p51fzeyX_04SwWdZyLfS9tksWt0EOTizvg9raNSwTp4oVu1J7gMquoW5eZ5n9Gn4ST1snwH-7K1bqC6YKxuKUk-8B88rYkQcBDEmuf-4ZUJN-qKUgrvUpWSqWDD3haPj2C2v4mhen9daU/s728-rw-ft-e30/opera.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEixLDRQmfg6E9Uu7ZoCpZ99Wt0lpIIOe28euWnsfqBxzIf_tp1p51fzeyX_04SwWdZyLfS9tksWt0EOTizvg9raNSwTp4oVu1J7gMquoW5eZ5n9Gn4ST1snwH-7K1bqC6YKxuKUk-8B88rYkQcBDEmuf-4ZUJN-qKUgrvUpWSqWDD3haPj2C2v4mhen9daU/s728-rw-ft-e30/opera.jpg)
In the case of Opera, the domains that can talk to the extension should match the patterns "\*.flow.opera.com" and ".flow.op-test.net" – both controlled by the browser vendor itself.


Guardio Labs said it was able to unearth a "long-forgotten" version of the My Flow landing page hosted on the domain "[web.flow.opera.com](https://urlscan.io/search/#web.flow.opera.com)" using the [urlscan.io website scanner tool](https://thehackernews.com/2022/11/experts-find-urlscan-security-scanner.html).


"The page itself looks quite the same as the current one in production, but changes lie under the hood: Not only that it lacks the [[content security policy](https://developer.mozilla.org/en-US/docs/Web/HTTP/CSP)] meta tag, but it also holds a script tag calling for a JavaScript file without any integrity check," the company said.


"This is exactly what an attacker needs – an unsafe, forgotten, vulnerable to code injection asset, and most importantly, has access to (very) high permission native browser API."


The attack chain then hinges, creating a specially crafted extension that masquerades as a mobile device to pair with the victim's computer and transmit an encrypted malicious payload via the modified JavaScript file to the host for subsequent execution by prompting the user to click anywhere on the screen.


The findings highlight the increasing complexity of browser-based attacks and the different vectors that can be exploited by threat actors to their advantage.


“Despite operating in sandboxed environments, extensions can be powerful tools for hackers, enabling them to steal information and breach browser security boundaries,” the company told The Hacker News.


“This underscores the need for internal design changes at Opera and improvements in Chromium's infrastructure. For instance, disabling third-party extension permissions on dedicated production domains, similar to Chrome's web store, is recommended but has not yet been implemented by Opera.”


  





## Tags:


### Autogenerated tags:

