# Password Reset Hack Exposed in Honda's E-Commerce Platform, Dealers Data at Risk
## Security researcher uncovers major vulnerabilities in Honda's e-commerce platform, exposing sensitive dealer information.
## Information:

+ Link: https://thehackernews.com/2023/06/password-reset-hack-exposed-in-hondas-e.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 12 June 2023, 13:56
+ Date scraped: 12 June 2023, 09:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhc_CvMCphRhJ8LHIGlYNN4FmqJY5yQko-_oBBXxJmlmqkdb1bJYj7bTOtdAPcC-uyUS660TpLGiJ6rVSy5IKZW3FXATtMPwOYuwxqBeK7DwcXuveD2s6bDswmd0SZPAYK1TP7IPX23FdQ-62kQCKO-ONwgfZPpL6uDgICz7of5n2JdEZkTQKHNqX8q/s728-e3650/honda.jpg)


Security vulnerabilities discovered in Honda's e-commerce platform could have been exploited to gain unrestricted access to sensitive dealer information.


"Broken/missing access controls made it possible to access all data on the platform, even when logged in as a test account," security researcher Eaton Zveare [said](https://eaton-works.com/2023/06/06/honda-ecommerce-hack) in a report published last week.


The [platform](https://powerequipment.honda.com/) is designed for the sale of power equipment, marine, lawn and garden businesses. It does not impact the Japanese company's automobile division.


The hack, in a nutshell, exploits a password reset mechanism on one of Honda's sites, Power Equipment Tech Express (PETE), to reset the password associated with any account and obtain full admin-level access.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
This is made possible due to the fact that the API allows any user to send a password reset request simply by just knowing the username or email address and without having to enter a password tied to that account.


Armed with this capability, a malicious actor could sign in and takeover another account, and subsequently take advantage of the sequential nature of the dealer site URLs (i.e., "admin.pedealer.honda[.]com/dealersite/<ID>/dashboard) to gain unauthorized access to a different dealer's admin dashboard.


[![Honda E-commerce](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjbcr6h8pMk4Fwyu-nAbKIexgoK2fBxJxBqx_8jlQ7GyrRDBJ1n3sm9tn0psW32j7cYWzJbTTuDVpglTf-UDV4hWdeUxWHTF0hMnX9gJV4Vx6mTJaHQuuvs8tkgVuJnB4nt07UOkq54mwibqa1cyQ5OAQe6xSHXNsCNh6u0ZuTcurEMOGvPvrlRmV9V/s728-e365/honda.jpg)
"Just by incrementing that ID, I could gain access to every dealers' data," Zveare explained. "The underlying JavaScript code takes that ID and uses it in API calls to fetch data and display it on the page. Thankfully, this discovery rendered the need to reset any more passwords moot."


To make matters worse, the design flaw could have been used to access a dealer's customers, edit their website and products, and worse, elevate privileges to the administrator of the entire platform – a feature restricted to Honda employees – by means of a specially crafted request to view details of the dealer network.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Attend for Free](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
In all, the weaknesses allowed for illegitimate access to 21,393 customer orders across all dealers from August 2016 to March 2023 1,570 dealer websites (of which 1,091 are active), 3,588 dealer accounts, 1,090 dealer emails, and 11,034 customer emails.


Threat actors could also leverage access to these dealer websites by planting skimmer or cryptocurrency mining code, thereby allowing them to reap illicit profits.


The vulnerabilities, following responsible disclosure on March 16, 2023, have been addressed by Honda as of April 3, 2023.


The disclosure comes months after Zveare detailed security issues in Toyota's Global Supplier Preparation Information Management System ([GSPIMS](https://eaton-works.com/2023/02/06/toyota-gspims-hack/)) and [C360 CRM](https://eaton-works.com/2023/03/06/toyota-c360-hack/) that could have been leveraged to access a wealth of corporate and customer data.



  





## Tags:
***urls***: http://admin.pedealer.honda.com/dealersite/<ID>/dashboard

### Autogenerated tags:
api zveare
