# Python Developers Beware: Clipper Malware Found in 450+ PyPI Packages!
## Heads up, Python developers! Over 451 malicious Python packages have been found in the PyPI repository, designed to steal your cryptocurrency.
## Information:

+ Link: https://thehackernews.com/2023/02/python-developers-beware-clipper.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 14 February 2023, 11:20
+ Date scraped: 14 February 2023, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhQNyfL3gINA-eAn_UjNGntpmawXVN3Tlu_hPAkenf1L32_EoOrSMzxAwcDoU-vjdjjaYADJ2KjBzk-pe5pj1PpDcpmUc_RR34v0Iqj6OlmQaUZeWKUcF0sYiXt2eCe8RqG1_g0ptK6zFILx73Bq7KP-wkuQGSZjqnXVLMVC-pETowti7ermDVXY1sz/s728-e3650/python-.png)


Malicious actors have published more than 451 unique Python packages on the official Python Package Index (PyPI) repository in an attempt to infect developer systems with [clipper malware](https://thehackernews.com/2022/11/new-laplas-clipper-malware-targeting.html).


Software supply chain security company Phylum, which [spotted the libraries](https://blog.phylum.io/phylum-discovers-revived-crypto-wallet-address-replacement-attack), said the ongoing activity is a follow-up to a campaign that was initially disclosed in November 2022.


The initial vector entails using [typosquatting](https://thehackernews.com/2022/12/malware-strains-targeting-python-and.html) to mimic popular packages such as beautifulsoup, bitcoinlib, cryptofeed, matplotlib, pandas, pytorch, scikit-learn, scrapy, selenium, solana, and tensorflow, among others.


"After installation, a malicious JavaScript file is dropped to the system and executed in the background of any web browsing session," Phylum [said](https://blog.phylum.io/pypi-malware-replaces-crypto-addresses-in-developers-clipboard) in a report published last year. "When a developer copies a cryptocurrency address, the address is replaced in the clipboard with the attacker's address."


This is achieved by creating a Chromium web browser extension in the Windows AppData folder and writing to it the rogue Javascript and a [manifest.json file](https://developer.chrome.com/docs/extensions/mv3/manifest/) that requests users' permissions to access and modify the clipboard.


[![Clipper Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgcTV7Fs1fbi_EfZBnyAurwoxyrB0mIAd8HScJbV-PL8nah2cWu8iWuLLJSkG87ao2mdWCEe6UURrD_xi0r-twnpaRKecaIABe-zMOQF34NasGYEj3Yvk0yU653C_yLXpt2NV7ja37gtyte5Tbm0ae1NWi5IOfXFIPLOAW-Nt-4zhnHSXYlz85RBv0c/s728-e365/python.gif)
Targeted web browsers include Google Chrome, Microsoft Edge, Brave, and Opera, with the malware modifying browser shortcuts to load the add-on automatically upon launch using the "--load-extension" command line switch.


The latest set of Python packages exhibits a similar, if not the same, modus operandi, and is designed to function as a clipboard-based crypto wallet replacing malware. What's changed is the obfuscation technique used to conceal the JavaScript code.


The ultimate goal of the attacks is to hijack cryptocurrency transactions initiated by the compromised developer and reroute them to attacker-controlled wallets instead of the intended recipient.

 "This attacker significantly increased their footprint in pypi through automation," Phylum noted. "Flooding the ecosystem with packages like this will continue."


The findings coincide with a [report](https://blog.sonatype.com/malware-monthly-january-2023) from Sonatype, which found 691 malicious packages in the npm registry and 49 malicious packages in PyPI during the month of January 2023 alone.


The development [once again](https://thehackernews.com/2023/02/researchers-uncover-obfuscated.html) illustrates the [growing threat](https://blog.sonatype.com/malware-monthly-december-2022) developers face from supply chain attacks, with adversaries relying on methods like typosquatting to trick users into downloading fraudulent packages.



  





## Tags:


### Autogenerated tags:
pypi malware javascript
