# RedEnergy Stealer-as-a-Ransomware Threat Targeting Energy and Telecom Sectors
## RedEnergy, a sophisticated stealer-as-a-ransomware threat, is targeting energy utilities, oil, gas, telecom, and machinery sectors.
## Information:

+ Link: https://thehackernews.com/2023/07/redenergy-stealer-as-ransomware-threat.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 05 July 2023, 19:40
+ Date scraped: 05 July 2023, 15:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhbiintRZz2Iohv9jTgkDGdLcJlkbKsW3voV6R5ubwPLPgtsFWz_4sCcIe7jr66bo1uKVPqFyaF1ks9pQZkAnjcO9EkmB5MfHXkE50J0o4N_pWEdrIKOe6WwS98WNxuh_BFZhVU0Y7hzHl3t8q8iMNTLxL0oJ7y1fciu9qmAKDRmY4XhG7igevcB56dAA8/s728-e3650/hacking-ransomware.png)


A sophisticated stealer-as-a-ransomware threat dubbed **RedEnergy** has been spotted in the wild targeting energy utilities, oil, gas, telecom, and machinery sectors in Brazil and the Philippines through their LinkedIn pages.


The malware "possesses the ability to steal information from various browsers, enabling the exfiltration of sensitive data, while also incorporating different modules for carrying out ransomware activities," Zscaler researchers Shatak Jain and Gurkirat Singh [said](https://www.zscaler.com/blogs/security-research/ransomware-redefined-redenergy-stealer-ransomware-attacks) in a recent analysis.


The goal, the researchers noted, is to couple data theft with encryption with the goal of inflicting maximum damage to the victims.


The starting point for the multi-stage attack is a [FakeUpdates](https://thehackernews.com/2023/05/severe-security-flaw-exposes-over.html) (aka SocGholish) campaign that tricks users into downloading JavaScript-based malware under the guise of web browser updates.


What makes it novel is the use of reputable LinkedIn pages to target victims, redirecting users clicking on the website URLs to a bogus landing page that prompts them to update their web browsers by clicking on the appropriate icon (Google Chrome, Microsoft Edge, Mozilla Firefox, or Opera), doing so which results in the download a malicious executable.


Following a successful breach, the malicious binary is used as a conduit to set up persistence, perform the actual browser update, and also drop a stealer capable of covertly harvesting sensitive information and encrypting the stolen files, leaving the victims at risk of potential data loss, exposure, or even the sale of their valuable data.


[![RedEnergy Stealer-as-a-Ransomware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi_WkY6zd3og6Rw1wyoXjUL7ra2dZ7fcE9FmrWIBcyLU0q0w3qE21lbb0NLrS6Q5yogWpVt3uWRxoxOOhQ7jmGn_jC6JyWMQ5pkA2Tb4g4crXjNC8xodUYthwoQrtaCC_9UmDq9DSjVodBQmPbI9Oot1taMN6JiAFu_eSiMh09jyiTPagHdSdcKvCXmNpY/s728-e3650/ransomware.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi_WkY6zd3og6Rw1wyoXjUL7ra2dZ7fcE9FmrWIBcyLU0q0w3qE21lbb0NLrS6Q5yogWpVt3uWRxoxOOhQ7jmGn_jC6JyWMQ5pkA2Tb4g4crXjNC8xodUYthwoQrtaCC_9UmDq9DSjVodBQmPbI9Oot1taMN6JiAFu_eSiMh09jyiTPagHdSdcKvCXmNpY/s728-e365/ransomware.png)
Zscaler said it discovered suspicious interactions taking place over a File Transfer Protocol (FTP) connection, raising the possibility that valuable data is being exfiltrated to actor-controlled infrastructure.


In the final stage, RedEnergy's ransomware component proceeds to encrypt the user's data, suffixing the ".FACKOFF!" extension to each encrypted file, deleting existing backups, and dropping a ransom note in each folder.


UPCOMING WEBINAR[🔐 Privileged Access Management: Learn How to Conquer Key Challenges](https://thn.news/pam-webinar)Discover different approaches to conquer Privileged Account Management (PAM) challenges and level up your privileged access security strategy.

[Join Now](https://thn.news/pam-webinar)
Victims are expected to make a payment of 0.005 BTC (about $151) to a cryptocurrency wallet mentioned in the note to regain access to the files. RedEnergy's dual functions as a stealer and ransomware represent an evolution of the cybercrime landscape.


The development also follows the [emergence](https://www.botconf.eu/past-editions/botconf-2023/#:~:text=RAT%20as%20a%20Ransomware%20%E2%80%93%20An%20Hybrid%20Approach) of a new RAT-as-a-ransomware threat category in which remote access trojans such as [Venom RAT](https://thehackernews.com/2022/11/lodarat-malware-resurfaces-with-new.html) and [Anarchy Panel RAT](https://socradar.io/labs/campaigns/1058/details) have been equipped with ransomware modules to lock various file extensions behind encryption barriers.


"It is crucial for individuals and organizations to exercise utmost caution when accessing websites, especially those linked from LinkedIn profiles," the researchers said. "Vigilance in verifying the authenticity of browser updates and being wary of unexpected file downloads is paramount to protect against such malicious campaigns."


  





## Tags:


### Autogenerated tags:
ransomware redenergy linkedin
