# Researchers Detail Critical RCE Flaw Reported in Popular vm2 JavaScript Sandbox
## Researchers warn of a recently reported critical RCE vulnerability (CVE-2022-36067 / CVSS 10) in the popular vm2 JavaScript sandbox.
## Information:

+ Link: https://thehackernews.com/2022/10/researchers-detail-critical-rce-flaw.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 11 October 2022, 11:28
+ Date scraped: 11 October 2022, 12:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhgAYnQ4Z47Z8r0fBhiId1EcQcJl_OYVvSrcl371qCZdzvqfoZ4WPKse9tUdooOjZ6F1EimuQqk4mdQHLFxvEFw34d8C7wN1XweSVhudv6uYhGHJLCWVunRcWfdl_XUu90UdIbUXhTc8LRu2K0rltJ_U58pvwYTHYDQq37pWxG3hiW6CNmFNzeAZRP7/s728-e1000/rce.jpg)


A now-patched security flaw in the vm2 JavaScript sandbox module could be abused by a remote adversary to break out of security barriers and perform arbitrary operations on the underlying machine.


"A threat actor can bypass the sandbox protections to gain remote code execution rights on the host running the sandbox," GitHub [said](https://github.com/advisories/GHSA-mrgp-mrhc-5jrq) in an advisory published on September 28, 2022.


The issue, tracked as CVE-2022-36067 and codenamed Sandbreak, carries a maximum severity rating of 10 on the CVSS vulnerability scoring system. It has been addressed in [version 3.9.11](https://github.com/patriksimek/vm2/releases/tag/3.9.11) released on August 28, 2022.


vm2 is a [popular Node library](https://www.npmjs.com/package/vm2/v/3.9.11) that's used to run untrusted code with allowlisted built-in modules. It's also one of the most widely downloaded software, accounting for nearly 3.5 million downloads per week.


[![vm2 JavaScript Sandbox](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEifNAxFmCBhJCFsEP_rY1w3tx6CaZzYoHsrN5N_bra0CboaGhmDjqpPyeQekgMT5p4Qt-I27X7_V5aDBS5Veo7jPNXtR1FIyWLrIQfXxx1nZn9bNVRcy9MyMiiTfEMxtgMru6JXJcjRDEfI2B7dGdY41Ph9jYIVgoSsTL-Aa2zbUrxIXrd2UfLtJd-8/s728-e1000/code.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEifNAxFmCBhJCFsEP_rY1w3tx6CaZzYoHsrN5N_bra0CboaGhmDjqpPyeQekgMT5p4Qt-I27X7_V5aDBS5Veo7jPNXtR1FIyWLrIQfXxx1nZn9bNVRcy9MyMiiTfEMxtgMru6JXJcjRDEfI2B7dGdY41Ph9jYIVgoSsTL-Aa2zbUrxIXrd2UfLtJd-8/s728-e100/code.jpg)
The [shortcoming](https://access.redhat.com/security/cve/CVE-2022-36067) is rooted in the error mechanism in Node.js to escape the sandbox, according to application security firm Oxeye, which [discovered the flaw](https://www.oxeye.io/blog/vm2-sandbreak-vulnerability-cve-2022-36067).


This means that successful exploitation of CVE-2022-36067 could permit an attacker to bypass the vm2 sandbox environment and run shell commands on the system hosting the sandbox.


In light of the critical nature of the vulnerability, users are recommended to update to the latest version as soon as possible to mitigate possible threats.


"Sandboxes serve different purposes in modern applications, such as examining attached files in email servers, providing an additional security layer in web browsers, or isolating actively running applications in certain operating systems," Oxeye said.


"Given the nature of the use cases for sandboxes, it's clear that the vm2 vulnerability can have dire consequences for applications that use vm2 without patching."


  





## Tags:
***CVE's***: CVE-2022-36067

### Autogenerated tags:
vm2
