# Researchers Discover Critical Remote Code Execution Flaw in vm2 Sandbox Library
## Critical RCE flaw (CVE-2023-29017) discovered in popular JavaScript sandbox module vm2. All versions, including 3.9.14 and prior, affected.
## Information:

+ Link: https://thehackernews.com/2023/04/researchers-discover-critical-remote.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 08 April 2023, 05:04
+ Date scraped: 08 April 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiPzrc1cPU-8Z2P2agYYt3OS-i4Kf9OchDpLbA0Dusdo43kq2s1fN1dScD5DenP_usqDXzPQOF6D-ydUdNb7BXjEzrJHpdqLSiJrclRXBqbUW8nhQoinsR9oxXdZtFO-1STj9BJyn2RiXRf8CA28yD-f1V4qHO8v7TCcr1gLCXCt1eX6JePj1uiR5ci/s728-e3650/sandbox.png)


The maintainers of the vm2 JavaScript sandbox module have shipped a patch to address a critical flaw that could be abused to break out of security boundaries and execute arbitrary shellcode.


The flaw, which affects all versions, including and prior to 3.9.14, was [reported](https://github.com/patriksimek/vm2/issues/515) by researchers from South Korea-based [KAIST WSP Lab](https://wsp-lab.github.io/) on April 6, 2023, prompting vm2 to release a fix with [version 3.9.15](https://github.com/patriksimek/vm2/releases/tag/3.9.15) on Friday.


"A threat actor can bypass the sandbox protections to gain remote code execution rights on the host running the sandbox," vm2 [disclosed](https://github.com/advisories/GHSA-7jxr-cg7f-gpgv) in an advisory.


The vulnerability has been assigned the identified [CVE-2023-29017](https://nvd.nist.gov/vuln/detail/CVE-2023-29017) and is rated 9.8 on the CVSS scoring system. The issue stems from the fact that it does not properly handle errors that occur in asynchronous functions.


vm2 is a [popular library](https://www.npmjs.com/package/vm2) that's used to run untrusted code in an isolated environment on Node.js. It has nearly four million weekly downloads.


KAIST security researcher Seongil Wi has also made available [two different variants](https://gist.github.com/seongil-wi/2a44e082001b959bfe304b62121fb76d) of a proof-of-concept (PoC) exploit for CVE-2023-29017 that get around the sandbox protections and allow the creation of an empty file named "flag" on the host.


The disclosure comes almost six months after vm2 resolved another critical bug ([CVE-2022-36067](https://thehackernews.com/2022/10/researchers-detail-critical-rce-flaw.html), CVSS score: 10) that could have been weaponized to perform arbitrary operations on the underlying machine.



  





## Tags:
***CVE's***: CVE-2023-29017 CVE-2022-36067

### Autogenerated tags:
vm2
