# Researchers Share New Insights Into RIG Exploit Kit Malware's Operations
## Researchers have uncovered crucial insights into the inner workings of RIG Exploit Kit and its administrators.
## Information:

+ Link: https://thehackernews.com/2023/02/researchers-share-new-insights-into-rig.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 27 February 2023, 15:33
+ Date scraped: 27 February 2023, 16:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjBhp7MpDIp8BmnU_nBxIn0U5U7pYNA-9qzA3L0FNRPsDg-6r06WOCSuLJy9epJJ4wYNSpY7wz5tkcJ3GizgssrVQXdIAJ9eivo-BW16UV6nKFkQNF4uu4dS7PdotWruSGmcROR5ST_-z32it8WA1T2D0RtDBCYfO-HYsb9p2ZLmk8LOUPzik5XEeiW/s728-e3650/exploits.png)


The RIG exploit kit (EK) touched an all-time high successful exploitation rate of nearly 30% in 2022, new findings reveal.


"RIG EK is a financially-motivated program that has been active since 2014," Swiss cybersecurity company PRODAFT [said](https://www.prodaft.com/resource/detail/rig-rig-exploit-kit-depth-analysis) in an exhaustive report shared with The Hacker News.


"Although it has yet to substantially change its exploits in its more recent activity, the type and version of the malware they distribute constantly change. The frequency of updating samples ranges from weekly to daily updates."


Exploit kits are programs used to distribute malware to large numbers of victims by taking advantage of known security flaws in commonly-used software such as web browsers.


The fact that [RIG EK](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/rig-exploit-kit-diving-deeper-into-the-infrastructure/) runs as a service model means threat actors can financially compensate the RIG EK administrator for installing malware of their choice on victim machines. The RIG EK operators primarily employ malvertising to ensure a high infection rate and large-scale coverage.


As a result, visitors using a vulnerable version of a browser to access an actor-controlled web page or a compromised-but-legitimate website are redirected using malicious JavaScript code to a proxy server, which, in turn, communicates with an exploit server to deliver the appropriate browser exploit.


The exploit server, for its part, detects the user's browser by parsing the User-Agent string and returns the exploit that "matches the pre-defined vulnerable browser versions."


"The artful design of the Exploit Kit allows it to infect devices with little to no interaction from the end user," the researchers said. "Meanwhile, its use of proxy servers makes infections harder to detect."


Since arriving on the scene in 2014, RIG EK has been observed delivering a wide range of financial trojans, stealers, and ransomware such as [AZORult](https://www.malware-traffic-analysis.net/2018/01/30/index.html), [CryptoBit](https://unit42.paloaltonetworks.com/unit42-cryptobit-another-ransomware-family-gets-an-update/), [Dridex](https://thehackernews.com/2022/06/rig-exploit-kit-now-infects-victims-pcs.html), Raccoon Stealer, and WastedLoader. The operation was [dealt a huge blow](https://www.bleepingcomputer.com/news/security/rig-exploit-kit-suffers-major-blow-following-coordinated-takedown-action/) in 2017 following a coordinated action that dismantled its infrastructure.


[![RIG Exploit Kit](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhc-W77ksCVeOKxAHCwlWIPxzC9l7i48HMztDVefT_GTQN6XaD5H-mb8C5D7AiFGke7UyJ5rHfJOhQXKt9x-EyfGBIBCDjKneq6GUScJISxkgozl2YDnqMb57C6zKFVUmzRreQf_EkbmVnevMv6XZmYkkGXuKpQsb6L0VcfniBtPTvtvHytsjEfg53v/s728-e365/exploit-kit.png)
Recent RIG EK campaigns have [targeted](https://thehackernews.com/2022/04/new-rig-exploit-kit-campaign-infecting.html) a memory corruption vulnerability impacting Internet Explorer ([CVE-2021-26411](https://nvd.nist.gov/vuln/detail/CVE-2021-26411), CVSS score: 8.8) to deploy RedLine Stealer.


Other browser flaws weaponized by the malware include [CVE-2013-2551](https://nvd.nist.gov/vuln/detail/CVE-2013-2551), [CVE-2014-6332](https://nvd.nist.gov/vuln/detail/cve-2014-6332), [CVE-2015-0313](https://nvd.nist.gov/vuln/detail/CVE-2015-0313), [CVE-2015-2419](https://nvd.nist.gov/vuln/detail/CVE-2015-2419), [CVE-2016-0189](https://nvd.nist.gov/vuln/detail/CVE-2016-0189), [CVE-2018-8174](https://nvd.nist.gov/vuln/detail/CVE-2018-8174), [CVE-2019-0752](https://nvd.nist.gov/vuln/detail/CVE-2019-0752), and [CVE-2020-0674](https://nvd.nist.gov/vuln/detail/cve-2020-0674).


According to data collected by PRODAFT, 45% of the successful infections in 2022 leveraged CVE-2021-26411, followed by CVE-2016-0189 (29%), CVE-2019-0752 (10%), CVE-2018-8174 (9%), and CVE-2020-0674 (6%).

 Besides Dridex, Raccoon, and RedLine Stealer, some of the notable malware families distributed using RIG EK are [SmokeLoader](https://thehackernews.com/2022/07/smokeloader-infecting-targeted-systems.html), [PureCrypter](https://thehackernews.com/2023/02/purecrypter-malware-targets-government.html), [IcedID](https://thehackernews.com/2023/01/icedid-malware-strikes-again-active.html), [ZLoader](https://thehackernews.com/2022/04/microsoft-disrupts-zloader-cybercrime.html), [TrueBot](https://thehackernews.com/2022/12/new-truebot-malware-variant-leveraging.html), [Ursnif](https://thehackernews.com/2022/10/latest-ursnif-variant-shifts-focus-from.html), and [Royal ransomware](https://thehackernews.com/2022/12/royal-ransomware-threat-takes-aim-at-us.html).


Furthermore, the exploit kit is said to have attracted traffic from 207 countries, reporting a 22% success rate over the past two months alone. The most number of compromises are located in Russia, Egypt, Mexico, Brazil, Saudi Arabia, Turkey, and several countries across Europe.


[![RIG Exploit Kit](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgHW2d3XvxN49JeSd1f1I2t_7jqwMXvWZbzufRHyKvB-lvloj3RLIU8xMMcAN9RImXCK1EPUEWhHZlJ1ofvfKXka6slISXtxBLv56tj9ldKN_j78xm_MDVC0DHWXESA4_ixJ-UbK1tEwyLlUb6srh7Wu6eeIowhT5K7S4TtZqS3yGIMcXdF56qeWpvC/s728-e365/chart.png)
"Interestingly enough, the exploit try rates were the highest on Tuesday, Wednesday and Thursday - with successful infections taking place on the same days of the week," the researchers explained.


PRODAFT, which also managed to gain visibility into the kit's control panel, said there are about six different users, two of whom (admin and vipr) have admin privileges. A user profile with the alias "pit" or "pitty" has subadmin permissions, and three others (lyr, ump, and test1) have user privileges.


"admin" is also a dummy user mainly reserved for creating other users. The management panel, which works with a subscription, is controlled using the "pitty" user.


However, an operational security blunder that exposed the git server led PRODAFT to de-anonymize two of the threat actors: a 31-year-old Uzbekistan national named Oleg Lukyanov and a Russian who goes by the name Vladimir Nikonov.


It also assessed with high confidence that the developer of the Dridex malware has a "close relationship" with the RIG EK's administrators, owing to the additional manual


configuration steps taken to "ensure that the malware was distributed smoothly."


"Overall, RIG EK runs a very fruitful business of exploit-as-a-service, with victims across the globe, a highly effective exploit arsenal and numerous customers with constantly updating malware," the researchers said.


  





## Tags:
***CVE's***: CVE-2016-0189 CVE-2019-0752 CVE-2015-0313 CVE-2020-0674 CVE-2018-8174 CVE-2013-2551 CVE-2015-2419 CVE-2021-26411 CVE-2014-6332

### Autogenerated tags:
ek malware prodaft dridex
