# Researchers Uncover Active Exploitation of WordPress Plugin Vulnerabilities
## Researchers have discovered several vulnerabilities in popular WordPress plugins that allow attackers to create rogue admin accounts.
## Information:

+ Link: https://thehackernews.com/2024/05/researchers-uncover-active-exploitation.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 30 May 2024, 19:19
+ Date scraped: 30 May 2024, 14:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjBXZ2HjGB9ebgJZmTu8ttzfcvQqk6Q_tJfAPluUM8vIsgvMiO-qy1gZ7vCIykNtBYaq2PeijLVLEMWn9JIVP1umtNEVtbZ6HG3ZU5YB5LpyMnCRSoN5tiuCziANr0_SsvHus0CwHyh1ZstP1GYL9PWIjtlloGeBZE7Jsq4KzYBpewkBQwIXuLpgk5isl_4/s728-rw-e365/wordpress.png)


Cybersecurity researchers have warned that multiple high-severity security vulnerabilities in WordPress plugins are being actively exploited by threat actors to create rogue administrator accounts for follow-on exploitation.


"These vulnerabilities are found in various WordPress plugins and are prone to unauthenticated stored cross-site scripting (XSS) attacks due to inadequate input sanitization and output escaping, making it possible for attackers to inject malicious scripts," Fastly researchers Simran Khalsa, Xavier Stevens, and Matthew Mathur [said](https://www.fastly.com/blog/active-exploitation-unauthenticated-stored-xss-vulnerabilities-wordpress/).


The security flaws in question are listed below -


* **[CVE-2023-6961](https://nvd.nist.gov/vuln/detail/CVE-2023-6961)** (CVSS score: 7.2) - Unauthenticated Stored Cross-Site Scripting in WP Meta SEO <= 4.5.12
* **[CVE-2023-40000](https://nvd.nist.gov/vuln/detail/CVE-2023-40000)** (CVSS score: 8.3) - Unauthenticated Stored Cross-Site Scripting in LiteSpeed Cache <= 5.7
* **[CVE-2024-2194](https://nvd.nist.gov/vuln/detail/CVE-2024-2194)** (CVSS score: 7.2) - Unauthenticated Stored Cross-Site Scripting in WP Statistics <= 14.5


Attack chains exploiting the flaws involve injecting a payload that points to an obfuscated JavaScript file hosted on an external domain, which is responsible for creating a new admin account, inserting a backdoor, and setting up tracking scripts.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
The PHP backdoors are injected into both plugin and theme files, while the tracking script is designed to send an HTTP GET request containing the HTTP host information to a remote server ("ur.mystiqueapi[.]com/?ur").


Fastly said it detected a significant proportion of the exploitation attempts originating from IP addresses associated with the Autonomous System (AS) IP Volume Inc. ([AS202425](https://ipinfo.io/AS202425)), with a chunk of it coming from the Netherlands.


[![WordPress Plugin Vulnerabilities](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj37YqfLM-1ejOyWjyqPVVpwjXgNpHJBWM99kksJaLi-ipVBpq8MpoCuKIVVknAwJfBRB3updHhlhgjH-GF50UmcoY6-tSYb8M3-MuH5Q-WXwKl6wBjlOAAJNyuoQok8O1yx6RuCduhXhIt9v3hKwvcEp1kW35i2Qprix7ITZx88D64SoGXqXcqsI5uHfIf/s728-rw-e365/hacking.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj37YqfLM-1ejOyWjyqPVVpwjXgNpHJBWM99kksJaLi-ipVBpq8MpoCuKIVVknAwJfBRB3updHhlhgjH-GF50UmcoY6-tSYb8M3-MuH5Q-WXwKl6wBjlOAAJNyuoQok8O1yx6RuCduhXhIt9v3hKwvcEp1kW35i2Qprix7ITZx88D64SoGXqXcqsI5uHfIf/s728-rw-e365/hacking.png)
It's worth noting that WordPress security company WPScan [previously disclosed](https://thehackernews.com/2024/05/hackers-exploiting-litespeed-cache-bug.html) similar attack efforts targeting CVE-2023-40000 to create rogue admin accounts on susceptible websites.


To mitigate the risks posed by such attacks, it's recommended that WordPress site owners review their installed plugins, apply the latest updates, and audit the sites for signs of malware or the presence of suspicious administrator users.



  





## Tags:
***CVE's***: CVE-2024-2194 CVE-2023-6961 CVE-2023-40000
***urls***: http://ur.mystiqueapi.com/?ur

### Autogenerated tags:
wordpress cross-site plugins cvss
