# Researchers Uncover Malware Controlling Thousands of Sites in Parrot TDS Network
## Researchers have uncovered JavaScript malware and variants behind a network of thousands of hacked websites powering the Parrot TDS.
## Information:

+ Link: https://thehackernews.com/2022/06/researchers-uncover-malware-controlling.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 June 2022, 10:58
+ Date scraped: 03 June 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi7nIaCNowKUAH6uuLl0XA247RK46v5pliMM6wlg5MfoAfIVHrEPlA9eFTzzVns2agIIViARI0zoN18-qSCKbSSTETnXb6i2iLV96xGu8175v-m7A2GN6oioPahrJZ2r4udC_Wze-On52uxz4jnOLZD1raM0bm3GlzSoL2QiX1EUSD9qYTHINAD9VkV/s728-e1000/hacked.jpg)


The Parrot traffic direction system (TDS) that came to light earlier this year has had a larger impact than previously thought, according to new research.


Sucuri, which has been tracking the same campaign since February 2019 under the name "NDSW/NDSX," said that "the malware was one of the top infections" detected in 2021, accounting for more than 61,000 websites.


Parrot TDS was [documented](https://thehackernews.com/2022/04/over-16500-sites-hacked-to-distribute.html) in April 2022 by Czech cybersecurity company Avast, noting that the PHP script had ensnared web servers hosting more than 16,500 websites to act as a gateway for further attack campaigns.


This involves appending a piece of malicious code to all JavaScript files on compromised web servers hosting content management systems (CMS) such as WordPress that are in turn said to be breached by taking advantage of weak login credentials and vulnerable plugins.


Besides using different obfuscation tactics to conceal the code, the "injected JavaScript may also be found well indented so that it looks less suspicious to a casual observer," Sucuri researcher Denis Sinegubko [said](https://blog.sucuri.net/2022/06/analysis-massive-ndsw-ndsx-malware-campaign.html).


![Parrot TDS Network](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhP_Wm7lqozB_wQn147Yg7wFNKeMvxgHQviHUevXcQEas6HLkeTOpZcLil-U7zv46Ex5cdF6Gz28QIeXA-XRBx-KHwudRUM5sFSDrgOQ_TdWVL3sTd3hY5kdTh35LVKmhJmd7IEtYTS5g42ZYbgyP_A_yNJxQYzFiqm50Ix0qHtfIzWWftLQibOxpj0/s728-e1000/javascript.jpg)
The goal of the JavaScript code is to kick-start the second phase of the attack, which is to execute a PHP script that's already deployed on the ever and is designed to gather information about a site visitor (e.g., IP address, referrer, browser, etc.) and transmit the details to a remote server.


![Parrot TDS Network](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEif2_MF0odpDhkl5NZUFRVO9jYoDGGdqMzMocnqf4eGyziYZKBr-NY7ua96rd4sg72PyAw71vScYdKpGA2zsANBOXwXAZt0tTzxLD3e4AYsz6kVfGZXffzSaJt57GznUj4hgh6Ew_6Ckzpr7uv6NcDHEPFKWs06I7az-iemtBqPucj355GkyEsHrqm9/s728-e1000/php.jpg)
The third layer of the attack arrives in the form of a JavaScript code from the server, which acts as a traffic direction system to decide the exact payload to deliver for a specific user based on the information shared in the previous step.


"Once the TDS has verified the eligibility of a specific site visitor, the NDSX script loads the final payload from a third-party website," Sinegubko said. The most commonly used third-stage malware is a JavaScript downloader named [FakeUpdates](https://malpedia.caad.fkie.fraunhofer.de/details/js.fakeupdates) (aka SocGholish).


In 2021 alone, Sucuri said it removed Parrot TDS from nearly 20 million JavaScript files found on infected sites. In the first five months of 2022, over 2,900 PHP and 1.64 million JavaScript files have been observed containing the malware.


"The NDSW malware campaign is extremely successful because it uses a versatile exploitation toolkit that constantly adds new disclosed and 0-day vulnerabilities," Sinegubko explained.


"Once the bad actor has gained unauthorized access to the environment, they add various backdoors and CMS admin users to maintain access to the compromised website long after the original vulnerability is closed."


  





## Tags:


### Autogenerated tags:
javascript tds malware php sinegubko
