# Researchers Uncover Obfuscated Malicious Code in PyPI Python Packages
## Researchers have uncovered four new malicious packages in the Python Package Index (PyPI) that sneak malware onto developers' systems.
## Information:

+ Link: https://thehackernews.com/2023/02/researchers-uncover-obfuscated.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 February 2023, 16:44
+ Date scraped: 10 February 2023, 17:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhKlBMLQviBS_AqU4IbZxjofkcfjKNRFAv3KDCQF0flRAUcMPHsy1Y0MmC-nIh2zunu8fq9f28BemYMjkqrB4yH6kzIyHbe6w66d3W_SyTCYATJovrUKC8xG3qp20zqgaM81jnGua8m21kg4K9TTrclbLhVzYf59mRj6osJ4FL9Hp_4UMCvYB_YDMyT/s728-e3650/malware.png)


Four different rogue packages in the Python Package Index (**PyPI**) have been found to carry out a number of malicious actions, including dropping malware, deleting the netstat utility, and manipulating the SSH authorized\_keys file.


The packages in question are [aptx](https://pepy.tech/project/aptx), [bingchilling2](https://pepy.tech/project/bingchilling2), [httops](https://pepy.tech/project/httops), and [tkint3rs](https://pepy.tech/project/tkint3rs), all of which were collectively downloaded about 450 times before they were taken down. While aptx is an attempt to impersonate Qualcomm's [highly popular audio codec](https://en.wikipedia.org/wiki/AptX) of the same name, httops and tkint3rs are typosquats of https and tkinter, respectively.


"Most of these packages had well thought out names, to purposely confuse people," Security researcher and journalist Ax Sharma [said](https://blog.sonatype.com/malicious-aptx-python-package-drops-meterpreter-shell-deletes-netstat).


An analysis of the malicious code injected in the setup script reveals the presence of an obfuscated [Meterpreter payload](https://www.sentinelone.com/blog/meterpreter-advanced-powerful-metasploit-payload/) that's disguised as "[pip](https://pypi.org/project/pip/)," a legitimate package installer for Python, and can be leveraged to gain shell access to the infected host.


Also undertaken are steps to remove the [netstat](https://en.wikipedia.org/wiki/Netstat) command-line utility that's used for monitoring network configuration and activity as well as modifying the [.ssh/authorized\_keys file](https://www.digitalocean.com/community/tutorials/how-to-configure-ssh-key-based-authentication-on-a-linux-server) to set up an SSH backdoor for remote access.


"Now this is a sleek but real world example of damaging malware that successfully made its way into the open source ecosystem," Sharma noted.


[![Python Package Index](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgTiJ7MZLu9urA5RmyDruEmTAs5bn7yknjLgRNL9Yh2MK3c7tyIPtC5mnrOOW2Apv5iDhQHJdbXf3HdC9E717n41Y0CW6PL4Eoo8C5Rku8XbpTg7DLTyvEGDp8fw7KwSPB0uPExG2o0eXeViU33Scmf3xRz6ri6qBBQImVaAi2N-qe42wv7SKEtXxNj/s728-e365/python.png)
But in a sign that malware sneaking into the software repositories are a recurring threat, Fortinet FortiGuard Labs uncovered five different packages – [web3-essential](https://pepy.tech/project/web3-essential), [3m-promo-gen-api](https://pepy.tech/project/3m-promo-gen-api), [ai-solver-gen](https://pepy.tech/project/ai-solver-gen), [hypixel-coins](https://pepy.tech/project/hypixel-coins), [httpxrequesterv2](https://pepy.tech/project/httpxrequesterv2), and [httpxrequester](https://pepy.tech/project/httpxrequester) – that are [engineered](https://www.fortinet.com/blog/threat-research/supply-chain-attack-by-new-malicious-python-package-web3-essential) to [harvest and exfiltrate](https://www.fortinet.com/blog/threat-research/supply-chain-attack-via-new-malicious-python-packages-by-malware-author-core1337) sensitive information.


The disclosures come as ReversingLabs sheds light on a malicious npm module named aabquerys that's designed to masquerade as the legitimate abquery package to trick developers into downloading it.


The obfuscated JavaScript code, for its part, comes with capabilities to retrieve a second-stage executable from a remote server, which, in turn, contains an Avast proxy binary ([wsc\_proxy.exe](https://decoded.avast.io/threatintel/apt-treasure-trove-avast-suspects-chinese-apt-group-mustang-panda-is-collecting-data-from-burmese-government-agencies-and-opposition-groups/)) that's known to vulnerable to [DLL side-loading](https://attack.mitre.org/techniques/T1574/002/) attacks.


[![Python Package Index](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEipJKhhVU3yNjXIkNJUjD1rpObkK4qVy1RzDjEpJd5l4N-v_bxSDJ6dK8kHoxUoJG4Nz85JxmTsc8HIdQcnsxOHosu99aQhSrnizvbrRMVjOdYFBk-ISbOCJJrj4ZKo9k-z7xkrAgKGv5WYGSEk-gQj5jJ_OfWRVvOQ49wB9XWZalGNdwf9y9iMk3Zk/s728-e365/avast.png)
This enables the threat actor to invoke a malicious library that's engineered to fetch a third-stage component, Demon.bin, from a command-and-control (C2) server.

 "Demon.bin is a malicious agent with typical RAT (remote access trojan) functionalities that was generated using an open source, post-exploitation, command-and-control framework named [Havoc](https://github.com/HavocFramework/Havoc)," ReversingLabs researcher Lucija Valentić [said](https://www.reversinglabs.com/blog/open-source-malware-sows-havoc-on-supply-chain).


Furthermore, the author of aabquerys is said to have published multiple versions of two other packages named aabquery and nvm\_jquery that are suspected to be early iterations of aabquerys.


Havoc is far from the only C2 exploitation framework detected in the wild, what with criminal actors leveraging custom suites such as Manjusaka, Covenant, Merlin, and Empire in malware campaigns.


The findings also underscore the [growing](https://thehackernews.com/2023/01/researchers-uncover-3-pypi-packages.html) [risk](https://blog.phylum.io/phylum-identifies-98-malicious-npm-packages) of [nefarious packages](https://blog.sonatype.com/malware-monthly-december-2022) lurking in open source repositories like npm and PyPi, which can have a severe impact on the software supply chain.


  





## Tags:


### Autogenerated tags:
malware aabquerys
