# Researchers Warn of Kavach 2FA Phishing Attacks Targeting Indian Govt. Officials
## Researchers have uncovered a new phishing campaign targeting the Kavach two-factor authentication solution used by Indian government officials.
## Information:

+ Link: https://thehackernews.com/2022/12/researchers-warn-of-kavach-2fa-phishing.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 23 December 2022, 11:14
+ Date scraped: 23 December 2022, 12:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjij2iNHeOC_T8phzgW8hRVItLFPNAomNAFF0XfaDYbYeu2BrCw_TLqUvoPTvNubJOfda4_Wb9xx9Td2AXXWygS_-vocm58-AMRsRVSzD-kB4CKiys2Bz7CunmtqhSxrwx7AwzrL_0e3jy5ozrZYWGcuSsc4vTBDQsWd1Vp_UYqVrZb8plbkplOC9rS/s728-rj-e3650/malware.png)


A new targeted phishing campaign has zoomed in on a two-factor authentication solution called **Kavach** that's used by Indian government officials.


Cybersecurity firm Securonix dubbed the activity **STEPPY#KAVACH**, attributing it to a threat actor known as SideCopy based on tactical overlaps with prior attacks.


".LNK files are used to initiate code execution which eventually downloads and runs a malicious C# payload, which functions as a remote access trojan (RAT)," Securonix researchers Den Iuzvyk, Tim Peck, and Oleg Kolesnikov [said](https://www.securonix.com/blog/new-steppykavach-attack-campaign/) in a new report.


SideCopy, a [hacking crew](https://www.malwarebytes.com/blog/threat-intelligence/2021/12/sidecopy-apt-connecting-lures-to-victims-payloads-to-infrastructure) believed to be of Pakistani origin and active since at least 2019, is said to share ties with another actor called [Transparent Tribe](https://thehackernews.com/2022/03/new-hacking-campaign-by-transparent.html) (aka APT36 or Mythic Leopard).


It's also known to impersonate attack chains leveraged by [SideWinder](https://thehackernews.com/2022/10/sidewinder-apt-using-new-warhawk.html), a prolific nation-state group that disproportionately singles out Pakistan-based military entities, to deploy its own toolset.


That said, this is not the first time Kavach has emerged as a target for the actor. In July 2021, Cisco Talos detailed an [espionage operation](https://thehackernews.com/2021/07/sidecopy-hackers-target-indian.html) that was undertaken to steal credentials from Indian government employees.


Kavach-themed decoy apps have since been co-opted by Transparent Tribe in its [attacks targeting India](https://thehackernews.com/2022/11/researchers-detail-new-malware-campaign.html) since the start of the year.


[![Kavach 2FA Phishing Attacks](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj98vFkop1oQ2SGMWjvGkNfvz9Kn1BpcTNawwUwnNGNw16xEBPr-rUSeJsfjWu80ny68w-V_VZ8bQU0d3lKy1sm0seduRAz3upMXvVrN2e0-HUjEvMPImR34l1wTN62EGUFvqkmc2xPNG6wiq0GBS8vBUvKMYN28NA6j2nM3keNNPk37jmry3w4LVlS/s728-rj-e365/attack.png)
The latest attack sequence observed by Securonix over the past couple of weeks entails using phishing emails to lure potential victims into opening a shortcut file (.LNK) to execute a remote .HTA payload using the [mshta.exe](https://attack.mitre.org/techniques/T1218/005/) Windows utility.


The HTML application, the company said, "was discovered being hosted on a likely compromised website, nested inside an obscure 'gallery' directory designed to store some of the site's images."


The compromised website in question is incometaxdelhi[.]org, the official website for India's Income Tax department pertaining to the Delhi region. The malicious file is no longer available on the portal.

 In the next phase, running the .HTA file leads to the execution of obfuscated JavaScript code that's designed to show a decoy image file that features an [announcement](https://pib.gov.in/PressReleaseIframePage.aspx?PRID=1776739) from the Indian Ministry of Defence a year ago in December 2021.


The JavaScript code further downloads an executable from a remote server, establishes persistence via Windows Registry modifications, and reboots the machine to automatically launch the binary post startup.


The binary file, for its part, functions as a backdoor that enables the threat actor to execute commands sent from an attacker-controlled domain, fetch and run additional payloads, take screenshots, and exfiltrate files.


The exfiltration component also includes an option to specifically search for a database file ("kavach.db") created by the Kavach app on the system to store the credentials.


It's worth noting that the aforementioned infection chain was [disclosed](https://twitter.com/malwrhunterteam/status/1600782520609488901) by the MalwareHunterTeam in a series of tweets on December 8, 2022, describing the remote access trojan as [MargulasRAT](https://thehackernews.com/2021/07/sidecopy-hackers-target-indian.html).


"Based on correlated data from the binary samples obtained of the RAT used by the threat actors, this campaign has been going on against Indian targets undetected for the last year," the researchers said.


  





## Tags:
***urls***: http://incometaxdelhi.org

### Autogenerated tags:
kavach securonix website
