# Rogue WordPress Plugin Exposes E-Commerce Sites to Credit Card Theft
## Watch out for WordPress plugin that can create fake administrator users and inject malicious JavaScript code to steal credit card information
## Information:

+ Link: https://thehackernews.com/2023/12/rogue-wordpress-plugin-exposes-e.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 December 2023, 22:17
+ Date scraped: 22 December 2023, 17:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLxje8058n4vg7HoH8llmYc-UuLKcytfRFIYL4lAZ1wdjww37rhjkLR8jnZ7vtxEKzGZZoXZs1y8mcNcQRQS60LvIrjIuq769CyQX_24gcUFMqt6Xt5HrONilXG_lo4ESjnq8ao3nGoD7JemTrGZy9cBDsKIcXiNAb6QiTxn8Ug0HWLGvK7aaGmfwbK-z_/s728-rw-ft-e30/hacking.jpg)


Threat hunters have discovered a rogue WordPress plugin that's capable of creating bogus administrator users and injecting malicious JavaScript code to steal credit card information.


The skimming activity is part of a [Magecart campaign](https://thehackernews.com/2023/10/new-magecart-campaign-alters-404-error.html) targeting e-commerce websites, according to Sucuri.


"As with many other malicious or fake WordPress plugins it contains some deceptive information at the top of the file to give it a veneer of legitimacy," security researcher Ben Martin [said](https://blog.sucuri.net/2023/12/magecart-wordpress-plugin-injects-malicious-user-credit-card-skimmer.html). "In this case, comments claim the code to be 'WordPress Cache Addons.'"


Malicious plugins typically find their way to WordPress sites via either a [compromised admin user](https://thehackernews.com/2023/10/over-17000-wordpress-sites-compromised.html) or the [exploitation of security flaws](https://thehackernews.com/2023/10/researchers-uncover-malware-posing-as.html) in another plugin already installed on the site.


Post installation, the plugin replicates itself to the [mu-plugins](https://developer.wordpress.org/advanced-administration/plugins/mu-plugins/) (or must-use plugins) directory so that it's automatically enabled and conceals its presence from the admin panel.


 UPCOMING WEBINAR  [Beat AI-Powered Threats with Zero Trust - Webinar for Security Professionals](https://thehacker.news/zero-trust-attack-surface?source=inside)  Traditional security measures won't cut it in today's world. It's time for Zero Trust Security. Secure your data like never before.

 [Join Now](https://thehacker.news/zero-trust-attack-surface?source=inside) 
"Since the only way to remove any of the mu-plugins is by manually removing the file the malware goes out of its way to prevent this," Martin explained. "The malware accomplishes this by unregistering callback functions for hooks that plugins like this normally use."


The fraudulent also comes with an option to create and hide an administrator user account from the legitimate website admin to avoid raising red flags and have sustained access to the target for extended periods of time.


The ultimate objective of the campaign is to inject credit card stealing malware in the checkout pages and exfiltrate the information to an actor-controlled domain.


"Since many WordPress infections occur from compromised wp-admin administrator users it only stands to reason that they've needed to work within the constraints of the access levels that they have, and installing plugins is certainly one of the key abilities that WordPress admins possess," Martin said.


The disclosure arrives weeks after the WordPress security community [warned](https://blog.sucuri.net/2023/12/analysis-of-the-fake-wordpress-cve-2023-46182-patch-plugin-phishing-campaign.html) of a phishing campaign that warns users of an unrelated security flaw and tricks them into installing a plugin under the guise of a patch. The plugin, for its part, creates an admin user and deploys a web shell for persistent remote access.


Sucuri said that the threat actors behind the campaign are leveraging the "[RESERVED](https://www.cve.org/ResourcesSupport/FAQs)" status associated with a CVE identifier, which happens when it has been reserved for use by a CVE Numbering Authority (CNA) or security researcher, but the details are yet to be filled.


[![WordPress Plugin](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjJFDga3mtIA9h-fdfrk7-g6h1wLj6Gmh8N0RZG46-9G5Q-xYVGs0fFEMhxwQKXw99G4C3o4g0twv6Lho36buVeiDDDkQzG7kwiNTv3zyttlqPosK5UOXVJOJBneDxWhGL6watF-uSIt0ro6ykTnTznhyYOD_hrC0LvYKTsaZZzNzZ_9z0XZr0YXydi2IMg/s728-rw-ft-e30/admin.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjJFDga3mtIA9h-fdfrk7-g6h1wLj6Gmh8N0RZG46-9G5Q-xYVGs0fFEMhxwQKXw99G4C3o4g0twv6Lho36buVeiDDDkQzG7kwiNTv3zyttlqPosK5UOXVJOJBneDxWhGL6watF-uSIt0ro6ykTnTznhyYOD_hrC0LvYKTsaZZzNzZ_9z0XZr0YXydi2IMg/s728-rw-ft-e30/admin.jpg)
It also comes as the website security firm [discovered](https://blog.sucuri.net/2023/11/skimming-credit-cards-with-websockets.html) another Magecart campaign that uses the WebSocket communications protocol to insert the [skimmer code](https://blog.sucuri.net/2023/12/40-new-domains-of-magecart-veteran-atmzow-found-in-google-tag-manager.html) on online storefronts. The malware then gets triggered upon clicking a fake "Complete Order" button that's overlaid on top of the legitimate checkout button.


Europol's spotlight report on online fraud released this week described digital skimming as a persistent threat that results in the theft, re-sale, and misuse of credit card data. "A major evolution in digital skimming is the shift from the use of front-end malware to back-end malware, making it more difficult to detect," it [said](https://www.europol.europa.eu/media-press/newsroom/news/europol-publishes-iocta-spotlight-report-online-fraud-schemes).


The E.U. law enforcement agency [said](https://www.europol.europa.eu/media-press/newsroom/news/action-against-digital-skimming-reveals-443-compromised-online-merchants) it also notified 443 online merchants that their customers' credit card or payment card data had been compromised via skimming attacks.


Group-IB, which also partnered with Europol on the cross-border cybercrime fighting operation codenamed Digital Skimming Action, said it detected and identified 23 families of JS-sniffers, including ATMZOW, health\_check, FirstKiss, FakeGA, AngryBeaver, Inter, and R3nin, which were used against companies in 17 different countries across Europe and the Americas.


"In total, 132 JS-sniffer families are known, as of the end of 2023, to have compromised websites worldwide," the Singapore-headquartered firm [added](https://www.group-ib.com/media-center/press-releases/digital-skimming-action/).


That's not all. Bogus ads on Google Search and Twitter for cryptocurrency platforms have been found to promote a cryptocurrency drainer named MS Drainer that's estimated to have already plundered $58.98 million from 63,210 victims since March 2023 via a network of 10,072 phishing websites.


"By targeting specific audiences through Google search terms and the following base of X, they can select specific targets and launch continuous phishing campaigns at a very low cost," ScamSniffer [said](https://drops.scamsniffer.io/post/from-google-to-x-ads-tracing-the-crypto-wallet-drainers-58-million-trail/).


  





## Tags:


### Autogenerated tags:
wordpress malware plugin plugins websites phishing
