# Russia's APT28 Exploited Windows Print Spooler Flaw to Deploy 'GooseEgg' Malware
## Hackers linked to Russia have been exploiting a Windows bug for YEARS to deploy GooseEgg malware for escalating attack access.
## Information:

+ Link: https://thehackernews.com/2024/04/russias-apt28-exploited-windows-print.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 23 April 2024, 09:53
+ Date scraped: 23 April 2024, 05:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh_fROYmGngB4OefA4Mo8bWwygHybKze_nvXx_xyqquNJ6chD9s8J-a-Elrlu6LT5EoaI1NIkrelChdqgjfinkjVtdBKLDYu2ulrlQ0tR9JsmtC-L2_BhXdT60AtkQrxPTfwQUveDlPH_wKFuUfrVSmeMzUWsOslD0BTK96iP-U_mxL6GGy16oxBtN8YR8E/s728-rw-e365/printer.png)


The Russia-linked nation-state threat actor tracked as **APT28** weaponized a security flaw in the Microsoft Windows Print Spooler component to deliver a previously unknown custom malware called GooseEgg.


The post-compromise tool, which is said to have been used since at least June 2020 and possibly as early as April 2019, leveraged a now-patched flaw that allowed for privilege escalation (CVE-2022-38028, CVSS score: 7.8).


It was [addressed](https://thehackernews.com/2022/10/microsoft-patch-tuesday-fixes-new.html) by Microsoft as part of updates released in October 2022, with the U.S. National Security Agency (NSA) credited for reporting the flaw at the time.


According to new findings from the tech giant's threat intelligence team, [APT28](https://thehackernews.com/2024/03/apt28-hacker-group-targeting-europe.html) – also called Fancy Bear and Forest Blizzard (formerly Strontium) – weaponized the bug in attacks targeting Ukrainian, Western European, and North American government, non-governmental, education, and transportation sector organizations.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
"Forest Blizzard has used the tool [...] to exploit the CVE-2022-38028 vulnerability in Windows Print Spooler service by modifying a [JavaScript constraints file](https://learn.microsoft.com/en-us/windows-hardware/drivers/print/javascript-constraints) and executing it with SYSTEM-level permissions," the company [said](https://www.microsoft.com/en-us/security/blog/2024/04/22/analyzing-forest-blizzards-custom-post-compromise-tool-for-exploiting-cve-2022-38028-to-obtain-credentials/).


"While a simple launcher application, GooseEgg is capable of spawning other applications specified at the command line with elevated permissions, allowing threat actors to support any follow-on objectives such as remote code execution, installing a backdoor, and moving laterally through compromised networks."


Forest Blizzard is assessed to be affiliated with Unit 26165 of the Russian Federation's military intelligence agency, the Main Intelligence Directorate of the General Staff of the Armed Forces of the Russian Federation (GRU).


Active for nearly 15 years, the Kremlin-backed hacking group's activities are predominantly geared towards intelligence collection in support of Russian government foreign policy initiatives.


In recent months, APT28 hackers have also [abused](https://thehackernews.com/2024/02/russian-apt28-hackers-targeting-high.html) a privilege escalation flaw in Microsoft Outlook (CVE-2023-23397, CVSS score: 9.8) and a code execution bug in WinRAR (CVE-2023-38831, CVSS score: 7.8), indicating their ability to swiftly adopt public exploits into their tradecraft.


"Forest Blizzard's objective in deploying GooseEgg is to gain elevated access to target systems and steal credentials and information," Microsoft said. "GooseEgg is typically deployed with a [batch script](https://en.wikipedia.org/wiki/Batch_file)."


The GooseEgg binary supports commands to trigger the exploit and launch either a provided dynamic-link library (DLL) or an executable with elevated permissions. It also verifies if the exploit has been successfully activated using the whoami command.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
The disclosure comes as IBM X-Force revealed new phishing attacks orchestrated by the [Gamaredon actor](https://thehackernews.com/2023/11/russian-cyber-espionage-group-deploys.html) (aka Aqua Blizzard, Hive0051, and UAC-0010) that deliver new iterations of the [GammaLoad malware](https://thehackernews.com/2023/02/new-russian-backed-gamaredons-spyware.html) -


* GammaLoad.VBS, which is a VBS-based backdoor initiating the infection chain


* GammaStager, which is used to download and execute a series of Base64-encoded VBS payloads


* GammaLoadPlus, which is used to run .EXE payloads


* GammaInstall, which serves as the loader for a known PowerShell backdoor referred to as GammaSteel


* GammaLoad.PS, a PowerShell implementation of GammaLoad


* GammaLoadLight.PS, a PowerShell variant that contains code to spread the spread itself to connected USB devices


* GammaInfo, a PowerShell-based enumeration script collecting various information from the host


* GammaSteel, a PowerShell-based malware to exfiltrate files from a victim based on an extension allowlist


"Hive0051 rotates infrastructure through [synchronized DNS fluxing](https://securityintelligence.com/x-force/hive0051-malicious-operations-enabled-dns-fluxing/) across multiple channels including Telegram, Telegraph and Filetransfer.io," IBM X-Force researchers [said](https://securityintelligence.com/x-force/hive0051-all-in-triple-threat/) earlier this month, stating it "points to a potential elevation in actor resources and capability devoted to ongoing operations."


"It is highly likely Hive0051's consistent fielding of new tools, capabilities and methods for delivery facilitate an accelerated operations tempo."


  





## Tags:
***CVE's***: CVE-2023-23397 CVE-2023-38831 CVE-2022-38028

### Autogenerated tags:
gooseegg microsoft apt28 malware cvss hive0051 powershell
