# Russian APT Hackers Used COVID-19 Lures to Target European Diplomats
## According to ESET's T3 2021 Threat Report Russian APT Hackers Used COVID-19 Lures to Target European Diplomats
## Information:

+ Link: https://thehackernews.com/2022/02/russian-apt-hackers-used-covid-19-lures.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 February 2022, 10:46
+ Date scraped: 09 February 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEg1htgV20xnZFGHy8xys5a3a8RDOEZB9kzl6RyaRUmt6zE03r6yB_FnqpjR1iu5tj48oBafZq6mQ2iT7IbFULnsgOYBOXm01lnZjwIF1anuI3nLsK7lL87KbyL1UWUYNDmzgkLRurzHi4oYNIEIxTxXzkVXRR89_meOuJ0FAHhdAvY6naUEmPbN4lFS=s728-e1000)


The Russia-linked threat actor known as APT29 targeted European diplomatic missions and Ministries of Foreign Affairs as part of a series of spear-phishing campaigns mounted in October and November 2021.


According to ESET's [T3 2021 Threat Report](https://www.welivesecurity.com/2022/02/09/eset-threat-report-t32021/) shared with The Hacker News, the intrusions paved the way for the deployment of Cobalt Strike Beacon on compromised systems, followed by leveraging the foothold to drop additional malware for gathering information about the hosts and other machines in the same network.


Also tracked under the names The Dukes, Cozy Bear, and Nobelium, the advanced persistent threat group is an infamous cyber-espionage group that has been active for more than a decade, with its attacks targeting Europe and the U.S., before it gained widespread attention for the [supply‐chain compromise](https://thehackernews.com/2022/02/new-malware-used-by-solarwinds.html) of SolarWinds, leading to further infections in several downstream entities, including U.S. government agencies in 2020.


The spear-phishing attacks commenced with a COVID-19-themed phishing email impersonating the Iranian Ministry of Foreign Affairs and containing an HTML attachment that, when opened, prompts the recipients to open or save what appears to be an ISO disk image file ("Covid.iso").


Should the victim opt to open or download the file," a small piece of JavaScript decodes the ISO file, which is embedded directly in the HTML attachment." The disk image file, in turn, includes an HTML application that's executed using [mshta.exe](https://www.mcafee.com/blogs/other-blogs/mcafee-labs/what-is-mshta-how-can-it-be-used-and-how-to-protect-against-it/) to run a piece of PowerShell code that ultimately loads the Cobalt Strike Beacon onto the infected system.


[![Russian APT Hackers](https://thehackernews.com/new-images/img/a/AVvXsEglwgfTakz5tfhTSwDOMYonZpvaHlCIHm8s2Siv7LsnSe0W0dFfpgbBClJWSt9tMLfPmBA10CeMIEH53LnLbqlrg4zv9mKFmIl7GHJ76TVTXmsXgB8kdL4wAXSnI_z-0ph0Mzn4DlYyAAJOJF4XIwYxPtw_NiqMAtsbd7VscqKWz0U20rPFTUjqwiDP=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEglwgfTakz5tfhTSwDOMYonZpvaHlCIHm8s2Siv7LsnSe0W0dFfpgbBClJWSt9tMLfPmBA10CeMIEH53LnLbqlrg4zv9mKFmIl7GHJ76TVTXmsXgB8kdL4wAXSnI_z-0ph0Mzn4DlYyAAJOJF4XIwYxPtw_NiqMAtsbd7VscqKWz0U20rPFTUjqwiDP)
ESET also characterized APT29's reliance on HTML and ISO disk images (or VHDX files) as an evasion technique orchestrated specifically to evade Mark of the Web ([MOTW](https://docs.microsoft.com/en-us/previous-versions/windows/internet-explorer/ie-developer/compatibility/ms537628(v=vs.85))) protections, a security feature introduced by Microsoft to determine the origin of a file.


"An ISO disk image doesn't propagate the so-called Mark of the Web to the files inside the disk image," the researchers said. "As such, and even if the ISO were downloaded from the internet, no warning would be dis- played to the victim when the HTA is opened."


Upon successfully gaining initial access, the threat actor delivered a variety of off-the-shelf tools to query the target's Active Directory ([AdFind](https://www.joeware.net/freetools/tools/adfind/)), execute commands on a remote machine using SMB protocol ([Sharp-SMBExec](https://github.com/checkymander/Sharp-SMBExec)), carry out reconnaissance ([SharpView](https://github.com/tevora-threat/SharpView)), and even an exploit for a Windows privilege escalation flaw ([CVE-2021-36934](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-36934)) to carry out follow-on attacks.


"Recent months have shown that The Dukes are a serious threat to western organizations, especially in the diplomatic sector," the researchers noted. "They are very persistent, have good operational security, and they know how to create convincing phishing messages."


  






## Tags:
***CVE's***: CVE-2021-36934

### Autogenerated tags:
html
