# Russian Hackers Use Zulip Chat App for Covert C&C in Diplomatic Phishing Attacks
## Ongoing campaign targets NATO-aligned foreign affairs ministries. Attackers use PDFs disguised as diplomatic messages.
## Information:

+ Link: https://thehackernews.com/2023/08/russian-hackers-use-zulip-chat-app-for.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 17 August 2023, 15:09
+ Date scraped: 17 August 2023, 10:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgZzgasU5_k22Ja5r4lVhmS2YKf-b0Yg8QaVZPrWHMRRJaf_ss_0JmXT9SO9weYVxJT8WnJzrGyj49AUGS1tSKv52FD-a-cnUmlyvTZSxm5zxYNkziYBgaQpdKX5oGYsI_u8vgTPZygftOG5CnXu5fXGhN8DBFYoQDL9WiJ4UpIMszRm-WUEq-7gYH39KTb/s728-e3650/germn.jpg)


An ongoing campaign targeting ministries of foreign affairs of NATO-aligned countries points to the involvement of Russian threat actors.


The phishing attacks feature PDF documents with diplomatic lures, some of which are disguised as coming from Germany, to deliver a variant of a malware called [Duke](https://blog.f-secure.com/the-dukes-7-years-of-russian-cyber-espionage/), which has been attributed to [**APT29**](https://thehackernews.com/2023/08/microsoft-exposes-russian-hackers.html) (aka BlueBravo, Cloaked Ursa, Cozy Bear, Iron Hemlock, Midnight Blizzard, and The Dukes).


"The threat actor used Zulip – an open-source chat application – for command-and-control, to evade and hide its activities behind legitimate web traffic," Dutch cybersecurity company EclecticIQ [said](https://blog.eclecticiq.com/german-embassy-lure-likely-part-of-campaign-against-nato-aligned-ministries-of-foreign-affairs) in an analysis last week.


The infection sequence is as follows: The PDF attachment, named "Farewell to Ambassador of Germany," comes embedded with JavaScript code that initiates a multi-stage process to drop the malware.


APT29's use of invitation themes has been previously reported by Lab52, which [documented](https://lab52.io/blog/2344-2/) an attack that impersonates the Norwegian embassy to deliver a DLL payload that's capable of contacting a remote server to fetch additional payloads.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjDdxUPmQ8UJQm7kd9rIBsYCDlCQoR3bqVu4rchvOWFKGtnDq1ldILMskU-tlbXnHlWQVvGxivE1Fe-Lh5dJlECjsiblKiu8sbqMdqKgxy97B6MLcQuXtpP2lOmhjny2d5jmCkjl9wSzPqoLkAQ2KHee1cno62wV4IXDkMLIFfzgANa6DJDIBjFicKsID_i/s728-e3650/1.png)](https://thn.news/edWGl41h)
The use of the domain "bahamas.gov[.]bs" in both the intrusion sets further solidifies this link.


Should a potential target succumb to the phishing trap by opening the PDF file, a malicious HTML dropper called Invitation\_Farewell\_DE\_EMB is launched to execute JavaScript that drops a ZIP archive file, which, in turn, packs in an HTML Application (HTA) file designed to deploy the Duke malware.


Command-and-control is facilitated by making use of Zulip's API to send victim details to an actor-controlled chat room (toyy.zulipchat[.]com) as well as to remotely commandeer the compromised hosts.


EclecticIQ said it identified a second PDF file, likely used by APT29 for reconnaissance or for testing purposes.


"It did not contain a payload, but notified the actor if a victim opened the email attachment by receiving a notification through a compromised domain edenparkweddings[.]com," the researchers said.


It's worth noting that the abuse of Zulip is par for the course with the [state-sponsored group](https://lab52.io/blog/2162-2/), which has a [track record](https://thehackernews.com/2023/07/bluebravo-deploys-graphicalproton.html) of [leveraging](https://www.recordedfuture.com/threat-actors-leverage-internet-services-to-enhance-data-theft-and-weaken-security-defenses) a wide array of legitimate internet services such as Google Drive, Microsoft OneDrive, Dropbox, Notion, Firebase, and Trello for C2.


APT29's primary targets are governments and government subcontractors, political organizations, research firms, and critical industries in the U.S. and Europe. But in an interesting twist, an unknown adversary has been observed [employing its tactics](https://lab52.io/blog/beyond-appearances-unknown-actor-using-apt29s-ttp-against-chinese-users/) to breach Chinese-speaking users with Cobalt Strike.


The development comes as the Computer Emergency Response Team of Ukraine (CERT-UA) [warned](https://cert.gov.ua/article/5391805) of a new set of phishing attacks against state organizations of Ukraine using a Go-based [open-source post-exploitation toolkit](https://merlin-c2.readthedocs.io/en/latest/) called [Merlin](https://github.com/Ne0nd0g/merlin). The activity is being tracked under the moniker UAC-0154.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The war-torn country has also faced sustained cyber assaults from [Sandworm](https://thehackernews.com/2023/05/cert-ua-warns-of-smokeloader-and.html), an elite hacking unit affiliated to Russian military intelligence, primarily intended to disrupt critical operations and gather intelligence to gain a strategic advantage.


According to a recent report from the Security Service of Ukraine (SBU), the threat actor is said to have unsuccessfully attempted to gain unauthorized access to [Android tablets](https://www.aljazeera.com/news/2022/8/26/how-ukraine-turns-cheap-tablets-into-lethal-weapons) possessed by Ukrainian military personnel for planning and performing combat missions.


"The capture of devices on the battlefield, their detailed examination, and the use of available access, and software became the primary vector for the initial access and malware distribution," the security agency [said](https://ssu.gov.ua/en/novyny/sbu-exposes-russian-intelligence-attempts-to-penetrate-armed-forces-planning-operations-system).


Some of the malware strains include NETD to ensure persistence, DROPBEAR to establish remote access, STL to gather data from the Starlink satellite system, DEBLIND to exfiltrate data, the [Mirai](https://www.corero.com/new-research-mirai-evolution-and-its-increasing-effectiveness/) [botnet malware](https://thehackernews.com/2023/06/active-mirai-botnet-variant-exploiting.html). Also used in the attacks is a TOR hidden service to access the device on the local network via the Internet.


  





## Tags:
***urls***: http://bahamas.gov.bs http://toyy.zulipchat.com http://edenparkweddings.com

### Autogenerated tags:
malware pdf apt29 phishing zulip
