# Russian Sandworm Hackers Impersonate Ukrainian Telecoms to Distribute Malware
## Researchers have discovered a threat cluster linked to Sandworm that continues to target Ukraine with commodity malware.
## Information:

+ Link: https://thehackernews.com/2022/09/russian-sandworm-hackers-impersonate.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 20 September 2022, 12:56
+ Date scraped: 20 September 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgn45Ck6vqDFvA2leDePKdPhlDH1ahczKEX1G7NW9CKxteJGkz3l_Dxpmjd1SnrDkHKguss5We9LWuDgnHlJuns2KL7DwAsl-xMBxv1S1VLDsBEjacQCutkUNEQVeTllKkGd_8PyVCTLk6MOVTWU_e_tEHf4dzp7n647bD1HgoUG5tWMG9ax-DFlaWb/s728-e1000/russian-hackers.jpg)


A threat cluster linked to the Russian nation-state actor tracked as Sandworm has continued its targeting of Ukraine with commodity malware by masquerading as telecom providers, new findings show.


Recorded Future said it discovered new infrastructure belonging to UAC-0113 that mimics operators like Datagroup and EuroTransTelecom to deliver payloads such as [Colibri loader](https://thehackernews.com/2022/04/us-offers-10-million-bounty-for.html) and [Warzone RAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.ave_maria).


The attacks are said to be an expansion of the [same campaign](https://cert.gov.ua/article/405538) that previously distributed [DCRat](https://thehackernews.com/2022/05/experts-sound-alarm-on-dcrat-backdoor.html) (or DarkCrystal RAT) using phishing emails with legal aid-themed lures against providers of telecommunications in Ukraine.


Sandworm is a [destructive Russian threat group](https://thehackernews.com/2020/10/russian-hackers.html) that's best known for carrying out attacks such as the 2015 and 2016 targeting of Ukrainian electrical grid and 2017's NotPetya attacks. It's confirmed to be Unit 74455 of Russia's GRU military intelligence agency.


The adversarial collective, also known as Voodoo Bear, sought to damage high-voltage electrical substations, computers and networking equipment for the third time in Ukraine earlier this April through a [new variant of a piece of malware](https://thehackernews.com/2022/04/russian-hackers-tried-attacking.html) known as Industroyer.


[![Ukrainian Telecoms](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjXC-uZjCaOE_yV1Ns_wdImLvY7yyJYACWqNQeg20fPXqv5CKuqxWQe7J6SuIaEJEfGFj1kYATlPbZUZfu1WcJ3BKgFQldFDoa_8Ak0IbRePTyHl5roYnEv5BqaJPBWNSFWwm2IRfiLxEPXIK6b1T9KLchmrOrOYDES07WewyUwSgVt1Ma91-35cy2g/s728-e1000/link.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjXC-uZjCaOE_yV1Ns_wdImLvY7yyJYACWqNQeg20fPXqv5CKuqxWQe7J6SuIaEJEfGFj1kYATlPbZUZfu1WcJ3BKgFQldFDoa_8Ak0IbRePTyHl5roYnEv5BqaJPBWNSFWwm2IRfiLxEPXIK6b1T9KLchmrOrOYDES07WewyUwSgVt1Ma91-35cy2g/s728-e100/link.jpg)
Russia's invasion of Ukraine has also had the group unleash numerous other attacks, including [leveraging the Follina vulnerability](https://thehackernews.com/2022/07/russian-hackers-tricked-ukrainians-with.html) (CVE-2022-30190) in the Microsoft Windows Support Diagnostic Tool (MSDT) to breach media entities in the Eastern European nation.


In addition, it was uncovered as the mastermind behind a new modular botnet called [Cyclops Blink](https://thehackernews.com/2022/04/fbi-shut-down-russia-linked-cyclops.html) that enslaved internet-connected firewall devices and routers from WatchGuard and ASUS.


The U.S. government, for its part, has announced up to [$10 million in rewards](https://thehackernews.com/2022/04/us-offers-10-million-bounty-for.html) for information on six hackers associated with the APT group for participating in malicious cyber activities against critical infrastructure in the country.


[![Russian Sandworm Hackers](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhqC088Qg7YBtg3UXFBJalDCP6mVfxKfvjY5yNkkSnaAzijWLnHr-5hw8ZRAGsRo2kw_2ahBrMMxkklXzZZWQwTk1RdkJ62o6UmJjDK99d2kflQJO76hiDcGt0eVnK9HwdB4v6gYy3p6HhbHfT-i8shyoNIyTsvC0moN0M6dNQGjqFBw-pTH9Rg6yvA/s728-e1000/hack.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhqC088Qg7YBtg3UXFBJalDCP6mVfxKfvjY5yNkkSnaAzijWLnHr-5hw8ZRAGsRo2kw_2ahBrMMxkklXzZZWQwTk1RdkJ62o6UmJjDK99d2kflQJO76hiDcGt0eVnK9HwdB4v6gYy3p6HhbHfT-i8shyoNIyTsvC0moN0M6dNQGjqFBw-pTH9Rg6yvA/s728-e100/hack.jpg)
"A transition from DarkCrystal RAT to Colibri Loader and Warzone RAT demonstrates UAC-0113's broadening but continuing use of publicly available commodity malware," Recorded Future [said](https://www.recordedfuture.com/russia-nexus-uac-0113-emulating-telecommunication-providers-in-ukraine).


The attacks entail the fraudulent domains hosting a web page purportedly about "Odesa Regional Military Administration," while an encoded ISO image payload is stealthily deployed via a technique referred to as [HTML smuggling](https://thehackernews.com/2021/11/hackers-increasingly-using-html.html).


HTML smuggling, as the name goes, is an evasive malware delivery technique that leverages legitimate HTML and JavaScript features to distribute malware and get around conventional security controls.


Recorded Future also said it identified points of similarities with another [HTML dropper attachment](https://thehackernews.com/2022/07/russian-hackers-using-dropbox-and.html) put to use by the APT29 threat actor in a campaign aimed at Western diplomatic missions between May and June 2022.


Embedded within the ISO file, which was created on August 5, 2022, are three files, including an LNK file that tricks the victim into activating the infection sequence, resulting in the deployment of both Colibri loader and Warzone RAT to the target machine.


The execution of the LNK file also launches an innocuous decoy document – an application for Ukrainian citizens to request for monetary compensation and fuel discounts – in an attempt to conceal the malicious operations.


  





## Tags:
***CVE's***: CVE-2022-30190

### Autogenerated tags:
malware html warzone
