# Russian Turla Hackers Hijack Decade-Old Malware Infrastructure to Deploy New Backdoors
## Russian cyber espionage group Turla has been using decade-old malware attack infrastructure to deliver reconnaissance and backdoor tools to Ukraine.
## Information:

+ Link: https://thehackernews.com/2023/01/russian-turla-hackers-hijack-decade-old.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 08 January 2023, 06:15
+ Date scraped: 08 January 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgHWgyFm7fUTm-Cra-2X00SErg__2a7C1XJQwaEc9iJ7TWoQY1HCy_f3UJlKoP9gyyTj0xUbToAPmBqvLG6K3IsEQtxSoEFPI6D-d8t5QNesrQSYeL5WsiSdM1d_Zy25eYabntkKVqnl3fg0YBYO2Wz8ig1MSY-T1U5MOkw-wxdbxXiIZaGOFs1Og-3/s728-rj-e365/hackers.png)


The Russian cyberespionage group known as **Turla** has been observed piggybacking on attack infrastructure used by a decade-old malware to deliver its own reconnaissance and backdoor tools to targets in Ukraine.


Google-owned Mandiant, which is tracking the operation under the uncategorized cluster moniker **UNC4210**, said the hijacked servers correspond to a variant of a commodity malware called [ANDROMEDA](https://thehackernews.com/2017/12/andromeda-botnet.html) (aka Gamarue) that was uploaded to VirusTotal in 2013.


"UNC4210 re-registered at least three expired ANDROMEDA command-and-control (C2) domains and began profiling victims to selectively deploy KOPILUWAK and QUIETCANARY in September 2022," Mandiant researchers [said](https://www.mandiant.com/resources/blog/turla-galaxy-opportunity) in an analysis published last week.


Turla, also known by the names Iron Hunter, Krypton, Uroburos, Venomous Bear, and Waterbug, is an elite nation-state outfit that primarily targets government, diplomatic, and military organizations using a large set of custom malware.


Since the onset of Russia's [military invasion](https://thehackernews.com/2022/02/new-wiper-malware-targeting-ukraine.html) of Ukraine in February 2022, the adversarial collective has been linked to a string of [credential phishing](https://thehackernews.com/2022/05/ukraine-war-themed-files-become-lure-of.html) and [reconnaissance efforts](https://thehackernews.com/2022/04/microsoft-documents-over-200.html) aimed at entities located in the country.


In July 2022, Google's Threat Analysis Group (TAG) [revealed](https://thehackernews.com/2022/07/russian-hackers-tricked-ukrainians-with.html) that Turla created a malicious Android app to supposedly "help" pro-Ukrainian hacktivists launch distributed denial-of-service (DDoS) attacks against Russian sites.


The latest discovery from Mandiant shows that Turla has been stealthily co-opting older infections as a malware distribution mechanism, not to mention taking advantage of the fact that ANDROMEDA spreads via infected USB keys.


"USB spreading malware continues to be a [useful vector](https://thehackernews.com/2022/11/chinese-cyber-espionage-hackers-using.html) to gain initial access into organizations," the threat intelligence firm said.


In the incident analyzed by Mandiant, an infected USB stick is said to have been inserted at an unnamed Ukrainian organization in December 2021, ultimately leading to the deployment of a [legacy ANDROMEDA artifact](https://www.virustotal.com/gui/file/9535a9bb1ae8f620d7cbd7d9f5c20336b0fd2c78d1a7d892d76e4652dd8b2be7/details) on the host upon launching a malicious link (.LNK) file masquerading as a folder within the USB drive.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjl_QU2wf_UbGW8Qbj8LKFKqGTZTIPHPiCD5kuTNFOz05so-hYMQ4CMffkQGwMwEMB3SZ8WgzpsIGVJUstFn1Cbot7XRuW1JQ-kG4XKd1yAN0C09kpfvNdpPVaNsSuMv-jnWgHPM4Oniqbfc4Y-Zd0IHaThqtVsJlqw82dkCXaSITRh54AcCk1FlwP5/s728-rj-e365/google.png)
The threat actor then repurposed one of the dormant domains that were part of ANDROMEDA's defunct C2 infrastructure – which it re-registered in January 2022 – to profile the victim by delivering the first-stage [KOPILUWAK](https://securelist.com/kopiluwak-a-new-javascript-payload-from-turla/77429/) dropper, a JavaScript-based network reconnaissance utility.


Two days later, on September 8, 2022, the attack proceeded to the final phase with the execution of a .NET-based implant dubbed QUIETCANARY (aka [Tunnus](https://www.kaspersky.com/about/press-releases/2019_the-garden-of-forking-paths-sophisticated-apts-diversify-toolsets)), resulting in the exfiltration of files created after January 1, 2021.


The tradecraft employed by Turla dovetails with prior reports of the group's extensive victim profiling efforts coinciding with the Russo-Ukrainian war, potentially helping it tailor its follow-on exploitation efforts to harvest the information of interest to Russia.

 It's also one of the rare instances where a hacking unit has been identified targeting victims of a different malware campaign to meet its own strategic goals, while also obscuring its role.


"As older ANDROMEDA malware continues to spread from compromised USB devices, these re-registered domains pose a risk as new threat actors can take control and deliver new malware to victims," the researchers said.


"This novel technique of claiming expired domains used by widely distributed, financially motivated malware can enable follow-on compromises at a wide array of entities. Further, older malware and infrastructure may be more likely to be overlooked by defenders triaging a wide variety of alerts."


### COLDRIVER Targets U.S. Nuclear Research Labs[#](#coldriver-targets-us-nuclear-research-labs)


The findings also come as Reuters [reported](https://www.reuters.com/world/europe/russian-hackers-targeted-us-nuclear-scientists-2023-01-06/) that another Russian state-sponsored threat group codenamed COLDRIVER (aka Callisto or SEABORGIUM) targeted three nuclear research labs in the U.S. in early 2022.


To that end, the digital assaults entailed creating fake login pages for Brookhaven, Argonne, and Lawrence Livermore National Laboratories in an attempt to trick nuclear scientists into revealing their passwords.


The tactics are consistent with known COLDRIVER activity, which recently was [unmasked](https://thehackernews.com/2022/12/russian-hackers-spotted-targeting-us.html) spoofing the login pages of defense and intelligence consulting companies as well as NGOs, think tanks, and higher education entities in the U.K. and the U.S.


  





## Tags:


### Autogenerated tags:
malware turla usb mandiant re-registered coldriver u.s
