# Searching for AI Tools? Watch Out for Rogue Sites Distributing RedLine Malware
## Hackers are using Google Search ads to trick AI tool seekers into downloading malware.
## Information:

+ Link: https://thehackernews.com/2023/05/searching-for-ai-tools-watch-out-for.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 19 May 2023, 12:23
+ Date scraped: 19 May 2023, 07:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhK2GlhldMUujEJigI4vjXxo1--xGWngpVgGsJTUMt3MKQgUcP3ZTnGELYJ_zwHQlfY2YGaE1jav_AYYK-B59f5ED0rOFNSjOSqQcV3xqsfuSEC2nbPuwjGUxv5s8glAhRXUCbrsD-w6396vuvEH7ZIXAh0xzVyeKKJ4JoMKbpKqd3RZs5P450IYQn7/s728-e3650/chatgpt.png)


Malicious Google Search ads for generative AI services like OpenAI ChatGPT and Midjourney are being used to direct users to sketchy websites as part of a BATLOADER campaign designed to deliver [RedLine Stealer](https://thehackernews.com/2023/03/warning-ai-generated-youtube-video.html) malware.


"Both AI services are extremely popular but lack first-party standalone apps (i.e., users interface with ChatGPT via their web interface while Midjourney uses Discord)," eSentire [said](https://www.esentire.com/blog/batloader-impersonates-midjourney-chatgpt-in-drive-by-cyberattacks) in an analysis.


"This vacuum has been exploited by threat actors looking to drive AI app-seekers to imposter web pages promoting fake apps."


BATLOADER is a loader malware that's propagated via drive-by downloads where users searching for certain keywords on search engines are displayed bogus ads that, when clicked, redirect them to rogue landing pages hosting malware.


The installer file, per eSentire, is rigged with an executable file (ChatGPT.exe or midjourney.exe) and a PowerShell script (Chat.ps1 or Chat-Ready.ps1) that downloads and loads RedLine Stealer from a remote server.


Once the installation is complete, the binary makes use of Microsoft Edge [WebView2](https://learn.microsoft.com/en-us/microsoft-edge/webview2/) to load chat.openai[.]com or www.midjourney[.]com – the legitimate ChatGPT and Midjourney URLs – in a pop-up window so as to not raise any red flags.


[![AI Tools](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhSDfzW8Jn52wVldTEGF89utsiUmu2UhA5OkCVoydIwa7sNGj4Z-lEfaSZ1fhoGupXcU-tuL24Y6FP3-b-ql4XuJlavyU7_bXMHDof17hC8fXPw_-LOWX4HI9Sik6Qb4VkhAfomgWniGYdlqFyq8oyZ4CYvXbcKqgm-0AG55hGnwn6tIexjt1zRArb7/s728-e365/code.png)
The adversary's use of ChatGPT and Midjourney-themed lures to serve malicious ads and ultimately drop the RedLine Stealer malware was also [highlighted last week](https://thehackernews.com/2023/05/water-orthrus-copperstealer-malware.html) by Trend Micro.


[![AI Tools](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgOD_mZFhrtLHoDIg6Zdc233ok-3ahFAcOufgSn_cpF20dV7ZxmcMK_-CVTppGzSMCkcxhQmsBi8c24xbc886TKHDFKzPrAe1WxKue5oGh0lVZHnWSzVZt1hgblQtcLQKyh6QpEuecCtmK-h52dkqSPLfsb39reoh54I6sftS085hal5JUggdpyqq4O/s728-e365/mid.png)
This is not the first time the operators behind BATLOADER have capitalized on the AI craze to distribute malware. In March 2023, eSentire [detailed](https://thehackernews.com/2023/03/batloader-malware-uses-google-ads-to.html) a similar set of attacks that leveraged ChatGPT lures to deploy Vidar Stealer and Ursnif.


The cybersecurity company further pointed out the abuse of Google Search ads has fallen off from their early 2023 peak, suggesting that the tech giant is taking active steps to curtail its exploitation.


The findings come weeks after Securonix [uncovered](https://www.securonix.com/blog/threat-labs-security-advisory-new-ocxharvester-attack-campaign-leverages-modernized-more_eggs-suite/) a phishing campaign dubbed OCX#HARVESTER that targeted the cryptocurrency sector between December 2022 and March 2023 with [More\_eggs](https://www.esentire.com/news-releases/esentire-researchers-unmask-the-top-malware-supplier-to-russias-most-notorious-financial-crime-families-fin6-and-cobalt-group) (aka Golden Chickens), a JavaScript downloader that's used to serve additional payloads.


eSentire, in January, [traced](https://thehackernews.com/2023/01/experts-uncover-identity-of-mastermind.html) the identity of one of the key operators of the malware-as-a-service (MaaS) to an individual located in Montreal, Canada. The second threat actor associated with the group is believed to reside in Moldova or Romania.



  





## Tags:
***urls***: http://www.midjourney.com http://chat.openai.com

### Autogenerated tags:
chatgpt malware esentire midjourney batloader
