# Severe Security Flaw Exposes Over a Million WordPress Sites to Hijack
## Heads up! A severe security flaw has been discovered in a popular WordPress plugin! Patchstack has revealed an unauthenticated privilege escalation
## Information:

+ Link: https://thehackernews.com/2023/05/severe-security-flaw-exposes-over.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 12 May 2023, 11:13
+ Date scraped: 12 May 2023, 06:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjPdGDj2It1ela6dtLQRm18KkvUp6lrkA2SjOeqfjfgQhM6_ZE64WDe2Jj5Ig46HGupM4-X5RGvf3Vsy9OHxu0_ga7xRmb4EF7w4cHo2KKzAZRp5-l47tR1cZmKVf8mR-tEYGX2b3URv8-oQldq5nYtGUPFA7rRvlJHl-nE6qWoFH-NgLaEJ5odY4zV/s728-e3650/wordpress.png)


A security vulnerability has been disclosed in the popular WordPress plugin [Essential Addons for Elementor](https://wordpress.org/plugins/essential-addons-for-elementor-lite/) that could be potentially exploited to achieve elevated privileges on affected sites.


The issue, tracked as CVE-2023-32243, has been addressed by the plugin maintainers in version 5.7.2 that was shipped on May 11, 2023. Essential Addons for Elementor has over one million active installations.


"This plugin suffers from an unauthenticated privilege escalation vulnerability and allows any unauthenticated user to escalate their privilege to that of any user on the WordPress site," Patchstack researcher Rafie Muhammad [said](https://patchstack.com/articles/critical-privilege-escalation-in-essential-addons-for-elementor-plugin-affecting-1-million-sites/).


Successful exploitation of the flaw could permit a threat actor to reset the password of any arbitrary user as long as the malicious party is aware of their username. The shortcoming is believed to have existed since version 5.4.0.


This can have serious ramifications as the flaw could be weaponized to reset the password associated with an administrator account and seize full control of the website.


"This vulnerability occurs because this password reset function does not validate a password reset key and instead directly changes the password of the given user," Muhammad pointed out.


The disclosure comes more than a year after Patchstack [revealed](https://thehackernews.com/2022/02/critical-bug-found-in-wordpress-plugin.html) another severe flaw in the same plugin that could have been abused to execute arbitrary code on compromised websites.


The findings also follow the discovery of a new wave of attacks targeting WordPress sites since late March 2023 that aims to inject the infamous [SocGholish](https://thehackernews.com/2023/03/cybercriminals-targeting-law-firms-with.html) (aka FakeUpdates) malware.


[SocGholish](https://redcanary.com/threat-detection-report/threats/socgholish/) is a [persistent](https://www.proofpoint.com/us/blog/threat-insight/part-1-socgholish-very-real-threat-very-fake-update) [JavaScript](https://www.cybereason.com/blog/threat-analysis-report-socgholish-and-zloader-from-fake-updates-and-installers-to-owning-your-systems) [malware framework](https://www.sentinelone.com/labs/socgholish-diversifies-and-expands-its-malware-staging-infrastructure-to-counter-defenders/) that functions as an initial access provider to facilitate the delivery of additional malware to infected hosts. The malware has been distributed via drive-by downloads masquerading as a web browser update.


The latest campaign detected by Sucuri has been found to leverage compression techniques using a software library called zlib to conceal the malware, reduce its footprint, and avoid detection.


"Bad actors are continually evolving their tactics, techniques, and procedures to evade detection and prolong the life of their malware campaigns," Sucuri researcher Denis Sinegubko [said](https://blog.sucuri.net/2023/05/xjquery-wave-of-wordpress-socgholish-injections.html).


"SocGholish malware is a prime example of this, as attackers have [altered their approach](https://blog.sucuri.net/2022/08/socgholish-5-years-of-massive-website-infections.html) [in the past](https://blog.sucuri.net/2022/11/new-socgholish-malware-variant-uses-zip-compression-evasive-techniques.html) to inject malicious scripts into compromised WordPress websites."


It's not just SocGholish. Malwarebytes, in a technical report this week, detailed a malvertising campaign that serves visitors to adult websites with [popunder ads](https://www.malwarebytes.com/blog/threat-intelligence/2022/12/adult-popunder-campaign-used-in-mainstream-ad-fraud-scheme) that simulate a fake Windows update to drop the "in2al5d p3in4er" (aka Invalid Printer) loader.


[![WordPress](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhq_b11BZfy7dUi9tqtv_1-gH5AIU97o_-vZa_Jlwl5x2sA8chNTtIvj7orIKofJs47vh1OP66HNkkVey93nNMUSfK40bbLRWP34TjGycWHCQyqMNcgtCMZrx-xbPefuSgwfh23NculfVAk3OCRwGU3fz3HxVIH8ceDH-_hi8dgSFgHGS77kdpxjcz1/s728-e365/code.png)
"The scheme is very well designed as it relies on the web browser to display a full screen animation that very much resembles what you'd expect from Microsoft," Jérôme Segura, director of threat intelligence at Malwarebytes, [said](https://www.malwarebytes.com/blog/threat-intelligence/2023/05/fake-system-update-drops-new-highly-evasive-loader).


The loader, which was [documented](https://thehackernews.com/2023/04/youtube-videos-distributing-aurora.html) by Morphisec last month, is designed to check the system's graphic card to determine if it's running on a virtual machine or in a sandbox environment, and ultimately launch the [Aurora](https://thehackernews.com/2022/11/researchers-warn-of-cyber-criminals.html) information stealer malware.


The campaign, per Malwarebytes, has claimed 585 victims over the past two months, with the threat actor also linked to other tech support scams and an [Amadey bot](https://thehackernews.com/2022/11/amadey-bot-spotted-deploying-lockbit-30.html) command-and-control panel.



  





## Tags:
***CVE's***: CVE-2023-32243

### Autogenerated tags:
malware wordpress plugin socgholish websites malwarebytes
