# Severe Vulnerabilities Reported in Microsoft Azure Bastion and Container Registry
## 🔓 Two severe security vulnerabilities have been disclosed in Azure Bastion and Azure Container Registry, potentially enabling unauthorized access.
## Information:

+ Link: https://thehackernews.com/2023/06/severe-vulnerabilities-reported-in.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 14 June 2023, 19:11
+ Date scraped: 14 June 2023, 14:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiQPfwqm_me4WWpiHTNp0-iDOuopBYKljRh7sUMeWVFkivfJeli6eBGrLfmjXd9WbeuHtS_dnzLaXuUB2N5RIWtC_5mt9p3NFDaXFAVPaVGXj-WeprFUakBKwyW5E4FtJtdbvX_HSmuOBlJZ53cGV6s-HdYLPvQZByfhAdVjA7sBV5VDXzZzUT9QwDU/s728-e365/xss.jpg)


Two "dangerous" security vulnerabilities have been disclosed in Microsoft Azure Bastion and Azure Container Registry that could have been exploited to carry out cross-site scripting (XSS) attacks.


"The vulnerabilities allowed unauthorized access to the victim's session within the compromised Azure service iframe, which can lead to severe consequences, including unauthorized data access, unauthorized modifications, and disruption of the Azure services iframes," Orca security researcher Lidor Ben Shitrit [said](https://orca.security/resources/blog/examining-two-xss-vulnerabilities-in-azure-services) in a report shared with The Hacker News.


[XSS attacks](https://thehackernews.com/2023/03/researchers-detail-severe-super.html) take place when threat actors inject arbitrary code into an otherwise trusted website, which then gets executed every time when unsuspecting users visit the site.


The two flaws identified by Orca leverage a weakness in the postMessage iframe, which enables cross-origin communication between Window objects.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
This meant that the shortcoming could be abused to embed endpoints within remote servers using the iframe tag and ultimately execute malicious JavaScript code, leading to the compromise of sensitive data.


However, in order to exploit these weaknesses, a threat actor would have to conduct reconnaissance on different Azure services to single out vulnerable endpoints embedded within the Azure portal that may have missing [X-Frame-Options](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/X-Frame-Options) headers or weak Content Security Policies ([CSPs](https://developer.mozilla.org/en-US/docs/Web/HTTP/CSP)).


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhWsn54GPbftpPkz6cdMeWRHAjUcF8niYLVYOMFu4K6aOPys6m5gqSKZNalNCmRkqwVB5I97jmRv-6XokzQ2_X5jl5oziwVWjg_4ekkirjbotHNKMrmOrO4nG9InfvL-UKAWrTwd2LLvgKR2r5vsayBofdpzE-zjQanKBlFAXJSp5HP49UuG3mwm-tw/s728-e365/azure.jpg)
"Once the attacker successfully embeds the iframe in a remote server, they proceed to exploit the misconfigured endpoint," Ben Shitrit explained. "They focus on the postMessage handler, which handles remote events such as postMessages."


By analyzing the legitimate postMessages sent to the iframe from portal.azure[.]com, the adversary could subsequently craft appropriate payloads by embedding the vulnerable iframe in an actor-controlled server (e.g., ngrok) and creating a postMessage handler that delivers the malicious payload.


Thus when a victim is lured into visiting the compromised endpoint, the "malicious postMessage payload is delivered to the embedded iframe, triggering the XSS vulnerability and executing the attacker's code within the victim's context."


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Join the Session](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
In a proof-of-concept (PoC) demonstrated by Orca, a specially crafted postMessage was found to be able to manipulate the Azure Bastion Topology View SVG exporter or Azure Container Registry Quick Start to execute an XSS payload.


Following responsible disclosure of the flaws on April 13 and May 3, 2023, Microsoft rolled out security fixes to remediate them. No further action is required on the part of Azure users.


The disclosure comes more than a month after Microsoft [plugged](https://thehackernews.com/2023/05/researchers-discover-3-vulnerabilities.html) three vulnerabilities in the Azure API Management service that could be abused by malicious actors to gain access to sensitive information or backend services.



  





## Tags:
***urls***: http://portal.azure.com

### Autogenerated tags:
iframe postmessage xss microsoft api
