# Sierra:21 - Flaws in Sierra Wireless Routers Expose Critical Sectors to Cyber Attacks
## 21 vulnerabilities, known as Sierra:21, have been found in Sierra Wireless AirLink cellular routers and open-source software components.
## Information:

+ Link: https://thehackernews.com/2023/12/sierra21-flaws-in-sierra-wireless.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 06 December 2023, 16:48
+ Date scraped: 06 December 2023, 12:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgYPP2feHA_vj8divQ_WMIEEKwzaiKAv74MYFirEgIVG1mWq37PW1zs9IVq1atreQhkHv9jc03ZiOksDWA3d-JDBzCfqPBopOtEHsOXS_BBmnyjd0GZG03yGrG_t35Kx5YzIKWeuJxcc66JUcrPw8E4Y7pqDAAX874KDoUagJ9vRqRMNI-sdg1cIbFgY76a/s728-rw-ft-e30/souter.jpg)


A collection of 21 security flaws have been discovered in Sierra Wireless AirLink cellular routers and open-source software components like [TinyXML](https://en.wikipedia.org/wiki/TinyXML) and [OpenNDS](https://github.com/openNDS/openNDS).


Collectively tracked as [**Sierra:21**](https://www.forescout.com/research-labs/sierra21/), the issues expose over 86,000 devices across critical sectors like energy, healthcare, waste management, retail, emergency services, and vehicle tracking to cyber threats, according to Forescout Vedere Labs. A majority of these devices are located in the U.S., Canada, Australia, France, and Thailand.


"These vulnerabilities may allow attackers to steal credentials, take control of a router by injecting malicious code, persist on the device and use it as an initial access point into critical networks," the industrial cybersecurity company [said](https://www.forescout.com/blog/sierra21-supply-chain-vulnerabilities-iot-ot-routers/) in a new analysis.


 UPCOMING WEBINAR  [Cracking the Code: Learn How Cyber Attackers Exploit Human Psychology](https://thehacker.news/social-engineering-psychology?source=inside)  Ever wondered why social engineering is so effective? Dive deep into the psychology of cyber attackers in our upcoming webinar.

 [Join Now](https://thehacker.news/social-engineering-psychology?source=inside) 
Of the 21 vulnerabilities, one is rated critical, nine are rated high, and 11 are rated medium in severity.


This includes remote code execution (RCE), cross-site scripting (XSS), denial-of-service (DoS), unauthorized access, and authentication bypasses that could be exploited to seize control of vulnerable devices, conduct credential theft via injection of malicious JavaScript, crash the management application, amd conduct adversary-in-the-middle (AitM) attacks.


[![Sierra Wireless Routers](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiFxA4kZEh3a00zNghaYOS5XXGjqSuY88kF6IoSC-QjY9JcqnZ0YXYxKtxyE0U4W8JH62EnXuL3Y8DDNal87xi9CrKGLGxmTIUCBpanTO94sK5m5PS4p8s5ETo5C6B2trlAgxIBM8UpF7lm6hbMXtNbrlwWJ5HEDOr_kp4CQ9Gc6GosGo3hnhm2qm05zY2m/s728-rw-ft-e30/sierra-screenshot_1.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiFxA4kZEh3a00zNghaYOS5XXGjqSuY88kF6IoSC-QjY9JcqnZ0YXYxKtxyE0U4W8JH62EnXuL3Y8DDNal87xi9CrKGLGxmTIUCBpanTO94sK5m5PS4p8s5ETo5C6B2trlAgxIBM8UpF7lm6hbMXtNbrlwWJ5HEDOr_kp4CQ9Gc6GosGo3hnhm2qm05zY2m/s728-rw-ft-e30/sierra-screenshot_1.jpg)
These shortcomings can also be weaponized by botnet malware for worm-like automatic propagation, communication with command-and-control (C2) servers, and enslaving affected susceptible machines to launch DDoS attacks.


Fixes for the flaws have been released in [ALEOS 4.17.0](https://source.sierrawireless.com/resources/airlink/software_reference_docs/release-notes/aleos-4,-d-,17,-d-,0-release-notes/) (or [ALEOS 4.9.9](https://source.sierrawireless.com/resources/airlink/software_reference_docs/release-notes/aleos-4,-d-,9,-d-,9-release-notes/)), and [OpenNDS 10.1.3](https://github.com/openNDS/openNDS/releases). TinyXML, on the other hand, is no longer actively maintained, necessitating that the problems be addressed downstream by affected vendors.


"Attackers could leverage some of the new vulnerabilities to take full control of an OT/IoT router in critical infrastructure and achieve different goals such as network disruption, espionage, lateral movement and further malware deployment," Forescout said.


"Vulnerabilities impacting critical infrastructure are like an open window for bad actors in every community. State-sponsored actors are developing custom malware to use routers for persistence and espionage. Cybercriminals are also leveraging routers and related infrastructure for residential proxies and to recruit into botnets."


  





## Tags:


### Autogenerated tags:
malware
