# Unpatched Bug in RainLoop Webmail Could Give Hackers Access to all Emails
## A new unpatched vulnerability has been disclosed in the RainLoop webmail client that could allow hackers to remotely access all emails.
## Information:

+ Link: https://thehackernews.com/2022/04/unpatched-bug-in-rainloop-webmail-could.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 April 2022, 10:48
+ Date scraped: 21 April 2022, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEijJb5XU_W-nEBrIKNQw1QuU6WHSq3an0kVNuzcgBxsqFqJvDtPp6TAxaC4ndBOCsNHLEwza1yAdHE6YiuzhDL3yr3MfnCsvF4iyJ2GlvNf3aGTCaZ_OTd2AWCcU-_MI8EBRci7WWFs52BA0GEzUJ6r-rcFv1MTVwvFX2yw9WqiFJ04g-JFfXFbWcUe/s728-e1000/rainloop.jpg)


An unpatched high-severity security flaw has been disclosed in the open-source RainLoop web-based email client that could be weaponized to siphon emails from victims' inboxes.


"The code vulnerability [...] can be easily exploited by an attacker by sending a malicious email to a victim that uses RainLoop as a mail client," SonarSource security researcher Simon Scannell [said](https://blog.sonarsource.com/rainloop-emails-at-risk-due-to-code-flaw) in a report published this week.


"When the email is viewed by the victim, the attacker gains full control over the session of the victim and can steal any of their emails, including those that contain highly sensitive information such as passwords, documents, and password reset links."


Tracked as CVE-2022-29360, the flaw relates to a stored cross-site-scripting (XSS) vulnerability impacting the latest version of RainLoop ([v1.16.0](https://www.rainloop.net/changelog/)) that was released on May 7, 2021.


Stored XSS flaws, also called persistent XSS, occur when a malicious script is injected directly into a target web application's server by means of user input (e.g., comment field) that's permanently stored in a database and is later served to other users.



Impacting all RainLoop installations running under default configurations, attack chains leveraging the flaw could take the form of a specially crafted email sent to potential victims that, when viewed, executes a malicious JavaScript payload in the browser without requiring any user interaction.


SonarSource, in its disclosure timeline, said that it notified the maintainers of RainLoop of the bug on November 30, 2021, and that the software maker has failed to issue a fix for more than four months.


An [issue](https://github.com/RainLoop/rainloop-webmail/issues/2142) raised on GitHub by the Swiss code quality and security company on December 6, 2021, remains open to date. We have reached out to RainLoop for comment, and we will update the story if we hear back.


In the absence of patches, SonarSource is recommending users to migrate to a RainLoop fork called [SnappyMail](https://snappymail.eu), which is actively maintained and unaffected by the security issue.


  





## Tags:
***CVE's***: CVE-2022-29360

### Autogenerated tags:
rainloop sonarsource xss
