# VMware Releases Patches for Several New Flaws Affecting Multiple Products
## VMware releases security patches to address 10 new vulnerabilities affecting multiple products that could be abused by unauthenticated attackers.
## Information:

+ Link: https://thehackernews.com/2022/08/vmware-releases-patches-for-several-new.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 03 August 2022, 04:49
+ Date scraped: 03 August 2022, 05:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhTOrIOL2CttCsOisd2VA2-gW84X4_vjRN0VeeVboCjatIhEmWgIzGhZkYZXyQiW0ewz7zHcj_3EwSdqRnAEPwbveJ6sP9b5SJiFO0gUhzcDnZ9z_5ucDfKC7Z8zpknqBWNLKePyknCnTPVaEsOxab4oLFhAcLQshylLe2hoOkVC6gAmgTmPpUk5AgR/s728-e1000/vmware.jpg)


Virtualization services provider VMware on Tuesday shipped updates to [address 10 security flaws](https://www.vmware.com/security/advisories/VMSA-2022-0021.html) affecting multiple products that could be abused by unauthenticated attackers to perform malicious actions.


The issues tracked from CVE-2022-31656 through CVE-2022-31665 (CVSS scores: 4.7 - 9.8) affect the VMware Workspace ONE Access, Workspace ONE Access Connector, Identity Manager, Identity Manager Connector, vRealize Automation, Cloud Foundation, and vRealize Suite Lifecycle Manager.


The most severe of the flaws is CVE-2022-31656 (CVSS score: 9.8), an authentication bypass vulnerability affecting local domain users that could be leveraged by a bad actor with network access to obtain administrative access.


Also resolved by VMware are three remote code execution vulnerabilities (CVE-2022-31658, CVE-2022-31659, and CVE-2022-31665) related to JDBC and SQL injection that could be weaponized by an adversary with administrator and network access.


[![VMware](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgI_LeUTMPRZAt45PycKydjnK35qzJ1vbQrYZzduBTK3pwXBSzoILVNO-NRrPV10q1CViYba9n3BFSkwCE3OiyPlBjFFKGfCsIsJrAb51zEv4pjpbI2p48W8c3Mtjx69-XrpwGlGorezClU2y2S8TfiA-6eMBO24eui8doqA0Tk1PmsxjAItUOG82gX/s728-e1000/flaws.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgI_LeUTMPRZAt45PycKydjnK35qzJ1vbQrYZzduBTK3pwXBSzoILVNO-NRrPV10q1CViYba9n3BFSkwCE3OiyPlBjFFKGfCsIsJrAb51zEv4pjpbI2p48W8c3Mtjx69-XrpwGlGorezClU2y2S8TfiA-6eMBO24eui8doqA0Tk1PmsxjAItUOG82gX/s728-e100/flaws.jpg)
Elsewhere, it has also remediated a reflected cross-site scripting (XSS) vulnerability (CVE-2022-31663) that it said is a result of improper user sanitization, which could lead to the activation of malicious JavaScript code.


Rounding off the patches are three local privilege escalation bugs (CVE-2022-31660, CVE-2022-31661, and CVE-2022-31664) that permit an actor with local access to escalate privileges to "root," a URL injection vulnerability (CVE-2022-31657), and a path traversal bug (CVE-2022-31662).


While successful exploitation of CVE-2022-31657 makes it possible to redirect an authenticated user to an arbitrary domain, CVE-2022-31662 could equip an attacker to read files in an unauthorized manner.


VMware said it's not aware of the exploitation of these vulnerabilities in the wild, but urged customers using the vulnerable products to [apply the patches immediately](https://core.vmware.com/vmsa-2022-0021-questions-answers-faq) to mitigate potential threats.


  





## Tags:
***CVE's***: CVE-2022-31661 CVE-2022-31665 CVE-2022-31664 CVE-2022-31663 CVE-2022-31659 CVE-2022-31660 CVE-2022-31658 CVE-2022-31662 CVE-2022-31657 CVE-2022-31656

### Autogenerated tags:
vmware
