# WordPress Plugin Exploited to Steal Credit Card Data from E-commerce Sites
## Unknown threat actors target WordPress sites using lesser-known code snippet plugins
## Information:

+ Link: https://thehackernews.com/2024/05/wordpress-plugin-exploited-to-steal.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 28 May 2024, 12:00
+ Date scraped: 28 May 2024, 07:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi38V16zql2ja6zNWjM4W_rywY1frkN1JYEhwv0F26N7hFS6koTLKYkhlYoyMW9OOnZpKAFyB-Adka8gulX-D9Hs2Td9SN_jBc7Ajd8aGfMxb7t7eM6lIYWSBy5iro6rfCvJGp4iSEE87xA-BHuxkKrox7Q4oFl0NJvqql7HolqjOBpzc1TJNXMhM5QAyAy/s728-rw-e365/data.png)


Unknown threat actors are abusing lesser-known code snippet plugins for WordPress to insert malicious PHP code in victim sites that are capable of harvesting credit card data.


The campaign, observed by Sucuri on May 11, 2024, entails the abuse of a WordPress plugin called [Dessky Snippets](https://wordpress.org/plugins/dessky-snippets/), which allows users to add custom PHP code. It has over 200 active installations.


Such attacks are known to leverage known flaws in WordPress plugins or easily guessable credentials to gain administrator access and install other plugins (legitimate or otherwise) for post-exploitation.


Sucuri said the Dessky Snippets plugin is used to insert a server-side PHP credit card skimming malware on compromised sites and steal financial data.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
"This malicious code was saved in the dnsp\_settings option in the WordPress wp\_options table and was designed to modify the checkout process in WooCommerce by manipulating the billing form and injecting its own code," security researcher Ben Martin [said](https://blog.sucuri.net/2024/05/server-side-credit-card-skimmer-lodged-in-obscure-plugin.html).


Specifically, it's designed to add several new fields to the billing form that request credit card details, including names, addresses, credit card numbers, expiry dates, and Card Verification Value (CVV) numbers, which are then exfiltrated to the URL "hxxps://2of[.]cc/wp-content/."


A noteworthy aspect of the campaign is that the billing form associated with the bogus overlay has its autocomplete attribute disabled (i.e., [autocomplete="off"](https://developer.mozilla.org/en-US/docs/Web/Security/Securing_your_site/Turning_off_form_autocompletion)).


"By manually disabling this feature on the fake checkout form it reduces the likelihood that the browser will warn the user that sensitive information is being entered, and ensures that the fields stay blank until manually filled out by the user, reducing suspicion and making the fields appear as regular, necessary inputs for the transaction," Martin said.


This is not the first time threat actors have resorted to using legitimate code snippet plugins for malicious purposes. Last month, the company [revealed](https://blog.sucuri.net/2024/04/javascript-malware-switches-to-server-side-redirects-dns-txt-records-tds.html) the abuse of WPCode code snippet plugin to inject malicious JavaScript code into WordPress sites in order to redirect site visitors to [VexTrio domains](https://thehackernews.com/2024/01/vextrio-uber-of-cybercrime-brokering.html).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
Another malware campaign dubbed [Sign1](https://thehackernews.com/2024/03/massive-sign1-campaign-infects-39000.html) has been found to have infected over 39,000 WordPress sites in the last six months by using malicious JavaScript injections via the Simple Custom CSS and JS plugin to redirect users to scam sites.


WordPress site owners, particularly those offering e-commerce functions, are recommended to keep their sites and plugins up-to-date, use strong passwords to prevent brute-force attacks, and regularly audit the sites for signs of malware or any unauthorized changes.



  





## Tags:
***urls***: https://2of.cc/wp-content/

### Autogenerated tags:
wordpress plugins plugin php malware
