# Zenbleed: New Flaw in AMD Zen 2 Processors Puts Encryption Keys and Passwords at Risk
## A serious security flaw has been found in AMD's Zen 2 processors, putting sensitive data at risk! Discover the details of Zenbleed (CVE-2023-20593).
## Information:

+ Link: https://thehackernews.com/2023/07/zenbleed-new-flaw-in-amd-zen-2.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 25 July 2023, 15:33
+ Date scraped: 25 July 2023, 11:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi0D5TdKAenKTZ-4s-5yPb6BTy0KFUygUuRKhptxw0ZXXB2x4BpZ12_UO0Zn_4WUPCAKIujwUe3TV1tjPB8WDD8eIPa0ehMb8LCSy8O6S3tWv2hZvozAyhK7bfXWqGCvBNks9iuB-GaJwCIKYXQii4Z_LtukipWmoGTJsO8Uc9uyVAOhu5zYW-UqBra4BWM/s728-e3650/bleed.gif)


A new security vulnerability has been discovered in AMD's Zen 2 architecture-based processors that could be exploited to extract sensitive data such as encryption keys and passwords.


Discovered by Google Project Zero researcher Tavis Ormandy, the flaw – codenamed [**Zenbleed**](https://lock.cmpxchg8b.com/zenbleed.html) and tracked as [CVE-2023-20593](https://nvd.nist.gov/vuln/detail/CVE-2023-20593) (CVSS score: 6.5) – allows data exfiltration at the rate of 30 kb per core, per second.


The issue is part of a broader category of weaknesses called [speculative execution attacks](https://thehackernews.com/2022/07/new-study-finds-most-enterprise-vendors.html), in which the optimization technique widely used in modern CPUs is abused to access cryptographic keys from CPU registers.


"Under specific microarchitectural circumstances, a register in 'Zen 2' CPUs may not be written to 0 correctly," AMD [explained](https://www.amd.com/en/resources/product-security/bulletin/amd-sb-7008.html) in an advisory. "This may cause data from another process and/or thread to be stored in the YMM register, which may allow an attacker to potentially access sensitive information."


Web infrastructure company Cloudflare noted that the attack could even be carried out remotely through JavaScript on a website, thereby obviating the need for physical access to the computer or server.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Reserve Your Spot](https://thn.news/I26t1VFD)
"Vectorized operations can be executed with great efficiency using the YMM registers," Cloudflare researchers Derek Chamorro and Ignat Korchagin [said](https://blog.cloudflare.com/zenbleed-vulnerability/). "Applications that process large amounts of data stand to gain significantly from them, but they are increasingly the focus of malicious activity."


"This attack works by manipulating register files to force a mispredicted command. Since the register file is shared by all the processes running on the same physical core, this exploit can be used to eavesdrop on even the most fundamental system operations by monitoring the data being transferred between the CPU and the rest of the computer," they added.


While there is no evidence of the bug being exploited in the wild, it's essential that the [microcode updates](https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=0bc3126c9cfa0b8c761483215c25382f831a7c6f) are applied to mitigate potential risk as and when they become available through original equipment manufacturers (OEMs).



  





## Tags:
***CVE's***: CVE-2023-20593

### Autogenerated tags:

