# Zero-Day Alert: Google Issues Patch for New Chrome Vulnerability - Update Now!
## Google has released a security update to fix a new high-severity zero-day vulnerability in Chrome browser that is being actively exploited by hackers
## Information:

+ Link: https://thehackernews.com/2023/06/zero-day-alert-google-issues-patch-for.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 June 2023, 15:51
+ Date scraped: 06 June 2023, 11:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjuCGJIQLVLHSfZRTWH3PX_QldNrL9KQJCL8cO4lpIxmeP1MWqZTqZdWD7d4-CNzeArEr1pIzrcGpVxCuFfxywjE_mfKCLofw5DUKFgC3lujqBR2ekct_-MWtfznZrm20bgOn5nC5jwxWjR3V2Bh8G1qVce-vI29vnBj5VfxAd69W10NpSToSrzIV8K/s728-e3650/chrome-update.jpg)


Google on Monday released security updates to patch a high-severity flaw in its Chrome web browser that it said is being actively exploited in the wild.


Tracked as **CVE-2023-3079**, the vulnerability has been described as a type confusion bug in the V8 JavaScript engine. Clement Lecigne of Google's Threat Analysis Group (TAG) has been credited with reporting the issue on June 1, 2023.


"Type confusion in V8 in Google Chrome prior to 114.0.5735.110 allowed a remote attacker to potentially exploit heap corruption via a crafted HTML page," [according](https://nvd.nist.gov/vuln/detail/CVE-2023-3079) to the NIST's National Vulnerability Database (NVD).


The tech giant, as is typically the case, did not disclose details of the nature of the attacks, but [noted](https://chromereleases.googleblog.com/2023/06/stable-channel-update-for-desktop.html) it's "aware that an exploit for CVE-2023-3079 exists in the wild."


With the latest development, Google has addressed a total of three actively exploited zero-days in Chrome since the start of the year -


* [**CVE-2023-2033**](https://thehackernews.com/2023/04/google-releases-urgent-chrome-update-to.html) (CVSS score: 8.8) - Type Confusion in V8
* [**CVE-2023-2136**](https://thehackernews.com/2023/04/google-chrome-hit-by-second-zero-day.html) (CVSS score: 9.6) - Integer overflow in Skia


Users are recommended to upgrade to version 114.0.5735.110 for Windows and 114.0.5735.106 for macOS and Linux to mitigate potential threats. Users of Chromium-based browsers such as Microsoft Edge, Brave, Opera, and Vivaldi are also advised to apply the fixes as and when they become available.



  





## Tags:
***CVE's***: CVE-2023-2033 CVE-2023-2136 CVE-2023-3079

### Autogenerated tags:
google v8
