# Zero-Day Alert: Update Chrome Now to Fix New Actively Exploited Vulnerability
## Chrome Zero-Day Alert! Update NOW to patch a critical flaw exploited by hackers. This memory leak bug lets attackers steal your secrets.
## Information:

+ Link: https://thehackernews.com/2024/01/zero-day-alert-update-chrome-now-to-fix.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 17 January 2024, 07:50
+ Date scraped: 17 January 2024, 03:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjwn1FAAK_8xGkSlHJhK7BHDotaQAXejK01nHL7x726OMiuyRpt0QBSe3BZ7Zyv76o1GFMPqNIkh66V1FS7HGuzJnmW01kGxQDnWwB2OFnfj3N8F6LBqWepZXSwpD3Kl4mZugYWju9XQv8ANjMwOaQWzLl4c7-uC8SzNh4VKJZyR25FzyCU1KxAmcjc0yS3/s728-rw-ft-e30/chrome-0day.jpg)


Google on Tuesday released updates to fix four security issues in its Chrome browser, including an actively exploited zero-day flaw.


The issue, tracked as [**CVE-2024-0519**](https://chromereleases.googleblog.com/2024/01/stable-channel-update-for-desktop_16.html), concerns an out-of-bounds memory access in the V8 JavaScript and WebAssembly engine, which can be weaponized by threat actors to trigger a crash.


"By reading out-of-bounds memory, an attacker might be able to get secret values, such as memory addresses, which can be bypass protection mechanisms such as ASLR in order to improve the reliability and likelihood of exploiting a separate weakness to achieve code execution instead of just denial of service," according to MITRE's Common Weakness Enumeration ([CWE](https://cwe.mitre.org/data/definitions/125.html)).


Additional details about the nature of the attacks and the threat actors that may be exploiting them have withheld in an attempt to prevent further exploitation. The issue was reported anonymously on January 11, 2024.


"Out-of-bounds memory access in V8 in Google Chrome prior to 120.0.6099.224 allowed a remote attacker to potentially exploit heap corruption via a crafted HTML page," reads a [description of the flaw](https://nvd.nist.gov/vuln/detail/CVE-2024-0519) on the NIST's National Vulnerability Database (NVD).


The development marks the first actively exploited zero-day to be patched by Google in Chrome in 2024. Last year, the tech giant resolved a total of [8 such actively exploited zero-days](https://thehackernews.com/2023/12/urgent-new-chrome-zero-day.html) in the browser.


Users are recommended to upgrade to Chrome version 120.0.6099.224/225 for Windows, 120.0.6099.234 for macOS, and 120.0.6099.224 for Linux to mitigate potential threats.


Users of Chromium-based browsers such as Microsoft Edge, Brave, Opera, and Vivaldi are also advised to apply the fixes as and when they become available.

 
  





## Tags:
***CVE's***: CVE-2024-0519

### Autogenerated tags:
google out-of-bounds
