# iLeakage: New Safari Exploit Impacts Apple iPhones and Macs with A and M-Series CPUs
## A group of academics exposes the "iLeakage" side-channel attack targeting iOS, iPadOS, and macOS devices running on A and M-series CPUs.
## Information:

+ Link: https://thehackernews.com/2023/10/ileakage-new-safari-exploit-impacts.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 26 October 2023, 22:19
+ Date scraped: 26 October 2023, 17:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEik30FWeuUjFuGgziLoS_fp2LucefCi3XXRGBOg_aD784LjFci-BzRKk9QbpCIpa9v3f3JrLJX3nMB6MJ93ddv6lbogBv8Q5mJaSkOxyJQ4j9USRspvE_FuNJG7d2ORm18ATsJnZikBATs4GC5qKVHjsUi02MPbPy865Iq1BMGEScuEwJL2_4293amB4Z9S/s728-rw-ft-e30/safari.jpg)


A group of academics has devised a novel side-channel attack dubbed **iLeakage** that exploits a weakness in the A- and M-series CPUs running on Apple iOS, iPadOS, and macOS devices, enabling the extraction of sensitive information from the Safari web browser.


"An attacker can induce Safari to render an arbitrary webpage, subsequently recovering sensitive information present within it using speculative execution," researchers Jason Kim, Stephan van Schaik, Daniel Genkin, and Yuval Yarom [said](https://ileakage.com/) in a new study.


In a practical attack scenario, the weakness could be exploited using a malicious web page to recover Gmail inbox content and even recover passwords that are autofilled by credential managers.


iLeakage, besides being the first case of a [Spectre-style](https://thehackernews.com/2018/01/meltdown-spectre-vulnerability.html) [speculative execution](https://thehackernews.com/2022/03/new-exploit-bypasses-existing-spectre.html) [attack](https://thehackernews.com/2022/07/new-retbleed-speculative-execution.html) against Apple Silicon CPUs, also works against all third-party web browsers available for iOS and iPadOS owing to Apple's App Store policy that mandates browser vendors to use Safari's WebKit engine.


Apple was notified of the findings on September 12, 2022. The shortcoming impacts all Apple devices released from 2020 that are powered by Apple's A-series and M-series ARM processors.


The crux of the problem is rooted in the fact that malicious JavaScript and WebAssembly embedded in a web page in one browser tab can surreptitiously read the content of a target website when a victim visits the attacker-controlled web page.


This is accomplished by means of a microarchitectural [side-channel](https://en.wikipedia.org/wiki/Side-channel_attack) that can be weaponized by a malicious actor to infer sensitive information through other variables like timing, power consumption, or electromagnetic emanations.


The side channel that forms the basis of the latest attack is a performance optimization mechanism in modern CPUs called speculative execution, which has been the target of several such similar methods since Spectre came to light in 2018.



While speculative execution is designed as a way to yield a performance advantage by using spare processing cycles to execute program instructions in an out-of-order fashion when encountering a conditional branch instruction whose direction depends on preceding instructions whose execution is not completed yet.


The cornerstone of this technique is to make a prediction as to the path that the program will follow, and speculatively execute instructions along the path. When the prediction turns out to be correct, the task is completed quicker than it would have taken otherwise.


But when a misprediction occurs, the results of the speculative execution are abandoned and the processor resumes along the correct path. That said, these erroneous predictions leave behind certain traces in the cache.



Attacks like Spectre [involve](https://ieeexplore.ieee.org/document/8835233) inducing a CPU to speculatively perform operations that would not occur during correct program execution and which leak the victim's confidential information via the side channel.


In other words, by coercing CPUs into mispredicting sensitive instructions, the idea is to enable an attacker (through a rogue program) to access data associated with a different program (i.e., victim), effectively breaking down isolation protections.


iLeakage not only bypasses hardening measures incorporated by Apple, but also implements a timer-less and architecture-agnostic method that leverages race conditions to distinguish individual cache hits from cache misses when two processes -- each associated with the attacker and the target -- run on the same CPU.


This gadget then forms the basis of a covert channel that ultimately achieves an out-of-bounds read anywhere in the address space of Safari's rendering process, resulting in information leakage.


While chances of this vulnerability being used in practical real-world attacks are unlikely owing to the technical expertise required to pull it off, the research underscores the continued threats posed by hardware vulnerabilities even after all these years.


News of iLeakage comes months after cybersecurity researchers revealed details of a [trifecta of side-channel attacks](https://thehackernews.com/2023/08/collidepower-downfall-and-inception-new.html) – Collide+Power (CVE-2023-20583), Downfall (CVE-2022-40982), and Inception (CVE-2023-20569) – that could be exploited to leak sensitive data from modern CPUs.


It also follows the discovery of [RowPress](https://arxiv.org/abs/2306.17061), a variant of the [RowHammer attack](https://thehackernews.com/2021/05/google-researchers-discover-new-variant.html) on DRAM chips and an improvement over [BlackSmith](https://thehackernews.com/2021/11/new-blacksmith-exploit-bypasses-current.html) that can be used to [cause bitflips](https://www.kaspersky.co.in/blog/rowpress-method/25912/) in adjacent rows, leading to data corruption or theft.


  





## Tags:
***CVE's***: CVE-2022-40982 CVE-2023-20569 CVE-2023-20583

### Autogenerated tags:
ileakage side-channel
