# libcue Library Flaw Opens GNOME Linux Systems Vulnerable to RCE Attacks
## Heads up, Linux users! A new critical vulnerability in the libcue library exposes GNOME Linux systems to remote code execution (RCE) attacks.
## Information:

+ Link: https://thehackernews.com/2023/10/libcue-library-flaw-opens-gnome-linux.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 10 October 2023, 12:20
+ Date scraped: 10 October 2023, 07:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhai7zTFSnBMed6gUgtFYCllrTDtXybFlS3QYLRqgO9EUgumewEFm1ljQ1uwpd5pmW-Z1kremF9pas3gGi0jKTRKfe3yyBlkL1xWRbr2Ab-Bacb3MMQ-howyLprPUXAJcl9auPVOBnmzHDBAoQrZEVAo0Wb2jUBGe_bTXuzL1qjy2CT5l-In16Y_dhMWwtb/s728-rw-ft-e30/linux.jpg)


A new security flaw has been disclosed in the libcue library impacting GNOME Linux systems that could be exploited to achieve remote code execution (RCE) on affected hosts.


Tracked as **CVE-2023-43641** (CVSS score: 8.8), the [issue](https://github.com/lipnitsk/libcue/security/advisories/GHSA-5982-x7hv-r9cj) is described as a case of memory corruption in libcue, a library designed for parsing [cue sheet files](https://en.wikipedia.org/wiki/Cue_sheet_%28computing%29). It impacts versions 2.2.1 and prior.


libcue is incorporated into **Tracker Miners**, a search engine tool that's included by default in GNOME and indexes files in the system for easy access.


The problem is rooted in an out-of-bounds array access in the track\_set\_index function that allows for achieving code execution on the machine simply by tricking a victim into clicking a malicious link and downloading a .cue file.


"A user of the GNOME desktop environment can be exploited by downloading a cue sheet from a malicious webpage," according to a [description](https://nvd.nist.gov/vuln/detail/CVE-2023-43641) of the vulnerability in the National Vulnerability Database (NVD).


"Because the file is saved to '~/Downloads,' it is then automatically scanned by tracker-miners. And because it has a .cue filename extension, tracker-miners use libcue to parse the file. The file exploits the vulnerability in libcue to gain code execution."


Additional technical information about the vulnerability has been withheld to give users enough time to install the latest updates.


"Sometimes a vulnerability in a seemingly innocuous library can have a large impact," GitHub security researcher Kevin Backhouse, who found the bug, [said](https://github.blog/2023-10-09-coordinated-disclosure-1-click-rce-on-gnome-cve-2023-43641/). "Due to the way that it's used by tracker-miners, this vulnerability in libcue became a one-click RCE."


The disclosure arrives two weeks after GitHub released comprehensive details about [CVE-2023-3420](https://nvd.nist.gov/vuln/detail/CVE-2023-3420), a high-severity [type confusion vulnerability](https://chromereleases.googleblog.com/2023/06/stable-channel-update-for-desktop_26.html) in the Google Chrome V8 JavaScript engine that enables remote code execution (RCE) in the renderer sandbox of Chrome by visiting a malicious site.


"Vulnerabilities like this are often the starting point for a 'one-click' exploit, which compromise the victim's device when they visit a malicious website," security researcher Man Yue Mo [said](https://github.blog/2023-09-26-getting-rce-in-chrome-with-incorrect-side-effect-in-the-jit-compiler/). "A renderer RCE in Chrome allows an attacker to compromise and execute arbitrary code in the Chrome renderer process."



  





## Tags:
***CVE's***: CVE-2023-3420 CVE-2023-43641

### Autogenerated tags:
libcue rce tracker-miners
