# Chinese hackers target European embassies with HTML smuggling technique
## The espionage effort, labeled SmugX by cybersecurity researchers at Check Point, has similarities to previous campaigns linked to China. HTML smuggling helped the malware avoid detection.
## Information:

+ Link: https://therecord.media/html-smuggling-china-espionage-europe
+ Source: The Record
+ Author: Alexander Martin
+ Date published: 03 July 2023, 00:00
+ Date scraped: 03 July 2023, 18:00

## Article:
![Main article image](https://cms.therecord.media/uploads/eunight2_pv_big_6e8c13a25c.jpg)

Chinese cyber spies have been targeting the foreign affairs ministries and embassies of European states in recent months, according to new research.


The espionage campaign “represents a larger trend within the Chinese ecosystem, pointing to a shift to targeting European entities, with a focus on their foreign policy,” [researchers from Check Point](https://research.checkpoint.com/2023/chinese-threat-actors-targeting-europe-in-smugx-campaign/) said Monday.


The hackers were spotted using a new delivery method to deploy the modular PlugX malware implant, effectively smuggling it inside HTML documents, something which Check Point warned had “until recently helped the campaign fly under the radar.”


Samples of lures posted to the VirusTotal malware repository had filenames that “strongly suggest that the intended victims were diplomats and government entities,” according to Check Point, while the lure material itself “contained diplomatic-related content,” which “in more than one case … was directly related to China.”


![check-point-smugx.png](https://cms.therecord.media/uploads/check_point_smugx_8362408b38.png)
*Image: Check Point*


These lures included a letter allegedly originating from the Serbian Embassy in Budapest, a document stating the priorities of the Swedish presidency of the Council of the European Union, and an article about two Chinese human rights lawyers sentenced to more than a decade in prison.


[HTML smuggling](https://attack.mitre.org/techniques/T1027/006/) is a hacking technique that has been used in various forms for years, exploiting HTML features to conceal data and files from automated content filters by including them as JavaScript blobs that get reassembled on the target’s machine.


The PlugX malware itself remained a recognizable variant of the tool, which has previously been used by multiple suspected Chinese threat groups, including to target [the Vatican](https://therecord.media/chinese-state-backed-hackers-target-the-vatican-again) in 2020, an [Indonesian intelligence service](https://therecord.media/indonesian-intelligence-agency-compromised-in-suspected-chinese-hack) in 2021 and [Ukraine](https://therecord.media/mustang-panda-hacking-group-exploiting-ukraine-invasion-covid-19-to-spread-malware) in 2022.


PlugX has also been discovered [on USB drives](https://therecord.media/hackers-using-USB-sticks) being used to target people in Mongolia, Papua New Guinea, Ghana, Zimbabwe, and Nigeria.


Palo Alto Networks released [a lengthy report](https://unit42.paloaltonetworks.com/thor-plugx-variant/) on the malware in 2021.


Check Point said it was tracking the campaign as SmugX and said it “overlaps with previously reported activity by Chinese APT actors [RedDelta](https://go.recordedfuture.com/hubfs/reports/cta-2022-1223.pdf?__hstc=156209188.7a60f76b05b23311f3081d0fd500b5a2.1688407246415.1688407246415.1688407246415.1&__hssc=156209188.1.1688407246415&__hsfp=3607814117) and [Mustang Panda](https://blogs.blackberry.com/en/2022/12/mustang-panda-uses-the-russian-ukrainian-war-to-attack-europe-and-asia-pacific-targets).”


“While none of the techniques observed in this campaign is new or unique, the combination of the different tactics, and the variety of infection chains resulting in low detection rates, enabled the threat actors to stay under the radar for quite a while,” warned Check Point.




## Tags:


### Autogenerated tags:
malware plugx html
