# Update Now: Google Fixes Chrome Zero-Day Under Attack
## The year's 1st Chrome zero-day can lead to all sorts of misery, ranging from data corruption to the execution of arbitrary code on vulnerable systems.
## Information:

+ Link: https://kasperskycontenthub.com/threatpost-global/?p=178428
+ Source: ThreatPost
+ Author: Lisa Vaas
+ Date published: 15 February 2022, 18:33
+ Date scraped: 15 February 2022, 19:00

## Article:
![Main article image](https://media.threatpost.com/wp-content/uploads/sites/103/2020/11/03120131/Google-Chrome-Browser.jpg)


Google on Monday issued 11 security fixes for its Chrome browser, including a high-severity zero-day bug that’s actively being jumped on by attackers in the wild.


In a brief update, Google [described](https://chromereleases.googleblog.com/2022/02/stable-channel-update-for-desktop_14.html) the weakness, tracked as [CVE-2022-0609](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-0609), as a [use-after-free](https://cwe.mitre.org/data/definitions/416.html) vulnerability in Chrome’s Animation component. This kind of flaw can lead to all sorts of misery, ranging from the corruption of valid data to the execution of arbitrary code on vulnerable systems. Such flaws can also be used to escape the browser’s security sandbox.


“Google is aware of reports that an exploit for CVE-2022-0609 exists in the wild,” according to its security update.


[![Infosec Insiders Newsletter](https://media.threatpost.com/wp-content/uploads/sites/103/2021/07/10165815/infosec_insiders_in_article_promo.png)](https://threatpost.com/infosec-insider-subscription-page/?utm_source=ART&utm_medium=ART&utm_campaign=InfosecInsiders_Newsletter_Promo/)  

To fix the Animation problem, along with 10 other security issues, Google released Chrome 98.0.4758.102 for Windows, Mac, and Linux, due to roll out over coming days or weeks.


Chrome users can fix it straight away, though, by going into the Chrome menu > Help > About Google Chrome.


Given that the zero day is under active attack, updating Chrome should be done ASAP.


[![](https://media.threatpost.com/wp-content/uploads/sites/103/2022/02/15125804/Chrome-zero-day-e1644947947750.png)](https://media.threatpost.com/wp-content/uploads/sites/103/2022/02/15125804/Chrome-zero-day-e1644947947750.png)Chrome security updates. Source: Google.


Credit for the Animation zero day goes to Adam Weidemann and Clément Lecigne, both from Google’s Threat Analysis Group (TAG).


Monday’s update also plastered over four other high-severity use-after-free flaws found in Chrome’s Webstore API, File Manager, [ANGLE](https://en.wikipedia.org/wiki/ANGLE_(software)) and GPU. As well, the company addressed a high-severity integer overflow in [Mojo](https://chromium.googlesource.com/chromium/src/+/main/docs/mojo_and_services.md), plus a high-severity h​eap buffer overflow in Tab Groups. Finally, Google patched a medium-severity issue with inappropriate implementation in Gamepad API.


And So It Begins
----------------


This is Chrome’s first zero day of the year, and more are sure to follow. But at least we’ve made it into the new-ish year 10 more days than we managed in 2021, when the first bug to hit arrived on Feb. 4.


Last year delivered a total of these 16 Chrome zero days:


* [CVE-2021-21148](https://threatpost.com/google-chrome-zero-day-windows-mac/163688/) – Feb. 4, a vulnerability in its V8 open-source web engine.
* [CVE-2021-21166](https://threatpost.com/google-patches-actively-exploited-flaw-in-chrome-browser/164468/) – March 2, a flaw in the Audio component of Google Chrome.
* [CVE-2021-21193](https://threatpost.com/google-mac-windows-chrome-zero-day/164759/) – March 12, a use-after-free flaw in Blink, [the browser engine for Chrome](https://threatpost.com/google-high-severity-blink-browser-engine-flaw/147770/) that was developed as part of the Chromium project.
* [CVE-2021-21220](https://threatpost.com/chrome-zero-day-exploit-twitter/165363/) – April 13, a remote-code execution issue.
* [CVE-2021-21224](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-21224) – April 20, an issue with type confusion in V8 in Google Chrome that could have allowed a remote attacker to execute arbitrary code inside a sandbox via a crafted HTML page.
* [CVE-2021-30551](https://threatpost.com/chrome-browser-bug-under-attack/166804/) –- June 9, a type confusion bug within Google’s V8 open-source JavaScript and WebAssembly engine.
* [CVE-2021-30554](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30554) – June 17, a use-after-free bug.
* [CVE-2021-30563](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30563) – July 15, type confusion in V8.
* [CVE-2021-30632 and CVE-2021-30633](https://threatpost.com/google-chrome-zero-day-exploited/169442/) – Sept. 13, an out-of-bounds write in V8 and a use-after-free bug in the IndexedDB API, respectively.
* [CVE-2021-37973](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-37973) – Sept. 24, a use-after-free flaw in Portals.
* [CVE-2021-37976 and CVE-2021-37975](https://threatpost.com/google-emergency-update-chrome-zero-days/175266/) – Sept. 30, an information leak in core and a use-after-free bug in V8, respectively.
* [CVE-2021-38000](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-38000) and [CVE-2021-38003](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-38003) – Oct. 28, an issue with Insufficient validation of untrusted input in Intents in Google Chrome on Android, and an inappropriate implementation in V8 respectively.
* [CVE-2021-4102](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-4102) – Dec. 13, a use after free in V8.


***Join Threatpost on Wed. Feb 23 at 2 PM ET for a [LIVE roundtable discussion](https://threatpost.com/webinars/protect-sensitive-cloud-data/?utm_source=Website&utm_medium=Article&utm_id=Keeper+Webinar) “The Secret to Keeping Secrets,” sponsored by Keeper Security, focused on how to locate and lock down your organization’s most sensitive data. Zane Bond with Keeper Security will join Threatpost’s Becky Bracken to offer concrete steps to protect your organization’s critical information in the cloud, in transit and in storage. [REGISTER NOW](https://threatpost.com/webinars/protect-sensitive-cloud-data/?utm_source=Website&utm_medium=Article&utm_id=Keeper+Webinar) and please Tweet us your questions ahead of time @Threatpost so they can be included in the discussion.***





## Tags:
***CVE's***: CVE-2021-21224 CVE-2021-4102 CVE-2021-30633 CVE-2021-30632 CVE-2021-38000 CVE-2021-21193 CVE-2021-30554 CVE-2021-30551 CVE-2021-21220 CVE-2021-37975 CVE-2021-37976 CVE-2021-21166 CVE-2021-37973 CVE-2021-21148 CVE-2021-38003 CVE-2021-30563 CVE-2022-0609

### Autogenerated tags:
google v8 use-after-free high-severity api feb
