# Blockchain warning: Hackers are targeting developers and DevOps teams | ZDNet
## The US government reveals new tools and tactics used by North Korean hackers in recent cryptocurrency hacks.
## Information:

+ Link: https://www.zdnet.com/article/blockchain-warning-hackers-are-targeting-developers-and-devops-teams/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 19 April 2022, 09:52
+ Date scraped: 19 April 2022, 12:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/36eacd57be8cf45d5617f398302d88af4e47917b/2021/12/06/65e99cdf-bb9a-43e6-b9f2-7bbcfab2c195/hacker-hands-typing-on-a-keyboard.jpg?width=770&height=578&fit=crop&auto=webp)


The US government has detailed how North Korean state-sponsored attackers have been hacking cryptocurrency firms using phishing, malware and exploits to steal funds and initiate fraudulent blockchain transactions. 

The Federal Bureau of Investigation (FBI), the Cybersecurity and Infrastructure Security Agency (CISA), and the U.S. Treasury Department (Treasury) have issued a joint cybersecurity advisory to warn all businesses in cryptocurrency to watch out for attacks from North Korean state-sponsored hackers. 


Last week, the [US Treasury Department linked](https://www.zdnet.com/article/us-treasury-links-north-korean-hacker-group-lazarus-to-600m-axie-infinity-heist/) the massive [$600 million heist from the Ronin blockchain network](https://www.zdnet.com/article/ethereum-sidechain-ronin-that-powers-play-to-earn-game-is-fleeced-for-over-600m/) to Lazarus hackers. 

**SEE:** [**Windows 11 security: How to protect your home and small business PCs**](https://www.zdnet.com/article/windows-11-security-guide/#link=%7B%22linkText%22:%22Windows%2011%20security:%20How%20to%20protect%20your%20home%20and%20small%20business%20PCs%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/article/windows-11-security-guide/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D)

The new joint alert mostly concerns the work of Lazarus Group, also known as APT38, and follows multiple alerts since 2020 about the group's crypto-stealing malware. 

"As of April 2022, North Korea's Lazarus Group actors have targeted various firms, entities, and exchanges in the blockchain and cryptocurrency industry using spearphishing campaigns and malware to steal cryptocurrency," [the alert from the FBI's Internet Crime Center (IC3) states](https://www.ic3.gov/Media/News/2022/220418.pdf). 

"These actors will likely continue exploiting vulnerabilities of cryptocurrency technology firms, gaming companies, and exchanges to generate and launder funds to support the North Korean regime."

The alert flags that Lazarus attacks often begin with spear-phising messages targeting employees of cryptocurrency firms, often those working in system administration or software development/IT operations or DevOps roles. 

"The messages often mimic a recruitment effort and offer high-paying jobs to entice the recipients to download malware-laced cryptocurrency applications," the agencies said, with the aim of tricking the target into downloading 'TraderTraitor', the FBI's name for a malware-laced version of several cryptocurrency applications.  

**SEE:** [**Clueless hackers spent months inside a network and nobody noticed. But then a ransomware gang turned up**](https://www.zdnet.com/article/clueless-hackers-spent-months-inside-a-network-and-nobody-noticed-then-a-ransomware-gang-took-over/#link=%7B%22role%22:%22standard%22,%22href%22:%22https://www.zdnet.com/article/clueless-hackers-spent-months-inside-a-network-and-nobody-noticed-then-a-ransomware-gang-took-over/%22,%22target%22:%22_blank%22,%22absolute%22:%22%22,%22linkText%22:%22Clueless%20hackers%20spent%20months%20inside%20a%20network%20and%20nobody%20noticed.%20But%20then%20a%20ransomware%20gang%20turned%20up%22%7D)

TraderTraitor is a set of malicious applications written in JavaScript, with a Node.js runtime also using Electron, to create apps that work across Windows and macOS. The attackers use a variety of open-source crypto-trading and price-prediction projects to package their malware. It runs a bogus "update" process that downloads and executes a malicious payload. 

"Observed payloads include updated macOS and Windows variants of Manuscrypt, a custom remote access trojan (RAT), that collects system information and has the ability to execute arbitrary commands and download additional payloads," IC3 notes. 

"Post-compromise activity is tailored specifically to the victim's environment and at times has been completed within a week of the initial intrusion."

The IC3 alert lists several new cryptocurrency-related Electron applications containing binaries signed with now-revoked Apple Developer Team certificates. Hackers from North Korea stole around $400 million worth of cryptocurrency in 2021 through at least seven attacks, [according to blockchain analysis firm, Cainalysis](https://www.zdnet.com/article/north-korean-hackers-stole-a-record-breaking-amount-of-cryptocurrency-last-year/). 





## Tags:


### Autogenerated tags:
malware blockchain windows ic3
