# For security alone, we could try paying open source projects properly | ZDNet
## Instead of running around like headless chooks because a widely used piece of open source software is maintained by volunteers and has a massive hole in it, imagine paying someone to look after such software properly.
## Information:

+ Link: https://www.zdnet.com/article/for-security-alone-we-could-try-paying-open-source-projects-properly/
+ Source: ZDNet
+ Author: Chris Duckett
+ Date published: 16 January 2022, 21:00
+ Date scraped: 17 January 2022, 03:07

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/1e045a0082791f03dbde28c1e9ea3b048ab98ad6/2022/01/14/048e6c79-393d-46b6-b50f-9bce0aafe6c3/log4j-gettyimages.jpg?width=770&height=578&fit=crop&auto=webp)


![log4j-gettyimages.jpg](https://www.zdnet.com/a/img/resize/f290c4ed2d8440028092bc5d367ea64f8c3eb589/2022/01/14/048e6c79-393d-46b6-b50f-9bce0aafe6c3/log4j-gettyimages.jpg?fit=bounds&auto=webp)
 Image: Getty Images
 It's been an interesting couple of weeks at the intersection of Open Source Avenue and Cybersecurity Way, first with the [situation around Log4j](https://www.zdnet.com/article/security-warning-new-zero-day-in-the-log4j-java-library-is-already-being-exploited/), and then this week a JavaScript developer [had enough](https://www.zdnet.com/article/when-open-source-developers-go-bad/) and went rouge. 


Excuse me while I clutch this set of pearls very tightly as the term [open source vulnerability](https://www.zdnet.com/article/after-log4j-white-house-worries-about-the-next-big-open-source-flaw/) is used, because where it seems governments think there is a pressing cyber issue, it is more often one of finances. 

Particularly as a one person project, creating under an open source licence is great for when starting out, and it is barely noticed and your users and fellow developers can help make the software better. But when multinationals and governments freeload from it, I have some sympathy for a developer that decides [supporting Fortune 500 companies for free](https://www.zdnet.com/article/when-open-source-developers-go-bad/) is a bridge too far. 

While the methodology of injecting an infinite loop and zalgo text might have been cooked, what decent size organisation was pulling down and executing code without either inspecting it, or running it in a test environment first? It sucks that a number of Node.js apps fell over, but thankfully it wasn't doing [anything malicious](https://www.zdnet.com/article/malicious-npm-packages-caught-installing-remote-access-trojans/). 

Affected organisations should be considering this as a free cyber and software supply chain checkup, rather than yelling even more at a developer that is done with being yelled at. 

There's a reason [XKCD 2347](https://xkcd.com/2347/) has received a bigger workout than usual in recent months, and it is because it exposes the truth of the matter. 

"I worked for the Linux Foundation on the Core Infrastructure Initiative supporting OpenSSL and other projects," says one comment on the [relevant Explain XKCD site](https://www.explainxkcd.com/wiki/index.php/2347:_Dependency). 






"The one that scared me was Expat the XML parser maintained by two people on alternate Sunday afternoons assuming no other distractions. We did get funding for a test suite." 

I have little reason to doubt this comment, because this is how the stacks that power the modern internet actually work. Deep in each stack is a weekend dependency. 

While the tech giants rake in billions each quarter, somewhere there is a well-used library that doesn't receive a penny from these titans of industry. It's not illegal, but it is a bit rich on the companies' part to take advantage of free labour like this. 

At this juncture, I thought an analogy about a car manufacturer using volunteer labour to make car parts would be apt, but then realised that with all those car entertainment systems, there's got to be some open source libraries or applications in there somewhere. Such is the world of the 2020s. 

Last week, the debate reached the point where it was labelled as a "national security concern" in the US, and Google and IBM wanted a list of critical open source projects. While both companies have been among the best corporate supporters and funders of open source, that list really should be put straight into their respective accounting systems and sufficient payments made each month. 

Unfortunately, the times at the intersection of Open Source Avenue and Cybersecurity Way have a sense of repetition. 

It was almost eight years ago during the Heartbleed flaw that OpenSSL said it was time for [major users to stump up and help fund projects](https://www.zdnet.com/article/openssl-needs-corporate-funding-to-avoid-heartbleed-repeat/). 

At the time, OpenSSL had one full-time employee, and an outpouring of donations in the week afterwards had netted a mere $9,000. 

"It takes nerves of steel to work for many years on hundreds of thousands of lines of very complex code, with every line of code you touch visible to the world, knowing that code is used by banks, firewalls, weapons systems, web sites, smartphones, industry, government, everywhere. Knowing that you'll be ignored and unappreciated until something goes wrong," OpenSSL Software Foundation president Steve Marquess said. 

"The combination of the personality to handle that kind of pressure with the relevant technical skills and experience to effectively work on such software is a rare commodity, and those who have it are likely to already be a valued, well-rewarded, and jealously guarded resource of some company or worthy cause." 

OpenSSL would eventually get some funding from the [Core Infrastructure Initiative](https://www.zdnet.com/article/core-infrastructure-initiative-just-first-step-in-open-source-funding/), which would be superseded by the Open Source Security Foundation, but I doubt either of those two organisations would have considered a node.js module or a Java logging framework as critical infrastructure worthy of funding and auditing. 

Funding needs to be go beyond just the term "critical" and move more towards "widely-used but underfunded", because with the right vulnerability, suddenly any previously innocuous piece of software can become critical. 

###  ZDNET'S MONDAY MORNING OPENER

*The Monday Morning Opener is our opening salvo for the week in tech. Since we run a global site, this editorial publishes on Monday at 8:00am AEST in Sydney, Australia, which is 6:00pm Eastern Time on Sunday in the US. A member writes it of ZDNet's global editorial board, which is comprised of our lead editors across Asia, Australia, Europe, and North America.* 

###  PREVIOUSLY ON MONDAY MORNING OPENER :

* [New year, new job: The tech resignations are coming, so get ready](https://www.zdnet.com/article/new-year-new-job-the-tech-resignations-are-coming-so-get-ready/)
* [Not a token further: Could backlashes spur ways to bring crypto-cowboys to heel?](https://www.zdnet.com/article/not-a-token-further-could-backlashes-spur-ways-to-bring-crypto-cowboys-to-heel/)
* [Remote working jobs: 5 problems we need to solve in 2022](https://www.zdnet.com/article/remote-working-jobs-5-problems-we-need-to-solve-in-2022/)
* [Volcano-powered Bitcoin City could be Bond villainy or the state of play in 2021](https://www.zdnet.com/article/volcano-powered-bitcoin-city-could-be-bond-villainy-or-the-state-of-play-in-2021/)
* [Conglomerates are dead, but tech giants are conglomerates in training](https://www.zdnet.com/article/conglomerates-are-dead-but-tech-giants-are-conglomerates-in-training/)
* [The UK's red telephone boxes are disappearing. But some are getting a second life](https://www.zdnet.com/article/the-street-finds-its-own-uses-for-things-even-the-uks-classic-red-telephone-boxes/)
* [When the metaverse comes, there are few good options on who will control it](https://www.zdnet.com/article/when-the-metaverse-comes-there-are-few-good-options-on-who-will-control-it/)
* [Why your next laptop is going to be 16-inches](https://www.zdnet.com/article/why-your-next-laptop-is-going-to-be-16-inches/)
* [Physical webcam covers not included on big spend for a new MacBook Pro or Dell XPS](https://www.zdnet.com/article/physical-webcam-covers-not-included-on-big-spend-for-a-new-macbook-pro-or-dell-xps/)
* [Developer skills have changed. But most companies haven't noticed yet](https://www.zdnet.com/article/developer-skills-have-changed-but-most-companies-havent-noticed-yet/)
* [Asynchronous videos: Can the TikTok generation save us from meeting overload?](https://www.zdnet.com/article/asynchronous-videos-can-the-tiktok-generation-save-us-from-meeting-overload/)
* [Hunker down: The chip shortage and higher prices are set to linger for a while](https://www.zdnet.com/article/hunker-down-the-chip-shortage-and-higher-prices-are-set-to-linger-for-a-while/)
* [Remote working jobs row shows how much tech has changed](https://www.zdnet.com/article/remote-working-jobs-row-shows-how-much-tech-has-changed/)





## Tags:


### Autogenerated tags:
openssl
