# Log4j RCE activity began on December 1 as botnets start using vulnerability | ZDNet
## Cloudflare said the earliest activity for the vulnerability known as Log4Shell was from December 1.
## Information:

+ Link: https://www.zdnet.com/article/log4j-rce-activity-began-on-december-1-as-botnets-start-using-vulnerability/
+ Source: ZDNet
+ Author: Chris Duckett
+ Date published: 13 December 2021, 04:40
+ Date scraped: 13 December 2021, 06:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/25fc0733da3f929e1223ed846900af73d939be09/2020/06/18/8795205e-246b-4241-859f-13d4bdf3f225/istock-12457481571.jpg?width=770&height=578&fit=crop&auto=webp)

## Article:
![Article Image](https://www.zdnet.com/a/img/resize/25fc0733da3f929e1223ed846900af73d939be09/2020/06/18/8795205e-246b-4241-859f-13d4bdf3f225/istock-12457481571.jpg?width=770&height=578&fit=crop&auto=webp)

![log4shell-logo.png](https://www.zdnet.com/a/img/resize/bf50306ac8a5c240da7697fbe4fa2b097fd5d523/2021/12/13/e16a1f2e-27d2-44c6-a3b9-412ac6d8f165/log4shell-logo.png?fit=bounds&auto=webp)
 Image: Kevin Beaumont
 The usage of the [nasty vulnerability](https://www.zdnet.com/article/security-warning-new-zero-day-in-the-log4j-java-library-is-already-being-exploited/) in the Java logging library Apache Log4j that allowed unauthenticated remote code execution could have kicked off as early as December 1.

"Earliest evidence we've found so far of #Log4J exploit is 2021-12-01 04:36:50 UTC," Cloudflare CEO Matthew Prince [said on Twitter](https://twitter.com/eastdakota/status/1469800951351427073). 

"That suggests it was in the wild at least 9 days before publicly disclosed. However, don't see evidence of mass exploitation until after public disclosure." 

Cisco Talos said in a [blog post](https://blog.talosintelligence.com/2021/12/apache-log4j-rce-vulnerability.html) that it observed activity for the vulnerability known as CVE-2021-44228 from December 2, and those looking for indicators of compromise should extend their searches to at least that far back. 

Thanks to the ubiquity of the impacted library, Talos said it was seeing lead time from attackers doing mass scanning to callbacks occurring, and could be due to vulnerable but non-targeted systems -- such as SIEMs and log collectors -- being triggered by the exploit. 

It added that the [Mirai botnet](https://www.zdnet.com/article/this-new-variant-of-mirai-botnet-malware-is-targeting-network-attached-storage-devices/) was starting to use the vulnerability. Researchers at [Netlab 360 said](https://blog.netlab.360.com/threat-alert-log4j-vulnerability-has-been-adopted-by-two-linux-botnets/) they had seen the Log4j vulnerability used to create [Muhstik](https://www.zdnet.com/article/white-hat-hacks-muhstik-ransomware-gang-and-releases-decryption-keys/) and Mirai botnets that went after Linux devices. 

Over the weekend, vendors have been rushing to get patches out and document workarounds for affected products. The end results have been product matrices such as those from [VMware](https://www.vmware.com/security/advisories/VMSA-2021-0028.html) and [Cisco](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) where some products have patches available, some have workarounds, and others remain vulnerable. Both vendors scored CVE-2021-44228 as a perfect 10.






The suggested workarounds typically either set the log4j2.formatMsgNoLookups flag to true, or remove the JndiLookup class from the classpath used by Java. 

A [Reddit post](https://www.reddit.com/r/blueteamsec/comments/rd38z9/log4j_0day_being_exploited/) from NCC Group is being regularly updated, and shows how the exploit can be used to exfiltrate AWS secrets, as well as all manner of Java system properties. 

One security researcher was able to [trigger the exploit](https://twitter.com/chvancooten/status/1469340927923826691) by going [Little Bobby Tables](https://xkcd.com/327/) on his iPhone name. 

Sophos [said](https://news.sophos.com/en-us/2021/12/12/log4shell-hell-anatomy-of-an-exploit-outbreak/) it was seeing the vulnerability already being used by cryptominers. 

On the more enjoyable front, a Minecraft mod developer was able to use the vulnerability to turn a [Minecraft server into one that played Doom instead](https://twitter.com/gegy1000/status/1469714451716882434?s=21). 

"For some context, this is an entirely vanilla client connecting to a modded server, which, through this exploit, is sending over and executing the code to run doom," [Gegy](https://twitter.com/gegy1000/status/1469715890732212224) said. 

Microsoft threat analyst Kevin Beaumont said defence in depth was "probably your best option". 

"To give a spoiler for Log4Shell, this is going to take weeks to play out to establish attack surface (it is large) and then maybe a month or more for patches to be made available," he said. 

### Related Coverage

* [Security warning: New zero-day in the Log4j Java library is already being exploited](/article/security-warning-new-zero-day-in-the-log4j-java-library-is-already-being-exploited/)
* [Hackers are disguising their malicious JavaScript code with a hard-to-beat trick](/article/hackers-are-disguising-their-malicious-javascript-code-with-hard-to-beat-trick/)
* [Volvo announces some R&D files stolen during cyberattack](/article/volvo-announces-some-r-d-files-stolen-during-cyberattack/)
* [Brazilian Ministry of Health suffers cyberattack and COVID-19 vaccination data vanishes](/article/brazilian-ministry-of-health-suffers-cyberattack-and-covid-19-vaccination-data-vanishes/)







## Tags:
***CVE's***: CVE-2021-44228
***ipv6-adresses***: 04:36:50

### Autogenerated tags:
log4j workarounds
