# Malware authors target rivals with malicious npm packages | ZDNet
## Trojan packages reveal what could be internal rivalry between cybercriminals.
## Information:

+ Link: https://www.zdnet.com/article/malware-authors-target-rivals-with-malicious-npm-packages/
+ Source: ZDNet
+ Author: Charlie Osborne
+ Date published: 23 February 2022, 08:08
+ Date scraped: 23 February 2022, 10:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/c8f23596ccb0f8845e528de64501a8b636a2514e/2020/11/19/dd6e0927-2ea7-4769-b44c-8a9bc5ab94fa/malware-skull.jpg?width=770&height=578&fit=crop&auto=webp)


DevOps security firm JFrog has discovered malicious npm packages that appear to have been developed by malware authors to target rivals. 


On February 22, [JFrog cybersecurity researchers](https://jfrog.com/blog/malware-civil-war-malicious-npm-packages-targeting-malware-authors/) Andrey Polkovnychenko and Shachar Menashe said that 25 malicious Node Package Manager (npm) packages had recently been detected by the firm's scanners, many of which are Discord token stealers. 

If an attacker is able to steal tokens, they can be used to infiltrate a victim's account and hijack Discord servers. They can also be valuable assets suitable for sale in underground, criminal markets. 

The team noted that many of the packages are masquerading as the colors.js npm package, open source software developed by Marak Squires. Colors.js, a package for implementing colored text on node.js, was [sabotaged by its creator](https://www.zdnet.com/article/when-open-source-developers-go-bad/) in January, thereby crashing tens of thousands of JavaScript programs in one strike.  

"This masquerading is probably due to the fact that colors.js is still one of the most installed packages in npm," JFrog says.  

In addition, other packages were found including Python remote code injectors and environmental variable stealers.  

While the reported packages were "quickly" removed by npm maintainers, one package, in particular, caught JFrog's eye. Called "Lemaaa," the npm package is a library "meant to be used by malicious threat actors to manipulate Discord accounts," according to the researchers. 






Lemaaa included utilities such as bot list functions, removing friends, password checks, grabbing backup codes, and also stealing billing information when a Discord token is supplied.  

![screenshot-2022-02-23-at-08-52-41.png]()![screenshot-2022-02-23-at-08-52-41.png](https://www.zdnet.com/a/img/resize/1674e4a4d28cf0c15a49469a330aea023c4d9428/2022/02/23/8b31e66c-65b3-462b-8aa5-bec84fd5f0d4/screenshot-2022-02-23-at-08-52-41.png?width=1200&fit=bounds&format=pjpg&auto=webp)
 JFrog
 The module itself is obfuscated, which shouldn't be a surprise considering its malicious purposes. However, after peeling apart Lemaaa's code, the researchers found that the package had been trojanized to hijack the secret Discord tokens supplied to the library and transfer them to Lemaaa's developer.

As npm is used by millions of developers worldwide, malicious npm package detection is set to continue – and potentially rise over time.  

"We estimate this trend will only continue to increase, due to the fact that we are still seeing tens of new malicious packages that are flagged each day by our npm scanners," the researchers say. 

In December, JFrog uncovered [17 malicious npm packages](https://www.zdnet.com/article/malicious-npm-packages-stealing-discord-tokens-highlights-problem-of-malware-distribution-in-public-repositories/) also designed to steal Discord tokens. These packages were able to hijack account credentials, allowing attackers to take over a Discord server.  

###  Previous and related coverage

* [Malicious npm packages caught installing remote access trojans](https://www.zdnet.com/article/malicious-npm-packages-caught-installing-remote-access-trojans/)
* [Malicious npm packages are stealing Discord tokens](https://www.zdnet.com/article/malicious-npm-packages-stealing-discord-tokens-highlights-problem-of-malware-distribution-in-public-repositories/)
* [This NPM package with millions of weekly downloads has fixed a remote code execution flaw](https://www.zdnet.com/article/this-npm-package-with-millions-of-weekly-downloads-has-fixed-a-remote-code-execution-flaw/)



---

**Have a tip?** Get in touch securely via WhatsApp | Signal at +447713 025 499, or over at Keybase: charlie0



---





## Tags:


### Autogenerated tags:
npm jfrog lemaaa colors.js
