# Microsoft: This new browser feature is 'huge step forward' against zero-day threats | ZDNet
## Microsoft brings out its Windows exploit mitigation technologies to protect surfers from zero-day exploits on the web.
## Information:

+ Link: https://www.zdnet.com/article/microsoft-says-its-new-browser-feature-is-huge-step-forward-against-zero-day-threats/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 18 January 2022, 10:56
+ Date scraped: 18 January 2022, 12:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/11e6b44ed58323dd4ca2edad367cc9df74cf77d7/2022/01/18/f6f5b7c0-e9f4-4336-be01-9c5233689785/shutterstock-608208689.jpg?width=770&height=578&fit=crop&auto=webp)


Microsoft has shown off a new measure for admins to protect web-browsing users on Chromium-based Edge from zero days, which are previously unknown software flaws. 

The latest Edge beta introduces a new browsing mode in Edge "where the security of your browser takes priority". For admins who fear web-based attacks on desktop systems via the browser, this feature gives them the option to "mitigate unforeseen active zero days". Enabling this mode can be configured, so that important sites and line-of-business applications "continue to work as expected," [according to Microsoft's release notes](https://docs.microsoft.com/en-us/deployedge/microsoft-edge-relnote-beta-channel#version-980110823-january-14). 


The security-focused Edge mode, [spotted by Bleeping Computer](https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-will-mitigate-unforeseen-active-zero-day-bugs/), brings several Windows exploit mitigation technologies into play, including [Hardware-enforced Stack Protection](https://www.zdnet.com/article/microsoft-announces-new-hardware-enforced-stack-protection-feature/), Arbitrary Code Guard (ACG), and [Control Flow Guard (CFG)](https://www.zdnet.com/article/microsofts-control-flow-guard-comes-to-rust-and-llvm-compilers/). 

**SEE:** [**Your cybersecurity training needs improvement because hacking attacks are only getting worse**](https://www.zdnet.com/article/your-cybersecurity-training-needs-improvement-because-hacking-attacks-are-only-getting-worse/#link=%7B%22linkText%22:%22Your%20cybersecurity%20training%20needs%20improvement%20because%20hacking%20attacks%20are%20only%20getting%20worse%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/article/your-cybersecurity-training-needs-improvement-because-hacking-attacks-are-only-getting-worse/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D)

Windows 10's ACG helps thwart web attacks that attempt to load malicious code into memory by ensuring only properly signed code can be mapped into memory.

ACG and CFG were key motivations behind Microsoft's move last year to [introduce Edge Super Duper Secure Mode](https://www.zdnet.com/article/edge-super-duper-secure-mode-turns-off-the-javascript-jit-compiler-for-extra-security/), which turns off Edge's Chromium JavaScript just-in-time (JIT) compiler to allow those exploit mitigations, as well as Intel's Control-flow Enforcement Technology (CET), to work. The JIT compiler is part of the Chromium V8 JavaScript engine's processing pipeline, but Windows features like ACG were incompatible with JIT compiling. 

"This feature is a huge step forward because it lets us mitigate unforeseen active zero days (based on historical trends). When turned on, this feature brings Hardware-enforced Stack Protection, Arbitrary Code Guard (ACG), and Content Flow Guard (CFG) as supporting security mitigations to increase users' security on the web," Microsoft explains. 






Microsoft [quietly enabled Edge Super Duper Secure Mode](https://twitter.com/spoofyroot/status/1462871833942773763) in the stable release of Edge in November, allowing users to toggle between 'balanced' and 'strict' modes, depending on how much users trust a given site.   

The browser update, version 98.0.1108.23 in the Microsoft Edge beta channel, also adds a custom primary password option. This option adds another layer of privacy and helps prevent unauthorized users from using saved passwords to log on to websites. Custom primary password allows users to use a custom string of their choice as their primary password. After it's enabled, users will enter this password to authenticate themselves and have their saved passwords auto-filled into web forms.





## Tags:


### Autogenerated tags:
microsoft acg windows cfg jit
