# Operation EmailThief: Zero-day XSS vulnerability in Zimbra email platform revealed | ZDNet
## A zero-day bug in the Zimbra email platform is reportedly under attack.
## Information:

+ Link: https://www.zdnet.com/article/operation-emailthief-xss-vulnerability-in-zimbra-open-source-email-platform-revealed/
+ Source: ZDNet
+ Author: Charlie Osborne
+ Date published: 04 February 2022, 10:41
+ Date scraped: 04 February 2022, 12:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/db95ab0b93d84a4b281179580431b804c5258c64/2021/10/21/788b57e0-f1f9-4dad-acec-2fc30fb9d62b/email-attack.jpg?width=770&height=578&fit=crop&auto=webp)


Researchers have uncovered an active campaign exploiting a zero-day vulnerability in the Zimbra email platform. 


Zimbra is an email platform available under an open source license. According to the developer, the platform supports hundreds of millions of mailboxes located in 140 countries. 

On February 3, [cybersecurity researchers](https://www.volexity.com/blog/2022/02/03/operation-emailthief-active-exploitation-of-zero-day-xss-vulnerability-in-zimbra/) from Volexity, Steven Adair and Thomas Lancaster, said the system is being exploited by a threat group tracked as TEMP\_Heretic in a series of spear phishing email attacks.  

In a security advisory, Volexity said the campaign, dubbed "Operation EmailThief," was first discovered in December 2021 and is likely the work of Chinese cybercriminals.  

According to the team, TEMP\_Heretic is careful in its selection of potential victims. The threat actor will first perform reconnaissance and will use tracker-embedded emails to see if an address was valid and if a target would even open emails in the first place -- and if so, the second stage of the attack chain triggers.  

In total, 74 unique Microsoft Outlook email addresses have been used to send the preliminary emails, which contain generic images and subjects including invitations, alerts, and airline ticket refunds.  

TEMP\_Heretic will then send tailored phishing emails containing a malicious link. The more targeted themes of subsequent emails related to interview requests from news organizations, including the AFP and BBC, as well as invitations to charity dinners. Other phishing email samples collected were more generic and contained holiday greetings.  

![screenshot-2022-02-04-at-11-23-44.png]()![screenshot-2022-02-04-at-11-23-44.png](https://www.zdnet.com/a/img/resize/28dfbaeff8145a4ad255736c76826a3f7d11f0b8/2022/02/04/4a87779b-d2c4-42bd-85fa-a3ab2aa94f60/screenshot-2022-02-04-at-11-23-44.png?width=1200&fit=bounds&format=pjpg&auto=webp)
 Volexity
 




The victim would need to be logged into the Zimbra webmail client from a web browser when they opened the malicious attachment & link for the exploit to be successful -- but according to Volexity, the link itself could be launched from other apps, such as Outlook or Thunderbird. 

![screenshot-2022-02-04-at-11-35-45.png]()![screenshot-2022-02-04-at-11-35-45.png](https://www.zdnet.com/a/img/resize/8542a9a150ef79b60dd1227a2c4e50b1f3a03aa7/2022/02/04/78a36f78-d9fe-4226-ac87-08bd19c8a528/screenshot-2022-02-04-at-11-35-45.png?width=1200&fit=bounds&format=pjpg&auto=webp)
 Volexity
 The cross-site scripting (XSS) vulnerability allows attackers to run arbitrary JavaScript in the context of the Zimbra session, leading to the theft of mail data, attachments, and cookies. In addition, cybercriminals could leverage a compromised email account to send further phishing emails or to launch prompts for the victim to download additional malware payloads. 

TEMP\_HERETIC has previously been linked to campaigns targeting European government and media organizations.  

"At the time of writing, this exploit has no available patch, nor has it been assigned a CVE (i.e., this is a zero-day vulnerability)," the researchers say. "Volexity can confirm and has tested that the most recent versions of Zimbra -- 8.8.15 P29 & P30 -- remain vulnerable; testing of version 9.0.0 indicates it is likely unaffected." 

Volexity notified Zimbra of the exploit attempt on December 16 and provided proof-of-concept (PoC) code. Zimbra acknowledged the report on December 28 and confirmed to the cybersecurity team that the exploit was valid.  

After requesting details of a patch in January, but having received no response, Volexity then made its findings public this month. However, users who have upgraded to the latest version of the webmail client are unlikely to be at risk.

"Users of Zimbra should consider upgrading to [version 9.0.0](https://wiki.zimbra.com/wiki/Zimbra_Releases/9.0.0), as there is currently no secure version of 8.8.15," the researchers say.  

ZDNet has reached out to Zimbra and we will update when we hear back.  

###  Previous and related coverage

* [Meet CoinStomp: New cryptojacking malware targets Asian cloud service providers](https://www.zdnet.com/article/meet-coinstomp-new-cryptojacking-malware-targets-asian-cloud-service-providers/)
* [Trio of RCE CVSS 10 vulnerabilities among 15 CVEs in Cisco small business routers](https://www.zdnet.com/article/trio-of-rce-cvss-10-vulnerabilities-among-15-cves-in-cisco-small-business-routers/)
* [3D printed guns, underground markets, bomb manuals: police crackdown continues](https://www.zdnet.com/article/3d-printed-guns-underground-markets-bomb-manuals-police-crackdown-continues/)



---

**Have a tip?** Get in touch securely via WhatsApp | Signal at +447713 025 499, or over at Keybase: charlie0



---





## Tags:


### Autogenerated tags:
zimbra volexity emails temp_heretic phishing
