# Some developers are fouling up open-source software
## From ethical concerns, a desire for more money, and simple obnoxiousness, a handful of developers are ruining open-source for everyone.
## Information:

+ Link: https://www.zdnet.com/article/some-developers-are-fouling-up-open-source-software/
+ Source: ZDNet
+ Author: Steven Vaughan-Nichols
+ Date published: 23 March 2022, 22:32
+ Date scraped: 24 March 2022, 08:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/7d9cc82832dbdc9cb72b188fc833363c844054f9/2022/01/18/42d99ac1-3336-47c3-9bdb-445abc6ba423/shutterstock-109764119.jpg?width=770&height=578&fit=crop&auto=webp)


One of the most amazing things about open-source isn't that it produces great software. It's that so many developers put their egos aside to create great programs with the help of others. Now, however, a handful of programmers are putting their own concerns ahead of the good of the many and potentially wrecking open-source software for everyone.


For example, JavaScript's package manager maintainer RIAEvangelist, Brandon Nozaki Miller, [wrote and published an open-code npm source-code package called peacenotwar](https://github.com/RIAEvangelist/peacenotwar). It did little but print a message for peace to desktops. So far, so harmless. 

[Miller then inserted malicious code](https://www.zdnet.com/article/corrupted-open-source-software-enters-the-russian-battlefield/) into the package to overwrite users' filesystems if their computer had a Russia or Belarus IP address. He then added it as a dependency to his popular [node-ipc](https://www.npmjs.com/package/node-ipc) program and instant chaos! Numerous servers and PCs went down as they updated to the newest code and then their systems had their drives erased. 

Miller's defense, "[This is all public, documented, licensed and open source](https://github.com/RIAEvangelist/node-ipc/issues/233#issuecomment-1068182278)," doesn't hold up. 

Liran Tal, the [Snyk](https://snyk.io/) researcher who uncovered the problem said, "Even if the deliberate and dangerous act [is] perceived by some as a legitimate act of protest, [how does that reflect on the maintainer's future reputation](https://snyk.io/blog/peacenotwar-malicious-npm-node-ipc-package-vulnerability/) and stake in the developer community?  Would this maintainer ever be trusted again to not follow up on future acts in such or even more aggressive actions for any projects they participate in?" 

Miller is not a random crank. He's produced a lot of good code, such as node-ipc, and [Node HTTP Server](https://github.com/RIAEvangelist/node-http-server). But, can you trust any of his code to not be malicious? While he describes it as "[not malware, [but] protestware which is fully documented](https://www.linkedin.com/feed/update/urn:li:activity:6910274968836616192/)," others venomously disagree. 

As one GitHub programmer wrote, "What's going to happen with this is that security teams in Western corporations that have absolutely nothing to do with Russia or politics are going to start seeing [free and open-source software as an avenue for supply chain attacks](https://github.com/RIAEvangelist/node-ipc/issues/233#issuecomment-1071969768) (which this totally is) and simply start banning free and open-source software -- all free and open-source software -- within their companies." 

As another GitHub developer with the handle nm17 wrote, "The [trust factor of open source](https://github.com/vuejs/vue-cli/issues/7054#issuecomment-1069598400), which was based on the good will of the developers is now practically gone, and now, more and more people are realizing that one day, their library/application can possibly be exploited to do/say whatever some random dev on the internet thought 'was the right thing they to do.'"

Both make valid points. When you can't use source code unless you agree with the political stance of its maker, how can you use it with confidence? 

Miller's heart may be in the right place -- Slava Ukraini! -- but is open-source software infected with a malicious payload the right way to protect Russia's invasion of Ukraine? No, it's not. 

The open-source method only works because we trust each other. When that trust is broken, no matter for what cause, then open-source's fundamental framework is broken. As Greg Kroah-Hartman, the Linux kernel maintainer for the stable branch, said when students from the University of Minnesota deliberately tried to insert bad code in the Linux kernel for an experiment in 2021 said, "What they are doing is [intentional malicious behavior](https://www.zdnet.com/article/greg-kroah-hartman-bans-university-of-minnesota-from-linux-development-for-deliberately-buggy-patches/) and is not acceptable and totally unethical."

People have long argued that open-source should include ethical provisions as well. For example, 2009's [Exception General Public License (eGPL)](https://www.openhub.net/licenses/eGPL), a revision of the [GPLv2](https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html), tried to forbid "exceptions," such as military users and suppliers, from using its code. It failed. Other licenses such as the [JSON license](https://spdx.org/licenses/JSON.html) with its sweetly naive "the software shall be used for good, not evil" clause still being around, but no one enforces it.  

More recently, activist and software developer Coraline Ada Ehmke introduced an open-source license that requires its users to act morally.  Specifically, her [Hippocratic license](https://firstdonoharm.dev/) added to the [MIT open-source license](https://opensource.org/licenses/MIT) a clause stating: 


> "The software may not be used by individuals, corporations, governments, or other groups for systems or activities that actively and knowingly endanger, harm, or otherwise threaten the physical, mental, economic, or general well-being of underprivileged individuals or groups in violation of the United Nations Universal Declaration of Human Rights."
> 
> 

Sounds good, but it's not open source. You see, open-source is in and of itself an ethical position. Its ethics are contained in the [Free Software Foundation's (FSF)](https://www.fsf.org/)'s [Four Essential Freedoms](https://www.gnu.org/philosophy/free-sw.en.html#four-freedoms). This is the foundation for all open-source licenses and their core philosophy. As open-source legal expert and Columbia law professor Eben Moglen, said at the time that [ethical licenses can't be free software or open-source licenses](https://www.zdnet.com/article/you-cant-open-source-license-morality/): 


> "[Freedom zero](https://www.gnu.org/philosophy/free-sw.en.html), the right to run the program for any purpose, comes first in the four freedoms because if users do not have that right with respect to computer programs they run, they ultimately do not have any rights in those programs at all.  Efforts to give permission only for good uses, or to prohibit bad ones in the eyes of the licensor, violate the requirement to protect freedom zero." 
> 
> 

In other words, if you can't share your code for any reason, your code isn't truly open-source. 

Another more pragmatic argument about forbidding one group from using open-source software is that blocking on something such as an IP address is a very broad brush. As Florian Roth, security company [Nextron Systems](https://www.nextron-systems.com/)' Head of Research, who considered "[disabling my free tools on systems](https://twitter.com/cyb3rops/status/1496815032738459651) with certain language and time zone settings," finally decided not to. Why? Because by doing so, "[we would also disable the tools on systems of critics and freethinkers](https://twitter.com/cyb3rops/status/1496893649606557701) that condemn the actions of their governments." 

Unfortunately, it's not just people trying to use open-source for what they see as a higher ethical purpose that are causing trouble for open-source software. 

Earlier this year, JavaScript developer Marak Squires deliberately sabotaged his obscure, but vitally important open-source Javascript libraries 'colors.js' and 'faker.js." The result? Tens of thousands of JavaScript programs blew up.

Why? It's still not entirely clear, but in a since-deleted GitHub post, Squires wrote, "Respectfully, [I am no longer going to support Fortune 500s](https://web.archive.org/web/20210704022108/https://github.com/Marak/faker.js/issues/1046) ( and other smaller-sized companies ) with my free work. There isn't much else to say. Take this as an opportunity to send me a six-figure yearly contract or fork the project and have someone else work on it." As you might imagine, this attempt to blackmail his way to a paycheck didn't work out so well for him. 

And, then there are people who deliberately put malware into their open-source code for fun and profit. For example, the DevOps security firm [JFrog](https://jfrog.com/) discovered [17 new JavaScript malicious packages](https://www.zdnet.com/article/malicious-npm-packages-stealing-discord-tokens-highlights-problem-of-malware-distribution-in-public-repositories/) in the NPM repository that deliberately attack and steal a user's Discord tokens. These can then be used on the [Discord communications and digital distribution platform](https://discord.com/).

Besides creating new malicious open-source programs that look innocent and helpful, other attackers are taking old, abandoned software and rewriting them to include crypto coin stealing backdoors. One such program was event-stream. It had [malicious code inserted into it to steal bitcoin wallets](https://www.zdnet.com/article/hacker-backdoors-popular-javascript-library-to-steal-bitcoin-funds/) and transfer their balances to a Kuala Lumpur server. There have been several similar episodes over the years.

With each such move, faith in open-source software is worn down. Since open-source is absolutely vital to the modern world, this is a lousy trend. 

What can we do about it? Well, for one thing, we should consider very carefully indeed when, if ever, we should block the use of open-source code. 

More practically, we must start adopting the use of [Linux Foundation's](https://www.linuxfoundation.org/) [Software Package Data Exchange (SPDX)](https://spdx.dev/) and [Software Bill of Materials (SBOM)](https://csrc.nist.gov/CSRC/media/Projects/cyber-supply-chain-risk-management/documents/SSCA/Spring_2019/8MayAM2.3_Software_Bill_of_Materials_Robert_Martin_05_08_19_clean.pdf). Together these will tell us exactly what code we're using in our programs and where it comes from. Then, we'll be much more able to make informed decisions.

Today, all-to-often people use open-source code without knowing exactly what they're running or checking it for problems. They assume all's well with it. That's never been a smart assumption. Today, it's downright foolish. 

Even with all these recent changes, open-source is still better and safer than the black-box proprietary software alternatives. But, we must check and verify code instead of blindly trusting it. It's the only smart thing to do going forward.

**Related Stories:**

* [Corrupted open-source software enters the Russian battlefield](https://www.zdnet.com/article/corrupted-open-source-software-enters-the-russian-battlefield/)
* [Linux developers patch security holes faster than anyone else, says Google Project Zero](https://www.zdnet.com/article/google-project-zero-finds-linux-developers-patch-security-holes-faster-than-anyone-else/)
* [Securing the open-source ecosystem: SBOMs are no longer optional](https://www.zdnet.com/article/securing-the-open-source-ecosystem-sboms-are-no-longer-optional/)





## Tags:


### Autogenerated tags:
open-source javascript github linux
