# These file types are the ones most commonly used by hackers to hide their malware
## Careful when you click: Cyber criminals are hiding malicious payload to make it more difficult for users - and anti-virus software - to detect.
## Information:

+ Link: https://www.zdnet.com/article/these-file-types-are-the-ones-most-commonly-used-by-hackers-to-hide-their-malware/
+ Source: ZDNet
+ Author: Danny Palmer
+ Date published: 01 December 2022, 14:13
+ Date scraped: 05 December 2022, 16:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/e3a4709c3ebcf476be240e9ea8b89bbba66f6c84/2022/04/11/3af9f479-c716-4fed-8d06-5abd74b79a86/getty-a-woman-looking-at-a-laptop-with-a-concerned-expression.jpg?auto=webp&fit=crop&height=675&width=1200)

ZIP and RAR files have overtaken Office documents as the file most commonly used by cyber criminals to deliver malware, according to an analysis of real-world cyber attacks and data collected from millions of PCs.

The research, [based on customer data by HP Wolf Security](https://threatresearch.ext.hp.com/hp-wolf-security-threat-insights-report-q3-2022/), found in the period between July and September this year, 42% of attempts at delivering [malware](https://www.zdnet.com/article/what-is-malware-everything-you-need-to-know-about-viruses-trojans-and-malicious-software/) attacks used archive file formats, including ZIP and RAR.  

That means cyber attacks attempting to exploit ZIP and RAR formats are more common than those which attempt to deliver malware using Microsoft Office documents like Microsoft Word and Microsoft Excel files, [which have long been the preferred method of luring victims into downloading malware](https://www.zdnet.com/article/malicious-microsoft-word-docs-warning-think-before-you-click-on-unexpected-emails/). 

According to researchers, this marks the first time in over three years that archive files have surpassed Microsoft Office files as the most common means of delivering malware.

By encrypting malicious payloads and hiding them within archive files, it provides attackers with a way of bypassing many security protections.

"Archives are easy to encrypt, helping threat actors to conceal malware and evade web proxies, sandboxes, or email scanners. This makes attacks difficult to detect, especially when combined with HTML smuggling techniques," said Alex Holland, senior malware analyst on the HP Wolf Security threat research team.

**Also:** [**Cybersecurity: These are the new things to worry about in 2023**](https://www.zdnet.com/article/cybersecurity-these-are-the-new-things-to-worry-about-in-2023/)

In many cases, the attackers are crafting [phishing emails](https://www.zdnet.com/article/what-is-phishing-how-to-protect-yourself-from-scam-emails-and-more/) which look like they come from [known brands and online service providers](https://www.zdnet.com/article/brazen-crooks-are-now-posing-as-cybersecurity-companies-to-trick-you-into-installing-malware/), which attempt to trick the user into opening and running the malicious ZIP or RAR file.  

This includes using malicious HTML files in emails which masquerade as PDF documents – which if run, show a fake online document viewer which decodes the ZIP archive. If it's downloaded by the user, it will infect them with malware.

According to analysis by HP Wolf Security, one of the most notorious malware campaigns which is now relying ZIP archives and malicious HTML files is [Qakbot](https://www.zdnet.com/article/this-malware-is-reading-your-email-30-minutes-after-the-first-infection/) – a malware family which is not only used to steal data, but also used as a backdoor for deploying [ransomware](https://www.zdnet.com/article/ransomware-an-executive-guide-to-one-of-the-biggest-menaces-on-the-web/). 

**Also:** [**Watch out for this 3-pronged PayPal phishing scam**](https://www.zdnet.com/article/watch-out-for-this-triple-pronged-paypal-phishing-and-fraud-scam/)

Qakbot reemerged in September, with malicious messages sent out by email, claiming to be related to online documents which needed to be opened. If the archive was run, it used malicious commands to download and execute the payload in the form of a dynamic link library, then launched using legitimate – but commonly abused – tools in Windows.

Shortly afterwards, cyber criminals distributing [IcedID](https://www.zdnet.com/article/theres-been-a-big-rise-in-phishing-attacks-using-microsoft-excel-xll-add-ins/) - a form of malware which is installed in order to enable, hands-on, [human-operated ransomware attacks](https://www.zdnet.com/article/how-microsofts-ai-spots-ransomware-attacks-before-they-even-get-started/) – started using a template almost identical to that used by Qakbot to abuse archive files to trick victims into downloading malware.  

Both campaigns put effort into ensuring the emails and the phony HTML pages looked legitimate to fool as many victims as possible.

"What was interesting with the QakBot and IcedID campaigns was the effort put in to creating the fake pages – these campaigns were more convincing than what we've seen before, making it hard for people to know what files they can and can't trust," said Holland.

A ransomware group has also been seen abusing ZIP and RAR files in this way. According to HP Wolf Security, [a campaign spread by Magniber ransomware group targeted home users](https://www.zdnet.com/article/this-unusual-ransomware-attack-targets-home-pcs-so-beware/), with attacks which encrypt files and demand $2,500 from victims.   

**Also:** [**Ransomware: Why it's still a big threat, and where the gangs are going next**](https://www.zdnet.com/article/ransomware-why-its-still-a-big-threat-and-where-the-gangs-are-going-next/)

In this case, the infection begins with a download from an attacker-controlled website which asks users to download a ZIP archive containing a JavaScript file purporting to be an important anti-virus or Windows 10 software update. If run and executed, it downloads and installs the ransomware.

Prior to this latest Magniber campaign, the ransomware was spread by through MSI and EXE files – but like other cyber criminal groups, they've noticed the success which can be achieved with delivering payloads hidden in archive files.

Cyber criminals are continuously changing their attacks and phishing remains one of the key methods of delivering malware because it's often difficult to detect if an email or files are legitimate – particularly if it has already slipped by hiding the malicious payload somewhere where anti-virus software can't detect it.

Users are urged to be cautious about urgent requests to open links and download attachments, especially from unexpected or unknown sources.

**MORE ON CYBERSECURITY**

* [**This sneaky ransomware gang keeps changing tactics to spread its malware**](https://www.zdnet.com/article/this-sneaky-ransomware-gang-keeps-changing-tactics-to-spread-its-malware/)
* [**Public Wi-Fi safety tips: Protect yourself against malware and security threats**](https://www.zdnet.com/article/connecting-to-public-wi-fi-heres-how-to-protect-your-data-and-your-device/)
* [**Watch out for this phishing attack that hijacks your email chats to spread malware**](https://www.zdnet.com/article/watch-out-for-this-phishing-attack-that-hijacks-your-email-chats-to-spread-malware/)
* [**This password-stealing malware posed as a Windows 11 download**](https://www.zdnet.com/article/this-password-stealing-malware-posed-as-a-windows-11-download/)
* [**Raising cybersecurity awareness is good for everyone - but it needs to be done better**](https://www.zdnet.com/article/raising-cybersecurity-awareness-is-good-for-everyone-but-it-needs-to-be-done-better/)



## Tags:


### Autogenerated tags:
malware ransomware rar microsoft html phishing emails qakbot
