# Windows: Still insecure after all these years
## OPINION: With every Windows release, Microsoft promises better security. And, sometimes, it makes improvements. But then, well then, we see truly ancient security holes show up yet again.
## Information:

+ Link: https://www.zdnet.com/article/windows-still-insecure-after-all-these-years/
+ Source: ZDNet
+ Author: Steven Vaughan-Nichols
+ Date published: 15 December 2022, 21:25
+ Date scraped: 21 December 2022, 21:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/1965627d5d09a4060dc8ce5240add2ea5b934b4c/2014/11/28/1ffbcbe3-76b4-11e4-b569-d4ae52e95e57/patch-the-windows-schannel-bug-now.jpg?auto=webp&fit=crop&height=675&width=1200)

For longer than some of you have been alive, I've been preaching the gospel of using more secure desktop operating systems. You see, Windows has been insecure since 1985's Windows 1.0, really an MS-DOS extension, rolled out the door. Then, as now, there were more secure options. Then it was Unix desktop operating systems. Today it's [Linux desktops](https://www.zdnet.com/article/best-linux-desktops-for-beginners/).

Why hasn't Microsoft ever gotten its security act together? The fundamental problem is that Windows was never, ever meant to work on a network. It worked as a standalone PC operating system. And, even today, 37 years later, the same pre-internet problems keep showing up. Unix and Linux started with the premise that there's more than one user on the system, and you need to secure accounts and programs from other users, local or remote. This has served these operating systems well.

In addition, the developers from Redmond may say they rewrite Windows code from the bottom up to make it more secure. But, they don't.

Take, for example, Microsoft recently patched zero-day remote code execution [Windows Scripting Languages Remote Code Execution Vulnerability,](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-41128)[CVE-2022-41128,](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-41128) With a  Common Vulnerability Scoring System (CVSS) rating of 8.8, it's a baddie. This is a Windows JavaScript scripting language security hole. Specifically, it's a hole in Internet Explorer (IE) 11's JScript9 JavaScript engine. 

**Also:** [**Hackers are still finding -- and using -- flaws in Internet Explorer**](https://www.zdnet.com/article/hackers-are-still-finding-and-using-flaws-in-internet-explorer/)

It's a nasty one. It affects every version of currently supported Windows. That includes everything from Windows 8.1 to all the various Windows Servers and Windows 11. Since it showed up, [North Korean hackers exploited it](https://blog.google/threat-analysis-group/internet-explorer-0-day-exploited-by-north-korean-actor-apt37/) to infect South Korean users with malware.

It works by presenting the victims with a malicious document. When an innocent opens the document, it then downloads a rich text file (RTF) remote template. The HTML inside would then be rendered by the IE engine. Then -- ta-da! -- you've got a case of some malware or the other.

The Google Threat Analysis Group (TAG) that found it said, "This technique has been widely used to distribute IE exploits via Office files since 2017. Delivering IE exploits via this vector has the advantage of not requiring the target to use Internet Explorer as its default browser."

Oh, guys, it is so, so much older than that. I described this kind of problem in the long-defunct magazine PC Sources in 1992 when I found it in Windows for WorkGroup 3.1. Then, as now, Windows and its native programs treated document data as programming instructions.

That's why according to Atlas VPN, "[Microsoft Office remains the most widely exploited software for malware delivery.](https://atlasvpn.com/blog/microsoft-office-flaws-exploited-in-nearly-80-of-malware-attacks)" How bad is it? Try 78.5% of all attacks. Office on your PC, Office 365, it doesn't matter. They're all open to attacks. 

Now, then, what's the elephant in the room I haven't mentioned yet? It's that [IE retired](https://www.zdnet.com/article/june-15-its-the-end-of-the-internet-explorer-era/) back in June 2022. It's been replaced by Microsoft Edge. 

**Also:** [**The best Linux laptops**](https://www.zdnet.com/article/best-linux-laptop/) 

So, why the heck are all versions of Windows vulnerable to an IE attack in late 2022? Isn't it history? I mean, IE was never in Windows 11, anyway. You'd like to think that, but no matter what version of Windows you're using, the IE engine is still in Windows and still ready to run JavaScript attacks.

Windows's fundamental security flaws have never been fixed. They never will be. Backward compatibility is far more important to Microsoft than security. So, the company continues to play patch a hole.

If, like me, you favor security over backward compatibility, you'll run Linux. Despite what you've heard, Linux is not that hard to use. But, if you'd rather not go to the effort, just [buy a Chromebook](https://www.zdnet.com/article/best-chromebook-for-work/). Anyone can use a Chromebook, and, since it's based on Linux, it's a lot more secure. 

**Related Stories:**

* [Microsoft Patch Tuesday fixes six critical vulnerabilities](https://www.zdnet.com/article/microsoft-patch-tuesday-fixes-six-critical-vulnerabilities/)
* [Microsoft's Internet Explorer browser is finally gone. But not everyone is happy about it](https://www.zdnet.com/home-and-office/work-life/microsofts-internet-explorer-browser-is-finally-gone-not-everyone-is-a-happy-about-it/)

#### Featured

   [![Best tech products of 2022]()

 ZDNET editors loved these tech products and gadgets in 2022](/article/best-tech-products-2022/)  [![Tech gadgets on blue and green background]()

 5 tech gadgets I never leave home without (and they make great gifts)](/article/5-tech-gadgets-i-never-leave-home-without-and-they-make-great-gifts/)  [![zdnet-lf-dronewrangler.jpg]()

 The drone wranglers: How the most authentic Old West town in the US is delivering the future of flight](/article/the-drone-wranglers-how-the-most-authentic-old-west-town-in-the-us-is-delivering-the-future-of-flight/)  [![GPS tracking on a phone]()

 Lost a phone? Here's how to track the location of an iPhone or Android device](/article/how-to-gps-track-a-phone/)    * [![Best tech products of 2022]()

 ZDNET editors loved these tech products and gadgets in 2022](/article/best-tech-products-2022/)
* [![Tech gadgets on blue and green background]()

 5 tech gadgets I never leave home without (and they make great gifts)](/article/5-tech-gadgets-i-never-leave-home-without-and-they-make-great-gifts/)
* [![zdnet-lf-dronewrangler.jpg]()

 The drone wranglers: How the most authentic Old West town in the US is delivering the future of flight](/article/the-drone-wranglers-how-the-most-authentic-old-west-town-in-the-us-is-delivering-the-future-of-flight/)
* [![GPS tracking on a phone]()

 Lost a phone? Here's how to track the location of an iPhone or Android device](/article/how-to-gps-track-a-phone/)



## Tags:
***CVE's***: CVE-2022-41128

### Autogenerated tags:
windows linux microsoft javascript
