# XSS vulnerability patched in Directus data engine platform | ZDNet
## The platform is described as a "flexible powerhouse for engineers."
## Information:

+ Link: https://www.zdnet.com/article/xss-vulnerability-patched-in-directus-data-engine-platform/
+ Source: ZDNet
+ Author: Charlie Osborne
+ Date published: 11 April 2022, 11:00
+ Date scraped: 11 April 2022, 14:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/9e56ad8cfbad3b5a4e0451fd077554cb8ee8e4cb/2021/06/16/7fc4eae3-9175-4175-b11b-d57ff84ee952/programming-code.jpg?width=770&height=578&fit=crop&auto=webp)


A cross-site scripting (XSS) vulnerability has been patched in the popular Directus engine. 


[Directus](https://directus.io/platform/) is an open source, modular content management system (CMS) promoted as a "flexible powerhouse for engineers." The platform can be used to wrap SQL databases with GraphQL and REST APIs. 

Directus has achieved 14.9k stars on GitHub and there are approximately 1,700 forks. 

Discovered by Synopsys Cybersecurity Research Center (CyRC) researcher David Johansson, [the vulnerability](https://www.synopsys.com/blogs/software-security/cyrc-advisory-directus-xss/) is tracked as CVE-2022-24814 and can lead to account compromise.  

Impacting Directus v9.6.0 and earlier, [CVE-2022-24814](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24814) was found in the file upload functionality of the CMS.  

"Unauthorized JavaScript can be executed by inserting an iframe into the rich text HTML interface that links to a file uploaded HTML file that loads another uploaded JS file in its script tag," Directus [explained](https://github.com/directus/directus/security/advisories/GHSA-xmjj-3c76-5w84). "This satisfies the regular content security policy header, which in turn allows the file to run any arbitrary JS." 

According to Synopsys, authenticated users can create a stored XSS attack that triggers when other users try to view "certain" collections or files on the platform.  

A similar issue, tracked under CVEs [CVE-2022-22116](https://nvd.nist.gov/vuln/detail/CVE-2022-22116) and [CVE-2022-22117](https://nvd.nist.gov/vuln/detail/CVE-2022-22117b), was previously disclosed in the Directus App. However, the mitigation improvements did not go far enough and so could be bypassed, the researchers added.  

Synopsys disclosed its findings to Directus on January 28. The platform's team triaged the vulnerability and released v3.7.0 on March 18 to resolve the security issue. In addition, Directus improved a "very permissive' default value for [CORS configuration](https://github.com/directus/directus/security/advisories/GHSA-g27j-74fp-xfpr) which could lead to unauthorized access when configurations had not been changed.  

The latest [build](https://github.com/directus/directus/releases) is v3.9.0.  

"Synopsys would like to commend the Directus team for their responsiveness and for addressing this vulnerability in a timely manner," the company said.  

In related news, VMware published a [security advisory](https://www.zdnet.com/article/vmware-warns-of-critical-remote-code-execution-bug-in-workspace-one-access/) on April 6 urging customers to patch software including VMware Workspace ONE Access, Identity Manager (vIDM), and vRealize Automation (vRA) to patch bugs leading to remote code execution (RCE), among other issues.  

###  Previous and related coverage

* [Fake Android shopping apps steal bank account logins, 2FA codes](https://www.zdnet.com/article/fake-android-shopping-apps-steal-bank-account-logins-2fa-codes/)
* [FIN7 hacking group member sentenced to five years behind bars](https://www.zdnet.com/article/fin7-hacking-group-member-sentenced-to-five-years-behind-bars/)
* [VMware warns of critical remote code execution bug in Workspace ONE Access](https://www.zdnet.com/article/vmware-warns-of-critical-remote-code-execution-bug-in-workspace-one-access/)



---

**Have a tip?** Get in touch securely via WhatsApp | Signal at +447713 025 499, or over at Keybase: charlie0



---





## Tags:
***CVE's***: CVE-2022-22117 CVE-2022-22116 CVE-2022-24814

### Autogenerated tags:
directus synopsys vmware
